function selectElement(id, valueToSelect) {    
    let element = document.getElementById(id);
    element.value = valueToSelect;
}


function load() {
	var lan;
	lan = localStorage.getItem("site-language");
	if (!lan) {   // checks if lan is null, undefined, 0, false, NaN
  		lan = "en";
  		localStorage.setItem("site-language","en");
	}
	about.className = "cmenu";
	donate.className = "cmenu";
	signup.className = "cmenu";
	login.className = "cmenu";	
	setLanguage(lan)
	selectElement('lanselect', lan);
}


const translations = {
	ah: {
		donate: "ለገሱ",
		signup: "ይመዝገቡ",
		login: "ግባ",
		request: "ጥያቄ",
		agree: "ተስማማ",
		cashbook: "የገንዘብ መጽሐፍ",
		logout: "ውጣ",
		Ttext_1:"በኮፒኒያ ገፆች ላይ ስለ ፍልስፍና እንሰራለን።",
		Ttext_2:"የተትረፈረፈ ዓለም",
		Ttext_3:"እና ይህ ዓለም እንዴት መሥራት እንዳለበት።",
		Ttext_4:"በእርግጥ እኛ የምንጠቀመው ኢቲካል ገንዘቦችን እንደ መለዋወጫ መንገድ ነው።",
		Ttext_5:"አሁን ያለንበት ስርዓታችን ሲፈርስ የተሻለው፣ አማራጭ አለም በትክክል መቅረጽ አለብን",
		Ttext_6:"ሁሉም ሰው ወደ እንቅስቃሴያችን እንዲቀላቀል እና ይህንን አዲስ የወደፊት ጊዜ በምናብ እንዲረዳን እንጋብዛለን።",
		Ttext_7:"በጤና እንክብካቤ፣ በስፖርት አራማጅ፣ በትምህርት ቦርድ አባል፣ በምግብ ባለሙያ፣ በሶፍትዌር መሐንዲስ እና በመሳሰሉት ልዩ ባለሙያተኛ ቦታዎን ይጠይቁ።",
		Ttext_8:"ስለዚህ መጪው ጊዜ ሲመጣ፣ በቅጽበት ህልምህን በእውነታው መኖር መጀመር ትችላለህ",
		Ttext_9:"ስለ ኮፒኒያ ዶላር",
		Ttext_12:"ተጨማሪ መረጃ በቅርቡ ይከተላል!",
		Ttext_13: "የፊልም ማስታወቂያ",
		Ttext_14: "ፖድካስት"
	}, 
	ar: {
		donate: "التبرع؛",
		signup: "التسجيل؛",
		login: "تسجيل الدخول؛",
		request: "الطلب؛",
		agree: "الموافقة؛",
		cashbook: "دفتر النقد؛",
		logout: "تسجيل الخروج؛",
		Ttext_1:"في صفحات Copiania، نتحاور حول",
		Ttext_2:"عالم الوفرة",
		Ttext_3:"وكيف ينبغي لهذا العالم أن يعمل.",
		Ttext_4:"بالطبع نستخدم المال الأخلاقي كوسيلة للتبادل.",
		Ttext_5:"نحن بحاجة إلى إيجاد عالم بديل أفضل، عندما ينهار نظامنا الحالي.",
		Ttext_6:"ندعو الجميع للانضمام إلى حركتنا ومساعدتنا في تخيل هذا المستقبل الجديد.",
		Ttext_7:"احصل على مكانك كمتخصص في الرعاية الصحية، ومروج رياضي، وعضو مجلس التعليم، وخبير في الأغذية، ومهندس برمجيات وما إلى ذلك.",
		Ttext_8:"لذا عندما يأتي المستقبل، يمكنك على الفور البدء في عيش حلمك في الواقع.",
		Ttext_9:"حول Copiania",
		Ttext_12:"سوف تتبع المزيد من المعلومات قريبًا!",
		Ttext_13: "مقطع دعائي؛",
		Ttext_14: "بودكاست"
	},
	am: {
		donate: "Նվիրաբերել",
		signup: "Գրանցվել",
		login: "Մուտք գործեք",
		request: "Հայց",
		agree: "Համաձայնել",
		cashbook: "Դրամարկղ",
		logout: "Դուրս գալ",
		Ttext_1:"Copiania-ի էջերում մենք փիլիսոփայում ենք'-ի մասին",
		Ttext_2:"շատության աշխարհը",
		Ttext_3:"և ինչպես պետք է աշխատի այս աշխարհը.",
		Ttext_4:"Իհարկե, մենք օգտագործում ենք Էթիկական փողը որպես փոխանակման միջոց",
		Ttext_5:"Մենք պետք է ունենանք ավելի լավ, այլընտրանքային աշխարհը, երբ մեր ներկայիս համակարգը փլուզվի",
		Ttext_6:"Հրավիրում ենք բոլորին միանալ մեր շարժմանը և օգնել մեզ պատկերացնել այս նոր ապագան։",
		Ttext_7:"Հավակնեք ձեր տեղը որպես առողջապահության մասնագետ, սպորտի խթանող, կրթական խորհրդի անդամ, սննդի փորձագետ, ծրագրային ապահովման ինժեներ և այլն:",
		Ttext_8:"Այսպիսով, երբ ապագան գա, դուք անմիջապես կարող եք սկսել իրականում ապրել ձեր երազանքը:",
		Ttext_9:"Copiania'-ի մասին",
		Ttext_12:"Լրացուցիչ տեղեկություններ շուտով կհետևեն",
		Ttext_13: "Թեյլեր",
		Ttext_14: "Պոդքասթ"
	},
	az: {
		donate: "Bağışlayın",
		signup: "Qeydiyyatdan keçin",
		login: "Daxil ol",
		request: "Sorğu",
		agree: "Razılaşın",
		cashbook: "Kassa kitabçası",
		logout: "Çıxış",
		Ttext_1:"Copiania səhifələrində biz haqqında fəlsəfə edirik",
		Ttext_2:"Bolluq Dünyası",
		Ttext_3:"və bu dünya necə işləməlidir.",
		Ttext_4:"Təbii ki, biz mübadilə vasitəsi kimi Etik Puldan istifadə edirik.",
		Ttext_5:"Mövcud sistemimiz dağılanda daha yaxşı, alternativ dünyaya sahib olmalıyıq",
		Ttext_6:"Biz hər kəsi bizim hərəkatımıza qoşulmağa və bu yeni gələcəyi təsəvvür etməyə kömək etməyə dəvət edirik.",
		Ttext_7:"Səhiyyə sahəsində mütəxəssis, idman təbliğatçısı, təhsil şurasının üzvü, qida eksperti, proqram mühəndisi və s. kimi yerinizi iddia edin.",
		Ttext_8:"Beləliklə, gələcək gələndə siz dərhal xəyalınızı reallıqda yaşamağa başlaya bilərsiniz.",
		Ttext_9:"Copiania haqqında",
		Ttext_12:"Ətraflı məlumat tezliklə gələcək!",
		Ttext_13: "Treyler",
		Ttext_14: "Podkast"
	},
	by: {
		donate: "Ахвяраваць",
		signup: "Зарэгіструйцеся",
		login: "Увайсці",
		request: "Запыт",
		agree: "Згодны",
		cashbook: "Касавая кніга",
		logout: "Выйсці",
		Ttext_1:"На старонках Copiania мы філасофствуем пра",
		Ttext_2:"Свет Багацця",
		Ttext_3:"і як гэты свет павінен працаваць.",
		Ttext_4:"Вядома, мы выкарыстоўваем этычныя грошы ў якасці сродку абмену.",
		Ttext_5:"Калі наша цяперашняя сістэма рухне, нам трэба правільна зразумець лепшы альтэрнатыўны свет.",
		Ttext_6:"Мы запрашаем усіх далучыцца да нашага руху і дапамагчы нам уявіць гэтую новую будучыню.",
		Ttext_7:"Займіце сваё месца ў якасці спецыяліста ў галіне аховы здароўя, прапагандыста спорту, члена савета па адукацыі, эксперта па харчаванні, інжынера-праграміста і гэтак далей.",
		Ttext_8:"Такім чынам, калі наступіць будучыня, вы адразу ж зможаце ўвасобіць сваю мару ў рэальнасць.",
		Ttext_9:"Пра Copiania",
		Ttext_12:"Дадатковая інфармацыя з'явіцца ў бліжэйшы час!",
		Ttext_13: "Трэйлер",
		Ttext_14: "Падкаст"
	},
	be: {
		donate: "দান করুন",
		signup: "সাইন আপ করুন",
		login: "লগ ইন করুন",
		request: "অনুরোধ",
		agree: "একমত",
		cashbook: "ক্যাশবুক",
		logout: "লগ আউট করুন",
		Ttext_1:"কোপিয়ানিয়া পাতায় আমরা",
		Ttext_2:"প্রচুর পরিমাণের জগৎ",
		Ttext_3:"এবং এই জগৎ কীভাবে কাজ করা উচিত সে সম্পর্কে দর্শন করি।",
		Ttext_4:"অবশ্যই আমরা বিনিময়ের মাধ্যম হিসেবে নীতিগত অর্থ ব্যবহার করি।",
		Ttext_5:"আমাদের বর্তমান ব্যবস্থা ভেঙে পড়লে আমাদের আরও ভালো, বিকল্প জগৎ সঠিকভাবে খুঁজে বের করতে হবে।",
		Ttext_6:"আমরা সকলকে আমাদের আন্দোলনে যোগদানের জন্য এবং এই নতুন ভবিষ্যৎ কল্পনা করতে সাহায্য করার জন্য আমন্ত্রণ জানাচ্ছি।",
		Ttext_7:"স্বাস্থ্যসেবা, ক্রীড়া প্রচারক, শিক্ষা বোর্ডের সদস্য, খাদ্য বিশেষজ্ঞ, সফটওয়্যার ইঞ্জিনিয়ার এবং আরও অনেক ক্ষেত্রে বিশেষজ্ঞ হিসেবে আপনার স্থান দাবি করুন।",
		Ttext_8:"তাই ভবিষ্যৎ এলে, আপনি তাৎক্ষণিকভাবে আপনার স্বপ্নকে বাস্তবে রূপ দিতে শুরু করতে পারেন।",
		Ttext_9:"কোপিয়ানিয়া সম্পর্কে",
		Ttext_12:"আরও তথ্য শীঘ্রই আসবে!",
		Ttext_13: "ট্রেলার",
		Ttext_14: "পডকাস্ট"
	},
	bo: {
		donate: "Donirajte",
		signup: "Prijavite se",
		login: "Prijavite se",
		request: "Zahtjev",
		agree: "Slažem se",
		cashbook: "Blagajna",
		logout: "Odjavite se",
		Ttext_1:"Na stranicama Copiania filozofiramo o",
		Ttext_2:"Svet obilja",
		Ttext_3:"i kako bi ovaj svijet trebao funkcionirati.",
		Ttext_4:"Naravno da koristimo etički novac kao sredstvo razmjene.",
		Ttext_5:"Moramo imati bolji, alternativni svijet kako treba shvatiti, kada se naš trenutni sistem sruši.",
		Ttext_6:"Pozivamo sve da se pridruže našem pokretu i da nam pomognu da zamislimo ovu novu budućnost.",
		Ttext_7:"Zatražite svoje mjesto kao specijalista u zdravstvu, promotor sporta, član obrazovnog odbora, stručnjak za hranu, softverski inženjer i tako dalje.",
		Ttext_8:"Dakle, kada budućnost stigne, možete odmah početi da živite svoj san u stvarnosti.",
		Ttext_9:"O Copiania",
		Ttext_12:"Više informacija slijedi uskoro!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast"
	},
	bg: {
		donate: "Дарете ",
		signup: "Регистрирайте се ",
		login: "Влезте ",
		request: "Заявка ",
		agree: "Съгласен ",
		cashbook: "Касова книга",
		logout: "Излезте ",
		Ttext_1:"На страниците на Copiania философстваме за",
		Ttext_2:"светът на изобилието",
		Ttext_3:"и как трябва да работи този свят.",
		Ttext_4:"Разбира се, ние използваме етични пари като средство за обмен.",
		Ttext_5:"Трябва да имаме по-добрия, алтернативен свят правилно измислен, когато настоящата ни система се срине.",
		Ttext_6:"Каним всички да се присъединят към нашето движение и да ни помогнат да си представим това ново бъдеще.",
		Ttext_7:"Заявете своето място като специалист по здравеопазване, спортен промотор, член на образователния съвет, експерт по храните, софтуерен инженер и т.н.",
		Ttext_8:"Така че, когато бъдещето пристигне, можете незабавно да започнете да изживявате мечтата си в реалност.",
		Ttext_9:"Относно Copiania",
		Ttext_12:"Повече информация ще последва скоро!",
		Ttext_13: "Трейлър",
		Ttext_14: "Подкаст "
	},
	ca: {
		donate: "捐出 ",
		signup: "註冊 ",
		login: "登入 ",
		request: "要求 ",
		agree: "同意 ",
		cashbook: "現金簿 ",
		logout: "登出 ",
		Ttext_1:"喺 Copiania 頁面，我哋對 進行哲學思考",
		Ttext_2:"豐富嘅世界",
		Ttext_3:"同埋呢個世界應該點樣運作。",
		Ttext_4:"當然我哋用道德金錢作為交換手段。",
		Ttext_5:"當我哋而家嘅系統崩潰嗰陣，我哋需要正確噉搞清楚更好嘅替代世界",
		Ttext_6:"我哋邀請大家加入我哋嘅運動，幫我哋想像呢個新嘅未來",
		Ttext_7:"喺醫療保健、體育推廣者、教育委員會成員、食品專家、軟件工程師等等方面申請你嘅職位。",
		Ttext_8:"所以當未來到來嘅時候，你就可以即刻開始喺現實中實現你嘅夢想。",
		Ttext_9:"關於科皮尼亞",
		Ttext_12:"更多資訊好快就會跟住嚟！",
		Ttext_13: "拖車 ",
		Ttext_14: "播客 "
	},
	ch: {
		donate: "注册",
		signup: "登录",
		login: "请求",
		request: "同意",
		agree: "现金簿",
		cashbook: "日志出",
		logout: "欢迎",
		Ttext_1:"在 Copiania 页面上，我们探讨了",
		Ttext_2:"富足世界",
		Ttext_3:"以及这个世界应该如何运作。",
		Ttext_4:"当然，我们使用道德货币作为交换手段。",
		Ttext_5:"当我们当前的系统崩溃时，我们需要正确地找到一个更好的替代世界。",
		Ttext_6:"我们邀请所有人加入我们的运动，帮助我们想象这个新的未来。",
		Ttext_7:"宣称您是医疗保健专家、体育推广人、教育委员会成员、食品专家、软件工程师等。",
		Ttext_8:"因此，当未来到来时，您可以立即开始在现实中实现您的梦想。",
		Ttext_9:"关于 Copiania",
		Ttext_12:"更多信息即将发布！",
		Ttext_13: "拖車 ",
		Ttext_14: "播客 "
	},
	cz: {
		donate: "Darujte ",
		signup: "Zaregistrujte se ",
		login: "Přihlásit se ",
		request: "Žádost ",
		agree: "Souhlas ",
		cashbook: "Pokladní kniha ",
		logout: "Odhlásit ",
		Ttext_1:"Na stránkách Copiania filozofujeme o",
		Ttext_2:"World of Plenty",
		Ttext_3:"a jak by měl tento svět fungovat.",
		Ttext_4:"Jako prostředek směny samozřejmě používáme etické peníze.",
		Ttext_5:"Když se náš současný systém zhroutí, potřebujeme mít lepší alternativní svět správně promyšlený.",
		Ttext_6:"Zveme všechny, aby se připojili k našemu hnutí a pomohli nám představit si tuto novou budoucnost.",
		Ttext_7:"Získejte své místo jako specialista ve zdravotnictví, propagátor sportu, člen rady pro vzdělávání, odborník na potraviny, softwarový inženýr a tak dále.",
		Ttext_8:"Takže až přijde budoucnost, můžete okamžitě začít žít svůj sen ve skutečnosti.",
		Ttext_9:"O Copiania",
		Ttext_12:"Další informace budou brzy následovat!",
		Ttext_13: "Trailer ",
		Ttext_14: "Podcast "
	},
	se: {
		donate: "Донате ",
		signup: "Пријавите се ",
		login: "Пријавите се ",
		request: "Рекуест",
		agree: "Агрее",
		cashbook: "Цасхбоок",
		logout: "Одјавите се ",
		Ttext_1:"На страницама Цопианиа филозофирамо о",
		Ttext_2:"Свет обиља",
		Ttext_3:"и како овај свет треба да функционише.",
		Ttext_4:"Наравно, користимо етички новац као средство размене.",
		Ttext_5:"Морамо да имамо бољи, алтернативни свет како треба схватити, када се наш тренутни систем уруши.",
		Ttext_6:"Позивамо све да се придруже нашем покрету и да нам помогну да замислимо ову нову будућност.",
		Ttext_7:"Затражите своје место као специјалиста у здравству, промотер спорта, члан образовног одбора, стручњак за храну, софтверски инжењер и тако даље.",
		Ttext_8:"Дакле, када будућност стигне, можете одмах почети да живите свој сан у стварности.",
		Ttext_9:"О Цопианиа",
		Ttext_12:"Више информација ће уследити ускоро!",
		Ttext_13: "Траилер",
		Ttext_14: "Подцаст"
	},
	da: {
		donate: "Doner ",
		signup: "Tilmeld dig",
		login: "Log ind",
		request: "Anmod ",
		agree: "Enig",
		cashbook: "Kassebog",
		logout: "Log ud",
		Ttext_1:"På Copiania-siderne filosoferer vi over",
		Ttext_2:"The World of Plenty",
		Ttext_3:"og hvordan denne verden skal fungere.",
		Ttext_4:"Selvfølgelig bruger vi Ethical Money som byttemiddel.",
		Ttext_5:"Vi skal have den bedre, alternative verden ordentligt regnet ud, når vores nuværende system kollapser.",
		Ttext_6:"Vi inviterer alle til at deltage i vores bevægelse og hjælpe os med at forestille os denne nye fremtid.",
		Ttext_7:"Gør krav på din plads som specialist i sundhedspleje, sportspromotor, uddannelsesbestyrelsesmedlem, fødevareekspert, softwareingeniør og så videre.",
		Ttext_8:"Så når fremtiden kommer, kan du med det samme begynde at udleve din drøm i virkeligheden.",
		Ttext_9:"Om Copiania",
		Ttext_12:"Mere information følger snart!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast"
	},
	de: {
		donate: "Spenden",
		signup: "Registrieren",
		login: "Anmelden",
		request: "Anfordern",
		agree: "Zustimmen",
		cashbook: "Kassenbuch",
		logout: "Anmelden Out",
		Ttext_1:"Auf den Copiania-Seiten philosophieren wir über",
		Ttext_2:"die Welt des Überflusses",
		Ttext_3:"und wie diese Welt funktionieren sollte.",
		Ttext_4:"Natürlich verwenden wir ethisches Geld als Tauschmittel.",
		Ttext_5:"Wir müssen uns eine bessere, alternative Welt ausdenken, wenn unser aktuelles System zusammenbricht.",
		Ttext_6:"Wir laden alle ein, sich unserer Bewegung anzuschließen und uns zu helfen, uns diese neue Zukunft vorzustellen.",
		Ttext_7:"Beanspruchen Sie Ihren Platz als Spezialist für das Gesundheitswesen, Sportförderer, Mitglied des Bildungsausschusses, Lebensmittelexperte, Softwareentwickler und so weiter.",
		Ttext_8:"Wenn also die Zukunft anbricht, können Sie sofort anfangen, Ihren Traum in die Realität umzusetzen.",
		Ttext_9:"Über Copiania",
		Ttext_12:"Weitere Informationen folgen in Kürze!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast"

	},
	en: {
		donate: "Donate",
		signup: "Sign Up",
		login: "Log In",
		request: "Request",
		agree: "Agree",
		cashbook: "Cashbook",
		logout: "Log Out",
		Ttext_1: "On the Copiania pages we philosophize about",
		Ttext_2: "the World of Plenty",
		Ttext_3: "and how this world should work.",
		Ttext_4: "Of course we use Ethical Money as means of exchange.",
		Ttext_5: "We need to have the better, alternative world properly figured out, when our current system collapses.",
		Ttext_6: "We invite everyone to join our movement and to help us imagin this new future.",
		Ttext_7: "Claim your spot as a specialist in healthcare, sport promotor, education board member, food expert, software engineer and so on.",
		Ttext_8: "So when the future arrives, you instantly can start living your dream in reality.",
		Ttext_9: "About Copiania",
		Ttext_12: "More information will follow soon!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast"
	},
	es: {
		donate: "Donar ",
		signup: "Registrarse ",
		login: "Iniciar sesión ",
		request: "Solicitar ",
		agree: "Aceptar ",
		cashbook: "Libro de caja ",
		logout: "Iniciar sesión ¡Salga!",
		Ttext_1:"En las páginas de Copiania filosofamos sobre el",
		Ttext_2:"mundo de la abundancia",
		Ttext_3:"y cómo debería funcionar este mundo.",
		Ttext_4:"Por supuesto, utilizamos el dinero ético como medio de intercambio.",
		Ttext_5:"Necesitamos tener bien definido el mundo alternativo y mejor, cuando nuestro sistema actual colapse.",
		Ttext_6:"Invitamos a todos a unirse a nuestro movimiento y a ayudarnos a imaginar este nuevo futuro.",
		Ttext_7:"Reclama tu lugar como especialista en atención médica, promotor deportivo, miembro de la junta educativa, experto en alimentos, ingeniero de software, etc.",
		Ttext_8:"Así, cuando llegue el futuro, podrás comenzar a vivir tu sueño en la realidad al instante.",
		Ttext_9:"Acerca de Copiania",
		Ttext_12:"¡Pronto habrá más información!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast"
	},
	fp: {
		donate: "Mag-donate",
		signup: "Mag-sign Up",
		login: "Mag-log In",
		request: "Kahilingan",
		agree: "Sumasang-ayon",
		cashbook: "Cashbook",
		logout: "Mag-log Out",
		Ttext_1:"Sa mga pahina ng Copiania, pilosopiya namin ang tungkol sa",
		Ttext_2:"ang Mundo ng Sagana",
		Ttext_3:"at kung paano dapat gumana ang mundong ito.",
		Ttext_4:"Syempre ginagamit namin ang Ethical Money bilang paraan ng palitan.",
		Ttext_5:"Kailangan nating magkaroon ng mas mahusay, alternatibong mundo nang maayos, kapag bumagsak ang ating kasalukuyang sistema.",
		Ttext_6:"Inaanyayahan namin ang lahat na sumali sa aming kilusan at tulungan kaming isipin ang bagong hinaharap na ito.",
		Ttext_7:"Kunin ang iyong puwesto bilang isang espesyalista sa pangangalagang pangkalusugan, tagapagtaguyod ng isports, miyembro ng lupon ng edukasyon, eksperto sa pagkain, software engineer at iba pa.",
		Ttext_8:"Kaya kapag dumating na ang kinabukasan, maaari mong simulan agad na mabuhay ang iyong pangarap sa katotohanan.",
		Ttext_9:"Tungkol sa Copiania",
		Ttext_12:"Susunod ang higit pang impormasyon sa lalong madaling panahon!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast"
	},
	fr: {
		donate: "Faire un don",
		signup: "Inscrivez-vous",
		login: "Connectez-vous",
		request: "Demande",
		agree: "Accepter",
		cashbook: "Caisse",
		logout: "Journal de bord Out",
		Ttext_1:"Sur les pages de Copiania, nous philosophons sur",
		Ttext_2:"le Monde d'Abondance",
		Ttext_3:"et sur la façon dont ce monde devrait fonctionner.",
		Ttext_4:"Bien sûr, nous utilisons l'argent éthique comme moyen d'échange.",
		Ttext_5:"Nous devons avoir un monde meilleur et alternatif bien défini, lorsque notre système actuel s'effondrera.",
		Ttext_6:"Nous invitons tout le monde à rejoindre notre mouvement et à nous aider à imaginer ce nouvel avenir.",
		Ttext_7:"Réclamez votre place en tant que spécialiste des soins de santé, promoteur sportif, membre du conseil d'éducation, expert en alimentation, ingénieur logiciel, etc.",
		Ttext_8:"Ainsi, lorsque l'avenir arrivera, vous pourrez instantanément commencer à vivre votre rêve dans la réalité.",
		Ttext_9:"À propos de Copiania",
		Ttext_12:"Plus d'informations suivront bientôt !",
		Ttext_13: "Bande-annonce",
		Ttext_14: "Podcast"
	},
	ir: {
		donate: "Deonaigh ",
		signup: "Cláraigh",
		login: "Logáil Isteach",
		request: "Iarratas",
		agree: "Aontaigh",
		cashbook: "Leabhar airgid ",
		logout: "Logáil Amach",
		Ttext_1:"Ar leathanaigh Copiania déanaimid fealsúnacht ar",
		Ttext_2:"an Domhain Neart",
		Ttext_3:"agus conas ba cheart don saol seo oibriú.",
		Ttext_4:"Ar ndóigh úsáidimid Airgead Eiticiúil mar mhodh malairte.",
		Ttext_5:"Ní mór dúinn an domhan níos fearr, malartach a oibriú amach i gceart, nuair a thiteann ár gcóras reatha",
		Ttext_6:"Iarraimid ar gach duine a bheith páirteach inár ngluaiseacht agus cabhrú linn an todhchaí nua seo a shamhlú.",
		Ttext_7:"Éiligh do láthair mar speisialtóir i gcúram sláinte, tionscnóir spóirt, ball boird oideachais, saineolaí bia, innealtóir bogearraí agus mar sin de.",
		Ttext_8:"Mar sin, nuair a thagann an todhchaí, is féidir leat tosú láithreach ag maireachtáil do bhrionglóid i ndáiríre.",
		Ttext_9:"Maidir le Copiania",
		Ttext_12:"Beidh tuilleadh eolais le teacht go luath!",
		Ttext_13: "Leantóir",
		Ttext_14: "Podchraoladh"
	},
	gr: {
		donate: "Δωρεά ",
		signup: "Εγγραφείτε",
		login: "Σύνδεση",
		request: "Αίτημα ",
		agree: "Συμφωνώ",
		cashbook: "Βιβλίο μετρητών",
		logout: "Αποσύνδεση",
		Ttext_1:"Στις σελίδες Copiania φιλοσοφούμε για",
		Ttext_2:"ο κόσμος της αφθονίας",
		Ttext_3:"και πώς θα έπρεπε να λειτουργεί αυτός ο κόσμος.",
		Ttext_4:"Φυσικά χρησιμοποιούμε το Ethical Money ως μέσο ανταλλαγής.",
		Ttext_5:"Πρέπει να κατανοήσουμε σωστά τον καλύτερο, εναλλακτικό κόσμο, όταν το σημερινό μας σύστημα καταρρεύσει.",
		Ttext_6:"Καλούμε όλους να συμμετάσχουν στο κίνημά μας και να μας βοηθήσουν να φανταστούμε αυτό το νέο μέλλον.",
		Ttext_7:"Διεκδικήστε τη θέση σας ως ειδικός στην υγειονομική περίθαλψη, υποστηρικτής αθλημάτων, μέλος εκπαιδευτικού συμβουλίου, ειδικός τροφίμων, μηχανικός λογισμικού και ούτω καθεξής.",
		Ttext_8:"Έτσι, όταν έρθει το μέλλον, μπορείτε να αρχίσετε αμέσως να ζείτε το όνειρό σας στην πραγματικότητα.",
		Ttext_9:"Σχετικά με το Copiania",
		Ttext_12:"Περισσότερες πληροφορίες θα ακολουθήσουν σύντομα!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast"
	},
	ha: {
		donate: "Ba da gudummawa ",
		signup: "Shiga ",
		login: "Shiga ",
		request: "Neman ",
		agree: "Amince ",
		cashbook: "Cashbook ",
		logout: "Fita Daga ",
		Ttext_1:"A kan shafukan Copiania muna falsafa game da",
		Ttext_2:"Duniya Mai Yawa",
		Ttext_3:"da kuma yadda ya kamata wannan duniyar ta yi aiki.",
		Ttext_4:"Tabbas muna amfani da Kudi na Da'a azaman hanyar musayar.",
		Ttext_5:"Muna buƙatar samun mafi kyau, madadin duniya yadda ya kamata, lokacin da tsarin mu na yanzu ya rushe.",
		Ttext_6:"Muna gayyatar kowa da kowa don shiga cikin motsinmu kuma don taimaka mana tunanin wannan sabuwar gaba.",
		Ttext_7:"Nemi matsayin ku a matsayin ƙwararre a fannin kiwon lafiya, mai haɓaka wasanni, memba na hukumar ilimi, ƙwararren abinci, injiniyan software da sauransu.",
		Ttext_8:"Don haka lokacin da gaba ta zo, nan take za ku iya fara rayuwa cikin mafarkin ku a zahiri.",
		Ttext_9:"Game da Copianiya",
		Ttext_12:"Ƙarin bayani zai biyo baya nan ba da jimawa ba!",
		Ttext_13: "Trailer ",
		Ttext_14: "Podcast"
	},
	he: {
		donate: "תרום ",
		signup: "הירשם",
		login: "התחבר",
		request: "בקשה ",
		agree: "מסכים",
		cashbook: "קופה",
		logout: "התנתק",
		Ttext_1:"בדפי Copiania אנחנו מתפלספים על",
		Ttext_2:"עולם השפע",
		Ttext_3:"ואיך העולם הזה צריך לעבוד.",
		Ttext_4:"כמובן שאנו משתמשים בכסף אתי כאמצעי החלפה.",
		Ttext_5:"אנחנו צריכים להבין נכון את העולם האלטרנטיבי הטוב יותר, כאשר המערכת הנוכחית שלנו קורסת.",
		Ttext_6:"אנו מזמינים את כולם להצטרף לתנועה שלנו ולעזור לנו לדמיין את העתיד החדש הזה.",
		Ttext_7:"קבל את מקומך כמומחה בתחום הבריאות, מקדם ספורט, חבר ועד חינוך, מומחה מזון, מהנדס תוכנה וכן הלאה.",
		Ttext_8:"אז כשהעתיד יגיע, אתה יכול מיד להתחיל לחיות את החלום שלך במציאות.",
		Ttext_9:"על Copiania",
		Ttext_12:"מידע נוסף יגיע בקרוב!",
		Ttext_13: "טריילר",
		Ttext_14: "פודקאסט"
	},
	hi: {
		donate: "दान करें",
		signup: "साइन अप करें",
		login: "लॉग इन करें",
		request: "अनुरोध करें",
		agree: "सहमत हों",
		cashbook: "कैशबुक",
		logout: "लॉग आउट",
		Ttext_1:"कोपियानिया के पन्नों पर हम",
		Ttext_2:"बहुतायत की दुनिया",
		Ttext_3:"और इस दुनिया को कैसे काम करना चाहिए, इस बारे में दार्शनिकता करते हैं।",
		Ttext_4:"बेशक हम विनिमय के साधन के रूप में नैतिक धन का उपयोग करते हैं।",
		Ttext_5:"जब हमारी वर्तमान प्रणाली ध्वस्त हो जाती है, तो हमें बेहतर, वैकल्पिक दुनिया का ठीक से पता लगाना होगा।",
		Ttext_6:"हम सभी को हमारे आंदोलन में शामिल होने और इस नए भविष्य की कल्पना करने में हमारी मदद करने के लिए आमंत्रित करते हैं।",
		Ttext_7:"स्वास्थ्य सेवा, खेल प्रमोटर, शिक्षा बोर्ड के सदस्य, खाद्य विशेषज्ञ, सॉफ्टवेयर इंजीनियर आदि के रूप में अपना स्थान प्राप्त करें।",
		Ttext_8:"इसलिए जब भविष्य आता है, तो आप तुरंत अपने सपने को वास्तविकता में जीना शुरू कर सकते हैं।",
		Ttext_9:"कोपियानिया के बारे में",
		Ttext_12:"अधिक जानकारी जल्द ही दी जाएगी!",
		Ttext_13: "है!",
		Ttext_14: "ट्रेलर"
	},
	cr: {
		donate: "Donirajte ",
		signup: "Prijavite se",
		login: "Prijavite se ",
		request: "Zahtjev ",
		agree: "Slažem se ",
		cashbook: "Blagajna ",
		logout: "Odjava",
		Ttext_1:"Na stranicama Copianie filozofiramo o",
		Ttext_2:"svijet obilja",
		Ttext_3:"i kako bi ovaj svijet trebao funkcionirati.",
		Ttext_4:"Naravno da koristimo Etički novac kao sredstvo razmjene.",
		Ttext_5:"Moramo ispravno shvatiti bolji, alternativni svijet, kada naš trenutni sustav propadne.",
		Ttext_6:"Pozivamo sve da se pridruže našem pokretu i pomognu nam zamisliti ovu novu budućnost.",
		Ttext_7:"Zatražite svoje mjesto kao stručnjak za zdravstvo, sportski promotor, član obrazovnog odbora, stručnjak za hranu, softverski inženjer i tako dalje.",
		Ttext_8:"Dakle, kada budućnost stigne, odmah možete početi živjeti svoj san u stvarnosti.",
		Ttext_9:"O Copiania",
		Ttext_12:"Više informacija slijedi uskoro!",
		Ttext_13: "Nakolica",
		Ttext_14: "Podcast"
	},
	ig: {
		donate: "Nye onyinye ",
		signup: "Debanye aha ",
		login: "Banye ",
		request: "Arịrịọ ",
		agree: "Kwekọrịta ",
		cashbook: "Akwụkwọ ego ",
		logout: "Wepụ ",
		Ttext_1:"Na ibe Copiania anyị na-akọwa ihe gbasara",
		Ttext_2:"Ụwa nke Plenty",
		Ttext_3:"na ka ụwa a ga-esi arụ ọrụ.",
		Ttext_4:"N'ezie anyị na-eji Ethical Money dị ka ụzọ mgbanwe.",
		Ttext_5:"Anyị kwesịrị inwe ihe ka mma, ụwa ọzọ achọpụtara nke ọma, mgbe usoro anyị dị ugbu a dara.",
		Ttext_6:"Anyị na-akpọ onye ọ bụla ka ha sonye na mmegharị anyị ma nyere anyị aka iche n'echiche ọdịnihu ọhụrụ a.",
		Ttext_7:"Kwuo ọnọdụ gị dị ka ọkachamara na ahụike, onye nkwalite egwuregwu, onye otu ụlọ akwụkwọ agụmakwụkwọ, ọkachamara nri, injinia ngwanrọ na ihe ndị ọzọ.",
		Ttext_8:"Ya mere, mgbe ọdịnihu rutere, ị nwere ike ịmalite ibi ndụ nrọ gị n'eziokwu.",
		Ttext_9:"Ihe gbasara Copiania",
		Ttext_12:"Ozi ndị ọzọ ga-eso n'oge adịghị anya!",
		Ttext_13: "Trailer ",
		Ttext_14: "Pọdkastị "
	},
	in: {
		donate: "Donasi",
		signup: "Daftar",
		login: "Masuk",
		request: "Permintaan",
		agree: "Setuju",
		cashbook: "Buku Kas",
		logout: "Masuk Out",
		Ttext_1:"Di halaman Copiania, kami berfilsafat tentang",
		Ttext_2:"Dunia Berlimpah",
		Ttext_3:"dan bagaimana dunia ini seharusnya bekerja.",
		Ttext_4:"Tentu saja, kami menggunakan Uang Etis sebagai alat tukar.",
		Ttext_5:"Kita perlu memiliki dunia alternatif yang lebih baik yang dipahami dengan benar, ketika sistem kita saat ini runtuh.",
		Ttext_6:"Kami mengundang semua orang untuk bergabung dengan gerakan kami dan membantu kami membayangkan masa depan baru ini.",
		Ttext_7:"Ambil posisi Anda sebagai spesialis dalam perawatan kesehatan, promotor olahraga, anggota dewan pendidikan, pakar makanan, insinyur perangkat lunak, dan sebagainya.",
		Ttext_8:"Jadi, ketika masa depan tiba, Anda langsung dapat mulai mewujudkan impian Anda.",
		Ttext_9:"Tentang Copiania",
		Ttext_12:"Informasi lebih lanjut akan segera menyusul!",
		Ttext_13: "Podcast",
		Ttext_14: "Pọdkastị "
	},
	ic: {
		donate: "Gefðu ",
		signup: "Skráðu þig",
		login: "Skráðu þig inn",
		request: "Beiðni ",
		agree: "Sammála",
		cashbook: "Kassabók ",
		logout: "Skráðu þig út",
		Ttext_1:"Á Copiania síðum heimspekum við um",
		Ttext_2:"the World of Plenty",
		Ttext_3:"og hvernig þessi heimur ætti að virka.",
		Ttext_4:"Auðvitað notum við siðferðilega peninga sem skiptimiða.",
		Ttext_5:"Við þurfum að hafa betri, óhefðbundna heiminn á réttan hátt, þegar núverandi kerfi okkar hrynur.",
		Ttext_6:"Við hvetjum alla til að taka þátt í hreyfingu okkar og hjálpa okkur að ímynda okkur þessa nýju framtíð.",
		Ttext_7:"Gerðu kröfu um stöðu þína sem sérfræðingur í heilbrigðisþjónustu, íþróttaforseti, stjórnarmaður í menntaráði, matvælasérfræðingur, hugbúnaðarverkfræðingur og svo framvegis.",
		Ttext_8:"Svo þegar framtíðin kemur, getur þú samstundis byrjað að lifa drauminn þinn í raun og veru.",
		Ttext_9:"Um Copiania",
		Ttext_12:"Frekari upplýsingar koma fljótlega!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast"
	},
	it: {
		donate: "Fai una donazione",
		signup: "Registrati",
		login: "Accedi",
		request: "Richiedi",
		agree: "Accetta",
		cashbook: "Libro cassa",
		logout: "Accedi Out",
		Ttext_1:"Nelle pagine di Copiania filosofeggiamo sul",
		Ttext_2:"mondo dell'abbondanza",
		Ttext_3:"e su come questo mondo dovrebbe funzionare.",
		Ttext_4:"Naturalmente utilizziamo il denaro etico come mezzo di scambio.",
		Ttext_5:"Dobbiamo avere un mondo migliore e alternativo correttamente capito, quando il nostro attuale sistema crollerà.",
		Ttext_6:"Invitiamo tutti a unirsi al nostro movimento e ad aiutarci a immaginare questo nuovo futuro.",
		Ttext_7:"Rivendica il tuo posto come specialista in sanità, promotore sportivo, membro del consiglio scolastico, esperto alimentare, ingegnere informatico e così via.",
		Ttext_8:"Così quando il futuro arriverà, potrai iniziare immediatamente a vivere il tuo sogno nella realtà.",
		Ttext_9:"Informazioni su Copiania",
		Ttext_12:"Ulteriori informazioni seguiranno presto!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast"
	},
	ja: {
		donate: "寄付",
		signup: "サインアップ",
		login: "ログイン",
		request: "リクエスト",
		agree: "同意する",
		cashbook: "現金帳",
		logout: "ログアウト",
		Ttext_1:"Copiania のページでは、",
		Ttext_2:"豊かな世界",
		Ttext_3:"と、この世界がどのように機能するべきかについて哲学的に考察しています。",
		Ttext_4:"もちろん、交換手段として倫理的なお金を使用します。",
		Ttext_5:"現在のシステムが崩壊したときに、より良い代替世界を適切に理解する必要があります。",
		Ttext_6:"私たちの運動に参加し、この新しい未来を想像するのを手伝ってください。",
		Ttext_7:"ヘルスケアの専門家、スポーツプロモーター、教育委員会メンバー、食品専門家、ソフトウェアエンジニアなどとして自分の地位を確立してください。",
		Ttext_8:"そうすれば、未来が来たときに、すぐに夢を現実に生き始めることができます。",
		Ttext_9:"Copiania について",
		Ttext_12:"詳細は近日中に公開します!",
		Ttext_13: "トレーラー",
		Ttext_14: "ポッドキャスト"
	},
	ka: {
		donate: "садақа беріңіз",
		signup: "Тіркелу ",
		login: "Жүйеге кіру",
		request: "сұрау",
		agree: "Келісіңіз",
		cashbook: "Cashbook ",
		logout: "Шығу",
		Ttext_1:"Copiania беттерінде біз ойлар жасаймыз",
		Ttext_2:"молшылық әлемі",
		Ttext_3:"және бұл әлем қалай жұмыс істеуі керек.",
		Ttext_4:"Әрине, біз Этикалық ақшаны айырбастау құралы ретінде пайдаланамыз.",
		Ttext_5:"Біздің қазіргі жүйеміз күйреген кезде жақсырақ, балама әлемді дұрыс анықтауымыз керек.",
		Ttext_6:"Біз барлығын біздің қозғалысқа қосылуға және осы жаңа болашақты елестетуге көмектесуге шақырамыз.",
		Ttext_7:"Денсаулық сақтау саласындағы маман, спорттық промотор, білім беру кеңесінің мүшесі, азық-түлік сарапшысы, бағдарламалық жасақтама инженері және т.б. ретінде өз орыныңызды талап етіңіз.",
		Ttext_8:"Сонымен, болашақ келгенде, сіз арманыңызды шындықта өмір сүре бастай аласыз.",
		Ttext_9:"Copiania туралы",
		Ttext_12:"Толық ақпарат жақын арада шығады!",
		Ttext_13: "Трейлер",
		Ttext_14: "Подкаст"
	},
	kh: {
		donate: "បរិច្ចាគ ",
		signup: "ចុះឈ្មោះ ",
		login: "ចូល ",
		request: "ស្នើសុំ ",
		agree: "យល់ព្រម ",
		cashbook: "សៀវភៅសាច់ប្រាក់ ",
		logout: "ចេញ ",
		Ttext_1:"នៅលើទំព័រ Copiania យើងទស្សន៍ទាយអំពី",
		Ttext_2:"ពិភពនៃប្រាក់ច្រើន",
		Ttext_3:"និងរបៀបដែលពិភពលោកនេះគួរដំណើរការ។",
		Ttext_4:"ជាការពិតណាស់យើងប្រើ Ethical Money ជាមធ្យោបាយនៃការផ្លាស់ប្តូរ.",
		Ttext_5:"យើងត្រូវមានពិភពជំនួសដែលប្រសើរជាងមុន ដែលត្រូវគិតឲ្យបានត្រឹមត្រូវ នៅពេលដែលប្រព័ន្ធបច្ចុប្បន្នរបស់យើងដួលរលំ។",
		Ttext_6:"យើងសូមអញ្ជើញអ្នកគ្រប់គ្នាឱ្យចូលរួមចលនារបស់យើង និងដើម្បីជួយយើងស្រមៃមើលអនាគតថ្មីនេះ។",
		Ttext_7:"ទាមទារកន្លែងរបស់អ្នកជាអ្នកឯកទេសផ្នែកថែទាំសុខភាព អ្នកផ្សព្វផ្សាយកីឡា សមាជិកក្រុមប្រឹក្សាអប់រំ អ្នកជំនាញអាហារ វិស្វករផ្នែកទន់ និងផ្សេងៗទៀត។",
		Ttext_8:"ដូច្នេះនៅពេលអនាគតមកដល់ នោះអ្នកអាចចាប់ផ្តើមរស់នៅក្នុងក្តីស្រមៃរបស់អ្នកបានភ្លាមៗ។",
		Ttext_9:"អំពី Copinia",
		Ttext_12:"ព័ត៌មានបន្ថែមនឹងផ្សាយជូនក្នុងពេលឆាប់ៗនេះ!",
		Ttext_13: "ឈុតខ្លីៗ ",
		Ttext_14: "ផតខាស "
	},
	ki: {
		donate: "Tanga ",
		signup: "Iyandikishe ",
		login: "Injira ",
		request: "Saba ",
		agree: "Emera ",
		cashbook: "Cashbook ",
		logout: "Sohora ",
		Ttext_1:"Kurupapuro rwa Copiania turimo filozofiya hafi",
		Ttext_2:"Isi Yuzuye",
		Ttext_3:"nuburyo iyi si igomba gukora.",
		Ttext_4:"Nibyo, dukoresha Amafaranga ya Ethique muburyo bwo guhana.",
		Ttext_5:"Tugomba kugira isi nziza, iyindi nzira yamenyekanye neza, mugihe sisitemu yacu iguye.",
		Ttext_6:"Turahamagarira abantu bose kwitabira urugendo rwacu no kudufasha gutekereza ejo hazaza heza.",
		Ttext_7:"Saba umwanya wawe nk'inzobere mu buvuzi, uteza imbere siporo, umwe mu bagize inama y'uburezi, impuguke mu biribwa, injeniyeri ya software n'ibindi.",
		Ttext_8:"Igihe rero nikigera, urashobora guhita utangira kubaho inzozi zawe mubyukuri.",
		Ttext_9:"Ibyerekeye Copiania",
		Ttext_12:"Andi makuru azakurikira vuba!",
		Ttext_13: "Trailer ",
		Ttext_14: "Podcast "
	},
	sh: {
		donate: "Changia ",
		signup: "Jisajili",
		login: "Ingia ",
		request: "Ombi ",
		agree: "Kubali ",
		cashbook: "Kitabu cha pesa",
		logout: "Ondoka ",
		Ttext_1:"Kwenye kurasa za Copiania tunafalsafa kuhusu",
		Ttext_2:"Dunia ya Mengi",
		Ttext_3:"na jinsi ulimwengu huu unapaswa kufanya kazi.",
		Ttext_4:"Bila shaka tunatumia Ethical Money kama njia ya kubadilishana.",
		Ttext_5:"Tunahitaji kuwa na ulimwengu bora na mbadala ufikiriwe ipasavyo, mfumo wetu wa sasa unapoporomoka.",
		Ttext_6:"Tunaalika kila mtu ajiunge na harakati zetu na kutusaidia kuwazia mustakabali huu mpya.",
		Ttext_7:"Dai eneo lako kama mtaalamu wa huduma ya afya, mtangazaji wa michezo, mwanachama wa bodi ya elimu, mtaalamu wa chakula, mhandisi wa programu na kadhalika.",
		Ttext_8:"Kwa hivyo wakati ujao utakapowadia, mara moja unaweza kuanza kuishi ndoto yako katika uhalisia.",
		Ttext_9:"Kuhusu Copiania",
		Ttext_12:"Taarifa zaidi zitafuata hivi punde!",
		Ttext_13: "Trela",
		Ttext_14: "Podcast"
	},
	co: {
		donate: "Pesa makabu",
		signup: "Kusonikisa zina",
		login: "Kota",
		request: "Kulomba",
		agree: "Ndima",
		cashbook: "Mukanda ya mbongo",
		logout: "Kubasika",
		Ttext_1:"Na balutiti ya Copiania beto ke filozofisaka mambu ya me tala",
		Ttext_2:"nsi-ntoto ya bima mingi",
		Ttext_3:"mpi mutindu inza yai fwete sala.",
		Ttext_4:"Ya kieleka beto ke sadilaka Mbongo ya Ethique bonso nzila ya kusoba.",
		Ttext_5:"Beto fuana vuanda na yinza ya mbote, ya nkaka ya kuyindula mbote, ntangu ngidika ya beto ya bubu yayi ke bwa.",
		Ttext_6:"Beto ke binga bantu yonso na kukota na kimvuka na beto mpi na kusadisa beto na kuyindula mambu yai ya mpa ya bilumbu ke kwisa.",
		Ttext_7:"Kulomba kisika na nge bonso muntu ya mayele na mambu ya mavimpi, muntu ya ke pesaka maboko na bansaka, muntu ya komite ya malongi, muntu ya mayele ya madia, enzeniere ya logiciel mpi buna na buna.",
		Ttext_8:"Na yau, ntangu bilumbu kekwisa takuma, nge lenda yantika na mbala mosi kuzinga ndosi na nge na kyeleka.",
		Ttext_9:"Sambu na Kopia",
		Ttext_12:"Bansangu mingi ta landa ntama mingi ve!",
		Ttext_13: "Remorque",
		Ttext_14: "Podcast"
	},
	ko: {
		donate: "기부",
		signup: "가입",
		login: "로그인",
		request: "요청",
		agree: "동의",
		cashbook: "현금 장부",
		logout: "로그인 Out",
		Ttext_1:"Copiania 페이지에서 우리는",
		Ttext_2:"풍요의 세계",
		Ttext_3:"와 이 세계가 어떻게 작동해야 하는지에 대해 철학합니다.",
		Ttext_4:"물론 우리는 교환 수단으로 윤리적 돈을 사용합니다.",
		Ttext_5:"우리는 현재 시스템이 붕괴될 때 더 나은 대안 세계를 제대로 파악해야 합니다.",
		Ttext_6:"우리는 모든 사람이 우리 운동에 참여하여 이 새로운 미래를 상상하도록 돕습니다.",
		Ttext_7:"의료, 스포츠 프로모터, 교육 위원회 위원, 식품 전문가, 소프트웨어 엔지니어 등의 전문가로서 자리를 차지하세요.",
		Ttext_8:"그러므로 미래가 도래하면 즉시 꿈을 현실에서 살기 시작할 수 있습니다.",
		Ttext_9:"Copiania에 대하여",
		Ttext_12:"자세한 내용은 곧 알려드리겠습니다!",
		Ttext_13: "트레일러",
		Ttext_14: "팟캐스트"
	},
	kg: {
		donate: "кайрымдуулук",
		signup: "Катталыңыз",
		login: "Кирүү",
		request: "суроо",
		agree: "макул ",
		cashbook: "Cashbook ",
		logout: "Чыгуу",
		Ttext_1:"Copiania барактарында биз жөнүндө философиялайбыз",
		Ttext_2:"Молчулуктун дүйнөсү",
		Ttext_3:"жана бул дүйнө кантип иштеши керек.",
		Ttext_4:"Албетте, биз алмашуу каражаты катары этикалык акчаны колдонобуз.",
		Ttext_5:"Азыркы системабыз кыйраганда жакшыраак, альтернативалуу дүйнөнү туура аныкташыбыз керек.",
		Ttext_6:"Биз бардыгын биздин кыймылга кошулууга жана бул жаңы келечекти элестетүүгө жардам берүүгө чакырабыз.",
		Ttext_7:"Саламаттыкты сактоо боюнча адис, спорт промотору, билим берүү кеңешинин мүчөсү, тамак-аш боюнча эксперт, программалык камсыздоо инженери жана башкалар катары өз ордуңузду талап кылыңыз.",
		Ttext_8:"Ошентип, келечек келгенде, сиз ошол замат кыялыңызда реалдуу жашай баштасаңыз болот.",
		Ttext_9:"Copiania жөнүндө",
		Ttext_12:"Көбүрөөк маалымат жакында болот!",
		Ttext_13: "Трейлер",
		Ttext_14: "Подкаст"
	},
	la: {
		donate: "ບໍລິຈາກ ",
		signup: "ລົງທະບຽນ ",
		login: "ເຂົ້າສູ່ລະບົບ ",
		request: "ຮ້ອງຂໍ ",
		agree: "ຕົກລົງເຫັນດີ ",
		cashbook: "ປື້ມເງິນສົດ ",
		logout: "ອອກຈາກລະບົບ",
		Ttext_1:"ໃນຫນ້າ Copiania ພວກເຮົາ philosophize ກ່ຽວກັບ",
		Ttext_2:"ໂລກຂອງຫຼາຍ",
		Ttext_3:"ແລະໂລກນີ້ຄວນເຮັດວຽກແນວໃດ.",
		Ttext_4:"ແນ່ນອນພວກເຮົາໃຊ້ເງິນຈັນຍາບັນເປັນວິທີການແລກປ່ຽນ.",
		Ttext_5:"ພວກເຮົາຈໍາເປັນຕ້ອງມີໂລກທາງເລືອກທີ່ດີກວ່າທີ່ດີທີ່ຈະຄິດອອກ, ໃນເວລາທີ່ລະບົບປະຈຸບັນຂອງພວກເຮົາພັງທະລາຍ.",
		Ttext_6:"ພວກເຮົາເຊີນທຸກຄົນໃຫ້ເຂົ້າຮ່ວມການເຄື່ອນໄຫວຂອງພວກເຮົາ ແລະຊ່ວຍພວກເຮົາຈິນຕະນາການອະນາຄົດອັນໃໝ່ນີ້.",
		Ttext_7:"ອ້າງສິດຈຸດຂອງທ່ານເປັນຜູ້ຊ່ຽວຊານດ້ານສຸຂະພາບ, ຜູ້ສົ່ງເສີມກິລາ, ສະມາຊິກສະພາການສຶກສາ, ຜູ້ຊ່ຽວຊານດ້ານອາຫານ, ວິສະວະກອນຊອບແວ ແລະ ອື່ນໆ.",
		Ttext_8:"ສະນັ້ນເມື່ອອະນາຄົດມາຮອດ, ເຈົ້າສາມາດເລີ່ມຕົ້ນຊີວິດຄວາມຝັນຂອງເຈົ້າໄດ້ທັນທີ.",
		Ttext_9:"ກ່ຽວກັບ Copinia",
		Ttext_12:"ຂໍ້ມູນເພີ່ມເຕີມຈະຕິດຕາມໃນໄວໆນີ້!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast"
	},
	lv: {
		donate: "Ziedot ",
		signup: "Reģistrēties ",
		login: "Pieteikties ",
		request: "Pieprasīt ",
		agree: "Piekrītu ",
		cashbook: "Kases grāmata ",
		logout: "Iziet ",
		Ttext_1:"Copiania lapās mēs filozofējam par",
		Ttext_2:"Pasaule par daudz",
		Ttext_3:"un kā šai pasaulei vajadzētu darboties.",
		Ttext_4:"Protams, mēs izmantojam Ethical Money kā maiņas līdzekli.",
		Ttext_5:"Mums ir pareizi jāizdomā labāka, alternatīva pasaule, kad mūsu pašreizējā sistēma sabrūk.",
		Ttext_6:"Aicinām ikvienu pievienoties mūsu kustībai un palīdzēt iztēloties šo jauno nākotni.",
		Ttext_7:"Pieprasiet savu vietu kā veselības aprūpes speciālists, sporta veicinātājs, izglītības padomes loceklis, pārtikas eksperts, programmatūras inženieris un tā tālāk.",
		Ttext_8:"Tātad, kad pienāks nākotne, jūs uzreiz varat sākt dzīvot savu sapni realitātē.",
		Ttext_9:"Par Copiania",
		Ttext_12:"Vairāk informācijas sekos drīzumā!",
		Ttext_13: "Treileris ",
		Ttext_14: "Podcast "
	},
	lt: {
		donate: "Paaukoti ",
		signup: "Registruotis ",
		login: "Prisijungti ",
		request: "Prašyti ",
		agree: "Sutinku ",
		cashbook: "Kasos knyga ",
		logout: "Atsijungti",
		Ttext_1:"„Copiania“ puslapiuose filosofuojame apie",
		Ttext_2:"gausybės pasaulis",
		Ttext_3:"ir kaip šis pasaulis turėtų veikti.",
		Ttext_4:"Žinoma, kaip mainų priemonę naudojame etiškus pinigus.",
		Ttext_5:"Turime tinkamai suprasti geresnį alternatyvų pasaulį, kai žlugs mūsų dabartinė sistema.",
		Ttext_6:"Kviečiame visus prisijungti prie mūsų judėjimo ir padėti mums įsivaizduoti šią naują ateitį.",
		Ttext_7:"Pretenduokite į savo vietą kaip sveikatos priežiūros specialistas, sporto rėmėjas, švietimo tarybos narys, maisto ekspertas, programinės įrangos inžinierius ir pan.",
		Ttext_8:"Taigi, kai ateis ateitis, galite akimirksniu pradėti įgyvendinti savo svajonę realybėje.",
		Ttext_9:"Apie Copiania",
		Ttext_12:"Daugiau informacijos bus netrukus!",
		Ttext_13: "Priekaba ",
		Ttext_14: "Podcast "
	},
	hu: {
		donate: "Adományozzon ",
		signup: "Regisztráció ",
		login: "Bejelentkezés",
		request: "Kérjen ",
		agree: "Egyetértek ",
		cashbook: "Pénztárkönyv",
		logout: "Kijelentkezés",
		Ttext_1:"A Copiania oldalain '-ról filozofálunk",
		Ttext_2:"a World of Plenty",
		Ttext_3:"és hogyan kell működnie ennek a világnak.",
		Ttext_4:"Természetesen Ethical Money-t használunk csereeszközként.",
		Ttext_5:"Megfelelően ki kell alakítanunk a jobb, alternatív világot, amikor a jelenlegi rendszerünk összeomlik.",
		Ttext_6:"Mindenkit meghívunk, hogy csatlakozzon mozgalmunkhoz, és segítsen elképzelni ezt az új jövőt.",
		Ttext_7:"Igényelje helyét egészségügyi szakemberként, sportpromócióként, oktatási bizottsági tagként, élelmiszer-szakértőként, szoftvermérnökként és így tovább.",
		Ttext_8:"Így amikor elérkezik a jövő, azonnal elkezdheti megélni álmait a valóságban.",
		Ttext_9:"Copianiáról",
		Ttext_12:"További információk hamarosan!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast "
	},
	mg: {
		donate: "Manome ",
		signup: "Misoratra anarana ",
		login: "Midira ",
		request: "Mangataka ",
		agree: "Manaiky",
		cashbook: "Boky vola ",
		logout: "Hivoaka ",
		Ttext_1:"Ao amin'ny pejy Copiania dia filozofa momba ny",
		Ttext_2:"ny World of Plenty",
		Ttext_3:"ary ahoana no tokony hiasan'ity tontolo ity.",
		Ttext_4:"Mazava ho azy fa mampiasa vola ara-moraly ho fitaovam-panakalozana izahay.",
		Ttext_5:"Mila manana tontolo tsaratsara kokoa sy hafa isika, rehefa mirodana ny rafitra misy antsika ankehitriny.",
		Ttext_6:"Manasa ny rehetra hanatevin-daharana ny hetsikay izahay ary hanampy anay haka sary an-tsaina ity hoavy vaovao ity.",
		Ttext_7:"Angataho ny toeranao ho manam-pahaizana manokana amin'ny fikarakarana ara-pahasalamana, mpanentana ara-panatanjahantena, mpikambana ao amin'ny birao fanabeazana, manam-pahaizana momba ny sakafo, injeniera rindrambaiko sy ny sisa.",
		Ttext_8:"Koa rehefa tonga ny ho avy dia afaka manomboka miaina ny nofinofinao amin'ny tena zava-misy ianao.",
		Ttext_9:"Momba ny Copiania",
		Ttext_12:"Ho avy tsy ho ela ny fampahalalana bebe kokoa!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast"
	},
	ma: {
		donate: "देणगी",
		signup: "साइन अप",
		login: "लॉग इन",
		request: "विनंती",
		agree: "सहमत",
		cashbook: "कॅशबुक",
		logout: "लॉग आउट",
		Ttext_1:"कोपियानियाच्या पानांवर आपण",
		Ttext_2:"प्रचुर प्रमाणात जगा",
		Ttext_3:"आणि हे जग कसे काम करावे याबद्दल तत्त्वज्ञान मांडतो.",
		Ttext_4:"अर्थातच आपण देवाणघेवाणीचे साधन म्हणून नैतिक पैशाचा वापर करतो.",
		Ttext_5:"आपली सध्याची व्यवस्था कोसळल्यावर आपल्याला चांगले, पर्यायी जग योग्यरित्या शोधून काढण्याची आवश्यकता आहे.",
		Ttext_6:"आम्ही सर्वांना आमच्या चळवळीत सामील होण्यासाठी आणि या नवीन भविष्याची कल्पना करण्यास मदत करण्यासाठी आमंत्रित करतो.",
		Ttext_7:"आरोग्यसेवा, क्रीडा प्रमोटर, शिक्षण मंडळाचे सदस्य, अन्न तज्ञ, सॉफ्टवेअर अभियंता इत्यादी क्षेत्रातील तज्ञ म्हणून तुमची जागा दावा करा.",
		Ttext_8:"म्हणून जेव्हा भविष्य येईल तेव्हा तुम्ही तुमचे स्वप्न प्रत्यक्षात आणण्यास त्वरित सुरुवात करू शकता.",
		Ttext_9:"कोपियानियाबद्दल",
		Ttext_12:"अधिक माहिती लवकरच येईल!",
		Ttext_13: "ट्रेलर",
		Ttext_14: "पॉडकास्ट"
	},
	ml: {
		donate: "Menderma",
		signup: "Daftar",
		login: "Log Masuk",
		request: "Permintaan",
		agree: "Setuju",
		cashbook: "Buku tunai",
		logout: "Log Keluar",
		Ttext_1:"Pada halaman Copiania kami berfalsafah tentang",
		Ttext_2:"Dunia Kelimpahan",
		Ttext_3:"dan bagaimana dunia ini harus berfungsi.",
		Ttext_4:"Sudah tentu kami menggunakan Wang Beretika sebagai alat pertukaran.",
		Ttext_5:"Kita perlu mencari dunia alternatif yang lebih baik, apabila sistem semasa kita runtuh.",
		Ttext_6:"Kami menjemput semua orang untuk menyertai pergerakan kami dan membantu kami membayangkan masa depan baharu ini.",
		Ttext_7:"Tuntut tempat anda sebagai pakar dalam penjagaan kesihatan, promotor sukan, ahli lembaga pendidikan, pakar makanan, jurutera perisian dan sebagainya.",
		Ttext_8:"Jadi apabila masa depan tiba, anda serta-merta boleh mula menjalani impian anda dalam realiti.",
		Ttext_9:"Mengenai Copiania",
		Ttext_12:"Maklumat lanjut akan menyusul tidak lama lagi!",
		Ttext_13: "Treler",
		Ttext_14: "Podcast"
	},
	mo: {
		donate: "доллар хандивлана",
		signup: "Бүртгүүлэх ",
		login: "Нэвтрэх ",
		request: "долларын хүсэлт",
		agree: "Зөвшөөрч байна ",
		cashbook: "Бэлэн мөнгөний дэвтэр ",
		logout: "Гарах",
		Ttext_1:"Copiania хуудсан дээр бид долларын тухай философи хийдэг",
		Ttext_2:"долларын элбэг дэлбэг ертөнц",
		Ttext_3:"мөн энэ ертөнц хэрхэн ажиллах ёстой вэ.",
		Ttext_4:"Мэдээж бид Ёс суртахууны мөнгийг солилцооны хэрэгсэл болгон ашигладаг.",
		Ttext_5:"Бидний одоогийн систем сүйрсэн үед бид илүү сайн, өөр ертөнцийг зөв тодорхойлох хэрэгтэй",
		Ttext_6:"Хүн бүрийг манай хөдөлгөөнд нэгдэж, энэ шинэ ирээдүйг төсөөлөхөд туслахыг урьж байна.",
		Ttext_7:"Эрүүл мэндийн салбарын мэргэжилтэн, спортыг дэмжигч, боловсролын зөвлөлийн гишүүн, хүнсний мэргэжилтэн, программ хангамжийн инженер гэх мэт мэргэжлээр өөрийн байр сууриа олоорой.",
		Ttext_8:"Тиймээс ирээдүй ирэхэд та мөрөөдлөө бодитоор хэрэгжүүлж эхлэх боломжтой.",
		Ttext_9:"Copiania '-ын тухай",
		Ttext_12:"Дэлгэрэнгүй мэдээллийг удахгүй оруулах болно!",
		Ttext_13: "Чиргүүл",
		Ttext_14: "Подкаст "
	},
	bu: {
		donate: " လှူဒါန်းပါ။",
		signup: " စာရင်းသွင်းပါ။",
		login: " အကောင့်ဝင်ပါ။",
		request: " တောင်းဆိုပါ။",
		agree: "သဘောတူ ",
		cashbook: "ငွေသားစာအုပ်",
		logout: " ထွက်ပါ။",
		Ttext_1:"Copiania စာမျက်နှာများတွင် ကျွန်ုပ်တို့သည် အကြောင်းကို တွေးခေါ်ပါသည်။",
		Ttext_2:"ဒေါ်လာများစွာရှိသောကမ္ဘာ",
		Ttext_3:"ဒီကမ္ဘာကြီး ဘယ်လိုအလုပ်လုပ်သင့်လဲ။",
		Ttext_4:"ကျွန်ုပ်တို့သည် Ethical Money ကို exchange. အဖြစ်သုံးပါသည်။",
		Ttext_5:"ကျွန်ုပ်တို့၏ လက်ရှိစနစ် ပြိုကျသောအခါတွင် ကျွန်ုပ်တို့သည် ပိုမိုကောင်းမွန်သော၊ အခြားရွေးချယ်စရာကမ္ဘာကို မှန်ကန်စွာ ဖော်ထုတ်နိုင်ရန်လိုအပ်ပါသည်။",
		Ttext_6:"ကျွန်ုပ်တို့၏လှုပ်ရှားမှုတွင် ပါဝင်ရန်နှင့် ဤအနာဂတ်အသစ်ကို စိတ်ကူးပုံဖော်ရာတွင် ကူညီပေးရန် လူတိုင်းကို ကျွန်ုပ်တို့ ဖိတ်ခေါ်ပါသည်။",
		Ttext_7:"ကျန်းမာရေးစောင့်ရှောက်မှု၊ အားကစားမြှင့်တင်သူ၊ ပညာရေးဘုတ်အဖွဲ့ဝင်၊ အစားအသောက်ကျွမ်းကျင်သူ၊ ဆော့ဖ်ဝဲအင်ဂျင်နီယာစသည်ဖြင့် သင့်နေရာကို တောင်းဆိုပါ။",
		Ttext_8:"ဒါကြောင့် အနာဂတ်ရောက်လာတဲ့အခါ မင်းရဲ့အိပ်မက်တွေကို လက်တွေ့မှာ ချက်ချင်းအကောင်အထည်ဖေါ်နိုင်မှာပါ။",
		Ttext_9:"Copiania အကြောင်း",
		Ttext_12:"နောက်ထပ်အချက်အလက်များကို မကြာမီတွင် ဖော်ပြပါမည်!",
		Ttext_13: "အမြည်း ",
		Ttext_14: "ပေါ့တ်ကာစ် "
	},
	ne: {
		donate: "Doneren",
		signup: "Registreren",
		login: "Inloggen",
		request: "Aanvragen",
		agree: "Akkoord",
		cashbook: "Kasboek",
		logout: "Inloggen Out",
		Ttext_1:"Op de Copiania-pagina's filosoferen we over",
		Ttext_2:"de Wereld van Overvloed",
		Ttext_3:"en hoe deze wereld zou moeten werken.",
		Ttext_4:"Natuurlijk gebruiken we Ethisch Geld als ruilmiddel.",
		Ttext_5:"We moeten de betere, alternatieve wereld goed begrijpen, wanneer ons huidige systeem instort.",
		Ttext_6:"We nodigen iedereen uit om zich bij onze beweging aan te sluiten en ons te helpen deze nieuwe toekomst te bedenken.",
		Ttext_7:"Claim je plek als specialist in gezondheidszorg, sportpromotor, bestuurslid van het onderwijs, voedingsdeskundige, software-ingenieur enzovoort.",
		Ttext_8:"Dus wanneer de toekomst aanbreekt, kun je direct beginnen met het waarmaken van je droom.",
		Ttext_9:"Over Copiania",
		Ttext_12:"Binnenkort volgt er meer informatie!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast"
	},
	np: {
		donate: "दान गर्नुहोस्",
		signup: "साइन अप",
		login: "लग इन",
		request: "अनुरोध",
		agree: "सहमत",
		cashbook: "क्यासबुक",
		logout: "लग आउट",
		Ttext_1:"कोपियानिया पृष्ठहरूमा हामी",
		Ttext_2:"प्रचुरताको संसार",
		Ttext_3:"र यो संसारले कसरी काम गर्नुपर्छ भन्ने बारेमा दर्शन गर्छौं।",
		Ttext_4:"अवश्य पनि हामी नैतिक पैसालाई विनिमयको माध्यमको रूपमा प्रयोग गर्छौं।",
		Ttext_5:"हाम्रो वर्तमान प्रणाली ध्वस्त हुँदा हामीले राम्रो, वैकल्पिक संसारलाई राम्रोसँग पत्ता लगाउन आवश्यक छ।",
		Ttext_6:"हामी सबैलाई हाम्रो आन्दोलनमा सामेल हुन र यो नयाँ भविष्यको कल्पना गर्न मद्दत गर्न आमन्त्रित गर्दछौं।",
		Ttext_7:"स्वास्थ्य सेवा, खेलकुद प्रवर्द्धक, शिक्षा बोर्ड सदस्य, खाद्य विशेषज्ञ, सफ्टवेयर इन्जिनियर र यस्तै अन्य क्षेत्रमा विशेषज्ञको रूपमा आफ्नो स्थान दाबी गर्नुहोस्।",
		Ttext_8:"त्यसैले जब भविष्य आउँछ, तपाईं तुरुन्तै आफ्नो सपना वास्तविकतामा बाँच्न सुरु गर्न सक्नुहुन्छ।",
		Ttext_9:"कोपियानियाको बारेमा",
		Ttext_12:"थप जानकारी चाँडै आउनेछ!",
		Ttext_13: "ट्रेलर",
		Ttext_14: "पोडकास्ट"
	},
	no: {
		donate: "Doner ",
		signup: "Registrer deg",
		login: "Logg inn",
		request: "Forespørsel",
		agree: "Enig",
		cashbook: "Kassebok",
		logout: "Logg ut",
		Ttext_1:"På Copiania-sidene filosoferer vi over",
		Ttext_2:"The World of Plenty",
		Ttext_3:"og hvordan denne verden skal fungere.",
		Ttext_4:"Selvfølgelig bruker vi etiske penger som byttemiddel.",
		Ttext_5:"Vi må ha den bedre, alternative verdenen ordentlig funnet ut når vårt nåværende system kollapser.",
		Ttext_6:"Vi inviterer alle til å bli med i bevegelsen vår og hjelpe oss å forestille oss denne nye fremtiden.",
		Ttext_7:"Gjør krav på plassen din som spesialist i helsevesen, sportspromoter, utdanningsstyremedlem, matekspert, programvareingeniør og så videre.",
		Ttext_8:"Så når fremtiden kommer, kan du umiddelbart begynne å leve drømmen din i virkeligheten.",
		Ttext_9:"Om Copiania",
		Ttext_12:"Mer informasjon kommer snart!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast"
	},	
	or: {
		donate: "Arjooma",
		signup: "Galmaa'i",
		login: "Galmee Galchuu",
		request: "Gaaffii",
		agree: "Waliigaluu",
		cashbook: "Kitaaba maallaqaa",
		logout: "Log Out",
		Ttext_1:"Fuula Copiania irratti waa'ee falaasama",
		Ttext_2:"Addunyaa Baay'inaan",
		Ttext_3:"akkasumas addunyaan tun akkamitti hojjechuu akka qabdu.",
		Ttext_4:"Dhugaadha Maallaqa Naamusaa akka meeshaa jijjiirraa fayyadamna.",
		Ttext_5:"Addunyaa fooyya'aa, filannoo ta'e sirriitti adda baafamuu qabna, yeroo sirni keenya ammaa kufe.",
		Ttext_6:"Hunduu sochii keenyatti akka makamtuu fi egeree haaraa kana akka tilmaamnu akka nu gargaartu affeerra.",
		Ttext_7:"Akka ogeessa eegumsa fayyaa, piroomootara ispoortii, miseensa boordii barnootaa, ogeessa nyaataa, injinarii sooftiweerii fi kkf ta'uun bakka keessan gaafadhaa.",
		Ttext_8:"Kanaafuu yeroo egeree gahu battalumatti abjuu kee dhugaatti jiraachuu jalqabuu dandeessa.",
		Ttext_9:"Waa'ee Copiania",
		Ttext_12:"Odeeffannoo dabalataa yeroo dhiyootti ni hordofa!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast"
	},
	pa: {
		donate: "ننوتل",
		signup: "غوښتنه",
		login: "موافقه",
		request: "مړینه",
		agree: "غوښتنه",
		cashbook: "موافقه",
		logout: "نقد کتاب",
		Ttext_1:"د کوپیانیا په پاڼو کې موږ د",
		Ttext_2:"د ډیری نړۍ",
		Ttext_3:"او دا نړۍ باید څنګه کار وکړي په اړه فلسفه کوو.",
		Ttext_4:"البته موږ د تبادلې د وسیلې په توګه اخلاقي پیسې کاروو.",
		Ttext_5:"موږ اړتیا لرو چې غوره، بدیل نړۍ په سمه توګه وپیژنو، کله چې زموږ اوسنی سیسټم سقوط وکړي.",
		Ttext_6:"موږ ټولو ته بلنه ورکوو چې زموږ د غورځنګ سره یوځای شي او د دې نوي راتلونکي تصور کولو کې زموږ سره مرسته وکړي.",
		Ttext_7:"د روغتیا پاملرنې، سپورت پروموټر، د تعلیم بورډ غړي، د خوړو متخصص، سافټویر انجینر او داسې نورو کې د متخصص په توګه خپل ځای ادعا وکړئ.",
		Ttext_8:"نو کله چې راتلونکی راشي، تاسو سمدلاسه کولی شئ په حقیقت کې خپل خوب ژوند پیل کړئ.",
		Ttext_9:"د کوپیانیا په اړه",
		Ttext_12:"نور معلومات به ډیر ژر تعقیب شي!",
		Ttext_13: "ټریلر",
		Ttext_14: "پوډکاسټ"
	},
	pe: {
		donate: " اهدا کنید",
		signup: "ثبت نام ",
		login: "ورود به سیستم ",
		request: "درخواست ",
		agree: "موافق ",
		cashbook: "صندوق نقدی ",
		logout: "خروج از سیستم ",
		Ttext_1:"در صفحات Copiania ما درباره فلسفه می کنیم",
		Ttext_2:"دنیای فراوانی دلار",
		Ttext_3:"و این دنیا چگونه باید کار کند.",
		Ttext_4:"البته ما از پول اخلاقی به عنوان وسیله مبادله استفاده می کنیم",
		Ttext_5:"زمانی که سیستم کنونی ما فروپاشید، باید دنیای بهتر و جایگزین را به درستی کشف کنیم",
		Ttext_6:"ما از همه دعوت می کنیم که به جنبش ما بپیوندند و به ما در تصور این آینده جدید کمک کنند.",
		Ttext_7:"جایگاه خود را به عنوان یک متخصص در مراقبت های بهداشتی، مروج ورزش، عضو هیئت مدیره آموزش، کارشناس مواد غذایی، مهندس نرم افزار و غیره درخواست کنید.",
		Ttext_8:"بنابراین وقتی آینده فرا می رسد، می توانید فوراً رویای خود را در واقعیت زندگی کنید.",
		Ttext_9:"درباره Copiania",
		Ttext_12:"اطلاعات بیشتر به زودی دنبال خواهد شد!",
		Ttext_13: "تریلر",
		Ttext_14: "پادکست"
	},
	po: {
		donate: "Przekaż darowiznę",
		signup: "Zarejestruj się",
		login: "Zaloguj się W",
		request: "Żądanie",
		agree: "Zgadzam się",
		cashbook: "Kasa",
		logout: "Wyloguj",
		Ttext_1:"Na stronach Copianii filozofujemy na temat",
		Ttext_2:"Świata Obfitości",
		Ttext_3:"i tego, jak ten świat powinien działać.",
		Ttext_4:"Oczywiście używamy Etycznych Pieniędzy jako środka wymiany.",
		Ttext_5:"Musimy mieć lepszy, alternatywny świat właściwie opracowany, kiedy nasz obecny system się załamie.",
		Ttext_6:"Zapraszamy wszystkich do przyłączenia się do naszego ruchu i pomocy w wyobrażeniu sobie tej nowej przyszłości.",
		Ttext_7:"Zajmij swoje miejsce jako specjalista w dziedzinie opieki zdrowotnej, promotor sportu, członek zarządu ds. edukacji, ekspert ds. żywności, inżynier oprogramowania itd.",
		Ttext_8:"Więc kiedy nadejdzie przyszłość, natychmiast będziesz mógł zacząć żyć swoim marzeniem w rzeczywistości.",
		Ttext_9:"O Copianii",
		Ttext_12:"Więcej informacji wkrótce!",
		Ttext_13: "Zwiastun",
		Ttext_14: "Podcast"
	},
	pt: {
		donate: "Doar",
		signup: "Inscreva-se",
		login: "Entrar",
		request: "Solicitar",
		agree: "Concordo",
		cashbook: "Livro-caixa",
		logout: "Sair",
		Ttext_1:"Nas páginas da Copiania filosofamos sobre",
		Ttext_2:"o Mundo da Abundância",
		Ttext_3:"e como esse mundo deveria funcionar.",
		Ttext_4:"É claro que usamos o dinheiro ético como meio de troca.",
		Ttext_5:"Precisamos de ter um mundo melhor e alternativo devidamente planeado, quando o nosso sistema actual entrar em colapso.",
		Ttext_6:"Convidamos todos a juntarem-se ao nosso movimento e a ajudarem-nos a imaginar este novo futuro.",
		Ttext_7:"Reivindique o seu lugar como especialista em saúde, promotor desportivo, membro do conselho educacional, especialista em alimentos, engenheiro de software e assim por diante.",
		Ttext_8:"Depois, quando o futuro chegar, poderá começar a viver o seu sonho na realidade imediatamente.",
		Ttext_9:"Sobre Copiania",
		Ttext_12:"Mais informações em breve!",
		Ttext_13: "Reboque",
		Ttext_14: "Podcast"
	},
	ro: {
		donate: "Donează ",
		signup: "Înscrie-te",
		login: "Conectați-vă",
		request: "Solicitare ",
		agree: "De acord",
		cashbook: "Cartea de numerar",
		logout: "Deconectați-vă",
		Ttext_1:"Pe paginile Copiania filosofăm despre",
		Ttext_2:"lumea abundentei",
		Ttext_3:"și cum ar trebui să funcționeze această lume.",
		Ttext_4:"Desigur, folosim Banii Etici ca mijloc de schimb.",
		Ttext_5:"Trebuie să avem o lume mai bună, alternativă, înțeleasă în mod corespunzător, când sistemul nostru actual se prăbușește.",
		Ttext_6:"Îi invităm pe toți să se alăture mișcării noastre și să ne ajute să ne imaginăm acest nou viitor.",
		Ttext_7:"Revendica-ți locul ca specialist în sănătate, promotor sportiv, membru al consiliului de educație, expert alimentar, inginer software și așa mai departe.",
		Ttext_8:"Deci, când vine viitorul, puteți începe instantaneu să vă trăiți visul în realitate.",
		Ttext_9:"Despre Copiania",
		Ttext_12:"Mai multe informații vor urma în curând!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast"
	},
	ru: {
		donate: "Пожертвовать",
		signup: "Регистрация",
		login: "Войти",
		request: "Запрос",
		agree: "Согласен",
		cashbook: "Кассовая книга",
		logout: "Войти Out",
		Ttext_1:"На страницах Copiania мы философствуем о",
		Ttext_2:"Мире Изобилия",
		Ttext_3:"и о том, как этот мир должен работать.",
		Ttext_4:"Конечно, мы используем этические деньги в качестве средства обмена.",
		Ttext_5:"Нам нужно правильно понять лучший, альтернативный мир, когда наша нынешняя система рухнет.",
		Ttext_6:"Мы приглашаем всех присоединиться к нашему движению и помочь нам представить это новое будущее.",
		Ttext_7:"Заявите о себе как о специалисте в области здравоохранения, спортивном промоутере, члене совета по образованию, эксперте по питанию, инженере-программисте и так далее.",
		Ttext_8:"Чтобы, когда наступит будущее, вы сразу же могли начать воплощать свою мечту в реальность.",
		Ttext_9:"О Copiania",
		Ttext_12:"Скоро появится дополнительная информация!",
		Ttext_13: "Трейлер",
		Ttext_14: "Подкаст"
	},
	zi: {
		donate: "Neela ka",
		signup: "Ikwadise",
		login: "Tsena",
		request: "Kopo",
		agree: "Ke a dumela",
		cashbook: "Buka ya madi a a seatleng",
		logout: "Tswa",
		Ttext_1:"Mo ditsebeng tsa Copiania re dira filosofi ka ga",
		Ttext_2:"Lefatshe la Letlotlo",
		Ttext_3:"le gore lefatshe leno le tshwanetse go dira jang.",
		Ttext_4:"Gone mme re dirisa Madi a Boitshwaro jaaka tsela ya kananyo.",
		Ttext_5:"Re tlhoka go nna le lefatshe le le botoka, le lengwe le le akanyeditsweng sentle, fa tsamaiso ya rona ya ga jaana e phutlhama.",
		Ttext_6:"Re laletsa mongwe le mongwe go nna leloko la mokgatlho wa rona le go re thusa go akanya ka isagwe e ntšha eno.",
		Ttext_7:"Tleleima lefelo la gago jaaka mankge wa tlhokomelo ya boitekanelo, morotloetsi wa metshameko, leloko la boto ya thuto, mankge wa dijo, moenjenere wa dirweboleta jalo le jalo.",
		Ttext_8:"Ka jalo fa isagwe e goroga, o ka simolola go tshela toro ya gago ka bonako.",
		Ttext_9:"Ka ga Khopiania",
		Ttext_12:"Tshedimosetso e nngwe e tla latela mo bogautshwaneng!",
		Ttext_13: "Tereilara",
		Ttext_14: "Podkhasete"
	},
	al: {
		donate: "Dhuroni ",
		signup: "Regjistrohu",
		login: "Identifikohu ",
		request: "Kërkesë ",
		agree: "Dakord",
		cashbook: "Libër parash ",
		logout: "Dil ",
		Ttext_1:"Në faqet e Copiania ne filozofojmë rreth",
		Ttext_2:"Bota e Bollëkut",
		Ttext_3:"dhe si duhet të funksionojë kjo botë.",
		Ttext_4:"Natyrisht ne përdorim Paratë Etike si mjet këmbimi.",
		Ttext_5:"Ne duhet të kuptojmë siç duhet botën më të mirë, alternative, kur sistemi ynë aktual të shembet.",
		Ttext_6:"Ftojmë të gjithë të bashkohen me lëvizjen tonë dhe të na ndihmojnë të imagjinojmë këtë të ardhme të re.",
		Ttext_7:"Kërkoni vendin tuaj si specialist në kujdesin shëndetësor, promovues sporti, anëtar i bordit arsimor, ekspert ushqimi, inxhinier softuerësh e kështu me radhë.",
		Ttext_8:"Pra, kur të vijë e ardhmja, ju mund të filloni menjëherë të jetoni ëndrrën tuaj në realitet.",
		Ttext_9:"Rreth Copiania",
		Ttext_12:"Më shumë informacion do të vijojë së shpejti!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast"
	},
	sl: {
		donate: "Donirajte ",
		signup: "Prijavite se ",
		login: "Prijavite se ",
		request: "Zahtevaj ",
		agree: "Se strinjam ",
		cashbook: "Blagajna ",
		logout: "Odjava",
		Ttext_1:"Na straneh Copianie filozofiramo o",
		Ttext_2:"Svet obilja",
		Ttext_3:"in kako naj ta svet deluje.",
		Ttext_4:"Seveda uporabljamo etični denar kot sredstvo menjave.",
		Ttext_5:"Ko se naš sedanji sistem sesuje, moramo pravilno razumeti boljši, alternativni svet.",
		Ttext_6:"Vabimo vse, da se pridružijo našemu gibanju in nam pomagajo predstavljati to novo prihodnost.",
		Ttext_7:"Zahtevajte svoje mesto kot strokovnjak za zdravstveno varstvo, promotor športa, član izobraževalnega odbora, strokovnjak za hrano, inženir programske opreme in tako naprej.",
		Ttext_8:"Torej, ko pride prihodnost, lahko takoj začnete živeti svoje sanje v resničnosti.",
		Ttext_9:"O Copiania",
		Ttext_12:"Več informacij sledi kmalu!",
		Ttext_13: "Napovednik",
		Ttext_14: "Podcast"
	},
	sk: {
		donate: "Darovať ",
		signup: "Zaregistrujte sa ",
		login: "Prihlásiť sa ",
		request: "Žiadosť ",
		agree: "Súhlas ",
		cashbook: "Pokladničná knižka ",
		logout: "Odhlásiť sa ",
		Ttext_1:"Na stránkach Copiania filozofujeme o",
		Ttext_2:"World of Plenty",
		Ttext_3:"a ako by mal tento svet fungovať.",
		Ttext_4:"Ako prostriedok výmeny samozrejme používame etické peniaze.",
		Ttext_5:"Keď náš súčasný systém skolabuje, musíme mať lepší alternatívny svet",
		Ttext_6:"Pozývame všetkých, aby sa pripojili k nášmu hnutiu a pomohli nám predstaviť si túto novú budúcnosť.",
		Ttext_7:"Požiadajte o svoje miesto ako špecialista v zdravotníctve, propagátor športu, člen rady pre vzdelávanie, odborník na potraviny, softvérový inžinier atď.",
		Ttext_8:"Takže keď príde budúcnosť, môžete okamžite začať žiť svoj sen v realite.",
		Ttext_9:"O Copiania",
		Ttext_12:"Viac informácií bude nasledovať čoskoro!",
		Ttext_13: "Trailer ",
		Ttext_14: "Podcast "
	},
	so: {
		donate: "Deeq ",
		signup: "Isdiiwaangeli",
		login: "Gal ",
		request: "Codsi",
		agree: "heshiiya",
		cashbook: "Buuga-cashka ",
		logout: "Ka bax ",
		Ttext_1:"Bogagga Copiania waxaynu ku falanqeynay",
		Ttext_2:"Adduunka Badhan",
		Ttext_3:"iyo sida aduunkani u shaqeeyo.",
		Ttext_4:"Dabcan waxaan u isticmaalnaa Lacagta Anshaxa si ay wax uga beddelaan.",
		Ttext_5:"Waxaan u baahannahay inaan helno adduun kale oo wanaagsan oo si habboon loo qiyaaso, marka nidaamkayaga hadda uu burburo.",
		Ttext_6:"Waxaan ku martiqaadeynaa qof walba inuu ku soo biiro dhaqdhaqaaqayaga oo uu naga caawiyo inaan qiyaasno mustaqbalkan cusub.",
		Ttext_7:"Codso booskaaga takhasuska daryeelka caafimaadka, dhiirrigeliyaha isboortiga, xubin guddiga waxbarashada, khabiirka cuntada, injineer software iyo wixii la mid ah.",
		Ttext_8:"Markaa markuu mustaqbalku yimaado, isla markiiba waxaad bilaabi kartaa inaad ku noolaato riyadaada dhabta ah.",
		Ttext_9:"Ku saabsan Copiania",
		Ttext_12:"Macluumaad dheeri ah ayaa dhawaan raaci doona!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast"
	},
	fi: {
		donate: "Lahjoita ",
		signup: "Rekisteröidy ",
		login: "Kirjaudu sisään ",
		request: "Pyydä ",
		agree: "samaa mieltä ",
		cashbook: "Kassakirja ",
		logout: "Kirjaudu ulos",
		Ttext_1:"Copianian sivuilla filosofoimme",
		Ttext_2:"World of Plenty",
		Ttext_3:"ja kuinka tämän maailman pitäisi toimia.",
		Ttext_4:"Käytämme tietysti eettistä rahaa vaihtovälineenä.",
		Ttext_5:"Meidän täytyy saada parempi, vaihtoehtoinen maailma oikein selvitettyä, kun nykyinen järjestelmämme romahtaa.",
		Ttext_6:"Kutsumme kaikki liittymään liikkeeseen ja auttamaan meitä kuvittelemaan tätä uutta tulevaisuutta.",
		Ttext_7:"Lunasta paikkasi terveydenhuollon asiantuntijana, urheilun edistäjänä, koulutuslautakunnan jäsenenä, elintarvikeasiantuntijana, ohjelmistosuunnittelijana ja niin edelleen.",
		Ttext_8:"Joten kun tulevaisuus saapuu, voit heti alkaa elää unelmaasi todellisuudessa.",
		Ttext_9:"Tietoja Copiania",
		Ttext_12:"Lisätietoa tulossa pian!",
		Ttext_13: "Traileri ",
		Ttext_14: "Podcast "
	},
	sw: {
		donate: "Donera ",
		signup: "Registrera ",
		login: "Logga in",
		request: "Begär ",
		agree: "Håller med ",
		cashbook: "Kassabok",
		logout: "Logga ut",
		Ttext_1:"På Copiania-sidorna filosoferar vi över",
		Ttext_2:"the World of Plenty",
		Ttext_3:"och hur denna värld ska fungera.",
		Ttext_4:"Naturligtvis använder vi Etiska Pengar som växlingsmedel.",
		Ttext_5:"Vi måste få den bättre, alternativa världen på rätt sätt, när vårt nuvarande system kollapsar.",
		Ttext_6:"Vi inbjuder alla att gå med i vår rörelse och hjälpa oss att föreställa oss denna nya framtid.",
		Ttext_7:"Gör anspråk på din plats som specialist inom hälsovård, sportpromotor, utbildningsstyrelsemedlem, livsmedelsexpert, mjukvaruingenjör och så vidare.",
		Ttext_8:"Så när framtiden anländer kan du omedelbart börja leva din dröm i verkligheten.",
		Ttext_9:"Om Copiania",
		Ttext_12:"Mer information kommer snart!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast"
	},
	ta: {
		donate: "நன்கொடை",
		signup: "பதிவுசெய்க",
		login: "உள்நுழை",
		request: "கோரிக்கை",
		agree: "ஒப்புக்கொள்கிறேன்",
		cashbook: "பணப்புத்தகம்",
		logout: "வெளியேறு",
		Ttext_1:"கோபியானியா பக்கங்களில்,",
		Ttext_2:"ஏராளமான உலகம்",
		Ttext_3:"மற்றும் இந்த உலகம் எவ்வாறு செயல்பட வேண்டும் என்பது பற்றி நாங்கள் தத்துவம் பேசுகிறோம்.",
		Ttext_4:"நிச்சயமாக நாம் நெறிமுறை பணத்தை பரிமாற்ற வழிமுறையாகப் பயன்படுத்துகிறோம்.",
		Ttext_5:"நமது தற்போதைய அமைப்பு சரிந்தவுடன், சிறந்த, மாற்று உலகத்தை நாம் சரியாகக் கண்டுபிடிக்க வேண்டும்.",
		Ttext_6:"எங்கள் இயக்கத்தில் சேரவும், இந்த புதிய எதிர்காலத்தை கற்பனை செய்ய எங்களுக்கு உதவவும் அனைவரையும் அழைக்கிறோம்.",
		Ttext_7:"சுகாதாரப் பராமரிப்பு, விளையாட்டு விளம்பரதாரர், கல்வி வாரிய உறுப்பினர், உணவு நிபுணர், மென்பொருள் பொறியாளர் மற்றும் பலவற்றில் நிபுணராக உங்கள் இடத்தைப் பெறுங்கள்.",
		Ttext_8:"எனவே எதிர்காலம் வரும்போது, உங்கள் கனவை உடனடியாக நிஜத்தில் வாழத் தொடங்கலாம்.",
		Ttext_9:"கோபியானியா பற்றி",
		Ttext_12:"மேலும் தகவல்கள் விரைவில் தொடரும்!",
		Ttext_13: "டிரெய்லர்",
		Ttext_14: "பாட்காஸ்ட்"
	},
	th: {
		donate: "บริจาค",
		signup: "สมัคร",
		login: "เข้าสู่ระบบ ใน",
		request: "คำขอ",
		agree: "ตกลง",
		cashbook: "Cashbook",
		logout: "ออกจากระบบ",
		Ttext_1:"ในหน้า Copiania เราเน้นปรัชญาเกี่ยวกับ",
		Ttext_2:"โลกแห่งความอุดมสมบูรณ์",
		Ttext_3:"และวิธีที่โลกนี้ควรดำเนินไป",
		Ttext_4:"แน่นอนว่าเราใช้เงินที่ถูกต้องตามจริยธรรมเป็นสื่อกลางในการแลกเปลี่ยน",
		Ttext_5:"เราจำเป็นต้องคิดหาทางเลือกที่ดีกว่าอย่างเหมาะสมเมื่อระบบปัจจุบันของเราล่มสลาย",
		Ttext_6:"เราขอเชิญทุกคนเข้าร่วมการเคลื่อนไหวของเราและช่วยเราจินตนาการถึงอนาคตใหม่นี้",
		Ttext_7:"คว้าตำแหน่งของคุณในฐานะผู้เชี่ยวชาญด้านการดูแลสุขภาพ ผู้ส่งเสริมกีฬา สมาชิกคณะกรรมการการศึกษา ผู้เชี่ยวชาญด้านอาหาร วิศวกรซอฟต์แวร์ และอื่นๆ",
		Ttext_8:"ดังนั้นเมื่ออนาคตมาถึง คุณสามารถเริ่มใช้ชีวิตในฝันของคุณให้เป็นจริงได้ทันที",
		Ttext_9:"เกี่ยวกับ Copiania",
		Ttext_12:"จะมีข้อมูลเพิ่มเติมตามมาเร็วๆ นี้!",
		Ttext_13: "ตัวอย่าง",
		Ttext_14: "พอดแคสต์"
	},
	vi: {
		donate: "Quyên góp",
		signup: "Đăng ký",
		login: "Đăng nhập",
		request: "Yêu cầu",
		agree: "Đồng ý",
		cashbook: "Sổ tiền mặt",
		logout: "Đăng xuất",
		Ttext_1:"Trên các trang Copiania, chúng tôi triết lý về",
		Ttext_2:"Thế giới sung túc",
		Ttext_3:"và cách thế giới này nên vận hành.",
		Ttext_4:"Tất nhiên chúng tôi sử dụng Tiền đạo đức làm phương tiện trao đổi.",
		Ttext_5:"Chúng ta cần phải có thế giới thay thế tốt đẹp hơn được định hình đúng đắn, khi hệ thống hiện tại của chúng ta sụp đổ.",
		Ttext_6:"Chúng tôi mời mọi người tham gia phong trào của chúng tôi và giúp chúng tôi hình dung ra tương lai mới này.",
		Ttext_7:"Hãy khẳng định vị trí của bạn với tư cách là chuyên gia trong lĩnh vực chăm sóc sức khỏe, nhà quảng bá thể thao, thành viên hội đồng giáo dục, chuyên gia thực phẩm, kỹ sư phần mềm, v.v.",
		Ttext_8:"Vì vậy, khi tương lai đến, bạn có thể ngay lập tức bắt đầu sống trong giấc mơ của mình thành hiện thực.",
		Ttext_9:"Về Copiania",
		Ttext_12:"Sẽ sớm có thêm thông tin!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast"
	},
	tu: {
		donate: "Bağış yapın",
		signup: "Kaydolun",
		login: "Giriş yapın In",
		request: "İstek",
		agree: "Kabul",
		cashbook: "Kasa",
		logout: "Çıkış",
		Ttext_1:"Copiania sayfalarında",
		Ttext_2:"Bolluk Dünyası",
		Ttext_3:"ve bu dünyanın nasıl çalışması gerektiği hakkında felsefe yapıyoruz.",
		Ttext_4:"Elbette Etik Parayı değişim aracı olarak kullanıyoruz.",
		Ttext_5:"Mevcut sistemimiz çöktüğünde daha iyi, alternatif dünyayı doğru bir şekilde çözmemiz gerekiyor.",
		Ttext_6:"Herkesi hareketimize katılmaya ve bu yeni geleceği hayal etmemize yardımcı olmaya davet ediyoruz.",
		Ttext_7:"Sağlık alanında uzman, spor tanıtımcısı, eğitim kurulu üyesi, gıda uzmanı, yazılım mühendisi vb. olarak yerinizi talep edin.",
		Ttext_8:"Böylece gelecek geldiğinde, hayalinizi gerçek hayatta yaşamaya anında başlayabilirsiniz.",
		Ttext_9:"Copiania Hakkında",
		Ttext_12:"Yakında daha fazla bilgi gelecek!",
		Ttext_13: "Fragman",
		Ttext_14: "Podcast"
	},
	ur: {
		donate: "ڈالر عطیہ کریں۔",
		signup: "سائن اپ کریں ",
		login: "لاگ ان ",
		request: " کی درخواست کریں۔",
		agree: "متفق ہیں ",
		cashbook: "کیش بک ",
		logout: "لاگ آؤٹ ",
		Ttext_1:"Copiania کے صفحات پر ہم کے بارے میں فلسفہ بیان کرتے ہیں۔",
		Ttext_2:"کافی مقدار کی دنیا",
		Ttext_3:"اور اس دنیا کو کیسے کام کرنا چاہیے۔",
		Ttext_4:"یقیناً ہم ایتھیکل منی کو تبادلے کے ذرائع کے طور پر استعمال کرتے ہیں۔",
		Ttext_5:"ہمیں بہتر، متبادل دنیا کو صحیح طریقے سے تلاش کرنے کی ضرورت ہے، جب ہمارا موجودہ نظام ٹوٹ جائے گا۔",
		Ttext_6:"ہم سب کو دعوت دیتے ہیں کہ وہ ہماری تحریک میں شامل ہوں اور اس نئے مستقبل کا تصور کرنے میں ہماری مدد کریں۔",
		Ttext_7:"صحت کی دیکھ بھال، کھیل کو فروغ دینے والے، تعلیمی بورڈ کے رکن، خوراک کے ماہر، سافٹ ویئر انجینئر وغیرہ کے ماہر کے طور پر اپنی جگہ کا دعوی کریں۔",
		Ttext_8:"لہذا جب مستقبل آتا ہے، آپ فوری طور پر اپنے خواب کو حقیقت میں جینا شروع کر سکتے ہیں۔",
		Ttext_9:"Copiania کے بارے میں",
		Ttext_12:"مزید معلومات جلد ہی پیروی کریں گے!",
		Ttext_13: "ٹریلر",
		Ttext_14: "پوڈ کاسٹ ڈالر"
	},
	yo: {
		donate: "Ṣetọrẹ",
		signup: "Forukọsilẹ ",
		login: "Wọle ",
		request: "Ìbéèrè",
		agree: "gba ",
		cashbook: "Iwe owo ",
		logout: "Jade ",
		Ttext_1:"Lori awọn oju-iwe Coopiania a ṣe imoye nipa",
		Ttext_2:"Agbaye Opolopo",
		Ttext_3:"ati bi o ti yẹ ki aiye yii ṣiṣẹ.",
		Ttext_4:"Dajudaju a nlo Owo Iwa bi ọna paṣipaarọ.",
		Ttext_5:"A nilo lati ni ohun ti o dara julọ, aye yiyan daradara ti ṣayẹwo jade, nigbati eto wa lọwọlọwọ ṣubu.",
		Ttext_6:"A pe gbogbo eniyan lati darapọ mọ ẹgbẹ wa ati lati ṣe iranlọwọ fun wa lati fojuinu ọjọ iwaju tuntun yii",
		Ttext_7:"Beere aaye rẹ gẹgẹbi alamọja ni ilera, olupolowo ere idaraya, ọmọ ẹgbẹ igbimọ eto-ẹkọ, alamọja ounjẹ, ẹlẹrọ sọfitiwia ati bẹbẹ lọ.",
		Ttext_8:"Nitorinaa nigbati ọjọ iwaju ba de, lesekese o le bẹrẹ gbigbe ala rẹ ni otitọ.",
		Ttext_9:"Nipa Copiania",
		Ttext_12:"Alaye diẹ sii yoo tẹle laipẹ!",
		Ttext_13: "Tirela",
		Ttext_14: "Adarọ-ese"
	}
}


const languageSelectop = document.querySelector("select");

languageSelectop.addEventListener("change", (event) => {
	setLanguage(event.target.value);
	if (window.localStorage) {
    	localStorage.setItem("site-language", event.target.value);
 	}
})
let donate = document.getElementById("donate");
let signup = document.getElementById("signup");
let login = document.getElementById("login");
let request = document.getElementById("request");
let agree = document.getElementById("agree");
let cashbook = document.getElementById("cashbook");
let logout = document.getElementById("logout");
let text_1 = document.getElementById("text_1");
let text_2 = document.getElementById("text_2");
let text_3 = document.getElementById("text_3");
let text_4 = document.getElementById("text_4");
let text_5 = document.getElementById("text_5");
let text_6 = document.getElementById("text_6");
let text_7 = document.getElementById("text_7");
let text_8 = document.getElementById("text_8");
let text_9 = document.getElementById("text_9");
let text_10 = document.getElementById("text_10");
let text_11 = document.getElementById("text_11");
let text_12 = document.getElementById("text_12");
let text_13 = document.getElementById("text_13");
let text_14 = document.getElementById("text_14");


const setLanguage = (language) => {
	if(language == "ah"){
		if (donate) {donate.innerText = translations.ah.donate;}
		if (signup) {signup.innerText = translations.ah.signup;}
		if (login) {login.innerText = translations.ah.login;}
		signup.innerText = translations.ah.signup;
		login.innerText = translations.ah.login;
		text_1.innerText = translations.ah.Ttext_1;
		text_2.innerText = translations.ah.Ttext_2;
		text_3.innerText = translations.ah.Ttext_3;
		text_4.innerText = translations.ah.Ttext_4;
		text_5.innerText = translations.ah.Ttext_5;
		text_6.innerText = translations.ah.Ttext_6;
		text_7.innerText = translations.ah.Ttext_7;
		text_8.innerText = translations.ah.Ttext_8;
		text_9.innerText = translations.ah.Ttext_9;
		text_12.innerText = translations.ah.Ttext_12;
		text_13.innerText = translations.ah.Ttext_13;
		text_14.innerText = translations.ah.Ttext_14;
	}else if(language == "ar"){
		if (donate) {donate.innerText = translations.ar.donate;}
		if (signup) {signup.innerText = translations.ar.signup;}
		if (login) {login.innerText = translations.ar.login;}
		signup.innerText = translations.ar.signup;
		login.innerText = translations.ar.login;
		text_1.innerText = translations.ar.Ttext_1;
		text_2.innerText = translations.ar.Ttext_2;
		text_3.innerText = translations.ar.Ttext_3;
		text_4.innerText = translations.ar.Ttext_4;
		text_5.innerText = translations.ar.Ttext_5;
		text_6.innerText = translations.ar.Ttext_6;
		text_7.innerText = translations.ar.Ttext_7;
		text_8.innerText = translations.ar.Ttext_8;
		text_9.innerText = translations.ar.Ttext_9;
		text_12.innerText = translations.ar.Ttext_12;
		text_13.innerText = translations.ar.Ttext_13;
		text_14.innerText = translations.ar.Ttext_14;
	}else if(language == "am"){
		if (donate) {donate.innerText = translations.am.donate;}
		if (signup) {signup.innerText = translations.am.signup;}
		if (login) {login.innerText = translations.am.login;}
		signup.innerText = translations.am.signup;
		login.innerText = translations.am.login;
		text_1.innerText = translations.am.Ttext_1;
		text_2.innerText = translations.am.Ttext_2;
		text_3.innerText = translations.am.Ttext_3;
		text_4.innerText = translations.am.Ttext_4;
		text_5.innerText = translations.am.Ttext_5;
		text_6.innerText = translations.am.Ttext_6;
		text_7.innerText = translations.am.Ttext_7;
		text_8.innerText = translations.am.Ttext_8;
		text_9.innerText = translations.am.Ttext_9;
		text_12.innerText = translations.am.Ttext_12;
		text_13.innerText = translations.am.Ttext_13;
		text_14.innerText = translations.am.Ttext_14;
	}else if(language == "az"){
		if (donate) {donate.innerText = translations.az.donate;}
		if (signup) {signup.innerText = translations.az.signup;}
		if (login) {login.innerText = translations.az.login;}
		signup.innerText = translations.az.signup;
		login.innerText = translations.az.login;
		text_1.innerText = translations.az.Ttext_1;
		text_2.innerText = translations.az.Ttext_2;
		text_3.innerText = translations.az.Ttext_3;
		text_4.innerText = translations.az.Ttext_4;
		text_5.innerText = translations.az.Ttext_5;
		text_6.innerText = translations.az.Ttext_6;
		text_7.innerText = translations.az.Ttext_7;
		text_8.innerText = translations.az.Ttext_8;
		text_9.innerText = translations.az.Ttext_9;
		text_12.innerText = translations.az.Ttext_12;
		text_13.innerText = translations.az.Ttext_13;
		text_14.innerText = translations.az.Ttext_14;
	}else if(language == "by"){
		if (donate) {donate.innerText = translations.by.donate;}
		if (signup) {signup.innerText = translations.by.signup;}
		if (login) {login.innerText = translations.by.login;}
		signup.innerText = translations.by.signup;
		login.innerText = translations.by.login;
		text_1.innerText = translations.by.Ttext_1;
		text_2.innerText = translations.by.Ttext_2;
		text_3.innerText = translations.by.Ttext_3;
		text_4.innerText = translations.by.Ttext_4;
		text_5.innerText = translations.by.Ttext_5;
		text_6.innerText = translations.by.Ttext_6;
		text_7.innerText = translations.by.Ttext_7;
		text_8.innerText = translations.by.Ttext_8;
		text_9.innerText = translations.by.Ttext_9;
		text_12.innerText = translations.by.Ttext_12;
		text_13.innerText = translations.by.Ttext_13;
		text_14.innerText = translations.by.Ttext_14;
	}else if(language == "be"){
		if (donate) {donate.innerText = translations.be.donate;}
		if (signup) {signup.innerText = translations.be.signup;}
		if (login) {login.innerText = translations.be.login;}
		signup.innerText = translations.be.signup;
		login.innerText = translations.be.login;
		text_1.innerText = translations.be.Ttext_1;
		text_2.innerText = translations.be.Ttext_2;
		text_3.innerText = translations.be.Ttext_3;
		text_4.innerText = translations.be.Ttext_4;
		text_5.innerText = translations.be.Ttext_5;
		text_6.innerText = translations.be.Ttext_6;
		text_7.innerText = translations.be.Ttext_7;
		text_8.innerText = translations.be.Ttext_8;
		text_9.innerText = translations.be.Ttext_9;
		text_12.innerText = translations.be.Ttext_12;
		text_13.innerText = translations.be.Ttext_13;
		text_14.innerText = translations.be.Ttext_14;
	}else if(language == "bo"){
		if (donate) {donate.innerText = translations.bo.donate;}
		if (signup) {signup.innerText = translations.bo.signup;}
		if (login) {login.innerText = translations.bo.login;}
		signup.innerText = translations.bo.signup;
		login.innerText = translations.bo.login;
		text_1.innerText = translations.bo.Ttext_1;
		text_2.innerText = translations.bo.Ttext_2;
		text_3.innerText = translations.bo.Ttext_3;
		text_4.innerText = translations.bo.Ttext_4;
		text_5.innerText = translations.bo.Ttext_5;
		text_6.innerText = translations.bo.Ttext_6;
		text_7.innerText = translations.bo.Ttext_7;
		text_8.innerText = translations.bo.Ttext_8;
		text_9.innerText = translations.bo.Ttext_9;
		text_12.innerText = translations.bo.Ttext_12;
		text_13.innerText = translations.bo.Ttext_13;
		text_14.innerText = translations.bo.Ttext_14;
	}else if(language == "bg"){
		if (donate) {donate.innerText = translations.bg.donate;}
		if (signup) {signup.innerText = translations.bg.signup;}
		if (login) {login.innerText = translations.bg.login;}
		signup.innerText = translations.bg.signup;
		login.innerText = translations.bg.login;
		text_1.innerText = translations.bg.Ttext_1;
		text_2.innerText = translations.bg.Ttext_2;
		text_3.innerText = translations.bg.Ttext_3;
		text_4.innerText = translations.bg.Ttext_4;
		text_5.innerText = translations.bg.Ttext_5;
		text_6.innerText = translations.bg.Ttext_6;
		text_7.innerText = translations.bg.Ttext_7;
		text_8.innerText = translations.bg.Ttext_8;
		text_9.innerText = translations.bg.Ttext_9;
		text_12.innerText = translations.bg.Ttext_12;
		text_13.innerText = translations.bg.Ttext_13;
		text_14.innerText = translations.bg.Ttext_14;
	}else if(language == "ca"){
		if (donate) {donate.innerText = translations.ca.donate;}
		if (signup) {signup.innerText = translations.ca.signup;}
		if (login) {login.innerText = translations.ca.login;}
		signup.innerText = translations.ca.signup;
		login.innerText = translations.ca.login;
		text_1.innerText = translations.ca.Ttext_1;
		text_2.innerText = translations.ca.Ttext_2;
		text_3.innerText = translations.ca.Ttext_3;
		text_4.innerText = translations.ca.Ttext_4;
		text_5.innerText = translations.ca.Ttext_5;
		text_6.innerText = translations.ca.Ttext_6;
		text_7.innerText = translations.ca.Ttext_7;
		text_8.innerText = translations.ca.Ttext_8;
		text_9.innerText = translations.ca.Ttext_9;
		text_12.innerText = translations.ca.Ttext_12;
		text_13.innerText = translations.ca.Ttext_13;
		text_14.innerText = translations.ca.Ttext_14;
	}else if(language == "ch"){
		if (donate) {donate.innerText = translations.ch.donate;}
		if (signup) {signup.innerText = translations.ch.signup;}
		if (login) {login.innerText = translations.ch.login;}
		signup.innerText = translations.ch.signup;
		login.innerText = translations.ch.login;
		text_1.innerText = translations.ch.Ttext_1;
		text_2.innerText = translations.ch.Ttext_2;
		text_3.innerText = translations.ch.Ttext_3;
		text_4.innerText = translations.ch.Ttext_4;
		text_5.innerText = translations.ch.Ttext_5;
		text_6.innerText = translations.ch.Ttext_6;
		text_7.innerText = translations.ch.Ttext_7;
		text_8.innerText = translations.ch.Ttext_8;
		text_9.innerText = translations.ch.Ttext_9;
		text_12.innerText = translations.ch.Ttext_12;
		text_13.innerText = translations.ch.Ttext_13;
		text_14.innerText = translations.ch.Ttext_14;
	}else if(language == "cz"){
		if (donate) {donate.innerText = translations.cz.donate;}
		if (signup) {signup.innerText = translations.cz.signup;}
		if (login) {login.innerText = translations.cz.login;}
		signup.innerText = translations.cz.signup;
		login.innerText = translations.cz.login;
		text_1.innerText = translations.cz.Ttext_1;
		text_2.innerText = translations.cz.Ttext_2;
		text_3.innerText = translations.cz.Ttext_3;
		text_4.innerText = translations.cz.Ttext_4;
		text_5.innerText = translations.cz.Ttext_5;
		text_6.innerText = translations.cz.Ttext_6;
		text_7.innerText = translations.cz.Ttext_7;
		text_8.innerText = translations.cz.Ttext_8;
		text_9.innerText = translations.cz.Ttext_9;
		text_12.innerText = translations.cz.Ttext_12;
		text_13.innerText = translations.cz.Ttext_13;
		text_14.innerText = translations.cz.Ttext_14;
	}else if(language == "se"){
		if (donate) {donate.innerText = translations.se.donate;}
		if (signup) {signup.innerText = translations.se.signup;}
		if (login) {login.innerText = translations.se.login;}
		signup.innerText = translations.se.signup;
		login.innerText = translations.se.login;
		text_1.innerText = translations.se.Ttext_1;
		text_2.innerText = translations.se.Ttext_2;
		text_3.innerText = translations.se.Ttext_3;
		text_4.innerText = translations.se.Ttext_4;
		text_5.innerText = translations.se.Ttext_5;
		text_6.innerText = translations.se.Ttext_6;
		text_7.innerText = translations.se.Ttext_7;
		text_8.innerText = translations.se.Ttext_8;
		text_9.innerText = translations.se.Ttext_9;
		text_12.innerText = translations.se.Ttext_12;
		text_13.innerText = translations.se.Ttext_13;
		text_14.innerText = translations.se.Ttext_14;
	}else if(language == "da"){
		if (donate) {donate.innerText = translations.da.donate;}
		if (signup) {signup.innerText = translations.da.signup;}
		if (login) {login.innerText = translations.da.login;}
		signup.innerText = translations.da.signup;
		login.innerText = translations.da.login;
		text_1.innerText = translations.da.Ttext_1;
		text_2.innerText = translations.da.Ttext_2;
		text_3.innerText = translations.da.Ttext_3;
		text_4.innerText = translations.da.Ttext_4;
		text_5.innerText = translations.da.Ttext_5;
		text_6.innerText = translations.da.Ttext_6;
		text_7.innerText = translations.da.Ttext_7;
		text_8.innerText = translations.da.Ttext_8;
		text_9.innerText = translations.da.Ttext_9;
		text_12.innerText = translations.da.Ttext_12;
		text_13.innerText = translations.da.Ttext_13;
		text_14.innerText = translations.da.Ttext_14;
	}else if(language == "de"){
		if (donate) {donate.innerText = translations.de.donate;}
		if (signup) {signup.innerText = translations.de.signup;}
		if (login) {login.innerText = translations.de.login;}
		signup.innerText = translations.de.signup;
		login.innerText = translations.de.login;
		text_1.innerText = translations.de.Ttext_1;
		text_2.innerText = translations.de.Ttext_2;
		text_3.innerText = translations.de.Ttext_3;
		text_4.innerText = translations.de.Ttext_4;
		text_5.innerText = translations.de.Ttext_5;
		text_6.innerText = translations.de.Ttext_6;
		text_7.innerText = translations.de.Ttext_7;
		text_8.innerText = translations.de.Ttext_8;
		text_9.innerText = translations.de.Ttext_9;
		text_12.innerText = translations.de.Ttext_12;
		text_13.innerText = translations.de.Ttext_13;
		text_14.innerText = translations.de.Ttext_14;
	}else if(language == "en"){
		if (donate) {donate.innerText = translations.en.donate;}
		if (signup) {signup.innerText = translations.en.signup;}
		if (login) {login.innerText = translations.en.login;}
		signup.innerText = translations.en.signup;
		login.innerText = translations.en.login;
		text_1.innerText = translations.en.Ttext_1;
		text_2.innerText = translations.en.Ttext_2;
		text_3.innerText = translations.en.Ttext_3;
		text_4.innerText = translations.en.Ttext_4;
		text_5.innerText = translations.en.Ttext_5;
		text_6.innerText = translations.en.Ttext_6;
		text_7.innerText = translations.en.Ttext_7;
		text_8.innerText = translations.en.Ttext_8;
		text_9.innerText = translations.en.Ttext_9;
		text_12.innerText = translations.en.Ttext_12;
		text_13.innerText = translations.en.Ttext_13;
		text_14.innerText = translations.en.Ttext_14;
	}else if(language == "es"){
		if (donate) {donate.innerText = translations.es.donate;}
		if (signup) {signup.innerText = translations.es.signup;}
		if (login) {login.innerText = translations.es.login;}
		signup.innerText = translations.es.signup;
		login.innerText = translations.es.login;
		text_1.innerText = translations.es.Ttext_1;
		text_2.innerText = translations.es.Ttext_2;
		text_3.innerText = translations.es.Ttext_3;
		text_4.innerText = translations.es.Ttext_4;
		text_5.innerText = translations.es.Ttext_5;
		text_6.innerText = translations.es.Ttext_6;
		text_7.innerText = translations.es.Ttext_7;
		text_8.innerText = translations.es.Ttext_8;
		text_9.innerText = translations.es.Ttext_9;
		text_12.innerText = translations.es.Ttext_12;
		text_13.innerText = translations.es.Ttext_13;
		text_14.innerText = translations.es.Ttext_14;
	}else if(language == "fp"){
		if (donate) {donate.innerText = translations.fp.donate;}
		if (signup) {signup.innerText = translations.fp.signup;}
		if (login) {login.innerText = translations.fp.login;}
		signup.innerText = translations.fp.signup;
		login.innerText = translations.fp.login;
		text_1.innerText = translations.fp.Ttext_1;
		text_2.innerText = translations.fp.Ttext_2;
		text_3.innerText = translations.fp.Ttext_3;
		text_4.innerText = translations.fp.Ttext_4;
		text_5.innerText = translations.fp.Ttext_5;
		text_6.innerText = translations.fp.Ttext_6;
		text_7.innerText = translations.fp.Ttext_7;
		text_8.innerText = translations.fp.Ttext_8;
		text_9.innerText = translations.fp.Ttext_9;
		text_12.innerText = translations.fp.Ttext_12;
		text_13.innerText = translations.fp.Ttext_13;
		text_14.innerText = translations.fp.Ttext_14;
	}else if(language == "fr"){
		if (donate) {donate.innerText = translations.fr.donate;}
		if (signup) {signup.innerText = translations.fr.signup;}
		if (login) {login.innerText = translations.fr.login;}
		signup.innerText = translations.fr.signup;
		login.innerText = translations.fr.login;
		text_1.innerText = translations.fr.Ttext_1;
		text_2.innerText = translations.fr.Ttext_2;
		text_3.innerText = translations.fr.Ttext_3;
		text_4.innerText = translations.fr.Ttext_4;
		text_5.innerText = translations.fr.Ttext_5;
		text_6.innerText = translations.fr.Ttext_6;
		text_7.innerText = translations.fr.Ttext_7;
		text_8.innerText = translations.fr.Ttext_8;
		text_9.innerText = translations.fr.Ttext_9;
		text_12.innerText = translations.fr.Ttext_12;
		text_13.innerText = translations.fr.Ttext_13;
		text_14.innerText = translations.fr.Ttext_14;
	}else if(language == "ir"){
		if (donate) {donate.innerText = translations.ir.donate;}
		if (signup) {signup.innerText = translations.ir.signup;}
		if (login) {login.innerText = translations.ir.login;}
		signup.innerText = translations.ir.signup;
		login.innerText = translations.ir.login;
		text_1.innerText = translations.ir.Ttext_1;
		text_2.innerText = translations.ir.Ttext_2;
		text_3.innerText = translations.ir.Ttext_3;
		text_4.innerText = translations.ir.Ttext_4;
		text_5.innerText = translations.ir.Ttext_5;
		text_6.innerText = translations.ir.Ttext_6;
		text_7.innerText = translations.ir.Ttext_7;
		text_8.innerText = translations.ir.Ttext_8;
		text_9.innerText = translations.ir.Ttext_9;
		text_12.innerText = translations.ir.Ttext_12;
		text_13.innerText = translations.ir.Ttext_13;
		text_14.innerText = translations.ir.Ttext_14;
	}else if(language == "gr"){
		if (donate) {donate.innerText = translations.gr.donate;}
		if (signup) {signup.innerText = translations.gr.signup;}
		if (login) {login.innerText = translations.gr.login;}
		signup.innerText = translations.gr.signup;
		login.innerText = translations.gr.login;
		text_1.innerText = translations.gr.Ttext_1;
		text_2.innerText = translations.gr.Ttext_2;
		text_3.innerText = translations.gr.Ttext_3;
		text_4.innerText = translations.gr.Ttext_4;
		text_5.innerText = translations.gr.Ttext_5;
		text_6.innerText = translations.gr.Ttext_6;
		text_7.innerText = translations.gr.Ttext_7;
		text_8.innerText = translations.gr.Ttext_8;
		text_9.innerText = translations.gr.Ttext_9;
		text_12.innerText = translations.gr.Ttext_12;
		text_13.innerText = translations.gr.Ttext_13;
		text_14.innerText = translations.gr.Ttext_14;
	}else if(language == "ha"){
		if (donate) {donate.innerText = translations.ha.donate;}
		if (signup) {signup.innerText = translations.ha.signup;}
		if (login) {login.innerText = translations.ha.login;}
		signup.innerText = translations.ha.signup;
		login.innerText = translations.ha.login;
		text_1.innerText = translations.ha.Ttext_1;
		text_2.innerText = translations.ha.Ttext_2;
		text_3.innerText = translations.ha.Ttext_3;
		text_4.innerText = translations.ha.Ttext_4;
		text_5.innerText = translations.ha.Ttext_5;
		text_6.innerText = translations.ha.Ttext_6;
		text_7.innerText = translations.ha.Ttext_7;
		text_8.innerText = translations.ha.Ttext_8;
		text_9.innerText = translations.ha.Ttext_9;
		text_12.innerText = translations.ha.Ttext_12;
		text_13.innerText = translations.ha.Ttext_13;
		text_14.innerText = translations.ha.Ttext_14;
	}else if(language == "he"){
		if (donate) {donate.innerText = translations.he.donate;}
		if (signup) {signup.innerText = translations.he.signup;}
		if (login) {login.innerText = translations.he.login;}
		signup.innerText = translations.he.signup;
		login.innerText = translations.he.login;
		text_1.innerText = translations.he.Ttext_1;
		text_2.innerText = translations.he.Ttext_2;
		text_3.innerText = translations.he.Ttext_3;
		text_4.innerText = translations.he.Ttext_4;
		text_5.innerText = translations.he.Ttext_5;
		text_6.innerText = translations.he.Ttext_6;
		text_7.innerText = translations.he.Ttext_7;
		text_8.innerText = translations.he.Ttext_8;
		text_9.innerText = translations.he.Ttext_9;
		text_12.innerText = translations.he.Ttext_12;
		text_13.innerText = translations.he.Ttext_13;
		text_14.innerText = translations.he.Ttext_14;
	}else if(language == "hi"){
		if (donate) {donate.innerText = translations.hi.donate;}
		if (signup) {signup.innerText = translations.hi.signup;}
		if (login) {login.innerText = translations.hi.login;}
		signup.innerText = translations.hi.signup;
		login.innerText = translations.hi.login;
		text_1.innerText = translations.hi.Ttext_1;
		text_2.innerText = translations.hi.Ttext_2;
		text_3.innerText = translations.hi.Ttext_3;
		text_4.innerText = translations.hi.Ttext_4;
		text_5.innerText = translations.hi.Ttext_5;
		text_6.innerText = translations.hi.Ttext_6;
		text_7.innerText = translations.hi.Ttext_7;
		text_8.innerText = translations.hi.Ttext_8;
		text_9.innerText = translations.hi.Ttext_9;
		text_12.innerText = translations.hi.Ttext_12;
		text_13.innerText = translations.hi.Ttext_13;
		text_14.innerText = translations.hi.Ttext_14;
	}else if(language == "cr"){
		if (donate) {donate.innerText = translations.cr.donate;}
		if (signup) {signup.innerText = translations.cr.signup;}
		if (login) {login.innerText = translations.cr.login;}
		signup.innerText = translations.cr.signup;
		login.innerText = translations.cr.login;
		text_1.innerText = translations.cr.Ttext_1;
		text_2.innerText = translations.cr.Ttext_2;
		text_3.innerText = translations.cr.Ttext_3;
		text_4.innerText = translations.cr.Ttext_4;
		text_5.innerText = translations.cr.Ttext_5;
		text_6.innerText = translations.cr.Ttext_6;
		text_7.innerText = translations.cr.Ttext_7;
		text_8.innerText = translations.cr.Ttext_8;
		text_9.innerText = translations.cr.Ttext_9;
		text_12.innerText = translations.cr.Ttext_12;
		text_13.innerText = translations.cr.Ttext_13;
		text_14.innerText = translations.cr.Ttext_14;
	}else if(language == "ig"){
		if (donate) {donate.innerText = translations.ig.donate;}
		if (signup) {signup.innerText = translations.ig.signup;}
		if (login) {login.innerText = translations.ig.login;}
		signup.innerText = translations.ig.signup;
		login.innerText = translations.ig.login;
		text_1.innerText = translations.ig.Ttext_1;
		text_2.innerText = translations.ig.Ttext_2;
		text_3.innerText = translations.ig.Ttext_3;
		text_4.innerText = translations.ig.Ttext_4;
		text_5.innerText = translations.ig.Ttext_5;
		text_6.innerText = translations.ig.Ttext_6;
		text_7.innerText = translations.ig.Ttext_7;
		text_8.innerText = translations.ig.Ttext_8;
		text_9.innerText = translations.ig.Ttext_9;
		text_12.innerText = translations.ig.Ttext_12;
		text_13.innerText = translations.ig.Ttext_13;
		text_14.innerText = translations.ig.Ttext_14;
	}else if(language == "in"){
		if (donate) {donate.innerText = translations.in.donate;}
		if (signup) {signup.innerText = translations.in.signup;}
		if (login) {login.innerText = translations.in.login;}
		signup.innerText = translations.in.signup;
		login.innerText = translations.in.login;
		text_1.innerText = translations.in.Ttext_1;
		text_2.innerText = translations.in.Ttext_2;
		text_3.innerText = translations.in.Ttext_3;
		text_4.innerText = translations.in.Ttext_4;
		text_5.innerText = translations.in.Ttext_5;
		text_6.innerText = translations.in.Ttext_6;
		text_7.innerText = translations.in.Ttext_7;
		text_8.innerText = translations.in.Ttext_8;
		text_9.innerText = translations.in.Ttext_9;
		text_12.innerText = translations.in.Ttext_12;
		text_13.innerText = translations.in.Ttext_13;
		text_14.innerText = translations.in.Ttext_14;
	}else if(language == "ic"){
		if (donate) {donate.innerText = translations.ic.donate;}
		if (signup) {signup.innerText = translations.ic.signup;}
		if (login) {login.innerText = translations.ic.login;}
		signup.innerText = translations.ic.signup;
		login.innerText = translations.ic.login;
		text_1.innerText = translations.ic.Ttext_1;
		text_2.innerText = translations.ic.Ttext_2;
		text_3.innerText = translations.ic.Ttext_3;
		text_4.innerText = translations.ic.Ttext_4;
		text_5.innerText = translations.ic.Ttext_5;
		text_6.innerText = translations.ic.Ttext_6;
		text_7.innerText = translations.ic.Ttext_7;
		text_8.innerText = translations.ic.Ttext_8;
		text_9.innerText = translations.ic.Ttext_9;
		text_12.innerText = translations.ic.Ttext_12;
		text_13.innerText = translations.ic.Ttext_13;
		text_14.innerText = translations.ic.Ttext_14;
	}else if(language == "it"){
		if (donate) {donate.innerText = translations.it.donate;}
		if (signup) {signup.innerText = translations.it.signup;}
		if (login) {login.innerText = translations.it.login;}
		signup.innerText = translations.it.signup;
		login.innerText = translations.it.login;
		text_1.innerText = translations.it.Ttext_1;
		text_2.innerText = translations.it.Ttext_2;
		text_3.innerText = translations.it.Ttext_3;
		text_4.innerText = translations.it.Ttext_4;
		text_5.innerText = translations.it.Ttext_5;
		text_6.innerText = translations.it.Ttext_6;
		text_7.innerText = translations.it.Ttext_7;
		text_8.innerText = translations.it.Ttext_8;
		text_9.innerText = translations.it.Ttext_9;
		text_12.innerText = translations.it.Ttext_12;
		text_13.innerText = translations.it.Ttext_13;
		text_14.innerText = translations.it.Ttext_14;
	}else if(language == "ja"){
		if (donate) {donate.innerText = translations.ja.donate;}
		if (signup) {signup.innerText = translations.ja.signup;}
		if (login) {login.innerText = translations.ja.login;}
		signup.innerText = translations.ja.signup;
		login.innerText = translations.ja.login;
		text_1.innerText = translations.ja.Ttext_1;
		text_2.innerText = translations.ja.Ttext_2;
		text_3.innerText = translations.ja.Ttext_3;
		text_4.innerText = translations.ja.Ttext_4;
		text_5.innerText = translations.ja.Ttext_5;
		text_6.innerText = translations.ja.Ttext_6;
		text_7.innerText = translations.ja.Ttext_7;
		text_8.innerText = translations.ja.Ttext_8;
		text_9.innerText = translations.ja.Ttext_9;
		text_12.innerText = translations.ja.Ttext_12;
		text_13.innerText = translations.ja.Ttext_13;
		text_14.innerText = translations.ja.Ttext_14;
	}else if(language == "ka"){
		if (donate) {donate.innerText = translations.ka.donate;}
		if (signup) {signup.innerText = translations.ka.signup;}
		if (login) {login.innerText = translations.ka.login;}
		signup.innerText = translations.ka.signup;
		login.innerText = translations.ka.login;
		text_1.innerText = translations.ka.Ttext_1;
		text_2.innerText = translations.ka.Ttext_2;
		text_3.innerText = translations.ka.Ttext_3;
		text_4.innerText = translations.ka.Ttext_4;
		text_5.innerText = translations.ka.Ttext_5;
		text_6.innerText = translations.ka.Ttext_6;
		text_7.innerText = translations.ka.Ttext_7;
		text_8.innerText = translations.ka.Ttext_8;
		text_9.innerText = translations.ka.Ttext_9;
		text_12.innerText = translations.ka.Ttext_12;
		text_13.innerText = translations.ka.Ttext_13;
		text_14.innerText = translations.ka.Ttext_14;
	}else if(language == "kh"){
		if (donate) {donate.innerText = translations.kh.donate;}
		if (signup) {signup.innerText = translations.kh.signup;}
		if (login) {login.innerText = translations.kh.login;}
		signup.innerText = translations.kh.signup;
		login.innerText = translations.kh.login;
		text_1.innerText = translations.kh.Ttext_1;
		text_2.innerText = translations.kh.Ttext_2;
		text_3.innerText = translations.kh.Ttext_3;
		text_4.innerText = translations.kh.Ttext_4;
		text_5.innerText = translations.kh.Ttext_5;
		text_6.innerText = translations.kh.Ttext_6;
		text_7.innerText = translations.kh.Ttext_7;
		text_8.innerText = translations.kh.Ttext_8;
		text_9.innerText = translations.kh.Ttext_9;
		text_12.innerText = translations.kh.Ttext_12;
		text_13.innerText = translations.kh.Ttext_13;
		text_14.innerText = translations.kh.Ttext_14;
	}else if(language == "ki"){
		if (donate) {donate.innerText = translations.ki.donate;}
		if (signup) {signup.innerText = translations.ki.signup;}
		if (login) {login.innerText = translations.ki.login;}
		signup.innerText = translations.ki.signup;
		login.innerText = translations.ki.login;
		text_1.innerText = translations.ki.Ttext_1;
		text_2.innerText = translations.ki.Ttext_2;
		text_3.innerText = translations.ki.Ttext_3;
		text_4.innerText = translations.ki.Ttext_4;
		text_5.innerText = translations.ki.Ttext_5;
		text_6.innerText = translations.ki.Ttext_6;
		text_7.innerText = translations.ki.Ttext_7;
		text_8.innerText = translations.ki.Ttext_8;
		text_9.innerText = translations.ki.Ttext_9;
		text_12.innerText = translations.ki.Ttext_12;
		text_13.innerText = translations.ki.Ttext_13;
		text_14.innerText = translations.ki.Ttext_14;
	}else if(language == "sh"){
		if (donate) {donate.innerText = translations.sh.donate;}
		if (signup) {signup.innerText = translations.sh.signup;}
		if (login) {login.innerText = translations.sh.login;}
		signup.innerText = translations.sh.signup;
		login.innerText = translations.sh.login;
		text_1.innerText = translations.sh.Ttext_1;
		text_2.innerText = translations.sh.Ttext_2;
		text_3.innerText = translations.sh.Ttext_3;
		text_4.innerText = translations.sh.Ttext_4;
		text_5.innerText = translations.sh.Ttext_5;
		text_6.innerText = translations.sh.Ttext_6;
		text_7.innerText = translations.sh.Ttext_7;
		text_8.innerText = translations.sh.Ttext_8;
		text_9.innerText = translations.sh.Ttext_9;
		text_12.innerText = translations.sh.Ttext_12;
		text_13.innerText = translations.sh.Ttext_13;
		text_14.innerText = translations.sh.Ttext_14;
	}else if(language == "co"){
		if (donate) {donate.innerText = translations.co.donate;}
		if (signup) {signup.innerText = translations.co.signup;}
		if (login) {login.innerText = translations.co.login;}
		signup.innerText = translations.co.signup;
		login.innerText = translations.co.login;
		text_1.innerText = translations.co.Ttext_1;
		text_2.innerText = translations.co.Ttext_2;
		text_3.innerText = translations.co.Ttext_3;
		text_4.innerText = translations.co.Ttext_4;
		text_5.innerText = translations.co.Ttext_5;
		text_6.innerText = translations.co.Ttext_6;
		text_7.innerText = translations.co.Ttext_7;
		text_8.innerText = translations.co.Ttext_8;
		text_9.innerText = translations.co.Ttext_9;
		text_12.innerText = translations.co.Ttext_12;
		text_13.innerText = translations.co.Ttext_13;
		text_14.innerText = translations.co.Ttext_14;
	}else if(language == "ko"){
		if (donate) {donate.innerText = translations.ko.donate;}
		if (signup) {signup.innerText = translations.ko.signup;}
		if (login) {login.innerText = translations.ko.login;}
		signup.innerText = translations.ko.signup;
		login.innerText = translations.ko.login;
		text_1.innerText = translations.ko.Ttext_1;
		text_2.innerText = translations.ko.Ttext_2;
		text_3.innerText = translations.ko.Ttext_3;
		text_4.innerText = translations.ko.Ttext_4;
		text_5.innerText = translations.ko.Ttext_5;
		text_6.innerText = translations.ko.Ttext_6;
		text_7.innerText = translations.ko.Ttext_7;
		text_8.innerText = translations.ko.Ttext_8;
		text_9.innerText = translations.ko.Ttext_9;
		text_12.innerText = translations.ko.Ttext_12;
		text_13.innerText = translations.ko.Ttext_13;
		text_14.innerText = translations.ko.Ttext_14;
	}else if(language == "kg"){
		if (donate) {donate.innerText = translations.kg.donate;}
		if (signup) {signup.innerText = translations.kg.signup;}
		if (login) {login.innerText = translations.kg.login;}
		signup.innerText = translations.kg.signup;
		login.innerText = translations.kg.login;
		text_1.innerText = translations.kg.Ttext_1;
		text_2.innerText = translations.kg.Ttext_2;
		text_3.innerText = translations.kg.Ttext_3;
		text_4.innerText = translations.kg.Ttext_4;
		text_5.innerText = translations.kg.Ttext_5;
		text_6.innerText = translations.kg.Ttext_6;
		text_7.innerText = translations.kg.Ttext_7;
		text_8.innerText = translations.kg.Ttext_8;
		text_9.innerText = translations.kg.Ttext_9;
		text_12.innerText = translations.kg.Ttext_12;
		text_13.innerText = translations.kg.Ttext_13;
		text_14.innerText = translations.kg.Ttext_14;
	}else if(language == "la"){
		if (donate) {donate.innerText = translations.la.donate;}
		if (signup) {signup.innerText = translations.la.signup;}
		if (login) {login.innerText = translations.la.login;}
		signup.innerText = translations.la.signup;
		login.innerText = translations.la.login;
		text_1.innerText = translations.la.Ttext_1;
		text_2.innerText = translations.la.Ttext_2;
		text_3.innerText = translations.la.Ttext_3;
		text_4.innerText = translations.la.Ttext_4;
		text_5.innerText = translations.la.Ttext_5;
		text_6.innerText = translations.la.Ttext_6;
		text_7.innerText = translations.la.Ttext_7;
		text_8.innerText = translations.la.Ttext_8;
		text_9.innerText = translations.la.Ttext_9;
		text_12.innerText = translations.la.Ttext_12;
		text_13.innerText = translations.la.Ttext_13;
		text_14.innerText = translations.la.Ttext_14;
	}else if(language == "lv"){
		if (donate) {donate.innerText = translations.lv.donate;}
		if (signup) {signup.innerText = translations.lv.signup;}
		if (login) {login.innerText = translations.lv.login;}
		signup.innerText = translations.lv.signup;
		login.innerText = translations.lv.login;
		text_1.innerText = translations.lv.Ttext_1;
		text_2.innerText = translations.lv.Ttext_2;
		text_3.innerText = translations.lv.Ttext_3;
		text_4.innerText = translations.lv.Ttext_4;
		text_5.innerText = translations.lv.Ttext_5;
		text_6.innerText = translations.lv.Ttext_6;
		text_7.innerText = translations.lv.Ttext_7;
		text_8.innerText = translations.lv.Ttext_8;
		text_9.innerText = translations.lv.Ttext_9;
		text_12.innerText = translations.lv.Ttext_12;
		text_13.innerText = translations.lv.Ttext_13;
		text_14.innerText = translations.lv.Ttext_14;
	}else if(language == "lt"){
		if (donate) {donate.innerText = translations.lt.donate;}
		if (signup) {signup.innerText = translations.lt.signup;}
		if (login) {login.innerText = translations.lt.login;}
		signup.innerText = translations.lt.signup;
		login.innerText = translations.lt.login;
		text_1.innerText = translations.lt.Ttext_1;
		text_2.innerText = translations.lt.Ttext_2;
		text_3.innerText = translations.lt.Ttext_3;
		text_4.innerText = translations.lt.Ttext_4;
		text_5.innerText = translations.lt.Ttext_5;
		text_6.innerText = translations.lt.Ttext_6;
		text_7.innerText = translations.lt.Ttext_7;
		text_8.innerText = translations.lt.Ttext_8;
		text_9.innerText = translations.lt.Ttext_9;
		text_12.innerText = translations.lt.Ttext_12;
		text_13.innerText = translations.lt.Ttext_13;
		text_14.innerText = translations.lt.Ttext_14;
	}else if(language == "hu"){
		if (donate) {donate.innerText = translations.hu.donate;}
		if (signup) {signup.innerText = translations.hu.signup;}
		if (login) {login.innerText = translations.hu.login;}
		signup.innerText = translations.hu.signup;
		login.innerText = translations.hu.login;
		text_1.innerText = translations.hu.Ttext_1;
		text_2.innerText = translations.hu.Ttext_2;
		text_3.innerText = translations.hu.Ttext_3;
		text_4.innerText = translations.hu.Ttext_4;
		text_5.innerText = translations.hu.Ttext_5;
		text_6.innerText = translations.hu.Ttext_6;
		text_7.innerText = translations.hu.Ttext_7;
		text_8.innerText = translations.hu.Ttext_8;
		text_9.innerText = translations.hu.Ttext_9;
		text_12.innerText = translations.hu.Ttext_12;
		text_13.innerText = translations.hu.Ttext_13;
		text_14.innerText = translations.hu.Ttext_14;
	}else if(language == "mg"){
		if (donate) {donate.innerText = translations.mg.donate;}
		if (signup) {signup.innerText = translations.mg.signup;}
		if (login) {login.innerText = translations.mg.login;}
		signup.innerText = translations.mg.signup;
		login.innerText = translations.mg.login;
		text_1.innerText = translations.mg.Ttext_1;
		text_2.innerText = translations.mg.Ttext_2;
		text_3.innerText = translations.mg.Ttext_3;
		text_4.innerText = translations.mg.Ttext_4;
		text_5.innerText = translations.mg.Ttext_5;
		text_6.innerText = translations.mg.Ttext_6;
		text_7.innerText = translations.mg.Ttext_7;
		text_8.innerText = translations.mg.Ttext_8;
		text_9.innerText = translations.mg.Ttext_9;
		text_12.innerText = translations.mg.Ttext_12;
		text_13.innerText = translations.mg.Ttext_13;
		text_14.innerText = translations.mg.Ttext_14;
	}else if(language == "ma"){
		if (donate) {donate.innerText = translations.ma.donate;}
		if (signup) {signup.innerText = translations.ma.signup;}
		if (login) {login.innerText = translations.ma.login;}
		signup.innerText = translations.ma.signup;
		login.innerText = translations.ma.login;
		text_1.innerText = translations.ma.Ttext_1;
		text_2.innerText = translations.ma.Ttext_2;
		text_3.innerText = translations.ma.Ttext_3;
		text_4.innerText = translations.ma.Ttext_4;
		text_5.innerText = translations.ma.Ttext_5;
		text_6.innerText = translations.ma.Ttext_6;
		text_7.innerText = translations.ma.Ttext_7;
		text_8.innerText = translations.ma.Ttext_8;
		text_9.innerText = translations.ma.Ttext_9;
		text_12.innerText = translations.ma.Ttext_12;
		text_13.innerText = translations.ma.Ttext_13;
		text_14.innerText = translations.ma.Ttext_14;
	}else if(language == "ml"){
		if (donate) {donate.innerText = translations.ml.donate;}
		if (signup) {signup.innerText = translations.ml.signup;}
		if (login) {login.innerText = translations.ml.login;}
		signup.innerText = translations.ml.signup;
		login.innerText = translations.ml.login;
		text_1.innerText = translations.ml.Ttext_1;
		text_2.innerText = translations.ml.Ttext_2;
		text_3.innerText = translations.ml.Ttext_3;
		text_4.innerText = translations.ml.Ttext_4;
		text_5.innerText = translations.ml.Ttext_5;
		text_6.innerText = translations.ml.Ttext_6;
		text_7.innerText = translations.ml.Ttext_7;
		text_8.innerText = translations.ml.Ttext_8;
		text_9.innerText = translations.ml.Ttext_9;
		text_12.innerText = translations.ml.Ttext_12;
		text_13.innerText = translations.ml.Ttext_13;
		text_14.innerText = translations.ml.Ttext_14;
	}else if(language == "mo"){
		if (donate) {donate.innerText = translations.mo.donate;}
		if (signup) {signup.innerText = translations.mo.signup;}
		if (login) {login.innerText = translations.mo.login;}
		signup.innerText = translations.mo.signup;
		login.innerText = translations.mo.login;
		text_1.innerText = translations.mo.Ttext_1;
		text_2.innerText = translations.mo.Ttext_2;
		text_3.innerText = translations.mo.Ttext_3;
		text_4.innerText = translations.mo.Ttext_4;
		text_5.innerText = translations.mo.Ttext_5;
		text_6.innerText = translations.mo.Ttext_6;
		text_7.innerText = translations.mo.Ttext_7;
		text_8.innerText = translations.mo.Ttext_8;
		text_9.innerText = translations.mo.Ttext_9;
		text_12.innerText = translations.mo.Ttext_12;
		text_13.innerText = translations.mo.Ttext_13;
		text_14.innerText = translations.mo.Ttext_14;
	}else if(language == "bu"){
		if (donate) {donate.innerText = translations.bu.donate;}
		if (signup) {signup.innerText = translations.bu.signup;}
		if (login) {login.innerText = translations.bu.login;}
		signup.innerText = translations.bu.signup;
		login.innerText = translations.bu.login;
		text_1.innerText = translations.bu.Ttext_1;
		text_2.innerText = translations.bu.Ttext_2;
		text_3.innerText = translations.bu.Ttext_3;
		text_4.innerText = translations.bu.Ttext_4;
		text_5.innerText = translations.bu.Ttext_5;
		text_6.innerText = translations.bu.Ttext_6;
		text_7.innerText = translations.bu.Ttext_7;
		text_8.innerText = translations.bu.Ttext_8;
		text_9.innerText = translations.bu.Ttext_9;
		text_12.innerText = translations.bu.Ttext_12;
		text_13.innerText = translations.bu.Ttext_13;
		text_14.innerText = translations.bu.Ttext_14;
	}else if(language == "ne"){
		if (donate) {donate.innerText = translations.ne.donate;}
		if (signup) {signup.innerText = translations.ne.signup;}
		if (login) {login.innerText = translations.ne.login;}
		signup.innerText = translations.ne.signup;
		login.innerText = translations.ne.login;
		text_1.innerText = translations.ne.Ttext_1;
		text_2.innerText = translations.ne.Ttext_2;
		text_3.innerText = translations.ne.Ttext_3;
		text_4.innerText = translations.ne.Ttext_4;
		text_5.innerText = translations.ne.Ttext_5;
		text_6.innerText = translations.ne.Ttext_6;
		text_7.innerText = translations.ne.Ttext_7;
		text_8.innerText = translations.ne.Ttext_8;
		text_9.innerText = translations.ne.Ttext_9;
		text_12.innerText = translations.ne.Ttext_12;
		text_13.innerText = translations.ne.Ttext_13;
		text_14.innerText = translations.ne.Ttext_14;
	}else if(language == "np"){
		if (donate) {donate.innerText = translations.np.donate;}
		if (signup) {signup.innerText = translations.np.signup;}
		if (login) {login.innerText = translations.np.login;}
		signup.innerText = translations.np.signup;
		login.innerText = translations.np.login;
		text_1.innerText = translations.np.Ttext_1;
		text_2.innerText = translations.np.Ttext_2;
		text_3.innerText = translations.np.Ttext_3;
		text_4.innerText = translations.np.Ttext_4;
		text_5.innerText = translations.np.Ttext_5;
		text_6.innerText = translations.np.Ttext_6;
		text_7.innerText = translations.np.Ttext_7;
		text_8.innerText = translations.np.Ttext_8;
		text_9.innerText = translations.np.Ttext_9;
		text_12.innerText = translations.np.Ttext_12;
		text_13.innerText = translations.np.Ttext_13;
		text_14.innerText = translations.np.Ttext_14;
	}else if(language == "no"){
		if (donate) {donate.innerText = translations.no.donate;}
		if (signup) {signup.innerText = translations.no.signup;}
		if (login) {login.innerText = translations.no.login;}
		signup.innerText = translations.no.signup;
		login.innerText = translations.no.login;
		text_1.innerText = translations.no.Ttext_1;
		text_2.innerText = translations.no.Ttext_2;
		text_3.innerText = translations.no.Ttext_3;
		text_4.innerText = translations.no.Ttext_4;
		text_5.innerText = translations.no.Ttext_5;
		text_6.innerText = translations.no.Ttext_6;
		text_7.innerText = translations.no.Ttext_7;
		text_8.innerText = translations.no.Ttext_8;
		text_9.innerText = translations.no.Ttext_9;
		text_12.innerText = translations.no.Ttext_12;
		text_13.innerText = translations.no.Ttext_13;
		text_14.innerText = translations.no.Ttext_14;
	}else if(language == "or"){
		if (donate) {donate.innerText = translations.or.donate;}
		if (signup) {signup.innerText = translations.or.signup;}
		if (login) {login.innerText = translations.or.login;}
		signup.innerText = translations.or.signup;
		login.innerText = translations.or.login;
		text_1.innerText = translations.or.Ttext_1;
		text_2.innerText = translations.or.Ttext_2;
		text_3.innerText = translations.or.Ttext_3;
		text_4.innerText = translations.or.Ttext_4;
		text_5.innerText = translations.or.Ttext_5;
		text_6.innerText = translations.or.Ttext_6;
		text_7.innerText = translations.or.Ttext_7;
		text_8.innerText = translations.or.Ttext_8;
		text_9.innerText = translations.or.Ttext_9;
		text_12.innerText = translations.or.Ttext_12;
		text_13.innerText = translations.or.Ttext_13;
		text_14.innerText = translations.or.Ttext_14;
	}else if(language == "pa"){
		if (donate) {donate.innerText = translations.pa.donate;}
		if (signup) {signup.innerText = translations.pa.signup;}
		if (login) {login.innerText = translations.pa.login;}
		signup.innerText = translations.pa.signup;
		login.innerText = translations.pa.login;
		text_1.innerText = translations.pa.Ttext_1;
		text_2.innerText = translations.pa.Ttext_2;
		text_3.innerText = translations.pa.Ttext_3;
		text_4.innerText = translations.pa.Ttext_4;
		text_5.innerText = translations.pa.Ttext_5;
		text_6.innerText = translations.pa.Ttext_6;
		text_7.innerText = translations.pa.Ttext_7;
		text_8.innerText = translations.pa.Ttext_8;
		text_9.innerText = translations.pa.Ttext_9;
		text_12.innerText = translations.pa.Ttext_12;
		text_13.innerText = translations.pa.Ttext_13;
		text_14.innerText = translations.pa.Ttext_14;
	}else if(language == "pe"){
		if (donate) {donate.innerText = translations.pe.donate;}
		if (signup) {signup.innerText = translations.pe.signup;}
		if (login) {login.innerText = translations.pe.login;}
		signup.innerText = translations.pe.signup;
		login.innerText = translations.pe.login;
		text_1.innerText = translations.pe.Ttext_1;
		text_2.innerText = translations.pe.Ttext_2;
		text_3.innerText = translations.pe.Ttext_3;
		text_4.innerText = translations.pe.Ttext_4;
		text_5.innerText = translations.pe.Ttext_5;
		text_6.innerText = translations.pe.Ttext_6;
		text_7.innerText = translations.pe.Ttext_7;
		text_8.innerText = translations.pe.Ttext_8;
		text_9.innerText = translations.pe.Ttext_9;
		text_12.innerText = translations.pe.Ttext_12;
		text_13.innerText = translations.pe.Ttext_13;
		text_14.innerText = translations.pe.Ttext_14;
	}else if(language == "po"){
		if (donate) {donate.innerText = translations.po.donate;}
		if (signup) {signup.innerText = translations.po.signup;}
		if (login) {login.innerText = translations.po.login;}
		signup.innerText = translations.po.signup;
		login.innerText = translations.po.login;
		text_1.innerText = translations.po.Ttext_1;
		text_2.innerText = translations.po.Ttext_2;
		text_3.innerText = translations.po.Ttext_3;
		text_4.innerText = translations.po.Ttext_4;
		text_5.innerText = translations.po.Ttext_5;
		text_6.innerText = translations.po.Ttext_6;
		text_7.innerText = translations.po.Ttext_7;
		text_8.innerText = translations.po.Ttext_8;
		text_9.innerText = translations.po.Ttext_9;
		text_12.innerText = translations.po.Ttext_12;
		text_13.innerText = translations.po.Ttext_13;
		text_14.innerText = translations.po.Ttext_14;
	}else if(language == "pt"){
		if (donate) {donate.innerText = translations.pt.donate;}
		if (signup) {signup.innerText = translations.pt.signup;}
		if (login) {login.innerText = translations.pt.login;}
		signup.innerText = translations.pt.signup;
		login.innerText = translations.pt.login;
		text_1.innerText = translations.pt.Ttext_1;
		text_2.innerText = translations.pt.Ttext_2;
		text_3.innerText = translations.pt.Ttext_3;
		text_4.innerText = translations.pt.Ttext_4;
		text_5.innerText = translations.pt.Ttext_5;
		text_6.innerText = translations.pt.Ttext_6;
		text_7.innerText = translations.pt.Ttext_7;
		text_8.innerText = translations.pt.Ttext_8;
		text_9.innerText = translations.pt.Ttext_9;
		text_12.innerText = translations.pt.Ttext_12;
		text_13.innerText = translations.pt.Ttext_13;
		text_14.innerText = translations.pt.Ttext_14;
	}else if(language == "ro"){
		if (donate) {donate.innerText = translations.ro.donate;}
		if (signup) {signup.innerText = translations.ro.signup;}
		if (login) {login.innerText = translations.ro.login;}
		signup.innerText = translations.ro.signup;
		login.innerText = translations.ro.login;
		text_1.innerText = translations.ro.Ttext_1;
		text_2.innerText = translations.ro.Ttext_2;
		text_3.innerText = translations.ro.Ttext_3;
		text_4.innerText = translations.ro.Ttext_4;
		text_5.innerText = translations.ro.Ttext_5;
		text_6.innerText = translations.ro.Ttext_6;
		text_7.innerText = translations.ro.Ttext_7;
		text_8.innerText = translations.ro.Ttext_8;
		text_9.innerText = translations.ro.Ttext_9;
		text_12.innerText = translations.ro.Ttext_12;
		text_13.innerText = translations.ro.Ttext_13;
		text_14.innerText = translations.ro.Ttext_14;
	}else if(language == "ru"){
		if (donate) {donate.innerText = translations.ru.donate;}
		if (signup) {signup.innerText = translations.ru.signup;}
		if (login) {login.innerText = translations.ru.login;}
		signup.innerText = translations.ru.signup;
		login.innerText = translations.ru.login;
		text_1.innerText = translations.ru.Ttext_1;
		text_2.innerText = translations.ru.Ttext_2;
		text_3.innerText = translations.ru.Ttext_3;
		text_4.innerText = translations.ru.Ttext_4;
		text_5.innerText = translations.ru.Ttext_5;
		text_6.innerText = translations.ru.Ttext_6;
		text_7.innerText = translations.ru.Ttext_7;
		text_8.innerText = translations.ru.Ttext_8;
		text_9.innerText = translations.ru.Ttext_9;
		text_12.innerText = translations.ru.Ttext_12;
		text_13.innerText = translations.ru.Ttext_13;
		text_14.innerText = translations.ru.Ttext_14;
	}else if(language == "zi"){
		if (donate) {donate.innerText = translations.zi.donate;}
		if (signup) {signup.innerText = translations.zi.signup;}
		if (login) {login.innerText = translations.zi.login;}
		signup.innerText = translations.zi.signup;
		login.innerText = translations.zi.login;
		text_1.innerText = translations.zi.Ttext_1;
		text_2.innerText = translations.zi.Ttext_2;
		text_3.innerText = translations.zi.Ttext_3;
		text_4.innerText = translations.zi.Ttext_4;
		text_5.innerText = translations.zi.Ttext_5;
		text_6.innerText = translations.zi.Ttext_6;
		text_7.innerText = translations.zi.Ttext_7;
		text_8.innerText = translations.zi.Ttext_8;
		text_9.innerText = translations.zi.Ttext_9;
		text_12.innerText = translations.zi.Ttext_12;
		text_13.innerText = translations.zi.Ttext_13;
		text_14.innerText = translations.zi.Ttext_14;
	}else if(language == "al"){
		if (donate) {donate.innerText = translations.al.donate;}
		if (signup) {signup.innerText = translations.al.signup;}
		if (login) {login.innerText = translations.al.login;}
		signup.innerText = translations.al.signup;
		login.innerText = translations.al.login;
		text_1.innerText = translations.al.Ttext_1;
		text_2.innerText = translations.al.Ttext_2;
		text_3.innerText = translations.al.Ttext_3;
		text_4.innerText = translations.al.Ttext_4;
		text_5.innerText = translations.al.Ttext_5;
		text_6.innerText = translations.al.Ttext_6;
		text_7.innerText = translations.al.Ttext_7;
		text_8.innerText = translations.al.Ttext_8;
		text_9.innerText = translations.al.Ttext_9;
		text_12.innerText = translations.al.Ttext_12;
		text_13.innerText = translations.al.Ttext_13;
		text_14.innerText = translations.al.Ttext_14;
	}else if(language == "sl"){
		if (donate) {donate.innerText = translations.sl.donate;}
		if (signup) {signup.innerText = translations.sl.signup;}
		if (login) {login.innerText = translations.sl.login;}
		signup.innerText = translations.sl.signup;
		login.innerText = translations.sl.login;
		text_1.innerText = translations.sl.Ttext_1;
		text_2.innerText = translations.sl.Ttext_2;
		text_3.innerText = translations.sl.Ttext_3;
		text_4.innerText = translations.sl.Ttext_4;
		text_5.innerText = translations.sl.Ttext_5;
		text_6.innerText = translations.sl.Ttext_6;
		text_7.innerText = translations.sl.Ttext_7;
		text_8.innerText = translations.sl.Ttext_8;
		text_9.innerText = translations.sl.Ttext_9;
		text_12.innerText = translations.sl.Ttext_12;
		text_13.innerText = translations.sl.Ttext_13;
		text_14.innerText = translations.sl.Ttext_14;
	}else if(language == "sk"){
		if (donate) {donate.innerText = translations.sk.donate;}
		if (signup) {signup.innerText = translations.sk.signup;}
		if (login) {login.innerText = translations.sk.login;}
		signup.innerText = translations.sk.signup;
		login.innerText = translations.sk.login;
		text_1.innerText = translations.sk.Ttext_1;
		text_2.innerText = translations.sk.Ttext_2;
		text_3.innerText = translations.sk.Ttext_3;
		text_4.innerText = translations.sk.Ttext_4;
		text_5.innerText = translations.sk.Ttext_5;
		text_6.innerText = translations.sk.Ttext_6;
		text_7.innerText = translations.sk.Ttext_7;
		text_8.innerText = translations.sk.Ttext_8;
		text_9.innerText = translations.sk.Ttext_9;
		text_12.innerText = translations.sk.Ttext_12;
		text_13.innerText = translations.sk.Ttext_13;
		text_14.innerText = translations.sk.Ttext_14;
	}else if(language == "so"){
		if (donate) {donate.innerText = translations.so.donate;}
		if (signup) {signup.innerText = translations.so.signup;}
		if (login) {login.innerText = translations.so.login;}
		signup.innerText = translations.so.signup;
		login.innerText = translations.so.login;
		text_1.innerText = translations.so.Ttext_1;
		text_2.innerText = translations.so.Ttext_2;
		text_3.innerText = translations.so.Ttext_3;
		text_4.innerText = translations.so.Ttext_4;
		text_5.innerText = translations.so.Ttext_5;
		text_6.innerText = translations.so.Ttext_6;
		text_7.innerText = translations.so.Ttext_7;
		text_8.innerText = translations.so.Ttext_8;
		text_9.innerText = translations.so.Ttext_9;
		text_12.innerText = translations.so.Ttext_12;
		text_13.innerText = translations.so.Ttext_13;
		text_14.innerText = translations.so.Ttext_14;
	}else if(language == "fi"){
		if (donate) {donate.innerText = translations.fi.donate;}
		if (signup) {signup.innerText = translations.fi.signup;}
		if (login) {login.innerText = translations.fi.login;}
		signup.innerText = translations.fi.signup;
		login.innerText = translations.fi.login;
		text_1.innerText = translations.fi.Ttext_1;
		text_2.innerText = translations.fi.Ttext_2;
		text_3.innerText = translations.fi.Ttext_3;
		text_4.innerText = translations.fi.Ttext_4;
		text_5.innerText = translations.fi.Ttext_5;
		text_6.innerText = translations.fi.Ttext_6;
		text_7.innerText = translations.fi.Ttext_7;
		text_8.innerText = translations.fi.Ttext_8;
		text_9.innerText = translations.fi.Ttext_9;
		text_12.innerText = translations.fi.Ttext_12;
		text_13.innerText = translations.fi.Ttext_13;
		text_14.innerText = translations.fi.Ttext_14;
	}else if(language == "sw"){
		if (donate) {donate.innerText = translations.sw.donate;}
		if (signup) {signup.innerText = translations.sw.signup;}
		if (login) {login.innerText = translations.sw.login;}
		signup.innerText = translations.sw.signup;
		login.innerText = translations.sw.login;
		text_1.innerText = translations.sw.Ttext_1;
		text_2.innerText = translations.sw.Ttext_2;
		text_3.innerText = translations.sw.Ttext_3;
		text_4.innerText = translations.sw.Ttext_4;
		text_5.innerText = translations.sw.Ttext_5;
		text_6.innerText = translations.sw.Ttext_6;
		text_7.innerText = translations.sw.Ttext_7;
		text_8.innerText = translations.sw.Ttext_8;
		text_9.innerText = translations.sw.Ttext_9;
		text_12.innerText = translations.sw.Ttext_12;
		text_13.innerText = translations.sw.Ttext_13;
		text_14.innerText = translations.sw.Ttext_14;
	}else if(language == "ta"){
		if (donate) {donate.innerText = translations.ta.donate;}
		if (signup) {signup.innerText = translations.ta.signup;}
		if (login) {login.innerText = translations.ta.login;}
		signup.innerText = translations.ta.signup;
		login.innerText = translations.ta.login;
		text_1.innerText = translations.ta.Ttext_1;
		text_2.innerText = translations.ta.Ttext_2;
		text_3.innerText = translations.ta.Ttext_3;
		text_4.innerText = translations.ta.Ttext_4;
		text_5.innerText = translations.ta.Ttext_5;
		text_6.innerText = translations.ta.Ttext_6;
		text_7.innerText = translations.ta.Ttext_7;
		text_8.innerText = translations.ta.Ttext_8;
		text_9.innerText = translations.ta.Ttext_9;
		text_12.innerText = translations.ta.Ttext_12;
		text_13.innerText = translations.ta.Ttext_13;
		text_14.innerText = translations.ta.Ttext_14;
	}else if(language == "th"){
		if (donate) {donate.innerText = translations.th.donate;}
		if (signup) {signup.innerText = translations.th.signup;}
		if (login) {login.innerText = translations.th.login;}
		signup.innerText = translations.th.signup;
		login.innerText = translations.th.login;
		text_1.innerText = translations.th.Ttext_1;
		text_2.innerText = translations.th.Ttext_2;
		text_3.innerText = translations.th.Ttext_3;
		text_4.innerText = translations.th.Ttext_4;
		text_5.innerText = translations.th.Ttext_5;
		text_6.innerText = translations.th.Ttext_6;
		text_7.innerText = translations.th.Ttext_7;
		text_8.innerText = translations.th.Ttext_8;
		text_9.innerText = translations.th.Ttext_9;
		text_12.innerText = translations.th.Ttext_12;
		text_13.innerText = translations.th.Ttext_13;
		text_14.innerText = translations.th.Ttext_14;
	}else if(language == "vi"){
		if (donate) {donate.innerText = translations.vi.donate;}
		if (signup) {signup.innerText = translations.vi.signup;}
		if (login) {login.innerText = translations.vi.login;}
		signup.innerText = translations.vi.signup;
		login.innerText = translations.vi.login;
		text_1.innerText = translations.vi.Ttext_1;
		text_2.innerText = translations.vi.Ttext_2;
		text_3.innerText = translations.vi.Ttext_3;
		text_4.innerText = translations.vi.Ttext_4;
		text_5.innerText = translations.vi.Ttext_5;
		text_6.innerText = translations.vi.Ttext_6;
		text_7.innerText = translations.vi.Ttext_7;
		text_8.innerText = translations.vi.Ttext_8;
		text_9.innerText = translations.vi.Ttext_9;
		text_12.innerText = translations.vi.Ttext_12;
		text_13.innerText = translations.vi.Ttext_13;
		text_14.innerText = translations.vi.Ttext_14;
	}else if(language == "tu"){
		if (donate) {donate.innerText = translations.tu.donate;}
		if (signup) {signup.innerText = translations.tu.signup;}
		if (login) {login.innerText = translations.tu.login;}
		signup.innerText = translations.tu.signup;
		login.innerText = translations.tu.login;
		text_1.innerText = translations.tu.Ttext_1;
		text_2.innerText = translations.tu.Ttext_2;
		text_3.innerText = translations.tu.Ttext_3;
		text_4.innerText = translations.tu.Ttext_4;
		text_5.innerText = translations.tu.Ttext_5;
		text_6.innerText = translations.tu.Ttext_6;
		text_7.innerText = translations.tu.Ttext_7;
		text_8.innerText = translations.tu.Ttext_8;
		text_9.innerText = translations.tu.Ttext_9;
		text_12.innerText = translations.tu.Ttext_12;
		text_13.innerText = translations.tu.Ttext_13;
		text_14.innerText = translations.tu.Ttext_14;
	}else if(language == "ur"){
		if (donate) {donate.innerText = translations.ur.donate;}
		if (signup) {signup.innerText = translations.ur.signup;}
		if (login) {login.innerText = translations.ur.login;}
		signup.innerText = translations.ur.signup;
		login.innerText = translations.ur.login;
		text_1.innerText = translations.ur.Ttext_1;
		text_2.innerText = translations.ur.Ttext_2;
		text_3.innerText = translations.ur.Ttext_3;
		text_4.innerText = translations.ur.Ttext_4;
		text_5.innerText = translations.ur.Ttext_5;
		text_6.innerText = translations.ur.Ttext_6;
		text_7.innerText = translations.ur.Ttext_7;
		text_8.innerText = translations.ur.Ttext_8;
		text_9.innerText = translations.ur.Ttext_9;
		text_12.innerText = translations.ur.Ttext_12;
		text_13.innerText = translations.ur.Ttext_13;
		text_14.innerText = translations.ur.Ttext_14;
	}else if(language == "yo"){
		if (donate) {donate.innerText = translations.yo.donate;}
		if (signup) {signup.innerText = translations.yo.signup;}
		if (login) {login.innerText = translations.yo.login;}
		signup.innerText = translations.yo.signup;
		login.innerText = translations.yo.login;
		text_1.innerText = translations.yo.Ttext_1;
		text_2.innerText = translations.yo.Ttext_2;
		text_3.innerText = translations.yo.Ttext_3;
		text_4.innerText = translations.yo.Ttext_4;
		text_5.innerText = translations.yo.Ttext_5;
		text_6.innerText = translations.yo.Ttext_6;
		text_7.innerText = translations.yo.Ttext_7;
		text_8.innerText = translations.yo.Ttext_8;
		text_9.innerText = translations.yo.Ttext_9;
		text_12.innerText = translations.yo.Ttext_12;
		text_13.innerText = translations.yo.Ttext_13;
		text_14.innerText = translations.yo.Ttext_14;
	}
}