function selectElement(id, valueToSelect) {    
    let element = document.getElementById(id);
    element.value = valueToSelect;
}


function load() {
	var lan;
	lan = localStorage.getItem("site-language");
	if (!lan) {   // checks if lan is null, undefined, 0, false, NaN
  		lan = "en";
  		localStorage.setItem("site-language","en");
	}
	about.className = "request";
	donate.className = "request";
	signup.className = "cashbook";
	login.className = "cashbook";	
	setLanguage(lan)
	selectElement('lanselect', lan);
}


const translations = {
	ah: {
		footer00: "እርዳታ እና በተደጋጋሚ የሚጠየቁ ጥያቄዎች.",
		footer01: "አስፈላጊ ህጎች",
		footer02: "ሀ. ማንኛውም የተጠቃሚ መለያ ምስል ያልሆነ ምስል በእሱ/ሷ መገለጫ ውስጥ ያስቀመጠ",
		footer03: "ሊታወቅ የሚችል ፊት እና ሳንቲሞችን እየሰበሰበ ነው.",
		footer04: "ለ. እራስህን አላግባብ ማቅረብ ወይም ለራስህ ድርብ አካውንት ማድረግ",
		footer05: "መለያው አንዴ ከተገኘ እንዲወገድ ያደርገዋል።",
		footer06: "ማስተባበያ",
		footer07: "1. መተግበሪያውን መቀላቀል ወይም መሞከር ማለት ይህ ተጠቃሚ ተስማምቷል ወይም ማለት አይደለም።",
		footer08: "የ1CoinH ድህረ ገጽ ሊያመለክተው የሚችለውን ማንኛውንም የፖለቲካ ሃሳብ ይደግፋል።",
		footer09: "2. ሊገኝ የሚችለውን ማንኛውንም የተጠቃሚ ውሂብ መቅዳት እና/ወይም እንደገና መጠቀም",
		footer10: "በዚህ ድህረ ገጽ ላይ - ከዚህ ድህረ ገጽ ውጭ - በጥብቅ የተከለከለ ነው.",
		footer11: "ስምምነት",
		footer12: "ይህን ድህረ ገጽ እንደ ተጠቃሚ መቀላቀል ማለት ይህን የኃላፊነት ማስተባበያ አንብበሃል ማለት ነው።",
		footer13: "እና ከላይ ባሉት 'አስፈላጊ ህጎች' እና 'የኃላፊነት ማስተባበያ' ይስማሙ።",
		footer14: "ሥነምግባር ገንዘብ",
		donate: "ለገሱ",
		signup: "ይመዝገቡ",
		login: "ግባ",
		request: "ጥያቄ",
		agree: "ተስማማ",
		cashbook: "የገንዘብ መጽሐፍ",
		logout: "ውጣ",
		welcome: "እንኳን ደህና መጣህ",
		Ttext_1: "በገንዘብ ውስጥ እኩል ተሳትፎ",
		Ttext_2: "መፍጠር ሰብአዊ መብት መሆን አለበት።",
		Ttext_3: "በእኛ ስርዓት, እያንዳንዱ ሰው",
		Ttext_4: "ይቀበላል",
		Ttext_5: " በ",
		Ttext_6: "(ሰአት)።",
		Ttext_7: "አንድ እንዲኖረው ብቸኛው መንገድ ነው",
		Ttext_8: "ትክክለኛ የሥነ ምግባር የፋይናንስ ሥርዓት.",
		Ttext_9: "ስለ 1CoinH",
		Ttext_10: " ይህ እንዴት እንደሚሰራ ማንበብ ይችላሉ.",
		Ttext_11: "ይደሰቱ!",
		Ttext_12: "1CoinH Cryptocurrency አይደለም!",
		Ttext_13: "የፊልም ማስታወቂያ",
		Ttext_14: "ፖድካስት",
	}, 
	ar: {
		footer00: ".المساعدة والأسئلة الشائعة",
		footer01: "قواعد هامة",
		footer02: "أ. سيتم إزالة أي حساب مستخدم يضع صورة في ملفه الشخصي",
		footer03: "ليست صورة وجه يمكن التعرف عليه ويجمع العملات المعدنية.",
		footer04: "ب. تقديم معلومات خاطئة عن نفسك أو إنشاء حسابات مزدوجة",
		footer05: "لنفسك سيؤدي إلى إزالة هذا الحساب بمجرد اكتشافه.",
		footer06: "تنصل",
		footer07: "1. الانضمام إلى التطبيق أو اختباره لا يعني موافقة هذا",
		footer08: "المستخدم أو تأييده لأي أفكار سياسية قد يشير إليها موقع 1CoinH.",
		footer09: "2. يُمنع منعًا باتًا نسخ أو إعادة استخدام أي من بيانات",
		footer10: "المستخدم الموجودة على هذا الموقع - خارج هذا الموقع.",
		footer11: "اتفاق",
		footer12: "إن الانضمام إلى هذا الموقع كمستخدم يعني أنك قرأت هذا الإخلاء من",
		footer13: "المسؤولية وتوافق على 'القواعد الهامة' و'إخلاء المسؤولية' أعلاه.",
		footer14: "المال الأخلاقي",
		donate: "التبرع",
		signup: "التسجيل",
		login: "تسجيل الدخول",
		request: "طلب",
		agree: "يوافق",
		cashbook: "دفتر النقدية",
		logout: "تسجيل الخروج",
		welcome: "مرحباً",
		Ttext_1: "يجب أن تكون المشاركة المتساوية في",
		Ttext_2: ".إنشاء النقود حقًا من حقوق الإنسان",
		Ttext_3: "في نظامنا، كل إنسان",
		Ttext_4: " أموالًا",
		Ttext_5: " في ",
		Ttext_6: ".(الساعة)",
		Ttext_7: "إنها الطريقة الوحيدة للحصول على",
		Ttext_8: ".نظام مالي أخلاقي سليم",
		Ttext_9: "عن 1CoinH",
		Ttext_10: "يمكنك قراءة كيفية عمل ذلك ",
		Ttext_11: "!استمتع",
		Ttext_12: "1CoinH ليست عملة مشفرة!",
		Ttext_13: "جَرَّار",
		Ttext_14: "بودكاست"
	},
	am: {
		footer00: "Օգնություն և հաճախակի տրվող հարցեր:",
		footer01: "ԿԱՐԵՎՈՐ ԿԱՆՈՆՆԵՐ",
		footer02: "A. Ցանկացած օգտվողի հաշիվ, որն իր պրոֆիլում տեղադրում է պատկեր, որը նկար չէ",
		footer03: "ճանաչելի դեմքով և մետաղադրամներ է հավաքում, կհեռացվեն:",
		footer04: "Բ. Ինքդ քեզ սխալ ներկայացնելը կամ քեզ համար կրկնակի հաշիվներ անելը",
		footer05: "հայտնաբերումից հետո այդ հաշիվը կհեռացվի:",
		footer06: "ՀՐԱԺԵՇՏՈՒՄ",
		footer07: "1. Հավելվածին միանալը կամ փորձարկելը չի   նշանակում, որ այս օգտվողը համաձայն է կամ",
		footer08: "ներում է ցանկացած քաղաքական գաղափար, որը կարող է ցույց տալ 1CoinH կայքը:",
		footer09: "2. Պատճենել և/կամ վերօգտագործել օգտագործողի ցանկացած տվյալ, որը կարելի է գտնել",
		footer10: "այս կայքում - այս կայքից դուրս - խստիվ արգելված է:",
		footer11: "ՊԱՅՄԱՆԱԳԻՐ",
		footer12: "Այս կայքին որպես օգտատեր միանալը նշանակում է, որ դուք կարդացել եք այս հերքումը",
		footer13: "և համաձայնեք վերը նշված «Կարևոր կանոններին» և «Հրաժարմանը»:",
		footer14: "Էթիկական փող",
		donate: "Նվիրաբերել",
		signup: "Գրանցվել",
		login: "Մուտք գործեք",
		request: "Հայց",
		agree: "Համաձայնել",
		cashbook: "Դրամարկղ",
		logout: "Դուրս գալ",
		welcome: "Բարի գալուստ",
		Ttext_1: "Դրամական հավասար մասնակցություն",
		Ttext_2: "ստեղծագործությունը պետք է լինի մարդու իրավունք.",
		Ttext_3: "Մեր համակարգում յուրաքանչյուր մարդ",
		Ttext_4: "ստանում է",
		Ttext_5: " մեկ",
		Ttext_6: "(ժամ):",
		Ttext_7: "Դա միակ միջոցն է ունենալու ա",
		Ttext_8: "պատշաճ էթիկական ֆինանսական համակարգ:",
		Ttext_9: "1CoinH-ի մասին",
		Ttext_10: " դուք կարող եք կարդալ, թե ինչպես է սա աշխատում:",
		Ttext_11: "Վայելե՛ք։",
		Ttext_12: "1CoinH-ը կրիպտոարժույթ չէ:",
		Ttext_13: "Թեյլեր",
		Ttext_14: "Պոդքասթ"
	},
	az: {
		footer00: "Kömək və tez-tez verilən suallar.",
		footer01: "Vacib QAYDALAR",
		footer02: "A. Profilində şəkil olmayan şəkil yerləşdirən istənilən istifadəçi hesabı",
		footer03: "tanınır bir üz və pul yığan pullar çıxarılacaq.",
		footer04: "B. Özünüzü səhv təqdim etmək və ya özünüz üçün ikiqat hesablar yaratmaq",
		footer05: "aşkar edildikdən sonra həmin hesabın silinməsi ilə nəticələnəcək.",
		footer06: "MƏDDƏT",
		footer07: "1. Proqrama qoşulmaq və ya sınaqdan keçirmək o demək deyil ki, bu istifadəçi razıdır və ya",
		footer08: "1CoinH veb-saytının göstərə biləcəyi hər hansı siyasi ideyaları qəbul edir.",
		footer09: "2. Tapıla bilən hər hansı istifadəçi məlumatının surətinin çıxarılması və/və ya təkrar istifadəsi",
		footer10: "bu internet saytında - bu vebsaytdan kənarda - qəti qadağandır.",
		footer11: "MÜQAVİLƏ",
		footer12: "Bu vebsayta istifadəçi kimi qoşulmağınız bu imtina bildirişini oxumusunuz deməkdir",
		footer13: "və yuxarıdakı 'Vacib Qaydalar' və 'İmtina etmə' ilə razılaşın.",
		footer14: "Etik pul",
		donate: "Bağışlayın",
		signup: "Qeydiyyatdan keçin",
		login: "Daxil ol",
		request: "Sorğu",
		agree: "Razılaşın",
		cashbook: "Kassa kitabçası",
		logout: "Çıxış",
		welcome: "Xoş gəldiniz",
		Ttext_1: "Pulda bərabər iştirak",
		Ttext_2: "yaratmaq insan hüququ olmalıdır.",
		Ttext_3: "Sistemimizdə hər bir insan",
		Ttext_4: "alır",
		Ttext_5: " başına",
		Ttext_6: "(Saat).",
		Ttext_7: "Bu, sahib olmağın yeganə yoludur",
		Ttext_8: "düzgün etik maliyyə sistemi.",
		Ttext_9: "1CoinH haqqında",
		Ttext_10: " bunun necə işlədiyini oxuya bilərsiniz.",
		Ttext_11: "Zövq alın!",
		Ttext_12: "1CoinH Kriptovalyuta DEYİL!",
		Ttext_13: "Treyler",
		Ttext_14: "Podkast"
	},
	by: {
		footer00: "Дапамога і часта задаюць пытанні.",
		footer01: "ВАЖНЫЯ ПРАВІЛЫ",
		footer02: "A. Любы ўліковы запіс карыстальніка, які размяшчае выяву ў сваім профілі, якая не з'яўляецца выявай",
		footer03: "пазнавальнага твару і збірае манеты, будуць выдалены.",
		footer04: "B. Ілжывае прадстаўленне сябе або стварэнне падвойных рахункаў для сябе",
		footer05: "прывядзе да таго, што ўліковы запіс будзе выдалены пасля выяўлення.",
		footer06: "АДМОВА АД АДКАЗНАСЦІ",
		footer07: "1. Далучэнне або тэставанне прыкладання не азначае, што гэты карыстальнік згодны або",
		footer08: "апраўдвае любыя палітычныя ідэі, якія можа паказаць вэб-сайт 1CoinH.",
		footer09: "2. Капіраванне і/або паўторнае выкарыстанне любых дадзеных карыстальніка, якія можна знайсці",
		footer10: "на гэтым сайце - па-за межамі гэтага сайта - строга забаронена.",
		footer11: "ПАГАДНЕННЕ",
		footer12: "Далучэнне да гэтага сайта ў якасці карыстальніка азначае, што вы прачыталі гэтую адмову ад адказнасці",
		footer13: "і згаджайцеся з «Важнымі правіламі» і «Адмовай ад адказнасці» вышэй.",
		footer14: "Этычныя грошы",
		donate: "Ахвяраваць",
		signup: "Зарэгіструйцеся",
		login: "Увайсці",
		request: "Запыт",
		agree: "Згодны",
		cashbook: "Касавая кніга",
		logout: "Выйсці",
		welcome: "Сардэчна запрашаем",
		Ttext_1: "Роўнае ўдзел у грошах",
		Ttext_2: "стварэнне павінна быць правам чалавека.",
		Ttext_3: "У нашай сістэме кожны чалавек",
		Ttext_4: "атрымлівае",
		Ttext_5: " пер",
		Ttext_6: "(гадзіна).",
		Ttext_7: "Гэта адзіны спосаб мець a",
		Ttext_8: "належная этычная фінансавая сістэма.",
		Ttext_9: "Пра 1CoinH",
		Ttext_10: " вы можаце прачытаць, як гэта працуе.",
		Ttext_11: "Атрымлівайце асалоду!",
		Ttext_12: "1CoinH НЕ з'яўляецца криптовалютой!",
		Ttext_13: "Трэйлер",
		Ttext_14: "Падкаст"
	},
	be: {
		footer00: "সাহায্য এবং প্রায়শই জিজ্ঞাসিত প্রশ্ন",
		footer01: "গুরুত্বপূর্ণ নিয়ম",
		footer02: "উ: যে কোনও ব্যবহারকারীর অ্যাকাউন্ট যে তার প্রোফাইলে এমন একটি ছবি রাখে",
		footer03: "যেটি একটি স্বীকৃত মুখের ছবি নয় এবং কয়েন সংগ্রহ করছে তা সরিয়ে ফেলা হবে।",
		footer04: "B. নিজেকে ভুলভাবে উপস্থাপন করা বা নিজের জন্য ডবল অ্যাকাউন্ট তৈরি",
		footer05: "করার ফলে সেই অ্যাকাউন্টটি একবার শনাক্ত হয়ে গেলে সরিয়ে দেওয়া হবে।",
		footer06: "দাবিত্যাগ",
		footer07: "1. অ্যাপটিতে যোগদান করা বা পরীক্ষা করার অর্থ এই নয় যে এই ব্যবহারকারী 1CoinH",
		footer08: "ওয়েবসাইট নির্দেশ করতে পারে এমন কোনো রাজনৈতিক ধারণার সাথে সম্মত হন বা ক্ষমা করেন।",
		footer09: "2. এই ওয়েবসাইটে পাওয়া যায় এমন কোনও ব্যবহারকারীর ডেটা কপি করা",
		footer10: "বা পুনরায় ব্যবহার করা - এই ওয়েবসাইটের বাইরে - কঠোরভাবে নিষিদ্ধ৷",
		footer11: "চুক্তি",
		footer12: "এই ওয়েবসাইটে একজন ব্যবহারকারী হিসাবে যোগদান করার অর্থ হল আপনি এই দাবিত্যাগটি",
		footer13: "পড়েছেন এবং উপরের 'গুরুত্বপূর্ণ নিয়ম' এবং 'দাবিত্যাগ'-এর সাথে সম্মত হয়েছেন।",
		footer14: "নৈতিক অর্থ",
		donate: "দান করুন",
		signup: "সাইন আপ করুন",
		login: "লগ ইন করুন",
		request: "অনুরোধ",
		agree: "একমত",
		cashbook: "ক্যাশবুক",
		logout: "লগ আউট করুন",
		welcome: "স্বাগতম",
		Ttext_1: "অর্থের সমান অংশগ্রহণ",
		Ttext_2: "সৃষ্টি হওয়া উচিত মানুষের অধিকার.",
		Ttext_3: "আমাদের সিস্টেমে, প্রতিটি মানুষ",
		Ttext_4: "গ্রহণ করে ",
		Ttext_5: " প্রতি ",
		Ttext_6: "(ঘন্টা).",
		Ttext_7: "এটি একটি আছে একমাত্র উপায়",
		Ttext_8: "সঠিক নৈতিক আর্থিক ব্যবস্থা.",
		Ttext_9: "সম্পর্কে 1CoinH",
		Ttext_10: " আপনি এটি কিভাবে কাজ করে",
		Ttext_11: "পড়তে পারেন উপভোগ করুন!",
		Ttext_12: "1CoinH একটি ক্রিপ্টোকারেন্সি নয়!",
		Ttext_13: "ট্রেলার",
		Ttext_14: "পডকাস্ট"
	},
	bo: {
		footer00: "Pomoć i često postavljana pitanja.",
		footer01: "VAŽNA PRAVILA",
		footer02: "O. Svaki korisnički nalog koji stavlja sliku u svoj profil koja nije slika",
		footer03: "prepoznatljivog lica i skuplja novčiće bit će uklonjeni.",
		footer04: "B. Lažno predstavljanje ili pravljenje dvostrukih računa za sebe",
		footer05: "rezultirat će uklanjanjem tog računa kada se otkrije.",
		footer06: "ODDRICANJE ODGOVORNOSTI",
		footer07: "1. Pridruživanje ili testiranje aplikacije ne znači da se ovaj korisnik slaže ili",
		footer08: "odobrava sve političke ideje na koje bi web stranica 1CoinH mogla naznačiti.",
		footer09: "2. Kopiranje i/ili ponovno korištenje bilo kojeg od korisničkih podataka koji se mogu pronaći",
		footer10: "na ovoj web stranici - izvan ove web stranice - strogo je zabranjeno.",
		footer11: "SPORAZUM",
		footer12: "Pridruživanje ovoj web stranici kao korisnik znači da ste pročitali ovo odricanje odgovornosti",
		footer13: "i pristajete na 'Važna pravila' i 'Odricanje od odgovornosti' iznad.",
		footer14: "Etički novac",
		donate: "Donirajte",
		signup: "Prijavite se",
		login: "Prijavite se",
		request: "Zahtjev",
		agree: "Slažem se",
		cashbook: "Blagajna",
		logout: "Odjavite se",
		welcome: "Dobrodošli",
		Ttext_1: "Jednako učešće u novcu",
		Ttext_2: "stvaranje bi trebalo da bude ljudsko pravo.",
		Ttext_3: "U našem sistemu, svaki čovek",
		Ttext_4: "prima",
		Ttext_5: " per",
		Ttext_6: "(Sat).",
		Ttext_7: "To je jedini način da imate",
		Ttext_8: "ispravan etički finansijski sistem.",
		Ttext_9: "O 1CoinH",
		Ttext_10: " možete pročitati kako ovo funkcionira.",
		Ttext_11: "Enjoy!",
		Ttext_12: "1CoinH NIJE kriptovaluta!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast"
	},
	bg: {
		footer00: "Помощ и често задавани въпроси.",
		footer01: "ВАЖНИ ПРАВИЛА",
		footer02: "A. Всеки потребителски акаунт, който поставя изображение в неговия/нейния профил, което не е снимка",
		footer03: "на разпознаваемо лице и събира монети, ще бъдат премахнати.",
		footer04: "B. Подвеждащо представяне или създаване на двойни сметки за себе си",
		footer05: "ще доведе до премахването на този акаунт, след като бъде открит.",
		footer06: "ОТКАЗ ОТ ОТГОВОРНОСТ ",
		footer07: "1. Присъединяването или тестването на приложението не означава, че този потребител е съгласен или ",
		footer08: "одобрява всякакви политически идеи, които уебсайтът на 1CoinH може да посочи.",
		footer09: "2. Копиране и/или повторно използване на потребителските данни, които могат да бъдат намерени",
		footer10: "на този уебсайт - извън този уебсайт - е строго забранено.",
		footer11: "СПОРАЗУМЕНИЕ",
		footer12: "Присъединяването към този уебсайт като потребител означава, че сте прочели този отказ от отговорност",
		footer13: "и се съгласете с „Важните правила“ и „Отказ от отговорност“ по-горе.",
		footer14: "Етични пари ",
		donate: "Дарете ",
		signup: "Регистрирайте се ",
		login: "Влезте ",
		request: "Заявка ",
		agree: "Съгласен ",
		cashbook: "Касова книга",
		logout: "Излезте ",
		welcome: "Добре дошли ",
		Ttext_1: "Равно участие в пари",
		Ttext_2: "създаването трябва да бъде човешко право.",
		Ttext_3: "В нашата система всеки човек ",
		Ttext_4: "получава ",
		Ttext_5: " за ",
		Ttext_6: "(Час).",
		Ttext_7: "Това е единственият начин да имате ",
		Ttext_8: "подходяща етична финансова система.",
		Ttext_9: "Около 1CoinH",
		Ttext_10: " можете да прочетете как работи това.",
		Ttext_11: "Насладете се!",
		Ttext_12: "1CoinH НЕ Е криптовалута!",
		Ttext_13: "Трейлър",
		Ttext_14: "Подкаст "
	},
	ca: {
		footer00: "幫手同常見問題。 ",
		footer01: "重要規則 ",
		footer02: "A. 任何用戶帳戶喺佢嘅個人檔案入面放咗張唔係圖片嘅圖片 ",
		footer03: "一個認得嘅面孔同埋收集緊硬幣嘅會被移除。 ",
		footer04: "B. 誤導自己或者為自己做雙重戶口 ",
		footer05: "會導致嗰個帳戶喺偵測到之後被移除。 ",
		footer06: "免責聲明 ",
		footer07: "1. 加入或者測試個應用程式唔代表呢個用戶同意或者 ",
		footer08: "容忍 1CoinH 網站可能指出嘅任何政治思想。 ",
		footer09: "2. 複製同/或重用任何可以搵到嘅用戶資料 ",
		footer10: "喺呢個網站上面 - 喺呢個網站之外 - 係嚴禁嘅。 ",
		footer11: "協議 ",
		footer12: "以用戶身份加入呢個網站即係你已經睇咗呢個免責聲明 ",
		footer13: "同埋同意上面嘅「重要規則」同「免責聲明」。 ",
		footer14: "道德錢 ",
		donate: "捐出 ",
		signup: "註冊 ",
		login: "登入 ",
		request: "要求 ",
		agree: "同意 ",
		cashbook: "現金簿 ",
		logout: "登出 ",
		welcome: "歡迎 ",
		Ttext_1: "平等參與錢 ",
		Ttext_2: "創造應該係人權。 ",
		Ttext_3: "喺我哋嘅系統入面，每個人 ",
		Ttext_4: "收到 ",
		Ttext_5: " 每 ",
		Ttext_6: "（小時）。 ",
		Ttext_7: "呢個係唯一可以有 ",
		Ttext_8: "正確嘅道德金融體系。 ",
		Ttext_9: "大約1CoinH ",
		Ttext_10: " 你可以睇下呢個係點運作。 ",
		Ttext_11: "享受下！ ",
		Ttext_12: "1CoinH 唔係加密貨幣！ ",
		Ttext_13: "拖車 ",
		Ttext_14: "播客 ",
	},
	ch: {
		footer00: "帮助和常见问题.",
		footer01: "重要规则",
		footer02: "答：任何在其个人资料中放置非可识别面部",
		footer03: "图片且正在收集硬币的用户帐户都将被删除。",
		footer04: "B. 虚假陈述或为自己创建重复账户，",
		footer05: "一旦发现将导致该账户被删除。",
		footer06: "免责声明",
		footer07: "1. 加入或测试该应用程序并不意味着该用户同意或纵容",
		footer08: "1CoinH网站可能表明的任何政治观点。",
		footer09: "2. 严禁在本网站之外复制或重复",
		footer10: "使用任何本网站上的用户数据。",
		footer11: "协议",
		footer12: "加入本网站成为用户即表示您已阅读此免责",
		footer13: "声明并同意上述‘重要规则’和‘免责声明’。",
		footer14: "道德金钱",
		donate: "给",
		signup: "注册",
		login: "登录",
		request: "要求",
		agree: "同意",
		cashbook: "现金簿",
		logout: "登出",
		welcome: "欢迎",
		Ttext_1: "平等参与货币创造应该是一项人权",
		Ttext_2: "在我们的系统中，每个人.",
		Ttext_3: "在我们的系统中，每个人",
		Ttext_4: "都会收到 ",
		Ttext_5: " 小时获得 ",
		Ttext_6: "(获得).",
		Ttext_7: "这是拥有",
		Ttext_8: "适当道德金融体系的唯一方法.",
		Ttext_9: "关于 1CoinH",
		Ttext_10: " 您可以阅读它的工作原理",
		Ttext_11: "享受!",
		Ttext_12: "1CoinH 不是加密货币！",
		Ttext_13: "拖车",
		Ttext_14: "播客"
	},
	cz: {
		footer00: "Nápověda a často kladené otázky. ",
		footer01: "DŮLEŽITÁ PRAVIDLA",
		footer02: "A. Jakýkoli uživatelský účet, který do svého profilu vloží obrázek, který není obrázek",
		footer03: "rozeznatelné tváře a sbírá mince budou odstraněny. ",
		footer04: "B. Uvádění nepravdivých informací o sobě nebo vytváření podvojných účtů ",
		footer05: "bude mít za následek, že po zjištění bude tento účet odstraněn. ",
		footer06: "ODMÍTNUTÍ ODPOVĚDNOSTI ",
		footer07: "1. Připojení nebo testování aplikace neznamená, že tento uživatel souhlasí nebo ",
		footer08: "schvaluje jakékoli politické myšlenky, které by mohly naznačovat webové stránky 1CoinH. ",
		footer09: "2. Kopírování a/nebo opětovné použití jakýchkoliv uživatelských dat, která lze nalézt",
		footer10: "na tomto webu - mimo tento web - je přísně zakázáno.",
		footer11: "DOHODA ",
		footer12: "Připojením se k této webové stránce jako uživatel znamená, že jste si přečetli toto prohlášení",
		footer13: "a souhlasíte s 'Důležitými pravidly' a 'Odmítnutí odpovědnosti' výše.",
		footer14: "Etické peníze ",
		donate: "Darujte ",
		signup: "Zaregistrujte se ",
		login: "Přihlásit se ",
		request: "Žádost ",
		agree: "Souhlas ",
		cashbook: "Pokladní kniha ",
		logout: "Odhlásit ",
		welcome: "Vítejte ",
		Ttext_1: "Rovná účast na penězích ",
		Ttext_2: "tvorba by měla být lidským právem.",
		Ttext_3: "V našem systému každý člověk",
		Ttext_4: "obdrží ",
		Ttext_5: " za ",
		Ttext_6: "(hodina). ",
		Ttext_7: "Je to jediný způsob, jak mít ",
		Ttext_8: "řádný etický finanční systém.",
		Ttext_9: "Asi 1 CoinH",
		Ttext_10: " můžete si přečíst, jak to funguje. ",
		Ttext_11: "Užijte si! ",
		Ttext_12: "1CoinH NENÍ kryptoměna! ",
		Ttext_13: "Trailer ",
		Ttext_14: "Podcast ",
	},
	se: {
		footer00: "Помоћ и најчешћа питања.",
		footer01: "ВАЖНА ПРАВИЛА",
		footer02: "О. Било који кориснички налог који ставља слику у свој/њен профил која није слика",
		footer03: "препознатљивог лица и прикупља новчиће биће уклоњено.",
		footer04: "Б. Лажно представљање или прављење дуплих рачуна за себе",
		footer05: "ће довести до уклањања тог налога када се открије.",
		footer06: "ДИСЦЛАИМЕР",
		footer07: "1. Придруживање или тестирање апликације не значи да се овај корисник слаже или ",
		footer08: "одобрава све политичке идеје које би веб-сајт 1ЦоинХ могао назначити.",
		footer09: "2. Копирање и/или поновно коришћење било којих корисничких података који се могу пронаћи",
		footer10: "на овој веб страници - ван ове веб странице - је строго забрањено.",
		footer11: "АГРЕЕМЕНТ",
		footer12: "Придруживање овој веб страници као корисник значи да сте прочитали ово одрицање одговорности",
		footer13: "и слажете се са 'Важним правилима' и 'Одрицањем од одговорности' изнад.",
		footer14: "Етички новац",
		donate: "Донате ",
		signup: "Пријавите се ",
		login: "Пријавите се ",
		request: "Рекуест",
		agree: "Агрее",
		cashbook: "Цасхбоок",
		logout: "Одјавите се ",
		welcome: "Велцоме",
		Ttext_1: "Једнако учешће у новцу",
		Ttext_2: "стварање треба да буде људско право.",
		Ttext_3: "У нашем систему, сваки човек",
		Ttext_4: "прима ",
		Ttext_5: " по ",
		Ttext_6: "(Сат).",
		Ttext_7: "То је једини начин да имате ",
		Ttext_8: "правилан етички финансијски систем.",
		Ttext_9: "Око 1ЦоинХ",
		Ttext_10: " можете прочитати како ово функционише.",
		Ttext_11: "Ењои!",
		Ttext_12: "1ЦоинХ НИЈЕ криптовалута!",
		Ttext_13: "Траилер",
		Ttext_14: "Подцаст",
	},
	da: {
		footer00: "Hjælp og ofte stillede spørgsmål.",
		footer01: "VIGTIGE REGLER",
		footer02: "A. Enhver brugerkonto, der sætter et billede i hans/hendes profil, som ikke er et billede",
		footer03: "af et genkendeligt ansigt og samler på mønter vil blive fjernet.",
		footer04: "B. Forkert fremstilling af dig selv eller lav dobbeltregnskab for dig selv",
		footer05: "vil resultere i, at den konto fjernes, når den først er opdaget.",
		footer06: "ANSVARSFRASKRIVELSE",
		footer07: "1. At deltage i eller teste appen betyder ikke, at denne bruger accepterer eller",
		footer08: "tolererer alle politiske ideer, som 1CoinH-webstedet måtte indikere.",
		footer09: "2. Kopiering og/eller genbrug af enhver af de brugerdata, der kan findes",
		footer10: "på denne hjemmeside - uden for denne hjemmeside - er strengt forbudt.",
		footer11: "AFTALE",
		footer12: "At tilmelde dig denne hjemmeside som bruger betyder, at du har læst denne ansvarsfraskrivelse",
		footer13: "og accepterer 'Vigtige regler' og 'Ansvarsfraskrivelse' ovenfor.",
		footer14: "Etiske Penge",
		donate: "Doner ",
		signup: "Tilmeld dig",
		login: "Log ind",
		request: "Anmod ",
		agree: "Enig",
		cashbook: "Kassebog",
		logout: "Log ud",
		welcome: "Velkommen",
		Ttext_1: "Lige deltagelse i penge",
		Ttext_2: "skabelse bør være en menneskeret.",
		Ttext_3: "I vores system er hvert menneske",
		Ttext_4: "modtager ",
		Ttext_5: " pr ",
		Ttext_6: "(Time).",
		Ttext_7: "Det er den eneste måde at få en ",
		Ttext_8: "ordentligt etisk finansielt system.",
		Ttext_9: "Omkring 1CoinH",
		Ttext_10: " du kan læse, hvordan dette virker.",
		Ttext_11: "Nyd!",
		Ttext_12: "1CoinH er IKKE en kryptovaluta!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast",
	},
	de: {
		footer00: "Hilfe und häufig gestellte Fragen.",
		footer01: "WICHTIGE REGELN",
		footer02: "A. Jedes Benutzerkonto, das in sein Profil ein Bild einfügt, auf dem kein",
		footer03: "erkennbares Gesicht zu sehen ist, und das Münzen sammelt, wird entfernt.",
		footer04: "B. Wenn Sie falsche Angaben zu Ihrer Person machen oder doppelte",
		footer05: "Konten eröffnen, wird das Konto gelöscht, sobald dies erkannt wird.",
		footer06: "HAFTUNGSAUSSCHLUSS",
		footer07: "1. Die Teilnahme an der App oder das Testen dieser App bedeutet nicht, dass der Benutzer mit etwaigen",
		footer08: "politischen Ideen, die auf der 1CoinH-Website angezeigt werden, einverstanden ist oder diese duldet.",
		footer09: "2. Das Kopieren oder die Wiederverwendung jeglicher auf dieser Website",
		footer10: "befindlicher Benutzerdaten – außerhalb dieser Website – ist streng verboten.",
		footer11: "VEREINBARUNG",
		footer12: "Wenn Sie dieser Website als Benutzer beitreten, bedeutet dies, dass Sie diesen Haftungsausschluss",
		footer13: "gelesen haben und den oben aufgeführten „Wichtigen Regeln“ und dem „Haftungsausschluss“ zustimmen.",
		footer14: "Ethisches Geld",
		donate: "Spenden",
		signup: "Registrieren",
		login: "Anmelden",
		request: "Vorschlag",
		agree: "Zustimmen",
		cashbook: "Kassenbuch",
		logout: "Ausloggen",
		welcome: "Willkommen",
		Ttext_1: "Gleiche Beteiligung an der Geldschöpfung",
		Ttext_2: "sollte ein Menschenrecht sein.",
		Ttext_3: "In unserem System erhält jeder",
		Ttext_4: "Mensch ",
		Ttext_5: " pro ",
		Ttext_6: "(Stunde).",
		Ttext_7: "Das ist die einzige Möglichkeit, ein",
		Ttext_8: "richtiges, ethisches Finanzsystem zu haben.",
		Ttext_9: "Über 1CoinH",
		Ttext_10: " können Sie lesen, wie das funktioniert.",
		Ttext_11: "Viel Spaß!",
		Ttext_12: "1CoinH ist KEINE Kryptowährung!",
		Ttext_13: "Anzeige",
		Ttext_14: "Podcast"
	},
	en: {
		footer00: "Help and frequently asked questions.",
		footer01: "IMPORTANT RULES",
		footer02: "A. Any user account that puts an image in his/her profile that isn't a picture",
		footer03: "of a recognizable face and is collecting coins will be removed.",
		footer04: "B. Misrepresenting yourself or making double accounts for yourself",
		footer05: "will result in that account to be removed once detected.",
		footer06: "DISCLAIMER",
		footer07: "1. Joining or testing the app does not mean that this user agrees or",
		footer08: "condones any political ideas the 1CoinH website might indicate.",
		footer09: "2. Copying and/or reusing any of the userdata that can be found",
		footer10: "on this website - outside this website - is strictly forbidden.",
		footer11: "AGREEMENT",
		footer12: "Joining this website as a user means you have read this disclaimer",
		footer13: "and agree to the 'Important Rules' and 'Disclaimer' above.",
		footer14: "Ethical Money",
		donate: "Donate",
		signup: "Sign Up",
		login: "Log In",
		request: "Request",
		agree: "Agree",
		cashbook: "Cashbook",
		logout: "Log Out",
		welcome: "Welcome",
		Ttext_1: "Equal participation in money",
		Ttext_2: "creation should be a human right.",
		Ttext_3: "In our system, every human",
		Ttext_4: "receives ",
		Ttext_5: "  per ",
		Ttext_6: "(Hour).",
		Ttext_7: "It's the only way to have a",
		Ttext_8: "proper ethical financial system.",
		Ttext_9: "About 1CoinH",
		Ttext_10: " you can read how this works.",
		Ttext_11: "Enjoy!",
		Ttext_12: "1CoinH is NOT a Cryptocurrency!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast"
	},
	es: {
		footer00: "Ayuda y preguntas frecuentes.",
		footer01: "REGLAS IMPORTANTES",
		footer02: "A. Cualquier cuenta de usuario que coloque una imagen en su perfil que no sea",
		footer03: "una foto de una cara reconocible y esté recolectando monedas será eliminada.",
		footer04: "B. Dar una identidad falsa o crear cuentas dobles tendrá como",
		footer05: "resultado que la cuenta sea eliminada una vez detectada.",
		footer06: "DESCARGO DE RESPONSABILIDAD",
		footer07: "1. Unirse o probar la aplicación no significa que este usuario esté de acuerdo",
		footer08: "o apruebe cualquier idea política que el sitio web 1CoinH pueda indicar.",
		footer09: "2. Queda terminantemente prohibido copiar o reutilizar cualquiera de los",
		footer10: "datos de usuario que se encuentren en este sitio web –fuera del mismo-.",
		footer11: "ACUERDO",
		footer12: "Unirse a este sitio web como usuario significa que ha leído este descargo de responsabilidad",
		footer13: "y acepta las 'Reglas importantes' y el 'Descargo de responsabilidad' anteriores.",
		footer14: "Dinero ético",
		donate: "Donar",
		signup: "Registrarse",
		login: "Iniciar Sesión",
		request: "Pedido",
		agree: "Aceptar",
		cashbook: "Libro De Caja",
		logout: "Finalizar La Sesión",
		welcome: "Bienvenida",
		Ttext_1: "La participación igualitaria en la creación",
		Ttext_2: "de dinero debería ser un derecho humano.",
		Ttext_3: "En nuestro sistema, cada humana",
		Ttext_4: "recibe ",
		Ttext_5: " por ",
		Ttext_6: "(hora).",
		Ttext_7: "Es la única manera de tener un",
		Ttext_8: "sistema financiero ético adecuado.",
		Ttext_9: "Acerca de 1CoinH",
		Ttext_10: " puedes leer cómo funciona.",
		Ttext_11: "Disfruta!",
		Ttext_12: "¡1CoinH NO es una criptomoneda!",
		Ttext_13: "Tráiler",
		Ttext_14: "Podcast"
	},
	fp: {
		footer00: "Tulong at mga madalas itanong.",
		footer01: "MAHALAGANG PANUNTUNAN",
		footer02: "A. Anumang user account na naglalagay ng larawan sa kanyang profile na hindi isang larawan",
		footer03: "ng isang nakikilalang mukha at nangongolekta ng mga barya ay aalisin.",
		footer04: "B. Maling pagkatawan sa iyong sarili o paggawa ng dobleng account para sa iyong sarili",
		footer05: "ay magreresulta sa account na iyon na maalis kapag natukoy.",
		footer06: "DISCLAIMER",
		footer07: "1. Ang pagsali o pagsubok sa app ay hindi nangangahulugan na ang user na ito ay sumasang-ayon o",
		footer08: "kinukunsinti ang anumang pampulitikang ideya na maaaring ipahiwatig ng 1CoinH website.",
		footer09: "2. Pagkopya at/o muling paggamit ng alinman sa data ng gumagamit na mahahanap",
		footer10: "sa website na ito - sa labas ng website na ito - ay mahigpit na ipinagbabawal.",
		footer11: "KASUNDUAN",
		footer12: "Ang pagsali sa website na ito bilang isang user ay nangangahulugan na nabasa mo ang disclaimer na ito",
		footer13: "at sumang-ayon sa 'Mahahalagang Panuntunan' at 'Disclaimer' sa itaas.",
		footer14: "Etikal na Pera",
		donate: "Mag-donate",
		signup: "Mag-sign Up",
		login: "Mag-log In",
		request: "Kahilingan",
		agree: "Sumasang-ayon",
		cashbook: "Cashbook",
		logout: "Mag-log Out",
		welcome: "Maligayang pagdating",
		Ttext_1: "Pantay na pakikilahok sa pera",
		Ttext_2: "ang paglikha ay dapat na karapatang pantao.",
		Ttext_3: "Sa ating sistema, bawat tao",
		Ttext_4: "tumatanggap ng ",
		Ttext_5: " bawat ",
		Ttext_6: "(Oras).",
		Ttext_7: "Ito ang tanging paraan para magkaroon ng ",
		Ttext_8: "wastong etikal na sistema ng pananalapi.",
		Ttext_9: "Tungkol sa 1CoinH",
		Ttext_10: " mababasa mo kung paano ito gumagana.",
		Ttext_11: "Enjoy!",
		Ttext_12: "HINDI Cryptocurrency ang 1CoinH!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast"
	},
	fr: {
		footer00: "Aide et questions fréquemment posées.",
		footer01: "RÈGLES IMPORTANTES",
		footer02: "A. Tout compte d'utilisateur qui met une image dans son profil qui n'est pas",
		footer03: "une photo d'un visage reconnaissable et qui collecte des pièces sera supprimé.",
		footer04: "B. Toute fausse déclaration ou création de doubles comptes pour",
		footer05: "vous-même entraînera la suppression de ce compte une fois détecté.",
		footer06: "CLAUSE DE NON-RESPONSABILITÉ",
		footer07: "1. Rejoindre ou tester l'application ne signifie pas que cet utilisateur accepte",
		footer08: "ou cautionne les idées politiques que le site Web 1CoinH pourrait indiquer.",
		footer09: "2. La copie ou la réutilisation des données utilisateur disponibles",
		footer10: "sur ce site Web - en dehors de ce site Web - est strictement interdite.",
		footer11: "ACCORD",
		footer12: "En rejoignant ce site Web en tant qu'utilisateur, vous signifiez que vous avez lu cette clause de non-",
		footer13: "responsabilité et que vous acceptez les « Règles importantes » et la « Clause de non-responsabilité » ci-dessus.",
		footer14: "L'argent éthique",
		donate: "Contribution",
		signup: "Inscrivez",
		login: "Connectez",
		request: "Demande",
		agree: "Accepter",
		cashbook: "Livre De Caisse",
		logout: "Déconnexion",
		welcome: "Bienvenue",
		Ttext_1: "La participation égale à la création",
		Ttext_2: "de monnaie devrait être un droit humain.",
		Ttext_3: "Dans notre système, chaque être humain",
		Ttext_4: "reçoit ",
		Ttext_5: " par ",
		Ttext_6: " (heure).",
		Ttext_7: "C'est la seule façon d'avoir un",
		Ttext_8: "système financier éthique approprié.",
		Ttext_9: "À propos 1CoinH",
		Ttext_10: " vous pouvez lire comment cela fonctionne.",
		Ttext_11: "Profitez!",
		Ttext_12: "1CoinH n'est PAS une crypto-monnaie !",
		Ttext_13: "Bande-annonce",
		Ttext_14: "Podcast"
	},
	ir: {
		footer00: "Cabhair agus ceisteanna coitianta.",
		footer01: "RIALACHA TÁBHACHTACHA",
		footer02: "A. Aon chuntas úsáideora a chuireann íomhá ina bpróifíl nach pictiúr é",
		footer03: "d'aghaidh so-aitheanta agus atá ag bailiú boinn bainfear é.",
		footer04: "B. Tú féin a mhíléiriú nó cuntais dhúbailte a dhéanamh duit féin",
		footer05: "bainfear an cuntas sin nuair a bhraitear é.",
		footer06: "SÉANADH",
		footer07: "1. Ní chiallaíonn sé sin go n-aontaíonn an t-úsáideoir seo nó nuair a théann tú isteach san aip nó é a thástáil",
		footer08: "ghéilleann aon smaointe polaitiúla a d'fhéadfadh láithreán Gréasáin 1CoinH a léiriú.",
		footer09: "2. Ag cóipeáil agus/nó ag athúsáid aon cheann de na sonraí úsáideora is féidir a fháil",
		footer10: "ar an suíomh Gréasáin seo - lasmuigh den suíomh Gréasáin seo - tá cosc   iomlán air.",
		footer11: "COMHAONTÚ",
		footer12: "Má ghlactar leis an suíomh Gréasáin seo mar úsáideoir, tá an séanadh seo léite agat",
		footer13: "agus aontú leis na 'Rialacha Tábhachtacha' agus 'Séanadh' thuas.",
		footer14: "Airgead Eiticiúil",
		donate: "Deonaigh ",
		signup: "Cláraigh",
		login: "Logáil Isteach",
		request: "Iarratas",
		agree: "Aontaigh",
		cashbook: "Leabhar airgid ",
		logout: "Logáil Amach",
		welcome: "Fáilte ",
		Ttext_1: "Rannpháirtíocht chomhionann in airgead",
		Ttext_2: "ba cheart go mbeadh an cruthú ina cheart daonna.",
		Ttext_3: "Inár gcóras, gach daonna",
		Ttext_4: "fhaigheann ",
		Ttext_5: " in aghaidh an ",
		Ttext_6: "(uair).",
		Ttext_7: "Is é an t-aon bhealach le a bheith agat",
		Ttext_8: "córas airgeadais eiticiúil cuí.",
		Ttext_9: "Thart ar 1 CoinH",
		Ttext_10: " is féidir leat a léamh conas a oibríonn sé seo.",
		Ttext_11: "Bain taitneamh as!",
		Ttext_12: "NACH Cryptocurrency é 1CoinH!",
		Ttext_13: "Leantóir",
		Ttext_14: "Podchraoladh"
	},
	gr: {
		footer00: "Βοήθεια και Συχνές Ερωτήσεις.",
		footer01: "ΣΗΜΑΝΤΙΚΟΙ ΚΑΝΟΝΕΣ",
		footer02: "Α. Οποιοσδήποτε λογαριασμός χρήστη τοποθετεί μια εικόνα στο προφίλ του/της που",
		footer03: "δεν είναι εικόνα αναγνωρίσιμου προσώπου και συλλέγει νομίσματα θα αφαιρείται.",
		footer04: "Β. Η παραπλανητική παρουσίαση του εαυτού σας ή η δημιουργία διπλών λογαριασμών για τον",
		footer05: "εαυτό σας θα έχει ως αποτέλεσμα την κατάργηση αυτού του λογαριασμού μόλις εντοπιστεί.",
		footer06: "ΑΡΝΗΣΗ",
		footer07: "1. Η συμμετοχή ή η δοκιμή της εφαρμογής δεν σημαίνει ότι αυτός ο χρήστης συμφωνεί ή",
		footer08: "αποδοκιμάζει τυχόν πολιτικές ιδέες που μπορεί να υποδείξει ο ιστότοπος 1CoinH.",
		footer09: "2. Απαγορεύεται αυστηρά η αντιγραφή ή η επαναχρησιμοποίηση οποιουδήποτε από τα",
		footer10: "δεδομένα χρήστη που βρίσκονται σε αυτόν τον ιστότοπο - εκτός αυτού του ιστότοπου.",
		footer11: "ΣΥΜΦΩΝΙΑ",
		footer12: "Η εγγραφή σε αυτόν τον ιστότοπο ως χρήστης σημαίνει ότι έχετε διαβάσει αυτήν την αποποίηση",
		footer13: "ευθυνών και συμφωνείτε με τους «Σημαντικούς κανόνες» και την «Αποποίηση ευθυνών» παραπάνω.",
		footer14: "Ηθικά χρήματα",
		donate: "Προσφέρω",
		signup: "Εγγραφείτε",
		login: "Συνδεθείτε",
		request: "Αίτηση",
		agree: "Συμφωνώ",
		cashbook: "Βιβλίο ταμείου",
		logout: "Έξοδος",
		welcome: "Καλωσόρισμα",
		Ttext_1: "Ισότιμη συμμετοχή σε χρήματα",
		Ttext_2: "η δημιουργία πρέπει να είναι ανθρώπινο δικαίωμα.",
		Ttext_3: "Στο σύστημά μας, κάθε άνθρωπος",
		Ttext_4: "λαμβάνει ",
		Ttext_5: " ανά ",
		Ttext_6: " (Ωρα).",
		Ttext_7: "Είναι ο μόνος τρόπος να έχεις ένα",
		Ttext_8: "κατάλληλο ηθικό χρηματοπιστωτικό σύστημα.",
		Ttext_9: "Για 1CoinH",
		Ttext_10: " μπορείτε να διαβάσετε πώς λειτουργεί αυτό.",
		Ttext_11: "Απολαμβάνω!",
		Ttext_12: "Το 1CoinH ΔΕΝ είναι Κρυπτονόμισμα!",
		Ttext_13: "Τροχόσπιτο",
		Ttext_14: "Διαφήμιση"
	},
	ha: {
		footer00: "Taimako da Tambayoyin da ake yawan yi.",
		footer01: "MUHIMMAN KA'IDOJI",
		footer02: "A. Duk wani asusun mai amfani da ya sanya hoto a cikin bayanansa wanda ba",
		footer03: "hoton fuskar da ba za a iya gane shi ba kuma yana tara tsabar kudi za a cire.",
		footer04: ". Batar da kanku ko yin asusu biyu don kanku",
		footer05: "zai haifar da cire wannan asusun da zarar an gano.",
		footer06: "RA'AYI",
		footer07: "1. Shiga ko gwada app ɗin baya nufin cewa wannan mai amfani ya yarda ko",
		footer08: "ya yarda da duk wani ra'ayin siyasa da gidan yanar gizon 1CoinH zai iya nunawa.",
		footer09: "2. Kwafi ko sake amfani da duk wani bayanan mai amfani da za a iya samu akan",
		footer10: "wannan gidan yanar gizon - a wajen wannan gidan yanar gizon - haramun ne.",
		footer11: "YARJEJI",
		footer12: "Shiga wannan gidan yanar gizon a matsayin mai amfani yana nufin kun karanta",
		footer13: "wannan ɓatanci kuma kun yarda da 'Muhimman Dokoki' da 'Kiyayewa' a sama.",
		footer14: "Kudi na Da'a",
		donate: "Gudunmawa",
		signup: "Shiga",
		login: "Log In",
		request: "Nema",
		agree: "Yarda",
		cashbook: "Littafin Kuɗi",
		logout: "Fita",
		welcome: "Barka Da Zuwa",
		Ttext_1: "Daidaitaccen shiga cikin kuɗi",
		Ttext_2: "halitta ya kamata ya zama 'yancin ɗan adam.",
		Ttext_3: "A cikin tsarinmu, kowane ɗan adam",
		Ttext_4: "karba ",
		Ttext_5: " per ",
		Ttext_6: " (Sa'a).",
		Ttext_7: "Ita ce kadai hanyar samun a.",
		Ttext_8: "daidai da'a tsarin kudi",
		Ttext_9: "Game da 1CoinH",
		Ttext_10: " za ku iya karanta yadda wannan ke aiki.",
		Ttext_11: "Ji dadin!",
		Ttext_12: "1CoinH ba Cryptocurrency ba ne!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast"
	},
	he: {
		footer00: "עזרה ושאלות נפוצות.",
		footer01: "כללים חשובים",
		footer02: "א. כל חשבון משתמש שמכניס לפרופיל שלו/ה תמונה",
		footer03: "שאינה תמונה של פרצוף מזוהה ואוסף מטבעות יוסר.",
		footer04: "ב. מצג שווא של עצמך או יצירת חשבונות כפולים",
		footer05: "לעצמך יביאו להסרה של חשבון זה לאחר זיהוי.",
		footer06: "כתב ויתור",
		footer07: "1. הצטרפות או בדיקה של האפליקציה לא אומרת שמשתמש זה מסכים או",
		footer08: "מביע הסכמה לרעיונות פוליטיים שהאתר 1CoinH עשוי להצביע עליו.",
		footer09: "2. העתקה או שימוש חוזר בכל אחד מנתוני המשתמש",
		footer10: "שניתן למצוא באתר זה - מחוץ לאתר זה - אסורה בהחלט.",
		footer11: "הֶסכֵּם",
		footer12: "הצטרפות לאתר זה כמשתמש פירושה שקראת כתב",
		footer13: "ויתור זה והסכמת ל'כללים חשובים' ו'כתב ויתור' לעיל.",
		footer14: "כסף אתי",
		donate: "לִתְרוֹם",
		signup: "הירשם",
		login: "התחבר",
		request: "בַּקָשָׁה",
		agree: "לְהַסכִּים",
		cashbook: "קופה",
		logout: "התנתק",
		welcome: "קַבָּלַת פָּנִים",
		Ttext_1: "השתתפות שווה בכסף",
		Ttext_2: ".יצירה צריכה להיות זכות אדם",
		Ttext_3: "במערכת שלנו, כל אדם",
		Ttext_4: " מקבל",
		Ttext_5: " לְכָל ",
		Ttext_6: ".(שָׁעָה)",
		Ttext_7: "זו הדרך היחידה לקבל א",
		Ttext_8: ".מערכת פיננסית אתית נכונה",
		Ttext_9: "אוֹדוֹת 1CoinH",
		Ttext_10: ".אתה יכול לקרוא איך זה עובד ",
		Ttext_11: "!תהנה",
		Ttext_12: "1CoinH אינו מטבע קריפטו!",
		Ttext_13: "גְרוֹר",
		Ttext_14: "פודקאסט"
	},
	hi: {
		footer00: "सहायता एवं अक्सर पूछे जाने वाले प्रश्न.",
		footer01: "महत्वपूर्ण नियम",
		footer02: "A. कोई भी उपयोगकर्ता खाता जो अपनी प्रोफ़ाइल में कोई ऐसी छवि डालता है जो किसी पहचाने",
		footer03: "जाने योग्य चेहरे की तस्वीर नहीं है और सिक्के एकत्र कर रहा है, उसे हटा दिया जाएगा।.",
		footer04: "B. अपने बारे में गलत जानकारी देने या अपने लिए दोहरे खाते",
		footer05: "बनाने पर, पता चलते ही उस खाते को हटा दिया जाएगा।.",
		footer06: "अस्वीकरण",
		footer07: "1. ऐप में शामिल होने या उसका परीक्षण करने का मतलब यह नहीं है कि यह उपयोगकर्ता 1CoinH",
		footer08: "वेबसाइट द्वारा बताए गए किसी भी राजनीतिक विचार से सहमत है या उसका समर्थन करता है।",
		footer09: "2. इस वेबसाइट पर उपलब्ध किसी भी उपयोगकर्ता डेटा की प्रतिलिपि बनाना या",
		footer10: "उसका पुनः उपयोग करना - इस वेबसाइट के बाहर - सख्त वर्जित है।",
		footer11: "समझौता",
		footer12: "एक उपयोगकर्ता के रूप में इस वेबसाइट से जुड़ने का मतलब है कि आपने इस अस्वीकरण",
		footer13: "को पढ़ लिया है और ऊपर दिए गए 'महत्वपूर्ण नियमों' और 'अस्वीकरण' से सहमत हैं।",
		footer14: "नैतिक धन",
		donate: "दान करें",
		signup: "साइन अप करें",
		login: "लॉग इन करें",
		request: "अनुरोध",
		agree: "सहमत",
		cashbook: "रोकड़ बही",
		logout: "लॉग आउट",
		welcome: "स्वागत",
		Ttext_1: "पैसे में समान भागीदारी",
		Ttext_2: "सृजन एक मानव अधिकार होना चाहिए.",
		Ttext_3: "हमारी व्यवस्था में, प्रत्येक मनुष्य",
		Ttext_4: "प्रति ",
		Ttext_5: " घंटे ",
		Ttext_6: " (प्राप्त करता है).",
		Ttext_7: "यह एक",
		Ttext_8: "उचित नैतिक वित्तीय प्रणाली होने का एकमात्र तरीका है.",
		Ttext_9: "के बारे में 1CoinH",
		Ttext_10: " आप पढ़ सकते हैं कि यह कैसे काम करता है.",
		Ttext_11: "आनंद लें!",
		Ttext_12: "1CoinH एक क्रिप्टोकरेंसी नहीं है!",
		Ttext_13: "ट्रेलर",
		Ttext_14: "पॉडकास्ट"
	},
	cr: {
		footer00: "Pomoć i često postavljana pitanja.",
		footer01: "VAŽNA PRAVILA",
		footer02: "A. Svaki korisnički račun koji na svoj profil stavi sliku koja nije slika",
		footer03: "prepoznatljivog lica i skuplja novčiće bit će uklonjen.",
		footer04: "B. Lažno predstavljanje ili pravljenje dvostrukih računa za sebe",
		footer05: "rezultirat će uklanjanjem tog računa nakon otkrivanja.",
		footer06: "ODRICANJE OD ODGOVORNOSTI",
		footer07: "1. Pridruživanje ili testiranje aplikacije ne znači da se ovaj korisnik slaže ili ",
		footer08: "odobrava bilo kakve političke ideje koje bi web stranica 1CoinH mogla ukazati.",
		footer09: "2. Kopiranje i/ili ponovno korištenje bilo kojih korisničkih podataka koji se mogu pronaći",
		footer10: "na ovoj web stranici - izvan ove web stranice - strogo je zabranjeno.",
		footer11: "SPORAZUM",
		footer12: "Pridruživanje ovoj web stranici kao korisnik znači da ste pročitali ovo odricanje od odgovornosti",
		footer13: "i slažete se s gore navedenim 'Važnim pravilima' i 'Odricanjem od odgovornosti'.",
		footer14: "Etički novac",
		donate: "Donirajte ",
		signup: "Prijavite se",
		login: "Prijavite se ",
		request: "Zahtjev ",
		agree: "Slažem se ",
		cashbook: "Blagajna ",
		logout: "Odjava",
		welcome: "Dobrodošli",
		Ttext_1: "Jednako sudjelovanje u novcu",
		Ttext_2: "stvaranje bi trebalo biti ljudsko pravo.",
		Ttext_3: "U našem sustavu svaki ljudski",
		Ttext_4: "prima ",
		Ttext_5: " po ",
		Ttext_6: "(sat).",
		Ttext_7: "To je jedini način da imate ",
		Ttext_8: "pravilan etički financijski sustav.",
		Ttext_9: "Oko 1CoinH",
		Ttext_10: " možete pročitati kako ovo funkcionira.",
		Ttext_11: "Uživajte!",
		Ttext_12: "1CoinH NIJE kriptovaluta!",
		Ttext_13: "Nakolica",
		Ttext_14: "Podcast"
	},
	ig: {
		footer00: "Enyemaka na ajụjụ ndị a na-ajụkarị.",
		footer01: "IWU ndị dị mkpa ",
		footer02: "A. Akaụntụ onye ọrụ ọ bụla na-etinye onyonyo na profaịlụ ya na-abụghị foto ",
		footer03: "A ga-ewepụ nke ihu a na-amata ma na-anakọta mkpụrụ ego.",
		footer04: "B. Na-emehie onwe gị ma ọ bụ na-emere onwe gị akaụntụ abụọ ",
		footer05: "ga-eme ka ewepụ akaụntụ ahụ ozugbo achọpụtara ya.",
		footer06: "NKWUKWU",
		footer07: "1. Ịbanye ma ọ bụ nwalee ngwa ahụ apụtaghị na onye ọrụ a kwetara ma ọ bụ ",
		footer08: "kwadoro echiche ndọrọ ndọrọ ọchịchị ọ bụla na ebe nrụọrụ weebụ 1CoinH nwere ike igosi.",
		footer09: "2. Detuo na/ma ọ bụ ijigharị ihe ọ bụla nke userdata enwere ike ịchọta ",
		footer10: "na webụsaịtị a - na mpụga weebụsaịtị a - amachibidoro kpamkpam.",
		footer11: "Nkwekọrịta ",
		footer12: "Ịbanye na webụsaịtị a dị ka onye ọrụ pụtara na ị gụọla nkwuputa a",
		footer13: "ma kwenye na 'Iwu dị mkpa' na 'Nkwupụta' n'elu.",
		footer14: "Ego ziri ezi ",
		donate: "Nye onyinye ",
		signup: "Debanye aha ",
		login: "Banye ",
		request: "Arịrịọ ",
		agree: "Kwekọrịta ",
		cashbook: "Akwụkwọ ego ",
		logout: "Wepụ ",
		welcome: "Nnọọ ",
		Ttext_1: "Ọnụ ego nhata nhata",
		Ttext_2: "okike kwesiri ibu ikike mmadu.",
		Ttext_3: "Na sistemụ anyị, mmadụ ọ bụla ",
		Ttext_4: "na-enweta ",
		Ttext_5: " kwa ",
		Ttext_6: "(Oge awa).",
		Ttext_7: "Ọ bụ naanị ụzọ ị ga-esi nweta ",
		Ttext_8: "usoro akụ na ụba kwesịrị ekwesị.",
		Ttext_9: "Ihe dị ka 1CoinH",
		Ttext_10: " ị nwere ike ịgụ ka nke a si arụ ọrụ.",
		Ttext_11: "Nwee obi ụtọ!",
		Ttext_12: "1CoinH abụghị Cryptocurrency!",
		Ttext_13: "Trailer ",
		Ttext_14: "Pọdkastị "
	},
	in: {
		footer00: "Bantuan dan pertanyaan yang sering diajukan.",
		footer01: "PERATURAN PENTING",
		footer02: "A. Setiap akun pengguna yang memasang gambar di profilnya yang bukan gambar",
		footer03: "wajah yang dapat dikenali dan mengumpulkan koin akan dihapus.",
		footer04: "B. Salah menggambarkan diri sendiri atau membuat akun ganda untuk diri sendiri",
		footer05: "akan mengakibatkan akun tersebut dihapus setelah terdeteksi.",
		footer06: "PENAFIAN",
		footer07: "1. Bergabung atau menguji aplikasi tidak berarti bahwa pengguna ini setuju atau",
		footer08: "memaafkan ide politik apa pun yang mungkin ditunjukkan oleh situs web 1CoinH.",
		footer09: "2. Menyalin dan/atau menggunakan kembali data pengguna apa pun yang dapat ditemukan",
		footer10: "di situs web ini - di luar situs web ini - dilarang keras.",
		footer11: "PERJANJIAN",
		footer12: "Bergabung dengan situs web ini sebagai pengguna berarti Anda telah membaca penafian ini",
		footer13: "dan menyetujui 'Peraturan Penting' dan 'Penafian' di atas.",
		footer14: "Uang Etis",
		donate: "Donasi",
		signup: "Daftar",
		login: "Masuk",
		request: "Permintaan",
		agree: "Setuju",
		cashbook: "Buku Kas",
		logout: "Masuk Out",
		welcome: "Selamat Datang",
		Ttext_1: "Partisipasi yang setara dalam penciptaan uang",
		Ttext_2: "harus menjadi hak asasi manusia.",
		Ttext_3: "Dalam sistem kita, setiap manusia",
		Ttext_4: "menerima ",
		Ttext_5: "per ",
		Ttext_6: "(Jam).",
		Ttext_7: "Itulah satu-satunya cara untuk",
		Ttext_8: "memiliki sistem keuangan yang etis.",
		Ttext_9: "Tentang 1CoinH",
		Ttext_10: "Anda dapat membaca cara kerjanya.",
		Ttext_11: "Nikmati!",
		Ttext_12: "1CoinH BUKAN Mata Uang Kripto!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast",
	},
	ic: {
		footer00: "Hjálp og algengar spurningar.",
		footer01: "MIKILVÆGAR REGLUR",
		footer02: "A. Sérhver notendareikningur sem setur mynd á prófílinn sinn sem er ekki mynd",
		footer03: "af auðþekkjanlegu andliti og er að safna mynt verður fjarlægt.",
		footer04: "B. Að gefa ranga mynd af sjálfum þér eða gera tvöfalda reikninga fyrir sjálfan þig",
		footer05: "mun leiða til þess að sá reikningur verður fjarlægður þegar hann hefur fundist.",
		footer06: "FYRIRVARI ",
		footer07: "1. Að taka þátt í eða prófa appið þýðir ekki að þessi notandi samþykki eða",
		footer08: "samþykkir allar pólitískar hugmyndir sem 1CoinH vefsíðan gæti gefið til kynna.",
		footer09: "2. Afrita og/eða endurnota eitthvað af notendagögnum sem hægt er að finna",
		footer10: "á þessari vefsíðu - fyrir utan þessa vefsíðu - er stranglega bannað.",
		footer11: "SAMNINGUR ",
		footer12: "Að taka þátt í þessari vefsíðu sem notandi þýðir að þú hefur lesið þennan fyrirvara",
		footer13: "og samþykkja 'Mikilvægar reglur' og 'Fyrirvari' hér að ofan.",
		footer14: "Siðferðilegir peningar ",
		donate: "Gefðu ",
		signup: "Skráðu þig",
		login: "Skráðu þig inn",
		request: "Beiðni ",
		agree: "Sammála",
		cashbook: "Kassabók ",
		logout: "Skráðu þig út",
		welcome: "Velkomin",
		Ttext_1: "Jöfn þátttaka í peningum ",
		Ttext_2: "sköpun ætti að vera mannréttindi.",
		Ttext_3: "Í kerfinu okkar, hver maður ",
		Ttext_4: "fær ",
		Ttext_5: " á ",
		Ttext_6: "(Klukkustund).",
		Ttext_7: "Það er eina leiðin til að hafa ",
		Ttext_8: "almennilegt siðferðilegt fjármálakerfi.",
		Ttext_9: "Um 1CoinH",
		Ttext_10: " þú getur lesið hvernig þetta virkar.",
		Ttext_11: "Njóttu!",
		Ttext_12: "1CoinH er EKKI Cryptocurrency!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast"
	},
	it: {
		footer00: "Aiuto e Domande Frequenti.",
		footer01: "REGOLE IMPORTANTI",
		footer02: "A. Qualsiasi account utente che inserisce nel proprio profilo un'immagine",
		footer03: "che non ritrae un volto riconoscibile e che colleziona monete verrà rimosso.",
		footer04: "B. Se si rivelasse falsa la propria identità o si creassero doppi",
		footer05: "account, l'account in questione verrebbe rimosso una volta scoperto.",
		footer06: "DISCLAIMER",
		footer07: "1. L'adesione all'app o il suo test non implica che l'utente accetti",
		footer08: "o tolleri le idee politiche che il sito web 1CoinH potrebbe indicare.",
		footer09: "2. È severamente vietato copiare o riutilizzare al di fuori",
		footer10: "di questo sito web i dati utente presenti su questo sito web.",
		footer11: "ACCORDO",
		footer12: "Registrandoti a questo sito web come utente, significa che hai letto questa informativa",
		footer13: "sulla privacy e accetti le 'Regole importanti' e l`'Informativa sulla privacy' di cui sopra.",
		footer14: "Denaro Etico",
		donate: "Dona",
		signup: "Registrati",
		login: "Accedi",
		request: "Richiesta",
		agree: "Accordo",
		cashbook: "Libro Cassa",
		logout: "Esci",
		welcome: "Benvenuta",
		Ttext_1: "Partecipazione paritaria alla creazione di denaro",
		Ttext_2: "dovrebbe essere un diritto umano.",
		Ttext_3: "Nel nostro sistema, ogni essere umano",
		Ttext_4: "riceve ",
		Ttext_5: " all ",
		Ttext_6: " ('ora).",
		Ttext_7: "È l'unico modo per avere un",
		Ttext_8: "sistema finanziario etico appropriato.",
		Ttext_9: "Di 1CoinH",
		Ttext_10: " puoi leggere come funziona.",
		Ttext_11: "Divertiti!",
		Ttext_12: "1CoinH NON è una criptovaluta!",
		Ttext_13: "Rimorchio",
		Ttext_14: "Podcast"
	},
	ja: {
		footer00: "ヘルプとよくある質問.",
		footer01: "重要なルール",
		footer02: "A. 認識可能な顔写真ではない画像をプロフィールに掲載し、",
		footer03: "コインを収集しているユーザーアカウントは削除されます。",
		footer04: "B. 自分自身を偽ったり、自分自身のアカウントを二重に作成したりした場合、",
		footer05: "そのアカウントは検出され次第削除されます。",
		footer06: "免責事項",
		footer07: "1. アプリに参加したりテストしたりすることは、ユーザーが 1CoinH の Web",
		footer08: "サイトが示す政治的思想に同意または容認することを意味するものではありません。",
		footer09: "2. 本ウェブサイトに掲載されているユーザーデータを本ウェブサ",
		footer10: "イト外でコピーまたは再利用することは固く禁じられています。",
		footer11: "合意",
		footer12: "このウェブサイトにユーザーとして参加することは、この免責事項を読み、",
		footer13: "上記の「重要な規則」および「免責事項」に同意したことを意味します。",
		footer14: "倫理的なお金",
		donate: "寄付",
		signup: "サインアップ",
		login: "ログイン",
		request: "リクエスト",
		agree: "同意する",
		cashbook: "現金出納帳",
		logout: "ログアウト",
		welcome: "いらっしゃいませ",
		Ttext_1: "お金への平等な参加",
		Ttext_2: "創造は人権であるべきです.",
		Ttext_3: "私たちのシステムでは、すべての人間が",
		Ttext_4: "受け取る ",
		Ttext_5: " あたり ",
		Ttext_6: " (時間).",
		Ttext_7: "これが",
		Ttext_8: "適切な倫理的な金融システムを持つ唯一の方法です.",
		Ttext_9: "について 1CoinH",
		Ttext_10: " これがどのように機能するかを読むことができます.",
		Ttext_11: "お楽しみください!",
		Ttext_12: "1CoinHは暗号通貨ではありません!",
		Ttext_13: "トレーラー",
		Ttext_14: "ポッドキャスト"
	},
	ka: {
		footer00: "Көмек және жиі қойылатын сұрақтар.",
		footer01: "МАҢЫЗДЫ ЕРЕЖЕЛЕР",
		footer02: "A. Өз профиліне сурет емес сурет салатын кез келген пайдаланушы тіркелгісі",
		footer03: "танылатын тұлғаның және монеталарды жинап жатқаны жойылады.",
		footer04: "B. Өзіңізді бұрмалау немесе өзіңізге екі есе есеп беру",
		footer05: "анықталғаннан кейін бұл тіркелгіні жоюға әкеледі.",
		footer06: "БАС ТАРТУ ",
		footer07: "1. Қолданбаға қосылу немесе тестілеу бұл пайдаланушы келіседі немесе дегенді білдірмейді",
		footer08: "1CoinH веб-сайты көрсетуі мүмкін кез келген саяси идеяларды құптайды.",
		footer09: "2. табуға болатын кез келген пайдаланушы деректерін көшіру және/немесе қайта пайдалану",
		footer10: "осы веб-сайтта - осы веб-сайттан тыс - қатаң тыйым салынады.",
		footer11: "КЕЛІСІМ",
		footer12: "Бұл веб-сайтқа пайдаланушы ретінде қосылу сіздің осы жауапкершіліктен бас тарту туралы мәлімдемені оқығаныңызды білдіреді",
		footer13: "және жоғарыдағы 'Маңызды ережелермен' және 'Жауапкершіліктен бас тартумен' келісесіз.",
		footer14: "Этикалық ақша ",
		donate: "садақа беріңіз",
		signup: "Тіркелу ",
		login: "Жүйеге кіру",
		request: "сұрау",
		agree: "Келісіңіз",
		cashbook: "Cashbook ",
		logout: "Шығу",
		welcome: "Қош келдіңіз",
		Ttext_1: "Ақшаға тең қатысу ",
		Ttext_2: "құру адам құқығы болуы керек.",
		Ttext_3: "Біздің жүйеде әрбір адам ",
		Ttext_4: "доллар алады",
		Ttext_5: " долларға",
		Ttext_6: "(сағат).",
		Ttext_7: "Бұл бір долларға ие болудың жалғыз жолы",
		Ttext_8: "дұрыс этикалық қаржылық жүйе.",
		Ttext_9: "Шамамен 1CoinH",
		Ttext_10: " бұл қалай жұмыс істейтінін оқи аласыз.",
		Ttext_11: "Ләззат алыңыз!",
		Ttext_12: "1CoinH криптовалюта ЕМЕС!",
		Ttext_13: "Трейлер",
		Ttext_14: "Подкаст"
	},
	kh: {
		footer00: "ជំនួយ និងសំណួរដែលគេសួរញឹកញាប់.",
		footer01: "ច្បាប់សំខាន់ ",
		footer02: "A. គណនីអ្នកប្រើប្រាស់ណាមួយដែលដាក់រូបភាពក្នុងទម្រង់របស់គាត់ដែលមិនមែនជារូបភាព",
		footer03: "មុខដែលអាចស្គាល់បាន ហើយកំពុងប្រមូលកាក់នឹងត្រូវដកចេញ។",
		footer04: "ខ. បំភាន់ខ្លួនអ្នក ឬបង្កើតគណនីពីរដងសម្រាប់ខ្លួនអ្នក",
		footer05: "នឹង នាំ ឱ្យ គណនី នោះ ត្រូវ បាន លុប ចេញ នៅ ពេល ដែល បាន រក ឃើញ.",
		footer06: "ការបដិសេធ ",
		footer07: "1. ការចូលរួម ឬសាកល្បងកម្មវិធីមិនមានន័យថាអ្នកប្រើប្រាស់នេះយល់ព្រម ឬ ",
		footer08: "អត់ឱនចំពោះគំនិតនយោបាយណាមួយ គេហទំព័រ 1CoinH អាចបង្ហាញ។",
		footer09: "2. ការចម្លង និង/ឬប្រើឡើងវិញនូវទិន្នន័យអ្នកប្រើប្រាស់ណាមួយដែលអាចត្រូវបានរកឃើញ ",
		footer10: "នៅលើគេហទំព័រនេះ - នៅខាងក្រៅគេហទំព័រនេះ - ត្រូវបានហាមឃាត់យ៉ាងតឹងរ៉ឹង។",
		footer11: "កិច្ចព្រមព្រៀង ",
		footer12: "ការចូលរួមគេហទំព័រនេះក្នុងនាមជាអ្នកប្រើប្រាស់មានន័យថាអ្នកបានអានការបដិសេធនេះ ",
		footer13: "ហើយយល់ព្រមចំពោះ 'ច្បាប់សំខាន់ៗ' និង 'ការបដិសេធ' ខាងលើ.",
		footer14: "ប្រាក់ សីលធម៌ ",
		donate: "បរិច្ចាគ ",
		signup: "ចុះឈ្មោះ ",
		login: "ចូល ",
		request: "ស្នើសុំ ",
		agree: "យល់ព្រម ",
		cashbook: "សៀវភៅសាច់ប្រាក់ ",
		logout: "ចេញ ",
		welcome: "ស្វាគមន៍ ",
		Ttext_1: "ការចូលរួមស្មើៗគ្នាក្នុងប្រាក់ដុល្លារ",
		Ttext_2: "ការបង្កើតគួរតែជាសិទ្ធិមនុស្ស។",
		Ttext_3: "នៅក្នុងប្រព័ន្ធរបស់យើង មនុស្សគ្រប់រូប ",
		Ttext_4: "ទទួលបាន ",
		Ttext_5: " ក្នុង ",
		Ttext_6: "(ម៉ោង) ",
		Ttext_7: "វាជាមធ្យោបាយតែមួយគត់ដើម្បីមានប្រាក់ដុល្លារ",
		Ttext_8: "ប្រព័ន្ធហិរញ្ញវត្ថុប្រកបដោយក្រមសីលធម៌។",
		Ttext_9: "ប្រហែល 1CoinH",
		Ttext_10: " អ្នកអាចអានពីរបៀបដែលវាដំណើរការ។",
		Ttext_11: "រីករាយ!",
		Ttext_12: "1CoinH មិនមែនជា Cryptocurrency ទេ!",
		Ttext_13: "ឈុតខ្លីៗ ",
		Ttext_14: "ផតខាស "
	},
	ki: {
		footer00: "Ubufasha nibibazo bikunze kubazwa.",
		footer01: "AMATEGEKO AKAMARO",
		footer02: "A. Konti yose yumukoresha ishyira ishusho mumwirondoro we itari",
		footer03: "ishusho yisura yamenyekanye kandi ikusanya ibiceri bizakurwaho.",
		footer04: "B. Kwiyerekana nabi cyangwa gukora konti ebyiri kubwawe",
		footer05: "bizavamo iyo konte gukurwaho bimaze kumenyekana.",
		footer06: "IKIBAZO",
		footer07: "1. Kwinjira cyangwa kugerageza porogaramu ntabwo bivuze ko uyu ukoresha yemeye cyangwa",
		footer08: "ashyigikiye ibitekerezo byose bya politiki urubuga rwa 1CoinH rushobora kwerekana.",
		footer09: "2. Gukoporora cyangwa gukoresha ikoreshwa ryumukoresha ushobora",
		footer10: "kuboneka kururu rubuga - hanze yuru rubuga - birabujijwe rwose.",
		footer11: "AMASEZERANO",
		footer12: "Kwinjira kururu rubuga nkumukoresha bivuze ko wasomye iki",
		footer13: "cyemezo kandi ukemera 'Amategeko yingenzi' na 'Disclaimer' hejuru.",
		footer14: "Amafaranga Yimyitwarire",
		donate: "Tanga impano",
		signup: "Iyandikishe",
		login: "Injira",
		request: "Gusaba",
		agree: "Emera",
		cashbook: "Cashbook",
		logout: "Sohoka",
		welcome: "Murakaza Neza",
		Ttext_1: "Uruhare rungana mumafaranga",
		Ttext_2: "kurema bigomba kuba uburenganzira bwa muntu.",
		Ttext_3: "Muri sisitemu yacu, buri muntu",
		Ttext_4: "yakira ",
		Ttext_5: " kuri ",
		Ttext_6: " (Isaha).",
		Ttext_7: "Ninzira yonyine yo kugira a",
		Ttext_8: "sisitemu yimari ikwiye.",
		Ttext_9: "Ibyerekeye 1CoinH",
		Ttext_10: " urashobora gusoma uko ibi bikora.",
		Ttext_11: "Ishimire!",
		Ttext_12: "1CoinH ntabwo ari Cryptocurrency!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast"
	},
	sh: {
		footer00: "Msaada na maswali yanayoulizwa mara kwa mara.",
		footer01: "SHERIA MUHIMU",
		footer02: "A. Akaunti yoyote ya mtumiaji ambayo inaweka picha katika wasifu wake ambayo si picha",
		footer03: "ya uso unaotambulika na anakusanya sarafu itaondolewa.",
		footer04: "B. Kujiwakilisha vibaya au kujitengenezea akaunti mbili ",
		footer05: "itasababisha akaunti hiyo kuondolewa mara tu itakapogunduliwa.",
		footer06: "KANUSHO",
		footer07: "1. Kujiunga au kujaribu programu haimaanishi kuwa mtumiaji huyu anakubali au ",
		footer08: "inakubali mawazo yoyote ya kisiasa ambayo tovuti ya 1CoinH inaweza kuonyesha.",
		footer09: "2. Kunakili na/au kutumia tena data yoyote ya mtumiaji inayoweza kupatikana",
		footer10: "kwenye tovuti hii - nje ya tovuti hii - ni marufuku kabisa.",
		footer11: "MKATABA",
		footer12: "Kujiunga na tovuti hii kama mtumiaji kunamaanisha kuwa umesoma kanusho hili ",
		footer13: "na ukubali 'Kanuni Muhimu' na 'Kanusho' hapo juu.",
		footer14: "Pesa ya Maadili ",
		donate: "Changia ",
		signup: "Jisajili",
		login: "Ingia ",
		request: "Ombi ",
		agree: "Kubali ",
		cashbook: "Kitabu cha pesa",
		logout: "Ondoka ",
		welcome: "Karibu",
		Ttext_1: "Ushiriki sawa katika pesa ",
		Ttext_2: "uumbaji unapaswa kuwa haki ya binadamu.",
		Ttext_3: "Katika mfumo wetu, kila binadamu ",
		Ttext_4: "inapokea ",
		Ttext_5: " kwa ",
		Ttext_6: "(Saa).",
		Ttext_7: "Ndio njia pekee ya kuwa na ",
		Ttext_8: "mfumo sahihi wa kifedha wa kimaadili.",
		Ttext_9: "kuhusu 1CoinH",
		Ttext_10: " unaweza kusoma jinsi hii inavyofanya kazi.",
		Ttext_11: "Furahia!",
		Ttext_12: "1CoinH SIO Sarafu ya Crypto!",
		Ttext_13: "Trela",
		Ttext_14: "Podcast"
	},
	co: {
		footer00: "Lusadisu mpi bangyufula yina bantu keyulaka mbala na mbala.",
		footer01: "BANSIKU YA MFUNU",
		footer02: "A. Konso muntu yina ke tulaka kifwanisu na profil na yandi yina kele ve kifwanisu.",
		footer03: "ya luse ya kuzaba mpi ke vukisa mbongo ya bibende ta katuka.",
		footer04: "B. Kudimonisa na mutindu ya mbi to kusala bakonti zole sambu na nge mosi.",
		footer05: "ta sala nde bo katula konti yina kana bo me mona yo.",
		footer06: "KUBUYA",
		footer07: "1. Kukota to kumeka appli ke tendula ve nde muntu yai ke ndima to",
		footer08: "ke ndima konso ngindu ya politiki yina site internet ya 1CoinH lenda monisa.",
		footer09: "2. Kusala kopi mpi/to kusadila dyaka konso nsangu ya muntu yina lenda zwa",
		footer10: "na site yayi - na nganda ya site yayi - me pekisama ngolo.",
		footer11: "LUWAKANU",
		footer12: "Kukota na site yai bonso muntu ya ke sadilaka yo ke tendula nde nge me tanga nsiku yai.",
		footer13: "mpi kundima ‘Bansiku ya Mfunu’ mpi ‘Kubuya’ yina kele na zulu.",
		footer14: "Mbongo ya Bikalulu",
		donate: "Pesa makabu",
		signup: "Kusonikisa zina",
		login: "Kota",
		request: "Kulomba",
		agree: "Ndima",
		cashbook: "Mukanda ya mbongo",
		logout: "Kubasika",
		welcome: "Beno me kwisa mbote",
		Ttext_1: "Kuvukana kiteso mosi na mbongo.",
		Ttext_2: "lugangu fwete vanda nswa ya muntu.",
		Ttext_3: "Na ngidika na beto, konso muntu",
		Ttext_4: "ke bakaka",
		Ttext_5: " na ",
		Ttext_6: "(Ngunga).",
		Ttext_7: "Yau kele mutindu mosi kaka ya kuvanda na a",
		Ttext_8: "ngidika ya mbote ya mbongo ya bikalulu ya mbote.",
		Ttext_9: "Pene-pene ya 1MbongoH",
		Ttext_10: " nge lenda tanga mutindu mambu yai ke salamaka.",
		Ttext_11: "Sepela!",
		Ttext_12: "1CoinH kele VE Mbongo ya Kibende!",
		Ttext_13: "Remorque",
		Ttext_14: "Podcast"
	},
	ko: {
		footer00: "도움말 및 자주 묻는 질문.",
		footer01: "중요 규칙",
		footer02: "A. 자신의 프로필에 알아볼 수 있는 얼굴이 아닌 사진을",
		footer03: "넣고 코인을 모으는 모든 사용자 계정은 삭제됩니다.",
		footer04: "B. 자신을 속이거나 이중 계정을 만드는",
		footer05: "경우, 해당 계정은 발견 시 삭제됩니다.",
		footer06: "부인 성명",
		footer07: "1. 앱에 가입하거나 테스트하는 것은 해당 사용자가 1CoinH 웹사이트에서 나",
		footer08: "타내는 정치적 아이디어에 동의하거나 묵인한다는 것을 의미하지 않습니다.",
		footer09: "2. 이 웹사이트에서 찾을 수 있는 사용자 데이터를 이 웹사이트",
		footer10: "외부에서 복사하거나 재사용하는 것은 엄격히 금지되어 있습니다.",
		footer11: "합의",
		footer12: "이 웹사이트에 사용자로 가입하는 것은 귀하가 본 면책 조항을 읽었으며",
		footer13: "위의 '중요 규칙' 및 '면책 조항'에 동의한다는 것을 의미합니다.",
		footer14: "윤리적 돈",
		donate: "기부",
		signup: "가입",
		login: "로그인",
		request: "요구",
		agree: "동의하다",
		cashbook: "현금 출납장",
		logout: "로그아웃",
		welcome: "환영",
		Ttext_1: "돈에 대한 평등한 참여",
		Ttext_2: "창조는 인권이어야 함.",
		Ttext_3: "우리 시스템에서는 모든 인간이",
		Ttext_4: "받는 ",
		Ttext_5: " 당 ",
		Ttext_6: " (시간).",
		Ttext_7: "이것이",
		Ttext_8: "적절하고 윤리적인 금융 시스템을 갖는 유일한 방법입니다.",
		Ttext_9: "에 대한 1CoinH",
		Ttext_10: " 이것이 어떻게 작동하는지 읽을 수 있습니다.",
		Ttext_11: "즐기세요!",
		Ttext_12: "1CoinH는 암호화폐가 아닙니다!",
		Ttext_13: "트레일러",
		Ttext_14: "팟캐스트"
	},
	kg: {
		footer00: "Жардам жана көп берилүүчү суроолор.",
		footer01: "МААНИЛҮҮ ЭРЕЖЕЛЕР",
		footer02: "A. Өзүнүн профилине сүрөт эмес сүрөт салган колдонуучу аккаунту",
		footer03: "таанымал жүзү жана чогултуп жаткан тыйындар алынып салынат.",
		footer04: "B. Өзүңдү туура эмес көрсөтүү же өзүңө кош эсеп түзүү",
		footer05: "аныкталгандан кийин ал эсеп өчүрүлөт.",
		footer06: "АЖЫРАТУУ ",
		footer07: "1. Колдонмого кошулуу же сынап көрүү бул колдонуучу макул же дегенди билдирбейт",
		footer08: "1CoinH веб-сайты көрсөткөн ар кандай саясий идеяларды колдойт.",
		footer09: "2. Колдонуучунун каалаган маалыматтарын көчүрүү жана/же кайра колдонуу",
		footer10: "бул веб-сайтта - бул веб-сайттан тышкары - катуу тыюу салынган.",
		footer11: "КЕЛИШИМ",
		footer12: "Бул веб-сайтка колдонуучу катары кошулуу бул баш тартууну окуганыңызды билдирет",
		footer13: "жана жогорудагы 'Маанилүү эрежелер' жана 'баш тартууга' макулдугуңузду билдириңиз.",
		footer14: "Этикалык акча ",
		donate: "кайрымдуулук",
		signup: "Катталыңыз",
		login: "Кирүү",
		request: "суроо",
		agree: "макул ",
		cashbook: "Cashbook ",
		logout: "Чыгуу",
		welcome: "кош келиңиз",
		Ttext_1: "акчага бирдей катышуу ",
		Ttext_2: "жаратуу адамдын укугу болууга тийиш.",
		Ttext_3: "Биздин системада ар бир адам ",
		Ttext_4: "доллар алат",
		Ttext_5: " долларга",
		Ttext_6: "(саат).",
		Ttext_7: "долларга ээ болуунун жалгыз жолу",
		Ttext_8: "туура этикалык каржы системасы.",
		Ttext_9: "Болжол менен 1CoinH",
		Ttext_10: " бул кантип иштээрин окуй аласыз.",
		Ttext_11: "Enjoy!",
		Ttext_12: "1CoinH криптовалюта ЭМЕС!",
		Ttext_13: "Трейлер",
		Ttext_14: "Подкаст"
	},
	la: {
		footer00: "ຊ່ວຍເຫຼືອ ແລະຄຳຖາມທີ່ມັກຖາມເລື້ອຍໆ.",
		footer01: "ກົດລະບຽບສຳຄັນ",
		footer02: "A. ບັນ ຊີ ຜູ້ ໃຊ້ ໃດ ຫນຶ່ງ ທີ່ ເອົາ ຮູບ ພາບ ໃນ ໂປ ຣ ໄຟ ລ໌ ຂອງ ຕົນ ທີ່ ບໍ່ ແມ່ນ ຮູບ ",
		footer03: "ຂອງໃບຫນ້າທີ່ຮັບຮູ້ໄດ້ແລະກໍາລັງເກັບກໍາຫຼຽນຈະຖືກໂຍກຍ້າຍອອກ.",
		footer04: "B. ບິດເບືອນຕົວທ່ານເອງ ຫຼືສ້າງບັນຊີສອງເທົ່າໃຫ້ກັບຕົນເອງ",
		footer05: "ຈະສົ່ງຜົນໃຫ້ບັນຊີນັ້ນຖືກລຶບອອກເມື່ອກວດພົບ.",
		footer06: "ຄຳປະຕິເສດ ",
		footer07: "1. ການເຂົ້າຮ່ວມຫຼືການທົດສອບ app ບໍ່ໄດ້ຫມາຍຄວາມວ່າຜູ້ໃຊ້ນີ້ຕົກລົງເຫັນດີຫຼື ",
		footer08: "ຍອມຮັບແນວຄວາມຄິດທາງດ້ານການເມືອງໃດໆທີ່ເວັບໄຊທ໌ 1CoinH ອາດຈະຊີ້ບອກ.",
		footer09: "2. ການສຳເນົາ ແລະ/ຫຼື ນຳໃຊ້ຄືນຂໍ້ມູນຜູ້ໃຊ້ໃດໜຶ່ງທີ່ພົບເຫັນໄດ້ ",
		footer10: "ຢູ່ໃນເວັບໄຊທ໌ນີ້ - ຢູ່ນອກເວັບໄຊທ໌ນີ້ - ຖືກຫ້າມຢ່າງເຂັ້ມງວດ.",
		footer11: "ຂໍ້ຕົກລົງ",
		footer12: "ການເຂົ້າຮ່ວມເວັບໄຊທ໌ນີ້ເປັນຜູ້ໃຊ້ຫມາຍຄວາມວ່າທ່ານໄດ້ອ່ານຄໍາປະຕິເສດນີ້ ",
		footer13: "ແລະຕົກລົງເຫັນດີກັບ 'ກົດລະບຽບສຳຄັນ' ແລະ 'ຄຳປະຕິເສດ' ຂ້າງເທິງ.",
		footer14: "ເງິນດ້ານຈັນຍາບັນ ",
		donate: "ບໍລິຈາກ ",
		signup: "ລົງທະບຽນ ",
		login: "ເຂົ້າສູ່ລະບົບ ",
		request: "ຮ້ອງຂໍ ",
		agree: "ຕົກລົງເຫັນດີ ",
		cashbook: "ປື້ມເງິນສົດ ",
		logout: "ອອກຈາກລະບົບ",
		welcome: "ຍິນດີຕ້ອນຮັບ",
		Ttext_1: "ການມີສ່ວນຮ່ວມເທົ່າທຽມກັນໃນເງິນ ",
		Ttext_2: "ການສ້າງຄວນຈະເປັນສິດທິມະນຸດ.",
		Ttext_3: "ໃນລະບົບຂອງພວກເຮົາ, ມະນຸດທຸກຄົນ ",
		Ttext_4: "ໄດ້ຮັບ ",
		Ttext_5: " ຕໍ່ ",
		Ttext_6: "(ຊົ່ວໂມງ).",
		Ttext_7: "ມັນເປັນວິທີດຽວທີ່ຈະມີເງິນໂດລາ",
		Ttext_8: "ລະບົບການເງິນທີ່ມີຈັນຍາບັນທີ່ຖືກຕ້ອງ.",
		Ttext_9: "ປະມານ 1CoinH",
		Ttext_10: " ທ່ານສາມາດອ່ານວິທີການນີ້ເຮັດວຽກ.",
		Ttext_11: "ມ່ວນ!",
		Ttext_12: "1CoinH ບໍ່ແມ່ນ Cryptocurrency!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast"
	},
	lv: {
		footer00: "Palīdzība un bieži uzdotie jautājumi.",
		footer01: "SVARĪGI NOTEIKUMI",
		footer02: "A. Jebkurš lietotāja konts, kas savā profilā ievieto attēlu, kas nav attēls",
		footer03: "ar atpazīstamu seju un kolekcionē monētas.",
		footer04: "B. Maldinoša sevis rādīšana vai dubultkontu izveidošana sev ",
		footer05: "pēc atklāšanas šis konts tiks noņemts.",
		footer06: "ATRUNA ",
		footer07: "1. Pievienošanās lietotnei vai tās testēšana nenozīmē, ka šis lietotājs piekrīt vai ",
		footer08: "pieļauj jebkādas politiskās idejas, kuras varētu norādīt 1CoinH vietnē.",
		footer09: "2. Kopēt un/vai atkārtoti izmantot visus lietotāja datus, kurus var atrast ",
		footer10: "šajā tīmekļa vietnē - ārpus šīs vietnes - ir stingri aizliegts.",
		footer11: "LĪGUMS",
		footer12: "Pievienošanās šai vietnei kā lietotājs nozīmē, ka esat izlasījis šo atrunu",
		footer13: "un piekrītiet iepriekš minētajiem “Svarīgajiem noteikumiem” un “Atruna”.",
		footer14: "Ētiskā nauda ",
		donate: "Ziedot ",
		signup: "Reģistrēties ",
		login: "Pieteikties ",
		request: "Pieprasīt ",
		agree: "Piekrītu ",
		cashbook: "Kases grāmata ",
		logout: "Iziet ",
		welcome: "Laipni lūdzam ",
		Ttext_1: "Vienlīdzīga dalība naudā",
		Ttext_2: "radīšanai jābūt cilvēktiesībām.",
		Ttext_3: "Mūsu sistēmā katrs cilvēks",
		Ttext_4: "saņem ",
		Ttext_5: " par ",
		Ttext_6: "(stunda).",
		Ttext_7: "Tas ir vienīgais veids, kā iegūt ",
		Ttext_8: "pareiza ētiska finanšu sistēma.",
		Ttext_9: "Apmēram 1 CoinH ",
		Ttext_10: " varat izlasīt, kā tas darbojas.",
		Ttext_11: "Izbaudiet! ",
		Ttext_12: "1CoinH NAV kriptovalūta!",
		Ttext_13: "Treileris ",
		Ttext_14: "Podcast "
	},
	lt: {
		footer00: "Pagalba ir dažniausiai užduodami klausimai.",
		footer01: "SVARBIOS TAISYKLĖS",
		footer02: "A. Bet kuri vartotojo paskyra, kuri į savo profilį įdeda vaizdą, kuris nėra paveikslėlis",
		footer03: "atpažįstamo veido ir renkantis monetas bus pašalintas.",
		footer04: "B. Klaidinantis savęs pateikimas arba dvigubų sąskaitų kūrimas ",
		footer05: "aptikta paskyra bus pašalinta.",
		footer06: "ATSISAKYMAS ",
		footer07: "1. Prisijungimas prie programos ar jos išbandymas nereiškia, kad šis vartotojas sutinka arba ",
		footer08: "toleruoja bet kokias politines idėjas, kurias gali nurodyti 1CoinH svetainė.",
		footer09: "2. Nukopijuoti ir (arba) pakartotinai naudoti bet kokius vartotojo duomenis, kuriuos galima rasti ",
		footer10: "šioje svetainėje – už šios svetainės ribų – griežtai draudžiama.",
		footer11: "SUTARTIS ",
		footer12: "Prisijungimas prie šios svetainės kaip vartotojas reiškia, kad perskaitėte šį atsakomybės atsisakymą",
		footer13: "ir sutikite su aukščiau pateiktomis „Svarbiomis taisyklėmis“ ir „Atsisakymu“.",
		footer14: "Etiški pinigai ",
		donate: "Paaukoti ",
		signup: "Registruotis ",
		login: "Prisijungti ",
		request: "Prašyti ",
		agree: "Sutinku ",
		cashbook: "Kasos knyga ",
		logout: "Atsijungti",
		welcome: "Sveiki ",
		Ttext_1: "Vienodas dalyvavimas pinigais",
		Ttext_2: "kūryba turėtų būti žmogaus teisė.",
		Ttext_3: "Mūsų sistemoje kiekvienas žmogus",
		Ttext_4: "gauna ",
		Ttext_5: " už ",
		Ttext_6: "(valanda).",
		Ttext_7: "Tai vienintelis būdas turėti a",
		Ttext_8: "tinkama etiška finansų sistema.",
		Ttext_9: "Apie 1CoinH",
		Ttext_10: " galite perskaityti, kaip tai veikia.",
		Ttext_11: "Mėgaukitės! ",
		Ttext_12: "1CoinH NĖRA kriptovaliuta!",
		Ttext_13: "Priekaba ",
		Ttext_14: "Podcast "
	},
	hu: {
		footer00: "Segítség és gyakran ismételt kérdések.",
		footer01: "FONTOS SZABÁLYOK",
		footer02: "V. Minden olyan felhasználói fiókot, amely olyan képet helyez el a profiljába,",
		footer03: "amely nem egy felismerhető arc képe, és érméket gyűjt, eltávolítjuk.",
		footer04: "B. Ha félrevezeti magát, vagy kettős fiókot hoz létre",
		footer05: "magának, az észlelés után a fiók eltávolításra kerül.",
		footer06: "NYILATKOZAT",
		footer07: "1. Az alkalmazáshoz való csatlakozás vagy az alkalmazás tesztelése nem jelenti azt, hogy a felhasználó",
		footer08: "beleegyezik vagy elnéz minden olyan politikai elképzelést, amelyet az 1CoinH webhely jelezhet.",
		footer09: "2. A weboldalon található felhasználói adatok másolása vagy",
		footer10: "újrafelhasználása - ezen a weboldalon kívül - szigorúan tilos.",
		footer11: "MEGÁLLAPODÁS",
		footer12: "Ha felhasználóként csatlakozik ehhez a weboldalhoz, az azt jelenti, hogy elolvasta ezt a",
		footer13: "felelősségkizárást, és elfogadja a fenti „Fontos szabályokat” és „Felelősségi nyilatkozatot”.",
		footer14: "Etikus Pénz",
		donate: "Adományoz",
		signup: "Regisztrá.",
		login: "Bejelentkezés",
		request: "Kér",
		agree: "Egyetért",
		cashbook: "Pénztárkönyv",
		logout: "Jelentkezzen Ki",
		welcome: "Üdvözöljük",
		Ttext_1: "Egyenlő részvétel a pénzben",
		Ttext_2: "az alkotásnak emberi jognak kell lennie.",
		Ttext_3: "A mi rendszerünkben minden ember",
		Ttext_4: "kap ",
		Ttext_5: " per ",
		Ttext_6: " (Óra).",
		Ttext_7: "Ez az egyetlen módja annak, hogy a",
		Ttext_8: "megfelelő etikus pénzügyi rendszer.",
		Ttext_9: "Körülbelül 1CoinH",
		Ttext_10: " elolvashatod, hogyan működik ez.",
		Ttext_11: "Élvez!",
		Ttext_12: "Az 1CoinH NEM kriptovaluta!",
		Ttext_13: "Utánfutó",
		Ttext_14: "Podcast"
	},
	mg: {
		footer00: "Fanampiana sy fanontaniana apetraka matetika.",
		footer01: "FITSIPIKA MANDRITRA ",
		footer02: "A. Izay kaonty mpampiasa mametraka sary ao amin'ny mombamomba azy izay tsy sary",
		footer03: "amin'ny endrika fantatra sy manangona vola dia hesorina.",
		footer04: "B. Misolo tena ny tenanao na manao kaonty avo roa heny ho anao",
		footer05: "dia ho esorina io kaonty io rehefa hita.",
		footer06: "FANAMARIHANA",
		footer07: "1. Ny fidirana na fitsapana ny fampiharana dia tsy midika fa manaiky io mpampiasa io na ",
		footer08: "manaiky izay hevitra politika mety ho tondroin'ny tranokala 1CoinH.",
		footer09: "2. Mandika sy/na mampiasa indray ny angona mpampiasa izay hita ",
		footer10: "amin'ity tranokala ity - ivelan'ity tranokala ity - dia voarara tanteraka.",
		footer11: "FIfanarahana",
		footer12: "Ny fidirana amin'ity tranokala ity amin'ny maha-mpampiasa azy dia midika fa efa namaky ity ianao",
		footer13: "ary manaiky ny 'Fitsipika manan-danja' sy 'Disclaimer' etsy ambony.",
		footer14: "Vola etika",
		donate: "Manome ",
		signup: "Misoratra anarana ",
		login: "Midira ",
		request: "Mangataka ",
		agree: "Manaiky",
		cashbook: "Boky vola ",
		logout: "Hivoaka ",
		welcome: "Tongasoa ",
		Ttext_1: "Fandraisana anjara mitovy amin'ny vola",
		Ttext_2: "tokony ho zon'olombelona ny famoronana.",
		Ttext_3: "Ao amin'ny rafitra misy antsika, ny olona tsirairay ",
		Ttext_4: "mandray ",
		Ttext_5: " isaky ny ",
		Ttext_6: "(ora).",
		Ttext_7: "Io no hany fomba hahazoana-nak",
		Ttext_8: "rafitra ara-bola araka ny etika.",
		Ttext_9: "Manodidina ny 1CoinH",
		Ttext_10: " azonao vakiana ny fomba fiasan'izany.",
		Ttext_11: "Ankafizo!",
		Ttext_12: "1CoinH dia TSY Cryptocurrency!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast"
	},
	ma: {
		footer00: "मदत आणि वारंवार विचारले जाणारे प्रश्न.",
		footer01: "महत्त्वाचे नियम",
		footer02: "अ. कोणताही वापरकर्ता खाते जो त्याच्या/तिच्या प्रोफाइलमध्ये अशी प्रतिमा ठेवतो जी ",
		footer03: "ओळखण्यायोग्य चेहऱ्याची प्रतिमा नाही आणि नाणी गोळा करत आहे ते काढून टाकले जाईल.",
		footer04: "ब. स्वतःचे चुकीचे प्रतिनिधित्व करणे किंवा स्वतःसाठी दुहेरी खाते बनवणे",
		footer05: "परिणामी ते खाते शोधल्यानंतर काढून टाकले जाईल.",
		footer06: "अस्वीकरण",
		footer07: "१. अ‍ॅपमध्ये सामील होणे किंवा त्याची चाचणी करणे याचा अर्थ असा नाही की हा वापरकर्ता 1CoinH वेबसाइट दर्शवू शकणाऱ्या कोणत्याही राजकीय कल्पनांशी सहमत आहे किंवा",
		footer08: "माफ करतो.",
		footer09: "२. या वेबसाइटवर - या वेबसाइटच्या बाहेर - आढळू शकणारा कोणताही",
		footer10: "वापरकर्ता डेटा कॉपी करणे आणि/किंवा पुनर्वापर करणे सक्त मनी आहे.",
		footer11: "करार",
		footer12: "या वेबसाइटवर वापरकर्ता म्हणून सामील होणे म्हणजे तुम्ही हे अस्वीकरण वाचले आहे",
		footer13: "आणि वरील 'महत्त्वाचे नियम' आणि 'अस्वीकरण' यांना सहमती दर्शवा.",
		footer14: "नैतिक पैसे",
		donate: "देणगी",
		signup: "साइन अप",
		login: "लॉग इन",
		request: "विनंती",
		agree: "सहमत",
		cashbook: "कॅशबुक",
		logout: "लॉग आउट",
		welcome: "स्वागत",
		Ttext_1: "समान सहभाग पैशात",
		Ttext_2: "निर्मिती हा मानवी हक्क असला पाहिजे.",
		Ttext_3: "आपल्या व्यवस्थेत, प्रत्येक मानवाला",
		Ttext_4: "प्रति ",
		Ttext_5: "(तास) ",
		Ttext_6: "मिळतो.",
		Ttext_7: "योग्य नैतिक आर्थिक व्यवस्था",
		Ttext_8: "असण्याचा हा एकमेव मार्ग आहे.",
		Ttext_9: "1CoinH बद्दल",
		Ttext_10: "हे कसे कार्य करते ते तुम्ही वाचू शकता.",
		Ttext_11: "आनंद घ्या!",
		Ttext_12: "1CoinH ही क्रिप्टोकरन्सी नाही!",
		Ttext_13: "ट्रेलर",
		Ttext_14: "पॉडकास्ट"
	},
	ml: {
		footer00: "Bantuan dan soalan lazim.",
		footer01: "PERATURAN PENTING",
		footer02: "A. Mana-mana akaun pengguna yang meletakkan imej dalam profilnya yang bukan gambar",
		footer03: "wajah yang boleh dikenali dan sedang mengumpul syiling akan dialih keluar.",
		footer04: "B. Salah nyatakan diri sendiri atau membuat akaun berganda untuk diri sendiri",
		footer05: "akan menyebabkan akaun itu dialih keluar setelah dikesan.",
		footer06: "PENAFIAN",
		footer07: "1. Menyertai atau menguji apl tidak bermakna pengguna ini bersetuju atau",
		footer08: "membenarkan sebarang idea politik yang mungkin ditunjukkan oleh laman web 1CoinH.",
		footer09: "2. Menyalin dan/atau menggunakan semula mana-mana data pengguna yang boleh ditemui",
		footer10: "di laman web ini - di luar laman web ini - adalah dilarang sama sekali.",
		footer11: "PERJANJIAN",
		footer12: "Menyertai laman web ini sebagai pengguna bermakna anda telah membaca penafian ini",
		footer13: "dan bersetuju menerima 'Peraturan Penting' dan 'Penafian' di atas.",
		footer14: "Wang Beretika",
		donate: "Menderma",
		signup: "Daftar",
		login: "Log Masuk",
		request: "Permintaan",
		agree: "Setuju",
		cashbook: "Buku tunai",
		logout: "Log Keluar",
		welcome: "Selamat datang",
		Ttext_1: "Penyertaan yang sama dalam wang",
		Ttext_2: "penciptaan harus menjadi hak asasi manusia.",
		Ttext_3: "Dalam sistem kami, setiap manusia",
		Ttext_4: "menerima ",
		Ttext_5: " setiap ",
		Ttext_6: "(Jam).",
		Ttext_7: "Ia satu-satunya cara untuk mempunyai ",
		Ttext_8: "sistem kewangan beretika yang betul.",
		Ttext_9: "Kira-kira 1CoinH",
		Ttext_10: " anda boleh membaca cara ini berfungsi.",
		Ttext_11: "Nikmati!",
		Ttext_12: "1CoinH BUKAN Cryptocurrency!",
		Ttext_13: "Treler",
		Ttext_14: "Podcast"
	},
	mo: {
		footer00: "Тусламж, байнга асуудаг асуултууд.",
		footer01: "ЧУХАЛ ДҮРЭМ ",
		footer02: "A. Өөрийн профайлдаа зураг биш зураг оруулсан хэрэглэгчийн бүртгэл",
		footer03: "танигдахуйц царайтай, зоос цуглуулж байгаа зэргийг хасна.",
		footer04: "B. Өөрийгөө буруугаар харуулах эсвэл өөртөө давхар данс үүсгэх",
		footer05: "илрүүлсний дараа тухайн бүртгэлийг устгахад хүргэнэ.",
		footer06: "АНХААРУУЛГА ",
		footer07: "1. Апп-д элсэх эсвэл туршиж үзэх нь энэ хэрэглэгчийг зөвшөөрч байгаа эсвэл гэсэн үг биш юм",
		footer08: "1CoinH вэб сайтын зааж болох аливаа улс төрийн санааг зөвшөөрч байна.",
		footer09: "2. Олдох боломжтой хэрэглэгчийн өгөгдлийг хуулах ба/эсвэл дахин ашиглах",
		footer10: "энэ вэб сайт дээр - энэ вэб сайтаас гадуур - хатуу хориглоно.",
		footer11: "ГЭРЭЭ",
		footer12: "Энэ вэб сайтад хэрэглэгчээр элссэнээр та энэхүү татгалзлыг уншсан гэсэн үг юм",
		footer13: "мөн дээрх 'Чухал дүрэм' болон 'Татгалзах'-ыг зөвшөөрч байна.",
		footer14: "Ёс суртахууны мөнгө ",
		donate: "доллар хандивлана",
		signup: "Бүртгүүлэх ",
		login: "Нэвтрэх ",
		request: "долларын хүсэлт",
		agree: "Зөвшөөрч байна ",
		cashbook: "Бэлэн мөнгөний дэвтэр ",
		logout: "Гарах",
		welcome: "тавтай морил",
		Ttext_1: "Мөнгөнд тэгш оролцоо доллар",
		Ttext_2: "бүтээх нь хүний эрх байх ёстой.",
		Ttext_3: "Манай системд хүн бүр ",
		Ttext_4: "доллар авдаг",
		Ttext_5: " доллар тутамд",
		Ttext_6: "(цаг).",
		Ttext_7: "доллартай болох цорын ганц арга зам юм",
		Ttext_8: "ёс зүйн зохистой санхүүгийн тогтолцоо.",
		Ttext_9: "Ойролцоогоор 1CoinH",
		Ttext_10: " Энэ хэрхэн ажилладагийг та уншиж болно.",
		Ttext_11: "Сайхан амраарай!",
		Ttext_12: "1CoinH бол криптовалют БИШ!",
		Ttext_13: "Чиргүүл",
		Ttext_14: "Подкаст "
	},
	bu: {
		footer00: "အကူအညီနှင့် မကြာခဏမေးလေ့ရှိသောမေးခွန်းများ။",
		footer01: "အရေးကြီးသော စည်းမျဉ်းများ",
		footer02: "A. ပုံတစ်ပုံမဟုတ်မဟုတ်သော သူ၏ပရိုဖိုင်တွင် ပုံတစ်ခုထည့်သည့် မည်သည့်အသုံးပြုသူအကောင့်မဆို",
		footer03: "မှတ်မိနိုင်သော မျက်နှာနှင့် အကြွေစေ့များ စုဆောင်းနေမှုများကို ဖယ်ရှားပါမည်။",
		footer04: "B. သင့်ကိုယ်သင် အလွဲသုံးစားလုပ်ခြင်း သို့မဟုတ် သင့်ကိုယ်သင် ဒေါ်လာအတွက် အကောင့်နှစ်ထပ်ပြုလုပ်ခြင်း။",
		footer05: "တွေ့ရှိသည်နှင့်တပြိုင်နက် ထိုအကောင့်ကို ဖယ်ရှားပစ်မည်ဖြစ်သည်။",
		footer06: "ငြင်းဆိုချက်",
		footer07: "1. အက်ပ်ကို ချိတ်ဆက်ခြင်း သို့မဟုတ် စမ်းသပ်ခြင်းသည် ဤအသုံးပြုသူ သဘောတူသည် သို့မဟုတ ဟု မဆိုလိုပါ။",
		footer08: "မည်သည့်နိုင်ငံရေးအယူအဆကိုမဆို 1CoinH ဝဘ်ဆိုက်မှ ရှုတ်ချဖော်ပြနိုင်သည်.",
		footer09: "2. ရှာတွေ့နိုင်သော အသုံးပြုသူဒေတာကို ကူးယူခြင်းနှင့်/သို့မဟုတ် ပြန်လည်အသုံးပြုခြင်း။",
		footer10: "ဤဝဘ်ဆိုဒ်ပေါ်တွင် - ဤဝဘ်ဆိုဒ်ပြင်ပတွင် - တင်းကြပ်စွာတားမြစ်ထားသည်။",
		footer11: "သဘောတူညီချက်",
		footer12: "အသုံးပြုသူတစ်ဦးအနေဖြင့် ဤဝဘ်ဆိုက်သို့ဝင်ရောက်ခြင်းဆိုသည်မှာ ဤရှင်းလင်းချက် ကို သင်ဖတ်ပြီးပြီဖြစ်သည်။",
		footer13: "အထက်ဖော်ပြပါ 'အရေးကြီးစည်းမျဉ်းများ' နှင့် 'ငြင်းဆိုချက်' ကို သဘောတူပါ။",
		footer14: "ကျင့်ဝတ်တွေ ပေးတာ။",
		donate: "လှူဒါန်းပါ။",
		signup: "စာရင်းသွင်းပါ။",
		login: "အကောင့်ဝင်ပါ။",
		request: "တောင်းဆိုပါ။",
		agree: "သဘောတူ",
		cashbook: "ငွေသားစာအုပ်",
		logout: "ထွက်ပါ။",
		welcome: "ကြိုဆိုပါတယ်",
		Ttext_1: "ငွေ တွင် တန်းတူပါဝင်ခြင်း။",
		Ttext_2: "ဖန်တီးခြင်းသည် လူ့အခွင့် အရေးဖြစ်သင့်သည်။",
		Ttext_3: "ကျွန်ုပ်တို့၏စနစ်တွင်၊ လူသားတိုင်းသည် ဒေါ်လာ",
		Ttext_4: " လက်ခံသည်။",
		Ttext_5: " နှုန်း",
		Ttext_6: "(နာရီ)။",
		Ttext_7: "ဒေါ်လာရှိရန် တစ်ခုတည်းသောနည်းလမ်းဖြစ်သည်။",
		Ttext_8: "သင့်လျော်သော ကျင့်ဝတ်ဘဏ္ဍာရေးစနစ်။",
		Ttext_9: "1CoinH ခန့်",
		Ttext_10: " ၎င်းသည် မည်သို့အလုပ်လုပ်သည်ကို သင်ဖတ်နိုင်သည်။",
		Ttext_11: "ပျော်ရွှင်ပါ!",
		Ttext_12: "1CoinH သည် Cryptocurrency မဟုတ်ပါ။",
		Ttext_13: "အမြည်း ",
		Ttext_14: "ပေါ့တ်ကာစ် "
	},
	ne: {
		footer00: "Hulp en veelgestelde vragen.",
		footer01: "BELANGRIJKE REGELS",
		footer02: "A. Elk gebruikersaccount dat een afbeelding in zijn/haar profiel plaatst",
		footer03: "die geen herkenbaar gezicht toont en munten verzamelt, wordt verwijderd.",
		footer04: "B. Als je jezelf voordoet als iemand anders of als je dubbele accounts voor",
		footer05: "jezelf aanmaakt, wordt het account verwijderd zodra dit wordt ontdekt.",
		footer06: "DISCLAIMER",
		footer07: "1. Deelname aan of het testen van de app betekent geenszins dat deze gebruiker akkoord",
		footer08: "gaat met - of de politieke ideeën goedkeurt - die op de 1CoinH-website worden geuit.",
		footer09: "2. Het is ten strengste verboden om gebruikersgegevens die op deze website",
		footer10: "te vinden zijn, buiten deze website te kopiëren of te hergebruiken.",
		footer11: "OVEREENKOMST",
		footer12: "Wanneer je jezelf als gebruiker bij deze website aansluit, betekent dit dat je deze disclaimer",
		footer13: "hebt gelezen en akkoord gaat met de bovenstaande 'Belangrijke regels' en 'Disclaimer'.",
		footer14: "Ethisch Geld",
		donate: "Donaties",
		signup: "Doe Mee",
		login: "Log In",
		request: "Verzoek",
		agree: "Akkoord",
		cashbook: "Kasboek",
		logout: "Log Uit",
		welcome: "Welkom",
		Ttext_1: "Evenredig profiteren in de geld-",
		Ttext_2: "creatie moet een mensenrecht zijn.",
		Ttext_3: "In ons systeem ontvangt ieder",
		Ttext_4: "mens ",
		Ttext_5: "  per ",
		Ttext_6: "(uur).",
		Ttext_7: "Het is dé weg naar een rechtvaardig",
		Ttext_8: "ethisch financieel system.",
		Ttext_9: "Over 1CoinH",
		Ttext_10: " kun je lezen hoe dit werkt.",
		Ttext_11: "Veel plezier!",
		Ttext_12: "1CoinH is GEEN cryptocurrency!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast"
	},
	np: {
		footer00: "मद्दत र बारम्बार सोधिने प्रश्नहरू।",
		footer01: "महत्वपूर्ण नियमहरू",
		footer02: "क. कुनै पनि प्रयोगकर्ता खाता जसले आफ्नो प्रोफाइलमा त्यस्तो छवि राख्छ जुन",
		footer03: "पहिचान गर्न सकिने अनुहारको तस्वीर होइन र सिक्का सङ्कलन गरिरहेको छ भने हटाइनेछ।",
		footer04: "ख. आफूलाई गलत प्रस्तुत गर्ने वा आफ्नो लागि दोहोरो खाता बनाउने",
		footer05: "पत्ता लागेपछि त्यो खाता हटाइनेछ।",
		footer06: "अस्वीकरण",
		footer07: "१. एपमा सामेल हुनु वा परीक्षण गर्नुको अर्थ यो प्रयोगकर्ताले १CoinH वेबसाइटले संकेत गर्न सक्ने कुनै पनि राजनीतिक विचारहरूसँग सहमत छ वा",
		footer08: "माफ गर्दछ भन्ने होइन।",
		footer09: "२. यस वेबसाइटमा - यस वेबसाइट बाहिर - फेला पार्न सकिने कुनै पनि प्रयोगकर्ता",
		footer10: "डेटा प्रतिलिपि गर्नु र/वा पुन: प्रयोग गर्नु कडाइका साथ निषेध गरिएको छ।",
		footer11: "सहमति",
		footer12: "प्रयोगकर्ताको रूपमा यस वेबसाइटमा सामेल हुनुको अर्थ तपाईंले यो अस्वीकरण",
		footer13: "पढ्नुभएको छ र माथिको 'महत्वपूर्ण नियमहरू' र 'अस्वीकरण' मा सहमत हुनुहुन्छ।",
		footer14: "नैतिक पैसा",
		donate: "दान गर्नुहोस्",
		signup: "साइन अप",
		login: "लग इन",
		request: "अनुरोध",
		agree: "सहमत",
		cashbook: "क्यासबुक",
		logout: "लग आउट",
		welcome: "स्वागत",
		Ttext_1: "समान सहभागिता पैसामा",
		Ttext_2: "सृजनाको अधिकार मानव अधिकार हुनुपर्छ।",
		Ttext_3: "हाम्रो प्रणालीमा, प्रत्येक मानिसले",
		Ttext_4: "प्रति ",
		Ttext_5: " मा",
		Ttext_6: "(घण्टा)",
		Ttext_7: "प्राप्त गर्दछ। को बारेमा",
		Ttext_8: "उचित नैतिक वित्तीय प्रणाली हुने यो एक मात्र तरिका हो।",
		Ttext_9: "१CoinH",
		Ttext_10: "तपाईंले यो कसरी काम गर्छ भनेर पढ्न सक्नुहुन्छ।",
		Ttext_11: "रमाइलो गर्नुहोस्!",
		Ttext_12: "१CoinH क्रिप्टोकरेन्सी होइन!",
		Ttext_13: "ट्रेलर",
		Ttext_14: "पोडकास्ट"
	},
	no: {
		footer00: "Hjelp og vanlige spørsmål.",
		footer01: "VIKTIGE REGLER",
		footer02: "A. Enhver brukerkonto som legger inn et bilde i profilen sin som ikke er et bilde",
		footer03: "av et gjenkjennelig ansikt og samler mynter vil bli fjernet.",
		footer04: "B. Feil fremstilling av deg selv eller lage doble kontoer for deg selv",
		footer05: "vil resultere i at kontoen fjernes når den er oppdaget.",
		footer06: "ANSVARSFRASKRIVELSE",
		footer07: "1. Å bli med eller teste appen betyr ikke at denne brukeren godtar eller",
		footer08: "aksepterer alle politiske ideer 1CoinH-nettstedet kan indikere.",
		footer09: "2. Kopiering og/eller gjenbruk av brukerdata som kan finnes",
		footer10: "på denne nettsiden - utenfor denne nettsiden - er strengt forbudt.",
		footer11: "AVTALE",
		footer12: "Å bli med på denne nettsiden som bruker betyr at du har lest denne ansvarsfraskrivelsen",
		footer13: "og godta 'Viktige regler' og 'Ansvarsfraskrivelse' ovenfor.",
		footer14: "Etiske penger",
		donate: "Doner ",
		signup: "Registrer deg",
		login: "Logg inn",
		request: "Forespørsel",
		agree: "Enig",
		cashbook: "Kassebok",
		logout: "Logg ut",
		welcome: "Velkommen",
		Ttext_1: "Lik deltakelse i penger",
		Ttext_2: "skapelsen bør være en menneskerettighet.",
		Ttext_3: "I vårt system vil hvert menneske",
		Ttext_4: "mottar ",
		Ttext_5: " per ",
		Ttext_6: "(Time).",
		Ttext_7: "Det er den eneste måten å ha en ",
		Ttext_8: "riktig etisk finansielt system.",
		Ttext_9: "Omtrent 1CoinH",
		Ttext_10: " du kan lese hvordan dette fungerer.",
		Ttext_11: "Nyt!",
		Ttext_12: "1CoinH er IKKE en kryptovaluta!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast"
	},	
	or: {
		footer00: "Gargaarsaa fi gaaffilee yeroo baayyee gaafataman.",
		footer01: "SEERA BARBAACHISAA",
		footer02: "A. Akkaawuntii fayyadamaa kamiyyuu kan suuraa suuraa hin taane piroofaayilii isaa keessa kaa'u",
		footer03: "kan fuula beekamaa fi saantima walitti qabaa jiru ni baafama.",
		footer04: "B. Of dogoggoraan ibsuu ykn ofii keetiif herrega dachaa gochuu",
		footer05: "bu'aan isaa akkaawuntii sun al tokko adda baafamee akka haqamu taasisa.",
		footer06: "ITTI FUFIINSAA",
		footer07: "1. Appicha join gochuun ykn test gochuun fayyadamaan kun walii galeera ykn jechuu miti",
		footer08: "yaada siyaasaa marsariitiin 1CoinH agarsiisuu danda'u kamiyyuu ni hayyama.",
		footer09: "2. Deetaa fayyadamaa argamuu danda'u kamiyyuu waraabuu fi/ykn irra deebi'anii fayyadamuu",
		footer10: "marsariitii kana irratti - marsariitii kanaan alatti - cimsee dhorkaadha.",
		footer11: "WALIIGALTEE",
		footer12: "Akka fayyadamaatti marsariitii kana join gochuun disclaimer kana dubbisteetta jechuudha",
		footer13: "akkasumas 'Seera Barbaachisaa' fi 'Itti Gaafannaa' armaan olitti ibsame irratti walii galuu.",
		footer14: "Maallaqa Naamusaa",
		donate: "Arjooma",
		signup: "Galmaa'i",
		login: "Galmee Galchuu",
		request: "Gaaffii",
		agree: "Waliigaluu",
		cashbook: "Kitaaba maallaqaa",
		logout: "Log Out",
		welcome: "Baga Nagaan Dhuftan",
		Ttext_1: "Hirmaannaa walqixaa maallaqaa",
		Ttext_2: "uumamni mirga namoomaa ta'uu qaba.",
		Ttext_3: "Sirna keenya keessatti namni hundi",
		Ttext_4: "argatu ",
		Ttext_5: " tokkoof ",
		Ttext_6: "(Sa'aatii).",
		Ttext_7: "Karaan a qabaachuu dandeessan isa tokkicha",
		Ttext_8: "sirna faayinaansii naamusa sirrii ta’e.",
		Ttext_9: "Waa'ee 1CoinH",
		Ttext_10: " kun akkamitti akka hojjetu dubbisuu dandeessu.",
		Ttext_11: "Itti gammadaa!",
		Ttext_12: "1CoinH Cryptocurrency MITI!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast"
	},
	pa: {
		footer00: "مرسته او ډیری پوښتل شوي پوښتنې.",
		footer01: "مهم قواعد",
		footer02: "الف. هر هغه کارن حساب چې په خپل پروفایل کې داسې انځور  شي.",
		footer03: "اچوي چې د پیژندل شوي مخ انځور نه وي او سکې راټولوي، لرې به",
		footer04: "ب. د ځان غلط استازیتوب کول یا د ځان لپاره دوه ګونی حسابونه جوړول",
		footer05: "به د دې حساب په پایله کې یوځل کشف شي چې لرې شي.",
		footer06: "اعلان",
		footer07: "۱. د اپلیکیشن سره یوځای کیدل یا ازموینه کول پدې معنی ندي چې دا کارن موافق دی یا",
		footer08: "د هر هغه سیاسي نظرونو څخه چې د 1CoinH ویب پاڼه یې په ګوته کولی شي بخښنه غواړي.",
		footer09: "۲. د هر هغه کارن ډیټا کاپي کول او/یا بیا کارول چې موندل کیدی شي",
		footer10: "په دې ویب پاڼه کې - د دې ویب پاڼې څخه بهر - په کلکه منع دي.",
		footer11: "موافقه",
		footer12: "د دې ویب پاڼې سره د کارونکي په توګه یوځای کیدل پدې معنی دي چې تاسو دا اعلان لوستلی دی",
		footer13: "اخلاقي پیسې او پورته 'مهم قواعد' او 'اعلان' سره موافق یاست.",
		footer14: "مرسته وکړئ",
		donate: "ننوتل",
		signup: "غوښتنه",
		login: "موافقه",
		request: "مړینه",
		agree: "غوښتنه",
		cashbook: "موافقه",
		logout: "نقد کتاب",
		welcome: "ننوتل",
		Ttext_1: "ښه راغلاست",
		Ttext_2: "مساوي د پیسو په جوړولو .",
		Ttext_3: "کې ګډون باید د انسان حق وي",
		Ttext_4: "زموږ په سیسټم کې، هر انسان",
		Ttext_5: "په هر ",
		Ttext_6: "(ساعت) کې ډالر ترلاسه کوي.",
		Ttext_7: "دا د ",
		Ttext_8: "مناسب اخلاقي مالي سیسټم درلودلو یوازینۍ لار ده.",
		Ttext_9: "د 1CoinH",
		Ttext_10: "تاسو کولی شئ ولولئ چې دا څنګه کار کوي.",
		Ttext_11: "خوند واخلئ!",
		Ttext_12: "1CoinH کریپټو کرنسی نه ده!  په اړه",
		Ttext_13: "ټریلر",
		Ttext_14: "پوډکاسټ"
	},
	pe: {
		footer00: "راهنما و سوالات متداول.",
		footer01: "قوانین مهم ",
		footer02: "A. هر حساب کاربری که تصویری را در نمایه خود قرار می دهد که تصویر نیست",
		footer03: "از یک چهره قابل تشخیص و جمع آوری سکه حذف خواهد شد.",
		footer04: "ب. معرفی نادرست از خود یا ایجاد حساب های مضاعف برای خود",
		footer05: "منجر به حذف آن حساب پس از شناسایی می شود.",
		footer06: "سلب مسئولیت ",
		footer07: "1. پیوستن یا آزمایش برنامه به این معنی نیست که این کاربر موافق است یا",
		footer08: "هر گونه ایده سیاسی که وب سایت 1CoinH ممکن است نشان دهد را نادیده می گیرد.",
		footer09: "2. کپی کردن و/یا استفاده مجدد از هر یک از داده های کاربری که می توان پیدا کرد",
		footer10: "در این وب سایت - خارج از این وب سایت - اکیدا ممنوع است.",
		footer11: "توافق ",
		footer12: "پیوستن به این وب سایت به عنوان یک کاربر به این معنی است که شما این سلب مسئولیت را خوانده اید",
		footer13: "و با 'قوانین مهم' و 'سلب مسئولیت' در بالا موافقت کنید.",
		footer14: "پول اخلاقی ",
		donate: " اهدا کنید",
		signup: "ثبت نام ",
		login: "ورود به سیستم ",
		request: "درخواست ",
		agree: "موافق ",
		cashbook: "صندوق نقدی ",
		logout: "خروج از سیستم ",
		welcome: "خوش آمدید",
		Ttext_1: "مشارکت برابر در پول",
		Ttext_2: "خلقت باید حق بشر باشد.",
		Ttext_3: "در سیستم ما، هر انسان دلار",
		Ttext_4: "دلار دریافت می کند",
		Ttext_5: " به ازای هر دلار",
		Ttext_6: "(ساعت).",
		Ttext_7: "این تنها راه برای داشتن یک دلار است",
		Ttext_8: "سیستم مالی اخلاقی مناسب.",
		Ttext_9: "حدود 1CoinH",
		Ttext_10: " می توانید نحوه کار این را بخوانید.",
		Ttext_11: "لذت ببرید! ",
		Ttext_12: "1CoinH یک ارز دیجیتال نیست!",
		Ttext_13: "تریلر",
		Ttext_14: "پادکست"
	},
	po: {
		footer00: "Pomoc i często zadawane pytania.",
		footer01: "WAŻNE ZASADY",
		footer02: "A. Każde konto użytkownika, które umieści w swoim profilu zdjęcie nieprzedstawiające",
		footer03: "rozpoznawalnej twarzy i którego celem jest zbieranie monet, zostanie usunięte.",
		footer04: "B. Podawanie fałszywych informacji o sobie lub tworzenie podwójnych",
		footer05: "kont będzie skutkować usunięciem konta po jego wykryciu.",
		footer06: "ZASTRZEŻENIE",
		footer07: "1. Dołączenie do aplikacji lub jej testowanie nie oznacza, że dany użytkownik zgadza się lub toleruje",
		footer08: "jakiekolwiek idee polityczne, które mogą być sugerowane na stronie internetowej 1CoinH.",
		footer09: "2. Kopiowanie lub wykorzystywanie danych użytkownika, które można znaleźć na",
		footer10: "tej stronie internetowej - poza tą stroną internetową - jest surowo zabronione.",
		footer11: "POROZUMIENIE",
		footer12: "Dołączając do tej witryny internetowej jako użytkownik, zgadzasz się z treścią niniejszego",
		footer13: "zastrzeżenia i akceptujesz powyższe „Ważne zasady” oraz „Zastrzeżenie”.",
		footer14: "Etyczne Pieniądze",
		donate: "Składka",
		signup: "Zarejestruj",
		login: "Zaloguj",
		request: "Wniosek",
		agree: "Zgadzać się",
		cashbook: "Księga Kasowa",
		logout: "Wyloguj Się",
		welcome: "Powitanie",
		Ttext_1: "Równy udział w tworzeniu pieniędzy",
		Ttext_2: "powinien być prawem człowieka.",
		Ttext_3: "W naszym systemie każdy człowiek",
		Ttext_4: "otrzymuje ",
		Ttext_5: " na ",
		Ttext_6: " (Godzinę).",
		Ttext_7: "To jedyny sposób, aby mieć",
		Ttext_8: "właściwy etyczny system finansowy.",
		Ttext_9: "O 1CoinH",
		Ttext_10: " możesz przeczytać, jak to działa.",
		Ttext_11: "Ciesz się!",
		Ttext_12: "1CoinH NIE jest kryptowalutą!",
		Ttext_13: "Przyczepa",
		Ttext_14: "Podcast"
	},
	pt: {
		footer00: "Ajuda e perguntas frequentes.",
		footer01: "REGRAS IMPORTANTES",
		footer02: "A. Qualquer conta de utilizador que coloque uma imagem no seu perfil que",
		footer03: "não seja de um rosto reconhecível e esteja a recolher moedas será removida.",
		footer04: "B. Deturpar-se ou criar contas duplas resultará",
		footer05: "na remoção dessa conta assim que for detetada.",
		footer06: "ISENÇÃO DE RESPONSABILIDADE",
		footer07: "1.º Aderir ou testar a aplicação não significa que este utilizador concorde",
		footer08: "ou tolere quaisquer ideias políticas que o site 1CoinH possa indicar.",
		footer09: "2.º É estritamente proibido copiar ou reutilizar quaisquer dados do",
		footer10: "utilizador que possam ser encontrados neste site - fora deste site.",
		footer11: "ACORDO",
		footer12: "Aderir a este site como utilizador significa que leu esta isenção de responsabilidade",
		footer13: "e concorda com as 'Regras importantes' e a 'Isenção de responsabilidade' acima.",
		footer14: "Dinheiro Ético",
		donate: "Doar",
		signup: "Inscrever",
		login: "Conecte",
		request: "Pedido",
		agree: "Concordar",
		cashbook: "Livro Caixa",
		logout: "Sair",
		welcome: "Boas-Vindas",
		Ttext_1: "Participação igualitária no dinheiro",
		Ttext_2: "a criação deveria ser um direito humano.",
		Ttext_3: "No nosso sistema, todo o ser humano",
		Ttext_4: "recebe ",
		Ttext_5: " por ",
		Ttext_6: " (Hora).",
		Ttext_7: "É a única forma de ter um",
		Ttext_8: "sistema financeiro ético adequado.",
		Ttext_9: "Sobre 1CoinH",
		Ttext_10: " pode ler como funciona.",
		Ttext_11: "Desfrutar!",
		Ttext_12: "A 1CoinH NÃO é uma criptomoeda!",
		Ttext_13: "Reboque",
		Ttext_14: "Podcast"
	},
	ro: {
		footer00: "Ajutor și întrebări frecvente.",
		footer01: "REGULI IMPORTANTE",
		footer02: "A. Orice cont de utilizator care pune o imagine în profilul său care nu este o imagine",
		footer03: "a unei fețe recunoscute și colectează monede vor fi eliminate.",
		footer04: "B. Denaturarea dvs. sau crearea de conturi duble pentru dvs.",
		footer05: "va avea ca rezultat ștergerea contului odată detectat.",
		footer06: "DISCLAIMER ",
		footer07: "1. Aderarea sau testarea aplicației nu înseamnă că acest utilizator este de acord sau ",
		footer08: "acceptă orice idee politică pe care site-ul web 1CoinH ar putea indica.",
		footer09: "2. Copierea și/sau reutilizarea oricărei date de utilizator care pot fi găsite",
		footer10: "pe acest site - în afara acestui site - este strict interzis.",
		footer11: "ACORD",
		footer12: "Alăturarea acestui site ca utilizator înseamnă că ați citit această clauză de declinare a răspunderii",
		footer13: "și sunteți de acord cu „Regulile importante” și „Renunțarea la răspundere” de mai sus.",
		footer14: "Bani etici",
		donate: "Donează ",
		signup: "Înscrie-te",
		login: "Conectați-vă",
		request: "Solicitare ",
		agree: "De acord",
		cashbook: "Cartea de numerar",
		logout: "Deconectați-vă",
		welcome: "Bun venit ",
		Ttext_1: "Participare egală la bani",
		Ttext_2: "creaţia ar trebui să fie un drept al omului.",
		Ttext_3: "În sistemul nostru, fiecare om",
		Ttext_4: "primește ",
		Ttext_5: " pe ",
		Ttext_6: "(Ora).",
		Ttext_7: "Este singura modalitate de a avea un ",
		Ttext_8: "sistem financiar etic adecvat.",
		Ttext_9: "Aproximativ 1CoinH",
		Ttext_10: " puteți citi cum funcționează acest lucru.",
		Ttext_11: "Bucurați-vă!",
		Ttext_12: "1CoinH NU este o criptomonedă!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast"
	},
	ru: {
		footer00: "Помощь и часто задаваемые вопросы.",
		footer01: "ВАЖНЫЕ ПРАВИЛА",
		footer02: "A. Любая учетная запись пользователя, размещающая в своем профиле изображение,",
		footer03: "не являющееся фотографией узнаваемого лица, и собирающая монеты, будет удалена.",
		footer04: "B. Предоставление ложных сведений о себе или создание двойных учетных",
		footer05: "записей приведет к удалению учетной записи после ее обнаружения.",
		footer06: "ОТКАЗ ОТ ОТВЕТСТВЕННОСТИ",
		footer07: "1. Присоединение к приложению или его тестирование не означает, что пользователь соглашается",
		footer08: "или одобряет какие-либо политические идеи, которые могут быть представлены на сайте 1CoinH.",
		footer09: "2. Копирование или повторное использование любых пользовательских данных,",
		footer10: "которые можно найти на этом сайте, за пределами этого сайта строго запрещено.",
		footer11: "СОГЛАШЕНИЕ",
		footer12: "Регистрация на этом сайте в качестве пользователя означает, что вы прочитали данное заявление об",
		footer13: "отказе от ответственности и соглашаетесь с «Важными правилами» и «Отказом от ответственности» выше.",
		footer14: "Этические деньги",
		donate: "давать",
		signup: "присоединиться",
		login: "Войти",
		request: "запрос",
		agree: "соглашаться",
		cashbook: "Кассовая книга",
		logout: "Выйти",
		welcome: "Добро пожаловать",
		Ttext_1: "Равное участие в деньгах",
		Ttext_2: "творение должно быть правом человека.",
		Ttext_3: "В нашей системе каждый человек",
		Ttext_4: "получает ",
		Ttext_5: " за ",
		Ttext_6: " (Час).",
		Ttext_7: "Это единственный способ иметь",
		Ttext_8: "надлежащую этичную финансовую систему.",
		Ttext_9: "О 1CoinH",
		Ttext_10: "!вы можете прочитать, как это работает.",
		Ttext_11: "Наслаждайтесь!",
		Ttext_12: "1CoinH — это НЕ криптовалюта!",
		Ttext_13: "Трейлер",
		Ttext_14: "Подкаст"
	},
	zi: {
		footer00: "Thuso le dipotso tse di bodiwang kgapetsakgapetsa.",
		footer01: "MELAO E E BOTLHOKWA",
		footer02: "A. Akhaonto epe ya modirisi e e tsenyang setshwantsho mo porofaeleng ya gagwe se e seng setshwantsho",
		footer03: "ya sefatlhego se se lemotshegang mme e kokoanya madi a tshipi e tla tlosiwa.",
		footer04: "B. Go itlhalosa ka tsela e e sa siamang kgotsa go itlhalosa gabedi",
		footer05: "e tla felela ka gore akhaonto eo e tlosiwe fa e sena go lemogiwa.",
		footer06: "TLHOKOMELO",
		footer07: "1. Go tsenela tiriswa kgotsa go e leka ga go reye gore modirisi yono o a dumela kgotsa",
		footer08: "e amogela dikgopolo dipe tsa sepolotiki tse webosaete ya 1CoinH e ka nnang ya di supa.",
		footer09: "2. Go kopolola le/kgotsa go dirisa gape tshedimosetso epe ya modirisi e e ka bonwang",
		footer10: "mo webosaeteng eno - kwa ntle ga webosaete eno - go thibetswe gotlhelele.",
		footer11: "TUMELANO",
		footer12: "Go nna leloko la webosaete eno jaaka modirisi go raya gore o badile boikarabelo jono",
		footer13: "mme o dumalane le 'Melao e e Botlhokwa' le 'Kganetso' e e fa godimo.",
		footer14: "Madi a Boitshwaro",
		donate: "Neela ka",
		signup: "Ikwadise",
		login: "Tsena",
		request: "Kopo",
		agree: "Ke a dumela",
		cashbook: "Buka ya madi a a seatleng",
		logout: "Tswa",
		welcome: "O amogetswe",
		Ttext_1: "Go nna le seabe ka go lekana mo mading",
		Ttext_2: "popo e tshwanetse go nna tshwanelo ya motho.",
		Ttext_3: "Mo tsamaisong ya rona, motho mongwe le mongwe",
		Ttext_4: "o amogela ",
		Ttext_5: " ka ",
		Ttext_6: "(Ura).",
		Ttext_7: "Ke yone fela tsela ya go nna le ",
		Ttext_8: "tsamaiso e e siameng ya matlole e e nang le maitsholo a a siameng.",
		Ttext_9: "Mo e ka nnang 1CoinH",
		Ttext_10: " o ka bala gore seno se dira jang.",
		Ttext_11: "Itumelele!",
		Ttext_12: "1CoinH GA SE Madi a Sephiri!",
		Ttext_13: "Tereilara",
		Ttext_14: "Podkhasete"
	},
	al: {
		footer00: "Ndihmë dhe pyetje të bëra shpesh.",
		footer01: "RREGULLA TË RËNDËSISHME",
		footer02: "A. Çdo llogari përdoruesi që vendos një imazh në profilin e tij/saj që nuk është foto",
		footer03: "e një fytyre të dallueshme dhe po mbledh monedha do të hiqet.",
		footer04: "B. Paraqitja e gabuar e vetes ose bërja e llogarive të dyfishta për veten tuaj",
		footer05: "do të rezultojë që ajo llogari të hiqet pasi të zbulohet.",
		footer06: "DISCLAIMER",
		footer07: "1. Bashkimi ose testimi i aplikacionit nuk do të thotë që ky përdorues pajtohet ose",
		footer08: "fal çdo ide politike që mund të tregojë faqja e internetit 1CoinH.",
		footer09: "2. Kopjimi dhe/ose ripërdorimi i ndonjë prej të dhënave të përdoruesit që mund të gjenden",
		footer10: "në këtë faqe interneti - jashtë kësaj faqe interneti - është rreptësisht e ndaluar.",
		footer11: "MARRËVESHJE ",
		footer12: "Anëtarësimi në këtë faqe interneti si përdorues do të thotë se e keni lexuar këtë mohim",
		footer13: "dhe pranoni 'Rregullat e rëndësishme' dhe 'Mohimin e përgjegjësisë' më sipër.",
		footer14: "Para Etike",
		donate: "Dhuroni ",
		signup: "Regjistrohu",
		login: "Identifikohu ",
		request: "Kërkesë ",
		agree: "Dakord",
		cashbook: "Libër parash ",
		logout: "Dil ",
		welcome: "Mirësevini",
		Ttext_1: "Pjesëmarrja e barabartë në para",
		Ttext_2: "krijimi duhet të jetë një e drejtë e njeriut.",
		Ttext_3: "Në sistemin tonë, çdo njeri",
		Ttext_4: "merr ",
		Ttext_5: " për ",
		Ttext_6: "(Ora).",
		Ttext_7: "Është e vetmja mënyrë për të pasur një ",
		Ttext_8: "sistemi financiar i duhur etik.",
		Ttext_9: "Rreth 1CoinH",
		Ttext_10: " ju mund të lexoni se si funksionon kjo.",
		Ttext_11: "Shijo! ",
		Ttext_12: "1CoinH NUK është një kriptomonedhë!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast"
	},
	sl: {
		footer00: "Pomoč in pogosta vprašanja.",
		footer01: "POMEMBNA PRAVILA",
		footer02: "A. Vsak uporabniški račun, ki v svoj profil doda sliko, ki ni slika",
		footer03: "prepoznavnega obraza in zbira kovance, bo odstranjen.",
		footer04: "B. Napačno predstavljanje ali ustvarjanje dvojnih računov za sebe",
		footer05: "bo ta račun odstranjen, ko bo zaznan.",
		footer06: "ODPOVED ",
		footer07: "1. Pridružitev ali testiranje aplikacije ne pomeni, da se ta uporabnik strinja ali ",
		footer08: "dopušča vse politične ideje, ki bi jih lahko navedla spletna stran 1CoinH.",
		footer09: "2. Kopiranje in/ali ponovna uporaba uporabniških podatkov, ki jih je mogoče najti",
		footer10: "na tem spletnem mestu - zunaj tega spletnega mesta - je strogo prepovedano.",
		footer11: "SPORAZUM",
		footer12: "Če se pridružite tej spletni strani kot uporabnik, to pomeni, da ste prebrali to izjavo o omejitvi odgovornosti",
		footer13: "in se strinjate z zgornjimi 'pomembnimi pravili' in 'zavrnitvijo odgovornosti'.",
		footer14: "Etični denar ",
		donate: "Donirajte ",
		signup: "Prijavite se ",
		login: "Prijavite se ",
		request: "Zahtevaj ",
		agree: "Se strinjam ",
		cashbook: "Blagajna ",
		logout: "Odjava",
		welcome: "Dobrodošli",
		Ttext_1: "Enaka udeležba v denarju",
		Ttext_2: "ustvarjanje bi moralo biti človekova pravica.",
		Ttext_3: "V našem sistemu vsak človeški ",
		Ttext_4: "prejme ",
		Ttext_5: " na ",
		Ttext_6: "(ura).",
		Ttext_7: "To je edini način, da imaš ",
		Ttext_8: "ustrezen etični finančni sistem.",
		Ttext_9: "Približno 1 kovanec H",
		Ttext_10: " lahko preberete, kako to deluje.",
		Ttext_11: "Uživajte!",
		Ttext_12: "1CoinH NI kriptovaluta!",
		Ttext_13: "Napovednik",
		Ttext_14: "Podcast"
	},
	sk: {
		footer00: "Pomocník a často kladené otázky.",
		footer01: "DÔLEŽITÉ PRAVIDLÁ",
		footer02: "A. Každý používateľský účet, ktorý vloží do svojho profilu obrázok, ktorý nie je obrázkom",
		footer03: "rozoznateľnej tváre a zbiera mince budú odstránené.",
		footer04: "B. Nepravdivé informácie o sebe alebo vytváranie dvojitých účtov ",
		footer05: "bude mať za následok, že tento účet bude po zistení odstránený.",
		footer06: "zrieknutie sa zodpovednosti ",
		footer07: "1. Pripojenie alebo testovanie aplikácie neznamená, že tento používateľ súhlasí alebo ",
		footer08: "schvaľuje akékoľvek politické myšlienky, ktoré by mohla naznačovať webová stránka 1CoinH. ",
		footer09: "2. Kopírovanie a/alebo opätovné použitie akýchkoľvek používateľských údajov, ktoré možno nájsť",
		footer10: "na tejto webovej stránke - mimo tejto webovej stránky - je prísne zakázané.",
		footer11: "DOHODA ",
		footer12: "Vstup na túto webovú stránku ako používateľ znamená, že ste si prečítali toto vyhlásenie",
		footer13: "a súhlasíte s 'Dôležitými pravidlami' a 'Vylúčenie zodpovednosti' vyššie.",
		footer14: "Etické peniaze ",
		donate: "Darovať ",
		signup: "Zaregistrujte sa ",
		login: "Prihlásiť sa ",
		request: "Žiadosť ",
		agree: "Súhlas ",
		cashbook: "Pokladničná knižka ",
		logout: "Odhlásiť sa ",
		welcome: "Vitajte ",
		Ttext_1: "Rovnaká účasť na peniazoch ",
		Ttext_2: "tvorba by mala byť ľudským právom.",
		Ttext_3: "V našom systéme každý človek",
		Ttext_4: "dostáva ",
		Ttext_5: " za ",
		Ttext_6: "(hodina). ",
		Ttext_7: "Je to jediný spôsob, ako mať ",
		Ttext_8: "správny etický finančný systém.",
		Ttext_9: "Približne 1 CoinH",
		Ttext_10: " môžete si prečítať, ako to funguje. ",
		Ttext_11: "Užite si! ",
		Ttext_12: "1CoinH NIE JE kryptomena! ",
		Ttext_13: "Trailer ",
		Ttext_14: "Podcast "
	},
	so: {
		footer00: "Caawimo iyo su'aalaha inta badan la is weydiiyo.",
		footer01: "XEERARKA MUHIIMKA AH",
		footer02: "A. Akoon kasta oo isticmaale ah oo geliya muuqaalkiisa/keeda muuqaal aan sawir ahayn",
		footer03: "weji la aqoonsan karo oo qadaadiicda ururinaysa waa laga saarayaa",
		footer04: "B. Adigoo si khaldan u sheega naftaada ama samaynta laba xisaabood oo naftaada ah",
		footer05: "waxay keenaysaa in akoonkaas laga saaro marka la ogaado.",
		footer06: "AFEEF",
		footer07: "1. Ku biirista ama tijaabinta app-ka macnaheedu maaha in isticmaalahani ogolaaday ama ",
		footer08: "waxay ogolaatay fikrad kasta oo siyaasadeed oo laga yaabo in website-ka 1CoinH uu tilmaamo.",
		footer09: "2. Koobiyaynta iyo/ama dib u isticmaalida mid ka mid ah xogta isticmaalaha ee la heli karo",
		footer10: "Mareegtan - ka baxsan mareegahan - waa mamnuuc.",
		footer11: "HESHIISKA",
		footer12: "Ku biirista degelkan isticmaale ahaan waxay la macno tahay inaad akhriday afeeftan",
		footer13: "oo ogolaato 'Sharciyada Muhiimka ah' iyo 'Afeef' ee sare.",
		footer14: "Lacagta Anshaxa ",
		donate: "Deeq ",
		signup: "Isdiiwaangeli",
		login: "Gal ",
		request: "Codsi",
		agree: "heshiiya",
		cashbook: "Buuga-cashka ",
		logout: "Ka bax ",
		welcome: "Soo dhawoow",
		Ttext_1: "Ka qaybqaadashada siman ee lacagta",
		Ttext_2: "abuurku waa in uu ahaado xuquuq bini'aadmi.",
		Ttext_3: "Nidaamkeena, qof kasta oo bini'aadam ah",
		Ttext_4: "qaata ",
		Ttext_5: " halkii ",
		Ttext_6: "(Saac).",
		Ttext_7: "Waa habka kaliya ee lagu heli karo a",
		Ttext_8: "nidaamka maaliyadeed ee anshaxa habboon.",
		Ttext_9: "Qiyaastii 1CoinH",
		Ttext_10: " waxaad akhrin kartaa sida tani u shaqeyso.",
		Ttext_11: "Ku raaxayso!",
		Ttext_12: "1CoinH ma aha Cryptocurrency!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast"
	},
	fi: {
		footer00: "Apua ja usein kysyttyjä kysymyksiä.",
		footer01: "TÄRKEÄT SÄÄNNÖT",
		footer02: "V. Mikä tahansa käyttäjätili, joka lisää profiiliinsa kuvan, joka ei ole kuva",
		footer03: "jonka kasvot ovat tunnistettavissa ja keräävät kolikoita, poistetaan.",
		footer04: "B. Itsesi harhaanjohtaminen tai kaksoistilin tekeminen itsellesi",
		footer05: "johtaa siihen, että tili poistetaan, kun se havaitaan.",
		footer06: "VASTUUVAPAUSLAUSEKE",
		footer07: "1. Sovellukseen liittyminen tai sen testaaminen ei tarkoita, että tämä käyttäjä hyväksyy tai ",
		footer08: "hyväksyy kaikki 1CoinH:n verkkosivuston mahdollisesti esittämät poliittiset ajatukset.",
		footer09: "2. Löydettävien käyttäjätietojen kopioiminen ja/tai uudelleenkäyttö",
		footer10: "tällä sivustolla - tämän sivuston ulkopuolella - on ehdottomasti kielletty.",
		footer11: "SOPIMUS",
		footer12: "Liityt tälle sivustolle käyttäjänä tarkoittaa, että olet lukenut tämän vastuuvapauslausekkeen",
		footer13: "ja hyväksyt yllä olevat 'Tärkeät säännöt' ja 'Vastuuvapauslauseke'.",
		footer14: "Eettistä rahaa ",
		donate: "Lahjoita ",
		signup: "Rekisteröidy ",
		login: "Kirjaudu sisään ",
		request: "Pyydä ",
		agree: "samaa mieltä ",
		cashbook: "Kassakirja ",
		logout: "Kirjaudu ulos",
		welcome: "Tervetuloa ",
		Ttext_1: "Tasainen osallistuminen rahaan",
		Ttext_2: "luomisen pitäisi olla ihmisoikeus.",
		Ttext_3: "Järjestelmässämme jokainen ihminen",
		Ttext_4: "saa ",
		Ttext_5: " per ",
		Ttext_6: "(tunti).",
		Ttext_7: "Se on ainoa tapa saada a",
		Ttext_8: "oikea eettinen rahoitusjärjestelmä.",
		Ttext_9: "Noin 1CoinH",
		Ttext_10: " voit lukea kuinka tämä toimii.",
		Ttext_11: "Nauti! ",
		Ttext_12: "1CoinH EI OLE kryptovaluutta!",
		Ttext_13: "Traileri ",
		Ttext_14: "Podcast "
	},
	sw: {
		footer00: "Hjälp och vanliga frågor.",
		footer01: "VIKTIGA REGLER",
		footer02: "S. Alla användarkonton som lägger in en bild i sin profil som inte är en bild",
		footer03: "av ett igenkännbart ansikte och samlar mynt kommer att tas bort.",
		footer04: "B. Förvränga dig själv eller göra dubbla konton för dig själv",
		footer05: "kommer att resultera i att kontot tas bort när det har upptäckts.",
		footer06: "ANSVARSFRISKRIVNING",
		footer07: "1. Att gå med i eller testa appen betyder inte att den här användaren samtycker eller",
		footer08: "accepterar alla politiska idéer som 1CoinH-webbplatsen kan indikera.",
		footer09: "2. Kopiera och/eller återanvända någon av användardata som kan hittas",
		footer10: "på denna webbplats - utanför denna webbplats - är strängt förbjudet.",
		footer11: "AVTAL ",
		footer12: "Att gå med på denna webbplats som användare betyder att du har läst denna ansvarsfriskrivning",
		footer13: "och godkänner de 'viktiga reglerna' och 'Ansvarsfriskrivning' ovan.",
		footer14: "Etiska pengar ",
		donate: "Donera ",
		signup: "Registrera ",
		login: "Logga in",
		request: "Begär ",
		agree: "Håller med ",
		cashbook: "Kassabok",
		logout: "Logga ut",
		welcome: "Välkommen",
		Ttext_1: "Lika deltagande i pengar ",
		Ttext_2: "skapandet borde vara en mänsklig rättighet.",
		Ttext_3: "I vårt system, varje människa",
		Ttext_4: "får ",
		Ttext_5: " per ",
		Ttext_6: "(Timme).",
		Ttext_7: "Det är det enda sättet att få en ",
		Ttext_8: "korrekt etiskt finansiellt system.",
		Ttext_9: "Ungefär 1CoinH",
		Ttext_10: " du kan läsa hur detta fungerar.",
		Ttext_11: "Njut!",
		Ttext_12: "1CoinH är INTE en kryptovaluta!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast"
	},
	ta: {
		footer00: "உதவி மற்றும் அடிக்கடி கேட்கப்படும் கேள்விகள்.",
		footer01: "முக்கிய விதிகள்",
		footer02: "A. அடையாளம் காணக்கூடிய முகத்தின் படம் இல்லாத ஒரு படத்தை தனது சுயவிவரத்தில்",
		footer03: "வைத்து நாணயங்களை சேகரிக்கும் எந்தவொரு பயனர் கணக்கும் அகற்றப்படும்.",
		footer04: "B. உங்களைத் தவறாக சித்தரிப்பது அல்லது உங்களுக்காக இரட்டைக் கணக்குகளை உருவாக்குவது",
		footer05: "கண்டறியப்பட்டவுடன் அந்தக் கணக்கு அகற்றப்படும்.",
		footer06: "மறுப்பு",
		footer07: "1. பயன்பாட்டில் சேர்வது அல்லது சோதிப்பது என்பது 1CoinH வலைத்தளம் குறிப்பிடக்கூடிய எந்தவொரு",
		footer08: "அரசியல் கருத்துக்களையும் இந்தப் பயனர் ஒப்புக்கொள்கிறார் அல்லது மன்னிக்கிறார் என்று அர்த்தமல்ல.",
		footer09: "2. இந்த வலைத்தளத்தில் - இந்த வலைத்தளத்திற்கு வெளியே - காணக்கூடிய எந்தவொரு பயனர் ",
		footer10: "தரவையும் நகலெடுப்பது மற்றும்/அல்லது மீண்டும் பயன்படுத்துவது கண்டிப்பாக தடைசெய்யப்பட்டுள்ளது.",
		footer11: "ஒப்புதல்",
		footer12: "இந்த வலைத்தளத்தில் ஒரு பயனராகச் சேர்வது என்பது நீங்கள் இந்த மறுப்பைப் படித்துவிட்டீர்கள் என்று அர்த்தம்",
		footer13: "மேலே உள்ள 'முக்கியமான விதிகள்' மற்றும் 'மறுப்பு' ஆகியவற்றை ஒப்புக்கொள்கிறீர்கள்.",
		footer14: "நெறிமுறை பணம்",
		donate: "நன்கொடை",
		signup: "பதிவுசெய்க",
		login: "உள்நுழை",
		request: "கோரிக்கை",
		agree: "ஒப்புக்கொள்கிறேன்",
		cashbook: "பணப்புத்தகம்",
		logout: "வெளியேறு",
		welcome: "வரவேற்கிறேன்",
		Ttext_1: "சம பணத்தில் பங்கேற்பது",
		Ttext_2: "படைப்பு என்பது ஒரு மனித உரிமையாக இருக்க வேண்டும்.",
		Ttext_3: "நமது அமைப்பில், ஒவ்வொரு மனிதனும்",
		Ttext_4: "மணி நேரத்திற் ",
		Ttext_5: "கு",
		Ttext_6: "பெறுகிறார்.",
		Ttext_7: "சரியான நெறிமுறை நிதி அமைப்பைப்",
		Ttext_8: "பெறுவதற்கான ஒரே வழி இதுதான்.",
		Ttext_9: "1CoinH பற்றி",
		Ttext_10: "இது எவ்வாறு செயல்படுகிறது என்பதை நீங்கள் படிக்கலாம்.",
		Ttext_11: "மகிழுங்கள்!",
		Ttext_12: "1CoinH என்பது கிரிப்டோகரன்சி அல்ல!",
		Ttext_13: "டிரெய்லர்",
		Ttext_14: "பாட்காஸ்ட்"
	},
	th: {
		footer00: "ความช่วยเหลือและคำถามที่พบบ่อย",
		footer01: "กฎที่สำคัญ",
		footer02: "A. บัญชีผู้ใช้ใดก็ตามที่ใส่รูปภาพในโปรไฟล์ที่ไม่ใช่รูป",
		footer03: "ของใบหน้าที่จดจำได้และกำลังสะสมเหรียญจะถูกลบ",
		footer04: "B. การนำเสนอตัวเองเป็นเท็จหรือสร้างบัญชีซ้ำ",
		footer05: "จะส่งผลให้บัญชีนั้นถูกลบออกเมื่อตรวจพบ",
		footer06: "ข้อจำกัดความรับผิดชอบ",
		footer07: "1. การเข้าร่วมหรือทดสอบแอปไม่ได้หมายความว่าผู้ใช้รายนี้ยอมรับหรือ",
		footer08: "ยอมรับแนวคิดทางการเมืองใดๆ ที่เว็บไซต์ 1CoinH อาจระบุ",
		footer09: "2. ห้ามคัดลอกและ/หรือใช้ข้อมูลผู้ใช้ใดๆ ที่พบ",
		footer10: "บนเว็บไซต์นี้ซ้ำโดยเด็ดขาด",
		footer11: "ข้อตกลง",
		footer12: "การเข้าร่วมเว็บไซต์นี้ในฐานะผู้ใช้หมายความว่าคุณได้อ่านข้อจำกัดความรับผิดชอบนี้",
		footer13: "และยอมรับ 'กฎที่สำคัญ' และ 'ข้อจำกัดความรับผิดชอบ' ข้างต้น",
		footer14: "เงินที่ถูกต้องตามจริยธรรม",
		donate: "บริจาค",
		signup: "สมัคร",
		login: "เข้าสู่ระบบ ใน",
		request: "คำขอ",
		agree: "ตกลง",
		cashbook: "Cashbook",
		logout: "ออกจากระบบ",
		welcome: "ยินดีต้อนรับ",
		Ttext_1: "การมีส่วนร่วมอย่างเท่าเทียมกันในการสร้างเงิน",
		Ttext_2: "ควรเป็นสิทธิมนุษยชน",
		Ttext_3: "ในระบบของเรา มนุษย์ทุกคน",
		Ttext_4: "จะได้รับ",
		Ttext_5: "ต่อ",
		Ttext_6: "(ชั่วโมง)",
		Ttext_7: "นี่เป็นวิธีเดียวที่จะมีระบบการเงิ",
		Ttext_8: "นที่ถูกต้องตามจริยธรรม",
		Ttext_9: "เกี่ยวกับ 1CoinH",
		Ttext_10: "คุณสามารถอ่านวิธีการทำงาน",
		Ttext_11: "สนุกไปกับมัน!",
		Ttext_12: "1CoinH ไม่ใช่สกุลเงินดิจิทัล!",
		Ttext_13: "ตัวอย่าง",
		Ttext_14: "พอดแคสต์"
	},
	vi: {
		footer00: "Trợ giúp và câu hỏi thường gặp.",
		footer01: "QUY TẮC QUAN TRỌNG",
		footer02: "A. Bất kỳ tài khoản người dùng nào đưa hình ảnh vào hồ sơ của mình không phải là ảnh",
		footer03: "của một khuôn mặt dễ nhận biết và đang thu thập tiền xu sẽ bị xóa.",
		footer04: "B. Việc tự giới thiệu sai hoặc tạo tài khoản đôi cho chính mình",
		footer05: "sẽ khiến tài khoản đó bị xóa khi bị phát hiện.",
		footer06: "TUYÊN BỐ MIỄN TRỪ TRÁCH NHIỆM",
		footer07: "1. Việc tham gia hoặc thử nghiệm ứng dụng không có nghĩa là người dùng này đồng ý hoặc",
		footer08: "ủng hộ bất kỳ ý tưởng chính trị nào mà trang web 1CoinH có thể chỉ ra.",
		footer09: "2. Nghiêm cấm sao chép và/hoặc sử dụng lại bất kỳ dữ liệu người dùng nào có thể tìm thấy",
		footer10: "trên trang web này - bên ngoài trang web này.",
		footer11: "THỎA THUẬN",
		footer12: "Tham gia trang web này với tư cách là người dùng có nghĩa là bạn đã đọc tuyên bố miễn trừ trách nhiệm này",
		footer13: "và đồng ý với 'Quy tắc quan trọng' và 'Tuyên bố miễn trừ trách nhiệm' ở trên.",
		footer14: "Tiền đạo đức",
		donate: "Quyên góp",
		signup: "Đăng ký",
		login: "Đăng nhập",
		request: "Yêu cầu",
		agree: "Đồng ý",
		cashbook: "Sổ tiền mặt",
		logout: "Đăng xuất",
		welcome: "Chào mừng",
		Ttext_1: "Tham gia bình đẳng money",
		Ttext_2: "việc tạo ra tiền phải là quyền của con người.",
		Ttext_3: "Trong hệ thống của chúng tôi, mỗi con người",
		Ttext_4: "nhận được ",
		Ttext_5: "mỗi ",
		Ttext_6: "(Giờ).",
		Ttext_7: "Đó là cách duy nhất để có một",
		Ttext_8: "hệ thống tài chính đạo đức phù hợp.",
		Ttext_9: "Về 1CoinH",
		Ttext_10: "bạn có thể đọc cách thức hoạt động của nó.",
		Ttext_11: "Thưởng thức!",
		Ttext_12: "1CoinH KHÔNG PHẢI là Tiền điện tử!",
		Ttext_13: "Trailer",
		Ttext_14: "Podcast"
	},
	tu: {
		footer00: "Yardım ve sık sorulan sorular.",
		footer01: "ÖNEMLİ KURALLAR",
		footer02: "A. Profiline tanınabilir bir yüzün resmi olmayan",
		footer03: "bir resim koyan ve jeton toplayan herhangi bir kullanıcı hesabı kaldırılacaktır.",
		footer04: "B. Kendinizi yanlış tanıtmanız veya kendiniz için çift hesap oluşturmanız",
		footer05: "tespit edildiğinde söz konusu hesabın kaldırılmasıyla sonuçlanacaktır.",
		footer06: "SORUMLULUK REDDİ",
		footer07: "1. Uygulamayı katılmak veya test etmek, bu kullanıcının 1CoinH web sitesinin belirtebileceği herhangi bir siyasi fikri kabul ettiği veya",
		footer08: "onayladığı anlamına gelmez.",
		footer09: "2. Bu web sitesinde - bu web sitesi dışında - bulunabilen kullanıcı verilerinin herhangi",
		footer10: "birini kopyalamak ve/veya yeniden kullanmak kesinlikle yasaktır.",
		footer11: "SÖZLEŞME",
		footer12: "Bu web sitesine kullanıcı olarak katılmak, bu sorumluluk reddi beyanını okuduğunuz",
		footer13: "ve yukarıdaki 'Önemli Kurallar' ve 'Sorumluluk Reddi' beyanını kabul ettiğiniz anlamına gelir.",
		footer14: "Etik Para",
		donate: "Bağış yapın",
		signup: "Kaydolun",
		login: "Giriş yapın In",
		request: "İstek",
		agree: "Kabul",
		cashbook: "Kasa",
		logout: "Çıkış",
		welcome: "Hoş Geldiniz",
		Ttext_1: "Para yaratmada eşit katılım",
		Ttext_2: "bir insan hakkı olmalıdır.",
		Ttext_3: "Sistemimizde, her insan",
		Ttext_4: "alır.",
		Ttext_5: "her ",
		Ttext_6: "(Saat)",
		Ttext_7: "Bu, uygun bir",
		Ttext_8: "etik finansal sisteme sahip olmanın tek yoludur.",
		Ttext_9: " Hakkında 1CoinH ",
		Ttext_10: "bunun nasıl çalıştığını okuyabilirsiniz.",
		Ttext_11: "Keyfini çıkarın!",
		Ttext_12: "1CoinH bir Kripto Para DEĞİLDİR!",
		Ttext_13: "Fragman",
		Ttext_14: "Podcast"
	},
	ur: {
		footer00: "مدد اور اکثر پوچھے گئے سوالات۔",
		footer01: "اہم قواعد",
		footer02: "A. کوئی بھی صارف اکاؤنٹ جو اپنے پروفائل میں ایسی تصویر رکھتا ہے جو تصویر نہیں ہے",
		footer03: "ایک پہچانا چہرہ اور سکے جمع کر رہا ہے ہٹا دیا جائے گا۔",
		footer04: "B. اپنے آپ کو غلط بیان کرنا یا اپنے لیے دوہرا اکاؤنٹ بنانا",
		footer05: "اس کے نتیجے میں اس اکاؤنٹ کو ایک بار پتہ چلنے پر ہٹا دیا جائے گا۔",
		footer06: "ڈس کلیمر",
		footer07: "1. ایپ میں شامل ہونے یا جانچنے کا مطلب یہ نہیں ہے کہ یہ صارف متفق ہے یا",
		footer08: "1CoinH ویب سائٹ سے ظاہر ہونے والے کسی بھی سیاسی خیالات سے تعزیت کرتا ہے۔",
		footer09: "2. کسی بھی صارف ڈیٹا کو کاپی کرنا اور/یا دوبارہ استعمال کرنا جو پایا جا سکتا ہے",
		footer10: "اس ویب سائٹ پر - اس ویب سائٹ سے باہر - سختی سے منع ہے۔",
		footer11: "معاہدہ",
		footer12: "اس ویب سائٹ کو بطور صارف جوائن کرنے کا مطلب ہے کہ آپ نے یہ اعلانیہ  پڑھ لیا ہے۔",
		footer13: "اور اوپر 'اہم قواعد' اور 'اعلان دستبرداری' سے اتفاق کرتے ہیں۔",
		footer14: "اخلاقی رقم ",
		donate: "ڈالر عطیہ کریں۔",
		signup: "سائن اپ کریں ",
		login: "لاگ ان ",
		request: " کی درخواست کریں۔",
		agree: "متفق ہیں ",
		cashbook: "کیش بک ",
		logout: "لاگ آؤٹ ",
		welcome: "خوش آمدید",
		Ttext_1: "رقم میں مساوی شرکت",
		Ttext_2: "تخلیق انسانی حق ہونا چاہیے۔",
		Ttext_3: "ہمارے نظام میں، ہر انسان ",
		Ttext_4: " وصول کرتا ہے۔",
		Ttext_5: " فی ڈالر",
		Ttext_6: "(گھنٹہ)۔",
		Ttext_7: " حاصل کرنے کا یہ واحد طریقہ ہے۔",
		Ttext_8: "مناسب اخلاقی مالیاتی نظام۔",
		Ttext_9: "تقریباً 1CoinH",
		Ttext_10: " آپ پڑھ سکتے ہیں کہ یہ کیسے کام کرتا ہے۔",
		Ttext_11: "لطف اٹھائیں!",
		Ttext_12: "1CoinH ایک کرپٹو کرنسی نہیں ہے!",
		Ttext_13: "ٹریلر",
		Ttext_14: "پوڈ کاسٹ ڈالر"
	},
	yo: {
		footer00: "Iranlọwọ ati awọn ibeere nigbagbogbo beere.",
		footer01: "OFIN PATAKI",
		footer02: "A. Eyikeyi akọọlẹ olumulo ti o fi aworan si profaili rẹ ti kii ṣe aworan ",
		footer03: "ti oju ti a mọ ti o si n gba awọn owó ni ao yọ kuro.",
		footer04: "B. Sisọ ararẹ ṣiṣalaye tabi ṣe awọn akọọlẹ meji fun ararẹ ",
		footer05: "yoo mu ki akọọlẹ yẹn kuro ni kete ti a ba rii.",
		footer06: "ALÁYÌN ",
		footer07: "1. Didapọ tabi idanwo app ko tumọ si pe olumulo yii gba tabi ",
		footer08: "ṣe itẹwọgba awọn imọran iṣelu eyikeyi ti oju opo wẹẹbu 1CoinH le fihan.",
		footer09: "2. Didaakọ ati/tabi tunlo eyikeyi data olumulo ti o le rii ",
		footer10: "lori oju opo wẹẹbu yii - ni ita oju opo wẹẹbu yii - jẹ eewọ muna.",
		footer11: "Àdéhùn",
		footer12: "Didapọ mọ oju opo wẹẹbu yii gẹgẹbi olumulo tumọ si pe o ti ka ailagbara ",
		footer13: "ki o si gba si awọn 'Pataki Ofin' ati 'AlAIgBA' loke.",
		footer14: "Owo Iwa ",
		donate: "Ṣetọrẹ",
		signup: "Forukọsilẹ ",
		login: "Wọle ",
		request: "Ìbéèrè",
		agree: "gba ",
		cashbook: "Iwe owo ",
		logout: "Jade ",
		welcome: "Kaabo",
		Ttext_1: "Ikopa dọgba ninu owo",
		Ttext_2: "ẹda yẹ ki o jẹ ẹtọ eniyan.",
		Ttext_3: "Ninu eto wa, gbogbo eniyan ",
		Ttext_4: "gba ",
		Ttext_5: " fun ",
		Ttext_6: "(wakati).",
		Ttext_7: "O jẹ ọna kan ṣoṣo lati ni ",
		Ttext_8: "eto inawo iwa to dara.",
		Ttext_9: "Nipa 1CoinH",
		Ttext_10: " o le ka bi eyi ṣe n ṣiṣẹ.",
		Ttext_11: "Gbadun!",
		Ttext_12: "1CoinH kii ṣe Cryptocurrency!",
		Ttext_13: "Tirela",
		Ttext_14: "Adarọ-ese"
	},
}


const languageSelectop = document.querySelector("select");

languageSelectop.addEventListener("change", (event) => {
	setLanguage(event.target.value);
	if (window.localStorage) {
    	localStorage.setItem("site-language", event.target.value);
 	}
})
let footer_00 = document.getElementById("footer00");
let footer_01 = document.getElementById("footer01");
let footer_02 = document.getElementById("footer02");
let footer_03 = document.getElementById("footer03");
let footer_04 = document.getElementById("footer04");
let footer_05 = document.getElementById("footer05");
let footer_06 = document.getElementById("footer06");
let footer_07 = document.getElementById("footer07");
let footer_08 = document.getElementById("footer08");
let footer_09 = document.getElementById("footer09");
let footer_10 = document.getElementById("footer10");
let footer_11 = document.getElementById("footer11");
let footer_12 = document.getElementById("footer12");
let footer_13 = document.getElementById("footer13");
let footer_14 = document.getElementById("footer14");
let donate = document.getElementById("donate");
let signup = document.getElementById("signup");
let login = document.getElementById("login");
let request = document.getElementById("request");
let agree = document.getElementById("agree");
let cashbook = document.getElementById("cashbook");
let logout = document.getElementById("logout");
let welcome = document.getElementById("welcome");
let text_1 = document.getElementById("text_1");
let text_2 = document.getElementById("text_2");
let text_3 = document.getElementById("text_3");
let text_4 = document.getElementById("text_4");
let text_5 = document.getElementById("text_5");
let text_6 = document.getElementById("text_6");
let text_7 = document.getElementById("text_7");
let text_8 = document.getElementById("text_8");
let text_9 = document.getElementById("text_9");
let text_10 = document.getElementById("text_10");
let text_11 = document.getElementById("text_11");
let text_12 = document.getElementById("text_12");
let text_13 = document.getElementById("text_13");
let text_14 = document.getElementById("text_14");


const setLanguage = (language) => {
	if(language == "ah"){
		footer_00.innerText = translations.ah.footer00;
		footer_01.innerText = translations.ah.footer01;
		footer_02.innerText = translations.ah.footer02;
		footer_03.innerText = translations.ah.footer03;
		footer_04.innerText = translations.ah.footer04;
		footer_05.innerText = translations.ah.footer05;
		footer_06.innerText = translations.ah.footer06;
		footer_07.innerText = translations.ah.footer07;
		footer_08.innerText = translations.ah.footer08;
		footer_09.innerText = translations.ah.footer09;
		footer_10.innerText = translations.ah.footer10;
		footer_11.innerText = translations.ah.footer11;
		footer_12.innerText = translations.ah.footer12;
		footer_13.innerText = translations.ah.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ah.footer14;
		if (donate) {donate.innerText = translations.ah.donate;}
		if (signup) {signup.innerText = translations.ah.signup;}
		if (login) {login.innerText = translations.ah.login;}
		if (request) {request.innerText = translations.ah.request;}
		if (agree) {agree.innerText = translations.ah.agree;}
		if (cashbook) {cashbook.innerText = translations.ah.cashbook;}
		if (logout) {logout.innerText = translations.ah.logout;}
		if (welcome) {welcome.innerText = translations.ah.welcome;}
		signup.innerText = translations.ah.signup;
		login.innerText = translations.ah.login;
		text_1.innerText = translations.ah.Ttext_1;
		text_2.innerText = translations.ah.Ttext_2;
		text_3.innerText = translations.ah.Ttext_3;
		text_4.innerText = translations.ah.Ttext_4;
		text_5.innerText = translations.ah.Ttext_5;
		text_6.innerText = translations.ah.Ttext_6;
		text_7.innerText = translations.ah.Ttext_7;
		text_8.innerText = translations.ah.Ttext_8;
		text_9.innerText = translations.ah.Ttext_9;
		text_12.innerText = translations.ah.Ttext_12;
		text_13.innerText = translations.ah.Ttext_13;
		text_14.innerText = translations.ah.Ttext_14;
	}else if(language == "ar"){
		footer_00.innerText = translations.ar.footer00;
		footer_01.innerText = translations.ar.footer01;
		footer_02.innerText = translations.ar.footer02;
		footer_03.innerText = translations.ar.footer03;
		footer_04.innerText = translations.ar.footer04;
		footer_05.innerText = translations.ar.footer05;
		footer_06.innerText = translations.ar.footer06;
		footer_07.innerText = translations.ar.footer07;
		footer_08.innerText = translations.ar.footer08;
		footer_09.innerText = translations.ar.footer09;
		footer_10.innerText = translations.ar.footer10;
		footer_11.innerText = translations.ar.footer11;
		footer_12.innerText = translations.ar.footer12;
		footer_13.innerText = translations.ar.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ar.footer14;
		if (donate) {donate.innerText = translations.ar.donate;}
		if (signup) {signup.innerText = translations.ar.signup;}
		if (login) {login.innerText = translations.ar.login;}
		if (request) {request.innerText = translations.ar.request;}
		if (agree) {agree.innerText = translations.ar.agree;}
		if (cashbook) {cashbook.innerText = translations.ar.cashbook;}
		if (logout) {logout.innerText = translations.ar.logout;}
		if (welcome) {welcome.innerText = translations.ar.welcome;}
		signup.innerText = translations.ar.signup;
		login.innerText = translations.ar.login;
		text_1.innerText = translations.ar.Ttext_1;
		text_2.innerText = translations.ar.Ttext_2;
		text_3.innerText = translations.ar.Ttext_3;
		text_4.innerText = translations.ar.Ttext_4;
		text_5.innerText = translations.ar.Ttext_5;
		text_6.innerText = translations.ar.Ttext_6;
		text_7.innerText = translations.ar.Ttext_7;
		text_8.innerText = translations.ar.Ttext_8;
		text_9.innerText = translations.ar.Ttext_9;
		text_12.innerText = translations.ar.Ttext_12;
		text_13.innerText = translations.ar.Ttext_13;
		text_14.innerText = translations.ar.Ttext_14;
	}else if(language == "am"){
		footer_00.innerText = translations.am.footer00;
		footer_01.innerText = translations.am.footer01;
		footer_02.innerText = translations.am.footer02;
		footer_03.innerText = translations.am.footer03;
		footer_04.innerText = translations.am.footer04;
		footer_05.innerText = translations.am.footer05;
		footer_06.innerText = translations.am.footer06;
		footer_07.innerText = translations.am.footer07;
		footer_08.innerText = translations.am.footer08;
		footer_09.innerText = translations.am.footer09;
		footer_10.innerText = translations.am.footer10;
		footer_11.innerText = translations.am.footer11;
		footer_12.innerText = translations.am.footer12;
		footer_13.innerText = translations.am.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.am.footer14;
		if (donate) {donate.innerText = translations.am.donate;}
		if (signup) {signup.innerText = translations.am.signup;}
		if (login) {login.innerText = translations.am.login;}
		if (request) {request.innerText = translations.am.request;}
		if (agree) {agree.innerText = translations.am.agree;}
		if (cashbook) {cashbook.innerText = translations.am.cashbook;}
		if (logout) {logout.innerText = translations.am.logout;}
		if (welcome) {welcome.innerText = translations.am.welcome;}
		signup.innerText = translations.am.signup;
		login.innerText = translations.am.login;
		text_1.innerText = translations.am.Ttext_1;
		text_2.innerText = translations.am.Ttext_2;
		text_3.innerText = translations.am.Ttext_3;
		text_4.innerText = translations.am.Ttext_4;
		text_5.innerText = translations.am.Ttext_5;
		text_6.innerText = translations.am.Ttext_6;
		text_7.innerText = translations.am.Ttext_7;
		text_8.innerText = translations.am.Ttext_8;
		text_9.innerText = translations.am.Ttext_9;
		text_12.innerText = translations.am.Ttext_12;
		text_13.innerText = translations.am.Ttext_13;
		text_14.innerText = translations.am.Ttext_14;
	}else if(language == "az"){
		footer_00.innerText = translations.az.footer00;
		footer_01.innerText = translations.az.footer01;
		footer_02.innerText = translations.az.footer02;
		footer_03.innerText = translations.az.footer03;
		footer_04.innerText = translations.az.footer04;
		footer_05.innerText = translations.az.footer05;
		footer_06.innerText = translations.az.footer06;
		footer_07.innerText = translations.az.footer07;
		footer_08.innerText = translations.az.footer08;
		footer_09.innerText = translations.az.footer09;
		footer_10.innerText = translations.az.footer10;
		footer_11.innerText = translations.az.footer11;
		footer_12.innerText = translations.az.footer12;
		footer_13.innerText = translations.az.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.az.footer14;
		if (donate) {donate.innerText = translations.az.donate;}
		if (signup) {signup.innerText = translations.az.signup;}
		if (login) {login.innerText = translations.az.login;}
		if (request) {request.innerText = translations.az.request;}
		if (agree) {agree.innerText = translations.az.agree;}
		if (cashbook) {cashbook.innerText = translations.az.cashbook;}
		if (logout) {logout.innerText = translations.az.logout;}
		if (welcome) {welcome.innerText = translations.az.welcome;}
		signup.innerText = translations.az.signup;
		login.innerText = translations.az.login;
		text_1.innerText = translations.az.Ttext_1;
		text_2.innerText = translations.az.Ttext_2;
		text_3.innerText = translations.az.Ttext_3;
		text_4.innerText = translations.az.Ttext_4;
		text_5.innerText = translations.az.Ttext_5;
		text_6.innerText = translations.az.Ttext_6;
		text_7.innerText = translations.az.Ttext_7;
		text_8.innerText = translations.az.Ttext_8;
		text_9.innerText = translations.az.Ttext_9;
		text_12.innerText = translations.az.Ttext_12;
		text_13.innerText = translations.az.Ttext_13;
		text_14.innerText = translations.az.Ttext_14;
	}else if(language == "by"){
		footer_00.innerText = translations.by.footer00;
		footer_01.innerText = translations.by.footer01;
		footer_02.innerText = translations.by.footer02;
		footer_03.innerText = translations.by.footer03;
		footer_04.innerText = translations.by.footer04;
		footer_05.innerText = translations.by.footer05;
		footer_06.innerText = translations.by.footer06;
		footer_07.innerText = translations.by.footer07;
		footer_08.innerText = translations.by.footer08;
		footer_09.innerText = translations.by.footer09;
		footer_10.innerText = translations.by.footer10;
		footer_11.innerText = translations.by.footer11;
		footer_12.innerText = translations.by.footer12;
		footer_13.innerText = translations.by.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.by.footer14;
		if (donate) {donate.innerText = translations.by.donate;}
		if (signup) {signup.innerText = translations.by.signup;}
		if (login) {login.innerText = translations.by.login;}
		if (request) {request.innerText = translations.by.request;}
		if (agree) {agree.innerText = translations.by.agree;}
		if (cashbook) {cashbook.innerText = translations.by.cashbook;}
		if (logout) {logout.innerText = translations.by.logout;}
		if (welcome) {welcome.innerText = translations.by.welcome;}
		signup.innerText = translations.by.signup;
		login.innerText = translations.by.login;
		text_1.innerText = translations.by.Ttext_1;
		text_2.innerText = translations.by.Ttext_2;
		text_3.innerText = translations.by.Ttext_3;
		text_4.innerText = translations.by.Ttext_4;
		text_5.innerText = translations.by.Ttext_5;
		text_6.innerText = translations.by.Ttext_6;
		text_7.innerText = translations.by.Ttext_7;
		text_8.innerText = translations.by.Ttext_8;
		text_9.innerText = translations.by.Ttext_9;
		text_12.innerText = translations.by.Ttext_12;
		text_13.innerText = translations.by.Ttext_13;
		text_14.innerText = translations.by.Ttext_14;
	}else if(language == "be"){
		footer_00.innerText = translations.be.footer00;
		footer_01.innerText = translations.be.footer01;
		footer_02.innerText = translations.be.footer02;
		footer_03.innerText = translations.be.footer03;
		footer_04.innerText = translations.be.footer04;
		footer_05.innerText = translations.be.footer05;
		footer_06.innerText = translations.be.footer06;
		footer_07.innerText = translations.be.footer07;
		footer_08.innerText = translations.be.footer08;
		footer_09.innerText = translations.be.footer09;
		footer_10.innerText = translations.be.footer10;
		footer_11.innerText = translations.be.footer11;
		footer_12.innerText = translations.be.footer12;
		footer_13.innerText = translations.be.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.be.footer14;
		if (donate) {donate.innerText = translations.be.donate;}
		if (signup) {signup.innerText = translations.be.signup;}
		if (login) {login.innerText = translations.be.login;}
		if (request) {request.innerText = translations.be.request;}
		if (agree) {agree.innerText = translations.be.agree;}
		if (cashbook) {cashbook.innerText = translations.be.cashbook;}
		if (logout) {logout.innerText = translations.be.logout;}
		if (welcome) {welcome.innerText = translations.be.welcome;}
		signup.innerText = translations.be.signup;
		login.innerText = translations.be.login;
		text_1.innerText = translations.be.Ttext_1;
		text_2.innerText = translations.be.Ttext_2;
		text_3.innerText = translations.be.Ttext_3;
		text_4.innerText = translations.be.Ttext_4;
		text_5.innerText = translations.be.Ttext_5;
		text_6.innerText = translations.be.Ttext_6;
		text_7.innerText = translations.be.Ttext_7;
		text_8.innerText = translations.be.Ttext_8;
		text_9.innerText = translations.be.Ttext_9;
		text_12.innerText = translations.be.Ttext_12;
		text_13.innerText = translations.be.Ttext_13;
		text_14.innerText = translations.be.Ttext_14;
	}else if(language == "bo"){
		footer_00.innerText = translations.bo.footer00;
		footer_01.innerText = translations.bo.footer01;
		footer_02.innerText = translations.bo.footer02;
		footer_03.innerText = translations.bo.footer03;
		footer_04.innerText = translations.bo.footer04;
		footer_05.innerText = translations.bo.footer05;
		footer_06.innerText = translations.bo.footer06;
		footer_07.innerText = translations.bo.footer07;
		footer_08.innerText = translations.bo.footer08;
		footer_09.innerText = translations.bo.footer09;
		footer_10.innerText = translations.bo.footer10;
		footer_11.innerText = translations.bo.footer11;
		footer_12.innerText = translations.bo.footer12;
		footer_13.innerText = translations.bo.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.bo.footer14;
		if (donate) {donate.innerText = translations.bo.donate;}
		if (signup) {signup.innerText = translations.bo.signup;}
		if (login) {login.innerText = translations.bo.login;}
		if (request) {request.innerText = translations.bo.request;}
		if (agree) {agree.innerText = translations.bo.agree;}
		if (cashbook) {cashbook.innerText = translations.bo.cashbook;}
		if (logout) {logout.innerText = translations.bo.logout;}
		if (welcome) {welcome.innerText = translations.bo.welcome;}
		signup.innerText = translations.bo.signup;
		login.innerText = translations.bo.login;
		text_1.innerText = translations.bo.Ttext_1;
		text_2.innerText = translations.bo.Ttext_2;
		text_3.innerText = translations.bo.Ttext_3;
		text_4.innerText = translations.bo.Ttext_4;
		text_5.innerText = translations.bo.Ttext_5;
		text_6.innerText = translations.bo.Ttext_6;
		text_7.innerText = translations.bo.Ttext_7;
		text_8.innerText = translations.bo.Ttext_8;
		text_9.innerText = translations.bo.Ttext_9;
		text_12.innerText = translations.bo.Ttext_12;
		text_13.innerText = translations.bo.Ttext_13;
		text_14.innerText = translations.bo.Ttext_14;
	}else if(language == "bg"){
		footer_00.innerText = translations.bg.footer00;
		footer_01.innerText = translations.bg.footer01;
		footer_02.innerText = translations.bg.footer02;
		footer_03.innerText = translations.bg.footer03;
		footer_04.innerText = translations.bg.footer04;
		footer_05.innerText = translations.bg.footer05;
		footer_06.innerText = translations.bg.footer06;
		footer_07.innerText = translations.bg.footer07;
		footer_08.innerText = translations.bg.footer08;
		footer_09.innerText = translations.bg.footer09;
		footer_10.innerText = translations.bg.footer10;
		footer_11.innerText = translations.bg.footer11;
		footer_12.innerText = translations.bg.footer12;
		footer_13.innerText = translations.bg.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.bg.footer14;
		if (donate) {donate.innerText = translations.bg.donate;}
		if (signup) {signup.innerText = translations.bg.signup;}
		if (login) {login.innerText = translations.bg.login;}
		if (request) {request.innerText = translations.bg.request;}
		if (agree) {agree.innerText = translations.bg.agree;}
		if (cashbook) {cashbook.innerText = translations.bg.cashbook;}
		if (logout) {logout.innerText = translations.bg.logout;}
		if (welcome) {welcome.innerText = translations.bg.welcome;}
		signup.innerText = translations.bg.signup;
		login.innerText = translations.bg.login;
		text_1.innerText = translations.bg.Ttext_1;
		text_2.innerText = translations.bg.Ttext_2;
		text_3.innerText = translations.bg.Ttext_3;
		text_4.innerText = translations.bg.Ttext_4;
		text_5.innerText = translations.bg.Ttext_5;
		text_6.innerText = translations.bg.Ttext_6;
		text_7.innerText = translations.bg.Ttext_7;
		text_8.innerText = translations.bg.Ttext_8;
		text_9.innerText = translations.bg.Ttext_9;
		text_12.innerText = translations.bg.Ttext_12;
		text_13.innerText = translations.bg.Ttext_13;
		text_14.innerText = translations.bg.Ttext_14;
	}else if(language == "ca"){
		footer_00.innerText = translations.ca.footer00;
		footer_01.innerText = translations.ca.footer01;
		footer_02.innerText = translations.ca.footer02;
		footer_03.innerText = translations.ca.footer03;
		footer_04.innerText = translations.ca.footer04;
		footer_05.innerText = translations.ca.footer05;
		footer_06.innerText = translations.ca.footer06;
		footer_07.innerText = translations.ca.footer07;
		footer_08.innerText = translations.ca.footer08;
		footer_09.innerText = translations.ca.footer09;
		footer_10.innerText = translations.ca.footer10;
		footer_11.innerText = translations.ca.footer11;
		footer_12.innerText = translations.ca.footer12;
		footer_13.innerText = translations.ca.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ca.footer14;
		if (donate) {donate.innerText = translations.ca.donate;}
		if (signup) {signup.innerText = translations.ca.signup;}
		if (login) {login.innerText = translations.ca.login;}
		if (request) {request.innerText = translations.ca.request;}
		if (agree) {agree.innerText = translations.ca.agree;}
		if (cashbook) {cashbook.innerText = translations.ca.cashbook;}
		if (logout) {logout.innerText = translations.ca.logout;}
		if (welcome) {welcome.innerText = translations.ca.welcome;}
		signup.innerText = translations.ca.signup;
		login.innerText = translations.ca.login;
		text_1.innerText = translations.ca.Ttext_1;
		text_2.innerText = translations.ca.Ttext_2;
		text_3.innerText = translations.ca.Ttext_3;
		text_4.innerText = translations.ca.Ttext_4;
		text_5.innerText = translations.ca.Ttext_5;
		text_6.innerText = translations.ca.Ttext_6;
		text_7.innerText = translations.ca.Ttext_7;
		text_8.innerText = translations.ca.Ttext_8;
		text_9.innerText = translations.ca.Ttext_9;
		text_12.innerText = translations.ca.Ttext_12;
		text_13.innerText = translations.ca.Ttext_13;
		text_14.innerText = translations.ca.Ttext_14;
	}else if(language == "ch"){
		footer_00.innerText = translations.ch.footer00;
		footer_01.innerText = translations.ch.footer01;
		footer_02.innerText = translations.ch.footer02;
		footer_03.innerText = translations.ch.footer03;
		footer_04.innerText = translations.ch.footer04;
		footer_05.innerText = translations.ch.footer05;
		footer_06.innerText = translations.ch.footer06;
		footer_07.innerText = translations.ch.footer07;
		footer_08.innerText = translations.ch.footer08;
		footer_09.innerText = translations.ch.footer09;
		footer_10.innerText = translations.ch.footer10;
		footer_11.innerText = translations.ch.footer11;
		footer_12.innerText = translations.ch.footer12;
		footer_13.innerText = translations.ch.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ch.footer14;
		if (donate) {donate.innerText = translations.ch.donate;}
		if (signup) {signup.innerText = translations.ch.signup;}
		if (login) {login.innerText = translations.ch.login;}
		if (request) {request.innerText = translations.ch.request;}
		if (agree) {agree.innerText = translations.ch.agree;}
		if (cashbook) {cashbook.innerText = translations.ch.cashbook;}
		if (logout) {logout.innerText = translations.ch.logout;}
		if (welcome) {welcome.innerText = translations.ch.welcome;}
		signup.innerText = translations.ch.signup;
		login.innerText = translations.ch.login;
		text_1.innerText = translations.ch.Ttext_1;
		text_2.innerText = translations.ch.Ttext_2;
		text_3.innerText = translations.ch.Ttext_3;
		text_4.innerText = translations.ch.Ttext_4;
		text_5.innerText = translations.ch.Ttext_5;
		text_6.innerText = translations.ch.Ttext_6;
		text_7.innerText = translations.ch.Ttext_7;
		text_8.innerText = translations.ch.Ttext_8;
		text_9.innerText = translations.ch.Ttext_9;
		text_12.innerText = translations.ch.Ttext_12;
		text_13.innerText = translations.ch.Ttext_13;
		text_14.innerText = translations.ch.Ttext_14;
	}else if(language == "cz"){
		footer_00.innerText = translations.cz.footer00;
		footer_01.innerText = translations.cz.footer01;
		footer_02.innerText = translations.cz.footer02;
		footer_03.innerText = translations.cz.footer03;
		footer_04.innerText = translations.cz.footer04;
		footer_05.innerText = translations.cz.footer05;
		footer_06.innerText = translations.cz.footer06;
		footer_07.innerText = translations.cz.footer07;
		footer_08.innerText = translations.cz.footer08;
		footer_09.innerText = translations.cz.footer09;
		footer_10.innerText = translations.cz.footer10;
		footer_11.innerText = translations.cz.footer11;
		footer_12.innerText = translations.cz.footer12;
		footer_13.innerText = translations.cz.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.cz.footer14;
		if (donate) {donate.innerText = translations.cz.donate;}
		if (signup) {signup.innerText = translations.cz.signup;}
		if (login) {login.innerText = translations.cz.login;}
		if (request) {request.innerText = translations.cz.request;}
		if (agree) {agree.innerText = translations.cz.agree;}
		if (cashbook) {cashbook.innerText = translations.cz.cashbook;}
		if (logout) {logout.innerText = translations.cz.logout;}
		if (welcome) {welcome.innerText = translations.cz.welcome;}
		signup.innerText = translations.cz.signup;
		login.innerText = translations.cz.login;
		text_1.innerText = translations.cz.Ttext_1;
		text_2.innerText = translations.cz.Ttext_2;
		text_3.innerText = translations.cz.Ttext_3;
		text_4.innerText = translations.cz.Ttext_4;
		text_5.innerText = translations.cz.Ttext_5;
		text_6.innerText = translations.cz.Ttext_6;
		text_7.innerText = translations.cz.Ttext_7;
		text_8.innerText = translations.cz.Ttext_8;
		text_9.innerText = translations.cz.Ttext_9;
		text_12.innerText = translations.cz.Ttext_12;
		text_13.innerText = translations.cz.Ttext_13;
		text_14.innerText = translations.cz.Ttext_14;
	}else if(language == "se"){
		footer_00.innerText = translations.se.footer00;
		footer_01.innerText = translations.se.footer01;
		footer_02.innerText = translations.se.footer02;
		footer_03.innerText = translations.se.footer03;
		footer_04.innerText = translations.se.footer04;
		footer_05.innerText = translations.se.footer05;
		footer_06.innerText = translations.se.footer06;
		footer_07.innerText = translations.se.footer07;
		footer_08.innerText = translations.se.footer08;
		footer_09.innerText = translations.se.footer09;
		footer_10.innerText = translations.se.footer10;
		footer_11.innerText = translations.se.footer11;
		footer_12.innerText = translations.se.footer12;
		footer_13.innerText = translations.se.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.se.footer14;
		if (donate) {donate.innerText = translations.se.donate;}
		if (signup) {signup.innerText = translations.se.signup;}
		if (login) {login.innerText = translations.se.login;}
		if (request) {request.innerText = translations.se.request;}
		if (agree) {agree.innerText = translations.se.agree;}
		if (cashbook) {cashbook.innerText = translations.se.cashbook;}
		if (logout) {logout.innerText = translations.se.logout;}
		if (welcome) {welcome.innerText = translations.se.welcome;}
		signup.innerText = translations.se.signup;
		login.innerText = translations.se.login;
		text_1.innerText = translations.se.Ttext_1;
		text_2.innerText = translations.se.Ttext_2;
		text_3.innerText = translations.se.Ttext_3;
		text_4.innerText = translations.se.Ttext_4;
		text_5.innerText = translations.se.Ttext_5;
		text_6.innerText = translations.se.Ttext_6;
		text_7.innerText = translations.se.Ttext_7;
		text_8.innerText = translations.se.Ttext_8;
		text_9.innerText = translations.se.Ttext_9;
		text_12.innerText = translations.se.Ttext_12;
		text_13.innerText = translations.se.Ttext_13;
		text_14.innerText = translations.se.Ttext_14;
	}else if(language == "da"){
		footer_00.innerText = translations.da.footer00;
		footer_01.innerText = translations.da.footer01;
		footer_02.innerText = translations.da.footer02;
		footer_03.innerText = translations.da.footer03;
		footer_04.innerText = translations.da.footer04;
		footer_05.innerText = translations.da.footer05;
		footer_06.innerText = translations.da.footer06;
		footer_07.innerText = translations.da.footer07;
		footer_08.innerText = translations.da.footer08;
		footer_09.innerText = translations.da.footer09;
		footer_10.innerText = translations.da.footer10;
		footer_11.innerText = translations.da.footer11;
		footer_12.innerText = translations.da.footer12;
		footer_13.innerText = translations.da.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.da.footer14;
		if (donate) {donate.innerText = translations.da.donate;}
		if (signup) {signup.innerText = translations.da.signup;}
		if (login) {login.innerText = translations.da.login;}
		if (request) {request.innerText = translations.da.request;}
		if (agree) {agree.innerText = translations.da.agree;}
		if (cashbook) {cashbook.innerText = translations.da.cashbook;}
		if (logout) {logout.innerText = translations.da.logout;}
		if (welcome) {welcome.innerText = translations.da.welcome;}
		signup.innerText = translations.da.signup;
		login.innerText = translations.da.login;
		text_1.innerText = translations.da.Ttext_1;
		text_2.innerText = translations.da.Ttext_2;
		text_3.innerText = translations.da.Ttext_3;
		text_4.innerText = translations.da.Ttext_4;
		text_5.innerText = translations.da.Ttext_5;
		text_6.innerText = translations.da.Ttext_6;
		text_7.innerText = translations.da.Ttext_7;
		text_8.innerText = translations.da.Ttext_8;
		text_9.innerText = translations.da.Ttext_9;
		text_12.innerText = translations.da.Ttext_12;
		text_13.innerText = translations.da.Ttext_13;
		text_14.innerText = translations.da.Ttext_14;
	}else if(language == "de"){
		footer_00.innerText = translations.de.footer00;
		footer_01.innerText = translations.de.footer01;
		footer_02.innerText = translations.de.footer02;
		footer_03.innerText = translations.de.footer03;
		footer_04.innerText = translations.de.footer04;
		footer_05.innerText = translations.de.footer05;
		footer_06.innerText = translations.de.footer06;
		footer_07.innerText = translations.de.footer07;
		footer_08.innerText = translations.de.footer08;
		footer_09.innerText = translations.de.footer09;
		footer_10.innerText = translations.de.footer10;
		footer_11.innerText = translations.de.footer11;
		footer_12.innerText = translations.de.footer12;
		footer_13.innerText = translations.de.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.de.footer14;
		if (donate) {donate.innerText = translations.de.donate;}
		if (signup) {signup.innerText = translations.de.signup;}
		if (login) {login.innerText = translations.de.login;}
		if (request) {request.innerText = translations.de.request;}
		if (agree) {agree.innerText = translations.de.agree;}
		if (cashbook) {cashbook.innerText = translations.de.cashbook;}
		if (logout) {logout.innerText = translations.de.logout;}
		if (welcome) {welcome.innerText = translations.de.welcome;}
		signup.innerText = translations.de.signup;
		login.innerText = translations.de.login;
		text_1.innerText = translations.de.Ttext_1;
		text_2.innerText = translations.de.Ttext_2;
		text_3.innerText = translations.de.Ttext_3;
		text_4.innerText = translations.de.Ttext_4;
		text_5.innerText = translations.de.Ttext_5;
		text_6.innerText = translations.de.Ttext_6;
		text_7.innerText = translations.de.Ttext_7;
		text_8.innerText = translations.de.Ttext_8;
		text_9.innerText = translations.de.Ttext_9;
		text_12.innerText = translations.de.Ttext_12;
		text_13.innerText = translations.de.Ttext_13;
		text_14.innerText = translations.de.Ttext_14;
	}else if(language == "en"){
		footer_00.innerText = translations.en.footer00;
		footer_01.innerText = translations.en.footer01;
		footer_02.innerText = translations.en.footer02;
		footer_03.innerText = translations.en.footer03;
		footer_04.innerText = translations.en.footer04;
		footer_05.innerText = translations.en.footer05;
		footer_06.innerText = translations.en.footer06;
		footer_07.innerText = translations.en.footer07;
		footer_08.innerText = translations.en.footer08;
		footer_09.innerText = translations.en.footer09;
		footer_10.innerText = translations.en.footer10;
		footer_11.innerText = translations.en.footer11;
		footer_12.innerText = translations.en.footer12;
		footer_13.innerText = translations.en.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.en.footer14;
		if (donate) {donate.innerText = translations.en.donate;}
		if (signup) {signup.innerText = translations.en.signup;}
		if (login) {login.innerText = translations.en.login;}
		if (request) {request.innerText = translations.en.request;}
		if (agree) {agree.innerText = translations.en.agree;}
		if (cashbook) {cashbook.innerText = translations.en.cashbook;}
		if (logout) {logout.innerText = translations.en.logout;}
		if (welcome) {welcome.innerText = translations.en.welcome;}
		signup.innerText = translations.en.signup;
		login.innerText = translations.en.login;
		text_1.innerText = translations.en.Ttext_1;
		text_2.innerText = translations.en.Ttext_2;
		text_3.innerText = translations.en.Ttext_3;
		text_4.innerText = translations.en.Ttext_4;
		text_5.innerText = translations.en.Ttext_5;
		text_6.innerText = translations.en.Ttext_6;
		text_7.innerText = translations.en.Ttext_7;
		text_8.innerText = translations.en.Ttext_8;
		text_9.innerText = translations.en.Ttext_9;
		text_12.innerText = translations.en.Ttext_12;
		text_13.innerText = translations.en.Ttext_13;
		text_14.innerText = translations.en.Ttext_14;
	}else if(language == "es"){
		footer_00.innerText = translations.es.footer00;
		footer_01.innerText = translations.es.footer01;
		footer_02.innerText = translations.es.footer02;
		footer_03.innerText = translations.es.footer03;
		footer_04.innerText = translations.es.footer04;
		footer_05.innerText = translations.es.footer05;
		footer_06.innerText = translations.es.footer06;
		footer_07.innerText = translations.es.footer07;
		footer_08.innerText = translations.es.footer08;
		footer_09.innerText = translations.es.footer09;
		footer_10.innerText = translations.es.footer10;
		footer_11.innerText = translations.es.footer11;
		footer_12.innerText = translations.es.footer12;
		footer_13.innerText = translations.es.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.es.footer14;
		if (donate) {donate.innerText = translations.es.donate;}
		if (signup) {signup.innerText = translations.es.signup;}
		if (login) {login.innerText = translations.es.login;}
		if (request) {request.innerText = translations.es.request;}
		if (agree) {agree.innerText = translations.es.agree;}
		if (cashbook) {cashbook.innerText = translations.es.cashbook;}
		if (logout) {logout.innerText = translations.es.logout;}
		if (welcome) {welcome.innerText = translations.es.welcome;}
		signup.innerText = translations.es.signup;
		login.innerText = translations.es.login;
		text_1.innerText = translations.es.Ttext_1;
		text_2.innerText = translations.es.Ttext_2;
		text_3.innerText = translations.es.Ttext_3;
		text_4.innerText = translations.es.Ttext_4;
		text_5.innerText = translations.es.Ttext_5;
		text_6.innerText = translations.es.Ttext_6;
		text_7.innerText = translations.es.Ttext_7;
		text_8.innerText = translations.es.Ttext_8;
		text_9.innerText = translations.es.Ttext_9;
		text_12.innerText = translations.es.Ttext_12;
		text_13.innerText = translations.es.Ttext_13;
		text_14.innerText = translations.es.Ttext_14;
	}else if(language == "fp"){
		footer_00.innerText = translations.fp.footer00;
		footer_01.innerText = translations.fp.footer01;
		footer_02.innerText = translations.fp.footer02;
		footer_03.innerText = translations.fp.footer03;
		footer_04.innerText = translations.fp.footer04;
		footer_05.innerText = translations.fp.footer05;
		footer_06.innerText = translations.fp.footer06;
		footer_07.innerText = translations.fp.footer07;
		footer_08.innerText = translations.fp.footer08;
		footer_09.innerText = translations.fp.footer09;
		footer_10.innerText = translations.fp.footer10;
		footer_11.innerText = translations.fp.footer11;
		footer_12.innerText = translations.fp.footer12;
		footer_13.innerText = translations.fp.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.fp.footer14;
		if (donate) {donate.innerText = translations.fp.donate;}
		if (signup) {signup.innerText = translations.fp.signup;}
		if (login) {login.innerText = translations.fp.login;}
		if (request) {request.innerText = translations.fp.request;}
		if (agree) {agree.innerText = translations.fp.agree;}
		if (cashbook) {cashbook.innerText = translations.fp.cashbook;}
		if (logout) {logout.innerText = translations.fp.logout;}
		if (welcome) {welcome.innerText = translations.fp.welcome;}
		signup.innerText = translations.fp.signup;
		login.innerText = translations.fp.login;
		text_1.innerText = translations.fp.Ttext_1;
		text_2.innerText = translations.fp.Ttext_2;
		text_3.innerText = translations.fp.Ttext_3;
		text_4.innerText = translations.fp.Ttext_4;
		text_5.innerText = translations.fp.Ttext_5;
		text_6.innerText = translations.fp.Ttext_6;
		text_7.innerText = translations.fp.Ttext_7;
		text_8.innerText = translations.fp.Ttext_8;
		text_9.innerText = translations.fp.Ttext_9;
		text_12.innerText = translations.fp.Ttext_12;
		text_13.innerText = translations.fp.Ttext_13;
		text_14.innerText = translations.fp.Ttext_14;
	}else if(language == "fr"){
		footer_00.innerText = translations.fr.footer00;
		footer_01.innerText = translations.fr.footer01;
		footer_02.innerText = translations.fr.footer02;
		footer_03.innerText = translations.fr.footer03;
		footer_04.innerText = translations.fr.footer04;
		footer_05.innerText = translations.fr.footer05;
		footer_06.innerText = translations.fr.footer06;
		footer_07.innerText = translations.fr.footer07;
		footer_08.innerText = translations.fr.footer08;
		footer_09.innerText = translations.fr.footer09;
		footer_10.innerText = translations.fr.footer10;
		footer_11.innerText = translations.fr.footer11;
		footer_12.innerText = translations.fr.footer12;
		footer_13.innerText = translations.fr.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.fr.footer14;
		if (donate) {donate.innerText = translations.fr.donate;}
		if (signup) {signup.innerText = translations.fr.signup;}
		if (login) {login.innerText = translations.fr.login;}
		if (request) {request.innerText = translations.fr.request;}
		if (agree) {agree.innerText = translations.fr.agree;}
		if (cashbook) {cashbook.innerText = translations.fr.cashbook;}
		if (logout) {logout.innerText = translations.fr.logout;}
		if (welcome) {welcome.innerText = translations.fr.welcome;}
		signup.innerText = translations.fr.signup;
		login.innerText = translations.fr.login;
		text_1.innerText = translations.fr.Ttext_1;
		text_2.innerText = translations.fr.Ttext_2;
		text_3.innerText = translations.fr.Ttext_3;
		text_4.innerText = translations.fr.Ttext_4;
		text_5.innerText = translations.fr.Ttext_5;
		text_6.innerText = translations.fr.Ttext_6;
		text_7.innerText = translations.fr.Ttext_7;
		text_8.innerText = translations.fr.Ttext_8;
		text_9.innerText = translations.fr.Ttext_9;
		text_12.innerText = translations.fr.Ttext_12;
		text_13.innerText = translations.fr.Ttext_13;
		text_14.innerText = translations.fr.Ttext_14;
	}else if(language == "ir"){
		footer_00.innerText = translations.ir.footer00;
		footer_01.innerText = translations.ir.footer01;
		footer_02.innerText = translations.ir.footer02;
		footer_03.innerText = translations.ir.footer03;
		footer_04.innerText = translations.ir.footer04;
		footer_05.innerText = translations.ir.footer05;
		footer_06.innerText = translations.ir.footer06;
		footer_07.innerText = translations.ir.footer07;
		footer_08.innerText = translations.ir.footer08;
		footer_09.innerText = translations.ir.footer09;
		footer_10.innerText = translations.ir.footer10;
		footer_11.innerText = translations.ir.footer11;
		footer_12.innerText = translations.ir.footer12;
		footer_13.innerText = translations.ir.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ir.footer14;
		if (donate) {donate.innerText = translations.ir.donate;}
		if (signup) {signup.innerText = translations.ir.signup;}
		if (login) {login.innerText = translations.ir.login;}
		if (request) {request.innerText = translations.ir.request;}
		if (agree) {agree.innerText = translations.ir.agree;}
		if (cashbook) {cashbook.innerText = translations.ir.cashbook;}
		if (logout) {logout.innerText = translations.ir.logout;}
		if (welcome) {welcome.innerText = translations.ir.welcome;}
		signup.innerText = translations.ir.signup;
		login.innerText = translations.ir.login;
		text_1.innerText = translations.ir.Ttext_1;
		text_2.innerText = translations.ir.Ttext_2;
		text_3.innerText = translations.ir.Ttext_3;
		text_4.innerText = translations.ir.Ttext_4;
		text_5.innerText = translations.ir.Ttext_5;
		text_6.innerText = translations.ir.Ttext_6;
		text_7.innerText = translations.ir.Ttext_7;
		text_8.innerText = translations.ir.Ttext_8;
		text_9.innerText = translations.ir.Ttext_9;
		text_12.innerText = translations.ir.Ttext_12;
		text_13.innerText = translations.ir.Ttext_13;
		text_14.innerText = translations.ir.Ttext_14;
	}else if(language == "gr"){
		footer_00.innerText = translations.gr.footer00;
		footer_01.innerText = translations.gr.footer01;
		footer_02.innerText = translations.gr.footer02;
		footer_03.innerText = translations.gr.footer03;
		footer_04.innerText = translations.gr.footer04;
		footer_05.innerText = translations.gr.footer05;
		footer_06.innerText = translations.gr.footer06;
		footer_07.innerText = translations.gr.footer07;
		footer_08.innerText = translations.gr.footer08;
		footer_09.innerText = translations.gr.footer09;
		footer_10.innerText = translations.gr.footer10;
		footer_11.innerText = translations.gr.footer11;
		footer_12.innerText = translations.gr.footer12;
		footer_13.innerText = translations.gr.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.gr.footer14;
		if (donate) {donate.innerText = translations.gr.donate;}
		if (signup) {signup.innerText = translations.gr.signup;}
		if (login) {login.innerText = translations.gr.login;}
		if (request) {request.innerText = translations.gr.request;}
		if (agree) {agree.innerText = translations.gr.agree;}
		if (cashbook) {cashbook.innerText = translations.gr.cashbook;}
		if (logout) {logout.innerText = translations.gr.logout;}
		if (welcome) {welcome.innerText = translations.gr.welcome;}
		signup.innerText = translations.gr.signup;
		login.innerText = translations.gr.login;
		text_1.innerText = translations.gr.Ttext_1;
		text_2.innerText = translations.gr.Ttext_2;
		text_3.innerText = translations.gr.Ttext_3;
		text_4.innerText = translations.gr.Ttext_4;
		text_5.innerText = translations.gr.Ttext_5;
		text_6.innerText = translations.gr.Ttext_6;
		text_7.innerText = translations.gr.Ttext_7;
		text_8.innerText = translations.gr.Ttext_8;
		text_9.innerText = translations.gr.Ttext_9;
		text_12.innerText = translations.gr.Ttext_12;
		text_13.innerText = translations.gr.Ttext_13;
		text_14.innerText = translations.gr.Ttext_14;
	}else if(language == "ha"){
		footer_00.innerText = translations.ha.footer00;
		footer_01.innerText = translations.ha.footer01;
		footer_02.innerText = translations.ha.footer02;
		footer_03.innerText = translations.ha.footer03;
		footer_04.innerText = translations.ha.footer04;
		footer_05.innerText = translations.ha.footer05;
		footer_06.innerText = translations.ha.footer06;
		footer_07.innerText = translations.ha.footer07;
		footer_08.innerText = translations.ha.footer08;
		footer_09.innerText = translations.ha.footer09;
		footer_10.innerText = translations.ha.footer10;
		footer_11.innerText = translations.ha.footer11;
		footer_12.innerText = translations.ha.footer12;
		footer_13.innerText = translations.ha.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ha.footer14;
		if (donate) {donate.innerText = translations.ha.donate;}
		if (signup) {signup.innerText = translations.ha.signup;}
		if (login) {login.innerText = translations.ha.login;}
		if (request) {request.innerText = translations.ha.request;}
		if (agree) {agree.innerText = translations.ha.agree;}
		if (cashbook) {cashbook.innerText = translations.ha.cashbook;}
		if (logout) {logout.innerText = translations.ha.logout;}
		if (welcome) {welcome.innerText = translations.ha.welcome;}
		signup.innerText = translations.ha.signup;
		login.innerText = translations.ha.login;
		text_1.innerText = translations.ha.Ttext_1;
		text_2.innerText = translations.ha.Ttext_2;
		text_3.innerText = translations.ha.Ttext_3;
		text_4.innerText = translations.ha.Ttext_4;
		text_5.innerText = translations.ha.Ttext_5;
		text_6.innerText = translations.ha.Ttext_6;
		text_7.innerText = translations.ha.Ttext_7;
		text_8.innerText = translations.ha.Ttext_8;
		text_9.innerText = translations.ha.Ttext_9;
		text_12.innerText = translations.ha.Ttext_12;
		text_13.innerText = translations.ha.Ttext_13;
		text_14.innerText = translations.ha.Ttext_14;
	}else if(language == "he"){
		footer_00.innerText = translations.he.footer00;
		footer_01.innerText = translations.he.footer01;
		footer_02.innerText = translations.he.footer02;
		footer_03.innerText = translations.he.footer03;
		footer_04.innerText = translations.he.footer04;
		footer_05.innerText = translations.he.footer05;
		footer_06.innerText = translations.he.footer06;
		footer_07.innerText = translations.he.footer07;
		footer_08.innerText = translations.he.footer08;
		footer_09.innerText = translations.he.footer09;
		footer_10.innerText = translations.he.footer10;
		footer_11.innerText = translations.he.footer11;
		footer_12.innerText = translations.he.footer12;
		footer_13.innerText = translations.he.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.he.footer14;
		if (donate) {donate.innerText = translations.he.donate;}
		if (signup) {signup.innerText = translations.he.signup;}
		if (login) {login.innerText = translations.he.login;}
		if (request) {request.innerText = translations.he.request;}
		if (agree) {agree.innerText = translations.he.agree;}
		if (cashbook) {cashbook.innerText = translations.he.cashbook;}
		if (logout) {logout.innerText = translations.he.logout;}
		if (welcome) {welcome.innerText = translations.he.welcome;}
		signup.innerText = translations.he.signup;
		login.innerText = translations.he.login;
		text_1.innerText = translations.he.Ttext_1;
		text_2.innerText = translations.he.Ttext_2;
		text_3.innerText = translations.he.Ttext_3;
		text_4.innerText = translations.he.Ttext_4;
		text_5.innerText = translations.he.Ttext_5;
		text_6.innerText = translations.he.Ttext_6;
		text_7.innerText = translations.he.Ttext_7;
		text_8.innerText = translations.he.Ttext_8;
		text_9.innerText = translations.he.Ttext_9;
		text_12.innerText = translations.he.Ttext_12;
		text_13.innerText = translations.he.Ttext_13;
		text_14.innerText = translations.he.Ttext_14;
	}else if(language == "hi"){
		footer_00.innerText = translations.hi.footer00;
		footer_01.innerText = translations.hi.footer01;
		footer_02.innerText = translations.hi.footer02;
		footer_03.innerText = translations.hi.footer03;
		footer_04.innerText = translations.hi.footer04;
		footer_05.innerText = translations.hi.footer05;
		footer_06.innerText = translations.hi.footer06;
		footer_07.innerText = translations.hi.footer07;
		footer_08.innerText = translations.hi.footer08;
		footer_09.innerText = translations.hi.footer09;
		footer_10.innerText = translations.hi.footer10;
		footer_11.innerText = translations.hi.footer11;
		footer_12.innerText = translations.hi.footer12;
		footer_13.innerText = translations.hi.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.hi.footer14;
		if (donate) {donate.innerText = translations.hi.donate;}
		if (signup) {signup.innerText = translations.hi.signup;}
		if (login) {login.innerText = translations.hi.login;}
		if (request) {request.innerText = translations.hi.request;}
		if (agree) {agree.innerText = translations.hi.agree;}
		if (cashbook) {cashbook.innerText = translations.hi.cashbook;}
		if (logout) {logout.innerText = translations.hi.logout;}
		if (welcome) {welcome.innerText = translations.hi.welcome;}
		signup.innerText = translations.hi.signup;
		login.innerText = translations.hi.login;
		text_1.innerText = translations.hi.Ttext_1;
		text_2.innerText = translations.hi.Ttext_2;
		text_3.innerText = translations.hi.Ttext_3;
		text_4.innerText = translations.hi.Ttext_4;
		text_5.innerText = translations.hi.Ttext_5;
		text_6.innerText = translations.hi.Ttext_6;
		text_7.innerText = translations.hi.Ttext_7;
		text_8.innerText = translations.hi.Ttext_8;
		text_9.innerText = translations.hi.Ttext_9;
		text_12.innerText = translations.hi.Ttext_12;
		text_13.innerText = translations.hi.Ttext_13;
		text_14.innerText = translations.hi.Ttext_14;
	}else if(language == "cr"){
		footer_00.innerText = translations.cr.footer00;
		footer_01.innerText = translations.cr.footer01;
		footer_02.innerText = translations.cr.footer02;
		footer_03.innerText = translations.cr.footer03;
		footer_04.innerText = translations.cr.footer04;
		footer_05.innerText = translations.cr.footer05;
		footer_06.innerText = translations.cr.footer06;
		footer_07.innerText = translations.cr.footer07;
		footer_08.innerText = translations.cr.footer08;
		footer_09.innerText = translations.cr.footer09;
		footer_10.innerText = translations.cr.footer10;
		footer_11.innerText = translations.cr.footer11;
		footer_12.innerText = translations.cr.footer12;
		footer_13.innerText = translations.cr.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.cr.footer14;
		if (donate) {donate.innerText = translations.cr.donate;}
		if (signup) {signup.innerText = translations.cr.signup;}
		if (login) {login.innerText = translations.cr.login;}
		if (request) {request.innerText = translations.cr.request;}
		if (agree) {agree.innerText = translations.cr.agree;}
		if (cashbook) {cashbook.innerText = translations.cr.cashbook;}
		if (logout) {logout.innerText = translations.cr.logout;}
		if (welcome) {welcome.innerText = translations.cr.welcome;}
		signup.innerText = translations.cr.signup;
		login.innerText = translations.cr.login;
		text_1.innerText = translations.cr.Ttext_1;
		text_2.innerText = translations.cr.Ttext_2;
		text_3.innerText = translations.cr.Ttext_3;
		text_4.innerText = translations.cr.Ttext_4;
		text_5.innerText = translations.cr.Ttext_5;
		text_6.innerText = translations.cr.Ttext_6;
		text_7.innerText = translations.cr.Ttext_7;
		text_8.innerText = translations.cr.Ttext_8;
		text_9.innerText = translations.cr.Ttext_9;
		text_12.innerText = translations.cr.Ttext_12;
		text_13.innerText = translations.cr.Ttext_13;
		text_14.innerText = translations.cr.Ttext_14;
	}else if(language == "ig"){
		footer_00.innerText = translations.ig.footer00;
		footer_01.innerText = translations.ig.footer01;
		footer_02.innerText = translations.ig.footer02;
		footer_03.innerText = translations.ig.footer03;
		footer_04.innerText = translations.ig.footer04;
		footer_05.innerText = translations.ig.footer05;
		footer_06.innerText = translations.ig.footer06;
		footer_07.innerText = translations.ig.footer07;
		footer_08.innerText = translations.ig.footer08;
		footer_09.innerText = translations.ig.footer09;
		footer_10.innerText = translations.ig.footer10;
		footer_11.innerText = translations.ig.footer11;
		footer_12.innerText = translations.ig.footer12;
		footer_13.innerText = translations.ig.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ig.footer14;
		if (donate) {donate.innerText = translations.ig.donate;}
		if (signup) {signup.innerText = translations.ig.signup;}
		if (login) {login.innerText = translations.ig.login;}
		if (request) {request.innerText = translations.ig.request;}
		if (agree) {agree.innerText = translations.ig.agree;}
		if (cashbook) {cashbook.innerText = translations.ig.cashbook;}
		if (logout) {logout.innerText = translations.ig.logout;}
		if (welcome) {welcome.innerText = translations.ig.welcome;}
		signup.innerText = translations.ig.signup;
		login.innerText = translations.ig.login;
		text_1.innerText = translations.ig.Ttext_1;
		text_2.innerText = translations.ig.Ttext_2;
		text_3.innerText = translations.ig.Ttext_3;
		text_4.innerText = translations.ig.Ttext_4;
		text_5.innerText = translations.ig.Ttext_5;
		text_6.innerText = translations.ig.Ttext_6;
		text_7.innerText = translations.ig.Ttext_7;
		text_8.innerText = translations.ig.Ttext_8;
		text_9.innerText = translations.ig.Ttext_9;
		text_12.innerText = translations.ig.Ttext_12;
		text_13.innerText = translations.ig.Ttext_13;
		text_14.innerText = translations.ig.Ttext_14;
	}else if(language == "in"){
		footer_00.innerText = translations.in.footer00;
		footer_01.innerText = translations.in.footer01;
		footer_02.innerText = translations.in.footer02;
		footer_03.innerText = translations.in.footer03;
		footer_04.innerText = translations.in.footer04;
		footer_05.innerText = translations.in.footer05;
		footer_06.innerText = translations.in.footer06;
		footer_07.innerText = translations.in.footer07;
		footer_08.innerText = translations.in.footer08;
		footer_09.innerText = translations.in.footer09;
		footer_10.innerText = translations.in.footer10;
		footer_11.innerText = translations.in.footer11;
		footer_12.innerText = translations.in.footer12;
		footer_13.innerText = translations.in.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.in.footer14;
		if (donate) {donate.innerText = translations.in.donate;}
		if (signup) {signup.innerText = translations.in.signup;}
		if (login) {login.innerText = translations.in.login;}
		if (request) {request.innerText = translations.in.request;}
		if (agree) {agree.innerText = translations.in.agree;}
		if (cashbook) {cashbook.innerText = translations.in.cashbook;}
		if (logout) {logout.innerText = translations.in.logout;}
		if (welcome) {welcome.innerText = translations.in.welcome;}
		signup.innerText = translations.in.signup;
		login.innerText = translations.in.login;
		text_1.innerText = translations.in.Ttext_1;
		text_2.innerText = translations.in.Ttext_2;
		text_3.innerText = translations.in.Ttext_3;
		text_4.innerText = translations.in.Ttext_4;
		text_5.innerText = translations.in.Ttext_5;
		text_6.innerText = translations.in.Ttext_6;
		text_7.innerText = translations.in.Ttext_7;
		text_8.innerText = translations.in.Ttext_8;
		text_9.innerText = translations.in.Ttext_9;
		text_12.innerText = translations.in.Ttext_12;
		text_13.innerText = translations.in.Ttext_13;
		text_14.innerText = translations.in.Ttext_14;
	}else if(language == "ic"){
		footer_00.innerText = translations.ic.footer00;
		footer_01.innerText = translations.ic.footer01;
		footer_02.innerText = translations.ic.footer02;
		footer_03.innerText = translations.ic.footer03;
		footer_04.innerText = translations.ic.footer04;
		footer_05.innerText = translations.ic.footer05;
		footer_06.innerText = translations.ic.footer06;
		footer_07.innerText = translations.ic.footer07;
		footer_08.innerText = translations.ic.footer08;
		footer_09.innerText = translations.ic.footer09;
		footer_10.innerText = translations.ic.footer10;
		footer_11.innerText = translations.ic.footer11;
		footer_12.innerText = translations.ic.footer12;
		footer_13.innerText = translations.ic.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ic.footer14;
		if (donate) {donate.innerText = translations.ic.donate;}
		if (signup) {signup.innerText = translations.ic.signup;}
		if (login) {login.innerText = translations.ic.login;}
		if (request) {request.innerText = translations.ic.request;}
		if (agree) {agree.innerText = translations.ic.agree;}
		if (cashbook) {cashbook.innerText = translations.ic.cashbook;}
		if (logout) {logout.innerText = translations.ic.logout;}
		if (welcome) {welcome.innerText = translations.ic.welcome;}
		signup.innerText = translations.ic.signup;
		login.innerText = translations.ic.login;
		text_1.innerText = translations.ic.Ttext_1;
		text_2.innerText = translations.ic.Ttext_2;
		text_3.innerText = translations.ic.Ttext_3;
		text_4.innerText = translations.ic.Ttext_4;
		text_5.innerText = translations.ic.Ttext_5;
		text_6.innerText = translations.ic.Ttext_6;
		text_7.innerText = translations.ic.Ttext_7;
		text_8.innerText = translations.ic.Ttext_8;
		text_9.innerText = translations.ic.Ttext_9;
		text_12.innerText = translations.ic.Ttext_12;
		text_13.innerText = translations.ic.Ttext_13;
		text_14.innerText = translations.ic.Ttext_14;
	}else if(language == "it"){
		footer_00.innerText = translations.it.footer00;
		footer_01.innerText = translations.it.footer01;
		footer_02.innerText = translations.it.footer02;
		footer_03.innerText = translations.it.footer03;
		footer_04.innerText = translations.it.footer04;
		footer_05.innerText = translations.it.footer05;
		footer_06.innerText = translations.it.footer06;
		footer_07.innerText = translations.it.footer07;
		footer_08.innerText = translations.it.footer08;
		footer_09.innerText = translations.it.footer09;
		footer_10.innerText = translations.it.footer10;
		footer_11.innerText = translations.it.footer11;
		footer_12.innerText = translations.it.footer12;
		footer_13.innerText = translations.it.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.it.footer14;
		if (donate) {donate.innerText = translations.it.donate;}
		if (signup) {signup.innerText = translations.it.signup;}
		if (login) {login.innerText = translations.it.login;}
		if (request) {request.innerText = translations.it.request;}
		if (agree) {agree.innerText = translations.it.agree;}
		if (cashbook) {cashbook.innerText = translations.it.cashbook;}
		if (logout) {logout.innerText = translations.it.logout;}
		if (welcome) {welcome.innerText = translations.it.welcome;}
		signup.innerText = translations.it.signup;
		login.innerText = translations.it.login;
		text_1.innerText = translations.it.Ttext_1;
		text_2.innerText = translations.it.Ttext_2;
		text_3.innerText = translations.it.Ttext_3;
		text_4.innerText = translations.it.Ttext_4;
		text_5.innerText = translations.it.Ttext_5;
		text_6.innerText = translations.it.Ttext_6;
		text_7.innerText = translations.it.Ttext_7;
		text_8.innerText = translations.it.Ttext_8;
		text_9.innerText = translations.it.Ttext_9;
		text_12.innerText = translations.it.Ttext_12;
		text_13.innerText = translations.it.Ttext_13;
		text_14.innerText = translations.it.Ttext_14;
	}else if(language == "ja"){
		footer_00.innerText = translations.ja.footer00;
		footer_01.innerText = translations.ja.footer01;
		footer_02.innerText = translations.ja.footer02;
		footer_03.innerText = translations.ja.footer03;
		footer_04.innerText = translations.ja.footer04;
		footer_05.innerText = translations.ja.footer05;
		footer_06.innerText = translations.ja.footer06;
		footer_07.innerText = translations.ja.footer07;
		footer_08.innerText = translations.ja.footer08;
		footer_09.innerText = translations.ja.footer09;
		footer_10.innerText = translations.ja.footer10;
		footer_11.innerText = translations.ja.footer11;
		footer_12.innerText = translations.ja.footer12;
		footer_13.innerText = translations.ja.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ja.footer14;
		if (donate) {donate.innerText = translations.ja.donate;}
		if (signup) {signup.innerText = translations.ja.signup;}
		if (login) {login.innerText = translations.ja.login;}
		if (request) {request.innerText = translations.ja.request;}
		if (agree) {agree.innerText = translations.ja.agree;}
		if (cashbook) {cashbook.innerText = translations.ja.cashbook;}
		if (logout) {logout.innerText = translations.ja.logout;}
		if (welcome) {welcome.innerText = translations.ja.welcome;}
		signup.innerText = translations.ja.signup;
		login.innerText = translations.ja.login;
		text_1.innerText = translations.ja.Ttext_1;
		text_2.innerText = translations.ja.Ttext_2;
		text_3.innerText = translations.ja.Ttext_3;
		text_4.innerText = translations.ja.Ttext_4;
		text_5.innerText = translations.ja.Ttext_5;
		text_6.innerText = translations.ja.Ttext_6;
		text_7.innerText = translations.ja.Ttext_7;
		text_8.innerText = translations.ja.Ttext_8;
		text_9.innerText = translations.ja.Ttext_9;
		text_12.innerText = translations.ja.Ttext_12;
		text_13.innerText = translations.ja.Ttext_13;
		text_14.innerText = translations.ja.Ttext_14;
	}else if(language == "ka"){
		footer_00.innerText = translations.ka.footer00;
		footer_01.innerText = translations.ka.footer01;
		footer_02.innerText = translations.ka.footer02;
		footer_03.innerText = translations.ka.footer03;
		footer_04.innerText = translations.ka.footer04;
		footer_05.innerText = translations.ka.footer05;
		footer_06.innerText = translations.ka.footer06;
		footer_07.innerText = translations.ka.footer07;
		footer_08.innerText = translations.ka.footer08;
		footer_09.innerText = translations.ka.footer09;
		footer_10.innerText = translations.ka.footer10;
		footer_11.innerText = translations.ka.footer11;
		footer_12.innerText = translations.ka.footer12;
		footer_13.innerText = translations.ka.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ka.footer14;
		if (donate) {donate.innerText = translations.ka.donate;}
		if (signup) {signup.innerText = translations.ka.signup;}
		if (login) {login.innerText = translations.ka.login;}
		if (request) {request.innerText = translations.ka.request;}
		if (agree) {agree.innerText = translations.ka.agree;}
		if (cashbook) {cashbook.innerText = translations.ka.cashbook;}
		if (logout) {logout.innerText = translations.ka.logout;}
		if (welcome) {welcome.innerText = translations.ka.welcome;}
		signup.innerText = translations.ka.signup;
		login.innerText = translations.ka.login;
		text_1.innerText = translations.ka.Ttext_1;
		text_2.innerText = translations.ka.Ttext_2;
		text_3.innerText = translations.ka.Ttext_3;
		text_4.innerText = translations.ka.Ttext_4;
		text_5.innerText = translations.ka.Ttext_5;
		text_6.innerText = translations.ka.Ttext_6;
		text_7.innerText = translations.ka.Ttext_7;
		text_8.innerText = translations.ka.Ttext_8;
		text_9.innerText = translations.ka.Ttext_9;
		text_12.innerText = translations.ka.Ttext_12;
		text_13.innerText = translations.ka.Ttext_13;
		text_14.innerText = translations.ka.Ttext_14;
	}else if(language == "kh"){
		footer_00.innerText = translations.kh.footer00;
		footer_01.innerText = translations.kh.footer01;
		footer_02.innerText = translations.kh.footer02;
		footer_03.innerText = translations.kh.footer03;
		footer_04.innerText = translations.kh.footer04;
		footer_05.innerText = translations.kh.footer05;
		footer_06.innerText = translations.kh.footer06;
		footer_07.innerText = translations.kh.footer07;
		footer_08.innerText = translations.kh.footer08;
		footer_09.innerText = translations.kh.footer09;
		footer_10.innerText = translations.kh.footer10;
		footer_11.innerText = translations.kh.footer11;
		footer_12.innerText = translations.kh.footer12;
		footer_13.innerText = translations.kh.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.kh.footer14;
		if (donate) {donate.innerText = translations.kh.donate;}
		if (signup) {signup.innerText = translations.kh.signup;}
		if (login) {login.innerText = translations.kh.login;}
		if (request) {request.innerText = translations.kh.request;}
		if (agree) {agree.innerText = translations.kh.agree;}
		if (cashbook) {cashbook.innerText = translations.kh.cashbook;}
		if (logout) {logout.innerText = translations.kh.logout;}
		if (welcome) {welcome.innerText = translations.kh.welcome;}
		signup.innerText = translations.kh.signup;
		login.innerText = translations.kh.login;
		text_1.innerText = translations.kh.Ttext_1;
		text_2.innerText = translations.kh.Ttext_2;
		text_3.innerText = translations.kh.Ttext_3;
		text_4.innerText = translations.kh.Ttext_4;
		text_5.innerText = translations.kh.Ttext_5;
		text_6.innerText = translations.kh.Ttext_6;
		text_7.innerText = translations.kh.Ttext_7;
		text_8.innerText = translations.kh.Ttext_8;
		text_9.innerText = translations.kh.Ttext_9;
		text_12.innerText = translations.kh.Ttext_12;
		text_13.innerText = translations.kh.Ttext_13;
		text_14.innerText = translations.kh.Ttext_14;
	}else if(language == "ki"){
		footer_00.innerText = translations.ki.footer00;
		footer_01.innerText = translations.ki.footer01;
		footer_02.innerText = translations.ki.footer02;
		footer_03.innerText = translations.ki.footer03;
		footer_04.innerText = translations.ki.footer04;
		footer_05.innerText = translations.ki.footer05;
		footer_06.innerText = translations.ki.footer06;
		footer_07.innerText = translations.ki.footer07;
		footer_08.innerText = translations.ki.footer08;
		footer_09.innerText = translations.ki.footer09;
		footer_10.innerText = translations.ki.footer10;
		footer_11.innerText = translations.ki.footer11;
		footer_12.innerText = translations.ki.footer12;
		footer_13.innerText = translations.ki.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ki.footer14;
		if (donate) {donate.innerText = translations.ki.donate;}
		if (signup) {signup.innerText = translations.ki.signup;}
		if (login) {login.innerText = translations.ki.login;}
		if (request) {request.innerText = translations.ki.request;}
		if (agree) {agree.innerText = translations.ki.agree;}
		if (cashbook) {cashbook.innerText = translations.ki.cashbook;}
		if (logout) {logout.innerText = translations.ki.logout;}
		if (welcome) {welcome.innerText = translations.ki.welcome;}
		signup.innerText = translations.ki.signup;
		login.innerText = translations.ki.login;
		text_1.innerText = translations.ki.Ttext_1;
		text_2.innerText = translations.ki.Ttext_2;
		text_3.innerText = translations.ki.Ttext_3;
		text_4.innerText = translations.ki.Ttext_4;
		text_5.innerText = translations.ki.Ttext_5;
		text_6.innerText = translations.ki.Ttext_6;
		text_7.innerText = translations.ki.Ttext_7;
		text_8.innerText = translations.ki.Ttext_8;
		text_9.innerText = translations.ki.Ttext_9;
		text_12.innerText = translations.ki.Ttext_12;
		text_13.innerText = translations.ki.Ttext_13;
		text_14.innerText = translations.ki.Ttext_14;
	}else if(language == "sh"){
		footer_00.innerText = translations.sh.footer00;
		footer_01.innerText = translations.sh.footer01;
		footer_02.innerText = translations.sh.footer02;
		footer_03.innerText = translations.sh.footer03;
		footer_04.innerText = translations.sh.footer04;
		footer_05.innerText = translations.sh.footer05;
		footer_06.innerText = translations.sh.footer06;
		footer_07.innerText = translations.sh.footer07;
		footer_08.innerText = translations.sh.footer08;
		footer_09.innerText = translations.sh.footer09;
		footer_10.innerText = translations.sh.footer10;
		footer_11.innerText = translations.sh.footer11;
		footer_12.innerText = translations.sh.footer12;
		footer_13.innerText = translations.sh.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.sh.footer14;
		if (donate) {donate.innerText = translations.sh.donate;}
		if (signup) {signup.innerText = translations.sh.signup;}
		if (login) {login.innerText = translations.sh.login;}
		if (request) {request.innerText = translations.sh.request;}
		if (agree) {agree.innerText = translations.sh.agree;}
		if (cashbook) {cashbook.innerText = translations.sh.cashbook;}
		if (logout) {logout.innerText = translations.sh.logout;}
		if (welcome) {welcome.innerText = translations.sh.welcome;}
		signup.innerText = translations.sh.signup;
		login.innerText = translations.sh.login;
		text_1.innerText = translations.sh.Ttext_1;
		text_2.innerText = translations.sh.Ttext_2;
		text_3.innerText = translations.sh.Ttext_3;
		text_4.innerText = translations.sh.Ttext_4;
		text_5.innerText = translations.sh.Ttext_5;
		text_6.innerText = translations.sh.Ttext_6;
		text_7.innerText = translations.sh.Ttext_7;
		text_8.innerText = translations.sh.Ttext_8;
		text_9.innerText = translations.sh.Ttext_9;
		text_12.innerText = translations.sh.Ttext_12;
		text_13.innerText = translations.sh.Ttext_13;
		text_14.innerText = translations.sh.Ttext_14;
	}else if(language == "co"){
		footer_00.innerText = translations.co.footer00;
		footer_01.innerText = translations.co.footer01;
		footer_02.innerText = translations.co.footer02;
		footer_03.innerText = translations.co.footer03;
		footer_04.innerText = translations.co.footer04;
		footer_05.innerText = translations.co.footer05;
		footer_06.innerText = translations.co.footer06;
		footer_07.innerText = translations.co.footer07;
		footer_08.innerText = translations.co.footer08;
		footer_09.innerText = translations.co.footer09;
		footer_10.innerText = translations.co.footer10;
		footer_11.innerText = translations.co.footer11;
		footer_12.innerText = translations.co.footer12;
		footer_13.innerText = translations.co.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.co.footer14;
		if (donate) {donate.innerText = translations.co.donate;}
		if (signup) {signup.innerText = translations.co.signup;}
		if (login) {login.innerText = translations.co.login;}
		if (request) {request.innerText = translations.co.request;}
		if (agree) {agree.innerText = translations.co.agree;}
		if (cashbook) {cashbook.innerText = translations.co.cashbook;}
		if (logout) {logout.innerText = translations.co.logout;}
		if (welcome) {welcome.innerText = translations.co.welcome;}
		signup.innerText = translations.co.signup;
		login.innerText = translations.co.login;
		text_1.innerText = translations.co.Ttext_1;
		text_2.innerText = translations.co.Ttext_2;
		text_3.innerText = translations.co.Ttext_3;
		text_4.innerText = translations.co.Ttext_4;
		text_5.innerText = translations.co.Ttext_5;
		text_6.innerText = translations.co.Ttext_6;
		text_7.innerText = translations.co.Ttext_7;
		text_8.innerText = translations.co.Ttext_8;
		text_9.innerText = translations.co.Ttext_9;
		text_12.innerText = translations.co.Ttext_12;
		text_13.innerText = translations.co.Ttext_13;
		text_14.innerText = translations.co.Ttext_14;
	}else if(language == "ko"){
		footer_00.innerText = translations.ko.footer00;
		footer_01.innerText = translations.ko.footer01;
		footer_02.innerText = translations.ko.footer02;
		footer_03.innerText = translations.ko.footer03;
		footer_04.innerText = translations.ko.footer04;
		footer_05.innerText = translations.ko.footer05;
		footer_06.innerText = translations.ko.footer06;
		footer_07.innerText = translations.ko.footer07;
		footer_08.innerText = translations.ko.footer08;
		footer_09.innerText = translations.ko.footer09;
		footer_10.innerText = translations.ko.footer10;
		footer_11.innerText = translations.ko.footer11;
		footer_12.innerText = translations.ko.footer12;
		footer_13.innerText = translations.ko.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ko.footer14;
		if (donate) {donate.innerText = translations.ko.donate;}
		if (signup) {signup.innerText = translations.ko.signup;}
		if (login) {login.innerText = translations.ko.login;}
		if (request) {request.innerText = translations.ko.request;}
		if (agree) {agree.innerText = translations.ko.agree;}
		if (cashbook) {cashbook.innerText = translations.ko.cashbook;}
		if (logout) {logout.innerText = translations.ko.logout;}
		if (welcome) {welcome.innerText = translations.ko.welcome;}
		signup.innerText = translations.ko.signup;
		login.innerText = translations.ko.login;
		text_1.innerText = translations.ko.Ttext_1;
		text_2.innerText = translations.ko.Ttext_2;
		text_3.innerText = translations.ko.Ttext_3;
		text_4.innerText = translations.ko.Ttext_4;
		text_5.innerText = translations.ko.Ttext_5;
		text_6.innerText = translations.ko.Ttext_6;
		text_7.innerText = translations.ko.Ttext_7;
		text_8.innerText = translations.ko.Ttext_8;
		text_9.innerText = translations.ko.Ttext_9;
		text_12.innerText = translations.ko.Ttext_12;
		text_13.innerText = translations.ko.Ttext_13;
		text_14.innerText = translations.ko.Ttext_14;
	}else if(language == "kg"){
		footer_00.innerText = translations.kg.footer00;
		footer_01.innerText = translations.kg.footer01;
		footer_02.innerText = translations.kg.footer02;
		footer_03.innerText = translations.kg.footer03;
		footer_04.innerText = translations.kg.footer04;
		footer_05.innerText = translations.kg.footer05;
		footer_06.innerText = translations.kg.footer06;
		footer_07.innerText = translations.kg.footer07;
		footer_08.innerText = translations.kg.footer08;
		footer_09.innerText = translations.kg.footer09;
		footer_10.innerText = translations.kg.footer10;
		footer_11.innerText = translations.kg.footer11;
		footer_12.innerText = translations.kg.footer12;
		footer_13.innerText = translations.kg.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.kg.footer14;
		if (donate) {donate.innerText = translations.kg.donate;}
		if (signup) {signup.innerText = translations.kg.signup;}
		if (login) {login.innerText = translations.kg.login;}
		if (request) {request.innerText = translations.kg.request;}
		if (agree) {agree.innerText = translations.kg.agree;}
		if (cashbook) {cashbook.innerText = translations.kg.cashbook;}
		if (logout) {logout.innerText = translations.kg.logout;}
		if (welcome) {welcome.innerText = translations.kg.welcome;}
		signup.innerText = translations.kg.signup;
		login.innerText = translations.kg.login;
		text_1.innerText = translations.kg.Ttext_1;
		text_2.innerText = translations.kg.Ttext_2;
		text_3.innerText = translations.kg.Ttext_3;
		text_4.innerText = translations.kg.Ttext_4;
		text_5.innerText = translations.kg.Ttext_5;
		text_6.innerText = translations.kg.Ttext_6;
		text_7.innerText = translations.kg.Ttext_7;
		text_8.innerText = translations.kg.Ttext_8;
		text_9.innerText = translations.kg.Ttext_9;
		text_12.innerText = translations.kg.Ttext_12;
		text_13.innerText = translations.kg.Ttext_13;
		text_14.innerText = translations.kg.Ttext_14;
	}else if(language == "la"){
		footer_00.innerText = translations.la.footer00;
		footer_01.innerText = translations.la.footer01;
		footer_02.innerText = translations.la.footer02;
		footer_03.innerText = translations.la.footer03;
		footer_04.innerText = translations.la.footer04;
		footer_05.innerText = translations.la.footer05;
		footer_06.innerText = translations.la.footer06;
		footer_07.innerText = translations.la.footer07;
		footer_08.innerText = translations.la.footer08;
		footer_09.innerText = translations.la.footer09;
		footer_10.innerText = translations.la.footer10;
		footer_11.innerText = translations.la.footer11;
		footer_12.innerText = translations.la.footer12;
		footer_13.innerText = translations.la.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.la.footer14;
		if (donate) {donate.innerText = translations.la.donate;}
		if (signup) {signup.innerText = translations.la.signup;}
		if (login) {login.innerText = translations.la.login;}
		if (request) {request.innerText = translations.la.request;}
		if (agree) {agree.innerText = translations.la.agree;}
		if (cashbook) {cashbook.innerText = translations.la.cashbook;}
		if (logout) {logout.innerText = translations.la.logout;}
		if (welcome) {welcome.innerText = translations.la.welcome;}
		signup.innerText = translations.la.signup;
		login.innerText = translations.la.login;
		text_1.innerText = translations.la.Ttext_1;
		text_2.innerText = translations.la.Ttext_2;
		text_3.innerText = translations.la.Ttext_3;
		text_4.innerText = translations.la.Ttext_4;
		text_5.innerText = translations.la.Ttext_5;
		text_6.innerText = translations.la.Ttext_6;
		text_7.innerText = translations.la.Ttext_7;
		text_8.innerText = translations.la.Ttext_8;
		text_9.innerText = translations.la.Ttext_9;
		text_12.innerText = translations.la.Ttext_12;
		text_13.innerText = translations.la.Ttext_13;
		text_14.innerText = translations.la.Ttext_14;
	}else if(language == "lv"){
		footer_00.innerText = translations.lv.footer00;
		footer_01.innerText = translations.lv.footer01;
		footer_02.innerText = translations.lv.footer02;
		footer_03.innerText = translations.lv.footer03;
		footer_04.innerText = translations.lv.footer04;
		footer_05.innerText = translations.lv.footer05;
		footer_06.innerText = translations.lv.footer06;
		footer_07.innerText = translations.lv.footer07;
		footer_08.innerText = translations.lv.footer08;
		footer_09.innerText = translations.lv.footer09;
		footer_10.innerText = translations.lv.footer10;
		footer_11.innerText = translations.lv.footer11;
		footer_12.innerText = translations.lv.footer12;
		footer_13.innerText = translations.lv.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.lv.footer14;
		if (donate) {donate.innerText = translations.lv.donate;}
		if (signup) {signup.innerText = translations.lv.signup;}
		if (login) {login.innerText = translations.lv.login;}
		if (request) {request.innerText = translations.lv.request;}
		if (agree) {agree.innerText = translations.lv.agree;}
		if (cashbook) {cashbook.innerText = translations.lv.cashbook;}
		if (logout) {logout.innerText = translations.lv.logout;}
		if (welcome) {welcome.innerText = translations.lv.welcome;}
		signup.innerText = translations.lv.signup;
		login.innerText = translations.lv.login;
		text_1.innerText = translations.lv.Ttext_1;
		text_2.innerText = translations.lv.Ttext_2;
		text_3.innerText = translations.lv.Ttext_3;
		text_4.innerText = translations.lv.Ttext_4;
		text_5.innerText = translations.lv.Ttext_5;
		text_6.innerText = translations.lv.Ttext_6;
		text_7.innerText = translations.lv.Ttext_7;
		text_8.innerText = translations.lv.Ttext_8;
		text_9.innerText = translations.lv.Ttext_9;
		text_12.innerText = translations.lv.Ttext_12;
		text_13.innerText = translations.lv.Ttext_13;
		text_14.innerText = translations.lv.Ttext_14;
	}else if(language == "lt"){
		footer_00.innerText = translations.lt.footer00;
		footer_01.innerText = translations.lt.footer01;
		footer_02.innerText = translations.lt.footer02;
		footer_03.innerText = translations.lt.footer03;
		footer_04.innerText = translations.lt.footer04;
		footer_05.innerText = translations.lt.footer05;
		footer_06.innerText = translations.lt.footer06;
		footer_07.innerText = translations.lt.footer07;
		footer_08.innerText = translations.lt.footer08;
		footer_09.innerText = translations.lt.footer09;
		footer_10.innerText = translations.lt.footer10;
		footer_11.innerText = translations.lt.footer11;
		footer_12.innerText = translations.lt.footer12;
		footer_13.innerText = translations.lt.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.lt.footer14;
		if (donate) {donate.innerText = translations.lt.donate;}
		if (signup) {signup.innerText = translations.lt.signup;}
		if (login) {login.innerText = translations.lt.login;}
		if (request) {request.innerText = translations.lt.request;}
		if (agree) {agree.innerText = translations.lt.agree;}
		if (cashbook) {cashbook.innerText = translations.lt.cashbook;}
		if (logout) {logout.innerText = translations.lt.logout;}
		if (welcome) {welcome.innerText = translations.lt.welcome;}
		signup.innerText = translations.lt.signup;
		login.innerText = translations.lt.login;
		text_1.innerText = translations.lt.Ttext_1;
		text_2.innerText = translations.lt.Ttext_2;
		text_3.innerText = translations.lt.Ttext_3;
		text_4.innerText = translations.lt.Ttext_4;
		text_5.innerText = translations.lt.Ttext_5;
		text_6.innerText = translations.lt.Ttext_6;
		text_7.innerText = translations.lt.Ttext_7;
		text_8.innerText = translations.lt.Ttext_8;
		text_9.innerText = translations.lt.Ttext_9;
		text_12.innerText = translations.lt.Ttext_12;
		text_13.innerText = translations.lt.Ttext_13;
		text_14.innerText = translations.lt.Ttext_14;
	}else if(language == "hu"){
		footer_00.innerText = translations.hu.footer00;
		footer_01.innerText = translations.hu.footer01;
		footer_02.innerText = translations.hu.footer02;
		footer_03.innerText = translations.hu.footer03;
		footer_04.innerText = translations.hu.footer04;
		footer_05.innerText = translations.hu.footer05;
		footer_06.innerText = translations.hu.footer06;
		footer_07.innerText = translations.hu.footer07;
		footer_08.innerText = translations.hu.footer08;
		footer_09.innerText = translations.hu.footer09;
		footer_10.innerText = translations.hu.footer10;
		footer_11.innerText = translations.hu.footer11;
		footer_12.innerText = translations.hu.footer12;
		footer_13.innerText = translations.hu.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.hu.footer14;
		if (donate) {donate.innerText = translations.hu.donate;}
		if (signup) {signup.innerText = translations.hu.signup;}
		if (login) {login.innerText = translations.hu.login;}
		if (request) {request.innerText = translations.hu.request;}
		if (agree) {agree.innerText = translations.hu.agree;}
		if (cashbook) {cashbook.innerText = translations.hu.cashbook;}
		if (logout) {logout.innerText = translations.hu.logout;}
		if (welcome) {welcome.innerText = translations.hu.welcome;}
		signup.innerText = translations.hu.signup;
		login.innerText = translations.hu.login;
		text_1.innerText = translations.hu.Ttext_1;
		text_2.innerText = translations.hu.Ttext_2;
		text_3.innerText = translations.hu.Ttext_3;
		text_4.innerText = translations.hu.Ttext_4;
		text_5.innerText = translations.hu.Ttext_5;
		text_6.innerText = translations.hu.Ttext_6;
		text_7.innerText = translations.hu.Ttext_7;
		text_8.innerText = translations.hu.Ttext_8;
		text_9.innerText = translations.hu.Ttext_9;
		text_12.innerText = translations.hu.Ttext_12;
		text_13.innerText = translations.hu.Ttext_13;
		text_14.innerText = translations.hu.Ttext_14;
	}else if(language == "mg"){
		footer_00.innerText = translations.mg.footer00;
		footer_01.innerText = translations.mg.footer01;
		footer_02.innerText = translations.mg.footer02;
		footer_03.innerText = translations.mg.footer03;
		footer_04.innerText = translations.mg.footer04;
		footer_05.innerText = translations.mg.footer05;
		footer_06.innerText = translations.mg.footer06;
		footer_07.innerText = translations.mg.footer07;
		footer_08.innerText = translations.mg.footer08;
		footer_09.innerText = translations.mg.footer09;
		footer_10.innerText = translations.mg.footer10;
		footer_11.innerText = translations.mg.footer11;
		footer_12.innerText = translations.mg.footer12;
		footer_13.innerText = translations.mg.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.mg.footer14;
		if (donate) {donate.innerText = translations.mg.donate;}
		if (signup) {signup.innerText = translations.mg.signup;}
		if (login) {login.innerText = translations.mg.login;}
		if (request) {request.innerText = translations.mg.request;}
		if (agree) {agree.innerText = translations.mg.agree;}
		if (cashbook) {cashbook.innerText = translations.mg.cashbook;}
		if (logout) {logout.innerText = translations.mg.logout;}
		if (welcome) {welcome.innerText = translations.mg.welcome;}
		signup.innerText = translations.mg.signup;
		login.innerText = translations.mg.login;
		text_1.innerText = translations.mg.Ttext_1;
		text_2.innerText = translations.mg.Ttext_2;
		text_3.innerText = translations.mg.Ttext_3;
		text_4.innerText = translations.mg.Ttext_4;
		text_5.innerText = translations.mg.Ttext_5;
		text_6.innerText = translations.mg.Ttext_6;
		text_7.innerText = translations.mg.Ttext_7;
		text_8.innerText = translations.mg.Ttext_8;
		text_9.innerText = translations.mg.Ttext_9;
		text_12.innerText = translations.mg.Ttext_12;
		text_13.innerText = translations.mg.Ttext_13;
		text_14.innerText = translations.mg.Ttext_14;
	}else if(language == "ma"){
		footer_00.innerText = translations.ma.footer00;
		footer_01.innerText = translations.ma.footer01;
		footer_02.innerText = translations.ma.footer02;
		footer_03.innerText = translations.ma.footer03;
		footer_04.innerText = translations.ma.footer04;
		footer_05.innerText = translations.ma.footer05;
		footer_06.innerText = translations.ma.footer06;
		footer_07.innerText = translations.ma.footer07;
		footer_08.innerText = translations.ma.footer08;
		footer_09.innerText = translations.ma.footer09;
		footer_10.innerText = translations.ma.footer10;
		footer_11.innerText = translations.ma.footer11;
		footer_12.innerText = translations.ma.footer12;
		footer_13.innerText = translations.ma.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ma.footer14;
		if (donate) {donate.innerText = translations.ma.donate;}
		if (signup) {signup.innerText = translations.ma.signup;}
		if (login) {login.innerText = translations.ma.login;}
		if (request) {request.innerText = translations.ma.request;}
		if (agree) {agree.innerText = translations.ma.agree;}
		if (cashbook) {cashbook.innerText = translations.ma.cashbook;}
		if (logout) {logout.innerText = translations.ma.logout;}
		if (welcome) {welcome.innerText = translations.ma.welcome;}
		signup.innerText = translations.ma.signup;
		login.innerText = translations.ma.login;
		text_1.innerText = translations.ma.Ttext_1;
		text_2.innerText = translations.ma.Ttext_2;
		text_3.innerText = translations.ma.Ttext_3;
		text_4.innerText = translations.ma.Ttext_4;
		text_5.innerText = translations.ma.Ttext_5;
		text_6.innerText = translations.ma.Ttext_6;
		text_7.innerText = translations.ma.Ttext_7;
		text_8.innerText = translations.ma.Ttext_8;
		text_9.innerText = translations.ma.Ttext_9;
		text_12.innerText = translations.ma.Ttext_12;
		text_13.innerText = translations.ma.Ttext_13;
		text_14.innerText = translations.ma.Ttext_14;
	}else if(language == "ml"){
		footer_00.innerText = translations.ml.footer00;
		footer_01.innerText = translations.ml.footer01;
		footer_02.innerText = translations.ml.footer02;
		footer_03.innerText = translations.ml.footer03;
		footer_04.innerText = translations.ml.footer04;
		footer_05.innerText = translations.ml.footer05;
		footer_06.innerText = translations.ml.footer06;
		footer_07.innerText = translations.ml.footer07;
		footer_08.innerText = translations.ml.footer08;
		footer_09.innerText = translations.ml.footer09;
		footer_10.innerText = translations.ml.footer10;
		footer_11.innerText = translations.ml.footer11;
		footer_12.innerText = translations.ml.footer12;
		footer_13.innerText = translations.ml.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ml.footer14;
		if (donate) {donate.innerText = translations.ml.donate;}
		if (signup) {signup.innerText = translations.ml.signup;}
		if (login) {login.innerText = translations.ml.login;}
		if (request) {request.innerText = translations.ml.request;}
		if (agree) {agree.innerText = translations.ml.agree;}
		if (cashbook) {cashbook.innerText = translations.ml.cashbook;}
		if (logout) {logout.innerText = translations.ml.logout;}
		if (welcome) {welcome.innerText = translations.ml.welcome;}
		signup.innerText = translations.ml.signup;
		login.innerText = translations.ml.login;
		text_1.innerText = translations.ml.Ttext_1;
		text_2.innerText = translations.ml.Ttext_2;
		text_3.innerText = translations.ml.Ttext_3;
		text_4.innerText = translations.ml.Ttext_4;
		text_5.innerText = translations.ml.Ttext_5;
		text_6.innerText = translations.ml.Ttext_6;
		text_7.innerText = translations.ml.Ttext_7;
		text_8.innerText = translations.ml.Ttext_8;
		text_9.innerText = translations.ml.Ttext_9;
		text_12.innerText = translations.ml.Ttext_12;
		text_13.innerText = translations.ml.Ttext_13;
		text_14.innerText = translations.ml.Ttext_14;
	}else if(language == "mo"){
		footer_00.innerText = translations.mo.footer00;
		footer_01.innerText = translations.mo.footer01;
		footer_02.innerText = translations.mo.footer02;
		footer_03.innerText = translations.mo.footer03;
		footer_04.innerText = translations.mo.footer04;
		footer_05.innerText = translations.mo.footer05;
		footer_06.innerText = translations.mo.footer06;
		footer_07.innerText = translations.mo.footer07;
		footer_08.innerText = translations.mo.footer08;
		footer_09.innerText = translations.mo.footer09;
		footer_10.innerText = translations.mo.footer10;
		footer_11.innerText = translations.mo.footer11;
		footer_12.innerText = translations.mo.footer12;
		footer_13.innerText = translations.mo.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.mo.footer14;
		if (donate) {donate.innerText = translations.mo.donate;}
		if (signup) {signup.innerText = translations.mo.signup;}
		if (login) {login.innerText = translations.mo.login;}
		if (request) {request.innerText = translations.mo.request;}
		if (agree) {agree.innerText = translations.mo.agree;}
		if (cashbook) {cashbook.innerText = translations.mo.cashbook;}
		if (logout) {logout.innerText = translations.mo.logout;}
		if (welcome) {welcome.innerText = translations.mo.welcome;}
		signup.innerText = translations.mo.signup;
		login.innerText = translations.mo.login;
		text_1.innerText = translations.mo.Ttext_1;
		text_2.innerText = translations.mo.Ttext_2;
		text_3.innerText = translations.mo.Ttext_3;
		text_4.innerText = translations.mo.Ttext_4;
		text_5.innerText = translations.mo.Ttext_5;
		text_6.innerText = translations.mo.Ttext_6;
		text_7.innerText = translations.mo.Ttext_7;
		text_8.innerText = translations.mo.Ttext_8;
		text_9.innerText = translations.mo.Ttext_9;
		text_12.innerText = translations.mo.Ttext_12;
		text_13.innerText = translations.mo.Ttext_13;
		text_14.innerText = translations.mo.Ttext_14;
	}else if(language == "bu"){
		footer_00.innerText = translations.bu.footer00;
		footer_01.innerText = translations.bu.footer01;
		footer_02.innerText = translations.bu.footer02;
		footer_03.innerText = translations.bu.footer03;
		footer_04.innerText = translations.bu.footer04;
		footer_05.innerText = translations.bu.footer05;
		footer_06.innerText = translations.bu.footer06;
		footer_07.innerText = translations.bu.footer07;
		footer_08.innerText = translations.bu.footer08;
		footer_09.innerText = translations.bu.footer09;
		footer_10.innerText = translations.bu.footer10;
		footer_11.innerText = translations.bu.footer11;
		footer_12.innerText = translations.bu.footer12;
		footer_13.innerText = translations.bu.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.bu.footer14;
		if (donate) {donate.innerText = translations.bu.donate;}
		if (signup) {signup.innerText = translations.bu.signup;}
		if (login) {login.innerText = translations.bu.login;}
		if (request) {request.innerText = translations.bu.request;}
		if (agree) {agree.innerText = translations.bu.agree;}
		if (cashbook) {cashbook.innerText = translations.bu.cashbook;}
		if (logout) {logout.innerText = translations.bu.logout;}
		if (welcome) {welcome.innerText = translations.bu.welcome;}
		signup.innerText = translations.bu.signup;
		login.innerText = translations.bu.login;
		text_1.innerText = translations.bu.Ttext_1;
		text_2.innerText = translations.bu.Ttext_2;
		text_3.innerText = translations.bu.Ttext_3;
		text_4.innerText = translations.bu.Ttext_4;
		text_5.innerText = translations.bu.Ttext_5;
		text_6.innerText = translations.bu.Ttext_6;
		text_7.innerText = translations.bu.Ttext_7;
		text_8.innerText = translations.bu.Ttext_8;
		text_9.innerText = translations.bu.Ttext_9;
		text_12.innerText = translations.bu.Ttext_12;
		text_13.innerText = translations.bu.Ttext_13;
		text_14.innerText = translations.bu.Ttext_14;
	}else if(language == "ne"){
		footer_00.innerText = translations.ne.footer00;
		footer_01.innerText = translations.ne.footer01;
		footer_02.innerText = translations.ne.footer02;
		footer_03.innerText = translations.ne.footer03;
		footer_04.innerText = translations.ne.footer04;
		footer_05.innerText = translations.ne.footer05;
		footer_06.innerText = translations.ne.footer06;
		footer_07.innerText = translations.ne.footer07;
		footer_08.innerText = translations.ne.footer08;
		footer_09.innerText = translations.ne.footer09;
		footer_10.innerText = translations.ne.footer10;
		footer_11.innerText = translations.ne.footer11;
		footer_12.innerText = translations.ne.footer12;
		footer_13.innerText = translations.ne.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ne.footer14;
		if (donate) {donate.innerText = translations.ne.donate;}
		if (signup) {signup.innerText = translations.ne.signup;}
		if (login) {login.innerText = translations.ne.login;}
		if (request) {request.innerText = translations.ne.request;}
		if (agree) {agree.innerText = translations.ne.agree;}
		if (cashbook) {cashbook.innerText = translations.ne.cashbook;}
		if (logout) {logout.innerText = translations.ne.logout;}
		if (welcome) {welcome.innerText = translations.ne.welcome;}
		signup.innerText = translations.ne.signup;
		login.innerText = translations.ne.login;
		text_1.innerText = translations.ne.Ttext_1;
		text_2.innerText = translations.ne.Ttext_2;
		text_3.innerText = translations.ne.Ttext_3;
		text_4.innerText = translations.ne.Ttext_4;
		text_5.innerText = translations.ne.Ttext_5;
		text_6.innerText = translations.ne.Ttext_6;
		text_7.innerText = translations.ne.Ttext_7;
		text_8.innerText = translations.ne.Ttext_8;
		text_9.innerText = translations.ne.Ttext_9;
		text_12.innerText = translations.ne.Ttext_12;
		text_13.innerText = translations.ne.Ttext_13;
		text_14.innerText = translations.ne.Ttext_14;
	}else if(language == "np"){
		footer_00.innerText = translations.np.footer00;
		footer_01.innerText = translations.np.footer01;
		footer_02.innerText = translations.np.footer02;
		footer_03.innerText = translations.np.footer03;
		footer_04.innerText = translations.np.footer04;
		footer_05.innerText = translations.np.footer05;
		footer_06.innerText = translations.np.footer06;
		footer_07.innerText = translations.np.footer07;
		footer_08.innerText = translations.np.footer08;
		footer_09.innerText = translations.np.footer09;
		footer_10.innerText = translations.np.footer10;
		footer_11.innerText = translations.np.footer11;
		footer_12.innerText = translations.np.footer12;
		footer_13.innerText = translations.np.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.np.footer14;
		if (donate) {donate.innerText = translations.np.donate;}
		if (signup) {signup.innerText = translations.np.signup;}
		if (login) {login.innerText = translations.np.login;}
		if (request) {request.innerText = translations.np.request;}
		if (agree) {agree.innerText = translations.np.agree;}
		if (cashbook) {cashbook.innerText = translations.np.cashbook;}
		if (logout) {logout.innerText = translations.np.logout;}
		if (welcome) {welcome.innerText = translations.np.welcome;}
		signup.innerText = translations.np.signup;
		login.innerText = translations.np.login;
		text_1.innerText = translations.np.Ttext_1;
		text_2.innerText = translations.np.Ttext_2;
		text_3.innerText = translations.np.Ttext_3;
		text_4.innerText = translations.np.Ttext_4;
		text_5.innerText = translations.np.Ttext_5;
		text_6.innerText = translations.np.Ttext_6;
		text_7.innerText = translations.np.Ttext_7;
		text_8.innerText = translations.np.Ttext_8;
		text_9.innerText = translations.np.Ttext_9;
		text_12.innerText = translations.np.Ttext_12;
		text_13.innerText = translations.np.Ttext_13;
		text_14.innerText = translations.np.Ttext_14;
	}else if(language == "no"){
		footer_00.innerText = translations.no.footer00;
		footer_01.innerText = translations.no.footer01;
		footer_02.innerText = translations.no.footer02;
		footer_03.innerText = translations.no.footer03;
		footer_04.innerText = translations.no.footer04;
		footer_05.innerText = translations.no.footer05;
		footer_06.innerText = translations.no.footer06;
		footer_07.innerText = translations.no.footer07;
		footer_08.innerText = translations.no.footer08;
		footer_09.innerText = translations.no.footer09;
		footer_10.innerText = translations.no.footer10;
		footer_11.innerText = translations.no.footer11;
		footer_12.innerText = translations.no.footer12;
		footer_13.innerText = translations.no.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.no.footer14;
		if (donate) {donate.innerText = translations.no.donate;}
		if (signup) {signup.innerText = translations.no.signup;}
		if (login) {login.innerText = translations.no.login;}
		if (request) {request.innerText = translations.no.request;}
		if (agree) {agree.innerText = translations.no.agree;}
		if (cashbook) {cashbook.innerText = translations.no.cashbook;}
		if (logout) {logout.innerText = translations.no.logout;}
		if (welcome) {welcome.innerText = translations.no.welcome;}
		signup.innerText = translations.no.signup;
		login.innerText = translations.no.login;
		text_1.innerText = translations.no.Ttext_1;
		text_2.innerText = translations.no.Ttext_2;
		text_3.innerText = translations.no.Ttext_3;
		text_4.innerText = translations.no.Ttext_4;
		text_5.innerText = translations.no.Ttext_5;
		text_6.innerText = translations.no.Ttext_6;
		text_7.innerText = translations.no.Ttext_7;
		text_8.innerText = translations.no.Ttext_8;
		text_9.innerText = translations.no.Ttext_9;
		text_12.innerText = translations.no.Ttext_12;
		text_13.innerText = translations.no.Ttext_13;
		text_14.innerText = translations.no.Ttext_14;
	}else if(language == "or"){
		footer_00.innerText = translations.or.footer00;
		footer_01.innerText = translations.or.footer01;
		footer_02.innerText = translations.or.footer02;
		footer_03.innerText = translations.or.footer03;
		footer_04.innerText = translations.or.footer04;
		footer_05.innerText = translations.or.footer05;
		footer_06.innerText = translations.or.footer06;
		footer_07.innerText = translations.or.footer07;
		footer_08.innerText = translations.or.footer08;
		footer_09.innerText = translations.or.footer09;
		footer_10.innerText = translations.or.footer10;
		footer_11.innerText = translations.or.footer11;
		footer_12.innerText = translations.or.footer12;
		footer_13.innerText = translations.or.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.or.footer14;
		if (donate) {donate.innerText = translations.or.donate;}
		if (signup) {signup.innerText = translations.or.signup;}
		if (login) {login.innerText = translations.or.login;}
		if (request) {request.innerText = translations.or.request;}
		if (agree) {agree.innerText = translations.or.agree;}
		if (cashbook) {cashbook.innerText = translations.or.cashbook;}
		if (logout) {logout.innerText = translations.or.logout;}
		if (welcome) {welcome.innerText = translations.or.welcome;}
		signup.innerText = translations.or.signup;
		login.innerText = translations.or.login;
		text_1.innerText = translations.or.Ttext_1;
		text_2.innerText = translations.or.Ttext_2;
		text_3.innerText = translations.or.Ttext_3;
		text_4.innerText = translations.or.Ttext_4;
		text_5.innerText = translations.or.Ttext_5;
		text_6.innerText = translations.or.Ttext_6;
		text_7.innerText = translations.or.Ttext_7;
		text_8.innerText = translations.or.Ttext_8;
		text_9.innerText = translations.or.Ttext_9;
		text_12.innerText = translations.or.Ttext_12;
		text_13.innerText = translations.or.Ttext_13;
		text_14.innerText = translations.or.Ttext_14;
	}else if(language == "pa"){
		footer_00.innerText = translations.pa.footer00;
		footer_01.innerText = translations.pa.footer01;
		footer_02.innerText = translations.pa.footer02;
		footer_03.innerText = translations.pa.footer03;
		footer_04.innerText = translations.pa.footer04;
		footer_05.innerText = translations.pa.footer05;
		footer_06.innerText = translations.pa.footer06;
		footer_07.innerText = translations.pa.footer07;
		footer_08.innerText = translations.pa.footer08;
		footer_09.innerText = translations.pa.footer09;
		footer_10.innerText = translations.pa.footer10;
		footer_11.innerText = translations.pa.footer11;
		footer_12.innerText = translations.pa.footer12;
		footer_13.innerText = translations.pa.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.pa.footer14;
		if (donate) {donate.innerText = translations.pa.donate;}
		if (signup) {signup.innerText = translations.pa.signup;}
		if (login) {login.innerText = translations.pa.login;}
		if (request) {request.innerText = translations.pa.request;}
		if (agree) {agree.innerText = translations.pa.agree;}
		if (cashbook) {cashbook.innerText = translations.pa.cashbook;}
		if (logout) {logout.innerText = translations.pa.logout;}
		if (welcome) {welcome.innerText = translations.pa.welcome;}
		signup.innerText = translations.pa.signup;
		login.innerText = translations.pa.login;
		text_1.innerText = translations.pa.Ttext_1;
		text_2.innerText = translations.pa.Ttext_2;
		text_3.innerText = translations.pa.Ttext_3;
		text_4.innerText = translations.pa.Ttext_4;
		text_5.innerText = translations.pa.Ttext_5;
		text_6.innerText = translations.pa.Ttext_6;
		text_7.innerText = translations.pa.Ttext_7;
		text_8.innerText = translations.pa.Ttext_8;
		text_9.innerText = translations.pa.Ttext_9;
		text_12.innerText = translations.pa.Ttext_12;
		text_13.innerText = translations.pa.Ttext_13;
		text_14.innerText = translations.pa.Ttext_14;
	}else if(language == "pe"){
		footer_00.innerText = translations.pe.footer00;
		footer_01.innerText = translations.pe.footer01;
		footer_02.innerText = translations.pe.footer02;
		footer_03.innerText = translations.pe.footer03;
		footer_04.innerText = translations.pe.footer04;
		footer_05.innerText = translations.pe.footer05;
		footer_06.innerText = translations.pe.footer06;
		footer_07.innerText = translations.pe.footer07;
		footer_08.innerText = translations.pe.footer08;
		footer_09.innerText = translations.pe.footer09;
		footer_10.innerText = translations.pe.footer10;
		footer_11.innerText = translations.pe.footer11;
		footer_12.innerText = translations.pe.footer12;
		footer_13.innerText = translations.pe.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.pe.footer14;
		if (donate) {donate.innerText = translations.pe.donate;}
		if (signup) {signup.innerText = translations.pe.signup;}
		if (login) {login.innerText = translations.pe.login;}
		if (request) {request.innerText = translations.pe.request;}
		if (agree) {agree.innerText = translations.pe.agree;}
		if (cashbook) {cashbook.innerText = translations.pe.cashbook;}
		if (logout) {logout.innerText = translations.pe.logout;}
		if (welcome) {welcome.innerText = translations.pe.welcome;}
		signup.innerText = translations.pe.signup;
		login.innerText = translations.pe.login;
		text_1.innerText = translations.pe.Ttext_1;
		text_2.innerText = translations.pe.Ttext_2;
		text_3.innerText = translations.pe.Ttext_3;
		text_4.innerText = translations.pe.Ttext_4;
		text_5.innerText = translations.pe.Ttext_5;
		text_6.innerText = translations.pe.Ttext_6;
		text_7.innerText = translations.pe.Ttext_7;
		text_8.innerText = translations.pe.Ttext_8;
		text_9.innerText = translations.pe.Ttext_9;
		text_12.innerText = translations.pe.Ttext_12;
		text_13.innerText = translations.pe.Ttext_13;
		text_14.innerText = translations.pe.Ttext_14;
	}else if(language == "po"){
		footer_00.innerText = translations.po.footer00;
		footer_01.innerText = translations.po.footer01;
		footer_02.innerText = translations.po.footer02;
		footer_03.innerText = translations.po.footer03;
		footer_04.innerText = translations.po.footer04;
		footer_05.innerText = translations.po.footer05;
		footer_06.innerText = translations.po.footer06;
		footer_07.innerText = translations.po.footer07;
		footer_08.innerText = translations.po.footer08;
		footer_09.innerText = translations.po.footer09;
		footer_10.innerText = translations.po.footer10;
		footer_11.innerText = translations.po.footer11;
		footer_12.innerText = translations.po.footer12;
		footer_13.innerText = translations.po.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.po.footer14;
		if (donate) {donate.innerText = translations.po.donate;}
		if (signup) {signup.innerText = translations.po.signup;}
		if (login) {login.innerText = translations.po.login;}
		if (request) {request.innerText = translations.po.request;}
		if (agree) {agree.innerText = translations.po.agree;}
		if (cashbook) {cashbook.innerText = translations.po.cashbook;}
		if (logout) {logout.innerText = translations.po.logout;}
		if (welcome) {welcome.innerText = translations.po.welcome;}
		signup.innerText = translations.po.signup;
		login.innerText = translations.po.login;
		text_1.innerText = translations.po.Ttext_1;
		text_2.innerText = translations.po.Ttext_2;
		text_3.innerText = translations.po.Ttext_3;
		text_4.innerText = translations.po.Ttext_4;
		text_5.innerText = translations.po.Ttext_5;
		text_6.innerText = translations.po.Ttext_6;
		text_7.innerText = translations.po.Ttext_7;
		text_8.innerText = translations.po.Ttext_8;
		text_9.innerText = translations.po.Ttext_9;
		text_12.innerText = translations.po.Ttext_12;
		text_13.innerText = translations.po.Ttext_13;
		text_14.innerText = translations.po.Ttext_14;
	}else if(language == "pt"){
		footer_00.innerText = translations.pt.footer00;
		footer_01.innerText = translations.pt.footer01;
		footer_02.innerText = translations.pt.footer02;
		footer_03.innerText = translations.pt.footer03;
		footer_04.innerText = translations.pt.footer04;
		footer_05.innerText = translations.pt.footer05;
		footer_06.innerText = translations.pt.footer06;
		footer_07.innerText = translations.pt.footer07;
		footer_08.innerText = translations.pt.footer08;
		footer_09.innerText = translations.pt.footer09;
		footer_10.innerText = translations.pt.footer10;
		footer_11.innerText = translations.pt.footer11;
		footer_12.innerText = translations.pt.footer12;
		footer_13.innerText = translations.pt.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.pt.footer14;
		if (donate) {donate.innerText = translations.pt.donate;}
		if (signup) {signup.innerText = translations.pt.signup;}
		if (login) {login.innerText = translations.pt.login;}
		if (request) {request.innerText = translations.pt.request;}
		if (agree) {agree.innerText = translations.pt.agree;}
		if (cashbook) {cashbook.innerText = translations.pt.cashbook;}
		if (logout) {logout.innerText = translations.pt.logout;}
		if (welcome) {welcome.innerText = translations.pt.welcome;}
		signup.innerText = translations.pt.signup;
		login.innerText = translations.pt.login;
		text_1.innerText = translations.pt.Ttext_1;
		text_2.innerText = translations.pt.Ttext_2;
		text_3.innerText = translations.pt.Ttext_3;
		text_4.innerText = translations.pt.Ttext_4;
		text_5.innerText = translations.pt.Ttext_5;
		text_6.innerText = translations.pt.Ttext_6;
		text_7.innerText = translations.pt.Ttext_7;
		text_8.innerText = translations.pt.Ttext_8;
		text_9.innerText = translations.pt.Ttext_9;
		text_12.innerText = translations.pt.Ttext_12;
		text_13.innerText = translations.pt.Ttext_13;
		text_14.innerText = translations.pt.Ttext_14;
	}else if(language == "ro"){
		footer_00.innerText = translations.ro.footer00;
		footer_01.innerText = translations.ro.footer01;
		footer_02.innerText = translations.ro.footer02;
		footer_03.innerText = translations.ro.footer03;
		footer_04.innerText = translations.ro.footer04;
		footer_05.innerText = translations.ro.footer05;
		footer_06.innerText = translations.ro.footer06;
		footer_07.innerText = translations.ro.footer07;
		footer_08.innerText = translations.ro.footer08;
		footer_09.innerText = translations.ro.footer09;
		footer_10.innerText = translations.ro.footer10;
		footer_11.innerText = translations.ro.footer11;
		footer_12.innerText = translations.ro.footer12;
		footer_13.innerText = translations.ro.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ro.footer14;
		if (donate) {donate.innerText = translations.ro.donate;}
		if (signup) {signup.innerText = translations.ro.signup;}
		if (login) {login.innerText = translations.ro.login;}
		if (request) {request.innerText = translations.ro.request;}
		if (agree) {agree.innerText = translations.ro.agree;}
		if (cashbook) {cashbook.innerText = translations.ro.cashbook;}
		if (logout) {logout.innerText = translations.ro.logout;}
		if (welcome) {welcome.innerText = translations.ro.welcome;}
		signup.innerText = translations.ro.signup;
		login.innerText = translations.ro.login;
		text_1.innerText = translations.ro.Ttext_1;
		text_2.innerText = translations.ro.Ttext_2;
		text_3.innerText = translations.ro.Ttext_3;
		text_4.innerText = translations.ro.Ttext_4;
		text_5.innerText = translations.ro.Ttext_5;
		text_6.innerText = translations.ro.Ttext_6;
		text_7.innerText = translations.ro.Ttext_7;
		text_8.innerText = translations.ro.Ttext_8;
		text_9.innerText = translations.ro.Ttext_9;
		text_12.innerText = translations.ro.Ttext_12;
		text_13.innerText = translations.ro.Ttext_13;
		text_14.innerText = translations.ro.Ttext_14;
	}else if(language == "ru"){
		footer_00.innerText = translations.ru.footer00;
		footer_01.innerText = translations.ru.footer01;
		footer_02.innerText = translations.ru.footer02;
		footer_03.innerText = translations.ru.footer03;
		footer_04.innerText = translations.ru.footer04;
		footer_05.innerText = translations.ru.footer05;
		footer_06.innerText = translations.ru.footer06;
		footer_07.innerText = translations.ru.footer07;
		footer_08.innerText = translations.ru.footer08;
		footer_09.innerText = translations.ru.footer09;
		footer_10.innerText = translations.ru.footer10;
		footer_11.innerText = translations.ru.footer11;
		footer_12.innerText = translations.ru.footer12;
		footer_13.innerText = translations.ru.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ru.footer14;
		if (donate) {donate.innerText = translations.ru.donate;}
		if (signup) {signup.innerText = translations.ru.signup;}
		if (login) {login.innerText = translations.ru.login;}
		if (request) {request.innerText = translations.ru.request;}
		if (agree) {agree.innerText = translations.ru.agree;}
		if (cashbook) {cashbook.innerText = translations.ru.cashbook;}
		if (logout) {logout.innerText = translations.ru.logout;}
		if (welcome) {welcome.innerText = translations.ru.welcome;}
		signup.innerText = translations.ru.signup;
		login.innerText = translations.ru.login;
		text_1.innerText = translations.ru.Ttext_1;
		text_2.innerText = translations.ru.Ttext_2;
		text_3.innerText = translations.ru.Ttext_3;
		text_4.innerText = translations.ru.Ttext_4;
		text_5.innerText = translations.ru.Ttext_5;
		text_6.innerText = translations.ru.Ttext_6;
		text_7.innerText = translations.ru.Ttext_7;
		text_8.innerText = translations.ru.Ttext_8;
		text_9.innerText = translations.ru.Ttext_9;
		text_12.innerText = translations.ru.Ttext_12;
		text_13.innerText = translations.ru.Ttext_13;
		text_14.innerText = translations.ru.Ttext_14;
	}else if(language == "zi"){
		footer_00.innerText = translations.zi.footer00;
		footer_01.innerText = translations.zi.footer01;
		footer_02.innerText = translations.zi.footer02;
		footer_03.innerText = translations.zi.footer03;
		footer_04.innerText = translations.zi.footer04;
		footer_05.innerText = translations.zi.footer05;
		footer_06.innerText = translations.zi.footer06;
		footer_07.innerText = translations.zi.footer07;
		footer_08.innerText = translations.zi.footer08;
		footer_09.innerText = translations.zi.footer09;
		footer_10.innerText = translations.zi.footer10;
		footer_11.innerText = translations.zi.footer11;
		footer_12.innerText = translations.zi.footer12;
		footer_13.innerText = translations.zi.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.zi.footer14;
		if (donate) {donate.innerText = translations.zi.donate;}
		if (signup) {signup.innerText = translations.zi.signup;}
		if (login) {login.innerText = translations.zi.login;}
		if (request) {request.innerText = translations.zi.request;}
		if (agree) {agree.innerText = translations.zi.agree;}
		if (cashbook) {cashbook.innerText = translations.zi.cashbook;}
		if (logout) {logout.innerText = translations.zi.logout;}
		if (welcome) {welcome.innerText = translations.zi.welcome;}
		signup.innerText = translations.zi.signup;
		login.innerText = translations.zi.login;
		text_1.innerText = translations.zi.Ttext_1;
		text_2.innerText = translations.zi.Ttext_2;
		text_3.innerText = translations.zi.Ttext_3;
		text_4.innerText = translations.zi.Ttext_4;
		text_5.innerText = translations.zi.Ttext_5;
		text_6.innerText = translations.zi.Ttext_6;
		text_7.innerText = translations.zi.Ttext_7;
		text_8.innerText = translations.zi.Ttext_8;
		text_9.innerText = translations.zi.Ttext_9;
		text_12.innerText = translations.zi.Ttext_12;
		text_13.innerText = translations.zi.Ttext_13;
		text_14.innerText = translations.zi.Ttext_14;
	}else if(language == "al"){
		footer_00.innerText = translations.al.footer00;
		footer_01.innerText = translations.al.footer01;
		footer_02.innerText = translations.al.footer02;
		footer_03.innerText = translations.al.footer03;
		footer_04.innerText = translations.al.footer04;
		footer_05.innerText = translations.al.footer05;
		footer_06.innerText = translations.al.footer06;
		footer_07.innerText = translations.al.footer07;
		footer_08.innerText = translations.al.footer08;
		footer_09.innerText = translations.al.footer09;
		footer_10.innerText = translations.al.footer10;
		footer_11.innerText = translations.al.footer11;
		footer_12.innerText = translations.al.footer12;
		footer_13.innerText = translations.al.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.al.footer14;
		if (donate) {donate.innerText = translations.al.donate;}
		if (signup) {signup.innerText = translations.al.signup;}
		if (login) {login.innerText = translations.al.login;}
		if (request) {request.innerText = translations.al.request;}
		if (agree) {agree.innerText = translations.al.agree;}
		if (cashbook) {cashbook.innerText = translations.al.cashbook;}
		if (logout) {logout.innerText = translations.al.logout;}
		if (welcome) {welcome.innerText = translations.al.welcome;}
		signup.innerText = translations.al.signup;
		login.innerText = translations.al.login;
		text_1.innerText = translations.al.Ttext_1;
		text_2.innerText = translations.al.Ttext_2;
		text_3.innerText = translations.al.Ttext_3;
		text_4.innerText = translations.al.Ttext_4;
		text_5.innerText = translations.al.Ttext_5;
		text_6.innerText = translations.al.Ttext_6;
		text_7.innerText = translations.al.Ttext_7;
		text_8.innerText = translations.al.Ttext_8;
		text_9.innerText = translations.al.Ttext_9;
		text_12.innerText = translations.al.Ttext_12;
		text_13.innerText = translations.al.Ttext_13;
		text_14.innerText = translations.al.Ttext_14;
	}else if(language == "sl"){
		footer_00.innerText = translations.sl.footer00;
		footer_01.innerText = translations.sl.footer01;
		footer_02.innerText = translations.sl.footer02;
		footer_03.innerText = translations.sl.footer03;
		footer_04.innerText = translations.sl.footer04;
		footer_05.innerText = translations.sl.footer05;
		footer_06.innerText = translations.sl.footer06;
		footer_07.innerText = translations.sl.footer07;
		footer_08.innerText = translations.sl.footer08;
		footer_09.innerText = translations.sl.footer09;
		footer_10.innerText = translations.sl.footer10;
		footer_11.innerText = translations.sl.footer11;
		footer_12.innerText = translations.sl.footer12;
		footer_13.innerText = translations.sl.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.sl.footer14;
		if (donate) {donate.innerText = translations.sl.donate;}
		if (signup) {signup.innerText = translations.sl.signup;}
		if (login) {login.innerText = translations.sl.login;}
		if (request) {request.innerText = translations.sl.request;}
		if (agree) {agree.innerText = translations.sl.agree;}
		if (cashbook) {cashbook.innerText = translations.sl.cashbook;}
		if (logout) {logout.innerText = translations.sl.logout;}
		if (welcome) {welcome.innerText = translations.sl.welcome;}
		signup.innerText = translations.sl.signup;
		login.innerText = translations.sl.login;
		text_1.innerText = translations.sl.Ttext_1;
		text_2.innerText = translations.sl.Ttext_2;
		text_3.innerText = translations.sl.Ttext_3;
		text_4.innerText = translations.sl.Ttext_4;
		text_5.innerText = translations.sl.Ttext_5;
		text_6.innerText = translations.sl.Ttext_6;
		text_7.innerText = translations.sl.Ttext_7;
		text_8.innerText = translations.sl.Ttext_8;
		text_9.innerText = translations.sl.Ttext_9;
		text_12.innerText = translations.sl.Ttext_12;
		text_13.innerText = translations.sl.Ttext_13;
		text_14.innerText = translations.sl.Ttext_14;
	}else if(language == "sk"){
		footer_00.innerText = translations.sk.footer00;
		footer_01.innerText = translations.sk.footer01;
		footer_02.innerText = translations.sk.footer02;
		footer_03.innerText = translations.sk.footer03;
		footer_04.innerText = translations.sk.footer04;
		footer_05.innerText = translations.sk.footer05;
		footer_06.innerText = translations.sk.footer06;
		footer_07.innerText = translations.sk.footer07;
		footer_08.innerText = translations.sk.footer08;
		footer_09.innerText = translations.sk.footer09;
		footer_10.innerText = translations.sk.footer10;
		footer_11.innerText = translations.sk.footer11;
		footer_12.innerText = translations.sk.footer12;
		footer_13.innerText = translations.sk.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.sk.footer14;
		if (donate) {donate.innerText = translations.sk.donate;}
		if (signup) {signup.innerText = translations.sk.signup;}
		if (login) {login.innerText = translations.sk.login;}
		if (request) {request.innerText = translations.sk.request;}
		if (agree) {agree.innerText = translations.sk.agree;}
		if (cashbook) {cashbook.innerText = translations.sk.cashbook;}
		if (logout) {logout.innerText = translations.sk.logout;}
		if (welcome) {welcome.innerText = translations.sk.welcome;}
		signup.innerText = translations.sk.signup;
		login.innerText = translations.sk.login;
		text_1.innerText = translations.sk.Ttext_1;
		text_2.innerText = translations.sk.Ttext_2;
		text_3.innerText = translations.sk.Ttext_3;
		text_4.innerText = translations.sk.Ttext_4;
		text_5.innerText = translations.sk.Ttext_5;
		text_6.innerText = translations.sk.Ttext_6;
		text_7.innerText = translations.sk.Ttext_7;
		text_8.innerText = translations.sk.Ttext_8;
		text_9.innerText = translations.sk.Ttext_9;
		text_12.innerText = translations.sk.Ttext_12;
		text_13.innerText = translations.sk.Ttext_13;
		text_14.innerText = translations.sk.Ttext_14;
	}else if(language == "so"){
		footer_00.innerText = translations.so.footer00;
		footer_01.innerText = translations.so.footer01;
		footer_02.innerText = translations.so.footer02;
		footer_03.innerText = translations.so.footer03;
		footer_04.innerText = translations.so.footer04;
		footer_05.innerText = translations.so.footer05;
		footer_06.innerText = translations.so.footer06;
		footer_07.innerText = translations.so.footer07;
		footer_08.innerText = translations.so.footer08;
		footer_09.innerText = translations.so.footer09;
		footer_10.innerText = translations.so.footer10;
		footer_11.innerText = translations.so.footer11;
		footer_12.innerText = translations.so.footer12;
		footer_13.innerText = translations.so.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.so.footer14;
		if (donate) {donate.innerText = translations.so.donate;}
		if (signup) {signup.innerText = translations.so.signup;}
		if (login) {login.innerText = translations.so.login;}
		if (request) {request.innerText = translations.so.request;}
		if (agree) {agree.innerText = translations.so.agree;}
		if (cashbook) {cashbook.innerText = translations.so.cashbook;}
		if (logout) {logout.innerText = translations.so.logout;}
		if (welcome) {welcome.innerText = translations.so.welcome;}
		signup.innerText = translations.so.signup;
		login.innerText = translations.so.login;
		text_1.innerText = translations.so.Ttext_1;
		text_2.innerText = translations.so.Ttext_2;
		text_3.innerText = translations.so.Ttext_3;
		text_4.innerText = translations.so.Ttext_4;
		text_5.innerText = translations.so.Ttext_5;
		text_6.innerText = translations.so.Ttext_6;
		text_7.innerText = translations.so.Ttext_7;
		text_8.innerText = translations.so.Ttext_8;
		text_9.innerText = translations.so.Ttext_9;
		text_12.innerText = translations.so.Ttext_12;
		text_13.innerText = translations.so.Ttext_13;
		text_14.innerText = translations.so.Ttext_14;
	}else if(language == "fi"){
		footer_00.innerText = translations.fi.footer00;
		footer_01.innerText = translations.fi.footer01;
		footer_02.innerText = translations.fi.footer02;
		footer_03.innerText = translations.fi.footer03;
		footer_04.innerText = translations.fi.footer04;
		footer_05.innerText = translations.fi.footer05;
		footer_06.innerText = translations.fi.footer06;
		footer_07.innerText = translations.fi.footer07;
		footer_08.innerText = translations.fi.footer08;
		footer_09.innerText = translations.fi.footer09;
		footer_10.innerText = translations.fi.footer10;
		footer_11.innerText = translations.fi.footer11;
		footer_12.innerText = translations.fi.footer12;
		footer_13.innerText = translations.fi.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.fi.footer14;
		if (donate) {donate.innerText = translations.fi.donate;}
		if (signup) {signup.innerText = translations.fi.signup;}
		if (login) {login.innerText = translations.fi.login;}
		if (request) {request.innerText = translations.fi.request;}
		if (agree) {agree.innerText = translations.fi.agree;}
		if (cashbook) {cashbook.innerText = translations.fi.cashbook;}
		if (logout) {logout.innerText = translations.fi.logout;}
		if (welcome) {welcome.innerText = translations.fi.welcome;}
		signup.innerText = translations.fi.signup;
		login.innerText = translations.fi.login;
		text_1.innerText = translations.fi.Ttext_1;
		text_2.innerText = translations.fi.Ttext_2;
		text_3.innerText = translations.fi.Ttext_3;
		text_4.innerText = translations.fi.Ttext_4;
		text_5.innerText = translations.fi.Ttext_5;
		text_6.innerText = translations.fi.Ttext_6;
		text_7.innerText = translations.fi.Ttext_7;
		text_8.innerText = translations.fi.Ttext_8;
		text_9.innerText = translations.fi.Ttext_9;
		text_12.innerText = translations.fi.Ttext_12;
		text_13.innerText = translations.fi.Ttext_13;
		text_14.innerText = translations.fi.Ttext_14;
	}else if(language == "sw"){
		footer_00.innerText = translations.sw.footer00;
		footer_01.innerText = translations.sw.footer01;
		footer_02.innerText = translations.sw.footer02;
		footer_03.innerText = translations.sw.footer03;
		footer_04.innerText = translations.sw.footer04;
		footer_05.innerText = translations.sw.footer05;
		footer_06.innerText = translations.sw.footer06;
		footer_07.innerText = translations.sw.footer07;
		footer_08.innerText = translations.sw.footer08;
		footer_09.innerText = translations.sw.footer09;
		footer_10.innerText = translations.sw.footer10;
		footer_11.innerText = translations.sw.footer11;
		footer_12.innerText = translations.sw.footer12;
		footer_13.innerText = translations.sw.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.sw.footer14;
		if (donate) {donate.innerText = translations.sw.donate;}
		if (signup) {signup.innerText = translations.sw.signup;}
		if (login) {login.innerText = translations.sw.login;}
		if (request) {request.innerText = translations.sw.request;}
		if (agree) {agree.innerText = translations.sw.agree;}
		if (cashbook) {cashbook.innerText = translations.sw.cashbook;}
		if (logout) {logout.innerText = translations.sw.logout;}
		if (welcome) {welcome.innerText = translations.sw.welcome;}
		signup.innerText = translations.sw.signup;
		login.innerText = translations.sw.login;
		text_1.innerText = translations.sw.Ttext_1;
		text_2.innerText = translations.sw.Ttext_2;
		text_3.innerText = translations.sw.Ttext_3;
		text_4.innerText = translations.sw.Ttext_4;
		text_5.innerText = translations.sw.Ttext_5;
		text_6.innerText = translations.sw.Ttext_6;
		text_7.innerText = translations.sw.Ttext_7;
		text_8.innerText = translations.sw.Ttext_8;
		text_9.innerText = translations.sw.Ttext_9;
		text_12.innerText = translations.sw.Ttext_12;
		text_13.innerText = translations.sw.Ttext_13;
		text_14.innerText = translations.sw.Ttext_14;
	}else if(language == "ta"){
		footer_00.innerText = translations.ta.footer00;
		footer_01.innerText = translations.ta.footer01;
		footer_02.innerText = translations.ta.footer02;
		footer_03.innerText = translations.ta.footer03;
		footer_04.innerText = translations.ta.footer04;
		footer_05.innerText = translations.ta.footer05;
		footer_06.innerText = translations.ta.footer06;
		footer_07.innerText = translations.ta.footer07;
		footer_08.innerText = translations.ta.footer08;
		footer_09.innerText = translations.ta.footer09;
		footer_10.innerText = translations.ta.footer10;
		footer_11.innerText = translations.ta.footer11;
		footer_12.innerText = translations.ta.footer12;
		footer_13.innerText = translations.ta.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ta.footer14;
		if (donate) {donate.innerText = translations.ta.donate;}
		if (signup) {signup.innerText = translations.ta.signup;}
		if (login) {login.innerText = translations.ta.login;}
		if (request) {request.innerText = translations.ta.request;}
		if (agree) {agree.innerText = translations.ta.agree;}
		if (cashbook) {cashbook.innerText = translations.ta.cashbook;}
		if (logout) {logout.innerText = translations.ta.logout;}
		if (welcome) {welcome.innerText = translations.ta.welcome;}
		signup.innerText = translations.ta.signup;
		login.innerText = translations.ta.login;
		text_1.innerText = translations.ta.Ttext_1;
		text_2.innerText = translations.ta.Ttext_2;
		text_3.innerText = translations.ta.Ttext_3;
		text_4.innerText = translations.ta.Ttext_4;
		text_5.innerText = translations.ta.Ttext_5;
		text_6.innerText = translations.ta.Ttext_6;
		text_7.innerText = translations.ta.Ttext_7;
		text_8.innerText = translations.ta.Ttext_8;
		text_9.innerText = translations.ta.Ttext_9;
		text_12.innerText = translations.ta.Ttext_12;
		text_13.innerText = translations.ta.Ttext_13;
		text_14.innerText = translations.ta.Ttext_14;
	}else if(language == "th"){
		footer_00.innerText = translations.th.footer00;
		footer_01.innerText = translations.th.footer01;
		footer_02.innerText = translations.th.footer02;
		footer_03.innerText = translations.th.footer03;
		footer_04.innerText = translations.th.footer04;
		footer_05.innerText = translations.th.footer05;
		footer_06.innerText = translations.th.footer06;
		footer_07.innerText = translations.th.footer07;
		footer_08.innerText = translations.th.footer08;
		footer_09.innerText = translations.th.footer09;
		footer_10.innerText = translations.th.footer10;
		footer_11.innerText = translations.th.footer11;
		footer_12.innerText = translations.th.footer12;
		footer_13.innerText = translations.th.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.th.footer14;
		if (donate) {donate.innerText = translations.th.donate;}
		if (signup) {signup.innerText = translations.th.signup;}
		if (login) {login.innerText = translations.th.login;}
		if (request) {request.innerText = translations.th.request;}
		if (agree) {agree.innerText = translations.th.agree;}
		if (cashbook) {cashbook.innerText = translations.th.cashbook;}
		if (logout) {logout.innerText = translations.th.logout;}
		if (welcome) {welcome.innerText = translations.th.welcome;}
		signup.innerText = translations.th.signup;
		login.innerText = translations.th.login;
		text_1.innerText = translations.th.Ttext_1;
		text_2.innerText = translations.th.Ttext_2;
		text_3.innerText = translations.th.Ttext_3;
		text_4.innerText = translations.th.Ttext_4;
		text_5.innerText = translations.th.Ttext_5;
		text_6.innerText = translations.th.Ttext_6;
		text_7.innerText = translations.th.Ttext_7;
		text_8.innerText = translations.th.Ttext_8;
		text_9.innerText = translations.th.Ttext_9;
		text_12.innerText = translations.th.Ttext_12;
		text_13.innerText = translations.th.Ttext_13;
		text_14.innerText = translations.th.Ttext_14;
	}else if(language == "vi"){
		footer_00.innerText = translations.vi.footer00;
		footer_01.innerText = translations.vi.footer01;
		footer_02.innerText = translations.vi.footer02;
		footer_03.innerText = translations.vi.footer03;
		footer_04.innerText = translations.vi.footer04;
		footer_05.innerText = translations.vi.footer05;
		footer_06.innerText = translations.vi.footer06;
		footer_07.innerText = translations.vi.footer07;
		footer_08.innerText = translations.vi.footer08;
		footer_09.innerText = translations.vi.footer09;
		footer_10.innerText = translations.vi.footer10;
		footer_11.innerText = translations.vi.footer11;
		footer_12.innerText = translations.vi.footer12;
		footer_13.innerText = translations.vi.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.vi.footer14;
		if (donate) {donate.innerText = translations.vi.donate;}
		if (signup) {signup.innerText = translations.vi.signup;}
		if (login) {login.innerText = translations.vi.login;}
		if (request) {request.innerText = translations.vi.request;}
		if (agree) {agree.innerText = translations.vi.agree;}
		if (cashbook) {cashbook.innerText = translations.vi.cashbook;}
		if (logout) {logout.innerText = translations.vi.logout;}
		if (welcome) {welcome.innerText = translations.vi.welcome;}
		signup.innerText = translations.vi.signup;
		login.innerText = translations.vi.login;
		text_1.innerText = translations.vi.Ttext_1;
		text_2.innerText = translations.vi.Ttext_2;
		text_3.innerText = translations.vi.Ttext_3;
		text_4.innerText = translations.vi.Ttext_4;
		text_5.innerText = translations.vi.Ttext_5;
		text_6.innerText = translations.vi.Ttext_6;
		text_7.innerText = translations.vi.Ttext_7;
		text_8.innerText = translations.vi.Ttext_8;
		text_9.innerText = translations.vi.Ttext_9;
		text_12.innerText = translations.vi.Ttext_12;
		text_13.innerText = translations.vi.Ttext_13;
		text_14.innerText = translations.vi.Ttext_14;
	}else if(language == "tu"){
		footer_00.innerText = translations.tu.footer00;
		footer_01.innerText = translations.tu.footer01;
		footer_02.innerText = translations.tu.footer02;
		footer_03.innerText = translations.tu.footer03;
		footer_04.innerText = translations.tu.footer04;
		footer_05.innerText = translations.tu.footer05;
		footer_06.innerText = translations.tu.footer06;
		footer_07.innerText = translations.tu.footer07;
		footer_08.innerText = translations.tu.footer08;
		footer_09.innerText = translations.tu.footer09;
		footer_10.innerText = translations.tu.footer10;
		footer_11.innerText = translations.tu.footer11;
		footer_12.innerText = translations.tu.footer12;
		footer_13.innerText = translations.tu.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.tu.footer14;
		if (donate) {donate.innerText = translations.tu.donate;}
		if (signup) {signup.innerText = translations.tu.signup;}
		if (login) {login.innerText = translations.tu.login;}
		if (request) {request.innerText = translations.tu.request;}
		if (agree) {agree.innerText = translations.tu.agree;}
		if (cashbook) {cashbook.innerText = translations.tu.cashbook;}
		if (logout) {logout.innerText = translations.tu.logout;}
		if (welcome) {welcome.innerText = translations.tu.welcome;}
		signup.innerText = translations.tu.signup;
		login.innerText = translations.tu.login;
		text_1.innerText = translations.tu.Ttext_1;
		text_2.innerText = translations.tu.Ttext_2;
		text_3.innerText = translations.tu.Ttext_3;
		text_4.innerText = translations.tu.Ttext_4;
		text_5.innerText = translations.tu.Ttext_5;
		text_6.innerText = translations.tu.Ttext_6;
		text_7.innerText = translations.tu.Ttext_7;
		text_8.innerText = translations.tu.Ttext_8;
		text_9.innerText = translations.tu.Ttext_9;
		text_12.innerText = translations.tu.Ttext_12;
		text_13.innerText = translations.tu.Ttext_13;
		text_14.innerText = translations.tu.Ttext_14;
	}else if(language == "ur"){
		footer_00.innerText = translations.ur.footer00;
		footer_01.innerText = translations.ur.footer01;
		footer_02.innerText = translations.ur.footer02;
		footer_03.innerText = translations.ur.footer03;
		footer_04.innerText = translations.ur.footer04;
		footer_05.innerText = translations.ur.footer05;
		footer_06.innerText = translations.ur.footer06;
		footer_07.innerText = translations.ur.footer07;
		footer_08.innerText = translations.ur.footer08;
		footer_09.innerText = translations.ur.footer09;
		footer_10.innerText = translations.ur.footer10;
		footer_11.innerText = translations.ur.footer11;
		footer_12.innerText = translations.ur.footer12;
		footer_13.innerText = translations.ur.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ur.footer14;
		if (donate) {donate.innerText = translations.ur.donate;}
		if (signup) {signup.innerText = translations.ur.signup;}
		if (login) {login.innerText = translations.ur.login;}
		if (request) {request.innerText = translations.ur.request;}
		if (agree) {agree.innerText = translations.ur.agree;}
		if (cashbook) {cashbook.innerText = translations.ur.cashbook;}
		if (logout) {logout.innerText = translations.ur.logout;}
		if (welcome) {welcome.innerText = translations.ur.welcome;}
		signup.innerText = translations.ur.signup;
		login.innerText = translations.ur.login;
		text_1.innerText = translations.ur.Ttext_1;
		text_2.innerText = translations.ur.Ttext_2;
		text_3.innerText = translations.ur.Ttext_3;
		text_4.innerText = translations.ur.Ttext_4;
		text_5.innerText = translations.ur.Ttext_5;
		text_6.innerText = translations.ur.Ttext_6;
		text_7.innerText = translations.ur.Ttext_7;
		text_8.innerText = translations.ur.Ttext_8;
		text_9.innerText = translations.ur.Ttext_9;
		text_12.innerText = translations.ur.Ttext_12;
		text_13.innerText = translations.ur.Ttext_13;
		text_14.innerText = translations.ur.Ttext_14;
	}else if(language == "yo"){
		footer_00.innerText = translations.yo.footer00;
		footer_01.innerText = translations.yo.footer01;
		footer_02.innerText = translations.yo.footer02;
		footer_03.innerText = translations.yo.footer03;
		footer_04.innerText = translations.yo.footer04;
		footer_05.innerText = translations.yo.footer05;
		footer_06.innerText = translations.yo.footer06;
		footer_07.innerText = translations.yo.footer07;
		footer_08.innerText = translations.yo.footer08;
		footer_09.innerText = translations.yo.footer09;
		footer_10.innerText = translations.yo.footer10;
		footer_11.innerText = translations.yo.footer11;
		footer_12.innerText = translations.yo.footer12;
		footer_13.innerText = translations.yo.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.yo.footer14;
		if (donate) {donate.innerText = translations.yo.donate;}
		if (signup) {signup.innerText = translations.yo.signup;}
		if (login) {login.innerText = translations.yo.login;}
		if (request) {request.innerText = translations.yo.request;}
		if (agree) {agree.innerText = translations.yo.agree;}
		if (cashbook) {cashbook.innerText = translations.yo.cashbook;}
		if (logout) {logout.innerText = translations.yo.logout;}
		if (welcome) {welcome.innerText = translations.yo.welcome;}
		signup.innerText = translations.yo.signup;
		login.innerText = translations.yo.login;
		text_1.innerText = translations.yo.Ttext_1;
		text_2.innerText = translations.yo.Ttext_2;
		text_3.innerText = translations.yo.Ttext_3;
		text_4.innerText = translations.yo.Ttext_4;
		text_5.innerText = translations.yo.Ttext_5;
		text_6.innerText = translations.yo.Ttext_6;
		text_7.innerText = translations.yo.Ttext_7;
		text_8.innerText = translations.yo.Ttext_8;
		text_9.innerText = translations.yo.Ttext_9;
		text_12.innerText = translations.yo.Ttext_12;
		text_13.innerText = translations.yo.Ttext_13;
		text_14.innerText = translations.yo.Ttext_14;
	}
}