
window.URL    = window.URL || window.webkitURL;
var elBrowse  = document.getElementById("img"),
    elError = document.getElementById("image_error"),
    useBlob   = false && window.URL; // `true` to use Blob instead of Data-URL

function readImage (file) {
    var reader = new FileReader();
    reader.addEventListener("load", function () {
        var image  = new Image();
        image.addEventListener("load", function () {
            if ((image.width>140) || (image.height>140)) {
                text_03.style.fontSize = "22px";
            } else {
            	text_03.style.fontSize = "0px";
                document.getElementById('img01').src = reader.result;
            }
        });
        image.src = useBlob ? window.URL.createObjectURL(file) : reader.result;
        if (useBlob) {
            window.URL.revokeObjectURL(file); // Free memory
        }
    });
    reader.readAsDataURL(file);  
}


elBrowse.addEventListener("change", function() {
    var files  = this.files;
	const lan = localStorage.getItem("site-language");
    var errors = "";
    if (!files) {
        //errors += "File upload not supported by your browser.";
    	if (lan == "ah") {errors += "ፋይል ሰቀላ በአሳሽዎ አይደገፍም።";}
    	if (lan == "ar") {errors += "لا يدعم متصفحك تحميل الملفات.";}
		if (lan == "am") {errors += "Ֆայլի վերբեռնումը չի աջակցվում ձեր դիտարկիչի կողմից:";}
		if (lan == "az") {errors += "Fayl yükləməsi brauzeriniz tərəfindən dəstəklənmir.";}
		if (lan == "by") {errors += "Загрузка файлаў не падтрымліваецца вашым браўзерам.";}
		if (lan == "be") {errors += "আপনার ব্রাউজারে ফাইল আপলোড সমর্থিত নয়।";}
		if (lan == "bo") {errors += "Vaš pretraživač ne podržava otpremanje fajla.";}
		if (lan == "bg") {errors += "Качването на файлове не се поддържа от вашия браузър.";}
		if (lan == "ca") {errors += "你嘅瀏覽器唔支援檔案上載。";}
		if (lan == "ch") {errors += "您的浏览器不支持文件上传。";}
		if (lan == "cz") {errors += "Váš prohlížeč nepodporuje nahrávání souborů.";}
		if (lan == "se") {errors += "Ваш прегледач не подржава отпремање датотека.";}
		if (lan == "da") {errors += "Filupload understøttes ikke af din browser.";}
		if (lan == "de") {errors += "Der Dateiupload wird von Ihrem Browser nicht unterstützt.";}
		if (lan == "en") {errors += "File upload not supported by your browser.";}
		if (lan == "es") {errors += "Su navegador no admite la carga de archivos.";}
		if (lan == "fp") {errors += "Hindi sinusuportahan ng iyong browser ang pag-upload ng file.";}
		if (lan == "fr") {errors += "Le téléchargement de fichier n'est pas pris en charge par votre navigateur.";}
		if (lan == "ir") {errors += "Ní thacaíonn do bhrabhsálaí le huaslódáil comhaid.";}
		if (lan == "gr") {errors += "Η μεταφόρτωση αρχείων δεν υποστηρίζεται από το πρόγραμμα περιήγησής σας.";}
		if (lan == "ha") {errors += "Loda fayil baya samun goyan bayan burauzan ku.";}
		if (lan == "he") {errors += "העלאת קבצים אינה נתמכת על ידי הדפדפן שלך.";}
		if (lan == "hi") {errors += "फ़ाइल अपलोड आपके ब्राउज़र द्वारा समर्थित नहीं है.";}
		if (lan == "cr") {errors += "Vaš preglednik ne podržava prijenos datoteka.";}
		if (lan == "ig") {errors += "Bulite faịlụ ihe nchọgharị gị akwadoghị.";}
		if (lan == "in") {errors += "Pengunggahan berkas tidak didukung oleh peramban Anda.";}
		if (lan == "ic") {errors += "Upphleðsla skráa er ekki studd af vafranum þínum.";}
		if (lan == "it") {errors += "Il caricamento del file non è supportato dal tuo browser.";}
		if (lan == "ja") {errors += "ファイルのアップロードはブラウザでサポートされていません。";}
		if (lan == "ka") {errors += "Файлды жүктеп салуға браузеріңіз қолдау көрсетпейді.";}
		if (lan == "kh") {errors += "ការបង្ហោះឯកសារមិនត្រូវបានគាំទ្រដោយកម្មវិធីរុករករបស់អ្នកទេ។";}
		if (lan == "ki") {errors += "Kohereza dosiye ntabwo ishyigikiwe na mushakisha yawe.";}
		if (lan == "sh") {errors += "Upakiaji wa faili hauhimiliwi na kivinjari chako.";}
		if (lan == "co") {errors += "Kutula fichier ke ndimaka ve na navigateur na nge.";}
		if (lan == "ko") {errors += "귀하의 브라우저에서는 파일 업로드가 지원되지 않습니다.";}
		if (lan == "kg") {errors += "Файлды жүктөө браузериңиз тарабынан колдоого алынбайт.";}
		if (lan == "la") {errors += "ບຼາວເຊີຂອງທ່ານບໍ່ຮອງຮັບການອັບໂຫລດໄຟລ໌.";}
		if (lan == "lv") {errors += "Jūsu pārlūkprogramma neatbalsta failu augšupielādi.";}
		if (lan == "lt") {errors += "Jūsų naršyklė nepalaiko failų įkėlimo.";}
		if (lan == "hu") {errors += "Az Ön böngészője nem támogatja a fájlfeltöltést.";}
		if (lan == "mg") {errors += "Tsy tohanan'ny mpitety tranonkalanao ny fampiakarana rakitra.";}
		if (lan == "ma") {errors += "तुमच्या ब्राउझरद्वारे फाइल अपलोड समर्थित नाही.";}
		if (lan == "ml") {errors += "Muat naik fail tidak disokong oleh penyemak imbas anda.";}
		if (lan == "mo") {errors += "Файл байршуулахыг таны хөтөч дэмждэггүй.";}
		if (lan == "bu") {errors += "သင့်ဘရောင်ဇာမှ ဖိုင်အပ်လုဒ်လုပ်ခြင်းကို မပံ့ပိုးပါ။";}
		if (lan == "ne") {errors += "Het uploaden van bestanden wordt niet ondersteund door jouw browser.";}
		if (lan == "np") {errors += "तपाईंको ब्राउजरले फाइल अपलोडलाई समर्थन गर्दैन।";}
		if (lan == "no") {errors += "Filopplasting støttes ikke av nettleseren din.";}
		if (lan == "or") {errors += "Faayilii olkaa'uun biraawzari keetiin hin deeggaramu.";}
		if (lan == "pa") {errors += "ستاسو د براوزر لخوا د فایل اپلوډ ملاتړ نه کیږي.";}
		if (lan == "pe") {errors += "آپلود فایل توسط مرورگر شما پشتیبانی نمی شود.";}
		if (lan == "po") {errors += "Twoja przeglądarka nie obsługuje przesyłania plików.";}
		if (lan == "pt") {errors += "O upload de ficheiros não é suportado pelo seu browser.";}
		if (lan == "ro") {errors += "Încărcarea fișierelor nu este acceptată de browserul dvs.";}
		if (lan == "ru") {errors += "Загрузка файла не поддерживается вашим браузером.";}
		if (lan == "zi") {errors += "Go laisa faele ga go tshegediwe ke sebatli sa gago.";}
		if (lan == "al") {errors += "Ngarkimi i skedarit nuk mbështetet nga shfletuesi juaj.";}
		if (lan == "sl") {errors += "Vaš brskalnik ne podpira nalaganja datotek.";}
		if (lan == "sk") {errors += "Váš prehliadač nepodporuje nahrávanie súborov.";}
		if (lan == "so") {errors += "Soo dejinta faylka ma taageerayo browserkaagu.";}
		if (lan == "fi") {errors += "Selaimesi ei tue tiedostojen latausta.";}
		if (lan == "sw") {errors += "Filuppladdning stöds inte av din webbläsare.";}
		if (lan == "ta") {errors += "உங்கள் உலாவியால் கோப்பு பதிவேற்றம் ஆதரிக்கப்படவில்லை.";}
		if (lan == "th") {errors += "การอัพโหลดไฟล์ไม่รองรับโดยเบราว์เซอร์ของคุณ";}
		if (lan == "vi") {errors += "Trình duyệt của bạn không hỗ trợ tải tệp lên.";}
		if (lan == "tu") {errors += "Tarayıcınız dosya yüklemeyi desteklemiyor.";}
		if (lan == "ur") {errors += "فائل اپ لوڈ آپ کے براؤزر سے تعاون یافتہ نہیں ہے۔";}
		if (lan == "yo") {errors += "Gbigbe faili ko ṣe atilẹyin nipasẹ ẹrọ aṣawakiri rẹ.";}
    }
    if (files && files[0]) {
        for(var i=0; i<files.length; i++) {
            var file = files[i];
            if ( (/\.(png|jpeg|jpg|gif)$/i).test(file.name) ) {
                readImage( file ); 
            } else {
                //errors += file.name +" Unsupported Image extension\n";  
		    	if (lan == "ah") {errors += file.name +" የማይደገፍ ምስል ቅጥያ\n";}
		    	if (lan == "ar") {errors += file.name +" امتداد الصورة غير مدعوم\n";}
				if (lan == "am") {errors += file.name +" Չաջակցվող պատկերի ընդլայնում\n";}
				if (lan == "az") {errors += file.name +" Dəstəklənməyən Şəkil genişləndirilməsi\n";}
				if (lan == "by") {errors += file.name +" Пашырэнне выявы не падтрымліваецца\n";}
				if (lan == "be") {errors += file.name +" অসমর্থিত চিত্র এক্সটেনশন\n";}
				if (lan == "bo") {errors += file.name +" Nepodržana ekstenzija za sliku\n";}
				if (lan == "bg") {errors += file.name +" Неподдържано разширение за изображение\n";}
				if (lan == "ca") {errors += file.name +" 唔支援嘅圖片擴充功能\n";}
				if (lan == "ch") {errors += file.name +" 不支持的图片扩展\n";}
				if (lan == "cz") {errors += file.name +" Nepodporované rozšíření obrázku\n";}
				if (lan == "se") {errors += file.name +" Неподржана екстензија за слику\n";}
				if (lan == "da") {errors += file.name +" Ikke-understøttet billedudvidelse\n";}
				if (lan == "de") {errors += file.name +" Nicht unterstützte Bilderweiterung\n";}
				if (lan == "en") {errors += file.name +" Unsupported Image extension\n";}
				if (lan == "es") {errors += file.name +" Extensión de imagen no compatible\n";}
				if (lan == "fp") {errors += file.name +" Hindi sinusuportahang extension ng Imahe\n";}
				if (lan == "fr") {errors += file.name +" Extension d'image non prise en charge\n";}
				if (lan == "ir") {errors += file.name +" Síneadh Íomhá gan tacaíocht\n";}
				if (lan == "gr") {errors += file.name +" Μη υποστηριζόμενη επέκταση εικόνας\n";}
				if (lan == "ha") {errors += file.name +" Tsawon Hoto mara tallafi\n";}
				if (lan == "he") {errors += file.name +" תוסף תמונה לא נתמך\n";}
				if (lan == "hi") {errors += file.name +" असमर्थित छवि एक्सटेंशन\n";}
				if (lan == "cr") {errors += file.name +" Nepodržano proširenje slike\n";}
				if (lan == "ig") {errors += file.name +" Mgbatị onyonyo anaghị akwado\n";}
				if (lan == "in") {errors += file.name +" Ekstensi Gambar Tidak Didukung\n";}
				if (lan == "ic") {errors += file.name +" Óstudd myndaviðbót\n";}
				if (lan == "it") {errors += file.name +" Estensione immagine non supportata\n";}
				if (lan == "ja") {errors += file.name +" サポートされていない画像拡張子\n";}
				if (lan == "ka") {errors += file.name +" Қолдау көрсетілмейтін кескін кеңейтімі\n";}
				if (lan == "kh") {errors += file.name +" ផ្នែកបន្ថែមរូបភាពដែលមិនគាំទ្រ\n";}
				if (lan == "ki") {errors += file.name +" Kwagura amashusho bidashyigikiwe\n";}
				if (lan == "sh") {errors += file.name +" Kiendelezi cha Picha kisichotumika\n";}
				if (lan == "co") {errors += file.name +" Kulanda ya kifwanisu ke ndimama ve\n";}
				if (lan == "ko") {errors += file.name +" 지원되지 않는 이미지 확장자\n";}
				if (lan == "kg") {errors += file.name +" Колдоого алынбаган Сүрөт кеңейтүүсү\n";}
				if (lan == "la") {errors += file.name +" ບໍ່ຮອງຮັບການຂະຫຍາຍຮູບພາບ\n";}
				if (lan == "lv") {errors += file.name +" Neatbalstīts attēla paplašinājums\n";}
				if (lan == "lt") {errors += file.name +" Nepalaikomas vaizdo plėtinys\n";}
				if (lan == "hu") {errors += file.name +" Nem támogatott képkiterjesztés\n";}
				if (lan == "mg") {errors += file.name +" Fanitarana sary tsy tohana\n";}
				if (lan == "ma") {errors += file.name +" असमर्थित इमेज एक्सटेंशन\n";}
				if (lan == "ml") {errors += file.name +" Sambungan Imej tidak disokong\n";}
				if (lan == "mo") {errors += file.name +" Дэмжигдээгүй зургийн өргөтгөл\n";}
				if (lan == "bu") {errors += file.name +" ပံ့ပိုးမထားသော ရုပ်ပုံတိုးချဲ့မှု\n";}
				if (lan == "ne") {errors += file.name +" Niet-ondersteunde afbeeldingextensie\n";}
				if (lan == "np") {errors += file.name +" असमर्थित छवि विस्तार\n";}
				if (lan == "no") {errors += file.name +" Bildeutvidelsen støttes ikke\n";}
				if (lan == "or") {errors += file.name +" Eksteenshinii Fakkii hin deeggaramne\n";}
				if (lan == "pa") {errors += file.name +" د انځور توسیع نه ملاتړ کیږي\n";}
				if (lan == "pe") {errors += file.name +" پسوند تصویر پشتیبانی نشده است\n";}
				if (lan == "po") {errors += file.name +" Nieobsługiwane rozszerzenie obrazu\n";}
				if (lan == "pt") {errors += file.name +" Extensão de imagem não suportada\n";}
				if (lan == "ro") {errors += file.name +" Extensie imagine neacceptată\n";}
				if (lan == "ru") {errors += file.name +" Extensão de imagem não suportada\n";}
				if (lan == "zi") {errors += file.name +" Katoloso ya setshwantsho e e sa tshegediweng\n";}
				if (lan == "al") {errors += file.name +" Shtesa e imazhit e pambështetur\n";}
				if (lan == "sl") {errors += file.name +" Nepodprta razširitev slike\n";}
				if (lan == "sk") {errors += file.name +" Nepodporované rozšírenie obrázka\n";}
				if (lan == "so") {errors += file.name +" Kordhinta sawirka aan la taageerin\n";}
				if (lan == "fi") {errors += file.name +" Kuvalaajennusta ei tueta\n";}
				if (lan == "sw") {errors += file.name +" Bildtillägg stöds inte\n";}
				if (lan == "ta") {errors += file.name +" ஆதரிக்கப்படாத பட நீட்டிப்பு\n";}
				if (lan == "th") {errors += file.name +" ส่วนขยายรูปภาพที่ไม่รองรับ\n";}
				if (lan == "vi") {errors += file.name +" Phần mở rộng hình ảnh không được hỗ trợ\n";}
				if (lan == "tu") {errors += file.name +" Desteklenmeyen Görüntü uzantısı\n";}
				if (lan == "ur") {errors += file.name +" غیر تعاون یافتہ تصویری توسیع\n";}
				if (lan == "yo") {errors += file.name +" Aworan ti ko ni atilẹyin\n";}
            }
        }
    }
    if (errors) {
        alert(errors); 
    }
});


function loadimagepage() {
	window.open("image.php","_self");
}


const translations = {
	ah: {
		footer00: "እርዳታ እና በተደጋጋሚ የሚጠየቁ ጥያቄዎች.",
		footer01: "አስፈላጊ ህጎች",
		footer02: "ሀ. ማንኛውም የተጠቃሚ መለያ ምስል ያልሆነ ምስል በእሱ/ሷ መገለጫ ውስጥ ያስቀመጠ",
		footer03: "ሊታወቅ የሚችል ፊት እና ሳንቲሞችን እየሰበሰበ ነው.",
		footer04: "ለ. እራስህን አላግባብ ማቅረብ ወይም ለራስህ ድርብ አካውንት ማድረግ",
		footer05: "መለያው አንዴ ከተገኘ እንዲወገድ ያደርገዋል።",
		footer06: "ማስተባበያ",
		footer07: "1. መተግበሪያውን መቀላቀል ወይም መሞከር ማለት ይህ ተጠቃሚ ተስማምቷል ወይም ማለት አይደለም።",
		footer08: "የ1CoinH ድህረ ገጽ ሊያመለክተው የሚችለውን ማንኛውንም የፖለቲካ ሃሳብ ይደግፋል።",
		footer09: "2. ሊገኝ የሚችለውን ማንኛውንም የተጠቃሚ ውሂብ መቅዳት እና/ወይም እንደገና መጠቀም",
		footer10: "በዚህ ድህረ ገጽ ላይ - ከዚህ ድህረ ገጽ ውጭ - በጥብቅ የተከለከለ ነው.",
		footer11: "ስምምነት",
		footer12: "ይህን ድህረ ገጽ እንደ ተጠቃሚ መቀላቀል ማለት ይህን የኃላፊነት ማስተባበያ አንብበሃል ማለት ነው።",
		footer13: "እና ከላይ ባሉት 'አስፈላጊ ህጎች' እና 'የኃላፊነት ማስተባበያ' ይስማሙ።",
		footer14: "ሥነምግባር ገንዘብ",
		request:"ጥያቄ",
		agree:"ተስማማ",
		cashbook:"የገንዘብ መጽሐፍ",
		logout:"ውጣ",
		welcome:"እንኳን ደህና መጣህ",
		DText_01:"የመገለጫ ውሂብ",
		DText_02:"ፎቶህን ስቀል",
		DText_03:"jpg/png ከፍተኛ 140x140 ፒክስል!",
		DText_04:"ለውጦችን ያስቀምጡ",
		DText_05:"ሙሉ ስም",
		DText_06:"ሙሉ ስም...",
		DText_07:"የኢሜል አድራሻ",
		DText_08:"የኢሜል አድራሻ...",
		DText_09:"የተጠቃሚ ስም",
		DText_10:"የተጠቃሚ ስም...",
		DText_11:"ስህተት! እባክዎ እንደገና ይሞክሩ።",
		DText_12:"የእርስዎ ውሂብ ተዘምኗል።",
		DText_13:"ልደት",
		DText_14:"ጾታ",
		DText_15:"ቁመት...(_.__m/__ft__in)",
		DText_16:"ቁመት (_.__m/__ft__in)",
		DText_17:"ቀለም ፀጉር",
		DText_18:"ቀለም የግራ አይን",
		DText_19:"ቀለም የቀኝ ዓይን",
		DText_20:"▲ ወደ ላይ ▲",
		DText_21:"ነጭ",
		DText_22:"ዝንጅብል ቀይ ዶላር",
		DText_23:"ኦበርን ዶላር",
		DText_24:"ቡናማ ዶላር",
		DText_25:"ፈካ ያለ ደረትን",
		DText_26:"መዳብ",
		DText_27:"ፈካ ያለ ቢጫ ዶላር",
		DText_28:"የደረት ቡኒ",
		DText_29:"ብር",
		DText_30:"መካከለኛ ቢጫ",
		DText_31:"ፈካ ያለ ቡናማ",
		DText_32:"ታይታን",
		DText_33:"ጥቁር ቡናማ ዶላር",
		DText_34:"መካከለኛ ቡናማ ዶላር",
		DText_35:"ግራጫ",
		DText_36:"ወርቃማ ቡናማ ዶላር",
		DText_37:"ጥቁር ቡናማ ዶላር",
		DText_38:"ጥቁር ዶላር",
		DText_39:"እንጆሪ ቢጫ",
		DText_40:"ፀጉር የለም",
		DText_41:"አምበር",
		DText_42:"ሰማያዊ",
		DText_43:"ቡናማ",
		DText_44:"ግራጫ",
		DText_45:"አረንጓዴ ዶላር",
		DText_46:"ሃዘል ዶላር",
		DText_47:"ቀይ",
		DText_48:"ሰማያዊ ግራጫ",
		DText_49:"ሰማያዊ አረንጓዴ ዶላር",
		DText_50:"አረንጓዴ ግራጫ",
		DText_51:"አረንጓዴ ብራውን",
		DText_511:"ፕሮቴሲስ",
		DText_52:"ልዩ ባህሪያት",
		DText_54:"በሰዓት አንድ ሳንቲም ይቀበላሉ!",
		DText_55:"ሳንቲሞችን ለመቀበል ሙሉውን ቅጽ ይሙሉ!",
		male:"ወንድ",
		female:"ሴት",
		other:"ሌላ",
	},
	ar: {
		footer00: ".المساعدة والأسئلة الشائعة",
		footer01: "قواعد هامة",
		footer02: "أ. سيتم إزالة أي حساب مستخدم يضع صورة في ملفه الشخصي",
		footer03: "ليست صورة وجه يمكن التعرف عليه ويجمع العملات المعدنية.",
		footer04: "ب. تقديم معلومات خاطئة عن نفسك أو إنشاء حسابات مزدوجة",
		footer05: "لنفسك سيؤدي إلى إزالة هذا الحساب بمجرد اكتشافه.",
		footer06: "تنصل",
		footer07: "1. الانضمام إلى التطبيق أو اختباره لا يعني موافقة هذا",
		footer08: "المستخدم أو تأييده لأي أفكار سياسية قد يشير إليها موقع 1CoinH.",
		footer09: "2. يُمنع منعًا باتًا نسخ أو إعادة استخدام أي من بيانات",
		footer10: "المستخدم الموجودة على هذا الموقع - خارج هذا الموقع.",
		footer11: "اتفاق",
		footer12: "إن الانضمام إلى هذا الموقع كمستخدم يعني أنك قرأت هذا الإخلاء من",
		footer13: "المسؤولية وتوافق على 'القواعد الهامة' و'إخلاء المسؤولية' أعلاه.",
		footer14: "المال الأخلاقي",
		request: "طلب",
		agree: "يوافق",
		cashbook: "دفتر النقدية",
		logout: "تسجيل الخروج",
		welcome: "مرحباً",
		DText_01: "بيانات الملف الشخصي",
		DText_02: "قم بتحميل صورتك",
		DText_03: "jpg/png الحد الأقصى 140x140 بكسل!",
		DText_04: "حفظ التغييرات",
		DText_05: "الاسم الكامل",
		DText_06: "...الاسم الكامل",
		DText_07: "عنوان البريد الإلكتروني",
		DText_08: "...عنوان البريد الإلكتروني",
		DText_09: "اسم المستخدم",
		DText_10: "...اسم المستخدم",
		DText_11: "خطأ! يرجى المحاولة مرة أخرى.",
		DText_12: "تم تحديث بياناتك.",
		DText_13: "عيد ميلاد",
		DText_14: "جنس",
		DText_15: "(_.__m/_ft__in)...ارتفاع",
		DText_16: "(_.__m/_ft__in) ارتفاع",
		DText_17: "لون الشعر",
		DText_18: "لون العين اليسرى",
		DText_19: "لون العين اليمنى",
		DText_20: "▲ للأعلى ▲",
		DText_21: "أبيض",
		DText_22: "أحمر زنجبيل",
		DText_23: "أوبورن",
		DText_24: "أشقر",
		DText_25: "كستنائي فاتح",
		DText_26: "نحاس",
		DText_27: "أشقر فاتح",
		DText_28: "بني كستنائي",
		DText_29: "فضي",
		DText_30: "أشقر متوسط",
		DText_31: "بني فاتح",
		DText_32: "تيتان",
		DText_33: "أشقر غامق",
		DText_34: "بني متوسط",
		DText_35: "رمادي",
		DText_36: "أشقر ذهبي",
		DText_37: "بني غامق",
		DText_38: "أسود",
		DText_39: "أشقر الفراولة",
		DText_40: "لا شعر",
		DText_41: "العنبر",
		DText_42: "أزرق",
		DText_43: "بني",
		DText_44: "رمادي",
		DText_45: "أخضر",
		DText_46: "بندق",
		DText_47: "أحمر",
		DText_48: "أزرق رمادي",
		DText_49: "أزرق أخضر",
		DText_50: "أخضر رمادي",
		DText_51: "أخضر بني",
		DText_511: "طقم اصطناعي",
		DText_52: "المميزات الخاصة",
		DText_54: "ستحصل على عملة واحدة في الساعة!",
		DText_55: "إملأ النموذج بالكامل لتلقي العملات!",
		male: "ذكر",
		female: "أنثى",
		other: "آخر"
	},
	am: {
		footer00: "Օգնություն և հաճախակի տրվող հարցեր:",
		footer01: "ԿԱՐԵՎՈՐ ԿԱՆՈՆՆԵՐ",
		footer02: "A. Ցանկացած օգտվողի հաշիվ, որն իր պրոֆիլում տեղադրում է պատկեր, որը նկար չէ",
		footer03: "ճանաչելի դեմքով և մետաղադրամներ է հավաքում, կհեռացվեն:",
		footer04: "Բ. Ինքդ քեզ սխալ ներկայացնելը կամ քեզ համար կրկնակի հաշիվներ անելը",
		footer05: "հայտնաբերումից հետո այդ հաշիվը կհեռացվի:",
		footer06: "ՀՐԱԺԵՇՏՈՒՄ",
		footer07: "1. Հավելվածին միանալը կամ փորձարկելը չի նշանակում, որ այս օգտվողը համաձայն է կամ",
		footer08: "ներում է ցանկացած քաղաքական գաղափար, որը կարող է ցույց տալ 1CoinH կայքը:",
		footer09: "2. Պատճենել և/կամ վերօգտագործել օգտագործողի ցանկացած տվյալ, որը կարելի է գտնել",
		footer10: "այս կայքում - այս կայքից դուրս - խստիվ արգելված է:",
		footer11: "ՊԱՅՄԱՆԱԳԻՐ",
		footer12: "Այս կայքին որպես օգտատեր միանալը նշանակում է, որ դուք կարդացել եք այս հերքումը",
		footer13: "և համաձայնեք վերը նշված «Կարևոր կանոններին» և «Հրաժարմանը»:",
		footer14: "Էթիկական փող",
		request:"Պահանջել",
		agree:"Համաձայն եմ",
		cashbook:"Դրամարկղ",
		logout:"Դուրս գալ",
		welcome:"Բարի գալուստ",
		DText_01:"Պրոֆիլի տվյալներ",
		DText_02:"Վերբեռնեք ձեր լուսանկարը",
		DText_03:"jpg/png առավելագույնը 140x140 պիքսել",
		DText_04:"Պահպանել Փոփոխությունները",
		DText_05:"Ամբողջական անուն",
		DText_06:"Ամբողջական անուն...",
		DText_07:"Էլփոստի հասցե",
		DText_08:"Էլեկտրոնային փոստի հասցե...",
		DText_09:"Օգտվողի անունը",
		DText_10:"Օգտվողի անունը...",
		DText_11:"Սխալ. Խնդրում ենք կրկին փորձել:",
		DText_12:"Ձեր տվյալները թարմացվում են.",
		DText_13:"Ծննդյան օր",
		DText_14:"Սեռ",
		DText_15:"Բարձրություն...(_.__m/_ft__in)",
		DText_16:"Բարձրությունը (_.__m/_ft__in)",
		DText_17:"Գունավոր մազերի",
		DText_18:"Գույն ձախ աչքի",
		DText_19:"Աջ աչքի գույնը",
		DText_20:"▲ Վերև ▲",
		DText_21:"Սպիտակ",
		DText_22:"Ginger Red",
		DText_23:"Auburn",
		DText_24:"Շիկահեր",
		DText_25:"Թեթև շագանակ",
		DText_26:"Պղինձ",
		DText_27:"Բաց շիկահեր",
		DText_28:"Շագանակագույն շագանակագույն",
		DText_29:"Արծաթ",
		DText_30:"Միջին շիկահեր",
		DText_31:"Բաց շագանակագույն",
		DText_32:"Titan",
		DText_33:"Մուգ շիկահեր",
		DText_34:"Միջին շագանակագույն",
		DText_35:"Մոխրագույն",
		DText_36:"Ոսկե շիկահեր",
		DText_37:"Մուգ շագանակագույն",
		DText_38:"Սև",
		DText_39:"Ելակի շիկահեր",
		DText_40:"Մազեր չկան",
		DText_41:"Սաթ",
		DText_42:"Կապույտ",
		DText_43:"Շագանակագույն",
		DText_44:"Մոխրագույն",
		DText_45:"Կանաչ",
		DText_46:"Շագանակագույն",
		DText_47:"Կարմիր",
		DText_48:"Կապույտ Մոխրագույն",
		DText_49:"Կապույտ կանաչ",
		DText_50:"Կանաչ Մոխրագույն",
		DText_51:"Կանաչ շագանակագույն",
		DText_511:"Պրոթեզ",
		DText_52:"Հատուկ առանձնահատկություններ",
		DText_54:"Դուք ստանում եք մեկ մետաղադրամ մեկ ժամում",
		DText_55:"Մետաղադրամներ ստանալու համար լրացրեք ամբողջ ձևը",
		male:"Արական",
		female:"Իգական",
		other:"Այլ",
	},
	az: {
		footer00: "Kömək və tez-tez verilən suallar.",
		footer01: "Vacib QAYDALAR",
		footer02: "A. Profilində şəkil olmayan şəkil yerləşdirən istənilən istifadəçi hesabı",
		footer03: "tanınır bir üz və pul yığan pullar çıxarılacaq.",
		footer04: "B. Özünüzü səhv təqdim etmək və ya özünüz üçün ikiqat hesablar yaratmaq",
		footer05: "aşkar edildikdən sonra həmin hesabın silinməsi ilə nəticələnəcək.",
		footer06: "MƏDDƏT",
		footer07: "1. Proqrama qoşulmaq və ya sınaqdan keçirmək o demək deyil ki, bu istifadəçi razıdır və ya",
		footer08: "1CoinH veb-saytının göstərə biləcəyi hər hansı siyasi ideyaları qəbul edir.",
		footer09: "2. Tapıla bilən hər hansı istifadəçi məlumatının surətinin çıxarılması və/və ya təkrar istifadəsi",
		footer10: "bu internet saytında - bu vebsaytdan kənarda - qəti qadağandır.",
		footer11: "MÜQAVİLƏ",
		footer12: "Bu vebsayta istifadəçi kimi qoşulmağınız bu imtina bildirişini oxumusunuz deməkdir",
		footer13: "və yuxarıdakı 'Vacib Qaydalar' və 'İmtina etmə' ilə razılaşın.",
		footer14: "Etik pul",
		request:"tələb edin",
		agree:"Razılaş",
		cashbook:"Kassa kitabçası",
		logout:"Çıxış",
		welcome:"Xoş gəldiniz",
		DText_01:"Profil Məlumatı",
		DText_02:"Şəkilinizi yükləyin",
		DText_03:"jpg/png maksimum 140x140 piksel!",
		DText_04:"Dəyişiklikləri Saxla",
		DText_05:"Tam adı",
		DText_06:"Tam adı...",
		DText_07:"E-poçt ünvanı",
		DText_08:"E-poçt ünvanı...",
		DText_09:"İstifadəçi adı",
		DText_10:"İstifadəçi adı...",
		DText_11:"Xəta! Yenidən cəhd edin.",
		DText_12:"Məlumatlarınız yeniləndi.",
		DText_13:"Ad günü",
		DText_14:"Cins",
		DText_15:"Hündürlük...(_.__m/_ft__in)",
		DText_16:"Hündürlük (_.__m/_ft__in)",
		DText_17:"Saçların rənglənməsi",
		DText_18:"Rəng Sol Göz",
		DText_19:"Rəng Sağ Göz",
		DText_20:"▲ Yuxarı ▲",
		DText_21:"Ağ",
		DText_22:"Zəncəfil Qırmızı",
		DText_23:"Tünd qırmızı",
		DText_24:"Sarışın",
		DText_25:"Açıq şabalıd",
		DText_26:"Mis",
		DText_27:"Açıq Sarışın",
		DText_28:"Şabalıd Qəhvəyi",
		DText_29:"Gümüş",
		DText_30:"Orta Sarışın",
		DText_31:"Açıq Qəhvəyi",
		DText_32:"Titan",
		DText_33:"Tünd Sarışın",
		DText_34:"Orta Qəhvəyi",
		DText_35:"Boz",
		DText_36:"Qızıl Sarışın",
		DText_37:"Tünd Qəhvəyi",
		DText_38:"Qara",
		DText_39:"Çiyələk Sarışın",
		DText_40:"Saç yoxdur",
		DText_41:"Amber",
		DText_42:"Mavi",
		DText_43:"Qəhvəyi",
		DText_44:"Boz",
		DText_45:"Yaşıl",
		DText_46:"Hazel",
		DText_47:"Qırmızı",
		DText_48:"Mavi Boz",
		DText_49:"Mavi Yaşıl",
		DText_50:"Yaşıl Boz",
		DText_51:"Yaşıl Qəhvəyi",
		DText_511:"Protez",
		DText_52:"Xüsusi Xüsusiyyətlər",
		DText_54:"Siz saatda bir sikkə alırsınız!",
		DText_55:"Sikkələr almaq üçün bütün formanı doldurun!",
		male:"Kişi",
		female:"Qadın",
		other:"Digər",
	},
	by: {
		footer00: "Дапамога і часта задаюць пытанні.",
		footer01: "ВАЖНЫЯ ПРАВІЛЫ",
		footer02: "A. Любы ўліковы запіс карыстальніка, які размяшчае выяву ў сваім профілі, якая не з'яўляецца выявай",
		footer03: "пазнавальнага твару і збірае манеты, будуць выдалены.",
		footer04: "B. Ілжывае прадстаўленне сябе або стварэнне падвойных рахункаў для сябе",
		footer05: "прывядзе да таго, што ўліковы запіс будзе выдалены пасля выяўлення.",
		footer06: "АДМОВА АД АДКАЗНАСЦІ",
		footer07: "1. Далучэнне або тэставанне прыкладання не азначае, што гэты карыстальнік згодны або",
		footer08: "апраўдвае любыя палітычныя ідэі, якія можа паказаць вэб-сайт 1CoinH.",
		footer09: "2. Капіраванне і/або паўторнае выкарыстанне любых дадзеных карыстальніка, якія можна знайсці",
		footer10: "на гэтым сайце - па-за межамі гэтага сайта - строга забаронена.",
		footer11: "ПАГАДНЕННЕ",
		footer12: "Далучэнне да гэтага сайта ў якасці карыстальніка азначае, што вы прачыталі гэтую адмову ад адказнасці",
		footer13: "і згаджайцеся з «Важнымі правіламі» і «Адмовай ад адказнасці» вышэй.",
		footer14: "Этычныя грошы",
		request:"Запыт",
		agree:"Згодны",
		cashbook:"Касавая кніга",
		logout:"Выйсці",
		welcome:"Сардэчна запрашаем",
		DText_01:"Даныя профілю",
		DText_02:"Загрузіце сваю фатаграфію",
		DText_03:"jpg/png максімум 140x140 пікселяў!",
		DText_04:"Захаваць змены",
		DText_05:"Поўнае імя",
		DText_06:"Поўнае імя...",
		DText_07:"Адрас электроннай пошты",
		DText_08:"Адрас электроннай пошты...",
		DText_09:"Імя карыстальніка",
		DText_10:"Імя карыстальніка...",
		DText_11:"Памылка! Калі ласка, паспрабуйце яшчэ раз.",
		DText_12:"Вашы даныя абноўлены.",
		DText_13:"Дзень нараджэння",
		DText_14:"Пол",
		DText_15:"Вышыня...(_.__m/_ft__in)",
		DText_16:"Вышыня (_.__m/_ft__in)",
		DText_17:"Колер валасоў",
		DText_18:"Колер левага вока",
		DText_19:"Колер правага вока",
		DText_20:"▲ уверх ▲",
		DText_21:"Белы",
		DText_22:"Чырвоны імбір",
		DText_23:"Каштанавы",
		DText_24:"Бялявы",
		DText_25:"Светла-каштанавы",
		DText_26:"Медзь",
		DText_27:"Светла-русы",
		DText_28:"Каштанава-карычневы",
		DText_29:"Срэбныя долары",
		DText_30:"Сярэднерусы",
		DText_31:"Светла-карычневы",
		DText_32:"Тытан",
		DText_33:"Цёмна-русы",
		DText_34:"Сярэдне-карычневы",
		DText_35:"Шэры",
		DText_36:"Залаты блонд",
		DText_37:"Цёмна-карычневы",
		DText_38:"Чорны",
		DText_39:"Клубнічны блонд",
		DText_40:"Без валасоў",
		DText_41:"Янтарны долар",
		DText_42:"Сіні",
		DText_43:"Карычневы",
		DText_44:"Шэры",
		DText_45:"Зялёны",
		DText_46:"Хейзел",
		DText_47:"Чырвоны",
		DText_48:"Сіні Шэры",
		DText_49:"Сіне-зялёны",
		DText_50:"Зялёны Шэры",
		DText_51:"Зялёны карычневы",
		DText_511:"Пратэз",
		DText_52:"Асаблівасці",
		DText_54:"Вы атрымліваеце адну манету ў гадзіну!",
		DText_55:"Запоўніце ўсю форму, каб атрымаць манеты!",
		male:"Мужчынскі",
		female:"Жаночы",
		other:"Іншыя",
	},
	be: {
		footer00: "সাহায্য এবং প্রায়শই জিজ্ঞাসিত প্রশ্ন",
		footer01: "গুরুত্বপূর্ণ নিয়ম",
		footer02: "উ: যে কোনও ব্যবহারকারীর অ্যাকাউন্ট যে তার প্রোফাইলে এমন একটি ছবি রাখে",
		footer03: "যেটি একটি স্বীকৃত মুখের ছবি নয় এবং কয়েন সংগ্রহ করছে তা সরিয়ে ফেলা হবে।",
		footer04: "B. নিজেকে ভুলভাবে উপস্থাপন করা বা নিজের জন্য ডবল অ্যাকাউন্ট তৈরি",
		footer05: "করার ফলে সেই অ্যাকাউন্টটি একবার শনাক্ত হয়ে গেলে সরিয়ে দেওয়া হবে।",
		footer06: "দাবিত্যাগ",
		footer07: "1. অ্যাপটিতে যোগদান করা বা পরীক্ষা করার অর্থ এই নয় যে এই ব্যবহারকারী 1CoinH",
		footer08: "ওয়েবসাইট নির্দেশ করতে পারে এমন কোনো রাজনৈতিক ধারণার সাথে সম্মত হন বা ক্ষমা করেন।",
		footer09: "2. এই ওয়েবসাইটে পাওয়া যায় এমন কোনও ব্যবহারকারীর ডেটা কপি করা",
		footer10: "বা পুনরায় ব্যবহার করা - এই ওয়েবসাইটের বাইরে - কঠোরভাবে নিষিদ্ধ৷",
		footer11: "চুক্তি",
		footer12: "এই ওয়েবসাইটে একজন ব্যবহারকারী হিসাবে যোগদান করার অর্থ হল আপনি এই দাবিত্যাগটি",
		footer13: "পড়েছেন এবং উপরের 'গুরুত্বপূর্ণ নিয়ম' এবং 'দাবিত্যাগ'-এর সাথে সম্মত হয়েছেন।",
		footer14: "নৈতিক অর্থ",
		request: "অনুরোধ",
		agree: "একমত",
		cashbook: "ক্যাশবুক",
		logout: "লগ আউট করুন",
		welcome: "স্বাগতম",
		DText_01: "প্রোফাইল ডেটা",
		DText_02: "আপনার ছবি আপলোড করুন",
		DText_03: "jpg/png সর্বোচ্চ 140x140 পিক্সেল!",
		DText_04: "পরিবর্তনগুলি সংরক্ষণ করুন",
		DText_05: "পুরো নাম",
		DText_06: "পুরো নাম...",
		DText_07: "ই-মেইল ঠিকানা",
		DText_08: "ই-মেইল ঠিকানা...",
		DText_09: "ব্যবহারকারীর নাম",
		DText_10: "ব্যবহারকারীর নাম...",
		DText_11: "خطأ! يرجى المحاولة مرة أخرى.",
		DText_12: "আপনার তথ্য আপডেট করা হয়.",
		DText_13: "জন্মদিন",
		DText_14: "লিঙ্গ",
		DText_15: "উচ্চতা...(_.__m/_ft__in)",
		DText_16: "উচ্চতা (_.__m/_ft__in)",
		DText_17: "রঙিন চুল",
		DText_18: "বাম চোখের রঙ",
		DText_19: "ডান চোখের রঙ",
		DText_20: "▲ উপরে ▲",
		DText_21: "সাদা",
		DText_22: "আদা লাল",
		DText_23: "অবার্ন",
		DText_24: "স্বর্ণকেশী",
		DText_25: "হালকা চেস্টনাট",
		DText_26: "তামা",
		DText_27: "হালকা স্বর্ণকেশী",
		DText_28: "চেস্টনাট ব্রাউন",
		DText_29: "সিলভার",
		DText_30: "মাঝারি স্বর্ণকেশী",
		DText_31: "হালকা বাদামী",
		DText_32: "টাইটান",
		DText_33: "গাঢ় স্বর্ণকেশী",
		DText_34: "মাঝারি বাদামী",
		DText_35: "ধূসর",
		DText_36: "স্বর্ণকেশী",
		DText_37: "গাঢ় বাদামী",
		DText_38: "কালো",
		DText_39: "স্ট্রবেরি স্বর্ণকেশী",
		DText_40: "চুল নেই",
		DText_41: "অ্যাম্বার",
		DText_42: "নীল",
		DText_43: "বাদামী",
		DText_44: "ধূসর",
		DText_45: "সবুজ",
		DText_46: "হ্যাজেল",
		DText_47: "লাল",
		DText_48: "নীল ধূসর",
		DText_49: "নীল সবুজ",
		DText_50: "সবুজ ধূসর",
		DText_51: "সবুজ বাদামী",
		DText_511: "প্রস্থেসিস",
		DText_52: "বিশেষ বৈশিষ্ট্য",
		DText_54: "আপনি প্রতি ঘন্টায় একটি মুদ্রা পাবেন!",
		DText_55: "কয়েন পেতে সম্পূর্ণ ফর্ম পূরণ করুন!",
		male: "পুরুষ",
		female: "মহিলা",
		other: "অন্যান্য"
	},
	bo: {
		footer00: "সাহায্য এবং প্রায়শই জিজ্ঞাসিত প্রশ্ন",
		footer01: "গুরুত্বপূর্ণ নিয়ম",
		footer02: "উ: যে কোনও ব্যবহারকারীর অ্যাকাউন্ট যে তার প্রোফাইলে এমন একটি ছবি রাখে",
		footer03: "যেটি একটি স্বীকৃত মুখের ছবি নয় এবং কয়েন সংগ্রহ করছে তা সরিয়ে ফেলা হবে।",
		footer04: "B. নিজেকে ভুলভাবে উপস্থাপন করা বা নিজের জন্য ডবল অ্যাকাউন্ট তৈরি",
		footer05: "করার ফলে সেই অ্যাকাউন্টটি একবার শনাক্ত হয়ে গেলে সরিয়ে দেওয়া হবে।",
		footer06: "দাবিত্যাগ",
		footer07: "1. অ্যাপটিতে যোগদান করা বা পরীক্ষা করার অর্থ এই নয় যে এই ব্যবহারকারী 1CoinH",
		footer08: "ওয়েবসাইট নির্দেশ করতে পারে এমন কোনো রাজনৈতিক ধারণার সাথে সম্মত হন বা ক্ষমা করেন।",
		footer09: "2. এই ওয়েবসাইটে পাওয়া যায় এমন কোনও ব্যবহারকারীর ডেটা কপি করা",
		footer10: "বা পুনরায় ব্যবহার করা - এই ওয়েবসাইটের বাইরে - কঠোরভাবে নিষিদ্ধ৷",
		footer11: "চুক্তি",
		footer12: "এই ওয়েবসাইটে একজন ব্যবহারকারী হিসাবে যোগদান করার অর্থ হল আপনি এই দাবিত্যাগটি",
		footer13: "পড়েছেন এবং উপরের 'গুরুত্বপূর্ণ নিয়ম' এবং 'দাবিত্যাগ'-এর সাথে সম্মত হয়েছেন।",
		footer14: "নৈতিক অর্থ",
		request: "অনুরোধ",
		agree: "একমত",
		cashbook: "ক্যাশবুক",
		logout: "লগ আউট করুন",
		welcome:"Dobrodošli",
		DText_01:"Podaci o profilu",
		DText_02:"Otpremite svoju fotografiju",
		DText_03:"jpg/png max 140x140 piksela!",
		DText_04:"Sačuvaj promjene",
		DText_05:"Puno ime",
		DText_06:"Puno ime...",
		DText_07:"E-mail adresa",
		DText_08:"E-mail adresa...",
		DText_09:"Korisničko ime",
		DText_10:"Korisničko ime...",
		DText_11:"Greška! Molimo pokušajte ponovo.",
		DText_12:"Vaši podaci su ažurirani.",
		DText_13:"Rođendan",
		DText_14:"Pol",
		DText_15:"Visina...(_.__m/_ft__in)",
		DText_16:"Visina (_.__m/_ft__in)",
		DText_17:"Color Hair",
		DText_18:"Boja lijevog oka",
		DText_19:"Boja desnog oka",
		DText_20:"▲ Gore ▲",
		DText_21:"Bijelo",
		DText_22:"Ginger Crveni",
		DText_23:"Auburn",
		DText_24:"Plavuša",
		DText_25:"Light Kesten",
		DText_26:"Bakar",
		DText_27:"Svijetloplava",
		DText_28:"Kesten Braon",
		DText_29:"Srebro",
		DText_30:"Srednje plava",
		DText_31:"Svijetlo smeđa",
		DText_32:"Titan",
		DText_33:"Tamnoplava",
		DText_34:"Srednje smeđa",
		DText_35:"Siv",
		DText_36:"Zlato Plavuša",
		DText_37:"Tamno smeđa",
		DText_38:"Crna",
		DText_39:"Jagoda Plavuša",
		DText_40:"Bez kose",
		DText_41:"Amber",
		DText_42:"Plava",
		DText_43:"Braon",
		DText_44:"Siv",
		DText_45:"Zeleno",
		DText_46:"Hazel",
		DText_47:"Crveni",
		DText_48:"Plavo Siva",
		DText_49:"Plavo Zeleno",
		DText_50:"Zeleno Siv",
		DText_51:"Zeleno Braon",
		DText_511:"Proteza",
		DText_52:"Posebne karakteristike",
		DText_54:"Dobijate jedan novčić na sat!",
		DText_55:"Popunite cijeli formular da dobijete novčiće!",
		male:"Muško",
		female:"Žensko",
		other:"Ostalo",
	},
	bg: {
		footer00: "Помощ и често задавани въпроси.",
		footer01: "ВАЖНИ ПРАВИЛА",
		footer02: "A. Всеки потребителски акаунт, който поставя изображение в неговия/нейния профил, което не е снимка",
		footer03: "на разпознаваемо лице и събира монети, ще бъдат премахнати.",
		footer04: "B. Подвеждащо представяне или създаване на двойни сметки за себе си",
		footer05: "ще доведе до премахването на този акаунт, след като бъде открит.",
		footer06: "ОТКАЗ ОТ ОТГОВОРНОСТ ",
		footer07: "1. Присъединяването или тестването на приложението не означава, че този потребител е съгласен или ",
		footer08: "одобрява всякакви политически идеи, които уебсайтът на 1CoinH може да посочи.",
		footer09: "2. Копиране и/или повторно използване на потребителските данни, които могат да бъдат намерени",
		footer10: "на този уебсайт - извън този уебсайт - е строго забранено.",
		footer11: "СПОРАЗУМЕНИЕ",
		footer12: "Присъединяването към този уебсайт като потребител означава, че сте прочели този отказ от отговорност",
		footer13: "и се съгласете с „Важните правила“ и „Отказ от отговорност“ по-горе.",
		footer14: "Етични пари ",
		request:"Заявка",
		agree:"Съгласен",
		cashbook:"Касова книга",
		logout:"Излезте",
		welcome:"Добре дошли",
		DText_01:"Данни за профила",
		DText_02:"Качете вашата снимка",
		DText_03:"jpg/png максимум 140x140 пиксела!",
		DText_04:"Запазване на промените",
		DText_05:"Пълно име",
		DText_06:"Пълно име...",
		DText_07:"Имейл адрес",
		DText_08:"Имейл адрес...",
		DText_09:"Потребителско име",
		DText_10:"Потребителско име...",
		DText_11:"грешка! Моля, опитайте отново.",
		DText_12:"Вашите данни са актуализирани.",
		DText_13:"Рожден ден",
		DText_14:"Пол",
		DText_15:"Височина...(_.__m/_ft__in)",
		DText_16:"Височина (_.__m/_ft__in)",
		DText_17:"Цветна коса",
		DText_18:"Цветно ляво око",
		DText_19:"Цветно дясно око",
		DText_20:"▲ нагоре ▲",
		DText_21:"Бял",
		DText_22:"Червен джинджифил",
		DText_23:"Кестеняво",
		DText_24:"Рус",
		DText_25:"Светъл кестен",
		DText_26:"Мед",
		DText_27:"Светло русо",
		DText_28:"Кафяв кестен",
		DText_29:"Сребро",
		DText_30:"Средно русо",
		DText_31:"Светло кафяво",
		DText_32:"Титан",
		DText_33:"Тъмно русо",
		DText_34:"Средно кафяво",
		DText_35:"Сив",
		DText_36:"Златно русо",
		DText_37:"Тъмно кафяво",
		DText_38:"Черно",
		DText_39:"Ягодово русо",
		DText_40:"Без коса",
		DText_41:"Амбър",
		DText_42:"Сини",
		DText_43:"Кафяв",
		DText_44:"Сив",
		DText_45:"Зелени",
		DText_46:"Хейзъл",
		DText_47:"Червен",
		DText_48:"Синьо сиво",
		DText_49:"Синьо зелено",
		DText_50:"Зелено сиво",
		DText_51:"Зелено кафяво",
		DText_511:"Протеза",
		DText_52:"Специални характеристики",
		DText_54:"Получавате една монета на час!",
		DText_55:"Попълнете цялата форма, за да получите монети!",
		male:"Мъж",
		female:"Женски",
		other:"Други",
	},
	ca: {
		footer00: "幫手同常見問題。 ",
		footer01: "重要規則 ",
		footer02: "A. 任何用戶帳戶喺佢嘅個人檔案入面放咗張唔係圖片嘅圖片 ",
		footer03: "一個認得嘅面孔同埋收集緊硬幣嘅會被移除。 ",
		footer04: "B. 誤導自己或者為自己做雙重戶口 ",
		footer05: "會導致嗰個帳戶喺偵測到之後被移除。 ",
		footer06: "免責聲明 ",
		footer07: "1. 加入或者測試個應用程式唔代表呢個用戶同意或者 ",
		footer08: "容忍 1CoinH 網站可能指出嘅任何政治思想。 ",
		footer09: "2. 複製同/或重用任何可以搵到嘅用戶資料 ",
		footer10: "喺呢個網站上面 - 喺呢個網站之外 - 係嚴禁嘅。 ",
		footer11: "協議 ",
		footer12: "以用戶身份加入呢個網站即係你已經睇咗呢個免責聲明 ",
		footer13: "同埋同意上面嘅「重要規則」同「免責聲明」。 ",
		footer14: "道德錢 ",
		request:"要求",
		agree:"同意",
		cashbook:"現金簿",
		logout:"登出",
		welcome:"歡迎",
		DText_01:"個人檔案數據",
		DText_02:"上載你張相",
		DText_03:"jpg/png 最大140x140像素！",
		DText_04:"儲存變更",
		DText_05:"全名",
		DText_06:"全名 ...",
		DText_07:"電郵地址",
		DText_08:"電郵地址 ...",
		DText_09:"用戶名",
		DText_10:"用戶名 ...",
		DText_11:"錯誤！請再試一次。",
		DText_12:"你嘅資料已經更新咗。",
		DText_13:"生日",
		DText_14:"性別",
		DText_15:"高度 ... （_.__m/_ft__in)",
		DText_16:"高度（_.__m/_ft__in）",
		DText_17:"顏色頭髮",
		DText_18:"顏色左眼",
		DText_19:"顏色右眼",
		DText_20:"▲ 上 ▲",
		DText_21:"白色",
		DText_22:"薑紅",
		DText_23:"奧本",
		DText_24:"金髮",
		DText_25:"輕栗子",
		DText_26:"銅",
		DText_27:"淺金髮",
		DText_28:"栗子啡色",
		DText_29:"銀",
		DText_30:"中等金髮",
		DText_31:"淺啡色",
		DText_32:"泰坦",
		DText_33:"深金髮",
		DText_34:"中啡色",
		DText_35:"灰色",
		DText_36:"金金髮",
		DText_37:"深啡色",
		DText_38:"黑色",
		DText_39:"草莓金髮",
		DText_40:"冇頭髮",
		DText_41:"琥珀",
		DText_42:"藍色",
		DText_43:"啡色",
		DText_44:"灰色",
		DText_45:"綠色",
		DText_46:"榛子",
		DText_47:"紅色",
		DText_48:"藍灰色",
		DText_49:"藍綠",
		DText_50:"綠色灰色",
		DText_51:"綠色啡色",
		DText_511:"假肢",
		DText_52:"特別功能",
		DText_54:"你每個鐘收到一個硬幣！",
		DText_55:"填完整份表格就可以收到硬幣！",
		male:"男",
		female:"女性",
		other:"其他",
	},
	ch: {
		footer00: "帮助和常见问题.",
		footer01: "重要规则",
		footer02: "答：任何在其个人资料中放置非可识别面部",
		footer03: "图片且正在收集硬币的用户帐户都将被删除。",
		footer04: "B. 虚假陈述或为自己创建重复账户，",
		footer05: "一旦发现将导致该账户被删除。",
		footer06: "免责声明",
		footer07: "1. 加入或测试该应用程序并不意味着该用户同意或纵容",
		footer08: "1CoinH网站可能表明的任何政治观点。",
		footer09: "2. 严禁在本网站之外复制或重复",
		footer10: "使用任何本网站上的用户数据。",
		footer11: "协议",
		footer12: "加入本网站成为用户即表示您已阅读此免责",
		footer13: "声明并同意上述‘重要规则’和‘免责声明’。",
		footer14: "道德金钱",
		request: "要求",
		agree: "同意",
		cashbook: "现金簿",
		logout: "登出",
		welcome: "欢迎",
		DText_01: "个人资料",
		DText_02: "上传你的照片",
		DText_03: "jpg/png 最大 140x140 像素！",
		DText_04: "保存更改",
		DText_05: "姓名",
		DText_06: "姓名...",
		DText_07: "电子邮件",
		DText_08: "电子邮件...",
		DText_09: "用户名",
		DText_10: "用户名...",
		DText_11: "错误！请重试。",
		DText_12: "您的数据已更新。",
		DText_13: "生日",
		DText_14: "性别",
		DText_15: "高度...(_.__m/_ft__in)",
		DText_16: "高度 (_.__m/_ft__in)",
		DText_17: "染发",
		DText_18: "左眼颜色",
		DText_19: "右眼颜色",
		DText_20: "▲ 向上 ▲",
		DText_21: "白色的",
		DText_22: "姜红",
		DText_23: "奥本",
		DText_24: "金发",
		DText_25: "浅栗色",
		DText_26: "铜",
		DText_27: "浅金色",
		DText_28: "栗棕色",
		DText_29: "银",
		DText_30: "中等金发",
		DText_31: "浅棕色",
		DText_32: "泰坦",
		DText_33: "深金色",
		DText_34: "中棕色",
		DText_35: "灰色的",
		DText_36: "金色金发",
		DText_37: "深棕色",
		DText_38: "黑色的",
		DText_39: "草莓金发",
		DText_40: "没有头发",
		DText_41: "琥珀色",
		DText_42: "蓝色的",
		DText_43: "棕色的",
		DText_44: "灰色的",
		DText_45: "绿色的",
		DText_46: "榛",
		DText_47: "红色的",
		DText_48: "蓝灰色",
		DText_49: "蓝绿色",
		DText_50: "绿色 灰色",
		DText_51: "绿色 棕色",
		DText_511: "假肢",
		DText_52: "特殊功能",
		DText_54: "您每小时可获得一枚硬币！",
		DText_55: "填写整个表格即可领取硬币！",
		male: "男性",
		female: "女性",
		other: "其他"
	},
	cz: {
		footer00: "Nápověda a často kladené otázky. ",
		footer01: "DŮLEŽITÁ PRAVIDLA",
		footer02: "A. Jakýkoli uživatelský účet, který do svého profilu vloží obrázek, který není obrázek",
		footer03: "rozeznatelné tváře a sbírá mince budou odstraněny. ",
		footer04: "B. Uvádění nepravdivých informací o sobě nebo vytváření podvojných účtů ",
		footer05: "bude mít za následek, že po zjištění bude tento účet odstraněn. ",
		footer06: "ODMÍTNUTÍ ODPOVĚDNOSTI ",
		footer07: "1. Připojení nebo testování aplikace neznamená, že tento uživatel souhlasí nebo ",
		footer08: "schvaluje jakékoli politické myšlenky, které by mohly naznačovat webové stránky 1CoinH. ",
		footer09: "2. Kopírování a/nebo opětovné použití jakýchkoliv uživatelských dat, která lze nalézt",
		footer10: "na tomto webu - mimo tento web - je přísně zakázáno.",
		footer11: "DOHODA ",
		footer12: "Připojením se k této webové stránce jako uživatel znamená, že jste si přečetli toto prohlášení",
		footer13: "a souhlasíte s 'Důležitými pravidly' a 'Odmítnutí odpovědnosti' výše.",
		footer14: "Etické peníze ",
		request:"Žádost",
		agree:"Souhlas",
		cashbook:"Pokladní kniha",
		logout:"Odhlásit",
		welcome:"Vítejte",
		DText_01:"Údaje o profilu",
		DText_02:"Nahrajte svou fotografii",
		DText_03:"jpg/png max. 140 x 140 pixelů!",
		DText_04:"Uložit změny",
		DText_05:"Celé jméno",
		DText_06:"Celé jméno...",
		DText_07:"E-mailová adresa",
		DText_08:"E-mailová adresa...",
		DText_09:"Uživatelské jméno",
		DText_10:"Uživatelské jméno...",
		DText_11:"Chyba! Zkuste to prosím znovu.",
		DText_12:"Vaše data jsou aktualizována.",
		DText_13:"Narozeniny",
		DText_14:"Pohlaví",
		DText_15:"Výška...(_.__m/_ft__in)",
		DText_16:"Výška (_.__m/_ft__in)",
		DText_17:"Barva vlasů",
		DText_18:"Barva levého oka",
		DText_19:"Barva pravé oko",
		DText_20:"▲ nahoru ▲",
		DText_21:"Bílá",
		DText_22:"Červený zázvor",
		DText_23:"Auburn",
		DText_24:"Blond",
		DText_25:"Světlý kaštan",
		DText_26:"Měď",
		DText_27:"Světle blond",
		DText_28:"Kaštanově hnědá",
		DText_29:"Stříbro",
		DText_30:"Středně blond",
		DText_31:"Světle hnědá",
		DText_32:"Titan",
		DText_33:"Tmavě blond",
		DText_34:"Středně hnědá",
		DText_35:"Šedá",
		DText_36:"Zlatá blondýnka",
		DText_37:"Tmavě hnědá",
		DText_38:"Černá",
		DText_39:"Jahodová blond",
		DText_40:"Žádné vlasy",
		DText_41:"Jantar",
		DText_42:"Modrá",
		DText_43:"Hnědá",
		DText_44:"Šedá",
		DText_45:"Zelená",
		DText_46:"Líska",
		DText_47:"Červená",
		DText_48:"Modrá šedá",
		DText_49:"Modrá Zelená",
		DText_50:"Zelená Šedá",
		DText_51:"Zelená Hnědá",
		DText_511:"Protéza",
		DText_52:"Speciální funkce",
		DText_54:"Dostanete jednu minci za hodinu!",
		DText_55:"Vyplňte celý formulář a získejte coiny!",
		male:"Muž",
		female:"Žena",
		other:"Ostatní",
	},
	se: {
		footer00: "Помоћ и најчешћа питања.",
		footer01: "ВАЖНА ПРАВИЛА",
		footer02: "О. Било који кориснички налог који ставља слику у свој/њен профил која није слика",
		footer03: "препознатљивог лица и прикупља новчиће биће уклоњено.",
		footer04: "Б. Лажно представљање или прављење дуплих рачуна за себе",
		footer05: "ће довести до уклањања тог налога када се открије.",
		footer06: "ДИСЦЛАИМЕР",
		footer07: "1. Придруживање или тестирање апликације не значи да се овај корисник слаже или ",
		footer08: "одобрава све политичке идеје које би веб-сајт 1ЦоинХ могао назначити.",
		footer09: "2. Копирање и/или поновно коришћење било којих корисничких података који се могу пронаћи",
		footer10: "на овој веб страници - ван ове веб странице - је строго забрањено.",
		footer11: "АГРЕЕМЕНТ",
		footer12: "Придруживање овој веб страници као корисник значи да сте прочитали ово одрицање одговорности",
		footer13: "и слажете се са 'Важним правилима' и 'Одрицањем од одговорности' изнад.",
		footer14: "Етички новац",
		request:"Рекуест",
		agree:"Агрее",
		cashbook:"Цасхбоок",
		logout:"Одјавите се",
		welcome:"Велцоме",
		DText_01:"Подаци о профилу",
		DText_02:"Отпремите своју фотографију",
		DText_03:"јпг/пнг мак 140к140 пиксела!",
		DText_04:"Сачувај промене",
		DText_05:"Пуно име",
		DText_06:"Пуно име...",
		DText_07:"Е-маил адреса",
		DText_08:"Е-маил адреса...",
		DText_09:"Корисничко име",
		DText_10:"Корисничко име...",
		DText_11:"Грешка! Молимо покушајте поново.",
		DText_12:"Ваши подаци су ажурирани.",
		DText_13:"Биртхдаи",
		DText_14:"Гендер",
		DText_15:"Висина...(_.__m/_ft__in)",
		DText_16:"Висина (_.__m/_ft__in)",
		DText_17:"Цолор Хаир",
		DText_18:"Боја левог ока",
		DText_19:"Боја десног ока",
		DText_20:"▲ Горе ▲",
		DText_21:"Вхите",
		DText_22:"Гингер Ред",
		DText_23:"Аубурн",
		DText_24:"Блонд",
		DText_25:"Лигхт Цхестнут",
		DText_26:"Цоппер",
		DText_27:"Светлоплава",
		DText_28:"Цхестнут Бровн",
		DText_29:"Сребро",
		DText_30:"Средње плава",
		DText_31:"Светло смеђа",
		DText_32:"Титан",
		DText_33:"Тамноплава",
		DText_34:"Средње браон",
		DText_35:"Греи",
		DText_36:"Голд Блонд",
		DText_37:"Тамно браон",
		DText_38:"Блацк",
		DText_39:"Стравберри Блонд",
		DText_40:"Но Хаир",
		DText_41:"Амбер",
		DText_42:"Блуе",
		DText_43:"Бровн",
		DText_44:"Греи",
		DText_45:"Греен",
		DText_46:"Хазел",
		DText_47:"Ред",
		DText_48:"Блуе Греи",
		DText_49:"Блуе Греен",
		DText_50:"Греен Греи",
		DText_51:"Греен Бровн",
		DText_511:"Протеза",
		DText_52:"Специјалне карактеристике",
		DText_54:"Добијате један новчић на сат!",
		DText_55:"Попуните цео формулар да бисте добили новчиће!",
		male:"Мале",
		female:"Фемале",
		other:"Отхер",
	},
	da: {
		footer00: "Hjælp og ofte stillede spørgsmål.",
		footer01: "VIGTIGE REGLER",
		footer02: "A. Enhver brugerkonto, der sætter et billede i hans/hendes profil, som ikke er et billede",
		footer03: "af et genkendeligt ansigt og samler på mønter vil blive fjernet.",
		footer04: "B. Forkert fremstilling af dig selv eller lav dobbeltregnskab for dig selv",
		footer05: "vil resultere i, at den konto fjernes, når den først er opdaget.",
		footer06: "ANSVARSFRASKRIVELSE",
		footer07: "1. At deltage i eller teste appen betyder ikke, at denne bruger accepterer eller",
		footer08: "tolererer alle politiske ideer, som 1CoinH-webstedet måtte indikere.",
		footer09: "2. Kopiering og/eller genbrug af enhver af de brugerdata, der kan findes",
		footer10: "på denne hjemmeside - uden for denne hjemmeside - er strengt forbudt.",
		footer11: "AFTALE",
		footer12: "At tilmelde dig denne hjemmeside som bruger betyder, at du har læst denne ansvarsfraskrivelse",
		footer13: "og accepterer 'Vigtige regler' og 'Ansvarsfraskrivelse' ovenfor.",
		footer14: "Etiske Penge",
		request:"Anmod",
		agree:"Enig",
		cashbook:"Kassebog",
		logout:"Log ud",
		welcome:"Velkommen",
		DText_01:"Profildata",
		DText_02:"Upload dit foto",
		DText_03:"jpg/png maks. 140x140 pixels!",
		DText_04:"Gem ændringer",
		DText_05:"Fulde navn",
		DText_06:"Fulde navn...",
		DText_07:"E-mail adresse",
		DText_08:"E-mail-adresse...",
		DText_09:"Brugernavn",
		DText_10:"Brugernavn...",
		DText_11:"Fejl! Prøv venligst igen.",
		DText_12:"Dine data er opdateret.",
		DText_13:"Fødselsdag",
		DText_14:"Køn",
		DText_15:"Højde...(_.__m/_ft__in)",
		DText_16:"Højde (_.__m/_ft__in)",
		DText_17:"Farve Hår",
		DText_18:"Farve venstre øje",
		DText_19:"Farve højre øje",
		DText_20:"▲ Op ▲",
		DText_21:"Hvid",
		DText_22:"Ingefær rød",
		DText_23:"Auburn",
		DText_24:"Blond",
		DText_25:"Lys Kastanje",
		DText_26:"Kobber",
		DText_27:"Lys Blond",
		DText_28:"Kastanjebrun",
		DText_29:"Sølv",
		DText_30:"Mellemblond",
		DText_31:"Lysebrun",
		DText_32:"Titan",
		DText_33:"Mørkeblond",
		DText_34:"Mellem brun",
		DText_35:"Grå",
		DText_36:"Guld Blond",
		DText_37:"Mørkebrun",
		DText_38:"Sort",
		DText_39:"Strawberry Blond",
		DText_40:"Intet hår",
		DText_41:"Rav",
		DText_42:"Blå",
		DText_43:"Brun",
		DText_44:"Grå",
		DText_45:"Grøn",
		DText_46:"Hassel",
		DText_47:"Rød",
		DText_48:"Blå Grå",
		DText_49:"Blå Grøn",
		DText_50:"Grøn Grå",
		DText_51:"Grøn Brun",
		DText_511:"Protese",
		DText_52:"Særlige funktioner",
		DText_54:"Du modtager én mønt i timen!",
		DText_55:"Udfyld hele formularen for at modtage mønter!",
		male:"Mand",
		female:"Kvinde",
		other:"Andre",
	},
	de: {
		footer00: "Hilfe und häufig gestellte Fragen.",
		footer01: "WICHTIGE REGELN",
		footer02: "A. Jedes Benutzerkonto, das in sein Profil ein Bild einfügt, auf dem kein",
		footer03: "erkennbares Gesicht zu sehen ist, und das Münzen sammelt, wird entfernt.",
		footer04: "B. Wenn Sie falsche Angaben zu Ihrer Person machen oder doppelte",
		footer05: "Konten eröffnen, wird das Konto gelöscht, sobald dies erkannt wird.",
		footer06: "HAFTUNGSAUSSCHLUSS",
		footer07: "1. Die Teilnahme an der App oder das Testen dieser App bedeutet nicht, dass der Benutzer mit etwaigen",
		footer08: "politischen Ideen, die auf der 1CoinH-Website angezeigt werden, einverstanden ist oder diese duldet.",
		footer09: "2. Das Kopieren oder die Wiederverwendung jeglicher auf dieser Website",
		footer10: "befindlicher Benutzerdaten – außerhalb dieser Website – ist streng verboten.",
		footer11: "VEREINBARUNG",
		footer12: "Wenn Sie dieser Website als Benutzer beitreten, bedeutet dies, dass Sie diesen Haftungsausschluss",
		footer13: "gelesen haben und den oben aufgeführten „Wichtigen Regeln“ und dem „Haftungsausschluss“ zustimmen.",
		footer14: "Ethisches Geld",
		request: "Vorschlag",
		agree: "Zustimmen",
		cashbook: "Kassenbuch",
		logout: "Ausloggen",
		welcome: "Willkommen",
		DText_01: "Profildaten",
		DText_02: "Laden Sie Ihr Foto hoch",
		DText_03: "jpg/png max. 140x140 Pixel!",
		DText_04: "Änderungen Speichern",
		DText_05: "Vollständiger Name",
		DText_06: "Vollständiger Name...",
		DText_07: "E-Mail-Adresse",
		DText_08: "E-Mail-Adresse...",
		DText_09: "Benutzername",
		DText_10: "Benutzername...",
		DText_11: "Fehler! Bitte versuchen Sie es erneut.",
		DText_12: "Ihre Daten sind aktualisiert.",
		DText_13: "Geburtstag",
		DText_14: "Geschlecht",
		DText_15: "Länge...(_.__m/_ft__in)",
		DText_16: "Länge (_.__m/_ft__in)",
		DText_17: "Haare Färben",
		DText_18: "Farbe Linkes Auge",
		DText_19: "Farbe Rechtes Auge",
		DText_20: "▲ Nach oben ▲",
		DText_21: "Weiß",
		DText_22: "Ingwerrot",
		DText_23: "Auburn",
		DText_24: "Blond",
		DText_25: "Helles Kastanienbraun",
		DText_26: "Kupfer",
		DText_27: "Hellblond",
		DText_28: "Kastanienbraun",
		DText_29: "Silber",
		DText_30: "Mittelblond",
		DText_31: "Hellbraun",
		DText_32: "Titan",
		DText_33: "Dunkelblond",
		DText_34: "Mittelbraun",
		DText_35: "Grau",
		DText_36: "Goldblond",
		DText_37: "Dunkelbraun",
		DText_38: "Schwarz",
		DText_39: "Rotblond",
		DText_40: "Keine Haare",
		DText_41: "Bernstein",
		DText_42: "Blau",
		DText_43: "Braun",
		DText_44: "Grau",
		DText_45: "Grün",
		DText_46: "Hasel",
		DText_47: "Rot",
		DText_48: "Blau Grau",
		DText_49: "Blau Grün",
		DText_50: "Grün Grau",
		DText_51: "Grün Braun",
		DText_511: "Prothese",
		DText_52: "Besondere Merkmale",
		DText_54: "Sie erhalten eine Münze pro Stunde!",
		DText_55: "Füllen Sie das gesamte Formular aus, um Münzen zu erhalten!",
		male: "Männlich",
		female: "Weiblich",
		other: "Andere"
	},
	en: {
		footer00: "Help and frequently asked questions.",
		footer01: "IMPORTANT RULES",
		footer02: "A. Any user account that puts an image in his/her profile that isn't a picture",
		footer03: "of a recognizable face and is collecting coins will be removed.",
		footer04: "B. Misrepresenting yourself or making double accounts for yourself",
		footer05: "will result in that account to be removed once detected.",
		footer06: "DISCLAIMER",
		footer07: "1. Joining or testing the app does not mean that this user agrees or",
		footer08: "condones any political ideas the 1CoinH website might indicate.",
		footer09: "2. Copying and/or reusing any of the userdata that can be found",
		footer10: "on this website - outside this website - is strictly forbidden.",
		footer11: "AGREEMENT",
		footer12: "Joining this website as a user means you have read this disclaimer",
		footer13: "and agree to the 'Important Rules' and 'Disclaimer' above.",
		footer14: "Ethical Money",
		request: "Request",
		agree: "Agree",
		cashbook: "Cashbook",
		logout: "Log Out",
		welcome: "Welcome",
		DText_01: "Profile Data",
		DText_02: "Upload your photo",
		DText_03: "jpg/png max 140x140 pixels!",
		DText_04: "Save Changes",
		DText_05: "Full name",
		DText_06: "Full name...",
		DText_07: "E-mail address",
		DText_08: "E-mail address...",
		DText_09: "Username",
		DText_10: "Username...",
		DText_11: "Error! Please try again.",
		DText_12: "Your data is updated.",
		DText_13: "Birthday",
		DText_14: "Gender",
		DText_15: "Height...(_.__m/_ft__in)",
		DText_16: "Height (_.__m/_ft__in)",
		DText_17: "Color Hair",
		DText_18: "Color Left Eye",
		DText_19: "Color Right Eye",
		DText_20: "▲ Up ▲",
		DText_21: "White",
		DText_22: "Ginger Red",
		DText_23: "Auburn",
		DText_24: "Blond",
		DText_25: "Light Chestnut",
		DText_26: "Copper",
		DText_27: "Light Blond",
		DText_28: "Chestnut Brown",
		DText_29: "Silver",
		DText_30: "Medium Blond",
		DText_31: "Light Brown",
		DText_32: "Titan",
		DText_33: "Dark Blond",
		DText_34: "Medium Brown",
		DText_35: "Gray",
		DText_36: "Gold Blond",
		DText_37: "Dark Brown",
		DText_38: "Black",
		DText_39: "Strawberry Blond",
		DText_40: "No Hair",
		DText_41: "Amber",
		DText_42: "Blue",
		DText_43: "Brown",
		DText_44: "Gray",
		DText_45: "Green",
		DText_46: "Hazel",
		DText_47: "Red",
		DText_48: "Blue Gray",
		DText_49: "Blue Green",
		DText_50: "Green Gray",
		DText_51: "Green Brown",
		DText_511: "Prosthesis",
		DText_52: "Special Features",
		DText_54: "You receive one coin per hour!",
		DText_55: "Fill entire form to receive coins!",
		male: "Male",
		female: "Female",
		other: "Other"
	},
	es: {
		footer00: "Ayuda y preguntas frecuentes.",
		footer01: "REGLAS IMPORTANTES",
		footer02: "A. Cualquier cuenta de usuario que coloque una imagen en su perfil que no sea",
		footer03: "una foto de una cara reconocible y esté recolectando monedas será eliminada.",
		footer04: "B. Dar una identidad falsa o crear cuentas dobles tendrá como",
		footer05: "resultado que la cuenta sea eliminada una vez detectada.",
		footer06: "DESCARGO DE RESPONSABILIDAD",
		footer07: "1. Unirse o probar la aplicación no significa que este usuario esté de acuerdo",
		footer08: "o apruebe cualquier idea política que el sitio web 1CoinH pueda indicar.",
		footer09: "2. Queda terminantemente prohibido copiar o reutilizar cualquiera de los",
		footer10: "datos de usuario que se encuentren en este sitio web –fuera del mismo-.",
		footer11: "ACUERDO",
		footer12: "Unirse a este sitio web como usuario significa que ha leído este descargo de responsabilidad",
		footer13: "y acepta las 'Reglas importantes' y el 'Descargo de responsabilidad' anteriores.",
		footer14: "Dinero ético",
		request: "Pedido",
		agree: "Aceptar",
		cashbook: "Libro De Caja",
		logout: "Finalizar La Sesión",
		welcome: "Bienvenida",
		DText_01: "Datos Del Perfil",
		DText_02: "Sube tu foto",
		DText_03: "¡jpg/png máximo 140x140 píxeles!",
		DText_04: "Guardar Cambios",
		DText_05: "Nombre completoNombre completo...",
		DText_06: "Nombre completo...",
		DText_07: "Dirección de correo electrónico",
		DText_08: "Dirección de correo electrónico...",
		DText_09: "Nombre de usuario",
		DText_10: "Nombre de usuario...",
		DText_11: "¡Error! Inténtalo de nuevo.",
		DText_12: "Sus datos están actualizados.",
		DText_13: "Cumpleaños",
		DText_14: "Género",
		DText_15: "Altura...(_.__m/_ft__in)",
		DText_16: "Altura (_.__m/_ft__in)",
		DText_17: "Cabello De Color",
		DText_18: "Color Del Ojo Izquierdo",
		DText_19: "Color Del Ojo Derecho",
		DText_20: "▲ Arriba ▲",
		DText_21: "Blanco",
		DText_22: "Jengibre Rojo",
		DText_23: "Castaño",
		DText_24: "Rubio",
		DText_25: "Castaño Claro",
		DText_26: "Cobre",
		DText_27: "Rubio Claro",
		DText_28: "Marrón Castaño",
		DText_29: "Plata",
		DText_30: "Rubio Medio",
		DText_31: "Marrón Claro",
		DText_32: "Titán",
		DText_33: "Rubio Oscuro",
		DText_34: "Marrón Medio",
		DText_35: "Gris",
		DText_36: "Rubio Dorado",
		DText_37: "Marrón Oscuro",
		DText_38: "Negro",
		DText_39: "Rubio fresa",
		DText_40: "Sin Pelo",
		DText_41: "Ámbar",
		DText_42: "Azul",
		DText_43: "Marrón",
		DText_44: "Gris",
		DText_45: "Verde",
		DText_46: "Color Avellana",
		DText_47: "Rojo",
		DText_48: "Azul Grisáceo",
		DText_49: "Azul verde",
		DText_50: "Verde Gris",
		DText_51: "Verde Marrón",
		DText_511: "Prótesis",
		DText_52: "Características Especiales",
		DText_54: "¡Recibes una moneda por hora!",
		DText_55: "¡Rellena todo el formulario para recibir monedas!",
		male: "Masculino",
		female: "Femenina",
		other: "Otra"
	},
	fp: {
		footer00: "Tulong at mga madalas itanong.",
		footer01: "MAHALAGANG PANUNTUNAN",
		footer02: "A. Anumang user account na naglalagay ng larawan sa kanyang profile na hindi isang larawan",
		footer03: "ng isang nakikilalang mukha at nangongolekta ng mga barya ay aalisin.",
		footer04: "B. Maling pagkatawan sa iyong sarili o paggawa ng dobleng account para sa iyong sarili",
		footer05: "ay magreresulta sa account na iyon na maalis kapag natukoy.",
		footer06: "DISCLAIMER",
		footer07: "1. Ang pagsali o pagsubok sa app ay hindi nangangahulugan na ang user na ito ay sumasang-ayon o",
		footer08: "kinukunsinti ang anumang pampulitikang ideya na maaaring ipahiwatig ng 1CoinH website.",
		footer09: "2. Pagkopya at/o muling paggamit ng alinman sa data ng gumagamit na mahahanap",
		footer10: "sa website na ito - sa labas ng website na ito - ay mahigpit na ipinagbabawal.",
		footer11: "KASUNDUAN",
		footer12: "Ang pagsali sa website na ito bilang isang user ay nangangahulugan na nabasa mo ang disclaimer na ito",
		footer13: "at sumang-ayon sa 'Mahahalagang Panuntunan' at 'Disclaimer' sa itaas.",
		footer14: "Etikal na Pera",
		request:"Kahilingan",
		agree:"Sumasang-ayon",
		cashbook:"Cashbook",
		logout:"Mag-log Out",
		welcome:"Maligayang pagdating",
		DText_01:"Data ng Profile",
		DText_02:"I-upload ang iyong larawan",
		DText_03:"jpg/png max 140x140 pixels!",
		DText_04:"I-save ang Mga Pagbabago",
		DText_05:"Buong pangalan",
		DText_06:"Buong pangalan...",
		DText_07:"E-mail address",
		DText_08:"E-mail address...",
		DText_09:"Username",
		DText_10:"Username...",
		DText_11:"Error! Pakisubukang muli.",
		DText_12:"Ang iyong data ay na-update.",
		DText_13:"Kaarawan",
		DText_14:"Kasarian",
		DText_15:"Taas...(_.__m/_ft__in)",
		DText_16:"Taas (_.__m/_ft__in)",
		DText_17:"Kulay ng Buhok",
		DText_18:"Kulay ng Kaliwang Mata",
		DText_19:"Kulay ng Kanang Mata",
		DText_20:"▲ Taas ▲",
		DText_21:"Puti",
		DText_22:"Ginger Red",
		DText_23:"Auburn",
		DText_24:"Blond",
		DText_25:"Banayad na Chestnut",
		DText_26:"Copper",
		DText_27:"Banayad na Blond",
		DText_28:"Chestnut Brown",
		DText_29:"Pilak",
		DText_30:"Katamtamang Blond",
		DText_31:"Banayad na Kayumanggi",
		DText_32:"Titan",
		DText_33:"Dark Blond",
		DText_34:"Katamtamang Kayumanggi",
		DText_35:"Gray",
		DText_36:"Gintong Ginto",
		DText_37:"Maitim na Kayumanggi",
		DText_38:"Itim",
		DText_39:"Strawberry Blond",
		DText_40:"Walang Buhok",
		DText_41:"Amber",
		DText_42:"Asul",
		DText_43:"kayumanggi",
		DText_44:"Gray",
		DText_45:"Berde",
		DText_46:"Hazel",
		DText_47:"Pula",
		DText_48:"Asul na Gray",
		DText_49:"Asul na Berde",
		DText_50:"Berde Gray",
		DText_51:"Berde Kayumanggi",
		DText_511:"Prosthesis",
		DText_52:"Mga Espesyal na Tampok",
		DText_54:"Makakatanggap ka ng isang barya kada oras!",
		DText_55:"Punan ang buong form para makatanggap ng mga barya!",
		male:"Lalaki",
		female:"Babae",
		other:"Iba pang",
	},
	fr: {
		footer00: "Aide et questions fréquemment posées.",
		footer01: "RÈGLES IMPORTANTES",
		footer02: "A. Tout compte d'utilisateur qui met une image dans son profil qui n'est pas",
		footer03: "une photo d'un visage reconnaissable et qui collecte des pièces sera supprimé.",
		footer04: "B. Toute fausse déclaration ou création de doubles comptes pour",
		footer05: "vous-même entraînera la suppression de ce compte une fois détecté.",
		footer06: "CLAUSE DE NON-RESPONSABILITÉ",
		footer07: "1. Rejoindre ou tester l'application ne signifie pas que cet utilisateur accepte",
		footer08: "ou cautionne les idées politiques que le site Web 1CoinH pourrait indiquer.",
		footer09: "2. La copie ou la réutilisation des données utilisateur disponibles",
		footer10: "sur ce site Web - en dehors de ce site Web - est strictement interdite.",
		footer11: "ACCORD",
		footer12: "En rejoignant ce site Web en tant qu'utilisateur, vous signifiez que vous avez lu cette clause de non-",
		footer13: "responsabilité et que vous acceptez les « Règles importantes » et la « Clause de non-responsabilité » ci-dessus.",
		footer14: "L'argent éthique",
		request: "Demande",
		agree: "Accepter",
		cashbook: "Livre De Caisse",
		logout: "Déconnexion",
		welcome: "Bienvenue",
		DText_01: "Données De Profil",
		DText_02: "Téléchargez votre photo",
		DText_03: "jpg/png max 140x140 pixels!",
		DText_04: "Enregistrer Les Modifications",
		DText_05: "Nom et prénom",
		DText_06: "Nom et prénom...",
		DText_07: "Adresse email",
		DText_08: "Adresse email...",
		DText_09: "Nom d'utilisateur",
		DText_10: "Nom d'utilisateur...",
		DText_11: "Erreur ! Veuillez réessayer.",
		DText_12: "Vos données sont mises à jour.",
		DText_13: "Anniversaire",
		DText_14: "Genre",
		DText_15: "Hauteur...(_.__m/_ft__in)",
		DText_16: "Hauteur (_.__m/_ft__in)",
		DText_17: "Couleur Des Cheveux",
		DText_18: "Couleur De l'Œil Gauche",
		DText_19: "Couleur De l'Œil Droit",
		DText_20: "▲ Haut ▲",
		DText_21: "Blanc",
		DText_22: "Rouge Gingembre",
		DText_23: "Auburn",
		DText_24: "Blond",
		DText_25: "Châtain Clair",
		DText_26: "Cuivre",
		DText_27: "Blond Clair",
		DText_28: "Marron Châtain",
		DText_29: "Argent",
		DText_30: "Blond Moyen",
		DText_31: "Brun Clair",
		DText_32: "Titan",
		DText_33: "Blond Foncé",
		DText_34: "Brun Moyen",
		DText_35: "Gris",
		DText_36: "Blond Doré",
		DText_37: "Brun Foncé",
		DText_38: "Noir",
		DText_39: "Blond Vénitien",
		DText_40: "Pas De Cheveux",
		DText_41: "Ambre",
		DText_42: "Bleu",
		DText_43: "Brun",
		DText_44: "Gris",
		DText_45: "Vert",
		DText_46: "Noisette",
		DText_47: "Rouge",
		DText_48: "Bleu Gris",
		DText_49: "Bleu Vert",
		DText_50: "Vert Gris",
		DText_51: "Vert Marron",
		DText_511: "Prothèse",
		DText_52: "Caractéristiques Spéciales",
		DText_54: "Vous recevez une pièce par heure !",
		DText_55: "Remplissez l'intégralité du formulaire pour recevoir des pièces !",
		male: "Mâle",
		female: "Femelle",
		other: "Autre"
	},
	ir: {
		footer00: "Cabhair agus ceisteanna coitianta.",
		footer01: "RIALACHA TÁBHACHTACHA",
		footer02: "A. Aon chuntas úsáideora a chuireann íomhá ina bpróifíl nach pictiúr é",
		footer03: "d'aghaidh so-aitheanta agus atá ag bailiú boinn bainfear é.",
		footer04: "B. Tú féin a mhíléiriú nó cuntais dhúbailte a dhéanamh duit féin",
		footer05: "bainfear an cuntas sin nuair a bhraitear é.",
		footer06: "SÉANADH",
		footer07: "1. Ní chiallaíonn sé sin go n-aontaíonn an t-úsáideoir seo nó nuair a théann tú isteach san aip nó é a thástáil",
		footer08: "ghéilleann aon smaointe polaitiúla a d'fhéadfadh láithreán Gréasáin 1CoinH a léiriú.",
		footer09: "2. Ag cóipeáil agus/nó ag athúsáid aon cheann de na sonraí úsáideora is féidir a fháil",
		footer10: "ar an suíomh Gréasáin seo - lasmuigh den suíomh Gréasáin seo - tá cosc iomlán air.",
		footer11: "COMHAONTÚ",
		footer12: "Má ghlactar leis an suíomh Gréasáin seo mar úsáideoir, tá an séanadh seo léite agat",
		footer13: "agus aontú leis na 'Rialacha Tábhachtacha' agus 'Séanadh' thuas.",
		footer14: "Airgead Eiticiúil",
		request:"Iarratas",
		agree:"Aontaigh",
		cashbook:"Leabhar airgid",
		logout:"Logáil Amach",
		welcome:"Fáilte",
		DText_01:"Sonraí Próifíl",
		DText_02:"Uaslódáil do ghrianghraf",
		DText_03:"jpg/png max 140x140 picteilín!",
		DText_04:"Sábháil na hAthruithe",
		DText_05:"Ainm iomlán",
		DText_06:"Ainm iomlán...",
		DText_07:"Seoladh r-phoist",
		DText_08:"Seoladh r-phoist...",
		DText_09:"Ainm úsáideora",
		DText_10:"Ainm úsáideora...",
		DText_11:"Earráid! Bain triail eile as.",
		DText_12:"Nuashonraíodh do shonraí.",
		DText_13:"Breithlá",
		DText_14:"Inscne",
		DText_15:"Airde...(_.__m/_ft__in)",
		DText_16:"Airde (_.__m/_ft__in)",
		DText_17:"Dath Gruaige",
		DText_18:"Dath an tSúil Chlé",
		DText_19:"Dath Súil Dheis",
		DText_20:"▲ Suas ▲",
		DText_21:"Bán",
		DText_22:"Sinséar Dearg",
		DText_23:"Auburn",
		DText_24:"fionn",
		DText_25:"Castán éadrom",
		DText_26:"Copar",
		DText_27:"Blond Éadrom",
		DText_28:"Castán Donn",
		DText_29:"Airgead",
		DText_30:"Meánach fionn",
		DText_31:"Donn Éadrom",
		DText_32:"Tíotán",
		DText_33:"Dath Dorcha",
		DText_34:"Meándonn",
		DText_35:"Liath",
		DText_36:"Fionn Óir",
		DText_37:"Donn Dorcha",
		DText_38:"Dubh",
		DText_39:"Sútha talún fionn",
		DText_40:"Gan ghruaig",
		DText_41:"Ómra",
		DText_42:"Gorm",
		DText_43:"Donn",
		DText_44:"Liath",
		DText_45:"Glas",
		DText_46:"Coll",
		DText_47:"Dearg",
		DText_48:"Gorm Liath",
		DText_49:"Gorm Glas",
		DText_50:"Glas Liath",
		DText_51:"Glas Donn",
		DText_511:"Próistéis",
		DText_52:"Gnéithe Speisialta",
		DText_54:"Faigheann tú bonn amháin in aghaidh na huaire!",
		DText_55:"Líon an fhoirm iomlán chun boinn a fháil!",
		male:"Fireann",
		female:"Mná",
		other:"Eile",
	},
	gr: {
		footer00: "Βοήθεια και Συχνές Ερωτήσεις.",
		footer01: "ΣΗΜΑΝΤΙΚΟΙ ΚΑΝΟΝΕΣ",
		footer02: "Α. Οποιοσδήποτε λογαριασμός χρήστη τοποθετεί μια εικόνα στο προφίλ του/της που",
		footer03: "δεν είναι εικόνα αναγνωρίσιμου προσώπου και συλλέγει νομίσματα θα αφαιρείται.",
		footer04: "Β. Η παραπλανητική παρουσίαση του εαυτού σας ή η δημιουργία διπλών λογαριασμών για τον",
		footer05: "εαυτό σας θα έχει ως αποτέλεσμα την κατάργηση αυτού του λογαριασμού μόλις εντοπιστεί.",
		footer06: "ΑΡΝΗΣΗ",
		footer07: "1. Η συμμετοχή ή η δοκιμή της εφαρμογής δεν σημαίνει ότι αυτός ο χρήστης συμφωνεί ή",
		footer08: "αποδοκιμάζει τυχόν πολιτικές ιδέες που μπορεί να υποδείξει ο ιστότοπος 1CoinH.",
		footer09: "2. Απαγορεύεται αυστηρά η αντιγραφή ή η επαναχρησιμοποίηση οποιουδήποτε από τα",
		footer10: "δεδομένα χρήστη που βρίσκονται σε αυτόν τον ιστότοπο - εκτός αυτού του ιστότοπου.",
		footer11: "ΣΥΜΦΩΝΙΑ",
		footer12: "Η εγγραφή σε αυτόν τον ιστότοπο ως χρήστης σημαίνει ότι έχετε διαβάσει αυτήν την αποποίηση",
		footer13: "ευθυνών και συμφωνείτε με τους «Σημαντικούς κανόνες» και την «Αποποίηση ευθυνών» παραπάνω.",
		footer14: "Ηθικά χρήματα",
		request: "Αίτηση",
		agree: "Συμφωνώ",
		cashbook: "Βιβλίο ταμείου",
		logout: "Έξοδος",
		welcome: "Καλωσόρισμα",
		DText_01: "Δεδομένα προφίλ",
		DText_02: "Ανεβάστε τη φωτογραφία σας",
		DText_03: "jpg/png μέγιστο 140x140 pixel!",
		DText_04: "Αποθήκευση αλλαγών",
		DText_05: "Ονοματεπώνυμο",
		DText_06: "Ονοματεπώνυμο...",
		DText_07: "Διεύθυνση ηλεκτρονικού ταχυδρομείου",
		DText_08: "Διεύθυνση ηλεκτρονικού ταχυδρομείου...",
		DText_09: "Όνομα χρήστη",
		DText_10: "Όνομα χρήστη...",
		DText_11: "Σφάλμα! Δοκιμάστε ξανά.",
		DText_12: "Τα δεδομένα σας ενημερώθηκαν.",
		DText_13: "Γενέθλια",
		DText_14: "Γένος",
		DText_15: "Υψος...(_.__m/_ft__in)",
		DText_16: "Υψος (_.__m/_ft__in)",
		DText_17: "Χρώμα μαλλιών",
		DText_18: "Χρώμα αριστερό μάτι",
		DText_19: "Χρώμα Δεξί Μάτι",
		DText_20: "▲ Πάνω ▲",
		DText_21: "Λευκό",
		DText_22: "Τζίντζερ Κόκκινο",
		DText_23: "Πυρόξανθος",
		DText_24: "Ξανθός",
		DText_25: "Ανοιχτό κάστανο",
		DText_26: "Χαλκός",
		DText_27: "Ανοιχτό ξανθό",
		DText_28: "Καστανιά καφέ",
		DText_29: "Ασήμι",
		DText_30: "Μεσαίο ξανθό",
		DText_31: "Ανοιχτό καφέ",
		DText_32: "Τιτάν",
		DText_33: "Σκούρο Ξανθό",
		DText_34: "Μεσαίο καφέ",
		DText_35: "Γκρί",
		DText_36: "Χρυσό ξανθό",
		DText_37: "Σκούρο Καφέ",
		DText_38: "Μαύρος",
		DText_39: "Ξανθό κόκκινο",
		DText_40: "Χωρίς μαλλιά",
		DText_41: "Κεχριμπάρι",
		DText_42: "Μπλε",
		DText_43: "Καστανός",
		DText_44: "Γκρί",
		DText_45: "Πράσινος",
		DText_46: "Φουντουκιά",
		DText_47: "Κόκκινος",
		DText_48: "Μπλε Γκρι",
		DText_49: "Μπλε Πράσινο",
		DText_50: "Πράσινο Γκρι",
		DText_51: "Πράσινο καφέ",
		DText_511: "Προσθετική",
		DText_52: "Ειδικά Χαρακτηριστικά",
		DText_54: "Λαμβάνετε ένα νόμισμα την ώρα!",
		DText_55: "Συμπληρώστε ολόκληρη τη φόρμα για να λάβετε νομίσματα!",
		male: "Αρσενικός",
		female: "Θηλυκός",
		other: "Αλλος"
	},
	ha: {
		footer00: "Taimako da Tambayoyin da ake yawan yi.",
		footer01: "MUHIMMAN KA'IDOJI",
		footer02: "A. Duk wani asusun mai amfani da ya sanya hoto a cikin bayanansa wanda ba",
		footer03: "hoton fuskar da ba za a iya gane shi ba kuma yana tara tsabar kudi za a cire.",
		footer04: ". Batar da kanku ko yin asusu biyu don kanku",
		footer05: "zai haifar da cire wannan asusun da zarar an gano.",
		footer06: "RA'AYI",
		footer07: "1. Shiga ko gwada app ɗin baya nufin cewa wannan mai amfani ya yarda ko",
		footer08: "ya yarda da duk wani ra'ayin siyasa da gidan yanar gizon 1CoinH zai iya nunawa.",
		footer09: "2. Kwafi ko sake amfani da duk wani bayanan mai amfani da za a iya samu akan",
		footer10: "wannan gidan yanar gizon - a wajen wannan gidan yanar gizon - haramun ne.",
		footer11: "YARJEJI",
		footer12: "Shiga wannan gidan yanar gizon a matsayin mai amfani yana nufin kun karanta",
		footer13: "wannan ɓatanci kuma kun yarda da 'Muhimman Dokoki' da 'Kiyayewa' a sama.",
		footer14: "Kudi na Da'a",
		request: "Nema",
		agree: "Yarda",
		cashbook: "Littafin Kuɗi",
		logout: "Fita",
		welcome: "Barka Da Zuwa",
		DText_01: "Bayanan Bayani",
		DText_02: "Sanya hoton ku",
		DText_03: "jpg/png max 140x140 pixels!",
		DText_04: "Ajiye Canje-canje",
		DText_05: "Cikakken suna",
		DText_06: "Cikakken suna...",
		DText_07: "Adireshin i-mel",
		DText_08: "Adireshin i-mel...",
		DText_09: "Sunan mai amfani",
		DText_10: "Sunan mai amfani...",
		DText_11: "Kuskure! Da fatan za a sake gwadawa.",
		DText_12: "An sabunta bayanan ku.",
		DText_13: "Ranar haihuwa",
		DText_14: "Jinsi",
		DText_15: "Tsayi...(_.__m/_ft__in)",
		DText_16: "Tsayi (_.__m/_ft__in)",
		DText_17: "Launi Gashi",
		DText_18: "Idon Hagu Launi",
		DText_19: "Idon Dama Launi",
		DText_20: "▲ Sama ▲",
		DText_21: "Fari",
		DText_22: "Ginger Red",
		DText_23: "Auburn",
		DText_24: "Blondi",
		DText_25: "Hasken Kirji",
		DText_26: "Copper",
		DText_27: "Hasken Blon",
		DText_28: "Ruwan Kirji",
		DText_29: "Azurfa",
		DText_30: "Matsakaici Blond",
		DText_31: "Launi Mai Haske",
		DText_32: "Titan",
		DText_33: "Duhun Blon",
		DText_34: "Matsakaici Brown",
		DText_35: "Grey",
		DText_36: "Zinariya Blon",
		DText_37: "Dark Brown",
		DText_38: "Baki",
		DText_39: "Strawberry Blond",
		DText_40: "Babu Gashi",
		DText_41: "Amber",
		DText_42: "Blue",
		DText_43: "Brown",
		DText_44: "Grey",
		DText_45: "Kore",
		DText_46: "Hazel",
		DText_47: "Ja",
		DText_48: "Blue Grey",
		DText_49: "Blue Green",
		DText_50: "Green Grey",
		DText_51: "Koren Brown",
		DText_511: "Prosthesis",
		DText_52: "Siffofin Musamman",
		DText_54: "Kuna karɓar tsabar kuɗi ɗaya a kowace awa!",
		DText_55: "Cika duka fom don karɓar tsabar kudi!",
		male: "Namiji",
		female: "Mace",
		other: "Sauran"
	},
	he: {
		footer00: "עזרה ושאלות נפוצות.",
		footer01: "כללים חשובים",
		footer02: "א. כל חשבון משתמש שמכניס לפרופיל שלו/ה תמונה",
		footer03: "שאינה תמונה של פרצוף מזוהה ואוסף מטבעות יוסר.",
		footer04: "ב. מצג שווא של עצמך או יצירת חשבונות כפולים",
		footer05: "לעצמך יביאו להסרה של חשבון זה לאחר זיהוי.",
		footer06: "כתב ויתור",
		footer07: "1. הצטרפות או בדיקה של האפליקציה לא אומרת שמשתמש זה מסכים או",
		footer08: "מביע הסכמה לרעיונות פוליטיים שהאתר 1CoinH עשוי להצביע עליו.",
		footer09: "2. העתקה או שימוש חוזר בכל אחד מנתוני המשתמש",
		footer10: "שניתן למצוא באתר זה - מחוץ לאתר זה - אסורה בהחלט.",
		footer11: "הֶסכֵּם",
		footer12: "הצטרפות לאתר זה כמשתמש פירושה שקראת כתב",
		footer13: "ויתור זה והסכמת ל'כללים חשובים' ו'כתב ויתור' לעיל.",
		footer14: "כסף אתי",
		request: "בַּקָשָׁה",
		agree: "לְהַסכִּים",
		cashbook: "קופה",
		logout: "התנתק",
		welcome: "קַבָּלַת פָּנִים",
		DText_01: "נתוני פרופיל",
		DText_02: "העלה את התמונה שלך",
		DText_03: "jpg/png מקסימום 140x140 פיקסלים!",
		DText_04: "שמור שינויים",
		DText_05: "שם מלא",
		DText_06: "...שם מלא",
		DText_07: "כתובת דואר אלקטרוני",
		DText_08: "...כתובת דואר אלקטרוני",
		DText_09: "שם משתמש",
		DText_10: "...שם משתמש",
		DText_11: "שְׁגִיאָה! אנא נסה שוב.",
		DText_12: "הנתונים שלך מעודכנים.",
		DText_13: "יוֹם הוּלֶדֶת",
		DText_14: "מִין",
		DText_15: "(_.__m/_ft__in)...גוֹבַה",
		DText_16: "(_.__m/_ft__in) גוֹבַה",
		DText_17: "צבע שיער",
		DText_18: "צבע עין שמאל",
		DText_19: "צבע עין ימין",
		DText_20: "▲ למעלה ▲",
		DText_21: "לָבָן",
		DText_22: "ג'ינג'ר אדום",
		DText_23: "אובורן",
		DText_24: "בלונדיני",
		DText_25: "ערמון בהיר",
		DText_26: "נְחוֹשֶׁת",
		DText_27: "בלונד בהיר",
		DText_28: "חום ערמון",
		DText_29: "כֶּסֶף",
		DText_30: "בלונדינית בינונית",
		DText_31: "חום בהיר",
		DText_32: "עֲנָק",
		DText_33: "בלונדיני כהה",
		DText_34: "חום בינוני",
		DText_35: "אָפוֹר",
		DText_36: "זהב בלונדיני",
		DText_37: "חוּם כֵּהֶה",
		DText_38: "שָׁחוֹר",
		DText_39: "בלונד תות",
		DText_40: "ללא שיער",
		DText_41: "עַנבָּר",
		DText_42: "כְּחוֹל",
		DText_43: "חוּם",
		DText_44: "אָפוֹר",
		DText_45: "יָרוֹק",
		DText_46: "לוּז",
		DText_47: "אָדוֹם",
		DText_48: "כחול אפור",
		DText_49: "כחול ירוק",
		DText_50: "ירוק אפור",
		DText_51: "חום ירוק",
		DText_511: "תוֹתֶבֶת",
		DText_52: "תכונות מיוחדות",
		DText_54: "אתה מקבל מטבע אחד לשעה!",
		DText_55: "מלא את הטופס כולו כדי לקבל מטבעות!",
		male: "זָכָר",
		female: "נְקֵבָה",
		other: "אַחֵר"
	},
	hi: {
		footer00: "सहायता एवं अक्सर पूछे जाने वाले प्रश्न.",
		footer01: "महत्वपूर्ण नियम",
		footer02: "A. कोई भी उपयोगकर्ता खाता जो अपनी प्रोफ़ाइल में कोई ऐसी छवि डालता है जो किसी पहचाने",
		footer03: "जाने योग्य चेहरे की तस्वीर नहीं है और सिक्के एकत्र कर रहा है, उसे हटा दिया जाएगा।.",
		footer04: "B. अपने बारे में गलत जानकारी देने या अपने लिए दोहरे खाते",
		footer05: "बनाने पर, पता चलते ही उस खाते को हटा दिया जाएगा।.",
		footer06: "अस्वीकरण",
		footer07: "1. ऐप में शामिल होने या उसका परीक्षण करने का मतलब यह नहीं है कि यह उपयोगकर्ता 1CoinH",
		footer08: "वेबसाइट द्वारा बताए गए किसी भी राजनीतिक विचार से सहमत है या उसका समर्थन करता है।",
		footer09: "2. इस वेबसाइट पर उपलब्ध किसी भी उपयोगकर्ता डेटा की प्रतिलिपि बनाना या",
		footer10: "उसका पुनः उपयोग करना - इस वेबसाइट के बाहर - सख्त वर्जित है।",
		footer11: "समझौता",
		footer12: "एक उपयोगकर्ता के रूप में इस वेबसाइट से जुड़ने का मतलब है कि आपने इस अस्वीकरण",
		footer13: "को पढ़ लिया है और ऊपर दिए गए 'महत्वपूर्ण नियमों' और 'अस्वीकरण' से सहमत हैं।",
		footer14: "नैतिक धन",
		request: "अनुरोध",
		agree: "सहमत",
		cashbook: "रोकड़ बही",
		logout: "लॉग आउट",
		welcome: "स्वागत",
		DText_01: "प्रोफ़ाइल डेटा",
		DText_02: "अपना फोटो अपलोड करें",
		DText_03: "jpg/png अधिकतम 140x140 पिक्सेल!",
		DText_04: "परिवर्तनों को सुरक्षित करें",
		DText_05: "पूरा नाम",
		DText_06: "पूरा नाम...",
		DText_07: "मेल पता",
		DText_08: "मेल पता...",
		DText_09: "उपयोगकर्ता नाम",
		DText_10: "उपयोगकर्ता नाम...",
		DText_11: "त्रुटि! कृपया पुनः प्रयास करें।",
		DText_12: "आपका डेटा अपडेट हो गया है.",
		DText_13: "जन्मदिन",
		DText_14: "लिंग",
		DText_15: "ऊंचाई...(_.__m/_ft__in)",
		DText_16: "ऊंचाई (_.__m/_ft__in)",
		DText_17: "रंगीन बाल",
		DText_18: "रंग बायीं आँख",
		DText_19: "रंग दाहिनी आँख",
		DText_20: "▲ ऊपर ▲",
		DText_21: "सफ़ेद",
		DText_22: "अदरक लाल",
		DText_23: "सुनहरा भूरा रंग",
		DText_24: "गोरा",
		DText_25: "हल्का चेस्टनट",
		DText_26: "ताँबा",
		DText_27: "हल्का गोरा",
		DText_28: "चेस्टनट ब्राउन",
		DText_29: "चाँदी",
		DText_30: "मध्यम गोरा",
		DText_31: "हल्का भूरा",
		DText_32: "टाइटन",
		DText_33: "काला गोरा",
		DText_34: "मध्यम भूरा",
		DText_35: "स्लेटी",
		DText_36: "गोल्ड ब्लॉन्ड",
		DText_37: "गहरे भूरे रंग",
		DText_38: "काला",
		DText_39: "स्ट्रॉबेरी ब्लॉन्ड",
		DText_40: "बाल रहित",
		DText_41: "अंबर",
		DText_42: "नीला",
		DText_43: "भूरा",
		DText_44: "स्लेटी",
		DText_45: "हरा",
		DText_46: "अखरोट",
		DText_47: "लाल",
		DText_48: "नीला ग्रे",
		DText_49: "नीले हरे",
		DText_50: "हरा ग्रे",
		DText_51: "हरा भूरा",
		DText_511: "जोड़",
		DText_52: "विशेष लक्षण",
		DText_54: "आपको प्रति घंटे एक सिक्का प्राप्त होगा!",
		DText_55: "सिक्के प्राप्त करने के लिए पूरा फॉर्म भरें!",
		male: "पुरुष",
		female: "महिला",
		other: "अन्य"
	},
	cr: {
		footer00: "Pomoć i često postavljana pitanja.",
		footer01: "VAŽNA PRAVILA",
		footer02: "A. Svaki korisnički račun koji na svoj profil stavi sliku koja nije slika",
		footer03: "prepoznatljivog lica i skuplja novčiće bit će uklonjen.",
		footer04: "B. Lažno predstavljanje ili pravljenje dvostrukih računa za sebe",
		footer05: "rezultirat će uklanjanjem tog računa nakon otkrivanja.",
		footer06: "ODRICANJE OD ODGOVORNOSTI",
		footer07: "1. Pridruživanje ili testiranje aplikacije ne znači da se ovaj korisnik slaže ili ",
		footer08: "odobrava bilo kakve političke ideje koje bi web stranica 1CoinH mogla ukazati.",
		footer09: "2. Kopiranje i/ili ponovno korištenje bilo kojih korisničkih podataka koji se mogu pronaći",
		footer10: "na ovoj web stranici - izvan ove web stranice - strogo je zabranjeno.",
		footer11: "SPORAZUM",
		footer12: "Pridruživanje ovoj web stranici kao korisnik znači da ste pročitali ovo odricanje od odgovornosti",
		footer13: "i slažete se s gore navedenim 'Važnim pravilima' i 'Odricanjem od odgovornosti'.",
		footer14: "Etički novac",
		request:"Zahtjev",
		agree:"Slažem se",
		cashbook:"Blagajna",
		logout:"Odjava",
		welcome:"Dobro došli",
		DText_01:"Podaci o profilu",
		DText_02:"Učitajte svoju fotografiju",
		DText_03:"jpg/png maksimalno 140x140 piksela!",
		DText_04:"Spremi promjene",
		DText_05:"Puno ime",
		DText_06:"Puno ime...",
		DText_07:"Adresa e-pošte",
		DText_08:"E-mail adresa...",
		DText_09:"Korisničko ime",
		DText_10:"Korisničko ime...",
		DText_11:"Greška! Molimo pokušajte ponovno.",
		DText_12:"Vaši podaci su ažurirani.",
		DText_13:"Rođendan",
		DText_14:"Spol",
		DText_15:"Visina...(_.__m/_ft__in)",
		DText_16:"Visina (_.__m/_ft__in)",
		DText_17:"Boja kose",
		DText_18:"Boja lijevog oka",
		DText_19:"Boja desnog oka",
		DText_20:"▲ Gore ▲",
		DText_21:"Bijelo",
		DText_22:"Crveni đumbir",
		DText_23:"Kestenjasto",
		DText_24:"Plavuša",
		DText_25:"Svijetli kesten",
		DText_26:"Bakar",
		DText_27:"Svijetloplava",
		DText_28:"Kesten smeđa",
		DText_29:"Srebrni",
		DText_30:"Srednje plava",
		DText_31:"Svijetlo smeđa",
		DText_32:"Titan",
		DText_33:"Tamnoplava",
		DText_34:"Srednje smeđa",
		DText_35:"Siva",
		DText_36:"Zlatno plava",
		DText_37:"Tamno smeđa",
		DText_38:"Crno",
		DText_39:"Jagoda plava",
		DText_40:"Bez kose",
		DText_41:"Jantar",
		DText_42:"Plavi",
		DText_43:"Smeđa",
		DText_44:"Siva",
		DText_45:"Zeleni",
		DText_46:"Hazel",
		DText_47:"Crveni",
		DText_48:"Plavo siva",
		DText_49:"Plavo zelena",
		DText_50:"Zeleno siva",
		DText_51:"Zeleno smeđa",
		DText_511:"Proteza",
		DText_52:"Posebne značajke",
		DText_54:"Dobivate jedan novčić na sat!",
		DText_55:"Ispunite cijeli obrazac za primanje novčića!",
		male:"Muški",
		female:"Ženski",
		other:"Ostalo",
	},
	ig: {
		footer00: "Enyemaka na ajụjụ ndị a na-ajụkarị.",
		footer01: "IWU ndị dị mkpa ",
		footer02: "A. Akaụntụ onye ọrụ ọ bụla na-etinye onyonyo na profaịlụ ya na-abụghị foto ",
		footer03: "A ga-ewepụ nke ihu a na-amata ma na-anakọta mkpụrụ ego.",
		footer04: "B. Na-emehie onwe gị ma ọ bụ na-emere onwe gị akaụntụ abụọ ",
		footer05: "ga-eme ka ewepụ akaụntụ ahụ ozugbo achọpụtara ya.",
		footer06: "NKWUKWU",
		footer07: "1. Ịbanye ma ọ bụ nwalee ngwa ahụ apụtaghị na onye ọrụ a kwetara ma ọ bụ ",
		footer08: "kwadoro echiche ndọrọ ndọrọ ọchịchị ọ bụla na ebe nrụọrụ weebụ 1CoinH nwere ike igosi.",
		footer09: "2. Detuo na/ma ọ bụ ijigharị ihe ọ bụla nke userdata enwere ike ịchọta ",
		footer10: "na webụsaịtị a - na mpụga weebụsaịtị a - amachibidoro kpamkpam.",
		footer11: "Nkwekọrịta ",
		footer12: "Ịbanye na webụsaịtị a dị ka onye ọrụ pụtara na ị gụọla nkwuputa a",
		footer13: "ma kwenye na 'Iwu dị mkpa' na 'Nkwupụta' n'elu.",
		footer14: "Ego ziri ezi ",
		request:"Arịrịọ",
		agree:"Kwekọrịta",
		cashbook:"Akwụkwọ ego",
		logout:"Wepụ",
		welcome:"Nnọọ",
		DText_01:"Data profaịlụ",
		DText_02:"Bulite foto gị",
		DText_03:"jpg/png max 140x140 pikselụ!",
		DText_04:"Chekwaa mgbanwe",
		DText_05:"Aha zuru oke",
		DText_06:"Aha zuru oke...",
		DText_07:"Adreesị email",
		DText_08:"Adreesị ozi-e...",
		DText_09:"Aha njirimara",
		DText_10:"Aha njirimara...",
		DText_11:"Njehie! Biko nwaa ọzọ.",
		DText_12:"A na-emelite data gị.",
		DText_13:"Ụbọchị ọmụmụ",
		DText_14:"okike",
		DText_15:"Ogologo...(_.__m/__ft__in)",
		DText_16:"Ogologo (_.__m/__ft__in)",
		DText_17:"Agba ntutu",
		DText_18:"Agba aka ekpe",
		DText_19:"Agba Anya aka nri",
		DText_20:"▲ gbagoro",
		DText_21:"Ọcha",
		DText_22:"Ginger Uhie",
		DText_23:"Auburn",
		DText_24:"Blond",
		DText_25:"Chestnut dị ọkụ",
		DText_26:"Ọla kọpa",
		DText_27:"Ọcha Blond",
		DText_28:"Chestnut Agba aja aja",
		DText_29:"Ọlaọcha",
		DText_30:"Ọkara Blond",
		DText_31:"Agba aja aja",
		DText_32:"Titan",
		DText_33:"Blond gbara ọchịchịrị",
		DText_34:"Agba aja aja",
		DText_35:"Agba ntụ",
		DText_36:"Blond ọla edo",
		DText_37:"Agba aja aja",
		DText_38:"Nwa",
		DText_39:"strọberị Blond",
		DText_40:"Enweghị ntutu",
		DText_41:"Amber",
		DText_42:"Acha anụnụ anụnụ",
		DText_43:"Agba aja aja",
		DText_44:"Agba ntụ",
		DText_45:"Akwụkwọ ndụ",
		DText_46:"Hazel",
		DText_47:"Uhie",
		DText_48:"Acha anụnụ agba ntụ",
		DText_49:"Acha anụnụ Akwụkwọ ndụ",
		DText_50:"Akwụkwọ ndụ isi awọ",
		DText_51:"Akwụkwọ ndụ Agba aja aja",
		DText_511:"Prosthesis",
		DText_52:"Atụmatụ pụrụ iche",
		DText_54:"Ị na-enweta otu mkpụrụ ego kwa elekere!",
		DText_55:"Dejupụta fọm dum iji nata mkpụrụ ego!",
		male:"Nwoke",
		female:"Nwanyị",
		other:"ọzọ",
	},
	in: {
		footer00: "Bantuan dan pertanyaan yang sering diajukan.",
		footer01: "PERATURAN PENTING",
		footer02: "A. Setiap akun pengguna yang memasang gambar di profilnya yang bukan gambar",
		footer03: "wajah yang dapat dikenali dan mengumpulkan koin akan dihapus.",
		footer04: "B. Salah menggambarkan diri sendiri atau membuat akun ganda untuk diri sendiri",
		footer05: "akan mengakibatkan akun tersebut dihapus setelah terdeteksi.",
		footer06: "PENAFIAN",
		footer07: "1. Bergabung atau menguji aplikasi tidak berarti bahwa pengguna ini setuju atau",
		footer08: "memaafkan ide politik apa pun yang mungkin ditunjukkan oleh situs web 1CoinH.",
		footer09: "2. Menyalin dan/atau menggunakan kembali data pengguna apa pun yang dapat ditemukan",
		footer10: "di situs web ini - di luar situs web ini - dilarang keras.",
		footer11: "PERJANJIAN",
		footer12: "Bergabung dengan situs web ini sebagai pengguna berarti Anda telah membaca penafian ini",
		footer13: "dan menyetujui 'Peraturan Penting' dan 'Penafian' di atas.",
		footer14: "Uang Etis",
		request:"Permintaan",
		agree:"Setuju",
		cashbook:"Buku Kas",
		logout:"Keluar",
		welcome:"Selamat datang",
		DText_01:"Data Profil",
		DText_02:"Unggah foto Anda",
		DText_03:"jpg/png maks 140x140 piksel!",
		DText_04:"Simpan Perubahan",
		DText_05:"Nama lengkap",
		DText_06:"Nama lengkap...",
		DText_07:"Alamat email",
		DText_08:"Alamat email...",
		DText_09:"Nama pengguna",
		DText_10:"Nama pengguna...",
		DText_11:"Kesalahan! Silakan coba lagi.",
		DText_12:"Data Anda telah diperbarui.",
		DText_13:"Ulang Tahun",
		DText_14:"Jenis Kelamin",
		DText_15:"Tinggi...(_.__m/_ft__in)",
		DText_16:"Tinggi (_.__m/_ft__in)",
		DText_17:"Warna Rambut",
		DText_18:"Warna Mata Kiri",
		DText_19:"Warna Mata Kanan",
		DText_20:"▲ Atas ▲",
		DText_21:"Putih",
		DText_22:"Merah Jahe",
		DText_23:"Auburn",
		DText_24:"Pirang",
		DText_25:"Kastanye Muda",
		DText_26:"Tembaga",
		DText_27:"Pirang Muda",
		DText_28:"Cokelat Kastanye",
		DText_29:"Perak",
		DText_30:"Pirang Sedang",
		DText_31:"Cokelat Muda",
		DText_32:"Titan",
		DText_33:"Pirang Tua",
		DText_34:"Cokelat Sedang",
		DText_35:"Abu-abu",
		DText_36:"Pirang Emas",
		DText_37:"Cokelat Tua",
		DText_38:"Hitam",
		DText_39:"Pirang Stroberi",
		DText_40:"Tanpa Rambut",
		DText_41:"Amber",
		DText_42:"Biru",
		DText_43:"Cokelat",
		DText_44:"Abu-abu",
		DText_45:"Hijau",
		DText_46:"Hazel",
		DText_47:"Merah",
		DText_48:"Biru Abu-abu",
		DText_49:"Biru Hijau",
		DText_50:"Hijau Abu-abu",
		DText_51:"Hijau Cokelat",
		DText_511:"Prostesis",
		DText_52:"Fitur Khusus",
		DText_54:"Anda menerima satu koin per jam!",
		DText_55:"Isi seluruh formulir untuk menerima koin!",
		male:"Pria",
		female:"Wanita",
		other:"Lainnya",
	},
	ic: {
		footer00: "Hjálp og algengar spurningar.",
		footer01: "MIKILVÆGAR REGLUR",
		footer02: "A. Sérhver notendareikningur sem setur mynd á prófílinn sinn sem er ekki mynd",
		footer03: "af auðþekkjanlegu andliti og er að safna mynt verður fjarlægt.",
		footer04: "B. Að gefa ranga mynd af sjálfum þér eða gera tvöfalda reikninga fyrir sjálfan þig",
		footer05: "mun leiða til þess að sá reikningur verður fjarlægður þegar hann hefur fundist.",
		footer06: "FYRIRVARI ",
		footer07: "1. Að taka þátt í eða prófa appið þýðir ekki að þessi notandi samþykki eða",
		footer08: "samþykkir allar pólitískar hugmyndir sem 1CoinH vefsíðan gæti gefið til kynna.",
		footer09: "2. Afrita og/eða endurnota eitthvað af notendagögnum sem hægt er að finna",
		footer10: "á þessari vefsíðu - fyrir utan þessa vefsíðu - er stranglega bannað.",
		footer11: "SAMNINGUR ",
		footer12: "Að taka þátt í þessari vefsíðu sem notandi þýðir að þú hefur lesið þennan fyrirvara",
		footer13: "og samþykkja 'Mikilvægar reglur' og 'Fyrirvari' hér að ofan.",
		footer14: "Siðferðilegir peningar ",
		request:"Beiðni",
		agree:"Sammála",
		cashbook:"Kassabók",
		logout:"Skráðu þig út",
		welcome:"Velkomin",
		DText_01:"Prófílgögn",
		DText_02:"Hladdu upp myndinni þinni",
		DText_03:"jpg/png hámark 140x140 dílar!",
		DText_04:"Vista breytingar",
		DText_05:"Fullt nafn",
		DText_06:"Fullt nafn...",
		DText_07:"Netfang",
		DText_08:"Netfang...",
		DText_09:"Notandanafn",
		DText_10:"Notandanafn...",
		DText_11:"Villa! Vinsamlegast reyndu aftur.",
		DText_12:"Gögnin þín eru uppfærð.",
		DText_13:"Afmæli",
		DText_14:"Kyn",
		DText_15:"Hæð...(_.__m/_ft__in)",
		DText_16:"Hæð (_.__m/_ft__in)",
		DText_17:"Litað hár",
		DText_18:"Litur Vinstra auga",
		DText_19:"Litur Hægra auga",
		DText_20:"▲ Upp ▲",
		DText_21:"Hvítur",
		DText_22:"Engiferrautt",
		DText_23:"Auburn",
		DText_24:"Ljóshærð",
		DText_25:"Létt kastanía",
		DText_26:"Kopar",
		DText_27:"Ljósblár",
		DText_28:"Chestnut Brown",
		DText_29:"Silfur",
		DText_30:"Meðal ljóshærð",
		DText_31:"Ljósbrúnt",
		DText_32:"Títan",
		DText_33:"Dökkblár",
		DText_34:"Meðalbrúnt",
		DText_35:"Grár",
		DText_36:"Gull Blond",
		DText_37:"Dökkbrúnt",
		DText_38:"Svartur",
		DText_39:"Strawberry Blond",
		DText_40:"Ekkert hár",
		DText_41:"Amber",
		DText_42:"Blár",
		DText_43:"Brúnn",
		DText_44:"Grár",
		DText_45:"Grænn",
		DText_46:"Hazel",
		DText_47:"Rauður",
		DText_48:"Blágrár",
		DText_49:"Blágrænn",
		DText_50:"Grænn Grár",
		DText_51:"Grænn Brúnn",
		DText_511:"Gervi",
		DText_52:"Sérstakir eiginleikar",
		DText_54:"Þú færð eina mynt á klukkustund!",
		DText_55:"Fylltu út allt eyðublaðið til að fá mynt!",
		male:"Karlkyns",
		female:"Kvenkyns",
		other:"Annar",
	},
	it: {
		footer00: "Aiuto e Domande Frequenti.",
		footer01: "REGOLE IMPORTANTI",
		footer02: "A. Qualsiasi account utente che inserisce nel proprio profilo un'immagine",
		footer03: "che non ritrae un volto riconoscibile e che colleziona monete verrà rimosso.",
		footer04: "B. Se si rivelasse falsa la propria identità o si creassero doppi",
		footer05: "account, l'account in questione verrebbe rimosso una volta scoperto.",
		footer06: "DISCLAIMER",
		footer07: "1. L'adesione all'app o il suo test non implica che l'utente accetti",
		footer08: "o tolleri le idee politiche che il sito web 1CoinH potrebbe indicare.",
		footer09: "2. È severamente vietato copiare o riutilizzare al di fuori",
		footer10: "di questo sito web i dati utente presenti su questo sito web.",
		footer11: "ACCORDO",
		footer12: "Registrandoti a questo sito web come utente, significa che hai letto questa informativa",
		footer13: "sulla privacy e accetti le 'Regole importanti' e l`'Informativa sulla privacy' di cui sopra.",
		footer14: "Denaro Etico",
		request: "Richiesta",
		agree: "Accordo",
		cashbook: "Libro Cassa",
		logout: "Esci",
		welcome: "Benvenuta",
		DText_01: "Dati Del Profilo",
		DText_02: "Carica la tua foto",
		DText_03: "jpg/png massimo 140x140 pixel!",
		DText_04: "Salva Le Modifiche",
		DText_05: "Nome e cognome",
		DText_06: "Nome e cognome...",
		DText_07: "Indirizzo e-mail",
		DText_08: "Indirizzo e-mail...",
		DText_09: "Nome utente",
		DText_10: "Nome utente...",
		DText_11: "Errore! Riprova.",
		DText_12: "I tuoi dati sono aggiornati.",
		DText_13: "Compleanno",
		DText_14: "Genere",
		DText_15: "Altezza...(_.__m/_ft__in)",
		DText_16: "Altezza (_.__m/_ft__in)",
		DText_17: "Colore Dei Capelli",
		DText_18: "Colore Dell'Occhio Sinistro",
		DText_19: "Colore Dell'Occhio Destro",
		DText_20: "▲ Su ▲",
		DText_21: "Bianco",
		DText_22: "Rosso Zenzero",
		DText_23: "Castano Dorato",
		DText_24: "Biondo",
		DText_25: "Castagna Chiara",
		DText_26: "Rame",
		DText_27: "Biondo Chiaro",
		DText_28: "Castagna Marrone",
		DText_29: "Argento",
		DText_30: "Biondo Medio",
		DText_31: "Marrone Chiaro",
		DText_32: "Titan",
		DText_33: "Biondo Scuro",
		DText_34: "Marrone Medio",
		DText_35: "Grigio",
		DText_36: "Biondo Oro",
		DText_37: "Marrone Scuro",
		DText_38: "Nero",
		DText_39: "Biondo fragola",
		DText_40: "Nessun Pelo",
		DText_41: "Ambra",
		DText_42: "Blu",
		DText_43: "Marrone",
		DText_44: "Grigio",
		DText_45: "Verde",
		DText_46: "Nocciola",
		DText_47: "Rosso",
		DText_48: "Grigio Blu",
		DText_49: "Blu Verde",
		DText_50: "Verde Grigio",
		DText_51: "Verde Marrone",
		DText_511: "Protesi",
		DText_52: "Caratteristiche Speciali",
		DText_54: "Ricevi una moneta all'ora!",
		DText_55: "Compila l'intero modulo per ricevere le monete!",
		male: "Maschio",
		female: "Femmina",
		other: "Altra"
	},
	ja: {
		footer00: "ヘルプとよくある質問.",
		footer01: "重要なルール",
		footer02: "A. 認識可能な顔写真ではない画像をプロフィールに掲載し、",
		footer03: "コインを収集しているユーザーアカウントは削除されます。",
		footer04: "B. 自分自身を偽ったり、自分自身のアカウントを二重に作成したりした場合、",
		footer05: "そのアカウントは検出され次第削除されます。",
		footer06: "免責事項",
		footer07: "1. アプリに参加したりテストしたりすることは、ユーザーが 1CoinH の Web",
		footer08: "サイトが示す政治的思想に同意または容認することを意味するものではありません。",
		footer09: "2. 本ウェブサイトに掲載されているユーザーデータを本ウェブサ",
		footer10: "イト外でコピーまたは再利用することは固く禁じられています。",
		footer11: "合意",
		footer12: "このウェブサイトにユーザーとして参加することは、この免責事項を読み、",
		footer13: "上記の「重要な規則」および「免責事項」に同意したことを意味します。",
		footer14: "倫理的なお金",
		request: "リクエスト",
		agree: "同意する",
		cashbook: "現金出納帳",
		logout: "ログアウト",
		welcome: "いらっしゃいませ",
		DText_01: "プロフィールデータ",
		DText_02: "写真をアップロード",
		DText_03: "jpg/png 最大 140x140 ピクセル!",
		DText_04: "変更を保存",
		DText_05: "フルネーム",
		DText_06: "フルネーム...",
		DText_07: "電子メールアドレス",
		DText_08: "電子メールアドレス...",
		DText_09: "ユーザー名",
		DText_10: "ユーザー名...",
		DText_11: "エラーです! もう一度お試しください。",
		DText_12: "データが更新されました。",
		DText_13: "誕生日",
		DText_14: "性別",
		DText_15: "身長...(_.__m/_ft__in)",
		DText_16: "身長 (_.__m/_ft__in)",
		DText_17: "ヘアカラー",
		DText_18: "左目カラー",
		DText_19: "右目の色",
		DText_20: "▲ 上へ ▲",
		DText_21: "白",
		DText_22: "ジンジャーレッド",
		DText_23: "オーバーン",
		DText_24: "ブロンド",
		DText_25: "ライトチェスナット",
		DText_26: "銅",
		DText_27: "ライトブロンド",
		DText_28: "栗色",
		DText_29: "銀",
		DText_30: "ミディアムブロンド",
		DText_31: "ライトブラウン",
		DText_32: "タイタン",
		DText_33: "ダークブロンド",
		DText_34: "ミディアムブラウン",
		DText_35: "グレー",
		DText_36: "ゴールドブロンド",
		DText_37: "ダークブラウン",
		DText_38: "黒",
		DText_39: "ストロベリーブロンド",
		DText_40: "毛がない",
		DText_41: "アンバー",
		DText_42: "青",
		DText_43: "茶色",
		DText_44: "グレー",
		DText_45: "緑",
		DText_46: "ヘーゼル",
		DText_47: "赤",
		DText_48: "ブルーグレー",
		DText_49: "青緑",
		DText_50: "グリーングレー",
		DText_51: "グリーンブラウン",
		DText_511: "義肢",
		DText_52: "特集",
		DText_54: "1時間ごとにコインを1枚受け取ります!",
		DText_55: "コインを受け取るにはフォーム全体に記入してください!",
		male: "男",
		female: "女性",
		other: "他の"
	},
	ka: {
		footer00: "Көмек және жиі қойылатын сұрақтар.",
		footer01: "МАҢЫЗДЫ ЕРЕЖЕЛЕР",
		footer02: "A. Өз профиліне сурет емес сурет салатын кез келген пайдаланушы тіркелгісі",
		footer03: "танылатын тұлғаның және монеталарды жинап жатқаны жойылады.",
		footer04: "B. Өзіңізді бұрмалау немесе өзіңізге екі есе есеп беру",
		footer05: "анықталғаннан кейін бұл тіркелгіні жоюға әкеледі.",
		footer06: "БАС ТАРТУ ",
		footer07: "1. Қолданбаға қосылу немесе тестілеу бұл пайдаланушы келіседі немесе дегенді білдірмейді",
		footer08: "1CoinH веб-сайты көрсетуі мүмкін кез келген саяси идеяларды құптайды.",
		footer09: "2. табуға болатын кез келген пайдаланушы деректерін көшіру және/немесе қайта пайдалану",
		footer10: "осы веб-сайтта - осы веб-сайттан тыс - қатаң тыйым салынады.",
		footer11: "КЕЛІСІМ",
		footer12: "Бұл веб-сайтқа пайдаланушы ретінде қосылу сіздің осы жауапкершіліктен бас тарту туралы мәлімдемені оқығаныңызды білдіреді",
		footer13: "және жоғарыдағы ‘Маңызды ережелермен’ және ‘Жауапкершіліктен бас тартумен’ келісесіз.",
		footer14: "Этикалық ақша ",
		request:"сұрау",
		agree:"Келісіңіз",
		cashbook:"Кассалық кітап",
		logout:"Шығу",
		welcome:"Қош келдіңіз",
		DText_01:"Профиль деректері",
		DText_02:"Фотосуретіңізді жүктеп салыңыз",
		DText_03:"jpg/png макс 140x140 пиксель!",
		DText_04:"Өзгерістерді сақтау",
		DText_05:"Толық аты-жөні",
		DText_06:"Толық аты-жөні...",
		DText_07:"Электрондық пошта мекенжайы",
		DText_08:"Электрондық пошта мекенжайы...",
		DText_09:"Пайдаланушы аты",
		DText_10:"Пайдаланушы аты...",
		DText_11:"Қате! Қайталап көріңіз.",
		DText_12:"Сіздің деректеріңіз жаңартылды.",
		DText_13:"Туған күн",
		DText_14:"Жынысы",
		DText_15:"Биіктігі...(_.__m/_ft__in)",
		DText_16:"Биіктігі (_.__m/_ft__in)",
		DText_17:"Шашты бояу",
		DText_18:"Түс сол көз",
		DText_19:"Оң көзді бояу",
		DText_20:"▲ Жоғары ▲",
		DText_21:"Ақ",
		DText_22:"Зімбір қызыл",
		DText_23:"Күзгі",
		DText_24:"аққұба",
		DText_25:"Ашық каштан",
		DText_26:"мыс",
		DText_27:"Ашық аққұба",
		DText_28:"Каштан қоңыр",
		DText_29:"Күміс",
		DText_30:"Орташа аққұба",
		DText_31:"Ашық қоңыр",
		DText_32:"Титан",
		DText_33:"Қара аққұба",
		DText_34:"Орташа қоңыр",
		DText_35:"Сұр",
		DText_36:"Алтын аққұба",
		DText_37:"Қою қоңыр",
		DText_38:"Қара",
		DText_39:"Құлпынай аққұба",
		DText_40:"Шаш жоқ",
		DText_41:"Кәріптас",
		DText_42:"Көк",
		DText_43:"Қоңыр",
		DText_44:"Сұр",
		DText_45:"Жасыл",
		DText_46:"Hazel",
		DText_47:"қызыл",
		DText_48:"Көк сұр",
		DText_49:"Көк жасыл",
		DText_50:"Жасыл сұр",
		DText_51:"Жасыл қоңыр",
		DText_511:"Протез",
		DText_52:"Арнайы мүмкіндіктер",
		DText_54:"Сіз сағатына бір тиын аласыз!",
		DText_55:"Монеталарды алу үшін пішінді толығымен толтырыңыз!",
		male:"Ер",
		female:"Әйел",
		other:"Басқа",
	},
	kh: {
		footer00: "ជំនួយ និងសំណួរដែលគេសួរញឹកញាប់.",
		footer01: "ច្បាប់សំខាន់ ",
		footer02: "A. គណនីអ្នកប្រើប្រាស់ណាមួយដែលដាក់រូបភាពក្នុងទម្រង់របស់គាត់ដែលមិនមែនជារូបភាព",
		footer03: "មុខដែលអាចស្គាល់បាន ហើយកំពុងប្រមូលកាក់នឹងត្រូវដកចេញ។",
		footer04: "ខ. បំភាន់ខ្លួនអ្នក ឬបង្កើតគណនីពីរដងសម្រាប់ខ្លួនអ្នក",
		footer05: "នឹង នាំ ឱ្យ គណនី នោះ ត្រូវ បាន លុប ចេញ នៅ ពេល ដែល បាន រក ឃើញ.",
		footer06: "ការបដិសេធ ",
		footer07: "1. ការចូលរួម ឬសាកល្បងកម្មវិធីមិនមានន័យថាអ្នកប្រើប្រាស់នេះយល់ព្រម ឬ ",
		footer08: "អត់ឱនចំពោះគំនិតនយោបាយណាមួយ គេហទំព័រ 1CoinH អាចបង្ហាញ។",
		footer09: "2. ការចម្លង និង/ឬប្រើឡើងវិញនូវទិន្នន័យអ្នកប្រើប្រាស់ណាមួយដែលអាចត្រូវបានរកឃើញ ",
		footer10: "នៅលើគេហទំព័រនេះ - នៅខាងក្រៅគេហទំព័រនេះ - ត្រូវបានហាមឃាត់យ៉ាងតឹងរ៉ឹង។",
		footer11: "កិច្ចព្រមព្រៀង ",
		footer12: "ការចូលរួមគេហទំព័រនេះក្នុងនាមជាអ្នកប្រើប្រាស់មានន័យថាអ្នកបានអានការបដិសេធនេះ ",
		footer13: "ហើយយល់ព្រមចំពោះ 'ច្បាប់សំខាន់ៗ' និង 'ការបដិសេធ' ខាងលើ.",
		footer14: "ប្រាក់ សីលធម៌ ",
		request:"ស្នើសុំ",
		agree:"យល់ព្រម",
		cashbook:"សៀវភៅសាច់ប្រាក់",
		logout:"ចេញ",
		welcome:"ស្វាគមន៍",
		DText_01:"ទិន្នន័យប្រវត្តិរូប",
		DText_02:"បង្ហោះរូបថតរបស់អ្នក",
		DText_03:"jpg/png អតិបរមា 140x140 ភីកសែល!",
		DText_04:"រក្សាទុកការផ្លាស់ប្តូរ",
		DText_05:"ឈ្មោះពេញ",
		DText_06:"ឈ្មោះពេញ...",
		DText_07:"អាសយដ្ឋាន អ៊ីមែល",
		DText_08:"អាស័យដ្ឋានអ៊ីម៉ែល...",
		DText_09:"ឈ្មោះអ្នកប្រើ",
		DText_10:"ឈ្មោះអ្នកប្រើប្រាស់...",
		DText_11:"កំហុស! សូមព្យាយាមម្តងទៀត។",
		DText_12:"ទិន្នន័យរបស់អ្នកត្រូវបានធ្វើបច្ចុប្បន្នភាព។",
		DText_13:"ខួបកំណើត",
		DText_14:"យេនឌ័រ",
		DText_15:"កម្ពស់...(_.__m/_ft__in)",
		DText_16:"កម្ពស់ (_.__m/_ft__in)",
		DText_17:"ពណ៌សក់",
		DText_18:"ពណ៌ភ្នែកឆ្វេង",
		DText_19:"ពណ៌ភ្នែកស្តាំ",
		DText_20:"▲ ឡើង ▲",
		DText_21:"ស",
		DText_22:"ខ្ញីក្រហម",
		DText_23:"Auburn",
		DText_24:"ប៍នតង់ដេង",
		DText_25:"ដើមទ្រូងស្រាល",
		DText_26:"ទង់ដែង",
		DText_27:"ប៍នតង់ដេងស្រាល",
		DText_28:"ដើមទ្រូងត្នោត",
		DText_29:"ប្រាក់ដុល្លារ",
		DText_30:"ប៍នតង់ដេង",
		DText_31:"ពណ៌ត្នោតខ្ចី",
		DText_32:"ទីតាន",
		DText_33:"ប៍នតង់ដេងងងឹត",
		DText_34:"ពណ៌ត្នោតមធ្យម",
		DText_35:"ប្រផេះ",
		DText_36:"Gold Blond",
		DText_37:"ពណ៌ត្នោតខ្មៅ",
		DText_38:"ខ្មៅ",
		DText_39:"ស្ត្របឺរី ប៍នឺរី",
		DText_40:"គ្មានសក់",
		DText_41:"អំពិល",
		DText_42:"ខៀវ",
		DText_43:"ត្នោត",
		DText_44:"ប្រផេះ",
		DText_45:"បៃតង",
		DText_46:"Hazel",
		DText_47:"ដុល្លារក្រហម",
		DText_48:"ប្រផេះ ខៀវ",
		DText_49:"ខៀវ បៃតង",
		DText_50:"ប្រផេះបៃតង",
		DText_51:"ប្រោនបៃតង",
		DText_511:"សិប្បនិម្មិត",
		DText_52:"លក្ខណៈពិសេស",
		DText_54:"អ្នកទទួលបានមួយកាក់ក្នុងមួយម៉ោង!",
		DText_55:"បំពេញទម្រង់ទាំងមូលដើម្បីទទួលបានកាក់!",
		male:"ប្រុស",
		female:"ស្រី",
		other:"ផ្សេងទៀត។",
	},	
	ki: {
		footer00: "Ubufasha nibibazo bikunze kubazwa.",
		footer01: "AMATEGEKO AKAMARO",
		footer02: "A. Konti yose yumukoresha ishyira ishusho mumwirondoro we itari",
		footer03: "ishusho yisura yamenyekanye kandi ikusanya ibiceri bizakurwaho.",
		footer04: "B. Kwiyerekana nabi cyangwa gukora konti ebyiri kubwawe",
		footer05: "bizavamo iyo konte gukurwaho bimaze kumenyekana.",
		footer06: "IKIBAZO",
		footer07: "1. Kwinjira cyangwa kugerageza porogaramu ntabwo bivuze ko uyu ukoresha yemeye cyangwa",
		footer08: "ashyigikiye ibitekerezo byose bya politiki urubuga rwa 1CoinH rushobora kwerekana.",
		footer09: "2. Gukoporora cyangwa gukoresha ikoreshwa ryumukoresha ushobora",
		footer10: "kuboneka kururu rubuga - hanze yuru rubuga - birabujijwe rwose.",
		footer11: "AMASEZERANO",
		footer12: "Kwinjira kururu rubuga nkumukoresha bivuze ko wasomye iki",
		footer13: "cyemezo kandi ukemera 'Amategeko yingenzi' na 'Disclaimer' hejuru.",
		footer14: "Amafaranga Yimyitwarire",
		request: "Gusaba",
		agree: "Emera",
		cashbook: "Igitabo Kwishyura",
		logout: "Sohoka",
		welcome: "Murakaza Neza",
		DText_01: "Umwirondoro",
		DText_02: "Kuramo ifoto yawe",
		DText_03: "jpg / png max 140x140 pigiseli!",
		DText_04: "Bika Impinduka",
		DText_05: "Izina ryuzuye",
		DText_06: "Izina ryuzuye...",
		DText_07: "Aderesi ya imeri",
		DText_08: "Aderesi ya imeri...",
		DText_09: "Izina ryukoresha",
		DText_10: "Izina ryukoresha...",
		DText_11: "Ikosa! Nyamuneka gerageza.",
		DText_12: "Amakuru yawe aravugururwa.",
		DText_13: "Isabukuru",
		DText_14: "Uburinganire",
		DText_15: "Uburebure...(_.__m/_ft__in)",
		DText_16: "Uburebure (_.__m/_ft__in)",
		DText_17: "Ibara Ry'Umusatsi",
		DText_18: "Ijisho Ry'Ibumoso",
		DText_19: "Ibara Ijisho Ryiburyo",
		DText_20: "▲ Hejuru ▲",
		DText_21: "Cyera",
		DText_22: "Ginger Umutuku",
		DText_23: "Auburn",
		DText_24: "Umuhondo",
		DText_25: "Chestnut Yoroheje",
		DText_26: "Umuringa",
		DText_27: "Umucyo",
		DText_28: "Chestnut Brown",
		DText_29: "Ifeza",
		DText_30: "Umuhondo Wo Hagati",
		DText_31: "Icyatsi Kibisi",
		DText_32: "Titan",
		DText_33: "Umwijima w'icuraburindi",
		DText_34: "Hagati",
		DText_35: "Icyatsi",
		DText_36: "Zahabu",
		DText_37: "Umwijima W'Icuraburindi",
		DText_38: "Umukara",
		DText_39: "Umutuku",
		DText_40: "Nta Musatsi",
		DText_41: "Amber",
		DText_42: "Ubururu",
		DText_43: "Umuhondo",
		DText_44: "Icyatsi2",
		DText_45: "Icyatsi3",
		DText_46: "Hazel",
		DText_47: "Umutuku2",
		DText_48: "Ubururu2",
		DText_49: "Icyatsi Kibisi",
		DText_50: "Icyatsi Kibisi2",
		DText_51: "Icyatsi kibisi",
		DText_511: "Prosthesis",
		DText_52: "Ibidasanzwe",
		DText_54: "Wakira igiceri kimwe mu isaha!",
		DText_55: "Uzuza impapuro zose kugirango wakire ibiceri!",
		male: "Umugabo",
		female: "Umugore",
		other: "Ibindi"
	},
	sh: {
		footer00: "Msaada na maswali yanayoulizwa mara kwa mara.",
		footer01: "SHERIA MUHIMU",
		footer02: "A. Akaunti yoyote ya mtumiaji ambayo inaweka picha katika wasifu wake ambayo si picha",
		footer03: "ya uso unaotambulika na anakusanya sarafu itaondolewa.",
		footer04: "B. Kujiwakilisha vibaya au kujitengenezea akaunti mbili ",
		footer05: "itasababisha akaunti hiyo kuondolewa mara tu itakapogunduliwa.",
		footer06: "KANUSHO",
		footer07: "1. Kujiunga au kujaribu programu haimaanishi kuwa mtumiaji huyu anakubali au ",
		footer08: "inakubali mawazo yoyote ya kisiasa ambayo tovuti ya 1CoinH inaweza kuonyesha.",
		footer09: "2. Kunakili na/au kutumia tena data yoyote ya mtumiaji inayoweza kupatikana",
		footer10: "kwenye tovuti hii - nje ya tovuti hii - ni marufuku kabisa.",
		footer11: "MKATABA",
		footer12: "Kujiunga na tovuti hii kama mtumiaji kunamaanisha kuwa umesoma kanusho hili ",
		footer13: "na ukubali 'Kanuni Muhimu' na 'Kanusho' hapo juu.",
		footer14: "Pesa ya Maadili ",
		request:"Ombi",
		agree:"Kubali",
		cashbook:"Kitabu cha pesa",
		logout:"Ondoka",
		welcome:"Karibu",
		DText_01:"Data ya Wasifu",
		DText_02:"Pakia picha yako",
		DText_03:"jpg/png upeo wa pikseli 140x140!",
		DText_04:"Hifadhi Mabadiliko",
		DText_05:"Jina kamili",
		DText_06:"Jina kamili....",
		DText_07:"Anwani ya barua pepe",
		DText_08:"Anwani ya barua pepe...",
		DText_09:"Jina la mtumiaji",
		DText_10:"Jina la mtumiaji...",
		DText_11:"Hitilafu! Tafadhali jaribu tena.",
		DText_12:"Data yako imesasishwa.",
		DText_13:"Siku ya kuzaliwa",
		DText_14:"Jinsia",
		DText_15:"Urefu...(_.__m/_ft__in)",
		DText_16:"Urefu (_.__m/_ft__in)",
		DText_17:"Rangi ya Nywele",
		DText_18:"Rangi ya Jicho la Kushoto",
		DText_19:"Rangi ya Jicho la Kulia",
		DText_20:"▲ Juu ▲",
		DText_21:"Nyeupe",
		DText_22:"Tangawizi Nyekundu",
		DText_23:"Auburn",
		DText_24:"Blond",
		DText_25:"Nuru Chestnut",
		DText_26:"Shaba",
		DText_27:"Mwanga Blond",
		DText_28:"Chestnut Brown",
		DText_29:"Fedha",
		DText_30:"Dola za Kisasa za Kati",
		DText_31:"Mwanga Brown",
		DText_32:"Titan",
		DText_33:"Nyeusi ya Kisasa",
		DText_34:"Brown wastani",
		DText_35:"Kijivu",
		DText_36:"Dhahabu Blond",
		DText_37:"Brown iliyokoza",
		DText_38:"Nyeusi",
		DText_39:"Strawberry Blond",
		DText_40:"Hakuna Nywele",
		DText_41:"Amber",
		DText_42:"Bluu",
		DText_43:"Brown",
		DText_44:"Kijivu",
		DText_45:"Kijani",
		DText_46:"Hazel",
		DText_47:"Nyekundu",
		DText_48:"Bluu Kijivu",
		DText_49:"Bluu ya kijani",
		DText_50:"Kijani Kijivu",
		DText_51:"Green Brown",
		DText_511:"Dawa bandia",
		DText_52:"Vipengele Maalum",
		DText_54:"Unapokea sarafu moja kwa saa!",
		DText_55:"Jaza fomu nzima ili kupokea sarafu!",
		male:"Kiume",
		female:"Kike",
		other:"Nyingine",
	},
	co: {
		footer00: "Lusadisu mpi bangyufula yina bantu keyulaka mbala na mbala.",
		footer01: "BANSIKU YA MFUNU",
		footer02: "A. Konso muntu yina ke tulaka kifwanisu na profil na yandi yina kele ve kifwanisu.",
		footer03: "ya luse ya kuzaba mpi ke vukisa mbongo ya bibende ta katuka.",
		footer04: "B. Kudimonisa na mutindu ya mbi to kusala bakonti zole sambu na nge mosi.",
		footer05: "ta sala nde bo katula konti yina kana bo me mona yo.",
		footer06: "KUBUYA",
		footer07: "1. Kukota to kumeka appli ke tendula ve nde muntu yai ke ndima to",
		footer08: "ke ndima konso ngindu ya politiki yina site internet ya 1CoinH lenda monisa.",
		footer09: "2. Kusala kopi mpi/to kusadila dyaka konso nsangu ya muntu yina lenda zwa",
		footer10: "na site yayi - na nganda ya site yayi - me pekisama ngolo.",
		footer11: "LUWAKANU",
		footer12: "Kukota na site yai bonso muntu ya ke sadilaka yo ke tendula nde nge me tanga nsiku yai.",
		footer13: "mpi kundima ‘Bansiku ya Mfunu’ mpi ‘Kubuya’ yina kele na zulu.",
		footer14: "Mbongo ya Bikalulu",
		request:"Kulomba",
		agree:"Ndima",
		cashbook:"Mukanda ya mbongo",
		logout:"Kubasika",
		welcome:"Beno me kwisa mbote",
		DText_01:"Bansangu ya kimuntu",
		DText_02:"Tula foto na nge",
		DText_03:"Bifwanisu ya kuluta mingi 140x140!",
		DText_04:"Bumba Bansoba",
		DText_05:"Zina ya mvimba",
		DText_06:"Zina ya mvimba...",
		DText_07:"Adresi ya e-mail",
		DText_08:"Adresi ya e-mail...",
		DText_09:"Zina ya muntu ya ke sadila",
		DText_10:"Zina ya muntu...",
		DText_11:"Kifu! Pardon meka diaka.",
		DText_12:"Ba nsangu na nge me kuma ya mpa.",
		DText_13:"Kilumbu ya kubutuka",
		DText_14:"Bakala to nkento",
		DText_15:"Nda...(_.__m/_ft__in)",
		DText_16:"Nda (_.__m/_ft__in)",
		DText_17:"Nsuki ya Mukubu",
		DText_18:"Kulembika Disu ya Kimama",
		DText_19:"Kulembika Disu ya Diboko ya Kitata",
		DText_20:"▲ Na zulu ▲",
		DText_21:"Mpembe",
		DText_22:"Tangawishi Mbwaki",
		DText_23:"Auburn",
		DText_24:"Mbwaki",
		DText_25:"Châtain ya pete",
		DText_26:"Cuivre",
		DText_27:"Blonde ya pete",
		DText_28:"Marron ya châtaigne",
		DText_29:"Arza",
		DText_30:"Blonde ya kati-kati",
		DText_31:"Marron ya pete",
		DText_32:"Titan",
		DText_33:"Blonde ya Ndombe",
		DText_34:"Marron ya kati-kati",
		DText_35:"Gris",
		DText_36:"Wolo ya mbwaki",
		DText_37:"Marron ya Ndombe",
		DText_38:"Ndombe",
		DText_39:"Blonde ya fraise",
		DText_40:"Nsuki ve",
		DText_41:"Ambre",
		DText_42:"Bleu",
		DText_43:"Marron",
		DText_44:"Gris",
		DText_45:"Vert",
		DText_46:"Hameur",
		DText_47:"Mbwaki",
		DText_48:"Gris ya Bleu",
		DText_49:"Bleu Vert",
		DText_50:"Gris ya vert",
		DText_51:"Vert Marron",
		DText_511:"Prothèse",
		DText_52:"Bikalulu ya sipesiali",
		DText_54:"Nge ke bakaka mbongo mosi ya kibende na ngunga mosi!",
		DText_55:"Fulusa formulaire ya mvimba sambu na kubaka mbongo ya bibende!",
		male:"Bakala",
		female:"Nkento",
		other:"Yankaka",
	},
	ko: {
		footer00: "도움말 및 자주 묻는 질문.",
		footer01: "중요 규칙",
		footer02: "A. 자신의 프로필에 알아볼 수 있는 얼굴이 아닌 사진을",
		footer03: "넣고 코인을 모으는 모든 사용자 계정은 삭제됩니다.",
		footer04: "B. 자신을 속이거나 이중 계정을 만드는",
		footer05: "경우, 해당 계정은 발견 시 삭제됩니다.",
		footer06: "부인 성명",
		footer07: "1. 앱에 가입하거나 테스트하는 것은 해당 사용자가 1CoinH 웹사이트에서 나",
		footer08: "타내는 정치적 아이디어에 동의하거나 묵인한다는 것을 의미하지 않습니다.",
		footer09: "2. 이 웹사이트에서 찾을 수 있는 사용자 데이터를 이 웹사이트",
		footer10: "외부에서 복사하거나 재사용하는 것은 엄격히 금지되어 있습니다.",
		footer11: "합의",
		footer12: "이 웹사이트에 사용자로 가입하는 것은 귀하가 본 면책 조항을 읽었으며",
		footer13: "위의 '중요 규칙' 및 '면책 조항'에 동의한다는 것을 의미합니다.",
		footer14: "윤리적 돈",
		request: "요구",
		agree: "동의하다",
		cashbook: "현금 출납장",
		logout: "로그아웃",
		welcome: "환영",
		DText_01: "프로필 데이터",
		DText_02: "사진을 업로드하세요",
		DText_03: "jpg/png 최대 140x140 픽셀!",
		DText_04: "변경 사항 저장",
		DText_05: "전체 이름",
		DText_06: "전체 이름...",
		DText_07: "이메일 주소",
		DText_08: "이메일 주소...",
		DText_09: "사용자 이름",
		DText_10: "사용자 이름...",
		DText_11: "오류! 다시 시도해 주세요.",
		DText_12: "데이터가 업데이트되었습니다.",
		DText_13: "생일",
		DText_14: "성별",
		DText_15: "키...(_.__m/_ft__in)",
		DText_16: "키 (_.__m/_ft__in)",
		DText_17: "머리카락 색깔",
		DText_18: "왼쪽 눈 색상",
		DText_19: "오른쪽 눈 색깔",
		DText_20: "▲ 위로 ▲",
		DText_21: "하얀색",
		DText_22: "진저 레드",
		DText_23: "오번",
		DText_24: "금발",
		DText_25: "라이트 체스넛",
		DText_26: "구리",
		DText_27: "라이트 블론드",
		DText_28: "밤색 갈색",
		DText_29: "은",
		DText_30: "중간 금발",
		DText_31: "라이트 브라운",
		DText_32: "타이탄",
		DText_33: "다크 블론드",
		DText_34: "중간 갈색",
		DText_35: "회색",
		DText_36: "골드 블론드",
		DText_37: "다크 브라운",
		DText_38: "검은색",
		DText_39: "딸기 블론드",
		DText_40: "머리카락 없음",
		DText_41: "호박색",
		DText_42: "파란색",
		DText_43: "갈색",
		DText_44: "회색",
		DText_45: "녹색",
		DText_46: "엷은 갈색",
		DText_47: "빨간색",
		DText_48: "블루 그레이",
		DText_49: "파란색 녹색",
		DText_50: "그린 그레이",
		DText_51: "그린 브라운",
		DText_511: "어두음 첨가",
		DText_52: "특별 기능",
		DText_54: "1시간마다 코인 1개를 받습니다!",
		DText_55: "코인을 받으려면 전체 양식을 작성하세요!",
		male: "남성",
		female: "여성",
		other: "다른"
	},
	kg: {
		footer00: "Жардам жана көп берилүүчү суроолор.",
		footer01: "МААНИЛҮҮ ЭРЕЖЕЛЕР",
		footer02: "A. Өзүнүн профилине сүрөт эмес сүрөт салган колдонуучу аккаунту",
		footer03: "таанымал жүзү жана чогултуп жаткан тыйындар алынып салынат.",
		footer04: "B. Өзүңдү туура эмес көрсөтүү же өзүңө кош эсеп түзүү",
		footer05: "аныкталгандан кийин ал эсеп өчүрүлөт.",
		footer06: "АЖЫРАТУУ ",
		footer07: "1. Колдонмого кошулуу же сынап көрүү бул колдонуучу макул же дегенди билдирбейт",
		footer08: "1CoinH веб-сайты көрсөткөн ар кандай саясий идеяларды колдойт.",
		footer09: "2. Колдонуучунун каалаган маалыматтарын көчүрүү жана/же кайра колдонуу",
		footer10: "бул веб-сайтта - бул веб-сайттан тышкары - катуу тыюу салынган.",
		footer11: "КЕЛИШИМ",
		footer12: "Бул веб-сайтка колдонуучу катары кошулуу бул баш тартууну окуганыңызды билдирет",
		footer13: "жана жогорудагы 'Маанилүү эрежелер' жана 'баш тартууга' макулдугуңузду билдириңиз.",
		footer14: "Этикалык акча ",
		request:"суроо",
		agree:"макул",
		cashbook:"Кассалык китеп",
		logout:"Чыгуу",
		welcome:"кош келиңиз",
		DText_01:"Профиль маалыматтары",
		DText_02:"Сүрөтүңүздү жүктөңүз",
		DText_03:"jpg/png макс 140x140 пиксел!",
		DText_04:"Сактоо өзгөртүүлөрдү",
		DText_05:"Толук аты-жөнү",
		DText_06:"Толук аты-жөнү...",
		DText_07:"E-mail дареги",
		DText_08:"E-mail дареги...",
		DText_09:"Колдонуучунун аты",
		DText_10:"Колдонуучунун аты...",
		DText_11:"Ката! Сураныч, кайра аракет кылыңыз.",
		DText_12:"Сиздин маалымат жаңыртылды.",
		DText_13:"Туулган күн",
		DText_14:"Жынысы",
		DText_15:"Бийиктиги...(_.__m/_ft__in)",
		DText_16:"Бийиктиги (_.__m/_ft__in)",
		DText_17:"Чачтын түсү",
		DText_18:"Сол көздүн түсү",
		DText_19:"Оң көздүн түсү",
		DText_20:"▲ чейин ▲",
		DText_21:"Ак",
		DText_22:"Имбир кызыл",
		DText_23:"Auburn",
		DText_24:"Blond",
		DText_25:"Жеңил каштан",
		DText_26:"жез",
		DText_27:"Жарык Blond",
		DText_28:"Каштан Браун",
		DText_29:"Silver",
		DText_30:"Орто сары",
		DText_31:"Ачык күрөң",
		DText_32:"Титан",
		DText_33:"Кара блондинка",
		DText_34:"Орто күрөң",
		DText_35:"Боз",
		DText_36:"Алтын Blond",
		DText_37:"Кара күрөң",
		DText_38:"Кара",
		DText_39:"Кулпунай блондинка",
		DText_40:"Чач жок",
		DText_41:"Эмбер",
		DText_42:"Көк",
		DText_43:"Браун",
		DText_44:"Боз",
		DText_45:"жашыл",
		DText_46:"Hazel",
		DText_47:"кызыл",
		DText_48:"Көк боз",
		DText_49:"Көк жашыл",
		DText_50:"Жашыл Боз",
		DText_51:"Жашыл күрөң",
		DText_511:"Протез",
		DText_52:"Өзгөчө өзгөчөлүктөрү",
		DText_54:"Сиз саатына бир тыйын аласыз!",
		DText_55:"Монеталарды алуу үчүн форманы толугу менен толтуруңуз!",
		male:"Эркек",
		female:"Аял",
		other:"Башка",
	},
	la: {
		footer00: "ຊ່ວຍເຫຼືອ ແລະຄຳຖາມທີ່ມັກຖາມເລື້ອຍໆ.",
		footer01: "ກົດລະບຽບສຳຄັນ",
		footer02: "A. ບັນຊີຜູ້ໃຊ້ໃດຫນຶ່ງທີ່ເອົາຮູບພາບໃນໂປຣໄຟລ໌ຂອງຕົນທີ່ບໍ່ແມ່ນຮູບ ",
		footer03: "ຂອງໃບຫນ້າທີ່ຮັບຮູ້ໄດ້ແລະກໍາລັງເກັບກໍາຫຼຽນຈະຖືກໂຍກຍ້າຍອອກ.",
		footer04: "B. ບິດເບືອນຕົວທ່ານເອງ ຫຼືສ້າງບັນຊີສອງເທົ່າໃຫ້ກັບຕົນເອງ",
		footer05: "ຈະສົ່ງຜົນໃຫ້ບັນຊີນັ້ນຖືກລຶບອອກເມື່ອກວດພົບ.",
		footer06: "ຄຳປະຕິເສດ ",
		footer07: "1. ການເຂົ້າຮ່ວມຫຼືການທົດສອບ app ບໍ່ໄດ້ຫມາຍຄວາມວ່າຜູ້ໃຊ້ນີ້ຕົກລົງເຫັນດີຫຼື ",
		footer08: "ຍອມຮັບແນວຄວາມຄິດທາງດ້ານການເມືອງໃດໆທີ່ເວັບໄຊທ໌ 1CoinH ອາດຈະຊີ້ບອກ.",
		footer09: "2. ການສຳເນົາ ແລະ/ຫຼື ນຳໃຊ້ຄືນຂໍ້ມູນຜູ້ໃຊ້ໃດໜຶ່ງທີ່ພົບເຫັນໄດ້ ",
		footer10: "ຢູ່ໃນເວັບໄຊທ໌ນີ້ - ຢູ່ນອກເວັບໄຊທ໌ນີ້ - ຖືກຫ້າມຢ່າງເຂັ້ມງວດ.",
		footer11: "ຂໍ້ຕົກລົງ",
		footer12: "ການເຂົ້າຮ່ວມເວັບໄຊທ໌ນີ້ເປັນຜູ້ໃຊ້ຫມາຍຄວາມວ່າທ່ານໄດ້ອ່ານຄໍາປະຕິເສດນີ້ ",
		footer13: "ແລະຕົກລົງເຫັນດີກັບ 'ກົດລະບຽບສຳຄັນ' ແລະ 'ຄຳປະຕິເສດ' ຂ້າງເທິງ.",
		footer14: "ເງິນດ້ານຈັນຍາບັນ ",
		request:"ຮ້ອງຂໍ",
		agree:"ຕົກລົງເຫັນດີ",
		cashbook:"ປື້ມເງິນສົດ",
		logout:"ອອກຈາກລະບົບ",
		welcome:"ຍິນດີຕ້ອນຮັບ",
		DText_01:"ຂໍ້ມູນໂປຣໄຟລ໌",
		DText_02:"ອັບໂຫຼດຮູບຂອງທ່ານ",
		DText_03:"jpg/png ສູງສຸດ 140x140 ພິກເຊລ!",
		DText_04:"ບັນທຶກການປ່ຽນແປງ",
		DText_05:"ຊື່ເຕັມ",
		DText_06:"ຊື່ເຕັມ...",
		DText_07:"ທີ່ຢູ່ອີເມວ",
		DText_08:"ທີ່ຢູ່ອີເມວ...",
		DText_09:"ຊື່ຜູ້ໃຊ້",
		DText_10:"ຊື່ຜູ້ໃຊ້...",
		DText_11:"ຜິດພາດ! ກະລຸນາລອງອີກຄັ້ງ.",
		DText_12:"ຂໍ້ມູນຂອງທ່ານໄດ້ຖືກອັບເດດແລ້ວ.",
		DText_13:"ວັນເດືອນປີເກີດ",
		DText_14:"ເພດ",
		DText_15:"ຄວາມສູງ...(_.__m/_ft__in)",
		DText_16:"ຄວາມສູງ (_.__m/_ft__in)",
		DText_17:"ສີຜົມ",
		DText_18:"ສີຕາຊ້າຍ",
		DText_19:"ສີຕາຂວາ",
		DText_20:"▲ ຂື້ນ ▲",
		DText_21:"ສີຂາວ",
		DText_22:"ຂີງແດງ",
		DText_23:"Auburn",
		DText_24:"ຜິວເນື້ອສີຂາວ",
		DText_25:"ແກ່ນຫມາກກໍ່ອ່ອນ",
		DText_26:"ທອງແດງ",
		DText_27:"ຜິວເນື້ອສີຂາວອ່ອນ",
		DText_28:"ໝາກເຜັດສີນ້ຳຕານ",
		DText_29:"ເງິນ",
		DText_30:"ຜິວເນື້ອສີຂາວປານກາງ",
		DText_31:"ສີນ້ຳຕານອ່ອນ",
		DText_32:"Titan",
		DText_33:"ຜິວເນື້ອສີຂາວເຂັ້ມ",
		DText_34:"ນ້ຳຕານປານກາງ",
		DText_35:"ສີເທົາ",
		DText_36:"Gold Blond",
		DText_37:"ສີນ້ຳຕານເຂັ້ມ",
		DText_38:"ດຳ",
		DText_39:"Strawberry Blond",
		DText_40:"ບໍ່ມີຜົມ",
		DText_41:"ອໍາພັນ",
		DText_42:"ສີຟ້າ",
		DText_43:"ສີນ້ຳຕານ",
		DText_44:"ສີເທົາ",
		DText_45:"ສີຂຽວ",
		DText_46:"Hazel",
		DText_47:"ສີແດງ",
		DText_48:"ສີຟ້າສີຂີ້ເຖົ່າ",
		DText_49:"ສີຂຽວສີຟ້າ",
		DText_50:"ສີຂຽວສີຂີ້ເຖົ່າ",
		DText_51:"ສີນ້ໍາຕານ",
		DText_511:"ຂາທຽມ",
		DText_52:"ຄຸນສົມບັດພິເສດ",
		DText_54:"ທ່ານໄດ້ຮັບໜຶ່ງຫຼຽນຕໍ່ຊົ່ວໂມງ!",
		DText_55:"ຕື່ມແບບຟອມທັງໝົດເພື່ອຮັບຫຼຽນ!",
		male:"ຜູ້ຊາຍ",
		female:"ເພດຍິງ",
		other:"ອື່ນ",
	},
	lv: {
		footer00: "Palīdzība un bieži uzdotie jautājumi.",
		footer01: "SVARĪGI NOTEIKUMI",
		footer02: "A. Jebkurš lietotāja konts, kas savā profilā ievieto attēlu, kas nav attēls",
		footer03: "ar atpazīstamu seju un kolekcionē monētas.",
		footer04: "B. Maldinoša sevis rādīšana vai dubultkontu izveidošana sev ",
		footer05: "pēc atklāšanas šis konts tiks noņemts.",
		footer06: "ATRUNA ",
		footer07: "1. Pievienošanās lietotnei vai tās testēšana nenozīmē, ka šis lietotājs piekrīt vai ",
		footer08: "pieļauj jebkādas politiskās idejas, kuras varētu norādīt 1CoinH vietnē.",
		footer09: "2. Kopēt un/vai atkārtoti izmantot visus lietotāja datus, kurus var atrast ",
		footer10: "šajā tīmekļa vietnē - ārpus šīs vietnes - ir stingri aizliegts.",
		footer11: "LĪGUMS",
		footer12: "Pievienošanās šai vietnei kā lietotājs nozīmē, ka esat izlasījis šo atrunu",
		footer13: "un piekrītiet iepriekš minētajiem “Svarīgajiem noteikumiem” un “Atruna”.",
		footer14: "Ētiskā nauda ",
		request:"Pieprasīt",
		agree:"Piekrītu",
		cashbook:"Kases grāmata",
		logout:"Iziet",
		welcome:"Laipni lūdzam",
		DText_01:"Profila dati",
		DText_02:"Augšupielādējiet savu fotoattēlu",
		DText_03:"jpg/png maks. 140x140 pikseļi!",
		DText_04:"Saglabāt izmaiņas",
		DText_05:"Pilns vārds",
		DText_06:"Pilns vārds...",
		DText_07:"E-pasta adrese",
		DText_08:"E-pasta adrese...",
		DText_09:"Lietotājvārds",
		DText_10:"Lietotājvārds...",
		DText_11:"Kļūda! Lūdzu, mēģiniet vēlreiz.",
		DText_12:"Jūsu dati ir atjaunināti.",
		DText_13:"Dzimšanas diena",
		DText_14:"Dzimums",
		DText_15:"Augstums...(_.__m/_ft__in)",
		DText_16:"Augstums (_.__m/_ft__in)",
		DText_17:"Krāsa mati",
		DText_18:"Krāsa kreisā acs",
		DText_19:"Krāsa labā acs",
		DText_20:"▲ Uz augšu ▲",
		DText_21:"Balts",
		DText_22:"Ingvers Red",
		DText_23:"Auburn",
		DText_24:"Blonds",
		DText_25:"Gaišais kastanis",
		DText_26:"Vara",
		DText_27:"Gaiši blondīne",
		DText_28:"Kastaņu brūns",
		DText_29:"Sudrabs",
		DText_30:"Vidēji blonds",
		DText_31:"Gaiši brūns",
		DText_32:"Titāns",
		DText_33:"Tumši blondīne",
		DText_34:"Vidēji brūns",
		DText_35:"Pelēks",
		DText_36:"Zelta blondīne",
		DText_37:"Tumši brūns",
		DText_38:"Melns",
		DText_39:"Zemeņu blondīne",
		DText_40:"Bez matiem",
		DText_41:"Dzintars",
		DText_42:"Zils",
		DText_43:"Brūns",
		DText_44:"Pelēks",
		DText_45:"Zaļš",
		DText_46:"Lazda",
		DText_47:"Sarkans",
		DText_48:"Zili pelēks",
		DText_49:"Zils Zaļš",
		DText_50:"Zaļpelēks",
		DText_51:"Zaļš brūns",
		DText_511:"Protēze",
		DText_52:"Īpašas funkcijas",
		DText_54:"Jūs saņemat vienu monētu stundā!",
		DText_55:"Aizpildiet visu veidlapu, lai saņemtu monētas!",
		male:"Vīrietis",
		female:"Sieviete",
		other:"Citi",
	},
	lt: {
		footer00: "Pagalba ir dažniausiai užduodami klausimai.",
		footer01: "SVARBIOS TAISYKLĖS",
		footer02: "A. Bet kuri vartotojo paskyra, kuri į savo profilį įdeda vaizdą, kuris nėra paveikslėlis",
		footer03: "atpažįstamo veido ir renkantis monetas bus pašalintas.",
		footer04: "B. Klaidinantis savęs pateikimas arba dvigubų sąskaitų kūrimas ",
		footer05: "aptikta paskyra bus pašalinta.",
		footer06: "ATSISAKYMAS ",
		footer07: "1. Prisijungimas prie programos ar jos išbandymas nereiškia, kad šis vartotojas sutinka arba ",
		footer08: "toleruoja bet kokias politines idėjas, kurias gali nurodyti 1CoinH svetainė.",
		footer09: "2. Nukopijuoti ir (arba) pakartotinai naudoti bet kokius vartotojo duomenis, kuriuos galima rasti ",
		footer10: "šioje svetainėje – už šios svetainės ribų – griežtai draudžiama.",
		footer11: "SUTARTIS ",
		footer12: "Prisijungimas prie šios svetainės kaip vartotojas reiškia, kad perskaitėte šį atsakomybės atsisakymą",
		footer13: "ir sutikite su aukščiau pateiktomis „Svarbiomis taisyklėmis“ ir „Atsisakymu“.",
		footer14: "Etiški pinigai ",
		request:"Prašyti",
		agree:"Sutinku",
		cashbook:"Kasos knyga",
		logout:"Atsijungti",
		welcome:"Sveiki",
		DText_01:"Profilio duomenys",
		DText_02:"Įkelk savo nuotrauką",
		DText_03:"jpg/png maks. 140x140 pikselių!",
		DText_04:"Išsaugoti pakeitimus",
		DText_05:"Visas vardas",
		DText_06:"Visas vardas...",
		DText_07:"El. pašto adresas",
		DText_08:"El. pašto adresas...",
		DText_09:"Vartotojo vardas",
		DText_10:"Vartotojo vardas...",
		DText_11:"Klaida! Bandykite dar kartą.",
		DText_12:"Jūsų duomenys atnaujinti.",
		DText_13:"Gimtadienis",
		DText_14:"Lytis",
		DText_15:"Aukštis...(_.__m/_ft__in)",
		DText_16:"Aukštis (_.__m/_ft__in)",
		DText_17:"Spalvoti plaukai",
		DText_18:"Spalva Kairė akis",
		DText_19:"Spalva Dešinė akis",
		DText_20:"▲ Aukštyn ▲",
		DText_21:"Baltas",
		DText_22:"Imbieras raudonas",
		DText_23:"Auburn",
		DText_24:"Šviesiaplaukis",
		DText_25:"Šviesus kaštonas",
		DText_26:"Varis",
		DText_27:"Šviesiai blondinė",
		DText_28:"Kaštonų ruda",
		DText_29:"Sidabras",
		DText_30:"Vidutinis blondinas",
		DText_31:"Šviesiai ruda",
		DText_32:"Titanas",
		DText_33:"Tamsiai blondinė",
		DText_34:"Vidutiniškai ruda",
		DText_35:"Pilka",
		DText_36:"Aukso blondinė",
		DText_37:"Tamsiai ruda",
		DText_38:"Juoda",
		DText_39:"Braškių blondinė",
		DText_40:"Nėra plaukų",
		DText_41:"Gintaras",
		DText_42:"Mėlyna",
		DText_43:"Ruda",
		DText_44:"Pilka",
		DText_45:"Žalia",
		DText_46:"Lazdynas",
		DText_47:"Raudoni",
		DText_48:"Mėlyna pilka",
		DText_49:"Mėlyna žalia",
		DText_50:"Žalia pilka",
		DText_51:"žalia ruda",
		DText_511:"Protezas",
		DText_52:"Ypatingos savybės",
		DText_54:"Jūs gaunate vieną monetą per valandą!",
		DText_55:"Norėdami gauti monetų, užpildykite visą formą!",
		male:"Vyriški",
		female:"Moteris",
		other:"Kiti",
	},
	hu: {
		footer00: "Segítség és gyakran ismételt kérdések.",
		footer01: "FONTOS SZABÁLYOK",
		footer02: "V. Minden olyan felhasználói fiókot, amely olyan képet helyez el a profiljába,",
		footer03: "amely nem egy felismerhető arc képe, és érméket gyűjt, eltávolítjuk.",
		footer04: "B. Ha félrevezeti magát, vagy kettős fiókot hoz létre",
		footer05: "magának, az észlelés után a fiók eltávolításra kerül.",
		footer06: "NYILATKOZAT",
		footer07: "1. Az alkalmazáshoz való csatlakozás vagy az alkalmazás tesztelése nem jelenti azt, hogy a felhasználó",
		footer08: "beleegyezik vagy elnéz minden olyan politikai elképzelést, amelyet az 1CoinH webhely jelezhet.",
		footer09: "2. A weboldalon található felhasználói adatok másolása vagy",
		footer10: "újrafelhasználása - ezen a weboldalon kívül - szigorúan tilos.",
		footer11: "MEGÁLLAPODÁS",
		footer12: "Ha felhasználóként csatlakozik ehhez a weboldalhoz, az azt jelenti, hogy elolvasta ezt a",
		footer13: "felelősségkizárást, és elfogadja a fenti „Fontos szabályokat” és „Felelősségi nyilatkozatot”.",
		footer14: "Etikus Pénz",
		request: "Kér",
		agree: "Egyetért",
		cashbook: "Pénztárkönyv",
		logout: "Jelentkezzen Ki",
		welcome: "Üdvözöljük",
		DText_01: "Profiladatok",
		DText_02: "Töltse fel a fényképét",
		DText_03: "jpg/png max 140x140 pixel!",
		DText_04: "Módosítások Mentése",
		DText_05: "Teljes név",
		DText_06: "Teljes név...",
		DText_07: "E-mail cím",
		DText_08: "E-mail cím...",
		DText_09: "Felhasználónév",
		DText_10: "Felhasználónév...",
		DText_11: "Hiba! Kérjük, próbálja újra.",
		DText_12: "Adatai frissülnek.",
		DText_13: "Születésnap",
		DText_14: "Nem",
		DText_15: "Magasság...(_.__m/_ft__in)",
		DText_16: "Magasság (_.__m/_ft__in)",
		DText_17: "Színes Haj",
		DText_18: "Szín bal szem",
		DText_19: "Szín jobb szem",
		DText_20: "▲ Fel ▲",
		DText_21: "Fehér",
		DText_22: "Ginger Red",
		DText_23: "Aranybarna",
		DText_24: "Szőke",
		DText_25: "Világos Gesztenye",
		DText_26: "Réz",
		DText_27: "Világos Szőke",
		DText_28: "Gesztenyebarna",
		DText_29: "Ezüst",
		DText_30: "Közepes Szőke",
		DText_31: "Világosbarna",
		DText_32: "Titán",
		DText_33: "Sötétszőke",
		DText_34: "Közepes Barna",
		DText_35: "Szürke",
		DText_36: "Aranyszőke",
		DText_37: "Sötétbarna",
		DText_38: "Fekete",
		DText_39: "Eperszőke",
		DText_40: "Nincs haj",
		DText_41: "Borostyán",
		DText_42: "Kék",
		DText_43: "Barna",
		DText_44: "Szürke",
		DText_45: "Zöld",
		DText_46: "Hazel",
		DText_47: "Piros",
		DText_48: "Kék Szürke",
		DText_49: "Kék Zöld",
		DText_50: "Zöld Szürke",
		DText_51: "Zöld Barna",
		DText_511: "Protézis",
		DText_52: "Különleges Jellemzők",
		DText_54: "Óránként egy érmét kapsz!",
		DText_55: "Töltsd ki a teljes űrlapot, hogy érméket kapj!",
		male: "Férfi",
		female: "Női",
		other: "Más"
	},
	mg: {
		footer00: "Fanampiana sy fanontaniana apetraka matetika.",
		footer01: "FITSIPIKA MANDRITRA ",
		footer02: "A. Izay kaonty mpampiasa mametraka sary ao amin'ny mombamomba azy izay tsy sary",
		footer03: "amin'ny endrika fantatra sy manangona vola dia hesorina.",
		footer04: "B. Misolo tena ny tenanao na manao kaonty avo roa heny ho anao",
		footer05: "dia ho esorina io kaonty io rehefa hita.",
		footer06: "FANAMARIHANA",
		footer07: "1. Ny fidirana na fitsapana ny fampiharana dia tsy midika fa manaiky io mpampiasa io na ",
		footer08: "manaiky izay hevitra politika mety ho tondroin'ny tranokala 1CoinH.",
		footer09: "2. Mandika sy/na mampiasa indray ny angona mpampiasa izay hita ",
		footer10: "amin'ity tranokala ity - ivelan'ity tranokala ity - dia voarara tanteraka.",
		footer11: "FIfanarahana",
		footer12: "Ny fidirana amin'ity tranokala ity amin'ny maha-mpampiasa azy dia midika fa efa namaky ity ianao",
		footer13: "ary manaiky ny 'Fitsipika manan-danja' sy 'Disclaimer' etsy ambony.",
		footer14: "Vola etika",
		request:"Mangataka",
		agree:"Manaiky",
		cashbook:"Boky vola",
		logout:"Hivoaka",
		welcome:"Tongasoa",
		DText_01:"Data momba ny mombamomba",
		DText_02:"Ampidiro ny sarinao",
		DText_03:"jpg/png max 140x140 pixels!",
		DText_04:"Save Changes",
		DText_05:"Anarana feno",
		DText_06:"Anarana feno...",
		DText_07:"Adiresy mailaka",
		DText_08:"Adiresy mailaka...",
		DText_09:"Username",
		DText_10:"Anaran'ny mpampiasa...",
		DText_11:"Error! Andramo indray azafady.",
		DText_12:"Havaozina ny angonao.",
		DText_13:"fitsingerenan'ny andro nahaterahana",
		DText_14:"lahy sy vavy",
		DText_15:"Haavo...(_.__m/_ft__in)",
		DText_16:"Haavo (_.__m/_ft__in)",
		DText_17:"Loko volo",
		DText_18:"Loko maso ankavia",
		DText_19:"Loko maso havanana",
		DText_20:"▲ Miakatra ▲",
		DText_21:"White",
		DText_22:"Ginger Mena",
		DText_23:"Auburn",
		DText_24:"Blond",
		DText_25:"Fahazavana Voa",
		DText_26:"Varahina",
		DText_27:"Volana mavo",
		DText_28:"Voa Brown",
		DText_29:"Volafotsy",
		DText_30:"Blond antonony",
		DText_31:"Volovonjavonja",
		DText_32:"Titan",
		DText_33:"Maizina Blond",
		DText_34:"Brown antonony",
		DText_35:"Grey",
		DText_36:"Volamena volamena",
		DText_37:"Brown maizina",
		DText_38:"Mainty",
		DText_39:"Frezy Blond",
		DText_40:"Tsisy volo",
		DText_41:"Ambara",
		DText_42:"Manga",
		DText_43:"Brown",
		DText_44:"Gray",
		DText_45:"Maitso",
		DText_46:"Hazel",
		DText_47:"Mena",
		DText_48:"Manga Grey",
		DText_49:"Manga Maitso",
		DText_50:"Maitso Grey",
		DText_51:"Maitso Brown",
		DText_511:"Prosthesis",
		DText_52:"Endri-javatra manokana",
		DText_54:"Mahazo farantsa iray isan'ora ianao!",
		DText_55:"Fenoy ny taratasy rehetra hahazoana vola!",
		male:"Lahy",
		female:"Vehivavy",
		other:"hafa",
	},
	ma: {
		footer00: "मदत आणि वारंवार विचारले जाणारे प्रश्न.",
		footer01: "महत्त्वाचे नियम",
		footer02: "अ. कोणताही वापरकर्ता खाते जो त्याच्या/तिच्या प्रोफाइलमध्ये अशी प्रतिमा ठेवतो जी ",
		footer03: "ओळखण्यायोग्य चेहऱ्याची प्रतिमा नाही आणि नाणी गोळा करत आहे ते काढून टाकले जाईल.",
		footer04: "ब. स्वतःचे चुकीचे प्रतिनिधित्व करणे किंवा स्वतःसाठी दुहेरी खाते बनवणे",
		footer05: "परिणामी ते खाते शोधल्यानंतर काढून टाकले जाईल.",
		footer06: "अस्वीकरण",
		footer07: "१. अ‍ॅपमध्ये सामील होणे किंवा त्याची चाचणी करणे याचा अर्थ असा नाही की हा वापरकर्ता 1CoinH वेबसाइट दर्शवू शकणाऱ्या कोणत्याही राजकीय कल्पनांशी सहमत आहे किंवा",
		footer08: "माफ करतो.",
		footer09: "२. या वेबसाइटवर - या वेबसाइटच्या बाहेर - आढळू शकणारा कोणताही",
		footer10: "वापरकर्ता डेटा कॉपी करणे आणि/किंवा पुनर्वापर करणे सक्त मनी आहे.",
		footer11: "करार",
		footer12: "या वेबसाइटवर वापरकर्ता म्हणून सामील होणे म्हणजे तुम्ही हे अस्वीकरण वाचले आहे",
		footer13: "आणि वरील 'महत्त्वाचे नियम' आणि 'अस्वीकरण' यांना सहमती दर्शवा.",
		footer14: "नैतिक पैसे",
		request:"विनंती",
		agree:"सहमत",
		cashbook:"कॅशबुक",
		logout:"लॉग आउट",
		welcome:"स्वागत आहे",
		DText_01:"प्रोफाइल डेटा",
		DText_02:"तुमचा फोटो अपलोड करा",
		DText_03:"jpg/png कमाल १४०x१४० पिक्सेल!",
		DText_04:"बदल जतन करा",
		DText_05:"पूर्ण नाव",
		DText_06:"पूर्ण नाव...",
		DText_07:"ई-मेल पत्ता",
		DText_08:"ई-मेल पत्ता...",
		DText_09:"वापरकर्तानाव",
		DText_10:"वापरकर्तानाव...",
		DText_11:"त्रुटी! कृपया पुन्हा प्रयत्न करा.",
		DText_12:"तुमचा डेटा अपडेट केला आहे.",
		DText_13:"वाढदिवस",
		DText_14:"लिंग",
		DText_15:"उंची...(_.__m/_ft__in)",
		DText_16:"उंची (_.__m/_ft__in)",
		DText_17:"केसांचा रंग",
		DText_18:"डाव्या डोळ्याचा रंग",
		DText_19:"उजव्या डोळ्याचा रंग",
		DText_20:"▲ वर ▲",
		DText_21:"पांढरा",
		DText_22:"आले लाल",
		DText_23:"ऑबर्न",
		DText_24:"गोरा",
		DText_25:"हलका चेस्टनट",
		DText_26:"तांबे",
		DText_27:"हलका गोरा",
		DText_28:"चेस्टनट तपकिरी",
		DText_29:"चांदी",
		DText_30:"मध्यम गोरा",
		DText_31:"हलका तपकिरी",
		DText_32:"टायटन",
		DText_33:"गडद गोरा",
		DText_34:"मध्यम तपकिरी",
		DText_35:"राखाडी",
		DText_36:"सोनेरी गोरा",
		DText_37:"गडद तपकिरी",
		DText_38:"काळा",
		DText_39:"स्ट्रॉबेरी गोरा",
		DText_40:"केस नाहीत",
		DText_41:"अंबर",
		DText_42:"निळा",
		DText_43:"तपकिरी",
		DText_44:"राखाडी",
		DText_45:"हिरवा",
		DText_46:"हेझल",
		DText_47:"लाल",
		DText_48:"निळा राखाडी",
		DText_49:"निळा हिरवा",
		DText_50:"हिरवा राखाडी",
		DText_51:"हिरवा राखाडी",
		DText_511:"हिरवा तपकिरी",
		DText_52:"प्रोस्थेसिस",
		DText_54:"विशेष वैशिष्ट्ये",
		DText_55:"तुम्हाला प्रति तास!",
		male:"नाणी मिळविण्यासाठी संपूर्ण फॉर्म भरा!",
		female:"महिला",
		other:"इतर",
	},
	ml: {
		footer00: "Bantuan dan soalan lazim.",
		footer01: "PERATURAN PENTING",
		footer02: "A. Mana-mana akaun pengguna yang meletakkan imej dalam profilnya yang bukan gambar",
		footer03: "wajah yang boleh dikenali dan sedang mengumpul syiling akan dialih keluar.",
		footer04: "B. Salah nyatakan diri sendiri atau membuat akaun berganda untuk diri sendiri",
		footer05: "akan menyebabkan akaun itu dialih keluar setelah dikesan.",
		footer06: "PENAFIAN",
		footer07: "1. Menyertai atau menguji apl tidak bermakna pengguna ini bersetuju atau",
		footer08: "membenarkan sebarang idea politik yang mungkin ditunjukkan oleh laman web 1CoinH.",
		footer09: "2. Menyalin dan/atau menggunakan semula mana-mana data pengguna yang boleh ditemui",
		footer10: "di laman web ini - di luar laman web ini - adalah dilarang sama sekali.",
		footer11: "PERJANJIAN",
		footer12: "Menyertai laman web ini sebagai pengguna bermakna anda telah membaca penafian ini",
		footer13: "dan bersetuju menerima 'Peraturan Penting' dan 'Penafian' di atas.",
		footer14: "Wang Beretika",
		request:"Permintaan",
		agree:"Setuju",
		cashbook:"Buku tunai",
		logout:"Log Keluar",
		welcome:"Selamat datang",
		DText_01:"Data Profil",
		DText_02:"Muat naik foto anda",
		DText_03:"jpg/png maks 140x140 piksel!",
		DText_04:"Simpan Perubahan",
		DText_05:"Nama penuh",
		DText_06:"Nama penuh...",
		DText_07:"Alamat e-mel",
		DText_08:"Alamat e-mel...",
		DText_09:"Nama pengguna",
		DText_10:"Nama pengguna...",
		DText_11:"Ralat! Sila cuba lagi.",
		DText_12:"Data anda dikemas kini.",
		DText_13:"Hari lahir",
		DText_14:"Jantina",
		DText_15:"Tinggi...(_.__m/_ft__in)",
		DText_16:"Tinggi (_.__m/_ft__in)",
		DText_17:"Warna Rambut",
		DText_18:"Warna Mata Kiri",
		DText_19:"Warna Mata Kanan",
		DText_20:"▲ Naik ▲",
		DText_21:"Putih",
		DText_22:"Halia Merah",
		DText_23:"Auburn",
		DText_24:"Berambut perang",
		DText_25:"Berangan Ringan",
		DText_26:"Tembaga",
		DText_27:"Berambut Perang",
		DText_28:"Chestnut Brown",
		DText_29:"Perak",
		DText_30:"Berambut perang sederhana",
		DText_31:"Coklat Muda",
		DText_32:"Titan",
		DText_33:"Berambut perang gelap",
		DText_34:"Coklat Sederhana",
		DText_35:"Kelabu",
		DText_36:"Berambut perang emas",
		DText_37:"Coklat Gelap",
		DText_38:"Hitam",
		DText_39:"Strawberi berambut perang",
		DText_40:"Tiada Rambut",
		DText_41:"Amber",
		DText_42:"Biru",
		DText_43:"coklat",
		DText_44:"Kelabu",
		DText_45:"hijau",
		DText_46:"Hazel",
		DText_47:"Merah",
		DText_48:"Biru Kelabu",
		DText_49:"Biru Hijau",
		DText_50:"Hijau Kelabu",
		DText_51:"Hijau Coklat",
		DText_511:"Prostesis",
		DText_52:"Ciri Istimewa",
		DText_54:"Anda menerima satu syiling setiap jam!",
		DText_55:"Isi seluruh borang untuk menerima syiling!",
		male:"Lelaki",
		female:"Perempuan",
		other:"Lain-lain",
	},
	mo: {
		footer00: "Тусламж, байнга асуудаг асуултууд.",
		footer01: "ЧУХАЛ ДҮРЭМ ",
		footer02: "A. Өөрийн профайлдаа зураг биш зураг оруулсан хэрэглэгчийн бүртгэл",
		footer03: "танигдахуйц царайтай, зоос цуглуулж байгаа зэргийг хасна.",
		footer04: "B. Өөрийгөө буруугаар харуулах эсвэл өөртөө давхар данс үүсгэх",
		footer05: "илрүүлсний дараа тухайн бүртгэлийг устгахад хүргэнэ.",
		footer06: "АНХААРУУЛГА ",
		footer07: "1. Апп-д элсэх эсвэл туршиж үзэх нь энэ хэрэглэгчийг зөвшөөрч байгаа эсвэл гэсэн үг биш юм",
		footer08: "1CoinH вэб сайтын зааж болох аливаа улс төрийн санааг зөвшөөрч байна.",
		footer09: "2. Олдох боломжтой хэрэглэгчийн өгөгдлийг хуулах ба/эсвэл дахин ашиглах",
		footer10: "энэ вэб сайт дээр - энэ вэб сайтаас гадуур - хатуу хориглоно.",
		footer11: "ГЭРЭЭ",
		footer12: "Энэ вэб сайтад хэрэглэгчээр элссэнээр та энэхүү татгалзлыг уншсан гэсэн үг юм",
		footer13: "мөн дээрх 'Чухал дүрэм' болон 'Татгалзах'-ыг зөвшөөрч байна.",
		footer14: "Ёс суртахууны мөнгө ",
		request:"долларын хүсэлт",
		agree:"Зөвшөөрч байна",
		cashbook:"Бэлэн мөнгөний дэвтэр",
		logout:"Гарах",
		welcome:"тавтай морил",
		DText_01:"Профайл өгөгдөл",
		DText_02:"Өөрийн зургаа байршуулна уу",
		DText_03:"jpg/png хамгийн ихдээ 140x140 пиксел!",
		DText_04:"Өөрчлөлтүүдийг хадгалах",
		DText_05:"Бүтэн нэр",
		DText_06:"Бүтэн нэр...",
		DText_07:"Имэйл хаяг",
		DText_08:"Имэйл хаяг...",
		DText_09:"хэрэглэгчийн нэр",
		DText_10:"Хэрэглэгчийн нэр...",
		DText_11:"Алдаа! Дахин оролдоно уу.",
		DText_12:"Таны мэдээлэл шинэчлэгдсэн.",
		DText_13:"Төрсөн өдөр",
		DText_14:"Хүйс",
		DText_15:"Өндөр...(_.__m/_ft__in)",
		DText_16:"Өндөр (_.__m/_ft__in)",
		DText_17:"Өнгө үс",
		DText_18:"Зүүн нүдний өнгө",
		DText_19:"Баруун нүдийг өнгө",
		DText_20:"▲ хүртэл ▲",
		DText_21:"Цагаан",
		DText_22:"Цагаан гаа улаан",
		DText_23:"Бор шувуу",
		DText_24:"шаргал",
		DText_25:"Хөнгөн хүрэн",
		DText_26:"зэс доллар",
		DText_27:"Цайвар шаргал доллар",
		DText_28:"хүрэн хүрэн",
		DText_29:"Мөнгө доллар",
		DText_30:"Дунд зэргийн шаргал доллар",
		DText_31:"Цайвар хүрэн",
		DText_32:"Титан доллар",
		DText_33:"Хар шаргал",
		DText_34:"Дунд зэргийн бор",
		DText_35:"Саарал",
		DText_36:"Алтан шаргал доллар",
		DText_37:"Хар хүрэн",
		DText_38:"хар",
		DText_39:"Гүзээлзгэнэтэй шаргал доллар",
		DText_40:"Үсгүй",
		DText_41:"Хув",
		DText_42:"Цэнхэр",
		DText_43:"Бор",
		DText_44:"Саарал",
		DText_45:"Ногоон доллар",
		DText_46:"Hazel",
		DText_47:"Улаан доллар",
		DText_48:"Цэнхэр саарал",
		DText_49:"Цэнхэр ногоон",
		DText_50:"Ногоон саарал",
		DText_51:"Ногоон хүрэн",
		DText_511:"Протез",
		DText_52:"Онцлог шинж чанарууд",
		DText_54:"Та цагт нэг зоос авна!",
		DText_55:"Зоос авахын тулд маягтыг бүхэлд нь бөглөнө үү!",
		male:"эрэгтэй доллар",
		female:"Эмэгтэй",
		other:"Бусад доллар",
			},
	bu: {
		footer00: "အကူအညီနှင့် မကြာခဏမေးလေ့ရှိသောမေးခွန်းများ။",
		footer01: "အရေးကြီးသော စည်းမျဉ်းများ",
		footer02: "A. ပုံတစ်ပုံမဟုတ်မဟုတ်သော သူ၏ပရိုဖိုင်တွင် ပုံတစ်ခုထည့်သည့် မည်သည့်အသုံးပြုသူအကောင့်မဆို",
		footer03: "မှတ်မိနိုင်သော မျက်နှာနှင့် အကြွေစေ့များ စုဆောင်းနေမှုများကို ဖယ်ရှားပါမည်။",
		footer04: "B. သင့်ကိုယ်သင် အလွဲသုံးစားလုပ်ခြင်း သို့မဟုတ် သင့်ကိုယ်သင် ဒေါ်လာအတွက် အကောင့်နှစ်ထပ်ပြုလုပ်ခြင်း။",
		footer05: "တွေ့ရှိသည်နှင့်တပြိုင်နက် ထိုအကောင့်ကို ဖယ်ရှားပစ်မည်ဖြစ်သည်။",
		footer06: "ငြင်းဆိုချက်",
		footer07: "1. အက်ပ်ကို ချိတ်ဆက်ခြင်း သို့မဟုတ် စမ်းသပ်ခြင်းသည် ဤအသုံးပြုသူ သဘောတူသည် သို့မဟုတ ဟု မဆိုလိုပါ။",
		footer08: "မည်သည့်နိုင်ငံရေးအယူအဆကိုမဆို 1CoinH ဝဘ်ဆိုက်မှ ရှုတ်ချဖော်ပြနိုင်သည်.",
		footer09: "2. ရှာတွေ့နိုင်သော အသုံးပြုသူဒေတာကို ကူးယူခြင်းနှင့်/သို့မဟုတ် ပြန်လည်အသုံးပြုခြင်း။",
		footer10: "ဤဝဘ်ဆိုဒ်ပေါ်တွင် - ဤဝဘ်ဆိုဒ်ပြင်ပတွင် - တင်းကြပ်စွာတားမြစ်ထားသည်။",
		footer11: "သဘောတူညီချက်",
		footer12: "အသုံးပြုသူတစ်ဦးအနေဖြင့် ဤဝဘ်ဆိုက်သို့ဝင်ရောက်ခြင်းဆိုသည်မှာ ဤရှင်းလင်းချက် ကို သင်ဖတ်ပြီးပြီဖြစ်သည်။",
		footer13: "အထက်ဖော်ပြပါ 'အရေးကြီးစည်းမျဉ်းများ' နှင့် 'ငြင်းဆိုချက်' ကို သဘောတူပါ။",
		footer14: "ကျင့်ဝတ်တွေ ပေးတာ။",
		request:"တောင်းဆိုပါ။",
		agree:"သဘောတူ",
		cashbook:"ငွေသားစာအုပ်",
		logout:"ထွက်ပါ။",
		welcome:"ကြိုဆိုပါတယ်",
		DText_01:"ပရိုဖိုင်ဒေတာ",
		DText_02:"သင့်ဓာတ်ပုံ ကို အပ်လုဒ်လုပ်ပါ။",
		DText_03:"jpg/png အမြင့်ဆုံး 140x140 ပစ်ဇယ်!",
		DText_04:"အပြောင်းအလဲများ သိမ်းဆည်းပါ။",
		DText_05:"နာမည်အပြည့်အစုံ",
		DText_06:"နာမည်အပြည့်အစုံ...",
		DText_07:"အီးမေးလ်လိပ်စာ",
		DText_08:"အီးမေးလ်လိပ်စာ...",
		DText_09:"အသုံးပြုသူအမည်",
		DText_10:"အသုံးပြုသူအမည်...",
		DText_11:"အမှား။ ထပ်စမ်းကြည့်ပါ။",
		DText_12:"သင့်ဒေတာကို အပ်ဒိတ်လုပ်ထားသည်။",
		DText_13:"မွေးနေ့",
		DText_14:"ကျား၊မ",
		DText_15:"အမြင့်...(_.__m/_ft__in)",
		DText_16:"အမြင့် (_.__m/_ft__in)",
		DText_17:"ဆံပင်အရောင်",
		DText_18:"ဘယ်မျက်လုံးအရောင်",
		DText_19:"ညာဘက်မျက်လုံးအရောင်",
		DText_20:"▲ တက် ▲",
		DText_21:"အဖြူရောင်",
		DText_22:"ဂျင်းနီ",
		DText_23:"Auburn",
		DText_24:"ရွှေရောင်",
		DText_25:"သစ်အယ်သီး",
		DText_26:"ကြေးနီဒေါ်လာ",
		DText_27:"ရွှေရောင်အဖျော့",
		DText_28:"သစ်အယ်သီး",
		DText_29:"ငွေ",
		DText_30:"အလတ်စား Blond",
		DText_31:"အညိုဖျော့",
		DText_32:"Titan",
		DText_33:"နက်ပြာရောင်",
		DText_34:"အညိုရောင်",
		DText_35:"မီးခိုးရောင်",
		DText_36:"ရွှေဘွန်းဒေါ်လာ",
		DText_37:"အညိုရောင်",
		DText_38:"အနက်ရောင်",
		DText_39:"စတော်ဘယ်ရီရွှေရောင်",
		DText_40:"ဆံပင် မရှိ။",
		DText_41:"ပယင်းဒေါ်လာ",
		DText_42:"အပြာရောင်",
		DText_43:"အညိုရောင်",
		DText_44:"မီးခိုးရောင်",
		DText_45:"အစိမ်းရောင်ဒေါ်လာ",
		DText_46:"Hazel",
		DText_47:"အနီရောင်ဒေါ်လာ",
		DText_48:"အပြာမီးခိုးရောင်",
		DText_49:"အပြာစိမ်း",
		DText_50:"အစိမ်းရောင် မီးခိုးရောင်",
		DText_51:"အစိမ်းညို",
		DText_511:"ခြေတုလက်တု",
		DText_52:"အထူးအင်္ဂါရပ်များ",
		DText_54:"သင်သည် တစ်နာရီလျှင် တစ်ဒင်္ဂါးပြား ရရှိသည်!",
		DText_55:"ဒင်္ဂါးများရယူရန် ဖောင်တစ်ခုလုံးဖြည့်ပါ။",
		male:"ယောကျာ်းလေး",
		female:"အမျိုးသမီး",
		other:"အခြား",
	},
	ne: {
		footer00: "Hulp en veelgestelde vragen.",
		footer01: "BELANGRIJKE REGELS",
		footer02: "A. Elk gebruikersaccount dat een afbeelding in zijn/haar profiel plaatst",
		footer03: "die geen herkenbaar gezicht toont en munten verzamelt, wordt verwijderd.",
		footer04: "B. Als je jezelf voordoet als iemand anders of als je dubbele accounts voor",
		footer05: "jezelf aanmaakt, wordt het account verwijderd zodra dit wordt ontdekt.",
		footer06: "DISCLAIMER",
		footer07: "1. Deelname aan of het testen van de app betekent geenszins dat deze gebruiker akkoord",
		footer08: "gaat met - of de politieke ideeën goedkeurt - die op de 1CoinH-website worden geuit.",
		footer09: "2. Het is ten strengste verboden om gebruikersgegevens die op deze website",
		footer10: "te vinden zijn, buiten deze website te kopiëren of te hergebruiken.",
		footer11: "OVEREENKOMST",
		footer12: "Wanneer je jezelf als gebruiker bij deze website aansluit, betekent dit dat je deze disclaimer",
		footer13: "hebt gelezen en akkoord gaat met de bovenstaande 'Belangrijke regels' en 'Disclaimer'.",
		footer14: "Ethisch Geld",
		request: "Verzoek",
		agree: "Akkoord",
		cashbook: "Kasboek",
		logout: "Log Uit",
		welcome: "Welkom",
		DText_01: "Profielgegevens",
		DText_02: "Upload jouw foto",
		DText_03: "jpg/png maximaal 140x140 pixels!",
		DText_04: "Wijzigingen Opslaan",
		DText_05: "Volledige naam",
		DText_06: "Volledige naam...",
		DText_07: "E-mailadres",
		DText_08: "E-mailadres...",
		DText_09: "Gebruikersnaam",
		DText_10: "Gebruikersnaam...",
		DText_11: "Fout! Probeer het opnieuw.",
		DText_12: "Jouw gegevens zijn bijgewerkt.",
		DText_13: "Geboortedag",
		DText_14: "Geslacht",
		DText_15: "Lengte...(_.__m/_ft__in)",
		DText_16: "Lengte (_.__m/_ft__in)",
		DText_17: "Kleur Haar",
		DText_18: "Kleur Linkeroog",
		DText_19: "Kleur Rechteroog",
		DText_20: "▲ Omhoog ▲",
		DText_21: "Wit",
		DText_22: "Gember Rood",
		DText_23: "Roodbruin",
		DText_24: "Blond",
		DText_25: "Licht Kastanje",
		DText_26: "Koper",
		DText_27: "Lichtblond",
		DText_28: "Kastanjebruin",
		DText_29: "Zilver",
		DText_30: "Medium Blond",
		DText_31: "Lichtbruin",
		DText_32: "Titan",
		DText_33: "Donkerblond",
		DText_34: "Middelbruin",
		DText_35: "Grijs",
		DText_36: "Goudblond",
		DText_37: "Donkerbruin",
		DText_38: "Zwart",
		DText_39: "Roodblond",
		DText_40: "Geen Haar",
		DText_41: "Amber",
		DText_42: "Blauw",
		DText_43: "Bruin",
		DText_44: "Grijs",
		DText_45: "Groen",
		DText_46: "Hazel",
		DText_47: "Rood",
		DText_48: "Blauw Grijs",
		DText_49: "Blauw Groen",
		DText_50: "Groen Grijs",
		DText_51: "Groen Bruin",
		DText_511: "Prothese",
		DText_52: "Speciale Kenmerken",
		DText_54: "Je ontvangt één munt per uur!",
		DText_55: "Vul het volledige formulier in om munten te ontvangen!",
		male: "Mannelijk",
		female: "Vrouwelijk",
		other: "Anders"
	},
	np: {
		footer00: "मद्दत र बारम्बार सोधिने प्रश्नहरू।",
		footer01: "महत्वपूर्ण नियमहरू",
		footer02: "क. कुनै पनि प्रयोगकर्ता खाता जसले आफ्नो प्रोफाइलमा त्यस्तो छवि राख्छ जुन",
		footer03: "पहिचान गर्न सकिने अनुहारको तस्वीर होइन र सिक्का सङ्कलन गरिरहेको छ भने हटाइनेछ।",
		footer04: "ख. आफूलाई गलत प्रस्तुत गर्ने वा आफ्नो लागि दोहोरो खाता बनाउने",
		footer05: "पत्ता लागेपछि त्यो खाता हटाइनेछ।",
		footer06: "अस्वीकरण",
		footer07: "१. एपमा सामेल हुनु वा परीक्षण गर्नुको अर्थ यो प्रयोगकर्ताले १CoinH वेबसाइटले संकेत गर्न सक्ने कुनै पनि राजनीतिक विचारहरूसँग सहमत छ वा",
		footer08: "माफ गर्दछ भन्ने होइन।",
		footer09: "२. यस वेबसाइटमा - यस वेबसाइट बाहिर - फेला पार्न सकिने कुनै पनि प्रयोगकर्ता",
		footer10: "डेटा प्रतिलिपि गर्नु र/वा पुन: प्रयोग गर्नु कडाइका साथ निषेध गरिएको छ।",
		footer11: "सहमति",
		footer12: "प्रयोगकर्ताको रूपमा यस वेबसाइटमा सामेल हुनुको अर्थ तपाईंले यो अस्वीकरण",
		footer13: "पढ्नुभएको छ र माथिको 'महत्वपूर्ण नियमहरू' र 'अस्वीकरण' मा सहमत हुनुहुन्छ।",
		footer14: "नैतिक पैसा",
		request:"अनुरोध",
		agree:"सहमत",
		cashbook:"क्यासबुक",
		logout:"लग आउट",
		welcome:"स्वागत छ",
		DText_01:"प्रोफाइल डाटा",
		DText_02:"तपाईंको फोटो अपलोड गर्नुहोस्",
		DText_03:"jpg/png अधिकतम १४०x१४० पिक्सेल!",
		DText_04:"परिवर्तनहरू बचत गर्नुहोस्",
		DText_05:"पूरा नाम",
		DText_06:"पूरा नाम...",
		DText_07:"इमेल ठेगाना",
		DText_08:"इमेल ठेगाना...",
		DText_09:"प्रयोगकर्ता नाम",
		DText_10:"प्रयोगकर्ता नाम...",
		DText_11:"त्रुटि! कृपया फेरि प्रयास गर्नुहोस्।",
		DText_12:"तपाईंको डेटा अद्यावधिक गरिएको छ।",
		DText_13:"जन्मदिन",
		DText_14:"लिङ्ग",
		DText_15:"उचाइ...(_.__m/_ft__in)",
		DText_16:"उचाइ (_.__m/_ft__in)",
		DText_17:"रङ कपाल",
		DText_18:"रङ बायाँ आँखा",
		DText_19:"रङ दायाँ आँखा",
		DText_20:"▲ माथि ▲",
		DText_21:"सेतो",
		DText_22:"अदुवा रातो",
		DText_23:"औबर्न",
		DText_24:"गोरो",
		DText_25:"हल्का चेस्टनट",
		DText_26:"तामा",
		DText_27:"हल्का गोरो",
		DText_28:"चेस्टनट खैरो",
		DText_29:"चाँदी",
		DText_30:"मध्यम गोरो",
		DText_31:"हल्का खैरो",
		DText_32:"टाइटन",
		DText_33:"गाढा गोरो",
		DText_34:"मध्यम खैरो",
		DText_35:"खैरो",
		DText_36:"सुनौलो गोरो",
		DText_37:"गाढा खैरो",
		DText_38:"कालो",
		DText_39:"स्ट्रबेरी गोरो",
		DText_40:"कपाल छैन",
		DText_41:"एम्बर",
		DText_42:"नीलो",
		DText_43:"खैरो",
		DText_44:"खैरो",
		DText_45:"हरियो",
		DText_46:"हेजल",
		DText_47:"रातो",
		DText_48:"नीलो खैरो",
		DText_49:"नीलो हरियो",
		DText_50:"हरियो खैरो",
		DText_51:"हरियो खैरो",
		DText_511:"प्रोस्थेसिस",
		DText_52:"विशेष सुविधाहरू",
		DText_54:"तपाईंले प्रति घण्टा एक सिक्का प्राप्त गर्नुहुन्छ!",
		DText_55:"भर्नुहोस् सिक्का प्राप्त गर्न सम्पूर्ण फारम!",
		male:"पुरुष",
		female:"महिला",
		other:"अन्य",
	},
	no: {
		footer00: "Hjelp og vanlige spørsmål.",
		footer01: "VIKTIGE REGLER",
		footer02: "A. Enhver brukerkonto som legger inn et bilde i profilen sin som ikke er et bilde",
		footer03: "av et gjenkjennelig ansikt og samler mynter vil bli fjernet.",
		footer04: "B. Feil fremstilling av deg selv eller lage doble kontoer for deg selv",
		footer05: "vil resultere i at kontoen fjernes når den er oppdaget.",
		footer06: "ANSVARSFRASKRIVELSE",
		footer07: "1. Å bli med eller teste appen betyr ikke at denne brukeren godtar eller",
		footer08: "aksepterer alle politiske ideer 1CoinH-nettstedet kan indikere.",
		footer09: "2. Kopiering og/eller gjenbruk av brukerdata som kan finnes",
		footer10: "på denne nettsiden - utenfor denne nettsiden - er strengt forbudt.",
		footer11: "AVTALE",
		footer12: "Å bli med på denne nettsiden som bruker betyr at du har lest denne ansvarsfraskrivelsen",
		footer13: "og godta 'Viktige regler' og 'Ansvarsfraskrivelse' ovenfor.",
		footer14: "Etiske penger",
		request:"Forespørsel",
		agree:"Enig",
		cashbook:"Kassebok",
		logout:"Logg ut",
		welcome:"Velkommen",
		DText_01:"Profildata",
		DText_02:"Last opp bildet ditt",
		DText_03:"jpg/png maks 140x140 piksler!",
		DText_04:"Lagre endringer",
		DText_05:"Fullt navn",
		DText_06:"Fullt navn...",
		DText_07:"E-postadresse",
		DText_08:"E-postadresse...",
		DText_09:"Brukernavn",
		DText_10:"Brukernavn...",
		DText_11:"Feil! Vennligst prøv igjen.",
		DText_12:"Dataene dine er oppdatert.",
		DText_13:"Bursdag",
		DText_14:"Kjønn",
		DText_15:"Høyde...(_.__m/_ft__in)",
		DText_16:"Høyde (_.__m/_ft__in)",
		DText_17:"Farge hår",
		DText_18:"Farge venstre øye",
		DText_19:"Farge Høyre Øye",
		DText_20:"▲ Opp ▲",
		DText_21:"Hvit",
		DText_22:"Ingefærrød",
		DText_23:"Auburn",
		DText_24:"Blond",
		DText_25:"Lett kastanje",
		DText_26:"Kobber",
		DText_27:"Lysblond",
		DText_28:"Kastanjebrun",
		DText_29:"Sølv",
		DText_30:"Middels Blond",
		DText_31:"Lysebrun",
		DText_32:"Titan",
		DText_33:"Mørkeblond",
		DText_34:"Middels brun",
		DText_35:"Grå",
		DText_36:"Gullblond",
		DText_37:"Mørkebrun",
		DText_38:"Svart",
		DText_39:"Strawberry Blond",
		DText_40:"Ingen hår",
		DText_41:"Amber",
		DText_42:"Blå",
		DText_43:"Brun",
		DText_44:"Grå",
		DText_45:"Grønn",
		DText_46:"Hassel",
		DText_47:"Rød",
		DText_48:"Blågrå",
		DText_49:"Blå Grønn",
		DText_50:"Grønn Grå",
		DText_51:"Grønn Brun",
		DText_511:"Protese",
		DText_52:"Spesielle funksjoner",
		DText_54:"Du mottar én mynt per time!",
		DText_55:"Fyll hele skjemaet for å motta mynter!",
		male:"Mann",
		female:"Kvinne",
		other:"Andre",
	},
	or: {
		footer00: "Gargaarsaa fi gaaffilee yeroo baayyee gaafataman.",
		footer01: "SEERA BARBAACHISAA",
		footer02: "A. Akkaawuntii fayyadamaa kamiyyuu kan suuraa suuraa hin taane piroofaayilii isaa keessa kaa'u",
		footer03: "kan fuula beekamaa fi saantima walitti qabaa jiru ni baafama.",
		footer04: "B. Of dogoggoraan ibsuu ykn ofii keetiif herrega dachaa gochuu",
		footer05: "bu'aan isaa akkaawuntii sun al tokko adda baafamee akka haqamu taasisa.",
		footer06: "ITTI FUFIINSAA",
		footer07: "1. Appicha join gochuun ykn test gochuun fayyadamaan kun walii galeera ykn jechuu miti",
		footer08: "yaada siyaasaa marsariitiin 1CoinH agarsiisuu danda'u kamiyyuu ni hayyama.",
		footer09: "2. Deetaa fayyadamaa argamuu danda'u kamiyyuu waraabuu fi/ykn irra deebi'anii fayyadamuu",
		footer10: "marsariitii kana irratti - marsariitii kanaan alatti - cimsee dhorkaadha.",
		footer11: "WALIIGALTEE",
		footer12: "Akka fayyadamaatti marsariitii kana join gochuun disclaimer kana dubbisteetta jechuudha",
		footer13: "akkasumas 'Seera Barbaachisaa' fi 'Itti Gaafannaa' armaan olitti ibsame irratti walii galuu.",
		footer14: "Maallaqa Naamusaa",
		request:"Gaaffii",
		agree:"Waliigaluu",
		cashbook:"Kitaaba maallaqaa",
		logout:"Log Out",
		welcome:"Baga Nagaan Dhuftan",
		DText_01:"Daataa Profaayilii",
		DText_02:"Suuraa keessan ol kaa'aa",
		DText_03:"jpg/png guddaa 140x140 piikselii!",
		DText_04:"Jijjiirama Qusadhu",
		DText_05:"Maqaa guutuu",
		DText_06:"Maqaa guutuu...",
		DText_07:"Teessoo iimeelii",
		DText_08:"Teessoo iimeelii...",
		DText_09:"Maqaa fayyadamaa",
		DText_10:"Maqaa fayyadamaa...",
		DText_11:"Dogoggora! Mee irra deebi'aa yaalaa.",
		DText_12:"Daataan keessan haaromfameera.",
		DText_13:"Guyyaa dhalootaa",
		DText_14:"Saala",
		DText_15:"Olka'iinsa...(_.__m/_ft__in)",
		DText_16:"Olka'iinsa (_.__m/_ft__in)",
		DText_17:"Halluu Rifeensa",
		DText_18:"Halluu Ija Bitaa",
		DText_19:"Halluu Ija Mirgaa",
		DText_20:"▲ Ol ▲",
		DText_21:"Adii",
		DText_22:"Jinjibila Diimaa",
		DText_23:"Auburn",
		DText_24:"Biloondi",
		DText_25:"Chestnut Salphaa",
		DText_26:"Sibiila diimaa",
		DText_27:"Ifa Biloondi",
		DText_28:"Chestnut Brown",
		DText_29:"Meetii",
		DText_30:"Giddugaleessa Blond",
		DText_31:"Bunni Ifaa",
		DText_32:"Titan",
		DText_33:"Dukkanaawaa Biloondi",
		DText_34:"Giddugaleessa Bunaa",
		DText_35:"Halluu diimaa",
		DText_36:"Warqee Biloondi",
		DText_37:"Bunni Dukkanaawaa",
		DText_38:"Gurraacha",
		DText_39:"Istiroberii Biloondi",
		DText_40:"Rifeensa Hin Qabu",
		DText_41:"Amber",
		DText_42:"Biluu",
		DText_43:"Brown",
		DText_44:"Halluu diimaa",
		DText_45:"Magariisaan",
		DText_46:"Hazel jechuun ni danda'ama",
		DText_47:"Diimaa",
		DText_48:"Halluu Biluu",
		DText_49:"Magariisaan Biluu",
		DText_50:"Magariisa Halluu",
		DText_51:"Magariisaa Bunaa",
		DText_511:"Prosthesis",
		DText_52:"Amaloota Addaa",
		DText_54:"Sa'aatii tokkotti saantima tokko argatta!",
		DText_55:"Saantima argachuuf unka guutuu guutaa!",
		male:"Dhiira",
		female:"Dubartii",
		other:"Kan biroo",
	},
	pa: {
		footer00: "مرسته او ډیری پوښتل شوي پوښتنې.",
		footer01: "مهم قواعد",
		footer02: "الف. هر هغه کارن حساب چې په خپل پروفایل کې داسې انځور  شي.",
		footer03: "اچوي چې د پیژندل شوي مخ انځور نه وي او سکې راټولوي، لرې به",
		footer04: "ب. د ځان غلط استازیتوب کول یا د ځان لپاره دوه ګونی حسابونه جوړول",
		footer05: "به د دې حساب په پایله کې یوځل کشف شي چې لرې شي.",
		footer06: "اعلان",
		footer07: "۱. د اپلیکیشن سره یوځای کیدل یا ازموینه کول پدې معنی ندي چې دا کارن موافق دی یا",
		footer08: "د هر هغه سیاسي نظرونو څخه چې د 1CoinH ویب پاڼه یې په ګوته کولی شي بخښنه غواړي.",
		footer09: "۲. د هر هغه کارن ډیټا کاپي کول او/یا بیا کارول چې موندل کیدی شي",
		footer10: "په دې ویب پاڼه کې - د دې ویب پاڼې څخه بهر - په کلکه منع دي.",
		footer11: "موافقه",
		footer12: "د دې ویب پاڼې سره د کارونکي په توګه یوځای کیدل پدې معنی دي چې تاسو دا اعلان لوستلی دی",
		footer13: "اخلاقي پیسې او پورته 'مهم قواعد' او 'اعلان' سره موافق یاست.",
		footer14: "مرسته وکړئ",
		request:"غوښتنه",
		agree:"موافقه",
		cashbook:"د نغدو پیسو کتاب",
		logout:"لاګ آوټ",
		welcome:"ښه راغلاست",
		DText_01:"د پروفایل معلومات",
		DText_02:"خپل عکس پورته کړئ",
		DText_03:"jpg/png اعظمي حد 140x140 پکسلز!",
		DText_04:"بدلونونه خوندي کړئ",
		DText_05:"بشپړ نوم",
		DText_06:"بشپړ نوم...",
		DText_07:"برېښنالیک پته",
		DText_08:"برېښنالیک پته...",
		DText_09:"کارن نوم",
		DText_10:"کارن نوم...",
		DText_11:"تېروتنه! مهرباني وکړئ بیا هڅه وکړئ.",
		DText_12:"ستاسو معلومات تازه شوي دي.",
		DText_13:"د زیږون ورځ",
		DText_14:"جنس",
		DText_15:"لوړوالی...(_.__m/_ft__in)",
		DText_16:"لوړوالی (_.__m/_ft__in)",
		DText_17:"رنګ ویښتان",
		DText_18:"رنګ کیڼ سترګه",
		DText_19:"رنګ ښي سترګه",
		DText_20:"▲ پورته ▲",
		DText_21:"سپین",
		DText_22:"زنجبیل سور",
		DText_23:"اوبرن",
		DText_24:"زرغون",
		DText_25:"رنګ سینه بغل",
		DText_26:"مسو",
		DText_27:"رنګ سپین",
		DText_28:"سنه بغل نسواري",
		DText_29:"سپینو",
		DText_30:"منځنی شین",
		DText_31:"رنګ نسواري",
		DText_32:"ټایټان",
		DText_33:"تیاره شین",
		DText_34:"منځنی نسواري",
		DText_35:"خړ",
		DText_36:"طلایی شین",
		DText_37:"تور نسواري",
		DText_38:"سټرابیري شین",
		DText_39:"نه ویښتان",
		DText_40:"امبر",
		DText_41:"نیلي",
		DText_42:"نسواري",
		DText_43:"خړ",
		DText_44:"شنه",
		DText_45:"هیزل",
		DText_46:"سور",
		DText_47:"نیلي خړ",
		DText_48:"نیلي شنه",
		DText_49:"شنه خړ",
		DText_50:"شنه خړ",
		DText_51:"شنه نسواري",
		DText_511:"مصنوعي",
		DText_52:"ځانګړي ځانګړتیاوې",
		DText_54:"تاسو په هر ساعت کې یوه سکه ترلاسه کوئ!",
		DText_55:"ډک کړئ د سکې ترلاسه کولو لپاره ټوله فورمه!",
		male:"نارینه",
		female:"ښځینه",
		other:"نور",
	},
	pe: {
		footer00: "راهنما و سوالات متداول.",
		footer01: "قوانین مهم ",
		footer02: "A. هر حساب کاربری که تصویری را در نمایه خود قرار می دهد که تصویر نیست",
		footer03: "از یک چهره قابل تشخیص و جمع آوری سکه حذف خواهد شد.",
		footer04: "ب. معرفی نادرست از خود یا ایجاد حساب های مضاعف برای خود",
		footer05: "منجر به حذف آن حساب پس از شناسایی می شود.",
		footer06: "سلب مسئولیت ",
		footer07: "1. پیوستن یا آزمایش برنامه به این معنی نیست که این کاربر موافق است یا",
		footer08: "هر گونه ایده سیاسی که وب سایت 1CoinH ممکن است نشان دهد را نادیده می گیرد.",
		footer09: "2. کپی کردن و/یا استفاده مجدد از هر یک از داده های کاربری که می توان پیدا کرد",
		footer10: "در این وب سایت - خارج از این وب سایت - اکیدا ممنوع است.",
		footer11: "توافق ",
		footer12: "پیوستن به این وب سایت به عنوان یک کاربر به این معنی است که شما این سلب مسئولیت را خوانده اید",
		footer13: "و با ‘قوانین مهم’ و ‘سلب مسئولیت’ در بالا موافقت کنید.",
		footer14: "پول اخلاقی ",
		request:"درخواست",
		agree:"موافق",
		cashbook:"صندوق نقدی",
		logout:"خروج",
		welcome:"خوش آمدید",
		DText_01:"اطلاعات نمایه",
		DText_02:"عکس خود را آپلود کنید",
		DText_03:"jpg/png حداکثر 140x140 پیکسل!",
		DText_04:"ذخیره تغییرات",
		DText_05:"نام کامل",
		DText_06:"نام کامل...",
		DText_07:"آدرس ایمیل",
		DText_08:"آدرس ایمیل...",
		DText_09:"نام کاربری",
		DText_10:"نام کاربری...",
		DText_11:"خطا! لطفا دوباره امتحان کنید.",
		DText_12:"داده های شما به روز شده است.",
		DText_13:"تولد",
		DText_14:"جنسیت",
		DText_15:"قد...(_.__m/_ft__in)",
		DText_16:"ارتفاع (_.__m/_ft__in)",
		DText_17:"رنگ مو",
		DText_18:"رنگ چشم چپ",
		DText_19:"رنگ چشم راست",
		DText_20:"▲ بالا ▲",
		DText_21:"سفید",
		DText_22:"قرمز زنجبیل",
		DText_23:"Auburn",
		DText_24:"بلوند",
		DText_25:"شاه بلوط روشن",
		DText_26:"مس",
		DText_27:"بلوند روشن",
		DText_28:"قهوه ای شاه بلوطی",
		DText_29:"نقره",
		DText_30:"بلوند متوسط",
		DText_31:"قهوه ای روشن",
		DText_32:"تیتان دلار",
		DText_33:"بلوند تیره",
		DText_34:"قهوه ای متوسط ​​",
		DText_35:"خاکستری",
		DText_36:"بلوند طلا",
		DText_37:"قهوه ای تیره",
		DText_38:"سیاه دلار",
		DText_39:"بلوند توت فرنگی",
		DText_40:"بدون مو",
		DText_41:"کهربا دلار",
		DText_42:"آبی",
		DText_43:"قهوه ای",
		DText_44:"خاکستری",
		DText_45:"سبز",
		DText_46:"هازل",
		DText_47:"قرمز دلار",
		DText_48:"آبی خاکستری",
		DText_49:"آبی سبز",
		DText_50:"خاکستری سبز",
		DText_51:"قهوه ای سبز",
		DText_511:"پروتز",
		DText_52:"ویژگی های ویژه",
		DText_54:"شما در هر ساعت یک سکه دریافت می کنید!",
		DText_55:"برای دریافت سکه تمام فرم را پر کنید!",
		male:"مرد",
		female:"مونث",
		other:"سایر",
	},
	po: {
		footer00: "Pomoc i często zadawane pytania.",
		footer01: "WAŻNE ZASADY",
		footer02: "A. Każde konto użytkownika, które umieści w swoim profilu zdjęcie nieprzedstawiające",
		footer03: "rozpoznawalnej twarzy i którego celem jest zbieranie monet, zostanie usunięte.",
		footer04: "B. Podawanie fałszywych informacji o sobie lub tworzenie podwójnych",
		footer05: "kont będzie skutkować usunięciem konta po jego wykryciu.",
		footer06: "ZASTRZEŻENIE",
		footer07: "1. Dołączenie do aplikacji lub jej testowanie nie oznacza, że dany użytkownik zgadza się lub toleruje",
		footer08: "jakiekolwiek idee polityczne, które mogą być sugerowane na stronie internetowej 1CoinH.",
		footer09: "2. Kopiowanie lub wykorzystywanie danych użytkownika, które można znaleźć na",
		footer10: "tej stronie internetowej - poza tą stroną internetową - jest surowo zabronione.",
		footer11: "POROZUMIENIE",
		footer12: "Dołączając do tej witryny internetowej jako użytkownik, zgadzasz się z treścią niniejszego",
		footer13: "zastrzeżenia i akceptujesz powyższe „Ważne zasady” oraz „Zastrzeżenie”.",
		footer14: "Etyczne Pieniądze",
		request: "Wniosek",
		agree: "Zgadzać się",
		cashbook: "Księga Kasowa",
		logout: "Wyloguj Się",
		welcome: "Powitanie",
		DText_01: "Dane Profilu",
		DText_02: "Prześlij swoje zdjęcie",
		DText_03: "jpg/png maks. 140x140 pikseli!",
		DText_04: "Zapisz Zmiany",
		DText_05: "Pełne imię i nazwisko",
		DText_06: "Pełne imię i nazwisko...",
		DText_07: "Adres e-mail",
		DText_08: "Adres e-mail...",
		DText_09: "Nazwa użytkownika",
		DText_10: "Nazwa użytkownika...",
		DText_11: "Błąd! Spróbuj ponownie.",
		DText_12: "Twoje dane zostały zaktualizowane.",
		DText_13: "Urodziny",
		DText_14: "Płeć",
		DText_15: "Wysokość...(_.__m/_ft__in)",
		DText_16: "Wysokość (_.__m/_ft__in)",
		DText_17: "Kolor Włosów",
		DText_18: "Kolor Lewego Oka",
		DText_19: "Kolor Prawego Oka",
		DText_20: "▲ W górę ▲",
		DText_21: "Biały",
		DText_22: "Imbir Czerwony",
		DText_23: "Kasztanowy",
		DText_24: "Blond",
		DText_25: "Jasny Kasztan",
		DText_26: "Miedź",
		DText_27: "Jasny Blond",
		DText_28: "Kasztanowy Brąz",
		DText_29: "Srebrny",
		DText_30: "Średni Blond",
		DText_31: "Jasnobrązowy",
		DText_32: "Tytan",
		DText_33: "Ciemny blond",
		DText_34: "Średniobrązowy",
		DText_35: "Szary",
		DText_36: "Złoty Blond",
		DText_37: "Ciemny Brąz",
		DText_38: "Czarny",
		DText_39: "Truskawkowy blond",
		DText_40: "Bez Włosów",
		DText_41: "Bursztyn",
		DText_42: "Niebieski",
		DText_43: "Brązowy",
		DText_44: "Szary",
		DText_45: "Zielony",
		DText_46: "Piwny",
		DText_47: "Czerwony",
		DText_48: "Niebiesko Szary",
		DText_49: "Niebieski Zielony",
		DText_50: "Zielony Szary",
		DText_51: "Zielono Brązowy",
		DText_511: "Proteza",
		DText_52: "Cechy Specjalne",
		DText_54: "Otrzymujesz jedną monetę co godzinę!",
		DText_55: "Wypełnij cały formularz, aby otrzymać monety!",
		male: "Mężczyzna",
		female: "Kobieta",
		other: "Inny"
	},
	pt: {
		footer00: "Ajuda e perguntas frequentes.",
		footer01: "REGRAS IMPORTANTES",
		footer02: "A. Qualquer conta de utilizador que coloque uma imagem no seu perfil que",
		footer03: "não seja de um rosto reconhecível e esteja a recolher moedas será removida.",
		footer04: "B. Deturpar-se ou criar contas duplas resultará",
		footer05: "na remoção dessa conta assim que for detetada.",
		footer06: "ISENÇÃO DE RESPONSABILIDADE",
		footer07: "1.º Aderir ou testar a aplicação não significa que este utilizador concorde",
		footer08: "ou tolere quaisquer ideias políticas que o site 1CoinH possa indicar.",
		footer09: "2.º É estritamente proibido copiar ou reutilizar quaisquer dados do",
		footer10: "utilizador que possam ser encontrados neste site - fora deste site.",
		footer11: "ACORDO",
		footer12: "Aderir a este site como utilizador significa que leu esta isenção de responsabilidade",
		footer13: "e concorda com as 'Regras importantes' e a 'Isenção de responsabilidade' acima.",
		footer14: "Dinheiro Ético",
		request: "Pedido",
		agree: "Concordar",
		cashbook: "Livro Caixa",
		logout: "Sair",
		welcome: "Boas-Vindas",
		DText_01: "Dados Do Perfil",
		DText_02: "Envie a sua foto",
		DText_03: "jpg/png máximo 140x140 pixels!",
		DText_04: "Guardar Alterações",
		DText_05: "Nome completo",
		DText_06: "Nome completo...",
		DText_07: "Endereço de e-mail",
		DText_08: "Endereço de e-mail...",
		DText_09: "Nome de utilizador",
		DText_10: "Nome de utilizador...",
		DText_11: "Erro! Por favor, tente novamente.",
		DText_12: "Os seus dados estão atualizados.",
		DText_13: "Data de nascimento",
		DText_14: "Género",
		DText_15: "Altura...(_.__m/_ft__in)",
		DText_16: "Altura (_.__m/_ft__in)",
		DText_17: "Cabelo Colorido",
		DText_18: "Cor Do Olho Esquerdo",
		DText_19: "Cor Do Olho Direito",
		DText_20: "▲ Para cima ▲",
		DText_21: "Branco",
		DText_22: "Imbir Czerwony",
		DText_23: "Castanho-aloirado",
		DText_24: "Loiro",
		DText_25: "Castanha Clara",
		DText_26: "Cobre",
		DText_27: "Loiro Claro",
		DText_28: "Castanho Castanho",
		DText_29: "Prata",
		DText_30: "Loiro Médio",
		DText_31: "Castanho Claro",
		DText_32: "Titã",
		DText_33: "Loiro Escuro",
		DText_34: "Castanho Médio",
		DText_35: "Cinzento",
		DText_36: "Loiro Dourado",
		DText_37: "Castanho Escuro",
		DText_38: "Preto",
		DText_39: "Loiro Morango",
		DText_40: "Sem Cabelo",
		DText_41: "Âmbar",
		DText_42: "Azul",
		DText_43: "Castanho",
		DText_44: "Cinzento",
		DText_45: "Verde",
		DText_46: "Avelã",
		DText_47: "Vermelho",
		DText_48: "Cinza Azul",
		DText_49: "Azul Verde",
		DText_50: "Verde Cinza",
		DText_51: "Verde Castanho",
		DText_511: "Prótese",
		DText_52: "Recursos Especiais",
		DText_54: "Recebe uma moeda por hora!",
		DText_55: "Preencha todo o formulário para receber moedas!",
		male: "Macho",
		female: "Fêmea",
		other: "Outra"
	},
	ro: {
		footer00: "Ajutor și întrebări frecvente.",
		footer01: "REGULI IMPORTANTE",
		footer02: "A. Orice cont de utilizator care pune o imagine în profilul său care nu este o imagine",
		footer03: "a unei fețe recunoscute și colectează monede vor fi eliminate.",
		footer04: "B. Denaturarea dvs. sau crearea de conturi duble pentru dvs.",
		footer05: "va avea ca rezultat ștergerea contului odată detectat.",
		footer06: "DISCLAIMER ",
		footer07: "1. Aderarea sau testarea aplicației nu înseamnă că acest utilizator este de acord sau ",
		footer08: "acceptă orice idee politică pe care site-ul web 1CoinH ar putea indica.",
		footer09: "2. Copierea și/sau reutilizarea oricărei date de utilizator care pot fi găsite",
		footer10: "pe acest site - în afara acestui site - este strict interzis.",
		footer11: "ACORD",
		footer12: "Alăturarea acestui site ca utilizator înseamnă că ați citit această clauză de declinare a răspunderii",
		footer13: "și sunteți de acord cu „Regulile importante” și „Renunțarea la răspundere” de mai sus.",
		footer14: "Bani etici",
		request:"Solicitare",
		agree:"De acord",
		cashbook:"Cartea de numerar",
		logout:"Deconectați-vă",
		welcome:"Bun venit",
		DText_01:"Date de profil",
		DText_02:"Încărcați fotografia dvs.",
		DText_03:"jpg/png max 140x140 pixeli!",
		DText_04:"Salvați modificările",
		DText_05:"Nume complet",
		DText_06:"Numele complet...",
		DText_07:"Adresa de e-mail",
		DText_08:"Adresa de e-mail...",
		DText_09:"Nume de utilizator",
		DText_10:"Nume de utilizator...",
		DText_11:"Eroare! Vă rugăm să încercați din nou.",
		DText_12:"Datele dvs. sunt actualizate.",
		DText_13:"Ziua de naștere",
		DText_14:"Gen",
		DText_15:"Înălțime...(_.__m/_ft__in)",
		DText_16:"Înălțime (_.__m/_ft__in)",
		DText_17:"Culoare păr",
		DText_18:"Culoare ochiul stâng",
		DText_19:"Culoare ochiul drept",
		DText_20:"▲ Sus ▲",
		DText_21:"Alb",
		DText_22:"Roșu Ghimbir",
		DText_23:"Auburn",
		DText_24:"Blond",
		DText_25:"Castan deschis",
		DText_26:"Cupru",
		DText_27:"Blond deschis",
		DText_28:"Castan Maro",
		DText_29:"Argint",
		DText_30:"Blond Mediu",
		DText_31:"Maro deschis",
		DText_32:"Titan",
		DText_33:"Blond închis",
		DText_34:"Maro mediu",
		DText_35:"Gri",
		DText_36:"Blond auriu",
		DText_37:"Maro închis",
		DText_38:"Negru",
		DText_39:"Strawberry Blond",
		DText_40:"Fără păr",
		DText_41:"chihlimbar",
		DText_42:"Albastru",
		DText_43:"maro",
		DText_44:"Gri",
		DText_45:"Verde",
		DText_46:"Hazel",
		DText_47:"Roșu",
		DText_48:"Albastru Gri",
		DText_49:"Albastru Verde",
		DText_50:"Verde Gri",
		DText_51:"Verde Maro",
		DText_511:"Proteza",
		DText_52:"Caracteristici speciale",
		DText_54:"Primești o monedă pe oră!",
		DText_55:"Completați întregul formular pentru a primi monede!",
		male:"Barbat",
		female:"Femeie",
		other:"Altele",
	},
	ru: {
		footer00: "Помощь и часто задаваемые вопросы.",
		footer01: "ВАЖНЫЕ ПРАВИЛА",
		footer02: "A. Любая учетная запись пользователя, размещающая в своем профиле изображение,",
		footer03: "не являющееся фотографией узнаваемого лица, и собирающая монеты, будет удалена.",
		footer04: "B. Предоставление ложных сведений о себе или создание двойных учетных",
		footer05: "записей приведет к удалению учетной записи после ее обнаружения.",
		footer06: "ОТКАЗ ОТ ОТВЕТСТВЕННОСТИ",
		footer07: "1. Присоединение к приложению или его тестирование не означает, что пользователь соглашается",
		footer08: "или одобряет какие-либо политические идеи, которые могут быть представлены на сайте 1CoinH.",
		footer09: "2. Копирование или повторное использование любых пользовательских данных,",
		footer10: "которые можно найти на этом сайте, за пределами этого сайта строго запрещено.",
		footer11: "СОГЛАШЕНИЕ",
		footer12: "Регистрация на этом сайте в качестве пользователя означает, что вы прочитали данное заявление об",
		footer13: "отказе от ответственности и соглашаетесь с «Важными правилами» и «Отказом от ответственности» выше.",
		footer14: "Этические деньги",
		request: "запрос",
		agree: "соглашаться",
		cashbook: "Кассовая книга",
		logout: "Выйти",
		welcome: "Добро пожаловать",
		DText_01: "Данные профиля",
		DText_02: "Загрузите свое фото",
		DText_03: "jpg/png макс 140x140 пикселей!",
		DText_04: "Сохранить изменения",
		DText_05: "Полное имя",
		DText_06: "Полное имя...",
		DText_07: "Адрес электронной почты",
		DText_08: "Адрес электронной почты...",
		DText_09: "Имя пользователя",
		DText_10: "Имя пользователя...",
		DText_11: "Ошибка! Попробуйте еще раз.",
		DText_12: "Ваши данные обновлены.",
		DText_13: "День рождения",
		DText_14: "Пол",
		DText_15: "Высота...(_.__m/_ft__in)",
		DText_16: "Высота (_.__m/_ft__in)",
		DText_17: "Цвет волос",
		DText_18: "Цвет левого глаза",
		DText_19: "Цвет правого глаза",
		DText_20: "▲ Вверх ▲",
		DText_21: "Белый",
		DText_22: "Имбирно-красный",
		DText_23: "Оберн",
		DText_24: "Блондинка",
		DText_25: "Светло-каштановый",
		DText_26: "Медь",
		DText_27: "Светло-русый",
		DText_28: "Каштановый Коричневый",
		DText_29: "Серебро",
		DText_30: "Средний блондин",
		DText_31: "Светло-коричневый",
		DText_32: "Титан",
		DText_33: "Темно-русый",
		DText_34: "Средне-коричневый",
		DText_35: "Серый",
		DText_36: "Золотой блондин",
		DText_37: "Темно-коричневый",
		DText_38: "Черный",
		DText_39: "Клубничный блонд",
		DText_40: "Нет волос",
		DText_41: "Янтарь",
		DText_42: "Синий",
		DText_43: "Коричневый",
		DText_44: "Серый",
		DText_45: "Зеленый",
		DText_46: "Хейзел",
		DText_47: "Красный",
		DText_48: "Серо-голубой",
		DText_49: "Синий Зеленый",
		DText_50: "Зелёный Серый",
		DText_51: "Зелёный Коричневый",
		DText_511: "Протез",
		DText_52: "Особые возможности",
		DText_54: "Вы получаете одну монету в час!",
		DText_55: "Заполните всю форму, чтобы получить монеты!",
		male: "Мужской",
		female: "Женский",
		other: "Другой"
	},
	zi: {
		footer00: "Thuso le dipotso tse di bodiwang kgapetsakgapetsa.",
		footer01: "MELAO E E BOTLHOKWA",
		footer02: "A. Akhaonto epe ya modirisi e e tsenyang setshwantsho mo porofaeleng ya gagwe se e seng setshwantsho",
		footer03: "ya sefatlhego se se lemotshegang mme e kokoanya madi a tshipi e tla tlosiwa.",
		footer04: "B. Go itlhalosa ka tsela e e sa siamang kgotsa go itlhalosa gabedi",
		footer05: "e tla felela ka gore akhaonto eo e tlosiwe fa e sena go lemogiwa.",
		footer06: "TLHOKOMELO",
		footer07: "1. Go tsenela tiriswa kgotsa go e leka ga go reye gore modirisi yono o a dumela kgotsa",
		footer08: "e amogela dikgopolo dipe tsa sepolotiki tse webosaete ya 1CoinH e ka nnang ya di supa.",
		footer09: "2. Go kopolola le/kgotsa go dirisa gape tshedimosetso epe ya modirisi e e ka bonwang",
		footer10: "mo webosaeteng eno - kwa ntle ga webosaete eno - go thibetswe gotlhelele.",
		footer11: "TUMELANO",
		footer12: "Go nna leloko la webosaete eno jaaka modirisi go raya gore o badile boikarabelo jono",
		footer13: "mme o dumalane le 'Melao e e Botlhokwa' le 'Kganetso' e e fa godimo.",
		footer14: "Madi a Boitshwaro",
		request:"Kopo",
		agree:"Ke a dumela",
		cashbook:"Buka ya Madi",
		logout:"Tswa",
		welcome:"O amogetswe",
		DText_01:"Tshedimosetso ya Porofaele",
		DText_02:"Laisa senepe sa gago",
		DText_03:"jpg/png bogolo jwa dipiksele di le 140x140!",
		DText_04:"Boloka Diphetogo",
		DText_05:"Leina ka botlalo",
		DText_06:"Leina ka botlalo...",
		DText_07:"Aterese ya imeile",
		DText_08:"Aterese ya imeile...",
		DText_09:"Leinatiriso",
		DText_10:"Leinatiriso...",
		DText_11:"Phoso! Tsweetswee leka gape.",
		DText_12:"Tshedimosetso ya gago e ntšhafaditswe.",
		DText_13:"Letsatsi la matsalo",
		DText_14:"Bong",
		DText_15:"Boleele...(_.__m/_ft__in)",
		DText_16:"Boleele (_.__m/_ft__in)",
		DText_17:"Mmala wa Moriri",
		DText_18:"Mmala wa Leitlho la Molemeng",
		DText_19:"Mmala wa Leitlho la Moja",
		DText_20:"▲ Go ya kwa godimo ▲",
		DText_21:"Bosweu",
		DText_22:"Bohibidu jwa Gemere",
		DText_23:"Auburn",
		DText_24:"Bohibidu",
		DText_25:"Chestnut e e Botlhofo",
		DText_26:"Koporo",
		DText_27:"Bohibidu jo bo Botlhofo",
		DText_28:"Borokwa jwa Chestnut",
		DText_29:"Selefera",
		DText_30:"Bohibidu jo bo Magareng",
		DText_31:"Borokwa jo bo Botlhofo",
		DText_32:"Titane",
		DText_33:"Bohibidu jo bontsho",
		DText_34:"Borokwa jo bo Magareng",
		DText_35:"Pududu",
		DText_36:"Bohibidu jwa Gauta",
		DText_37:"Borokwa jo bontsho",
		DText_38:"Ntsho",
		DText_39:"Bohibidu jwa Seteroberi",
		DText_40:"Ga go na Moriri",
		DText_41:"Amber",
		DText_42:"Botala jwa legodimo",
		DText_43:"Borokwa",
		DText_44:"Pududu",
		DText_45:"Botala",
		DText_46:"Hazele",
		DText_47:"Bohibidu",
		DText_48:"Botala jwa legodimo",
		DText_49:"Botala jwa loapi",
		DText_50:"Botala jo Pududu",
		DText_51:"Borokwa jo botala",
		DText_511:"Maitirelo",
		DText_52:"Dikarolo tse di Kgethegileng",
		DText_54:"O amogela ledi le le lengwe la tshipi ka ura!",
		DText_55:"Tlatsa foromo yotlhe go amogela madi a tshipi!",
		male:"Monna",
		female:"Mosadi",
		other:"Tse dingwe",
	},
	al: {
		footer00: "Ndihmë dhe pyetje të bëra shpesh.",
		footer01: "RREGULLA TË RËNDËSISHME",
		footer02: "A. Çdo llogari përdoruesi që vendos një imazh në profilin e tij/saj që nuk është foto",
		footer03: "e një fytyre të dallueshme dhe po mbledh monedha do të hiqet.",
		footer04: "B. Paraqitja e gabuar e vetes ose bërja e llogarive të dyfishta për veten tuaj",
		footer05: "do të rezultojë që ajo llogari të hiqet pasi të zbulohet.",
		footer06: "DISCLAIMER",
		footer07: "1. Bashkimi ose testimi i aplikacionit nuk do të thotë që ky përdorues pajtohet ose",
		footer08: "fal çdo ide politike që mund të tregojë faqja e internetit 1CoinH.",
		footer09: "2. Kopjimi dhe/ose ripërdorimi i ndonjë prej të dhënave të përdoruesit që mund të gjenden",
		footer10: "në këtë faqe interneti - jashtë kësaj faqe interneti - është rreptësisht e ndaluar.",
		footer11: "MARRËVESHJE ",
		footer12: "Anëtarësimi në këtë faqe interneti si përdorues do të thotë se e keni lexuar këtë mohim",
		footer13: "dhe pranoni 'Rregullat e rëndësishme' dhe 'Mohimin e përgjegjësisë' më sipër.",
		footer14: "Para Etike",
		request:"Kërkesë",
		agree:"Dakord",
		cashbook:"Libër parash",
		logout:"Dil",
		welcome:"Mirësevini",
		DText_01:"Të dhënat e profilit",
		DText_02:"Ngarkoni foton tuaj",
		DText_03:"jpg/png maksimumi 140x140 piksele!",
		DText_04:"Ruaj Ndryshimet",
		DText_05:"Emri i plotë",
		DText_06:"Emri i plotë...",
		DText_07:"Adresa e postës elektronike",
		DText_08:"Adresa e postës elektronike...",
		DText_09:"Emri i përdoruesit",
		DText_10:"Emri i përdoruesit...",
		DText_11:"Gabim! Ju lutemi provoni përsëri.",
		DText_12:"Të dhënat tuaja janë përditësuar.",
		DText_13:"Ditëlindja",
		DText_14:"Gjinia",
		DText_15:"Lartësia...(_.__m/_ft__in)",
		DText_16:"Lartësia (_.__m/_ft__in)",
		DText_17:"Ngjyra e flokëve",
		DText_18:"Ngjyra e syrit të majtë",
		DText_19:"Ngjyra e syrit të djathtë",
		DText_20:"▲ Lart ▲",
		DText_21:"Bardhë",
		DText_22:"Xhenxhefil i kuq",
		DText_23:"Auburn",
		DText_24:"Bionde",
		DText_25:"Gështenja e lehtë",
		DText_26:"Bakër",
		DText_27:"Bjonde e lehtë",
		DText_28:"Gështenje Brown",
		DText_29:"Argjend",
		DText_30:"Bjonde mesatare",
		DText_31:"Kafe e çelur",
		DText_32:"Titan",
		DText_33:"Bjonde e errët",
		DText_34:"Kafe mesatare",
		DText_35:"Gri",
		DText_36:"Bjonde ari",
		DText_37:"Kafe e errët",
		DText_38:"E zezë",
		DText_39:"Bionde luleshtrydhe",
		DText_40:"Pa flokë",
		DText_41:"Qelibar",
		DText_42:"Blu",
		DText_43:"Kafe",
		DText_44:"Gri",
		DText_45:"Gjelbër",
		DText_46:"Hazel",
		DText_47:"E kuqe",
		DText_48:"Blu Gri",
		DText_49:"Blu jeshile",
		DText_50:"Gri jeshile",
		DText_51:"E gjelbër Kafe",
		DText_511:"Proteza",
		DText_52:"Karakteristika të veçanta",
		DText_54:"Ju merrni një monedhë në orë!",
		DText_55:"Plotësoni të gjithë formularin për të marrë monedha!",
		male:"Mashkull",
		female:"Femër",
		other:"Të tjera",
	},
	sl: {
		footer00: "Pomoč in pogosta vprašanja.",
		footer01: "POMEMBNA PRAVILA",
		footer02: "A. Vsak uporabniški račun, ki v svoj profil doda sliko, ki ni slika",
		footer03: "prepoznavnega obraza in zbira kovance, bo odstranjen.",
		footer04: "B. Napačno predstavljanje ali ustvarjanje dvojnih računov za sebe",
		footer05: "bo ta račun odstranjen, ko bo zaznan.",
		footer06: "ODPOVED ",
		footer07: "1. Pridružitev ali testiranje aplikacije ne pomeni, da se ta uporabnik strinja ali ",
		footer08: "dopušča vse politične ideje, ki bi jih lahko navedla spletna stran 1CoinH.",
		footer09: "2. Kopiranje in/ali ponovna uporaba uporabniških podatkov, ki jih je mogoče najti",
		footer10: "na tem spletnem mestu - zunaj tega spletnega mesta - je strogo prepovedano.",
		footer11: "SPORAZUM",
		footer12: "Če se pridružite tej spletni strani kot uporabnik, to pomeni, da ste prebrali to izjavo o omejitvi odgovornosti",
		footer13: "in se strinjate z zgornjimi 'pomembnimi pravili' in 'zavrnitvijo odgovornosti'.",
		footer14: "Etični denar ",
		request:"Zahtevaj",
		agree:"Se strinjam",
		cashbook:"Blagajna",
		logout:"Odjava",
		welcome:"Dobrodošli",
		DText_01:"Podatki o profilu",
		DText_02:"Naložite svojo fotografijo",
		DText_03:"jpg/png največ 140x140 slikovnih pik!",
		DText_04:"Shrani spremembe",
		DText_05:"Polno ime",
		DText_06:"Polno ime...",
		DText_07:"E-poštni naslov",
		DText_08:"E-poštni naslov...",
		DText_09:"Uporabniško ime",
		DText_10:"Uporabniško ime...",
		DText_11:"Napaka! Poskusite ponovno.",
		DText_12:"Vaši podatki so posodobljeni.",
		DText_13:"Rojstni dan",
		DText_14:"Spol",
		DText_15:"Višina...(_.__m/_ft__in)",
		DText_16:"Višina (_.__m/_ft__in)",
		DText_17:"Barva las",
		DText_18:"Barva levega očesa",
		DText_19:"Barva desnega očesa",
		DText_20:"▲ Gor ▲",
		DText_21:"Bela",
		DText_22:"Ingver rdeča",
		DText_23:"Auburn",
		DText_24:"Blond",
		DText_25:"Svetlo kostanjev",
		DText_26:"Baker",
		DText_27:"Svetlo blond",
		DText_28:"Kostanjeva rjava",
		DText_29:"Srebrni",
		DText_30:"Srednje blond",
		DText_31:"Svetlo rjava",
		DText_32:"Titan",
		DText_33:"Temno blond",
		DText_34:"Srednje rjava",
		DText_35:"Siva",
		DText_36:"Zlato blond",
		DText_37:"Temno rjava",
		DText_38:"Črna",
		DText_39:"Jagodno blond",
		DText_40:"Brez las",
		DText_41:"Jantar",
		DText_42:"Modri ​​",
		DText_43:"Rjava",
		DText_44:"Siva",
		DText_45:"Zeleni",
		DText_46:"Hazel",
		DText_47:"Rdeči",
		DText_48:"Modro siva",
		DText_49:"Modro zelena",
		DText_50:"Zeleno siva",
		DText_51:"Zeleno rjava",
		DText_511:"Proteza",
		DText_52:"Posebne lastnosti",
		DText_54:"Prejmete en kovanec na uro!",
		DText_55:"Izpolnite celoten obrazec za prejem kovancev!",
		male:"Moški",
		female:"Ženski",
		other:"Drugo",
	},
	sk: {
		footer00: "Pomocník a často kladené otázky.",
		footer01: "DÔLEŽITÉ PRAVIDLÁ",
		footer02: "A. Každý používateľský účet, ktorý vloží do svojho profilu obrázok, ktorý nie je obrázkom",
		footer03: "rozoznateľnej tváre a zbiera mince budú odstránené.",
		footer04: "B. Nepravdivé informácie o sebe alebo vytváranie dvojitých účtov ",
		footer05: "bude mať za následok, že tento účet bude po zistení odstránený.",
		footer06: "zrieknutie sa zodpovednosti ",
		footer07: "1. Pripojenie alebo testovanie aplikácie neznamená, že tento používateľ súhlasí alebo ",
		footer08: "schvaľuje akékoľvek politické myšlienky, ktoré by mohla naznačovať webová stránka 1CoinH. ",
		footer09: "2. Kopírovanie a/alebo opätovné použitie akýchkoľvek používateľských údajov, ktoré možno nájsť",
		footer10: "na tejto webovej stránke - mimo tejto webovej stránky - je prísne zakázané.",
		footer11: "DOHODA ",
		footer12: "Vstup na túto webovú stránku ako používateľ znamená, že ste si prečítali toto vyhlásenie",
		footer13: "a súhlasíte s 'Dôležitými pravidlami' a 'Vylúčenie zodpovednosti' vyššie.",
		footer14: "Etické peniaze ",
		request:"Žiadosť",
		agree:"Súhlas",
		cashbook:"Pokladničná knižka",
		logout:"Odhlásiť sa",
		welcome:"Vitajte",
		DText_01:"Údaje profilu",
		DText_02:"Nahrajte svoju fotografiu",
		DText_03:"jpg/png maximálne 140 x 140 pixelov!",
		DText_04:"Uložiť zmeny",
		DText_05:"Celé meno",
		DText_06:"Celé meno...",
		DText_07:"E-mailová adresa",
		DText_08:"E-mailová adresa...",
		DText_09:"Používateľské meno",
		DText_10:"Používateľské meno...",
		DText_11:"Chyba! Skúste to znova.",
		DText_12:"Vaše údaje sú aktualizované.",
		DText_13:"Narodeniny",
		DText_14:"Pohlavie",
		DText_15:"Výška...(_.__m/_ft__in)",
		DText_16:"Výška (_.__m/_ft__in)",
		DText_17:"Farba vlasov",
		DText_18:"Farba ľavého oka",
		DText_19:"Farba pravého oka",
		DText_20:"▲ hore ▲",
		DText_21:"Biela",
		DText_22:"Červený zázvor",
		DText_23:"Auburn",
		DText_24:"Blond",
		DText_25:"Svetlý gaštan",
		DText_26:"Meď",
		DText_27:"Svetlá blond",
		DText_28:"Gaštanovo hnedá",
		DText_29:"Strieborný",
		DText_30:"Stredne blond",
		DText_31:"Svetlo hnedá",
		DText_32:"Titan",
		DText_33:"Tmavá blond",
		DText_34:"Stredne hnedá",
		DText_35:"Sivá",
		DText_36:"Zlatá blondínka",
		DText_37:"Tmavo hnedá",
		DText_38:"Čierna",
		DText_39:"Jahodová blond",
		DText_40:"Žiadne vlasy",
		DText_41:"Amber",
		DText_42:"Modrá",
		DText_43:"Hnedá",
		DText_44:"Sivá",
		DText_45:"Zelená",
		DText_46:"Hazel",
		DText_47:"Červená",
		DText_48:"Modrá šedá",
		DText_49:"Modrá Zelená",
		DText_50:"Zelená šedá",
		DText_51:"Zelená hnedá",
		DText_511:"Protéza",
		DText_52:"Špeciálne funkcie",
		DText_54:"Dostanete jednu mincu za hodinu!",
		DText_55:"Ak chcete získať mince, vyplňte celý formulár!",
		male:"Muž",
		female:"Žena",
		other:"Iné",
	},
	so: {
		footer00: "Caawimo iyo su'aalaha inta badan la is weydiiyo.",
		footer01: "XEERARKA MUHIIMKA AH",
		footer02: "A. Akoon kasta oo isticmaale ah oo geliya muuqaalkiisa/keeda muuqaal aan sawir ahayn",
		footer03: "weji la aqoonsan karo oo qadaadiicda ururinaysa waa laga saarayaa",
		footer04: "B. Adigoo si khaldan u sheega naftaada ama samaynta laba xisaabood oo naftaada ah",
		footer05: "waxay keenaysaa in akoonkaas laga saaro marka la ogaado.",
		footer06: "AFEEF",
		footer07: "1. Ku biirista ama tijaabinta app-ka macnaheedu maaha in isticmaalahani ogolaaday ama ",
		footer08: "waxay ogolaatay fikrad kasta oo siyaasadeed oo laga yaabo in website-ka 1CoinH uu tilmaamo.",
		footer09: "2. Koobiyaynta iyo/ama dib u isticmaalida mid ka mid ah xogta isticmaalaha ee la heli karo",
		footer10: "Mareegtan - ka baxsan mareegahan - waa mamnuuc.",
		footer11: "HESHIISKA",
		footer12: "Ku biirista degelkan isticmaale ahaan waxay la macno tahay inaad akhriday afeeftan",
		footer13: "oo ogolaato 'Sharciyada Muhiimka ah' iyo 'Afeef' ee sare.",
		footer14: "Lacagta Anshaxa ",
		request:"Codsi",
		agree:"heshiiya",
		cashbook:"Buuga-cashka",
		logout:"Ka bax",
		welcome:"Soo dhawoow",
		DText_01:"Xogta Xogta",
		DText_02:"Soo rar sawirkaaga",
		DText_03:"jpg/png ugu badnaan 140x140 pixels!",
		DText_04:"Keydi isbedelada",
		DText_05:"Magaca buuxa",
		DText_06:"Magaca oo buuxa...",
		DText_07:"Ciwaanka iimaylka",
		DText_08:"Ciwaanka iimaylka...",
		DText_09:"Magaca isticmaale",
		DText_10:"Magaca isticmaalaha...",
		DText_11:"Khalad! Fadlan isku day markale.",
		DText_12:"Xogtaada waa la cusboonaysiiyay.",
		DText_13:"Maalinta dhalashada",
		DText_14:"Jinsiga",
		DText_15:"Dhererka...(_.__m/__ft__in)",
		DText_16:"Dhererka (_.__m/__ft__in)",
		DText_17:"Midabka Timaha",
		DText_18:"Midabka Bidix Isha",
		DText_19:"Midabka Isha Midig",
		DText_20:"v kor v",
		DText_21:"Caddaan",
		DText_22:"Sinjibiisha Casaan",
		DText_23:"Auburn",
		DText_24:"Blond",
		DText_25:"Chestnut fudud",
		DText_26:"Copper",
		DText_27:"Blond khafiif ah",
		DText_28:"Chestnut Brown",
		DText_29:"Silver",
		DText_30:"Blond Dhexdhexaad ah",
		DText_31:"Brown khafiif ah",
		DText_32:"Titan",
		DText_33:"Blond madow",
		DText_34:"Brown dhexdhexaad ah",
		DText_35:"cawl",
		DText_36:"Blond Dahab ah",
		DText_37:"Madow madow",
		DText_38:"Madow",
		DText_39:"Blond Strawberry",
		DText_40:"Timo la'aan",
		DText_41:"Amber",
		DText_42:"Buluug",
		DText_43:"Brown",
		DText_44:"cawlan",
		DText_45:"Cagaaran",
		DText_46:"Hazel",
		DText_47:"Casaan",
		DText_48:"cawl buluug ah",
		DText_49:"Cagaar buluug ah",
		DText_50:"Cagaar cawlan",
		DText_51:"Cagaaran Brown",
		DText_511:"Prosthesis",
		DText_52:"Tilmaamaha gaarka ah",
		DText_54:"Waxa aad helaysaa hal shilin saacadiiba!",
		DText_55:"Buuxi foomka oo dhan si aad u hesho qadaadiicda!",
		male:"Lab",
		female:"Dheddig",
		other:"kale",
	},
	fi: {
		footer00: "Apua ja usein kysyttyjä kysymyksiä.",
		footer01: "TÄRKEÄT SÄÄNNÖT",
		footer02: "V. Mikä tahansa käyttäjätili, joka lisää profiiliinsa kuvan, joka ei ole kuva",
		footer03: "jonka kasvot ovat tunnistettavissa ja keräävät kolikoita, poistetaan.",
		footer04: "B. Itsesi harhaanjohtaminen tai kaksoistilin tekeminen itsellesi",
		footer05: "johtaa siihen, että tili poistetaan, kun se havaitaan.",
		footer06: "VASTUUVAPAUSLAUSEKE",
		footer07: "1. Sovellukseen liittyminen tai sen testaaminen ei tarkoita, että tämä käyttäjä hyväksyy tai ",
		footer08: "hyväksyy kaikki 1CoinH:n verkkosivuston mahdollisesti esittämät poliittiset ajatukset.",
		footer09: "2. Löydettävien käyttäjätietojen kopioiminen ja/tai uudelleenkäyttö",
		footer10: "tällä sivustolla - tämän sivuston ulkopuolella - on ehdottomasti kielletty.",
		footer11: "SOPIMUS",
		footer12: "Liityt tälle sivustolle käyttäjänä tarkoittaa, että olet lukenut tämän vastuuvapauslausekkeen",
		footer13: "ja hyväksyt yllä olevat 'Tärkeät säännöt' ja 'Vastuuvapauslauseke'.",
		footer14: "Eettistä rahaa ",
		request:"Pyydä",
		agree:"samaa mieltä",
		cashbook:"Kassakirja",
		logout:"Kirjaudu ulos",
		welcome:"Tervetuloa",
		DText_01:"Profiilitiedot",
		DText_02:"Lataa valokuvasi",
		DText_03:"jpg/png max 140x140 pikseliä!",
		DText_04:"Tallenna muutokset",
		DText_05:"Koko nimi",
		DText_06:"Koko nimi...",
		DText_07:"Sähköpostiosoite",
		DText_08:"Sähköpostiosoite...",
		DText_09:"Käyttäjätunnus",
		DText_10:"Käyttäjätunnus...",
		DText_11:"Virhe! Yritä uudelleen.",
		DText_12:"Tietosi on päivitetty.",
		DText_13:"Syntymäpäivä",
		DText_14:"Sukupuoli",
		DText_15:"Korkeus...(_.__m/_ft__in)",
		DText_16:"Korkeus (_.__m/_ft__in)",
		DText_17:"Väri hiukset",
		DText_18:"Väri vasen silmä",
		DText_19:"Väri Oikea silmä",
		DText_20:"▲ Ylös ▲",
		DText_21:"Valkoinen",
		DText_22:"Ginger Red",
		DText_23:"Auburn",
		DText_24:"Vaalea",
		DText_25:"Vaalea kastanja",
		DText_26:"Kupari",
		DText_27:"Vaalea Blondi",
		DText_28:"Kastanjanruskea",
		DText_29:"Hopeaa",
		DText_30:"Keskivaalea",
		DText_31:"Vaaleanruskea",
		DText_32:"Titan",
		DText_33:"Tummanvaalea",
		DText_34:"Keskiruskea",
		DText_35:"Harmaa",
		DText_36:"Kultablondi",
		DText_37:"Tummanruskea",
		DText_38:"Musta",
		DText_39:"Strawberry Blond",
		DText_40:"Ei hiuksia",
		DText_41:"Amber",
		DText_42:"Sininen",
		DText_43:"Ruskea",
		DText_44:"Harmaa",
		DText_45:"Vihreä",
		DText_46:"Hazel",
		DText_47:"Punainen",
		DText_48:"Sinisen harmaa",
		DText_49:"Sininen Vihreä",
		DText_50:"Vihreä harmaa",
		DText_51:"Vihreä Ruskea",
		DText_511:"Proteesi",
		DText_52:"Erikoisominaisuudet",
		DText_54:"Saat yhden kolikon tunnissa!",
		DText_55:"Täytä koko lomake saadaksesi kolikoita!",
		male:"Mies",
		female:"Nainen",
		other:"Muut",
	},
	sw: {
		footer00: "Hjälp och vanliga frågor.",
		footer01: "VIKTIGA REGLER",
		footer02: "S. Alla användarkonton som lägger in en bild i sin profil som inte är en bild",
		footer03: "av ett igenkännbart ansikte och samlar mynt kommer att tas bort.",
		footer04: "B. Förvränga dig själv eller göra dubbla konton för dig själv",
		footer05: "kommer att resultera i att kontot tas bort när det har upptäckts.",
		footer06: "ANSVARSFRISKRIVNING",
		footer07: "1. Att gå med i eller testa appen betyder inte att den här användaren samtycker eller",
		footer08: "accepterar alla politiska idéer som 1CoinH-webbplatsen kan indikera.",
		footer09: "2. Kopiera och/eller återanvända någon av användardata som kan hittas",
		footer10: "på denna webbplats - utanför denna webbplats - är strängt förbjudet.",
		footer11: "AVTAL ",
		footer12: "Att gå med på denna webbplats som användare betyder att du har läst denna ansvarsfriskrivning",
		footer13: "och godkänner de ‘viktiga reglerna’ och ‘Ansvarsfriskrivning’ ovan.",
		footer14: "Etiska pengar ",
		request:"Begär",
		agree:"Håller med",
		cashbook:"Kassabok",
		logout:"Logga ut",
		welcome:"Välkommen",
		DText_01:"Profildata",
		DText_02:"Ladda upp ditt foto",
		DText_03:"jpg/png max 140x140 pixlar!",
		DText_04:"Spara ändringar",
		DText_05:"Fullständigt namn",
		DText_06:"Fullständigt namn...",
		DText_07:"E-postadress",
		DText_08:"E-postadress...",
		DText_09:"Användarnamn",
		DText_10:"Användarnamn...",
		DText_11:"Fel! Försök igen.",
		DText_12:"Din data är uppdaterad.",
		DText_13:"Födelsedag",
		DText_14:"Kön",
		DText_15:"Höjd...(_.__m/_ft__in)",
		DText_16:"Höjd (_.__m/_ft__in)",
		DText_17:"Färg Hår",
		DText_18:"Färg vänster öga",
		DText_19:"Färg höger öga",
		DText_20:"▲ Upp ▲",
		DText_21:"Vit",
		DText_22:"Ingefära Röd",
		DText_23:"Auburn",
		DText_24:"Blond",
		DText_25:"Ljus kastanj",
		DText_26:"Koppar",
		DText_27:"Ljusblond",
		DText_28:"Kastanjbrun",
		DText_29:"Silver",
		DText_30:"Mellanblond",
		DText_31:"Ljusbrun",
		DText_32:"Titan",
		DText_33:"Mörkblond",
		DText_34:"Mellanbrun",
		DText_35:"Grå",
		DText_36:"Guldblond",
		DText_37:"Mörkbrun",
		DText_38:"Svart",
		DText_39:"Jordgubbe Blond",
		DText_40:"Inget hår",
		DText_41:"Amber",
		DText_42:"Blå",
		DText_43:"Brun",
		DText_44:"Grå",
		DText_45:"Grön",
		DText_46:"Hassel",
		DText_47:"Röd",
		DText_48:"Blågrå",
		DText_49:"Blågrön",
		DText_50:"Grön Grå",
		DText_51:"Grön Brun",
		DText_511:"Protes",
		DText_52:"Specialfunktioner",
		DText_54:"Du får ett mynt per timme!",
		DText_55:"Fyll hela formuläret för att få mynt!",
		male:"Man",
		female:"Kvinna",
		other:"Andra",
	},
	ta: {
		footer00: "உதவி மற்றும் அடிக்கடி கேட்கப்படும் கேள்விகள்.",
		footer01: "முக்கிய விதிகள்",
		footer02: "A. அடையாளம் காணக்கூடிய முகத்தின் படம் இல்லாத ஒரு படத்தை தனது சுயவிவரத்தில்",
		footer03: "வைத்து நாணயங்களை சேகரிக்கும் எந்தவொரு பயனர் கணக்கும் அகற்றப்படும்.",
		footer04: "B. உங்களைத் தவறாக சித்தரிப்பது அல்லது உங்களுக்காக இரட்டைக் கணக்குகளை உருவாக்குவது",
		footer05: "கண்டறியப்பட்டவுடன் அந்தக் கணக்கு அகற்றப்படும்.",
		footer06: "மறுப்பு",
		footer07: "1. பயன்பாட்டில் சேர்வது அல்லது சோதிப்பது என்பது 1CoinH வலைத்தளம் குறிப்பிடக்கூடிய எந்தவொரு",
		footer08: "அரசியல் கருத்துக்களையும் இந்தப் பயனர் ஒப்புக்கொள்கிறார் அல்லது மன்னிக்கிறார் என்று அர்த்தமல்ல.",
		footer09: "2. இந்த வலைத்தளத்தில் - இந்த வலைத்தளத்திற்கு வெளியே - காணக்கூடிய எந்தவொரு பயனர் ",
		footer10: "தரவையும் நகலெடுப்பது மற்றும்/அல்லது மீண்டும் பயன்படுத்துவது கண்டிப்பாக தடைசெய்யப்பட்டுள்ளது.",
		footer11: "ஒப்புதல்",
		footer12: "இந்த வலைத்தளத்தில் ஒரு பயனராகச் சேர்வது என்பது நீங்கள் இந்த மறுப்பைப் படித்துவிட்டீர்கள் என்று அர்த்தம்",
		footer13: "மேலே உள்ள 'முக்கியமான விதிகள்' மற்றும் 'மறுப்பு' ஆகியவற்றை ஒப்புக்கொள்கிறீர்கள்.",
		footer14: "நெறிமுறை பணம்",
		request:"கோரிக்கை",
		agree:"ஒப்புக்கொள்",
		cashbook:"ரொக்கப்புத்தகம்",
		logout:"வெளியேறு",
		welcome:"வரவேற்கிறோம்",
		DText_01:"சுயவிவரத் தரவு",
		DText_02:"உங்கள் புகைப்படத்தைப் பதிவேற்றவும்",
		DText_03:"jpg/png அதிகபட்சம் 140x140 பிக்சல்கள்!",
		DText_04:"மாற்றங்களைச் சேமிக்கவும்",
		DText_05:"முழுப் பெயர்",
		DText_06:"முழுப் பெயர்...",
		DText_07:"மின்னஞ்சல் முகவரி",
		DText_08:"மின்னஞ்சல் முகவரி...",
		DText_09:"பயனர்பெயர்",
		DText_10:"பயனர்பெயர்...",
		DText_11:"பிழை! மீண்டும் முயற்சிக்கவும்.",
		DText_12:"உங்கள் தரவு புதுப்பிக்கப்பட்டது.",
		DText_13:"பிறந்தநாள்",
		DText_14:"பாலினம்",
		DText_15:"உயரம்...(_.__மீ/_அடி_அங்குலம்)",
		DText_16:"உயரம் (_.__மீ/_அடி_அங்குலம்)",
		DText_17:"முடி நிறம்",
		DText_18:"இடது கண் நிறம்",
		DText_19:"வலது கண் நிறம்",
		DText_20:"▲ மேல் ▲",
		DText_21:"வெள்ளை",
		DText_22:"இஞ்சி சிவப்பு",
		DText_23:"செம்பட்டை",
		DText_24:"பொன்னிற",
		DText_25:"வெளிர் கஷ்கொட்டை",
		DText_26:"செம்பு",
		DText_27:"வெளிர் மஞ்சள்",
		DText_28:"செம்பு வெளிர் மஞ்சள்",
		DText_29:"வெள்ளி",
		DText_30:"நடுத்தர மஞ்சள்",
		DText_31:"வெளிர் பழுப்பு",
		DText_32:"டைட்டன்",
		DText_33:"அடர் மஞ்சள்",
		DText_34:"நடுத்தர பழுப்பு",
		DText_35:"சாம்பல்",
		DText_36:"தங்க மஞ்சள்",
		DText_37:"அடர் பழுப்பு",
		DText_38:"கருப்பு",
		DText_39:"ஸ்ட்ராபெரி மஞ்சள்",
		DText_40:"முடி இல்லை",
		DText_41:"அம்பர்",
		DText_42:"நீலம்",
		DText_43:"பழுப்பு",
		DText_44:"சாம்பல்",
		DText_45:"பச்சை",
		DText_46:"ஹேசல்",
		DText_47:"சிவப்பு",
		DText_48:"நீல சாம்பல்",
		DText_49:"நீல பச்சை",
		DText_50:"பச்சை சாம்பல்",
		DText_51:"பச்சை பழுப்பு",
		DText_511:"புரோஸ்தெசிஸ்",
		DText_52:"சிறப்பு அம்சங்கள்",
		DText_54:"நீங்கள் ஒரு நாணயத்தைப் பெறுவீர்கள் மணி நேரம்!",
		DText_55:"நாணயங்களைப் பெற முழு படிவத்தையும் நிரப்பவும்!",
		male:"ஆண்",
		female:"பெண்",
		other:"மற்றவை",
	},
	th: {
		footer00: "ความช่วยเหลือและคำถามที่พบบ่อย",
		footer01: "กฎที่สำคัญ",
		footer02: "A. บัญชีผู้ใช้ใดก็ตามที่ใส่รูปภาพในโปรไฟล์ที่ไม่ใช่รูป",
		footer03: "ของใบหน้าที่จดจำได้และกำลังสะสมเหรียญจะถูกลบ",
		footer04: "B. การนำเสนอตัวเองเป็นเท็จหรือสร้างบัญชีซ้ำ",
		footer05: "จะส่งผลให้บัญชีนั้นถูกลบออกเมื่อตรวจพบ",
		footer06: "ข้อจำกัดความรับผิดชอบ",
		footer07: "1. การเข้าร่วมหรือทดสอบแอปไม่ได้หมายความว่าผู้ใช้รายนี้ยอมรับหรือ",
		footer08: "ยอมรับแนวคิดทางการเมืองใดๆ ที่เว็บไซต์ 1CoinH อาจระบุ",
		footer09: "2. ห้ามคัดลอกและ/หรือใช้ข้อมูลผู้ใช้ใดๆ ที่พบ",
		footer10: "บนเว็บไซต์นี้ซ้ำโดยเด็ดขาด",
		footer11: "ข้อตกลง",
		footer12: "การเข้าร่วมเว็บไซต์นี้ในฐานะผู้ใช้หมายความว่าคุณได้อ่านข้อจำกัดความรับผิดชอบนี้",
		footer13: "และยอมรับ 'กฎที่สำคัญ' และ 'ข้อจำกัดความรับผิดชอบ' ข้างต้น",
		footer14: "เงินที่ถูกต้องตามจริยธรรม",
		request:"คำขอ",
		agree:"ตกลง",
		cashbook:"สมุดเงินสด",
		logout:"ออกจากระบบ",
		welcome:"ยินดีต้อนรับ",
		DText_01:"ข้อมูลโปรไฟล์",
		DText_02:"อัปโหลดรูปภาพของคุณ",
		DText_03:"jpg/png ขนาดสูงสุด 140x140 พิกเซล!",
		DText_04:"บันทึกการเปลี่ยนแปลง",
		DText_05:"ชื่อ-นามสกุล",
		DText_06:"ชื่อ-นามสกุล...",
		DText_07:"ที่อยู่อีเมล",
		DText_08:"ที่อยู่อีเมล...",
		DText_09:"ชื่อผู้ใช้",
		DText_10:"ชื่อผู้ใช้...",
		DText_11:"เกิดข้อผิดพลาด! โปรดลองอีกครั้ง",
		DText_12:"ข้อมูลของคุณได้รับการอัปเดต",
		DText_13:"วันเกิด",
		DText_14:"เพศ",
		DText_15:"ส่วนสูง...(_.__ม./_ฟุต__นิ้ว)",
		DText_16:"ส่วนสูง (_.__ม./_ฟุต__นิ้ว)",
		DText_17:"สีผม",
		DText_18:"สีตาซ้าย",
		DText_19:"สีตาขวา",
		DText_20:"▲ ขึ้น ▲",
		DText_21:"ขาว",
		DText_22:"แดงขิง",
		DText_23:"ออเบิร์น",
		DText_24:"บลอนด์",
		DText_25:"เกาลัดอ่อน",
		DText_26:"ทองแดง",
		DText_27:"บลอนด์อ่อน",
		DText_28:"น้ำตาลเกาลัด",
		DText_29:"เงิน",
		DText_30:"บลอนด์กลาง",
		DText_31:"น้ำตาลอ่อน",
		DText_32:"ไททัน",
		DText_33:"บลอนด์เข้ม",
		DText_34:"น้ำตาลกลาง",
		DText_35:"เทา",
		DText_36:"บลอนด์ทอง",
		DText_37:"น้ำตาลเข้ม",
		DText_38:"ดำ",
		DText_39:"บลอนด์สตรอว์เบอร์รี่",
		DText_40:"ไม่มีผม",
		DText_41:"อำพัน",
		DText_42:"น้ำเงิน",
		DText_43:"น้ำตาล",
		DText_44:"เทา",
		DText_45:"เขียว",
		DText_46:"เฮเซล",
		DText_47:"แดง",
		DText_48:"น้ำเงินเทา",
		DText_49:"น้ำเงินเขียว",
		DText_50:"เขียวเทา",
		DText_51:"เขียวน้ำตาล",
		DText_511:"ขาเทียม",
		DText_52:"คุณสมบัติพิเศษ",
		DText_54:"คุณได้รับหนึ่งเหรียญต่อชั่วโมง!",
		DText_55:"กรอกแบบฟอร์มทั้งหมด เพื่อรับเหรียญ!",
		male:"ชาย",
		female:"หญิง",
		other:"อื่น ๆ",
	},
	vi: {
		footer00: "Trợ giúp và câu hỏi thường gặp.",
		footer01: "QUY TẮC QUAN TRỌNG",
		footer02: "A. Bất kỳ tài khoản người dùng nào đưa hình ảnh vào hồ sơ của mình không phải là ảnh",
		footer03: "của một khuôn mặt dễ nhận biết và đang thu thập tiền xu sẽ bị xóa.",
		footer04: "B. Việc tự giới thiệu sai hoặc tạo tài khoản đôi cho chính mình",
		footer05: "sẽ khiến tài khoản đó bị xóa khi bị phát hiện.",
		footer06: "TUYÊN BỐ MIỄN TRỪ TRÁCH NHIỆM",
		footer07: "1. Việc tham gia hoặc thử nghiệm ứng dụng không có nghĩa là người dùng này đồng ý hoặc",
		footer08: "ủng hộ bất kỳ ý tưởng chính trị nào mà trang web 1CoinH có thể chỉ ra.",
		footer09: "2. Nghiêm cấm sao chép và/hoặc sử dụng lại bất kỳ dữ liệu người dùng nào có thể tìm thấy",
		footer10: "trên trang web này - bên ngoài trang web này.",
		footer11: "THỎA THUẬN",
		footer12: "Tham gia trang web này với tư cách là người dùng có nghĩa là bạn đã đọc tuyên bố miễn trừ trách nhiệm này",
		footer13: "và đồng ý với 'Quy tắc quan trọng' và 'Tuyên bố miễn trừ trách nhiệm' ở trên.",
		footer14: "Tiền đạo đức",
		request:"Request",
		agree:"Đồng ý",
		cashbook:"Sổ quỹ",
		logout:"Đăng xuất",
		welcome:"Chào mừng",
		DText_01:"Dữ liệu hồ sơ",
		DText_02:"Tải ảnh của bạn lên",
		DText_03:"jpg/png tối đa 140x140 pixel!",
		DText_04:"Lưu thay đổi",
		DText_05:"Họ và tên",
		DText_06:"Họ và tên...",
		DText_07:"Địa chỉ email",
		DText_08:"Địa chỉ email...",
		DText_09:"Tên người dùng",
		DText_10:"Tên người dùng...",
		DText_11:"Lỗi! Vui lòng thử lại.",
		DText_12:"Dữ liệu của bạn đã được cập nhật.",
		DText_13:"Sinh nhật",
		DText_14:"Giới tính",
		DText_15:"Chiều cao...(_.__m/_ft__in)",
		DText_16:"Chiều cao (_.__m/_ft__in)",
		DText_17:"Màu tóc",
		DText_18:"Màu mắt trái",
		DText_19:"Màu mắt phải",
		DText_20:"▲ Lên ▲",
		DText_21:"Trắng",
		DText_22:"Đỏ gừng",
		DText_23:"Hồng hạt",
		DText_24:"Vàng",
		DText_25:"Hạt dẻ nhạt",
		DText_26:"Đồng",
		DText_27:"Vàng nhạt",
		DText_28:"Nâu hạt dẻ",
		DText_29:"Bạc",
		DText_30:"Vàng vừa",
		DText_31:"Nâu nhạt",
		DText_32:"Titan",
		DText_33:"Vàng sẫm",
		DText_34:"Nâu vừa",
		DText_35:"Xám",
		DText_36:"Vàng vàng",
		DText_37:"Nâu sẫm",
		DText_38:"Đen",
		DText_39:"Vàng dâu",
		DText_40:"Không có tóc",
		DText_41:"Hổ phách",
		DText_42:"Xanh dương",
		DText_43:"Nâu",
		DText_44:"Xám",
		DText_45:"Xanh",
		DText_46:"Xanh lam xám",
		DText_47:"Xanh lá",
		DText_48:"Xanh lá cây",
		DText_49:"Xám lá",
		DText_50:"Xanh lá cây",
		DText_51:"Nâu xanh lá",
		DText_511:"Chân giả",
		DText_52:"Tính năng đặc biệt",
		DText_54:"Bạn nhận được một xu mỗi giờ!",
		DText_55:"Điền đầy đủ biểu mẫu để nhận tiền xu!",
		male:"Nam",
		female:"Nữ",
		other:"Khác",
	},
	tu: {
		footer00: "Yardım ve sık sorulan sorular.",
		footer01: "ÖNEMLİ KURALLAR",
		footer02: "A. Profiline tanınabilir bir yüzün resmi olmayan",
		footer03: "bir resim koyan ve jeton toplayan herhangi bir kullanıcı hesabı kaldırılacaktır.",
		footer04: "B. Kendinizi yanlış tanıtmanız veya kendiniz için çift hesap oluşturmanız",
		footer05: "tespit edildiğinde söz konusu hesabın kaldırılmasıyla sonuçlanacaktır.",
		footer06: "SORUMLULUK REDDİ",
		footer07: "1. Uygulamayı katılmak veya test etmek, bu kullanıcının 1CoinH web sitesinin belirtebileceği herhangi bir siyasi fikri kabul ettiği veya",
		footer08: "onayladığı anlamına gelmez.",
		footer09: "2. Bu web sitesinde - bu web sitesi dışında - bulunabilen kullanıcı verilerinin herhangi",
		footer10: "birini kopyalamak ve/veya yeniden kullanmak kesinlikle yasaktır.",
		footer11: "SÖZLEŞME",
		footer12: "Bu web sitesine kullanıcı olarak katılmak, bu sorumluluk reddi beyanını okuduğunuz",
		footer13: "ve yukarıdaki 'Önemli Kurallar' ve 'Sorumluluk Reddi' beyanını kabul ettiğiniz anlamına gelir.",
		footer14: "Etik Para",
		request:"İstek",
		agree:"Kabul",
		cashbook:"Kasa",
		logout:"Çıkış",
		welcome:"Hoş Geldiniz",
		DText_01:"Profil Verileri",
		DText_02:"Fotoğrafınızı yükleyin",
		DText_03:"jpg/png maksimum 140x140 piksel!",
		DText_04:"Değişiklikleri Kaydet",
		DText_05:"Tam adınız",
		DText_06:"Tam adınız...",
		DText_07:"E-posta adresiniz",
		DText_08:"E-posta adresiniz...",
		DText_09:"Kullanıcı adı",
		DText_10:"Kullanıcı adı...",
		DText_11:"Hata! Lütfen tekrar deneyin.",
		DText_12:"Verileriniz güncellendi.",
		DText_13:"Doğum günü",
		DText_14:"Cinsiyet",
		DText_15:"Boy...(_.__m/_ft__in)",
		DText_16:"Boy (_.__m/_ft__in)",
		DText_17:"Saç Rengi",
		DText_18:"Sol Göz Rengi",
		DText_19:"Sağ Göz Rengi",
		DText_20:"▲ Yukarı ▲",
		DText_21:"Beyaz",
		DText_22:"Kızıl Kızıl",
		DText_23:"Kızılderili",
		DText_24:"Sarışın",
		DText_25:"Açık Kestane",
		DText_26:"Bakır",
		DText_27:"Açık Sarı",
		DText_28:"Kestane Kahve",
		DText_29:"Gümüş",
		DText_30:"Orta Sarı",
		DText_31:"Açık Kahverengi",
		DText_32:"Titan",
		DText_33:"Koyu Sarı",
		DText_34:"Orta Kahverengi",
		DText_35:"Gri",
		DText_36:"Altın Sarı",
		DText_37:"Koyu Kahverengi",
		DText_38:"Siyah",
		DText_39:"Çilek Sarısı",
		DText_40:"Saç Yok",
		DText_41:"Kehribar",
		DText_42:"Mavi",
		DText_43:"Kahverengi",
		DText_44:"Gri",
		DText_45:"Yeşil",
		DText_46:"Ela",
		DText_47:"Kırmızı",
		DText_48:"Mavi Gri",
		DText_49:"Mavi Yeşil",
		DText_50:"Yeşil Gri",
		DText_51:"Yeşil Kahverengi",
		DText_511:"Protez",
		DText_52:"Özel Özellikler",
		DText_54:"Bir tane alırsınız saat başına jeton!",
		DText_55:"Jeton almak için tüm formu doldurun!",
		male:"Erkek",
		female:"Kadın",
		other:"Diğer",
	},
	ur: {
		footer00: "مدد اور اکثر پوچھے گئے سوالات۔",
		footer01: "اہم قواعد",
		footer02: "A. کوئی بھی صارف اکاؤنٹ جو اپنے پروفائل میں ایسی تصویر رکھتا ہے جو تصویر نہیں ہے",
		footer03: "ایک پہچانا چہرہ اور سکے جمع کر رہا ہے ہٹا دیا جائے گا۔",
		footer04: "B. اپنے آپ کو غلط بیان کرنا یا اپنے لیے دوہرا اکاؤنٹ بنانا",
		footer05: "اس کے نتیجے میں اس اکاؤنٹ کو ایک بار پتہ چلنے پر ہٹا دیا جائے گا۔",
		footer06: "ڈس کلیمر",
		footer07: "1. ایپ میں شامل ہونے یا جانچنے کا مطلب یہ نہیں ہے کہ یہ صارف متفق ہے یا",
		footer08: "1CoinH ویب سائٹ سے ظاہر ہونے والے کسی بھی سیاسی خیالات سے تعزیت کرتا ہے۔",
		footer09: "2. کسی بھی صارف ڈیٹا کو کاپی کرنا اور/یا دوبارہ استعمال کرنا جو پایا جا سکتا ہے",
		footer10: "اس ویب سائٹ پر - اس ویب سائٹ سے باہر - سختی سے منع ہے۔",
		footer11: "معاہدہ",
		footer12: "اس ویب سائٹ کو بطور صارف جوائن کرنے کا مطلب ہے کہ آپ نے یہ اعلانیہ  پڑھ لیا ہے۔",
		footer13: "اور اوپر 'اہم قواعد' اور 'اعلان دستبرداری' سے اتفاق کرتے ہیں۔",
		footer14: "اخلاقی رقم ",
		request:"کی درخواست کریں۔",
		agree:"متفق ہیں",
		cashbook:"کیش بک",
		logout:"لاگ آؤٹ",
		welcome:"خوش آمدید",
		DText_01:"پروفائل ڈیٹا",
		DText_02:"اپنی تصویر اپ لوڈ کریں۔",
		DText_03:"jpg/png زیادہ سے زیادہ 140x140 پکسلز!",
		DText_04:"تبدیلیاں محفوظ کریں",
		DText_05:"پورا نام",
		DText_06:"پورا نام...",
		DText_07:"ای میل ایڈریس",
		DText_08:"ای میل ایڈریس...",
		DText_09:"صارف نام",
		DText_10:"صارف نام...",
		DText_11:"غلطی! براہ کرم دوبارہ کوشش کریں۔",
		DText_12:"آپ کا ڈیٹا اپ ڈیٹ ہو گیا ہے۔",
		DText_13:"یوم پیدائش",
		DText_14:"جنس",
		DText_15:"اونچائی...(_.__m/_ft__in)",
		DText_16:"اونچائی (_.__m/_ft__in)",
		DText_17:"بالوں کا رنگ",
		DText_18:"بائیں آنکھ کا رنگ",
		DText_19:"دائیں آنکھ کا رنگ",
		DText_20:"▲ اوپر ▲",
		DText_21:"سفید ڈالر",
		DText_22:"ادرک سرخ ڈالر",
		DText_23:"اوبرن ڈالر",
		DText_24:"سنہرے بالوں والی ڈالر",
		DText_25:"ہلکا شاہ بلوط",
		DText_26:"تانبا",
		DText_27:"ہلکا سنہرے بالوں والی ڈالر",
		DText_28:"شاہ بلوط براؤن ڈالر",
		DText_29:"چاندی ڈالر",
		DText_30:"درمیانے سنہرے بالوں والی ڈالر",
		DText_31:"ہلکا براؤن ڈالر",
		DText_32:"ٹائٹن ڈالر",
		DText_33:"گہرا سنہرے بالوں والی ڈالر",
		DText_34:"درمیانہ براؤن ڈالر",
		DText_35:"گرے ڈالر",
		DText_36:"سنہرے بالوں والی ڈالر",
		DText_37:"گہرا بھورا",
		DText_38:"سیاہ ڈالر",
		DText_39:"اسٹرابیری سنہرے بالوں والی ڈالر",
		DText_40:"کوئی بال نہیں",
		DText_41:"امبر ڈالر",
		DText_42:"نیلا",
		DText_43:"براؤن ڈالر",
		DText_44:"گرے ڈالر",
		DText_45:"سبز ڈالر",
		DText_46:"ہیزل",
		DText_47:"سرخ ڈالر",
		DText_48:"بلیو گرے ڈالر",
		DText_49:"بلیو گرین ڈالر",
		DText_50:"گرین گرے ڈالر",
		DText_51:"گرین براؤن ڈالر",
		DText_511:"مصنوعی اعضاء",
		DText_52:"خصوصی خصوصیات",
		DText_54:"آپ فی گھنٹہ ایک سکہ وصول کرتے ہیں!",
		DText_55:"سکے حاصل کرنے کے لیے پورا فارم بھریں!",
		male:"مرد",
		female:"خاتون",
		other:"دیگر",
	},
	yo: {
		footer00: "Iranlọwọ ati awọn ibeere nigbagbogbo beere.",
		footer01: "OFIN PATAKI",
		footer02: "A. Eyikeyi akọọlẹ olumulo ti o fi aworan si profaili rẹ ti kii ṣe aworan ",
		footer03: "ti oju ti a mọ ti o si n gba awọn owó ni ao yọ kuro.",
		footer04: "B. Sisọ ararẹ ṣiṣalaye tabi ṣe awọn akọọlẹ meji fun ararẹ ",
		footer05: "yoo mu ki akọọlẹ yẹn kuro ni kete ti a ba rii.",
		footer06: "ALÁYÌN ",
		footer07: "1. Didapọ tabi idanwo app ko tumọ si pe olumulo yii gba tabi ",
		footer08: "ṣe itẹwọgba awọn imọran iṣelu eyikeyi ti oju opo wẹẹbu 1CoinH le fihan.",
		footer09: "2. Didaakọ ati/tabi tunlo eyikeyi data olumulo ti o le rii ",
		footer10: "lori oju opo wẹẹbu yii - ni ita oju opo wẹẹbu yii - jẹ eewọ muna.",
		footer11: "Àdéhùn",
		footer12: "Didapọ mọ oju opo wẹẹbu yii gẹgẹbi olumulo tumọ si pe o ti ka ailagbara ",
		footer13: "ki o si gba si awọn 'Pataki Ofin' ati 'AlAIgBA' loke.",
		footer14: "Owo Iwa ",
		request:"Ìbéèrè",
		agree:"gba",
		cashbook:"Iwe owo",
		logout:"Jade",
		welcome:"Kaabo",
		DText_01:"Data profaili",
		DText_02:"Ṣe agbejade fọto rẹ",
		DText_03:"jpg/png max 140x140 pixels!",
		DText_04:"Fipamọ awọn iyipada",
		DText_05:"Orukọ kikun",
		DText_06:"Ekunrere oruko...",
		DText_07:"adirẹsi imeeli",
		DText_08:"adirẹsi imeeli...",
		DText_09:"Orukọ olumulo",
		DText_10:"Orukọ olumulo...",
		DText_11:"Asise! Jọwọ gbiyanju lẹẹkansi.",
		DText_12:"Data rẹ ti ni imudojuiwọn.",
		DText_13:"Ojo ibi",
		DText_14:"abo",
		DText_15:"Giga...(_.__m/__ft__in)",
		DText_16:"Giga (_.__m/__ft__in)",
		DText_17:"Awọ Irun",
		DText_18:"Awọ Osi Oju",
		DText_19:"Awọ ọtun Oju",
		DText_20:"▲ Soke▲",
		DText_21:"funfun",
		DText_22:"Atalẹ Pupa",
		DText_23:"Auburn",
		DText_24:"Bilondi",
		DText_25:"Imọlẹ Chestnut",
		DText_26:"Ejò",
		DText_27:"Imọlẹ Bilondi",
		DText_28:"Ẹya Brown",
		DText_29:"Fadaka",
		DText_30:"Alabọde Bilondi",
		DText_31:"Imọlẹ Brown",
		DText_32:"Titan",
		DText_33:"Bilondi Dudu",
		DText_34:"Alabọde Brown",
		DText_35:"Grẹy",
		DText_36:"Blondi goolu",
		DText_37:"Dudu Brown",
		DText_38:"Dudu",
		DText_39:"Sitiroberi Blond",
		DText_40:"Ko si Irun",
		DText_41:"Amber",
		DText_42:"Buluu",
		DText_43:"Brown",
		DText_44:"Grẹy",
		DText_45:"Alawọ ewe",
		DText_46:"Hazel",
		DText_47:"Pupa",
		DText_48:"Grẹy Buluu",
		DText_49:"Alawọ Blue",
		DText_50:"Alawọ Grẹy",
		DText_51:"Alawọ ewe Brown",
		DText_511:"Prosthesis",
		DText_52:"Awọn ẹya pataki",
		DText_54:"O gba owo kan fun wakati kan!",
		DText_55:"Fọwọsi gbogbo fọọmu lati gba awọn owó!",
		male:"Okunrin",
		female:"Obirin",
		other:"Omiiran",
	}
}

let footer_00 = document.getElementById("footer00");
let footer_01 = document.getElementById("footer01");
let footer_02 = document.getElementById("footer02");
let footer_03 = document.getElementById("footer03");
let footer_04 = document.getElementById("footer04");
let footer_05 = document.getElementById("footer05");
let footer_06 = document.getElementById("footer06");
let footer_07 = document.getElementById("footer07");
let footer_08 = document.getElementById("footer08");
let footer_09 = document.getElementById("footer09");
let footer_10 = document.getElementById("footer10");
let footer_11 = document.getElementById("footer11");
let footer_12 = document.getElementById("footer12");
let footer_13 = document.getElementById("footer13");
let footer_14 = document.getElementById("footer14");
let human = document.getElementById("human");
let request = document.getElementById("request");
let agree = document.getElementById("agree");
let cashbook = document.getElementById("cashbook");
let logout = document.getElementById("logout");
let welcome = document.getElementById("welcome");
let div_align = document.getElementById("profile_align");
let text_01 = document.getElementById("text_01");
let text_02 = document.getElementById("text_02");
let text_03 = document.getElementById("text_03");
let text_04 = document.getElementById("text_04");
let text_05 = document.getElementById("text_05");
let text_06 = document.getElementById("text_06");
let text_07 = document.getElementById("text_07");
let text_08 = document.getElementById("text_08");
let text_09 = document.getElementById("text_09");
let text_10 = document.getElementById("text_10");
let text_11 = document.getElementById("text_11");
let text_12 = document.getElementById("text_12");
let text_13 = document.getElementById("text_13");
let text_14 = document.getElementById("text_14");
let text_15 = document.getElementById("text_15");
let text_16 = document.getElementById("text_16");
let text_17 = document.getElementById("text_17");
let text_18 = document.getElementById("text_18");
let text_19 = document.getElementById("text_19");
let text_20 = document.getElementById("text_20");
let text_21 = document.getElementById("text_21");
let text_22 = document.getElementById("text_22");
let text_23 = document.getElementById("text_23");
let text_24 = document.getElementById("text_24");
let text_25 = document.getElementById("text_25");
let text_26 = document.getElementById("text_26");
let text_27 = document.getElementById("text_27");
let text_28 = document.getElementById("text_28");
let text_29 = document.getElementById("text_29");
let text_30 = document.getElementById("text_30");
let text_31 = document.getElementById("text_31");
let text_32 = document.getElementById("text_32");
let text_33 = document.getElementById("text_33");
let text_34 = document.getElementById("text_34");
let text_35 = document.getElementById("text_35");
let text_36 = document.getElementById("text_36");
let text_37 = document.getElementById("text_37");
let text_38 = document.getElementById("text_38");
let text_39 = document.getElementById("text_39");
let text_40 = document.getElementById("text_40");
let text_41 = document.getElementById("text_41");
let text_42 = document.getElementById("text_42");
let text_43 = document.getElementById("text_43");
let text_44 = document.getElementById("text_44");
let text_45 = document.getElementById("text_45");
let text_46 = document.getElementById("text_46");
let text_47 = document.getElementById("text_47");
let text_48 = document.getElementById("text_48");
let text_49 = document.getElementById("text_49");
let text_50 = document.getElementById("text_50");
let text_51 = document.getElementById("text_51");
let text_511 = document.getElementById("text_511");
let specialfeatures = document.getElementById("specialfeatures");
let text_52 = document.getElementById("text_52");
let text_54 = document.getElementById("receiving");
let text_55 = document.getElementById("denied");
let text_41a = document.getElementById("text_41a");
let text_42a = document.getElementById("text_42a");
let text_43a = document.getElementById("text_43a");
let text_44a = document.getElementById("text_44a");
let text_45a = document.getElementById("text_45a");
let text_46a = document.getElementById("text_46a");
let text_47a = document.getElementById("text_47a");
let text_48a = document.getElementById("text_48a");
let text_49a = document.getElementById("text_49a");
let text_50a = document.getElementById("text_50a");
let text_51a = document.getElementById("text_51a");
let text_511a = document.getElementById("text_511a");
let male = document.getElementById("male");
let female = document.getElementById("female");
let other = document.getElementById("other");


function setLanguage(language) {
	if(language == "ah"){
		footer_00.innerText = translations.ah.footer00;
		footer_01.innerText = translations.ah.footer01;
		footer_02.innerText = translations.ah.footer02;
		footer_03.innerText = translations.ah.footer03;
		footer_04.innerText = translations.ah.footer04;
		footer_05.innerText = translations.ah.footer05;
		footer_06.innerText = translations.ah.footer06;
		footer_07.innerText = translations.ah.footer07;
		footer_08.innerText = translations.ah.footer08;
		footer_09.innerText = translations.ah.footer09;
		footer_10.innerText = translations.ah.footer10;
		footer_11.innerText = translations.ah.footer11;
		footer_12.innerText = translations.ah.footer12;
		footer_13.innerText = translations.ah.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ah.footer14;
		request.innerText = translations.ah.request;
		agree.innerText = translations.ah.agree;
		cashbook.innerText = translations.ah.cashbook;
		logout.innerText = translations.ah.logout;
		if (welcome) {welcome.innerText = translations.ah.welcome;}
		text_01.innerText = translations.ah.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.ah.DText_02+'</p>';
		text_03.innerText = translations.ah.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.ah.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.ah.DText_05;
		text_06.placeholder = translations.ah.DText_06;
		text_07.innerHTML = translations.ah.DText_07;
		text_08.placeholder = translations.ah.DText_08;
		text_09.innerHTML = translations.ah.DText_09;
		text_10.placeholder = translations.ah.DText_10;
		if (text_11) {text_11.innerText = translations.ah.DText_11;}
		if (text_12) {text_12.innerText = translations.ah.DText_12;}
		text_13.innerText = translations.ah.DText_13;
		text_14.innerText = translations.ah.DText_14;
		text_15.placeholder = translations.ah.DText_15;
		text_16.innerText = translations.ah.DText_16;
		text_17.innerText = translations.ah.DText_17;
		text_18.innerText = translations.ah.DText_18;
		text_19.innerText = translations.ah.DText_19;
		text_20.innerText = translations.ah.DText_20;
		text_21.innerText = translations.ah.DText_21;
		text_22.innerText = translations.ah.DText_22;
		text_23.innerText = translations.ah.DText_23;
		text_24.innerText = translations.ah.DText_24;
		text_25.innerText = translations.ah.DText_25;
		text_26.innerText = translations.ah.DText_26;
		text_27.innerText = translations.ah.DText_27;
		text_28.innerText = translations.ah.DText_28;
		text_29.innerText = translations.ah.DText_29;
		text_30.innerText = translations.ah.DText_30;
		text_31.innerText = translations.ah.DText_31;
		text_32.innerText = translations.ah.DText_32;
		text_33.innerText = translations.ah.DText_33;
		text_34.innerText = translations.ah.DText_34;
		text_35.innerText = translations.ah.DText_35;
		text_36.innerText = translations.ah.DText_36;
		text_37.innerText = translations.ah.DText_37;
		text_38.innerText = translations.ah.DText_38;
		text_39.innerText = translations.ah.DText_39;
		text_40.innerText = translations.ah.DText_40;
		text_41.innerText = translations.ah.DText_41;
		text_42.innerText = translations.ah.DText_42;
		text_43.innerText = translations.ah.DText_43;
		text_44.innerText = translations.ah.DText_44;
		text_45.innerText = translations.ah.DText_45;
		text_46.innerText = translations.ah.DText_46;
		text_47.innerText = translations.ah.DText_47;
		text_48.innerText = translations.ah.DText_48;
		text_49.innerText = translations.ah.DText_49;
		text_50.innerText = translations.ah.DText_50;
		text_51.innerText = translations.ah.DText_51;
		text_511.innerText = translations.ah.DText_511;
		text_52.innerText = translations.ah.DText_52;
		text_41a.innerText = translations.ah.DText_41;
		text_42a.innerText = translations.ah.DText_42;
		text_43a.innerText = translations.ah.DText_43;
		text_44a.innerText = translations.ah.DText_44;
		text_45a.innerText = translations.ah.DText_45;
		text_46a.innerText = translations.ah.DText_46;
		text_47a.innerText = translations.ah.DText_47;
		text_48a.innerText = translations.ah.DText_48;
		text_49a.innerText = translations.ah.DText_49;
		text_50a.innerText = translations.ah.DText_50;
		text_51a.innerText = translations.ah.DText_51;
		text_511a.innerText = translations.ah.DText_511;
		male.innerText = translations.ah.male;
		female.innerText = translations.ah.female;
		other.innerText = translations.ah.other;
	}else if(language == "ar"){
		footer_00.innerText = translations.ar.footer00;
		footer_01.innerText = translations.ar.footer01;
		footer_02.innerText = translations.ar.footer02;
		footer_03.innerText = translations.ar.footer03;
		footer_04.innerText = translations.ar.footer04;
		footer_05.innerText = translations.ar.footer05;
		footer_06.innerText = translations.ar.footer06;
		footer_07.innerText = translations.ar.footer07;
		footer_08.innerText = translations.ar.footer08;
		footer_09.innerText = translations.ar.footer09;
		footer_10.innerText = translations.ar.footer10;
		footer_11.innerText = translations.ar.footer11;
		footer_12.innerText = translations.ar.footer12;
		footer_13.innerText = translations.ar.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ar.footer14;
		request.innerText = translations.ar.request;
		agree.innerText = translations.ar.agree;
		cashbook.innerText = translations.ar.cashbook;
		logout.innerText = translations.ar.logout;
		if (welcome) {welcome.innerText = translations.ar.welcome;}
		text_01.innerText = translations.ar.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.ar.DText_02+'</p>';
		text_03.innerText = translations.ar.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.ar.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.ar.DText_05;
		text_06.placeholder = translations.ar.DText_06;
		text_07.innerHTML = translations.ar.DText_07;
		text_08.placeholder = translations.ar.DText_08;
		text_09.innerHTML = translations.ar.DText_09;
		text_10.placeholder = translations.ar.DText_10;
		if (text_11) {text_11.innerText = translations.ar.DText_11;}
		if (text_12) {text_12.innerText = translations.ar.DText_12;}
		text_13.innerText = translations.ar.DText_13;
		text_14.innerText = translations.ar.DText_14;
		text_15.placeholder = translations.ar.DText_15;
		text_16.innerText = translations.ar.DText_16;
		text_17.innerText = translations.ar.DText_17;
		text_18.innerText = translations.ar.DText_18;
		text_19.innerText = translations.ar.DText_19;
		text_20.innerText = translations.ar.DText_20;
		text_21.innerText = translations.ar.DText_21;
		text_22.innerText = translations.ar.DText_22;
		text_23.innerText = translations.ar.DText_23;
		text_24.innerText = translations.ar.DText_24;
		text_25.innerText = translations.ar.DText_25;
		text_26.innerText = translations.ar.DText_26;
		text_27.innerText = translations.ar.DText_27;
		text_28.innerText = translations.ar.DText_28;
		text_29.innerText = translations.ar.DText_29;
		text_30.innerText = translations.ar.DText_30;
		text_31.innerText = translations.ar.DText_31;
		text_32.innerText = translations.ar.DText_32;
		text_33.innerText = translations.ar.DText_33;
		text_34.innerText = translations.ar.DText_34;
		text_35.innerText = translations.ar.DText_35;
		text_36.innerText = translations.ar.DText_36;
		text_37.innerText = translations.ar.DText_37;
		text_38.innerText = translations.ar.DText_38;
		text_39.innerText = translations.ar.DText_39;
		text_40.innerText = translations.ar.DText_40;
		text_41.innerText = translations.ar.DText_41;
		text_42.innerText = translations.ar.DText_42;
		text_43.innerText = translations.ar.DText_43;
		text_44.innerText = translations.ar.DText_44;
		text_45.innerText = translations.ar.DText_45;
		text_46.innerText = translations.ar.DText_46;
		text_47.innerText = translations.ar.DText_47;
		text_48.innerText = translations.ar.DText_48;
		text_49.innerText = translations.ar.DText_49;
		text_50.innerText = translations.ar.DText_50;
		text_51.innerText = translations.ar.DText_51;
		text_511.innerText = translations.ar.DText_511;
		text_52.innerText = translations.ar.DText_52;
		text_41a.innerText = translations.ar.DText_41;
		text_42a.innerText = translations.ar.DText_42;
		text_43a.innerText = translations.ar.DText_43;
		text_44a.innerText = translations.ar.DText_44;
		text_45a.innerText = translations.ar.DText_45;
		text_46a.innerText = translations.ar.DText_46;
		text_47a.innerText = translations.ar.DText_47;
		text_48a.innerText = translations.ar.DText_48;
		text_49a.innerText = translations.ar.DText_49;
		text_50a.innerText = translations.ar.DText_50;
		text_51a.innerText = translations.ar.DText_51;
		text_511a.innerText = translations.ar.DText_511;
		male.innerText = translations.ar.male;
		female.innerText = translations.ar.female;
		other.innerText = translations.ar.other;
	}else if(language == "am"){
		footer_00.innerText = translations.am.footer00;
		footer_01.innerText = translations.am.footer01;
		footer_02.innerText = translations.am.footer02;
		footer_03.innerText = translations.am.footer03;
		footer_04.innerText = translations.am.footer04;
		footer_05.innerText = translations.am.footer05;
		footer_06.innerText = translations.am.footer06;
		footer_07.innerText = translations.am.footer07;
		footer_08.innerText = translations.am.footer08;
		footer_09.innerText = translations.am.footer09;
		footer_10.innerText = translations.am.footer10;
		footer_11.innerText = translations.am.footer11;
		footer_12.innerText = translations.am.footer12;
		footer_13.innerText = translations.am.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.am.footer14;
		request.innerText = translations.am.request;
		agree.innerText = translations.am.agree;
		cashbook.innerText = translations.am.cashbook;
		logout.innerText = translations.am.logout;
		if (welcome) {welcome.innerText = translations.am.welcome;}
		text_01.innerText = translations.am.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.am.DText_02+'</p>';
		text_03.innerText = translations.am.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.am.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.am.DText_05;
		text_06.placeholder = translations.am.DText_06;
		text_07.innerHTML = translations.am.DText_07;
		text_08.placeholder = translations.am.DText_08;
		text_09.innerHTML = translations.am.DText_09;
		text_10.placeholder = translations.am.DText_10;
		if (text_11) {text_11.innerText = translations.am.DText_11;}
		if (text_12) {text_12.innerText = translations.am.DText_12;}
		text_13.innerText = translations.am.DText_13;
		text_14.innerText = translations.am.DText_14;
		text_15.placeholder = translations.am.DText_15;
		text_16.innerText = translations.am.DText_16;
		text_17.innerText = translations.am.DText_17;
		text_18.innerText = translations.am.DText_18;
		text_19.innerText = translations.am.DText_19;
		text_20.innerText = translations.am.DText_20;
		text_21.innerText = translations.am.DText_21;
		text_22.innerText = translations.am.DText_22;
		text_23.innerText = translations.am.DText_23;
		text_24.innerText = translations.am.DText_24;
		text_25.innerText = translations.am.DText_25;
		text_26.innerText = translations.am.DText_26;
		text_27.innerText = translations.am.DText_27;
		text_28.innerText = translations.am.DText_28;
		text_29.innerText = translations.am.DText_29;
		text_30.innerText = translations.am.DText_30;
		text_31.innerText = translations.am.DText_31;
		text_32.innerText = translations.am.DText_32;
		text_33.innerText = translations.am.DText_33;
		text_34.innerText = translations.am.DText_34;
		text_35.innerText = translations.am.DText_35;
		text_36.innerText = translations.am.DText_36;
		text_37.innerText = translations.am.DText_37;
		text_38.innerText = translations.am.DText_38;
		text_39.innerText = translations.am.DText_39;
		text_40.innerText = translations.am.DText_40;
		text_41.innerText = translations.am.DText_41;
		text_42.innerText = translations.am.DText_42;
		text_43.innerText = translations.am.DText_43;
		text_44.innerText = translations.am.DText_44;
		text_45.innerText = translations.am.DText_45;
		text_46.innerText = translations.am.DText_46;
		text_47.innerText = translations.am.DText_47;
		text_48.innerText = translations.am.DText_48;
		text_49.innerText = translations.am.DText_49;
		text_50.innerText = translations.am.DText_50;
		text_51.innerText = translations.am.DText_51;
		text_511.innerText = translations.am.DText_511;
		text_52.innerText = translations.am.DText_52;
		text_41a.innerText = translations.am.DText_41;
		text_42a.innerText = translations.am.DText_42;
		text_43a.innerText = translations.am.DText_43;
		text_44a.innerText = translations.am.DText_44;
		text_45a.innerText = translations.am.DText_45;
		text_46a.innerText = translations.am.DText_46;
		text_47a.innerText = translations.am.DText_47;
		text_48a.innerText = translations.am.DText_48;
		text_49a.innerText = translations.am.DText_49;
		text_50a.innerText = translations.am.DText_50;
		text_51a.innerText = translations.am.DText_51;
		text_511a.innerText = translations.am.DText_511;
		male.innerText = translations.am.male;
		female.innerText = translations.am.female;
		other.innerText = translations.am.other;
	}else if(language == "az"){
		footer_00.innerText = translations.az.footer00;
		footer_01.innerText = translations.az.footer01;
		footer_02.innerText = translations.az.footer02;
		footer_03.innerText = translations.az.footer03;
		footer_04.innerText = translations.az.footer04;
		footer_05.innerText = translations.az.footer05;
		footer_06.innerText = translations.az.footer06;
		footer_07.innerText = translations.az.footer07;
		footer_08.innerText = translations.az.footer08;
		footer_09.innerText = translations.az.footer09;
		footer_10.innerText = translations.az.footer10;
		footer_11.innerText = translations.az.footer11;
		footer_12.innerText = translations.az.footer12;
		footer_13.innerText = translations.az.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.az.footer14;
		request.innerText = translations.az.request;
		agree.innerText = translations.az.agree;
		cashbook.innerText = translations.az.cashbook;
		logout.innerText = translations.az.logout;
		if (welcome) {welcome.innerText = translations.az.welcome;}
		text_01.innerText = translations.az.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.az.DText_02+'</p>';
		text_03.innerText = translations.az.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.az.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.az.DText_05;
		text_06.placeholder = translations.az.DText_06;
		text_07.innerHTML = translations.az.DText_07;
		text_08.placeholder = translations.az.DText_08;
		text_09.innerHTML = translations.az.DText_09;
		text_10.placeholder = translations.az.DText_10;
		if (text_11) {text_11.innerText = translations.az.DText_11;}
		if (text_12) {text_12.innerText = translations.az.DText_12;}
		text_13.innerText = translations.az.DText_13;
		text_14.innerText = translations.az.DText_14;
		text_15.placeholder = translations.az.DText_15;
		text_16.innerText = translations.az.DText_16;
		text_17.innerText = translations.az.DText_17;
		text_18.innerText = translations.az.DText_18;
		text_19.innerText = translations.az.DText_19;
		text_20.innerText = translations.az.DText_20;
		text_21.innerText = translations.az.DText_21;
		text_22.innerText = translations.az.DText_22;
		text_23.innerText = translations.az.DText_23;
		text_24.innerText = translations.az.DText_24;
		text_25.innerText = translations.az.DText_25;
		text_26.innerText = translations.az.DText_26;
		text_27.innerText = translations.az.DText_27;
		text_28.innerText = translations.az.DText_28;
		text_29.innerText = translations.az.DText_29;
		text_30.innerText = translations.az.DText_30;
		text_31.innerText = translations.az.DText_31;
		text_32.innerText = translations.az.DText_32;
		text_33.innerText = translations.az.DText_33;
		text_34.innerText = translations.az.DText_34;
		text_35.innerText = translations.az.DText_35;
		text_36.innerText = translations.az.DText_36;
		text_37.innerText = translations.az.DText_37;
		text_38.innerText = translations.az.DText_38;
		text_39.innerText = translations.az.DText_39;
		text_40.innerText = translations.az.DText_40;
		text_41.innerText = translations.az.DText_41;
		text_42.innerText = translations.az.DText_42;
		text_43.innerText = translations.az.DText_43;
		text_44.innerText = translations.az.DText_44;
		text_45.innerText = translations.az.DText_45;
		text_46.innerText = translations.az.DText_46;
		text_47.innerText = translations.az.DText_47;
		text_48.innerText = translations.az.DText_48;
		text_49.innerText = translations.az.DText_49;
		text_50.innerText = translations.az.DText_50;
		text_51.innerText = translations.az.DText_51;
		text_511.innerText = translations.az.DText_511;
		text_52.innerText = translations.az.DText_52;
		text_41a.innerText = translations.az.DText_41;
		text_42a.innerText = translations.az.DText_42;
		text_43a.innerText = translations.az.DText_43;
		text_44a.innerText = translations.az.DText_44;
		text_45a.innerText = translations.az.DText_45;
		text_46a.innerText = translations.az.DText_46;
		text_47a.innerText = translations.az.DText_47;
		text_48a.innerText = translations.az.DText_48;
		text_49a.innerText = translations.az.DText_49;
		text_50a.innerText = translations.az.DText_50;
		text_51a.innerText = translations.az.DText_51;
		text_511a.innerText = translations.az.DText_511;
		male.innerText = translations.az.male;
		female.innerText = translations.az.female;
		other.innerText = translations.az.other;
	}else if(language == "by"){
		footer_00.innerText = translations.by.footer00;
		footer_01.innerText = translations.by.footer01;
		footer_02.innerText = translations.by.footer02;
		footer_03.innerText = translations.by.footer03;
		footer_04.innerText = translations.by.footer04;
		footer_05.innerText = translations.by.footer05;
		footer_06.innerText = translations.by.footer06;
		footer_07.innerText = translations.by.footer07;
		footer_08.innerText = translations.by.footer08;
		footer_09.innerText = translations.by.footer09;
		footer_10.innerText = translations.by.footer10;
		footer_11.innerText = translations.by.footer11;
		footer_12.innerText = translations.by.footer12;
		footer_13.innerText = translations.by.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.by.footer14;
		request.innerText = translations.by.request;
		agree.innerText = translations.by.agree;
		cashbook.innerText = translations.by.cashbook;
		logout.innerText = translations.by.logout;
		if (welcome) {welcome.innerText = translations.by.welcome;}
		text_01.innerText = translations.by.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.by.DText_02+'</p>';
		text_03.innerText = translations.by.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.by.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.by.DText_05;
		text_06.placeholder = translations.by.DText_06;
		text_07.innerHTML = translations.by.DText_07;
		text_08.placeholder = translations.by.DText_08;
		text_09.innerHTML = translations.by.DText_09;
		text_10.placeholder = translations.by.DText_10;
		if (text_11) {text_11.innerText = translations.by.DText_11;}
		if (text_12) {text_12.innerText = translations.by.DText_12;}
		text_13.innerText = translations.by.DText_13;
		text_14.innerText = translations.by.DText_14;
		text_15.placeholder = translations.by.DText_15;
		text_16.innerText = translations.by.DText_16;
		text_17.innerText = translations.by.DText_17;
		text_18.innerText = translations.by.DText_18;
		text_19.innerText = translations.by.DText_19;
		text_20.innerText = translations.by.DText_20;
		text_21.innerText = translations.by.DText_21;
		text_22.innerText = translations.by.DText_22;
		text_23.innerText = translations.by.DText_23;
		text_24.innerText = translations.by.DText_24;
		text_25.innerText = translations.by.DText_25;
		text_26.innerText = translations.by.DText_26;
		text_27.innerText = translations.by.DText_27;
		text_28.innerText = translations.by.DText_28;
		text_29.innerText = translations.by.DText_29;
		text_30.innerText = translations.by.DText_30;
		text_31.innerText = translations.by.DText_31;
		text_32.innerText = translations.by.DText_32;
		text_33.innerText = translations.by.DText_33;
		text_34.innerText = translations.by.DText_34;
		text_35.innerText = translations.by.DText_35;
		text_36.innerText = translations.by.DText_36;
		text_37.innerText = translations.by.DText_37;
		text_38.innerText = translations.by.DText_38;
		text_39.innerText = translations.by.DText_39;
		text_40.innerText = translations.by.DText_40;
		text_41.innerText = translations.by.DText_41;
		text_42.innerText = translations.by.DText_42;
		text_43.innerText = translations.by.DText_43;
		text_44.innerText = translations.by.DText_44;
		text_45.innerText = translations.by.DText_45;
		text_46.innerText = translations.by.DText_46;
		text_47.innerText = translations.by.DText_47;
		text_48.innerText = translations.by.DText_48;
		text_49.innerText = translations.by.DText_49;
		text_50.innerText = translations.by.DText_50;
		text_51.innerText = translations.by.DText_51;
		text_511.innerText = translations.by.DText_511;
		text_52.innerText = translations.by.DText_52;
		text_41a.innerText = translations.by.DText_41;
		text_42a.innerText = translations.by.DText_42;
		text_43a.innerText = translations.by.DText_43;
		text_44a.innerText = translations.by.DText_44;
		text_45a.innerText = translations.by.DText_45;
		text_46a.innerText = translations.by.DText_46;
		text_47a.innerText = translations.by.DText_47;
		text_48a.innerText = translations.by.DText_48;
		text_49a.innerText = translations.by.DText_49;
		text_50a.innerText = translations.by.DText_50;
		text_51a.innerText = translations.by.DText_51;
		text_511a.innerText = translations.by.DText_511;
		male.innerText = translations.by.male;
		female.innerText = translations.by.female;
		other.innerText = translations.by.other;
	}else if(language == "be"){
		footer_00.innerText = translations.be.footer00;
		footer_01.innerText = translations.be.footer01;
		footer_02.innerText = translations.be.footer02;
		footer_03.innerText = translations.be.footer03;
		footer_04.innerText = translations.be.footer04;
		footer_05.innerText = translations.be.footer05;
		footer_06.innerText = translations.be.footer06;
		footer_07.innerText = translations.be.footer07;
		footer_08.innerText = translations.be.footer08;
		footer_09.innerText = translations.be.footer09;
		footer_10.innerText = translations.be.footer10;
		footer_11.innerText = translations.be.footer11;
		footer_12.innerText = translations.be.footer12;
		footer_13.innerText = translations.be.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.be.footer14;
		request.innerText = translations.be.request;
		agree.innerText = translations.be.agree;
		cashbook.innerText = translations.be.cashbook;
		logout.innerText = translations.be.logout;
		if (welcome) {welcome.innerText = translations.be.welcome;}
		text_01.innerText = translations.be.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.be.DText_02+'</p>';
		text_03.innerText = translations.be.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.be.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.be.DText_05;
		text_06.placeholder = translations.be.DText_06;
		text_07.innerHTML = translations.be.DText_07;
		text_08.placeholder = translations.be.DText_08;
		text_09.innerHTML = translations.be.DText_09;
		text_10.placeholder = translations.be.DText_10;
		if (text_11) {text_11.innerText = translations.be.DText_11;}
		if (text_12) {text_12.innerText = translations.be.DText_12;}
		text_13.innerText = translations.be.DText_13;
		text_14.innerText = translations.be.DText_14;
		text_15.placeholder = translations.be.DText_15;
		text_16.innerText = translations.be.DText_16;
		text_17.innerText = translations.be.DText_17;
		text_18.innerText = translations.be.DText_18;
		text_19.innerText = translations.be.DText_19;
		text_20.innerText = translations.be.DText_20;
		text_21.innerText = translations.be.DText_21;
		text_22.innerText = translations.be.DText_22;
		text_23.innerText = translations.be.DText_23;
		text_24.innerText = translations.be.DText_24;
		text_25.innerText = translations.be.DText_25;
		text_26.innerText = translations.be.DText_26;
		text_27.innerText = translations.be.DText_27;
		text_28.innerText = translations.be.DText_28;
		text_29.innerText = translations.be.DText_29;
		text_30.innerText = translations.be.DText_30;
		text_31.innerText = translations.be.DText_31;
		text_32.innerText = translations.be.DText_32;
		text_33.innerText = translations.be.DText_33;
		text_34.innerText = translations.be.DText_34;
		text_35.innerText = translations.be.DText_35;
		text_36.innerText = translations.be.DText_36;
		text_37.innerText = translations.be.DText_37;
		text_38.innerText = translations.be.DText_38;
		text_39.innerText = translations.be.DText_39;
		text_40.innerText = translations.be.DText_40;
		text_41.innerText = translations.be.DText_41;
		text_42.innerText = translations.be.DText_42;
		text_43.innerText = translations.be.DText_43;
		text_44.innerText = translations.be.DText_44;
		text_45.innerText = translations.be.DText_45;
		text_46.innerText = translations.be.DText_46;
		text_47.innerText = translations.be.DText_47;
		text_48.innerText = translations.be.DText_48;
		text_49.innerText = translations.be.DText_49;
		text_50.innerText = translations.be.DText_50;
		text_51.innerText = translations.be.DText_51;
		text_511.innerText = translations.be.DText_511;
		text_52.innerText = translations.be.DText_52;
		text_41a.innerText = translations.be.DText_41;
		text_42a.innerText = translations.be.DText_42;
		text_43a.innerText = translations.be.DText_43;
		text_44a.innerText = translations.be.DText_44;
		text_45a.innerText = translations.be.DText_45;
		text_46a.innerText = translations.be.DText_46;
		text_47a.innerText = translations.be.DText_47;
		text_48a.innerText = translations.be.DText_48;
		text_49a.innerText = translations.be.DText_49;
		text_50a.innerText = translations.be.DText_50;
		text_51a.innerText = translations.be.DText_51;
		text_511a.innerText = translations.be.DText_511;
		male.innerText = translations.be.male;
		female.innerText = translations.be.female;
		other.innerText = translations.be.other;
	}else if(language == "bo"){
		footer_00.innerText = translations.bo.footer00;
		footer_01.innerText = translations.bo.footer01;
		footer_02.innerText = translations.bo.footer02;
		footer_03.innerText = translations.bo.footer03;
		footer_04.innerText = translations.bo.footer04;
		footer_05.innerText = translations.bo.footer05;
		footer_06.innerText = translations.bo.footer06;
		footer_07.innerText = translations.bo.footer07;
		footer_08.innerText = translations.bo.footer08;
		footer_09.innerText = translations.bo.footer09;
		footer_10.innerText = translations.bo.footer10;
		footer_11.innerText = translations.bo.footer11;
		footer_12.innerText = translations.bo.footer12;
		footer_13.innerText = translations.bo.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.bo.footer14;
		request.innerText = translations.bo.request;
		agree.innerText = translations.bo.agree;
		cashbook.innerText = translations.bo.cashbook;
		logout.innerText = translations.bo.logout;
		if (welcome) {welcome.innerText = translations.bo.welcome;}
		text_01.innerText = translations.bo.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.bo.DText_02+'</p>';
		text_03.innerText = translations.bo.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.bo.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.bo.DText_05;
		text_06.placeholder = translations.bo.DText_06;
		text_07.innerHTML = translations.bo.DText_07;
		text_08.placeholder = translations.bo.DText_08;
		text_09.innerHTML = translations.bo.DText_09;
		text_10.placeholder = translations.bo.DText_10;
		if (text_11) {text_11.innerText = translations.bo.DText_11;}
		if (text_12) {text_12.innerText = translations.bo.DText_12;}
		text_13.innerText = translations.bo.DText_13;
		text_14.innerText = translations.bo.DText_14;
		text_15.placeholder = translations.bo.DText_15;
		text_16.innerText = translations.bo.DText_16;
		text_17.innerText = translations.bo.DText_17;
		text_18.innerText = translations.bo.DText_18;
		text_19.innerText = translations.bo.DText_19;
		text_20.innerText = translations.bo.DText_20;
		text_21.innerText = translations.bo.DText_21;
		text_22.innerText = translations.bo.DText_22;
		text_23.innerText = translations.bo.DText_23;
		text_24.innerText = translations.bo.DText_24;
		text_25.innerText = translations.bo.DText_25;
		text_26.innerText = translations.bo.DText_26;
		text_27.innerText = translations.bo.DText_27;
		text_28.innerText = translations.bo.DText_28;
		text_29.innerText = translations.bo.DText_29;
		text_30.innerText = translations.bo.DText_30;
		text_31.innerText = translations.bo.DText_31;
		text_32.innerText = translations.bo.DText_32;
		text_33.innerText = translations.bo.DText_33;
		text_34.innerText = translations.bo.DText_34;
		text_35.innerText = translations.bo.DText_35;
		text_36.innerText = translations.bo.DText_36;
		text_37.innerText = translations.bo.DText_37;
		text_38.innerText = translations.bo.DText_38;
		text_39.innerText = translations.bo.DText_39;
		text_40.innerText = translations.bo.DText_40;
		text_41.innerText = translations.bo.DText_41;
		text_42.innerText = translations.bo.DText_42;
		text_43.innerText = translations.bo.DText_43;
		text_44.innerText = translations.bo.DText_44;
		text_45.innerText = translations.bo.DText_45;
		text_46.innerText = translations.bo.DText_46;
		text_47.innerText = translations.bo.DText_47;
		text_48.innerText = translations.bo.DText_48;
		text_49.innerText = translations.bo.DText_49;
		text_50.innerText = translations.bo.DText_50;
		text_51.innerText = translations.bo.DText_51;
		text_511.innerText = translations.bo.DText_511;
		text_52.innerText = translations.bo.DText_52;
		text_41a.innerText = translations.bo.DText_41;
		text_42a.innerText = translations.bo.DText_42;
		text_43a.innerText = translations.bo.DText_43;
		text_44a.innerText = translations.bo.DText_44;
		text_45a.innerText = translations.bo.DText_45;
		text_46a.innerText = translations.bo.DText_46;
		text_47a.innerText = translations.bo.DText_47;
		text_48a.innerText = translations.bo.DText_48;
		text_49a.innerText = translations.bo.DText_49;
		text_50a.innerText = translations.bo.DText_50;
		text_51a.innerText = translations.bo.DText_51;
		text_511a.innerText = translations.bo.DText_511;
		male.innerText = translations.bo.male;
		female.innerText = translations.bo.female;
		other.innerText = translations.bo.other;
	}else if(language == "bg"){
		footer_00.innerText = translations.bg.footer00;
		footer_01.innerText = translations.bg.footer01;
		footer_02.innerText = translations.bg.footer02;
		footer_03.innerText = translations.bg.footer03;
		footer_04.innerText = translations.bg.footer04;
		footer_05.innerText = translations.bg.footer05;
		footer_06.innerText = translations.bg.footer06;
		footer_07.innerText = translations.bg.footer07;
		footer_08.innerText = translations.bg.footer08;
		footer_09.innerText = translations.bg.footer09;
		footer_10.innerText = translations.bg.footer10;
		footer_11.innerText = translations.bg.footer11;
		footer_12.innerText = translations.bg.footer12;
		footer_13.innerText = translations.bg.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.bg.footer14;
		request.innerText = translations.bg.request;
		agree.innerText = translations.bg.agree;
		cashbook.innerText = translations.bg.cashbook;
		logout.innerText = translations.bg.logout;
		if (welcome) {welcome.innerText = translations.bg.welcome;}
		text_01.innerText = translations.bg.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.bg.DText_02+'</p>';
		text_03.innerText = translations.bg.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.bg.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.bg.DText_05;
		text_06.placeholder = translations.bg.DText_06;
		text_07.innerHTML = translations.bg.DText_07;
		text_08.placeholder = translations.bg.DText_08;
		text_09.innerHTML = translations.bg.DText_09;
		text_10.placeholder = translations.bg.DText_10;
		if (text_11) {text_11.innerText = translations.bg.DText_11;}
		if (text_12) {text_12.innerText = translations.bg.DText_12;}
		text_13.innerText = translations.bg.DText_13;
		text_14.innerText = translations.bg.DText_14;
		text_15.placeholder = translations.bg.DText_15;
		text_16.innerText = translations.bg.DText_16;
		text_17.innerText = translations.bg.DText_17;
		text_18.innerText = translations.bg.DText_18;
		text_19.innerText = translations.bg.DText_19;
		text_20.innerText = translations.bg.DText_20;
		text_21.innerText = translations.bg.DText_21;
		text_22.innerText = translations.bg.DText_22;
		text_23.innerText = translations.bg.DText_23;
		text_24.innerText = translations.bg.DText_24;
		text_25.innerText = translations.bg.DText_25;
		text_26.innerText = translations.bg.DText_26;
		text_27.innerText = translations.bg.DText_27;
		text_28.innerText = translations.bg.DText_28;
		text_29.innerText = translations.bg.DText_29;
		text_30.innerText = translations.bg.DText_30;
		text_31.innerText = translations.bg.DText_31;
		text_32.innerText = translations.bg.DText_32;
		text_33.innerText = translations.bg.DText_33;
		text_34.innerText = translations.bg.DText_34;
		text_35.innerText = translations.bg.DText_35;
		text_36.innerText = translations.bg.DText_36;
		text_37.innerText = translations.bg.DText_37;
		text_38.innerText = translations.bg.DText_38;
		text_39.innerText = translations.bg.DText_39;
		text_40.innerText = translations.bg.DText_40;
		text_41.innerText = translations.bg.DText_41;
		text_42.innerText = translations.bg.DText_42;
		text_43.innerText = translations.bg.DText_43;
		text_44.innerText = translations.bg.DText_44;
		text_45.innerText = translations.bg.DText_45;
		text_46.innerText = translations.bg.DText_46;
		text_47.innerText = translations.bg.DText_47;
		text_48.innerText = translations.bg.DText_48;
		text_49.innerText = translations.bg.DText_49;
		text_50.innerText = translations.bg.DText_50;
		text_51.innerText = translations.bg.DText_51;
		text_511.innerText = translations.bg.DText_511;
		text_52.innerText = translations.bg.DText_52;
		text_41a.innerText = translations.bg.DText_41;
		text_42a.innerText = translations.bg.DText_42;
		text_43a.innerText = translations.bg.DText_43;
		text_44a.innerText = translations.bg.DText_44;
		text_45a.innerText = translations.bg.DText_45;
		text_46a.innerText = translations.bg.DText_46;
		text_47a.innerText = translations.bg.DText_47;
		text_48a.innerText = translations.bg.DText_48;
		text_49a.innerText = translations.bg.DText_49;
		text_50a.innerText = translations.bg.DText_50;
		text_51a.innerText = translations.bg.DText_51;
		text_511a.innerText = translations.bg.DText_511;
		male.innerText = translations.bg.male;
		female.innerText = translations.bg.female;
		other.innerText = translations.bg.other;
	}else if(language == "ca"){
		footer_00.innerText = translations.ca.footer00;
		footer_01.innerText = translations.ca.footer01;
		footer_02.innerText = translations.ca.footer02;
		footer_03.innerText = translations.ca.footer03;
		footer_04.innerText = translations.ca.footer04;
		footer_05.innerText = translations.ca.footer05;
		footer_06.innerText = translations.ca.footer06;
		footer_07.innerText = translations.ca.footer07;
		footer_08.innerText = translations.ca.footer08;
		footer_09.innerText = translations.ca.footer09;
		footer_10.innerText = translations.ca.footer10;
		footer_11.innerText = translations.ca.footer11;
		footer_12.innerText = translations.ca.footer12;
		footer_13.innerText = translations.ca.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ca.footer14;
		request.innerText = translations.ca.request;
		agree.innerText = translations.ca.agree;
		cashbook.innerText = translations.ca.cashbook;
		logout.innerText = translations.ca.logout;
		if (welcome) {welcome.innerText = translations.ca.welcome;}
		text_01.innerText = translations.ca.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.ca.DText_02+'</p>';
		text_03.innerText = translations.ca.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.ca.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.ca.DText_05;
		text_06.placeholder = translations.ca.DText_06;
		text_07.innerHTML = translations.ca.DText_07;
		text_08.placeholder = translations.ca.DText_08;
		text_09.innerHTML = translations.ca.DText_09;
		text_10.placeholder = translations.ca.DText_10;
		if (text_11) {text_11.innerText = translations.ca.DText_11;}
		if (text_12) {text_12.innerText = translations.ca.DText_12;}
		text_13.innerText = translations.ca.DText_13;
		text_14.innerText = translations.ca.DText_14;
		text_15.placeholder = translations.ca.DText_15;
		text_16.innerText = translations.ca.DText_16;
		text_17.innerText = translations.ca.DText_17;
		text_18.innerText = translations.ca.DText_18;
		text_19.innerText = translations.ca.DText_19;
		text_20.innerText = translations.ca.DText_20;
		text_21.innerText = translations.ca.DText_21;
		text_22.innerText = translations.ca.DText_22;
		text_23.innerText = translations.ca.DText_23;
		text_24.innerText = translations.ca.DText_24;
		text_25.innerText = translations.ca.DText_25;
		text_26.innerText = translations.ca.DText_26;
		text_27.innerText = translations.ca.DText_27;
		text_28.innerText = translations.ca.DText_28;
		text_29.innerText = translations.ca.DText_29;
		text_30.innerText = translations.ca.DText_30;
		text_31.innerText = translations.ca.DText_31;
		text_32.innerText = translations.ca.DText_32;
		text_33.innerText = translations.ca.DText_33;
		text_34.innerText = translations.ca.DText_34;
		text_35.innerText = translations.ca.DText_35;
		text_36.innerText = translations.ca.DText_36;
		text_37.innerText = translations.ca.DText_37;
		text_38.innerText = translations.ca.DText_38;
		text_39.innerText = translations.ca.DText_39;
		text_40.innerText = translations.ca.DText_40;
		text_41.innerText = translations.ca.DText_41;
		text_42.innerText = translations.ca.DText_42;
		text_43.innerText = translations.ca.DText_43;
		text_44.innerText = translations.ca.DText_44;
		text_45.innerText = translations.ca.DText_45;
		text_46.innerText = translations.ca.DText_46;
		text_47.innerText = translations.ca.DText_47;
		text_48.innerText = translations.ca.DText_48;
		text_49.innerText = translations.ca.DText_49;
		text_50.innerText = translations.ca.DText_50;
		text_51.innerText = translations.ca.DText_51;
		text_511.innerText = translations.ca.DText_511;
		text_52.innerText = translations.ca.DText_52;
		text_41a.innerText = translations.ca.DText_41;
		text_42a.innerText = translations.ca.DText_42;
		text_43a.innerText = translations.ca.DText_43;
		text_44a.innerText = translations.ca.DText_44;
		text_45a.innerText = translations.ca.DText_45;
		text_46a.innerText = translations.ca.DText_46;
		text_47a.innerText = translations.ca.DText_47;
		text_48a.innerText = translations.ca.DText_48;
		text_49a.innerText = translations.ca.DText_49;
		text_50a.innerText = translations.ca.DText_50;
		text_51a.innerText = translations.ca.DText_51;
		text_511a.innerText = translations.ca.DText_511;
		male.innerText = translations.ca.male;
		female.innerText = translations.ca.female;
		other.innerText = translations.ca.other;
	}else if(language == "ch"){
		footer_00.innerText = translations.ch.footer00;
		footer_01.innerText = translations.ch.footer01;
		footer_02.innerText = translations.ch.footer02;
		footer_03.innerText = translations.ch.footer03;
		footer_04.innerText = translations.ch.footer04;
		footer_05.innerText = translations.ch.footer05;
		footer_06.innerText = translations.ch.footer06;
		footer_07.innerText = translations.ch.footer07;
		footer_08.innerText = translations.ch.footer08;
		footer_09.innerText = translations.ch.footer09;
		footer_10.innerText = translations.ch.footer10;
		footer_11.innerText = translations.ch.footer11;
		footer_12.innerText = translations.ch.footer12;
		footer_13.innerText = translations.ch.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ch.footer14;
		request.innerText = translations.ch.request;
		agree.innerText = translations.ch.agree;
		cashbook.innerText = translations.ch.cashbook;
		logout.innerText = translations.ch.logout;
		if (welcome) {welcome.innerText = translations.ch.welcome;}
		text_01.innerText = translations.ch.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.ch.DText_02+'</p>';
		text_03.innerText = translations.ch.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.ch.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.ch.DText_05;
		text_06.placeholder = translations.ch.DText_06;
		text_07.innerHTML = translations.ch.DText_07;
		text_08.placeholder = translations.ch.DText_08;
		text_09.innerHTML = translations.ch.DText_09;
		text_10.placeholder = translations.ch.DText_10;
		if (text_11) {text_11.innerText = translations.ch.DText_11;}
		if (text_12) {text_12.innerText = translations.ch.DText_12;}
		text_13.innerText = translations.ch.DText_13;
		text_14.innerText = translations.ch.DText_14;
		text_15.placeholder = translations.ch.DText_15;
		text_16.innerText = translations.ch.DText_16;
		text_17.innerText = translations.ch.DText_17;
		text_18.innerText = translations.ch.DText_18;
		text_19.innerText = translations.ch.DText_19;
		text_20.innerText = translations.ch.DText_20;
		text_21.innerText = translations.ch.DText_21;
		text_22.innerText = translations.ch.DText_22;
		text_23.innerText = translations.ch.DText_23;
		text_24.innerText = translations.ch.DText_24;
		text_25.innerText = translations.ch.DText_25;
		text_26.innerText = translations.ch.DText_26;
		text_27.innerText = translations.ch.DText_27;
		text_28.innerText = translations.ch.DText_28;
		text_29.innerText = translations.ch.DText_29;
		text_30.innerText = translations.ch.DText_30;
		text_31.innerText = translations.ch.DText_31;
		text_32.innerText = translations.ch.DText_32;
		text_33.innerText = translations.ch.DText_33;
		text_34.innerText = translations.ch.DText_34;
		text_35.innerText = translations.ch.DText_35;
		text_36.innerText = translations.ch.DText_36;
		text_37.innerText = translations.ch.DText_37;
		text_38.innerText = translations.ch.DText_38;
		text_39.innerText = translations.ch.DText_39;
		text_40.innerText = translations.ch.DText_40;
		text_41.innerText = translations.ch.DText_41;
		text_42.innerText = translations.ch.DText_42;
		text_43.innerText = translations.ch.DText_43;
		text_44.innerText = translations.ch.DText_44;
		text_45.innerText = translations.ch.DText_45;
		text_46.innerText = translations.ch.DText_46;
		text_47.innerText = translations.ch.DText_47;
		text_48.innerText = translations.ch.DText_48;
		text_49.innerText = translations.ch.DText_49;
		text_50.innerText = translations.ch.DText_50;
		text_51.innerText = translations.ch.DText_51;
		text_511.innerText = translations.ch.DText_511;
		text_52.innerText = translations.ch.DText_52;
		text_41a.innerText = translations.ch.DText_41;
		text_42a.innerText = translations.ch.DText_42;
		text_43a.innerText = translations.ch.DText_43;
		text_44a.innerText = translations.ch.DText_44;
		text_45a.innerText = translations.ch.DText_45;
		text_46a.innerText = translations.ch.DText_46;
		text_47a.innerText = translations.ch.DText_47;
		text_48a.innerText = translations.ch.DText_48;
		text_49a.innerText = translations.ch.DText_49;
		text_50a.innerText = translations.ch.DText_50;
		text_51a.innerText = translations.ch.DText_51;
		text_511a.innerText = translations.ch.DText_511;
		male.innerText = translations.ch.male;
		female.innerText = translations.ch.female;
		other.innerText = translations.ch.other;
	}else if(language == "cz"){
		footer_00.innerText = translations.cz.footer00;
		footer_01.innerText = translations.cz.footer01;
		footer_02.innerText = translations.cz.footer02;
		footer_03.innerText = translations.cz.footer03;
		footer_04.innerText = translations.cz.footer04;
		footer_05.innerText = translations.cz.footer05;
		footer_06.innerText = translations.cz.footer06;
		footer_07.innerText = translations.cz.footer07;
		footer_08.innerText = translations.cz.footer08;
		footer_09.innerText = translations.cz.footer09;
		footer_10.innerText = translations.cz.footer10;
		footer_11.innerText = translations.cz.footer11;
		footer_12.innerText = translations.cz.footer12;
		footer_13.innerText = translations.cz.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.cz.footer14;
		request.innerText = translations.cz.request;
		agree.innerText = translations.cz.agree;
		cashbook.innerText = translations.cz.cashbook;
		logout.innerText = translations.cz.logout;
		if (welcome) {welcome.innerText = translations.cz.welcome;}
		text_01.innerText = translations.cz.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.cz.DText_02+'</p>';
		text_03.innerText = translations.cz.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.cz.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.cz.DText_05;
		text_06.placeholder = translations.cz.DText_06;
		text_07.innerHTML = translations.cz.DText_07;
		text_08.placeholder = translations.cz.DText_08;
		text_09.innerHTML = translations.cz.DText_09;
		text_10.placeholder = translations.cz.DText_10;
		if (text_11) {text_11.innerText = translations.cz.DText_11;}
		if (text_12) {text_12.innerText = translations.cz.DText_12;}
		text_13.innerText = translations.cz.DText_13;
		text_14.innerText = translations.cz.DText_14;
		text_15.placeholder = translations.cz.DText_15;
		text_16.innerText = translations.cz.DText_16;
		text_17.innerText = translations.cz.DText_17;
		text_18.innerText = translations.cz.DText_18;
		text_19.innerText = translations.cz.DText_19;
		text_20.innerText = translations.cz.DText_20;
		text_21.innerText = translations.cz.DText_21;
		text_22.innerText = translations.cz.DText_22;
		text_23.innerText = translations.cz.DText_23;
		text_24.innerText = translations.cz.DText_24;
		text_25.innerText = translations.cz.DText_25;
		text_26.innerText = translations.cz.DText_26;
		text_27.innerText = translations.cz.DText_27;
		text_28.innerText = translations.cz.DText_28;
		text_29.innerText = translations.cz.DText_29;
		text_30.innerText = translations.cz.DText_30;
		text_31.innerText = translations.cz.DText_31;
		text_32.innerText = translations.cz.DText_32;
		text_33.innerText = translations.cz.DText_33;
		text_34.innerText = translations.cz.DText_34;
		text_35.innerText = translations.cz.DText_35;
		text_36.innerText = translations.cz.DText_36;
		text_37.innerText = translations.cz.DText_37;
		text_38.innerText = translations.cz.DText_38;
		text_39.innerText = translations.cz.DText_39;
		text_40.innerText = translations.cz.DText_40;
		text_41.innerText = translations.cz.DText_41;
		text_42.innerText = translations.cz.DText_42;
		text_43.innerText = translations.cz.DText_43;
		text_44.innerText = translations.cz.DText_44;
		text_45.innerText = translations.cz.DText_45;
		text_46.innerText = translations.cz.DText_46;
		text_47.innerText = translations.cz.DText_47;
		text_48.innerText = translations.cz.DText_48;
		text_49.innerText = translations.cz.DText_49;
		text_50.innerText = translations.cz.DText_50;
		text_51.innerText = translations.cz.DText_51;
		text_511.innerText = translations.cz.DText_511;
		text_52.innerText = translations.cz.DText_52;
		text_41a.innerText = translations.cz.DText_41;
		text_42a.innerText = translations.cz.DText_42;
		text_43a.innerText = translations.cz.DText_43;
		text_44a.innerText = translations.cz.DText_44;
		text_45a.innerText = translations.cz.DText_45;
		text_46a.innerText = translations.cz.DText_46;
		text_47a.innerText = translations.cz.DText_47;
		text_48a.innerText = translations.cz.DText_48;
		text_49a.innerText = translations.cz.DText_49;
		text_50a.innerText = translations.cz.DText_50;
		text_51a.innerText = translations.cz.DText_51;
		text_511a.innerText = translations.cz.DText_511;
		male.innerText = translations.cz.male;
		female.innerText = translations.cz.female;
		other.innerText = translations.cz.other;
	}else if(language == "se"){
		footer_00.innerText = translations.se.footer00;
		footer_01.innerText = translations.se.footer01;
		footer_02.innerText = translations.se.footer02;
		footer_03.innerText = translations.se.footer03;
		footer_04.innerText = translations.se.footer04;
		footer_05.innerText = translations.se.footer05;
		footer_06.innerText = translations.se.footer06;
		footer_07.innerText = translations.se.footer07;
		footer_08.innerText = translations.se.footer08;
		footer_09.innerText = translations.se.footer09;
		footer_10.innerText = translations.se.footer10;
		footer_11.innerText = translations.se.footer11;
		footer_12.innerText = translations.se.footer12;
		footer_13.innerText = translations.se.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.se.footer14;
		request.innerText = translations.se.request;
		agree.innerText = translations.se.agree;
		cashbook.innerText = translations.se.cashbook;
		logout.innerText = translations.se.logout;
		if (welcome) {welcome.innerText = translations.se.welcome;}
		text_01.innerText = translations.se.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.se.DText_02+'</p>';
		text_03.innerText = translations.se.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.se.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.se.DText_05;
		text_06.placeholder = translations.se.DText_06;
		text_07.innerHTML = translations.se.DText_07;
		text_08.placeholder = translations.se.DText_08;
		text_09.innerHTML = translations.se.DText_09;
		text_10.placeholder = translations.se.DText_10;
		if (text_11) {text_11.innerText = translations.se.DText_11;}
		if (text_12) {text_12.innerText = translations.se.DText_12;}
		text_13.innerText = translations.se.DText_13;
		text_14.innerText = translations.se.DText_14;
		text_15.placeholder = translations.se.DText_15;
		text_16.innerText = translations.se.DText_16;
		text_17.innerText = translations.se.DText_17;
		text_18.innerText = translations.se.DText_18;
		text_19.innerText = translations.se.DText_19;
		text_20.innerText = translations.se.DText_20;
		text_21.innerText = translations.se.DText_21;
		text_22.innerText = translations.se.DText_22;
		text_23.innerText = translations.se.DText_23;
		text_24.innerText = translations.se.DText_24;
		text_25.innerText = translations.se.DText_25;
		text_26.innerText = translations.se.DText_26;
		text_27.innerText = translations.se.DText_27;
		text_28.innerText = translations.se.DText_28;
		text_29.innerText = translations.se.DText_29;
		text_30.innerText = translations.se.DText_30;
		text_31.innerText = translations.se.DText_31;
		text_32.innerText = translations.se.DText_32;
		text_33.innerText = translations.se.DText_33;
		text_34.innerText = translations.se.DText_34;
		text_35.innerText = translations.se.DText_35;
		text_36.innerText = translations.se.DText_36;
		text_37.innerText = translations.se.DText_37;
		text_38.innerText = translations.se.DText_38;
		text_39.innerText = translations.se.DText_39;
		text_40.innerText = translations.se.DText_40;
		text_41.innerText = translations.se.DText_41;
		text_42.innerText = translations.se.DText_42;
		text_43.innerText = translations.se.DText_43;
		text_44.innerText = translations.se.DText_44;
		text_45.innerText = translations.se.DText_45;
		text_46.innerText = translations.se.DText_46;
		text_47.innerText = translations.se.DText_47;
		text_48.innerText = translations.se.DText_48;
		text_49.innerText = translations.se.DText_49;
		text_50.innerText = translations.se.DText_50;
		text_51.innerText = translations.se.DText_51;
		text_511.innerText = translations.se.DText_511;
		text_52.innerText = translations.se.DText_52;
		text_41a.innerText = translations.se.DText_41;
		text_42a.innerText = translations.se.DText_42;
		text_43a.innerText = translations.se.DText_43;
		text_44a.innerText = translations.se.DText_44;
		text_45a.innerText = translations.se.DText_45;
		text_46a.innerText = translations.se.DText_46;
		text_47a.innerText = translations.se.DText_47;
		text_48a.innerText = translations.se.DText_48;
		text_49a.innerText = translations.se.DText_49;
		text_50a.innerText = translations.se.DText_50;
		text_51a.innerText = translations.se.DText_51;
		text_511a.innerText = translations.se.DText_511;
		male.innerText = translations.se.male;
		female.innerText = translations.se.female;
		other.innerText = translations.se.other;
	}else if(language == "da"){
		footer_00.innerText = translations.da.footer00;
		footer_01.innerText = translations.da.footer01;
		footer_02.innerText = translations.da.footer02;
		footer_03.innerText = translations.da.footer03;
		footer_04.innerText = translations.da.footer04;
		footer_05.innerText = translations.da.footer05;
		footer_06.innerText = translations.da.footer06;
		footer_07.innerText = translations.da.footer07;
		footer_08.innerText = translations.da.footer08;
		footer_09.innerText = translations.da.footer09;
		footer_10.innerText = translations.da.footer10;
		footer_11.innerText = translations.da.footer11;
		footer_12.innerText = translations.da.footer12;
		footer_13.innerText = translations.da.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.da.footer14;
		request.innerText = translations.da.request;
		agree.innerText = translations.da.agree;
		cashbook.innerText = translations.da.cashbook;
		logout.innerText = translations.da.logout;
		if (welcome) {welcome.innerText = translations.da.welcome;}
		text_01.innerText = translations.da.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.da.DText_02+'</p>';
		text_03.innerText = translations.da.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.da.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.da.DText_05;
		text_06.placeholder = translations.da.DText_06;
		text_07.innerHTML = translations.da.DText_07;
		text_08.placeholder = translations.da.DText_08;
		text_09.innerHTML = translations.da.DText_09;
		text_10.placeholder = translations.da.DText_10;
		if (text_11) {text_11.innerText = translations.da.DText_11;}
		if (text_12) {text_12.innerText = translations.da.DText_12;}
		text_13.innerText = translations.da.DText_13;
		text_14.innerText = translations.da.DText_14;
		text_15.placeholder = translations.da.DText_15;
		text_16.innerText = translations.da.DText_16;
		text_17.innerText = translations.da.DText_17;
		text_18.innerText = translations.da.DText_18;
		text_19.innerText = translations.da.DText_19;
		text_20.innerText = translations.da.DText_20;
		text_21.innerText = translations.da.DText_21;
		text_22.innerText = translations.da.DText_22;
		text_23.innerText = translations.da.DText_23;
		text_24.innerText = translations.da.DText_24;
		text_25.innerText = translations.da.DText_25;
		text_26.innerText = translations.da.DText_26;
		text_27.innerText = translations.da.DText_27;
		text_28.innerText = translations.da.DText_28;
		text_29.innerText = translations.da.DText_29;
		text_30.innerText = translations.da.DText_30;
		text_31.innerText = translations.da.DText_31;
		text_32.innerText = translations.da.DText_32;
		text_33.innerText = translations.da.DText_33;
		text_34.innerText = translations.da.DText_34;
		text_35.innerText = translations.da.DText_35;
		text_36.innerText = translations.da.DText_36;
		text_37.innerText = translations.da.DText_37;
		text_38.innerText = translations.da.DText_38;
		text_39.innerText = translations.da.DText_39;
		text_40.innerText = translations.da.DText_40;
		text_41.innerText = translations.da.DText_41;
		text_42.innerText = translations.da.DText_42;
		text_43.innerText = translations.da.DText_43;
		text_44.innerText = translations.da.DText_44;
		text_45.innerText = translations.da.DText_45;
		text_46.innerText = translations.da.DText_46;
		text_47.innerText = translations.da.DText_47;
		text_48.innerText = translations.da.DText_48;
		text_49.innerText = translations.da.DText_49;
		text_50.innerText = translations.da.DText_50;
		text_51.innerText = translations.da.DText_51;
		text_511.innerText = translations.da.DText_511;
		text_52.innerText = translations.da.DText_52;
		text_41a.innerText = translations.da.DText_41;
		text_42a.innerText = translations.da.DText_42;
		text_43a.innerText = translations.da.DText_43;
		text_44a.innerText = translations.da.DText_44;
		text_45a.innerText = translations.da.DText_45;
		text_46a.innerText = translations.da.DText_46;
		text_47a.innerText = translations.da.DText_47;
		text_48a.innerText = translations.da.DText_48;
		text_49a.innerText = translations.da.DText_49;
		text_50a.innerText = translations.da.DText_50;
		text_51a.innerText = translations.da.DText_51;
		text_511a.innerText = translations.da.DText_511;
		male.innerText = translations.da.male;
		female.innerText = translations.da.female;
		other.innerText = translations.da.other;
	}else if(language == "de"){
		footer_00.innerText = translations.de.footer00;
		footer_01.innerText = translations.de.footer01;
		footer_02.innerText = translations.de.footer02;
		footer_03.innerText = translations.de.footer03;
		footer_04.innerText = translations.de.footer04;
		footer_05.innerText = translations.de.footer05;
		footer_06.innerText = translations.de.footer06;
		footer_07.innerText = translations.de.footer07;
		footer_08.innerText = translations.de.footer08;
		footer_09.innerText = translations.de.footer09;
		footer_10.innerText = translations.de.footer10;
		footer_11.innerText = translations.de.footer11;
		footer_12.innerText = translations.de.footer12;
		footer_13.innerText = translations.de.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.de.footer14;
		request.innerText = translations.de.request;
		agree.innerText = translations.de.agree;
		cashbook.innerText = translations.de.cashbook;
		logout.innerText = translations.de.logout;
		if (welcome) {welcome.innerText = translations.de.welcome;}
		text_01.innerText = translations.de.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.de.DText_02+'</p>';
		text_03.innerText = translations.de.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.de.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.de.DText_05;
		text_06.placeholder = translations.de.DText_06;
		text_07.innerHTML = translations.de.DText_07;
		text_08.placeholder = translations.de.DText_08;
		text_09.innerHTML = translations.de.DText_09;
		text_10.placeholder = translations.de.DText_10;
		if (text_11) {text_11.innerText = translations.de.DText_11;}
		if (text_12) {text_12.innerText = translations.de.DText_12;}
		text_13.innerText = translations.de.DText_13;
		text_14.innerText = translations.de.DText_14;
		text_15.placeholder = translations.de.DText_15;
		text_16.innerText = translations.de.DText_16;
		text_17.innerText = translations.de.DText_17;
		text_18.innerText = translations.de.DText_18;
		text_19.innerText = translations.de.DText_19;
		text_20.innerText = translations.de.DText_20;
		text_21.innerText = translations.de.DText_21;
		text_22.innerText = translations.de.DText_22;
		text_23.innerText = translations.de.DText_23;
		text_24.innerText = translations.de.DText_24;
		text_25.innerText = translations.de.DText_25;
		text_26.innerText = translations.de.DText_26;
		text_27.innerText = translations.de.DText_27;
		text_28.innerText = translations.de.DText_28;
		text_29.innerText = translations.de.DText_29;
		text_30.innerText = translations.de.DText_30;
		text_31.innerText = translations.de.DText_31;
		text_32.innerText = translations.de.DText_32;
		text_33.innerText = translations.de.DText_33;
		text_34.innerText = translations.de.DText_34;
		text_35.innerText = translations.de.DText_35;
		text_36.innerText = translations.de.DText_36;
		text_37.innerText = translations.de.DText_37;
		text_38.innerText = translations.de.DText_38;
		text_39.innerText = translations.de.DText_39;
		text_40.innerText = translations.de.DText_40;
		text_41.innerText = translations.de.DText_41;
		text_42.innerText = translations.de.DText_42;
		text_43.innerText = translations.de.DText_43;
		text_44.innerText = translations.de.DText_44;
		text_45.innerText = translations.de.DText_45;
		text_46.innerText = translations.de.DText_46;
		text_47.innerText = translations.de.DText_47;
		text_48.innerText = translations.de.DText_48;
		text_49.innerText = translations.de.DText_49;
		text_50.innerText = translations.de.DText_50;
		text_51.innerText = translations.de.DText_51;
		text_511.innerText = translations.de.DText_511;
		text_52.innerText = translations.de.DText_52;
		text_41a.innerText = translations.de.DText_41;
		text_42a.innerText = translations.de.DText_42;
		text_43a.innerText = translations.de.DText_43;
		text_44a.innerText = translations.de.DText_44;
		text_45a.innerText = translations.de.DText_45;
		text_46a.innerText = translations.de.DText_46;
		text_47a.innerText = translations.de.DText_47;
		text_48a.innerText = translations.de.DText_48;
		text_49a.innerText = translations.de.DText_49;
		text_50a.innerText = translations.de.DText_50;
		text_51a.innerText = translations.de.DText_51;
		text_511a.innerText = translations.de.DText_511;
		male.innerText = translations.de.male;
		female.innerText = translations.de.female;
		other.innerText = translations.de.other;
	}else if(language == "en"){
		footer_00.innerText = translations.en.footer00;
		footer_01.innerText = translations.en.footer01;
		footer_02.innerText = translations.en.footer02;
		footer_03.innerText = translations.en.footer03;
		footer_04.innerText = translations.en.footer04;
		footer_05.innerText = translations.en.footer05;
		footer_06.innerText = translations.en.footer06;
		footer_07.innerText = translations.en.footer07;
		footer_08.innerText = translations.en.footer08;
		footer_09.innerText = translations.en.footer09;
		footer_10.innerText = translations.en.footer10;
		footer_11.innerText = translations.en.footer11;
		footer_12.innerText = translations.en.footer12;
		footer_13.innerText = translations.en.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.en.footer14;
		request.innerText = translations.en.request;
		agree.innerText = translations.en.agree;
		cashbook.innerText = translations.en.cashbook;
		logout.innerText = translations.en.logout;
		if (welcome) {welcome.innerText = translations.en.welcome;}
		text_01.innerText = translations.en.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.en.DText_02+'</p>';
		text_03.innerText = translations.en.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.en.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.en.DText_05;
		text_06.placeholder = translations.en.DText_06;
		text_07.innerHTML = translations.en.DText_07;
		text_08.placeholder = translations.en.DText_08;
		text_09.innerHTML = translations.en.DText_09;
		text_10.placeholder = translations.en.DText_10;
		if (text_11) {text_11.innerText = translations.en.DText_11;}
		if (text_12) {text_12.innerText = translations.en.DText_12;}
		text_13.innerText = translations.en.DText_13;
		text_14.innerText = translations.en.DText_14;
		text_15.placeholder = translations.en.DText_15;
		text_16.innerText = translations.en.DText_16;
		text_17.innerText = translations.en.DText_17;
		text_18.innerText = translations.en.DText_18;
		text_19.innerText = translations.en.DText_19;
		text_20.innerText = translations.en.DText_20;
		text_21.innerText = translations.en.DText_21;
		text_22.innerText = translations.en.DText_22;
		text_23.innerText = translations.en.DText_23;
		text_24.innerText = translations.en.DText_24;
		text_25.innerText = translations.en.DText_25;
		text_26.innerText = translations.en.DText_26;
		text_27.innerText = translations.en.DText_27;
		text_28.innerText = translations.en.DText_28;
		text_29.innerText = translations.en.DText_29;
		text_30.innerText = translations.en.DText_30;
		text_31.innerText = translations.en.DText_31;
		text_32.innerText = translations.en.DText_32;
		text_33.innerText = translations.en.DText_33;
		text_34.innerText = translations.en.DText_34;
		text_35.innerText = translations.en.DText_35;
		text_36.innerText = translations.en.DText_36;
		text_37.innerText = translations.en.DText_37;
		text_38.innerText = translations.en.DText_38;
		text_39.innerText = translations.en.DText_39;
		text_40.innerText = translations.en.DText_40;
		text_41.innerText = translations.en.DText_41;
		text_42.innerText = translations.en.DText_42;
		text_43.innerText = translations.en.DText_43;
		text_44.innerText = translations.en.DText_44;
		text_45.innerText = translations.en.DText_45;
		text_46.innerText = translations.en.DText_46;
		text_47.innerText = translations.en.DText_47;
		text_48.innerText = translations.en.DText_48;
		text_49.innerText = translations.en.DText_49;
		text_50.innerText = translations.en.DText_50;
		text_51.innerText = translations.en.DText_51;
		text_511.innerText = translations.en.DText_511;
		text_52.innerText = translations.en.DText_52;
		text_41a.innerText = translations.en.DText_41;
		text_42a.innerText = translations.en.DText_42;
		text_43a.innerText = translations.en.DText_43;
		text_44a.innerText = translations.en.DText_44;
		text_45a.innerText = translations.en.DText_45;
		text_46a.innerText = translations.en.DText_46;
		text_47a.innerText = translations.en.DText_47;
		text_48a.innerText = translations.en.DText_48;
		text_49a.innerText = translations.en.DText_49;
		text_50a.innerText = translations.en.DText_50;
		text_51a.innerText = translations.en.DText_51;
		text_511a.innerText = translations.en.DText_511;
		male.innerText = translations.en.male;
		female.innerText = translations.en.female;
		other.innerText = translations.en.other;
	}else if(language == "es"){
		footer_00.innerText = translations.es.footer00;
		footer_01.innerText = translations.es.footer01;
		footer_02.innerText = translations.es.footer02;
		footer_03.innerText = translations.es.footer03;
		footer_04.innerText = translations.es.footer04;
		footer_05.innerText = translations.es.footer05;
		footer_06.innerText = translations.es.footer06;
		footer_07.innerText = translations.es.footer07;
		footer_08.innerText = translations.es.footer08;
		footer_09.innerText = translations.es.footer09;
		footer_10.innerText = translations.es.footer10;
		footer_11.innerText = translations.es.footer11;
		footer_12.innerText = translations.es.footer12;
		footer_13.innerText = translations.es.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.es.footer14;
		request.innerText = translations.es.request;
		agree.innerText = translations.es.agree;
		cashbook.innerText = translations.es.cashbook;
		logout.innerText = translations.es.logout;
		if (welcome) {welcome.innerText = translations.es.welcome;}
		text_01.innerText = translations.es.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.es.DText_02+'</p>';
		text_03.innerText = translations.es.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.es.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.es.DText_05;
		text_06.placeholder = translations.es.DText_06;
		text_07.innerHTML = translations.es.DText_07;
		text_08.placeholder = translations.es.DText_08;
		text_09.innerHTML = translations.es.DText_09;
		text_10.placeholder = translations.es.DText_10;
		if (text_11) {text_11.innerText = translations.es.DText_11;}
		if (text_12) {text_12.innerText = translations.es.DText_12;}
		text_13.innerText = translations.es.DText_13;
		text_14.innerText = translations.es.DText_14;
		text_15.placeholder = translations.es.DText_15;
		text_16.innerText = translations.es.DText_16;
		text_17.innerText = translations.es.DText_17;
		text_18.innerText = translations.es.DText_18;
		text_19.innerText = translations.es.DText_19;
		text_20.innerText = translations.es.DText_20;
		text_21.innerText = translations.es.DText_21;
		text_22.innerText = translations.es.DText_22;
		text_23.innerText = translations.es.DText_23;
		text_24.innerText = translations.es.DText_24;
		text_25.innerText = translations.es.DText_25;
		text_26.innerText = translations.es.DText_26;
		text_27.innerText = translations.es.DText_27;
		text_28.innerText = translations.es.DText_28;
		text_29.innerText = translations.es.DText_29;
		text_30.innerText = translations.es.DText_30;
		text_31.innerText = translations.es.DText_31;
		text_32.innerText = translations.es.DText_32;
		text_33.innerText = translations.es.DText_33;
		text_34.innerText = translations.es.DText_34;
		text_35.innerText = translations.es.DText_35;
		text_36.innerText = translations.es.DText_36;
		text_37.innerText = translations.es.DText_37;
		text_38.innerText = translations.es.DText_38;
		text_39.innerText = translations.es.DText_39;
		text_40.innerText = translations.es.DText_40;
		text_41.innerText = translations.es.DText_41;
		text_42.innerText = translations.es.DText_42;
		text_43.innerText = translations.es.DText_43;
		text_44.innerText = translations.es.DText_44;
		text_45.innerText = translations.es.DText_45;
		text_46.innerText = translations.es.DText_46;
		text_47.innerText = translations.es.DText_47;
		text_48.innerText = translations.es.DText_48;
		text_49.innerText = translations.es.DText_49;
		text_50.innerText = translations.es.DText_50;
		text_51.innerText = translations.es.DText_51;
		text_511.innerText = translations.es.DText_511;
		text_52.innerText = translations.es.DText_52;
		text_41a.innerText = translations.es.DText_41;
		text_42a.innerText = translations.es.DText_42;
		text_43a.innerText = translations.es.DText_43;
		text_44a.innerText = translations.es.DText_44;
		text_45a.innerText = translations.es.DText_45;
		text_46a.innerText = translations.es.DText_46;
		text_47a.innerText = translations.es.DText_47;
		text_48a.innerText = translations.es.DText_48;
		text_49a.innerText = translations.es.DText_49;
		text_50a.innerText = translations.es.DText_50;
		text_51a.innerText = translations.es.DText_51;
		text_511a.innerText = translations.es.DText_511;
		male.innerText = translations.es.male;
		female.innerText = translations.es.female;
		other.innerText = translations.es.other;
	}else if(language == "fp"){
		footer_00.innerText = translations.fp.footer00;
		footer_01.innerText = translations.fp.footer01;
		footer_02.innerText = translations.fp.footer02;
		footer_03.innerText = translations.fp.footer03;
		footer_04.innerText = translations.fp.footer04;
		footer_05.innerText = translations.fp.footer05;
		footer_06.innerText = translations.fp.footer06;
		footer_07.innerText = translations.fp.footer07;
		footer_08.innerText = translations.fp.footer08;
		footer_09.innerText = translations.fp.footer09;
		footer_10.innerText = translations.fp.footer10;
		footer_11.innerText = translations.fp.footer11;
		footer_12.innerText = translations.fp.footer12;
		footer_13.innerText = translations.fp.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.fp.footer14;
		request.innerText = translations.fp.request;
		agree.innerText = translations.fp.agree;
		cashbook.innerText = translations.fp.cashbook;
		logout.innerText = translations.fp.logout;
		if (welcome) {welcome.innerText = translations.fp.welcome;}
		text_01.innerText = translations.fp.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.fp.DText_02+'</p>';
		text_03.innerText = translations.fp.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.fp.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.fp.DText_05;
		text_06.placeholder = translations.fp.DText_06;
		text_07.innerHTML = translations.fp.DText_07;
		text_08.placeholder = translations.fp.DText_08;
		text_09.innerHTML = translations.fp.DText_09;
		text_10.placeholder = translations.fp.DText_10;
		if (text_11) {text_11.innerText = translations.fp.DText_11;}
		if (text_12) {text_12.innerText = translations.fp.DText_12;}
		text_13.innerText = translations.fp.DText_13;
		text_14.innerText = translations.fp.DText_14;
		text_15.placeholder = translations.fp.DText_15;
		text_16.innerText = translations.fp.DText_16;
		text_17.innerText = translations.fp.DText_17;
		text_18.innerText = translations.fp.DText_18;
		text_19.innerText = translations.fp.DText_19;
		text_20.innerText = translations.fp.DText_20;
		text_21.innerText = translations.fp.DText_21;
		text_22.innerText = translations.fp.DText_22;
		text_23.innerText = translations.fp.DText_23;
		text_24.innerText = translations.fp.DText_24;
		text_25.innerText = translations.fp.DText_25;
		text_26.innerText = translations.fp.DText_26;
		text_27.innerText = translations.fp.DText_27;
		text_28.innerText = translations.fp.DText_28;
		text_29.innerText = translations.fp.DText_29;
		text_30.innerText = translations.fp.DText_30;
		text_31.innerText = translations.fp.DText_31;
		text_32.innerText = translations.fp.DText_32;
		text_33.innerText = translations.fp.DText_33;
		text_34.innerText = translations.fp.DText_34;
		text_35.innerText = translations.fp.DText_35;
		text_36.innerText = translations.fp.DText_36;
		text_37.innerText = translations.fp.DText_37;
		text_38.innerText = translations.fp.DText_38;
		text_39.innerText = translations.fp.DText_39;
		text_40.innerText = translations.fp.DText_40;
		text_41.innerText = translations.fp.DText_41;
		text_42.innerText = translations.fp.DText_42;
		text_43.innerText = translations.fp.DText_43;
		text_44.innerText = translations.fp.DText_44;
		text_45.innerText = translations.fp.DText_45;
		text_46.innerText = translations.fp.DText_46;
		text_47.innerText = translations.fp.DText_47;
		text_48.innerText = translations.fp.DText_48;
		text_49.innerText = translations.fp.DText_49;
		text_50.innerText = translations.fp.DText_50;
		text_51.innerText = translations.fp.DText_51;
		text_511.innerText = translations.fp.DText_511;
		text_52.innerText = translations.fp.DText_52;
		text_41a.innerText = translations.fp.DText_41;
		text_42a.innerText = translations.fp.DText_42;
		text_43a.innerText = translations.fp.DText_43;
		text_44a.innerText = translations.fp.DText_44;
		text_45a.innerText = translations.fp.DText_45;
		text_46a.innerText = translations.fp.DText_46;
		text_47a.innerText = translations.fp.DText_47;
		text_48a.innerText = translations.fp.DText_48;
		text_49a.innerText = translations.fp.DText_49;
		text_50a.innerText = translations.fp.DText_50;
		text_51a.innerText = translations.fp.DText_51;
		text_511a.innerText = translations.fp.DText_511;
		male.innerText = translations.fp.male;
		female.innerText = translations.fp.female;
		other.innerText = translations.fp.other;
	}else if(language == "fr"){
		footer_00.innerText = translations.fr.footer00;
		footer_01.innerText = translations.fr.footer01;
		footer_02.innerText = translations.fr.footer02;
		footer_03.innerText = translations.fr.footer03;
		footer_04.innerText = translations.fr.footer04;
		footer_05.innerText = translations.fr.footer05;
		footer_06.innerText = translations.fr.footer06;
		footer_07.innerText = translations.fr.footer07;
		footer_08.innerText = translations.fr.footer08;
		footer_09.innerText = translations.fr.footer09;
		footer_10.innerText = translations.fr.footer10;
		footer_11.innerText = translations.fr.footer11;
		footer_12.innerText = translations.fr.footer12;
		footer_13.innerText = translations.fr.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.fr.footer14;
		request.innerText = translations.fr.request;
		agree.innerText = translations.fr.agree;
		cashbook.innerText = translations.fr.cashbook;
		logout.innerText = translations.fr.logout;
		if (welcome) {welcome.innerText = translations.fr.welcome;}
		text_01.innerText = translations.fr.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.fr.DText_02+'</p>';
		text_03.innerText = translations.fr.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.fr.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.fr.DText_05;
		text_06.placeholder = translations.fr.DText_06;
		text_07.innerHTML = translations.fr.DText_07;
		text_08.placeholder = translations.fr.DText_08;
		text_09.innerHTML = translations.fr.DText_09;
		text_10.placeholder = translations.fr.DText_10;
		if (text_11) {text_11.innerText = translations.fr.DText_11;}
		if (text_12) {text_12.innerText = translations.fr.DText_12;}
		text_13.innerText = translations.fr.DText_13;
		text_14.innerText = translations.fr.DText_14;
		text_15.placeholder = translations.fr.DText_15;
		text_16.innerText = translations.fr.DText_16;
		text_17.innerText = translations.fr.DText_17;
		text_18.innerText = translations.fr.DText_18;
		text_19.innerText = translations.fr.DText_19;
		text_20.innerText = translations.fr.DText_20;
		text_21.innerText = translations.fr.DText_21;
		text_22.innerText = translations.fr.DText_22;
		text_23.innerText = translations.fr.DText_23;
		text_24.innerText = translations.fr.DText_24;
		text_25.innerText = translations.fr.DText_25;
		text_26.innerText = translations.fr.DText_26;
		text_27.innerText = translations.fr.DText_27;
		text_28.innerText = translations.fr.DText_28;
		text_29.innerText = translations.fr.DText_29;
		text_30.innerText = translations.fr.DText_30;
		text_31.innerText = translations.fr.DText_31;
		text_32.innerText = translations.fr.DText_32;
		text_33.innerText = translations.fr.DText_33;
		text_34.innerText = translations.fr.DText_34;
		text_35.innerText = translations.fr.DText_35;
		text_36.innerText = translations.fr.DText_36;
		text_37.innerText = translations.fr.DText_37;
		text_38.innerText = translations.fr.DText_38;
		text_39.innerText = translations.fr.DText_39;
		text_40.innerText = translations.fr.DText_40;
		text_41.innerText = translations.fr.DText_41;
		text_42.innerText = translations.fr.DText_42;
		text_43.innerText = translations.fr.DText_43;
		text_44.innerText = translations.fr.DText_44;
		text_45.innerText = translations.fr.DText_45;
		text_46.innerText = translations.fr.DText_46;
		text_47.innerText = translations.fr.DText_47;
		text_48.innerText = translations.fr.DText_48;
		text_49.innerText = translations.fr.DText_49;
		text_50.innerText = translations.fr.DText_50;
		text_51.innerText = translations.fr.DText_51;
		text_511.innerText = translations.fr.DText_511;
		text_52.innerText = translations.fr.DText_52;
		text_41a.innerText = translations.fr.DText_41;
		text_42a.innerText = translations.fr.DText_42;
		text_43a.innerText = translations.fr.DText_43;
		text_44a.innerText = translations.fr.DText_44;
		text_45a.innerText = translations.fr.DText_45;
		text_46a.innerText = translations.fr.DText_46;
		text_47a.innerText = translations.fr.DText_47;
		text_48a.innerText = translations.fr.DText_48;
		text_49a.innerText = translations.fr.DText_49;
		text_50a.innerText = translations.fr.DText_50;
		text_51a.innerText = translations.fr.DText_51;
		text_511a.innerText = translations.fr.DText_511;
		male.innerText = translations.fr.male;
		female.innerText = translations.fr.female;
		other.innerText = translations.fr.other;
	}else if(language == "ir"){
		footer_00.innerText = translations.ir.footer00;
		footer_01.innerText = translations.ir.footer01;
		footer_02.innerText = translations.ir.footer02;
		footer_03.innerText = translations.ir.footer03;
		footer_04.innerText = translations.ir.footer04;
		footer_05.innerText = translations.ir.footer05;
		footer_06.innerText = translations.ir.footer06;
		footer_07.innerText = translations.ir.footer07;
		footer_08.innerText = translations.ir.footer08;
		footer_09.innerText = translations.ir.footer09;
		footer_10.innerText = translations.ir.footer10;
		footer_11.innerText = translations.ir.footer11;
		footer_12.innerText = translations.ir.footer12;
		footer_13.innerText = translations.ir.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ir.footer14;
		request.innerText = translations.ir.request;
		agree.innerText = translations.ir.agree;
		cashbook.innerText = translations.ir.cashbook;
		logout.innerText = translations.ir.logout;
		if (welcome) {welcome.innerText = translations.ir.welcome;}
		text_01.innerText = translations.ir.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.ir.DText_02+'</p>';
		text_03.innerText = translations.ir.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.ir.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.ir.DText_05;
		text_06.placeholder = translations.ir.DText_06;
		text_07.innerHTML = translations.ir.DText_07;
		text_08.placeholder = translations.ir.DText_08;
		text_09.innerHTML = translations.ir.DText_09;
		text_10.placeholder = translations.ir.DText_10;
		if (text_11) {text_11.innerText = translations.ir.DText_11;}
		if (text_12) {text_12.innerText = translations.ir.DText_12;}
		text_13.innerText = translations.ir.DText_13;
		text_14.innerText = translations.ir.DText_14;
		text_15.placeholder = translations.ir.DText_15;
		text_16.innerText = translations.ir.DText_16;
		text_17.innerText = translations.ir.DText_17;
		text_18.innerText = translations.ir.DText_18;
		text_19.innerText = translations.ir.DText_19;
		text_20.innerText = translations.ir.DText_20;
		text_21.innerText = translations.ir.DText_21;
		text_22.innerText = translations.ir.DText_22;
		text_23.innerText = translations.ir.DText_23;
		text_24.innerText = translations.ir.DText_24;
		text_25.innerText = translations.ir.DText_25;
		text_26.innerText = translations.ir.DText_26;
		text_27.innerText = translations.ir.DText_27;
		text_28.innerText = translations.ir.DText_28;
		text_29.innerText = translations.ir.DText_29;
		text_30.innerText = translations.ir.DText_30;
		text_31.innerText = translations.ir.DText_31;
		text_32.innerText = translations.ir.DText_32;
		text_33.innerText = translations.ir.DText_33;
		text_34.innerText = translations.ir.DText_34;
		text_35.innerText = translations.ir.DText_35;
		text_36.innerText = translations.ir.DText_36;
		text_37.innerText = translations.ir.DText_37;
		text_38.innerText = translations.ir.DText_38;
		text_39.innerText = translations.ir.DText_39;
		text_40.innerText = translations.ir.DText_40;
		text_41.innerText = translations.ir.DText_41;
		text_42.innerText = translations.ir.DText_42;
		text_43.innerText = translations.ir.DText_43;
		text_44.innerText = translations.ir.DText_44;
		text_45.innerText = translations.ir.DText_45;
		text_46.innerText = translations.ir.DText_46;
		text_47.innerText = translations.ir.DText_47;
		text_48.innerText = translations.ir.DText_48;
		text_49.innerText = translations.ir.DText_49;
		text_50.innerText = translations.ir.DText_50;
		text_51.innerText = translations.ir.DText_51;
		text_511.innerText = translations.ir.DText_511;
		text_52.innerText = translations.ir.DText_52;
		text_41a.innerText = translations.ir.DText_41;
		text_42a.innerText = translations.ir.DText_42;
		text_43a.innerText = translations.ir.DText_43;
		text_44a.innerText = translations.ir.DText_44;
		text_45a.innerText = translations.ir.DText_45;
		text_46a.innerText = translations.ir.DText_46;
		text_47a.innerText = translations.ir.DText_47;
		text_48a.innerText = translations.ir.DText_48;
		text_49a.innerText = translations.ir.DText_49;
		text_50a.innerText = translations.ir.DText_50;
		text_51a.innerText = translations.ir.DText_51;
		text_511a.innerText = translations.ir.DText_511;
		male.innerText = translations.ir.male;
		female.innerText = translations.ir.female;
		other.innerText = translations.ir.other;
	}else if(language == "gr"){
		footer_00.innerText = translations.gr.footer00;
		footer_01.innerText = translations.gr.footer01;
		footer_02.innerText = translations.gr.footer02;
		footer_03.innerText = translations.gr.footer03;
		footer_04.innerText = translations.gr.footer04;
		footer_05.innerText = translations.gr.footer05;
		footer_06.innerText = translations.gr.footer06;
		footer_07.innerText = translations.gr.footer07;
		footer_08.innerText = translations.gr.footer08;
		footer_09.innerText = translations.gr.footer09;
		footer_10.innerText = translations.gr.footer10;
		footer_11.innerText = translations.gr.footer11;
		footer_12.innerText = translations.gr.footer12;
		footer_13.innerText = translations.gr.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.gr.footer14;
		request.innerText = translations.gr.request;
		agree.innerText = translations.gr.agree;
		cashbook.innerText = translations.gr.cashbook;
		logout.innerText = translations.gr.logout;
		if (welcome) {welcome.innerText = translations.gr.welcome;}
		text_01.innerText = translations.gr.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.gr.DText_02+'</p>';
		text_03.innerText = translations.gr.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.gr.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.gr.DText_05;
		text_06.placeholder = translations.gr.DText_06;
		text_07.innerHTML = translations.gr.DText_07;
		text_08.placeholder = translations.gr.DText_08;
		text_09.innerHTML = translations.gr.DText_09;
		text_10.placeholder = translations.gr.DText_10;
		if (text_11) {text_11.innerText = translations.gr.DText_11;}
		if (text_12) {text_12.innerText = translations.gr.DText_12;}
		text_13.innerText = translations.gr.DText_13;
		text_14.innerText = translations.gr.DText_14;
		text_15.placeholder = translations.gr.DText_15;
		text_16.innerText = translations.gr.DText_16;
		text_17.innerText = translations.gr.DText_17;
		text_18.innerText = translations.gr.DText_18;
		text_19.innerText = translations.gr.DText_19;
		text_20.innerText = translations.gr.DText_20;
		text_21.innerText = translations.gr.DText_21;
		text_22.innerText = translations.gr.DText_22;
		text_23.innerText = translations.gr.DText_23;
		text_24.innerText = translations.gr.DText_24;
		text_25.innerText = translations.gr.DText_25;
		text_26.innerText = translations.gr.DText_26;
		text_27.innerText = translations.gr.DText_27;
		text_28.innerText = translations.gr.DText_28;
		text_29.innerText = translations.gr.DText_29;
		text_30.innerText = translations.gr.DText_30;
		text_31.innerText = translations.gr.DText_31;
		text_32.innerText = translations.gr.DText_32;
		text_33.innerText = translations.gr.DText_33;
		text_34.innerText = translations.gr.DText_34;
		text_35.innerText = translations.gr.DText_35;
		text_36.innerText = translations.gr.DText_36;
		text_37.innerText = translations.gr.DText_37;
		text_38.innerText = translations.gr.DText_38;
		text_39.innerText = translations.gr.DText_39;
		text_40.innerText = translations.gr.DText_40;
		text_41.innerText = translations.gr.DText_41;
		text_42.innerText = translations.gr.DText_42;
		text_43.innerText = translations.gr.DText_43;
		text_44.innerText = translations.gr.DText_44;
		text_45.innerText = translations.gr.DText_45;
		text_46.innerText = translations.gr.DText_46;
		text_47.innerText = translations.gr.DText_47;
		text_48.innerText = translations.gr.DText_48;
		text_49.innerText = translations.gr.DText_49;
		text_50.innerText = translations.gr.DText_50;
		text_51.innerText = translations.gr.DText_51;
		text_511.innerText = translations.gr.DText_511;
		text_52.innerText = translations.gr.DText_52;
		text_41a.innerText = translations.gr.DText_41;
		text_42a.innerText = translations.gr.DText_42;
		text_43a.innerText = translations.gr.DText_43;
		text_44a.innerText = translations.gr.DText_44;
		text_45a.innerText = translations.gr.DText_45;
		text_46a.innerText = translations.gr.DText_46;
		text_47a.innerText = translations.gr.DText_47;
		text_48a.innerText = translations.gr.DText_48;
		text_49a.innerText = translations.gr.DText_49;
		text_50a.innerText = translations.gr.DText_50;
		text_51a.innerText = translations.gr.DText_51;
		text_511a.innerText = translations.gr.DText_511;
		male.innerText = translations.gr.male;
		female.innerText = translations.gr.female;
		other.innerText = translations.gr.other;
	}else if(language == "ha"){
		footer_00.innerText = translations.ha.footer00;
		footer_01.innerText = translations.ha.footer01;
		footer_02.innerText = translations.ha.footer02;
		footer_03.innerText = translations.ha.footer03;
		footer_04.innerText = translations.ha.footer04;
		footer_05.innerText = translations.ha.footer05;
		footer_06.innerText = translations.ha.footer06;
		footer_07.innerText = translations.ha.footer07;
		footer_08.innerText = translations.ha.footer08;
		footer_09.innerText = translations.ha.footer09;
		footer_10.innerText = translations.ha.footer10;
		footer_11.innerText = translations.ha.footer11;
		footer_12.innerText = translations.ha.footer12;
		footer_13.innerText = translations.ha.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ha.footer14;
		request.innerText = translations.ha.request;
		agree.innerText = translations.ha.agree;
		cashbook.innerText = translations.ha.cashbook;
		logout.innerText = translations.ha.logout;
		if (welcome) {welcome.innerText = translations.ha.welcome;}
		text_01.innerText = translations.ha.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.ha.DText_02+'</p>';
		text_03.innerText = translations.ha.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.ha.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.ha.DText_05;
		text_06.placeholder = translations.ha.DText_06;
		text_07.innerHTML = translations.ha.DText_07;
		text_08.placeholder = translations.ha.DText_08;
		text_09.innerHTML = translations.ha.DText_09;
		text_10.placeholder = translations.ha.DText_10;
		if (text_11) {text_11.innerText = translations.ha.DText_11;}
		if (text_12) {text_12.innerText = translations.ha.DText_12;}
		text_13.innerText = translations.ha.DText_13;
		text_14.innerText = translations.ha.DText_14;
		text_15.placeholder = translations.ha.DText_15;
		text_16.innerText = translations.ha.DText_16;
		text_17.innerText = translations.ha.DText_17;
		text_18.innerText = translations.ha.DText_18;
		text_19.innerText = translations.ha.DText_19;
		text_20.innerText = translations.ha.DText_20;
		text_21.innerText = translations.ha.DText_21;
		text_22.innerText = translations.ha.DText_22;
		text_23.innerText = translations.ha.DText_23;
		text_24.innerText = translations.ha.DText_24;
		text_25.innerText = translations.ha.DText_25;
		text_26.innerText = translations.ha.DText_26;
		text_27.innerText = translations.ha.DText_27;
		text_28.innerText = translations.ha.DText_28;
		text_29.innerText = translations.ha.DText_29;
		text_30.innerText = translations.ha.DText_30;
		text_31.innerText = translations.ha.DText_31;
		text_32.innerText = translations.ha.DText_32;
		text_33.innerText = translations.ha.DText_33;
		text_34.innerText = translations.ha.DText_34;
		text_35.innerText = translations.ha.DText_35;
		text_36.innerText = translations.ha.DText_36;
		text_37.innerText = translations.ha.DText_37;
		text_38.innerText = translations.ha.DText_38;
		text_39.innerText = translations.ha.DText_39;
		text_40.innerText = translations.ha.DText_40;
		text_41.innerText = translations.ha.DText_41;
		text_42.innerText = translations.ha.DText_42;
		text_43.innerText = translations.ha.DText_43;
		text_44.innerText = translations.ha.DText_44;
		text_45.innerText = translations.ha.DText_45;
		text_46.innerText = translations.ha.DText_46;
		text_47.innerText = translations.ha.DText_47;
		text_48.innerText = translations.ha.DText_48;
		text_49.innerText = translations.ha.DText_49;
		text_50.innerText = translations.ha.DText_50;
		text_51.innerText = translations.ha.DText_51;
		text_511.innerText = translations.ha.DText_511;
		text_52.innerText = translations.ha.DText_52;
		text_41a.innerText = translations.ha.DText_41;
		text_42a.innerText = translations.ha.DText_42;
		text_43a.innerText = translations.ha.DText_43;
		text_44a.innerText = translations.ha.DText_44;
		text_45a.innerText = translations.ha.DText_45;
		text_46a.innerText = translations.ha.DText_46;
		text_47a.innerText = translations.ha.DText_47;
		text_48a.innerText = translations.ha.DText_48;
		text_49a.innerText = translations.ha.DText_49;
		text_50a.innerText = translations.ha.DText_50;
		text_51a.innerText = translations.ha.DText_51;
		text_511a.innerText = translations.ha.DText_511;
		male.innerText = translations.ha.male;
		female.innerText = translations.ha.female;
		other.innerText = translations.ha.other;
	}else if(language == "he"){
		footer_00.innerText = translations.he.footer00;
		footer_01.innerText = translations.he.footer01;
		footer_02.innerText = translations.he.footer02;
		footer_03.innerText = translations.he.footer03;
		footer_04.innerText = translations.he.footer04;
		footer_05.innerText = translations.he.footer05;
		footer_06.innerText = translations.he.footer06;
		footer_07.innerText = translations.he.footer07;
		footer_08.innerText = translations.he.footer08;
		footer_09.innerText = translations.he.footer09;
		footer_10.innerText = translations.he.footer10;
		footer_11.innerText = translations.he.footer11;
		footer_12.innerText = translations.he.footer12;
		footer_13.innerText = translations.he.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.he.footer14;
		request.innerText = translations.he.request;
		agree.innerText = translations.he.agree;
		cashbook.innerText = translations.he.cashbook;
		logout.innerText = translations.he.logout;
		if (welcome) {welcome.innerText = translations.he.welcome;}
		text_01.innerText = translations.he.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.he.DText_02+'</p>';
		text_03.innerText = translations.he.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.he.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.he.DText_05;
		text_06.placeholder = translations.he.DText_06;
		text_07.innerHTML = translations.he.DText_07;
		text_08.placeholder = translations.he.DText_08;
		text_09.innerHTML = translations.he.DText_09;
		text_10.placeholder = translations.he.DText_10;
		if (text_11) {text_11.innerText = translations.he.DText_11;}
		if (text_12) {text_12.innerText = translations.he.DText_12;}
		text_13.innerText = translations.he.DText_13;
		text_14.innerText = translations.he.DText_14;
		text_15.placeholder = translations.he.DText_15;
		text_16.innerText = translations.he.DText_16;
		text_17.innerText = translations.he.DText_17;
		text_18.innerText = translations.he.DText_18;
		text_19.innerText = translations.he.DText_19;
		text_20.innerText = translations.he.DText_20;
		text_21.innerText = translations.he.DText_21;
		text_22.innerText = translations.he.DText_22;
		text_23.innerText = translations.he.DText_23;
		text_24.innerText = translations.he.DText_24;
		text_25.innerText = translations.he.DText_25;
		text_26.innerText = translations.he.DText_26;
		text_27.innerText = translations.he.DText_27;
		text_28.innerText = translations.he.DText_28;
		text_29.innerText = translations.he.DText_29;
		text_30.innerText = translations.he.DText_30;
		text_31.innerText = translations.he.DText_31;
		text_32.innerText = translations.he.DText_32;
		text_33.innerText = translations.he.DText_33;
		text_34.innerText = translations.he.DText_34;
		text_35.innerText = translations.he.DText_35;
		text_36.innerText = translations.he.DText_36;
		text_37.innerText = translations.he.DText_37;
		text_38.innerText = translations.he.DText_38;
		text_39.innerText = translations.he.DText_39;
		text_40.innerText = translations.he.DText_40;
		text_41.innerText = translations.he.DText_41;
		text_42.innerText = translations.he.DText_42;
		text_43.innerText = translations.he.DText_43;
		text_44.innerText = translations.he.DText_44;
		text_45.innerText = translations.he.DText_45;
		text_46.innerText = translations.he.DText_46;
		text_47.innerText = translations.he.DText_47;
		text_48.innerText = translations.he.DText_48;
		text_49.innerText = translations.he.DText_49;
		text_50.innerText = translations.he.DText_50;
		text_51.innerText = translations.he.DText_51;
		text_511.innerText = translations.he.DText_511;
		text_52.innerText = translations.he.DText_52;
		text_41a.innerText = translations.he.DText_41;
		text_42a.innerText = translations.he.DText_42;
		text_43a.innerText = translations.he.DText_43;
		text_44a.innerText = translations.he.DText_44;
		text_45a.innerText = translations.he.DText_45;
		text_46a.innerText = translations.he.DText_46;
		text_47a.innerText = translations.he.DText_47;
		text_48a.innerText = translations.he.DText_48;
		text_49a.innerText = translations.he.DText_49;
		text_50a.innerText = translations.he.DText_50;
		text_51a.innerText = translations.he.DText_51;
		text_511a.innerText = translations.he.DText_511;
		male.innerText = translations.he.male;
		female.innerText = translations.he.female;
		other.innerText = translations.he.other;
	}else if(language == "hi"){
		footer_00.innerText = translations.hi.footer00;
		footer_01.innerText = translations.hi.footer01;
		footer_02.innerText = translations.hi.footer02;
		footer_03.innerText = translations.hi.footer03;
		footer_04.innerText = translations.hi.footer04;
		footer_05.innerText = translations.hi.footer05;
		footer_06.innerText = translations.hi.footer06;
		footer_07.innerText = translations.hi.footer07;
		footer_08.innerText = translations.hi.footer08;
		footer_09.innerText = translations.hi.footer09;
		footer_10.innerText = translations.hi.footer10;
		footer_11.innerText = translations.hi.footer11;
		footer_12.innerText = translations.hi.footer12;
		footer_13.innerText = translations.hi.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.hi.footer14;
		request.innerText = translations.hi.request;
		agree.innerText = translations.hi.agree;
		cashbook.innerText = translations.hi.cashbook;
		logout.innerText = translations.hi.logout;
		if (welcome) {welcome.innerText = translations.hi.welcome;}
		text_01.innerText = translations.hi.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.hi.DText_02+'</p>';
		text_03.innerText = translations.hi.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.hi.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.hi.DText_05;
		text_06.placeholder = translations.hi.DText_06;
		text_07.innerHTML = translations.hi.DText_07;
		text_08.placeholder = translations.hi.DText_08;
		text_09.innerHTML = translations.hi.DText_09;
		text_10.placeholder = translations.hi.DText_10;
		if (text_11) {text_11.innerText = translations.hi.DText_11;}
		if (text_12) {text_12.innerText = translations.hi.DText_12;}
		text_13.innerText = translations.hi.DText_13;
		text_14.innerText = translations.hi.DText_14;
		text_15.placeholder = translations.hi.DText_15;
		text_16.innerText = translations.hi.DText_16;
		text_17.innerText = translations.hi.DText_17;
		text_18.innerText = translations.hi.DText_18;
		text_19.innerText = translations.hi.DText_19;
		text_20.innerText = translations.hi.DText_20;
		text_21.innerText = translations.hi.DText_21;
		text_22.innerText = translations.hi.DText_22;
		text_23.innerText = translations.hi.DText_23;
		text_24.innerText = translations.hi.DText_24;
		text_25.innerText = translations.hi.DText_25;
		text_26.innerText = translations.hi.DText_26;
		text_27.innerText = translations.hi.DText_27;
		text_28.innerText = translations.hi.DText_28;
		text_29.innerText = translations.hi.DText_29;
		text_30.innerText = translations.hi.DText_30;
		text_31.innerText = translations.hi.DText_31;
		text_32.innerText = translations.hi.DText_32;
		text_33.innerText = translations.hi.DText_33;
		text_34.innerText = translations.hi.DText_34;
		text_35.innerText = translations.hi.DText_35;
		text_36.innerText = translations.hi.DText_36;
		text_37.innerText = translations.hi.DText_37;
		text_38.innerText = translations.hi.DText_38;
		text_39.innerText = translations.hi.DText_39;
		text_40.innerText = translations.hi.DText_40;
		text_41.innerText = translations.hi.DText_41;
		text_42.innerText = translations.hi.DText_42;
		text_43.innerText = translations.hi.DText_43;
		text_44.innerText = translations.hi.DText_44;
		text_45.innerText = translations.hi.DText_45;
		text_46.innerText = translations.hi.DText_46;
		text_47.innerText = translations.hi.DText_47;
		text_48.innerText = translations.hi.DText_48;
		text_49.innerText = translations.hi.DText_49;
		text_50.innerText = translations.hi.DText_50;
		text_51.innerText = translations.hi.DText_51;
		text_511.innerText = translations.hi.DText_511;
		text_52.innerText = translations.hi.DText_52;
		text_41a.innerText = translations.hi.DText_41;
		text_42a.innerText = translations.hi.DText_42;
		text_43a.innerText = translations.hi.DText_43;
		text_44a.innerText = translations.hi.DText_44;
		text_45a.innerText = translations.hi.DText_45;
		text_46a.innerText = translations.hi.DText_46;
		text_47a.innerText = translations.hi.DText_47;
		text_48a.innerText = translations.hi.DText_48;
		text_49a.innerText = translations.hi.DText_49;
		text_50a.innerText = translations.hi.DText_50;
		text_51a.innerText = translations.hi.DText_51;
		text_511a.innerText = translations.hi.DText_511;
		male.innerText = translations.hi.male;
		female.innerText = translations.hi.female;
		other.innerText = translations.hi.other;
	}else if(language == "cr"){
		footer_00.innerText = translations.cr.footer00;
		footer_01.innerText = translations.cr.footer01;
		footer_02.innerText = translations.cr.footer02;
		footer_03.innerText = translations.cr.footer03;
		footer_04.innerText = translations.cr.footer04;
		footer_05.innerText = translations.cr.footer05;
		footer_06.innerText = translations.cr.footer06;
		footer_07.innerText = translations.cr.footer07;
		footer_08.innerText = translations.cr.footer08;
		footer_09.innerText = translations.cr.footer09;
		footer_10.innerText = translations.cr.footer10;
		footer_11.innerText = translations.cr.footer11;
		footer_12.innerText = translations.cr.footer12;
		footer_13.innerText = translations.cr.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.cr.footer14;
		request.innerText = translations.cr.request;
		agree.innerText = translations.cr.agree;
		cashbook.innerText = translations.cr.cashbook;
		logout.innerText = translations.cr.logout;
		if (welcome) {welcome.innerText = translations.cr.welcome;}
		text_01.innerText = translations.cr.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.cr.DText_02+'</p>';
		text_03.innerText = translations.cr.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.cr.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.cr.DText_05;
		text_06.placeholder = translations.cr.DText_06;
		text_07.innerHTML = translations.cr.DText_07;
		text_08.placeholder = translations.cr.DText_08;
		text_09.innerHTML = translations.cr.DText_09;
		text_10.placeholder = translations.cr.DText_10;
		if (text_11) {text_11.innerText = translations.cr.DText_11;}
		if (text_12) {text_12.innerText = translations.cr.DText_12;}
		text_13.innerText = translations.cr.DText_13;
		text_14.innerText = translations.cr.DText_14;
		text_15.placeholder = translations.cr.DText_15;
		text_16.innerText = translations.cr.DText_16;
		text_17.innerText = translations.cr.DText_17;
		text_18.innerText = translations.cr.DText_18;
		text_19.innerText = translations.cr.DText_19;
		text_20.innerText = translations.cr.DText_20;
		text_21.innerText = translations.cr.DText_21;
		text_22.innerText = translations.cr.DText_22;
		text_23.innerText = translations.cr.DText_23;
		text_24.innerText = translations.cr.DText_24;
		text_25.innerText = translations.cr.DText_25;
		text_26.innerText = translations.cr.DText_26;
		text_27.innerText = translations.cr.DText_27;
		text_28.innerText = translations.cr.DText_28;
		text_29.innerText = translations.cr.DText_29;
		text_30.innerText = translations.cr.DText_30;
		text_31.innerText = translations.cr.DText_31;
		text_32.innerText = translations.cr.DText_32;
		text_33.innerText = translations.cr.DText_33;
		text_34.innerText = translations.cr.DText_34;
		text_35.innerText = translations.cr.DText_35;
		text_36.innerText = translations.cr.DText_36;
		text_37.innerText = translations.cr.DText_37;
		text_38.innerText = translations.cr.DText_38;
		text_39.innerText = translations.cr.DText_39;
		text_40.innerText = translations.cr.DText_40;
		text_41.innerText = translations.cr.DText_41;
		text_42.innerText = translations.cr.DText_42;
		text_43.innerText = translations.cr.DText_43;
		text_44.innerText = translations.cr.DText_44;
		text_45.innerText = translations.cr.DText_45;
		text_46.innerText = translations.cr.DText_46;
		text_47.innerText = translations.cr.DText_47;
		text_48.innerText = translations.cr.DText_48;
		text_49.innerText = translations.cr.DText_49;
		text_50.innerText = translations.cr.DText_50;
		text_51.innerText = translations.cr.DText_51;
		text_511.innerText = translations.cr.DText_511;
		text_52.innerText = translations.cr.DText_52;
		text_41a.innerText = translations.cr.DText_41;
		text_42a.innerText = translations.cr.DText_42;
		text_43a.innerText = translations.cr.DText_43;
		text_44a.innerText = translations.cr.DText_44;
		text_45a.innerText = translations.cr.DText_45;
		text_46a.innerText = translations.cr.DText_46;
		text_47a.innerText = translations.cr.DText_47;
		text_48a.innerText = translations.cr.DText_48;
		text_49a.innerText = translations.cr.DText_49;
		text_50a.innerText = translations.cr.DText_50;
		text_51a.innerText = translations.cr.DText_51;
		text_511a.innerText = translations.cr.DText_511;
		male.innerText = translations.cr.male;
		female.innerText = translations.cr.female;
		other.innerText = translations.cr.other;
	}else if(language == "ig"){
		footer_00.innerText = translations.ig.footer00;
		footer_01.innerText = translations.ig.footer01;
		footer_02.innerText = translations.ig.footer02;
		footer_03.innerText = translations.ig.footer03;
		footer_04.innerText = translations.ig.footer04;
		footer_05.innerText = translations.ig.footer05;
		footer_06.innerText = translations.ig.footer06;
		footer_07.innerText = translations.ig.footer07;
		footer_08.innerText = translations.ig.footer08;
		footer_09.innerText = translations.ig.footer09;
		footer_10.innerText = translations.ig.footer10;
		footer_11.innerText = translations.ig.footer11;
		footer_12.innerText = translations.ig.footer12;
		footer_13.innerText = translations.ig.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ig.footer14;
		request.innerText = translations.ig.request;
		agree.innerText = translations.ig.agree;
		cashbook.innerText = translations.ig.cashbook;
		logout.innerText = translations.ig.logout;
		if (welcome) {welcome.innerText = translations.ig.welcome;}
		text_01.innerText = translations.ig.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.ig.DText_02+'</p>';
		text_03.innerText = translations.ig.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.ig.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.ig.DText_05;
		text_06.placeholder = translations.ig.DText_06;
		text_07.innerHTML = translations.ig.DText_07;
		text_08.placeholder = translations.ig.DText_08;
		text_09.innerHTML = translations.ig.DText_09;
		text_10.placeholder = translations.ig.DText_10;
		if (text_11) {text_11.innerText = translations.ig.DText_11;}
		if (text_12) {text_12.innerText = translations.ig.DText_12;}
		text_13.innerText = translations.ig.DText_13;
		text_14.innerText = translations.ig.DText_14;
		text_15.placeholder = translations.ig.DText_15;
		text_16.innerText = translations.ig.DText_16;
		text_17.innerText = translations.ig.DText_17;
		text_18.innerText = translations.ig.DText_18;
		text_19.innerText = translations.ig.DText_19;
		text_20.innerText = translations.ig.DText_20;
		text_21.innerText = translations.ig.DText_21;
		text_22.innerText = translations.ig.DText_22;
		text_23.innerText = translations.ig.DText_23;
		text_24.innerText = translations.ig.DText_24;
		text_25.innerText = translations.ig.DText_25;
		text_26.innerText = translations.ig.DText_26;
		text_27.innerText = translations.ig.DText_27;
		text_28.innerText = translations.ig.DText_28;
		text_29.innerText = translations.ig.DText_29;
		text_30.innerText = translations.ig.DText_30;
		text_31.innerText = translations.ig.DText_31;
		text_32.innerText = translations.ig.DText_32;
		text_33.innerText = translations.ig.DText_33;
		text_34.innerText = translations.ig.DText_34;
		text_35.innerText = translations.ig.DText_35;
		text_36.innerText = translations.ig.DText_36;
		text_37.innerText = translations.ig.DText_37;
		text_38.innerText = translations.ig.DText_38;
		text_39.innerText = translations.ig.DText_39;
		text_40.innerText = translations.ig.DText_40;
		text_41.innerText = translations.ig.DText_41;
		text_42.innerText = translations.ig.DText_42;
		text_43.innerText = translations.ig.DText_43;
		text_44.innerText = translations.ig.DText_44;
		text_45.innerText = translations.ig.DText_45;
		text_46.innerText = translations.ig.DText_46;
		text_47.innerText = translations.ig.DText_47;
		text_48.innerText = translations.ig.DText_48;
		text_49.innerText = translations.ig.DText_49;
		text_50.innerText = translations.ig.DText_50;
		text_51.innerText = translations.ig.DText_51;
		text_511.innerText = translations.ig.DText_511;
		text_52.innerText = translations.ig.DText_52;
		text_41a.innerText = translations.ig.DText_41;
		text_42a.innerText = translations.ig.DText_42;
		text_43a.innerText = translations.ig.DText_43;
		text_44a.innerText = translations.ig.DText_44;
		text_45a.innerText = translations.ig.DText_45;
		text_46a.innerText = translations.ig.DText_46;
		text_47a.innerText = translations.ig.DText_47;
		text_48a.innerText = translations.ig.DText_48;
		text_49a.innerText = translations.ig.DText_49;
		text_50a.innerText = translations.ig.DText_50;
		text_51a.innerText = translations.ig.DText_51;
		text_511a.innerText = translations.ig.DText_511;
		male.innerText = translations.ig.male;
		female.innerText = translations.ig.female;
		other.innerText = translations.ig.other;
	}else if(language == "in"){
		footer_00.innerText = translations.in.footer00;
		footer_01.innerText = translations.in.footer01;
		footer_02.innerText = translations.in.footer02;
		footer_03.innerText = translations.in.footer03;
		footer_04.innerText = translations.in.footer04;
		footer_05.innerText = translations.in.footer05;
		footer_06.innerText = translations.in.footer06;
		footer_07.innerText = translations.in.footer07;
		footer_08.innerText = translations.in.footer08;
		footer_09.innerText = translations.in.footer09;
		footer_10.innerText = translations.in.footer10;
		footer_11.innerText = translations.in.footer11;
		footer_12.innerText = translations.in.footer12;
		footer_13.innerText = translations.in.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.in.footer14;
		request.innerText = translations.in.request;
		agree.innerText = translations.in.agree;
		cashbook.innerText = translations.in.cashbook;
		logout.innerText = translations.in.logout;
		if (welcome) {welcome.innerText = translations.in.welcome;}
		text_01.innerText = translations.in.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.in.DText_02+'</p>';
		text_03.innerText = translations.in.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.in.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.in.DText_05;
		text_06.placeholder = translations.in.DText_06;
		text_07.innerHTML = translations.in.DText_07;
		text_08.placeholder = translations.in.DText_08;
		text_09.innerHTML = translations.in.DText_09;
		text_10.placeholder = translations.in.DText_10;
		if (text_11) {text_11.innerText = translations.in.DText_11;}
		if (text_12) {text_12.innerText = translations.in.DText_12;}
		text_13.innerText = translations.in.DText_13;
		text_14.innerText = translations.in.DText_14;
		text_15.placeholder = translations.in.DText_15;
		text_16.innerText = translations.in.DText_16;
		text_17.innerText = translations.in.DText_17;
		text_18.innerText = translations.in.DText_18;
		text_19.innerText = translations.in.DText_19;
		text_20.innerText = translations.in.DText_20;
		text_21.innerText = translations.in.DText_21;
		text_22.innerText = translations.in.DText_22;
		text_23.innerText = translations.in.DText_23;
		text_24.innerText = translations.in.DText_24;
		text_25.innerText = translations.in.DText_25;
		text_26.innerText = translations.in.DText_26;
		text_27.innerText = translations.in.DText_27;
		text_28.innerText = translations.in.DText_28;
		text_29.innerText = translations.in.DText_29;
		text_30.innerText = translations.in.DText_30;
		text_31.innerText = translations.in.DText_31;
		text_32.innerText = translations.in.DText_32;
		text_33.innerText = translations.in.DText_33;
		text_34.innerText = translations.in.DText_34;
		text_35.innerText = translations.in.DText_35;
		text_36.innerText = translations.in.DText_36;
		text_37.innerText = translations.in.DText_37;
		text_38.innerText = translations.in.DText_38;
		text_39.innerText = translations.in.DText_39;
		text_40.innerText = translations.in.DText_40;
		text_41.innerText = translations.in.DText_41;
		text_42.innerText = translations.in.DText_42;
		text_43.innerText = translations.in.DText_43;
		text_44.innerText = translations.in.DText_44;
		text_45.innerText = translations.in.DText_45;
		text_46.innerText = translations.in.DText_46;
		text_47.innerText = translations.in.DText_47;
		text_48.innerText = translations.in.DText_48;
		text_49.innerText = translations.in.DText_49;
		text_50.innerText = translations.in.DText_50;
		text_51.innerText = translations.in.DText_51;
		text_511.innerText = translations.in.DText_511;
		text_52.innerText = translations.in.DText_52;
		text_41a.innerText = translations.in.DText_41;
		text_42a.innerText = translations.in.DText_42;
		text_43a.innerText = translations.in.DText_43;
		text_44a.innerText = translations.in.DText_44;
		text_45a.innerText = translations.in.DText_45;
		text_46a.innerText = translations.in.DText_46;
		text_47a.innerText = translations.in.DText_47;
		text_48a.innerText = translations.in.DText_48;
		text_49a.innerText = translations.in.DText_49;
		text_50a.innerText = translations.in.DText_50;
		text_51a.innerText = translations.in.DText_51;
		text_511a.innerText = translations.in.DText_511;
		male.innerText = translations.in.male;
		female.innerText = translations.in.female;
		other.innerText = translations.in.other;
	}else if(language == "ic"){
		footer_00.innerText = translations.ic.footer00;
		footer_01.innerText = translations.ic.footer01;
		footer_02.innerText = translations.ic.footer02;
		footer_03.innerText = translations.ic.footer03;
		footer_04.innerText = translations.ic.footer04;
		footer_05.innerText = translations.ic.footer05;
		footer_06.innerText = translations.ic.footer06;
		footer_07.innerText = translations.ic.footer07;
		footer_08.innerText = translations.ic.footer08;
		footer_09.innerText = translations.ic.footer09;
		footer_10.innerText = translations.ic.footer10;
		footer_11.innerText = translations.ic.footer11;
		footer_12.innerText = translations.ic.footer12;
		footer_13.innerText = translations.ic.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ic.footer14;
		request.innerText = translations.ic.request;
		agree.innerText = translations.ic.agree;
		cashbook.innerText = translations.ic.cashbook;
		logout.innerText = translations.ic.logout;
		if (welcome) {welcome.innerText = translations.ic.welcome;}
		text_01.innerText = translations.ic.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.ic.DText_02+'</p>';
		text_03.innerText = translations.ic.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.ic.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.ic.DText_05;
		text_06.placeholder = translations.ic.DText_06;
		text_07.innerHTML = translations.ic.DText_07;
		text_08.placeholder = translations.ic.DText_08;
		text_09.innerHTML = translations.ic.DText_09;
		text_10.placeholder = translations.ic.DText_10;
		if (text_11) {text_11.innerText = translations.ic.DText_11;}
		if (text_12) {text_12.innerText = translations.ic.DText_12;}
		text_13.innerText = translations.ic.DText_13;
		text_14.innerText = translations.ic.DText_14;
		text_15.placeholder = translations.ic.DText_15;
		text_16.innerText = translations.ic.DText_16;
		text_17.innerText = translations.ic.DText_17;
		text_18.innerText = translations.ic.DText_18;
		text_19.innerText = translations.ic.DText_19;
		text_20.innerText = translations.ic.DText_20;
		text_21.innerText = translations.ic.DText_21;
		text_22.innerText = translations.ic.DText_22;
		text_23.innerText = translations.ic.DText_23;
		text_24.innerText = translations.ic.DText_24;
		text_25.innerText = translations.ic.DText_25;
		text_26.innerText = translations.ic.DText_26;
		text_27.innerText = translations.ic.DText_27;
		text_28.innerText = translations.ic.DText_28;
		text_29.innerText = translations.ic.DText_29;
		text_30.innerText = translations.ic.DText_30;
		text_31.innerText = translations.ic.DText_31;
		text_32.innerText = translations.ic.DText_32;
		text_33.innerText = translations.ic.DText_33;
		text_34.innerText = translations.ic.DText_34;
		text_35.innerText = translations.ic.DText_35;
		text_36.innerText = translations.ic.DText_36;
		text_37.innerText = translations.ic.DText_37;
		text_38.innerText = translations.ic.DText_38;
		text_39.innerText = translations.ic.DText_39;
		text_40.innerText = translations.ic.DText_40;
		text_41.innerText = translations.ic.DText_41;
		text_42.innerText = translations.ic.DText_42;
		text_43.innerText = translations.ic.DText_43;
		text_44.innerText = translations.ic.DText_44;
		text_45.innerText = translations.ic.DText_45;
		text_46.innerText = translations.ic.DText_46;
		text_47.innerText = translations.ic.DText_47;
		text_48.innerText = translations.ic.DText_48;
		text_49.innerText = translations.ic.DText_49;
		text_50.innerText = translations.ic.DText_50;
		text_51.innerText = translations.ic.DText_51;
		text_511.innerText = translations.ic.DText_511;
		text_52.innerText = translations.ic.DText_52;
		text_41a.innerText = translations.ic.DText_41;
		text_42a.innerText = translations.ic.DText_42;
		text_43a.innerText = translations.ic.DText_43;
		text_44a.innerText = translations.ic.DText_44;
		text_45a.innerText = translations.ic.DText_45;
		text_46a.innerText = translations.ic.DText_46;
		text_47a.innerText = translations.ic.DText_47;
		text_48a.innerText = translations.ic.DText_48;
		text_49a.innerText = translations.ic.DText_49;
		text_50a.innerText = translations.ic.DText_50;
		text_51a.innerText = translations.ic.DText_51;
		text_511a.innerText = translations.ic.DText_511;
		male.innerText = translations.ic.male;
		female.innerText = translations.ic.female;
		other.innerText = translations.ic.other;
	}else if(language == "it"){
		footer_00.innerText = translations.it.footer00;
		footer_01.innerText = translations.it.footer01;
		footer_02.innerText = translations.it.footer02;
		footer_03.innerText = translations.it.footer03;
		footer_04.innerText = translations.it.footer04;
		footer_05.innerText = translations.it.footer05;
		footer_06.innerText = translations.it.footer06;
		footer_07.innerText = translations.it.footer07;
		footer_08.innerText = translations.it.footer08;
		footer_09.innerText = translations.it.footer09;
		footer_10.innerText = translations.it.footer10;
		footer_11.innerText = translations.it.footer11;
		footer_12.innerText = translations.it.footer12;
		footer_13.innerText = translations.it.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.it.footer14;
		request.innerText = translations.it.request;
		agree.innerText = translations.it.agree;
		cashbook.innerText = translations.it.cashbook;
		logout.innerText = translations.it.logout;
		if (welcome) {welcome.innerText = translations.it.welcome;}
		text_01.innerText = translations.it.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.it.DText_02+'</p>';
		text_03.innerText = translations.it.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.it.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.it.DText_05;
		text_06.placeholder = translations.it.DText_06;
		text_07.innerHTML = translations.it.DText_07;
		text_08.placeholder = translations.it.DText_08;
		text_09.innerHTML = translations.it.DText_09;
		text_10.placeholder = translations.it.DText_10;
		if (text_11) {text_11.innerText = translations.it.DText_11;}
		if (text_12) {text_12.innerText = translations.it.DText_12;}
		text_13.innerText = translations.it.DText_13;
		text_14.innerText = translations.it.DText_14;
		text_15.placeholder = translations.it.DText_15;
		text_16.innerText = translations.it.DText_16;
		text_17.innerText = translations.it.DText_17;
		text_18.innerText = translations.it.DText_18;
		text_19.innerText = translations.it.DText_19;
		text_20.innerText = translations.it.DText_20;
		text_21.innerText = translations.it.DText_21;
		text_22.innerText = translations.it.DText_22;
		text_23.innerText = translations.it.DText_23;
		text_24.innerText = translations.it.DText_24;
		text_25.innerText = translations.it.DText_25;
		text_26.innerText = translations.it.DText_26;
		text_27.innerText = translations.it.DText_27;
		text_28.innerText = translations.it.DText_28;
		text_29.innerText = translations.it.DText_29;
		text_30.innerText = translations.it.DText_30;
		text_31.innerText = translations.it.DText_31;
		text_32.innerText = translations.it.DText_32;
		text_33.innerText = translations.it.DText_33;
		text_34.innerText = translations.it.DText_34;
		text_35.innerText = translations.it.DText_35;
		text_36.innerText = translations.it.DText_36;
		text_37.innerText = translations.it.DText_37;
		text_38.innerText = translations.it.DText_38;
		text_39.innerText = translations.it.DText_39;
		text_40.innerText = translations.it.DText_40;
		text_41.innerText = translations.it.DText_41;
		text_42.innerText = translations.it.DText_42;
		text_43.innerText = translations.it.DText_43;
		text_44.innerText = translations.it.DText_44;
		text_45.innerText = translations.it.DText_45;
		text_46.innerText = translations.it.DText_46;
		text_47.innerText = translations.it.DText_47;
		text_48.innerText = translations.it.DText_48;
		text_49.innerText = translations.it.DText_49;
		text_50.innerText = translations.it.DText_50;
		text_51.innerText = translations.it.DText_51;
		text_511.innerText = translations.it.DText_511;
		text_52.innerText = translations.it.DText_52;
		text_41a.innerText = translations.it.DText_41;
		text_42a.innerText = translations.it.DText_42;
		text_43a.innerText = translations.it.DText_43;
		text_44a.innerText = translations.it.DText_44;
		text_45a.innerText = translations.it.DText_45;
		text_46a.innerText = translations.it.DText_46;
		text_47a.innerText = translations.it.DText_47;
		text_48a.innerText = translations.it.DText_48;
		text_49a.innerText = translations.it.DText_49;
		text_50a.innerText = translations.it.DText_50;
		text_51a.innerText = translations.it.DText_51;
		text_511a.innerText = translations.it.DText_511;
		male.innerText = translations.it.male;
		female.innerText = translations.it.female;
		other.innerText = translations.it.other;
	}else if(language == "ja"){
		footer_00.innerText = translations.ja.footer00;
		footer_01.innerText = translations.ja.footer01;
		footer_02.innerText = translations.ja.footer02;
		footer_03.innerText = translations.ja.footer03;
		footer_04.innerText = translations.ja.footer04;
		footer_05.innerText = translations.ja.footer05;
		footer_06.innerText = translations.ja.footer06;
		footer_07.innerText = translations.ja.footer07;
		footer_08.innerText = translations.ja.footer08;
		footer_09.innerText = translations.ja.footer09;
		footer_10.innerText = translations.ja.footer10;
		footer_11.innerText = translations.ja.footer11;
		footer_12.innerText = translations.ja.footer12;
		footer_13.innerText = translations.ja.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ja.footer14;
		request.innerText = translations.ja.request;
		agree.innerText = translations.ja.agree;
		cashbook.innerText = translations.ja.cashbook;
		logout.innerText = translations.ja.logout;
		if (welcome) {welcome.innerText = translations.ja.welcome;}
		text_01.innerText = translations.ja.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.ja.DText_02+'</p>';
		text_03.innerText = translations.ja.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.ja.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.ja.DText_05;
		text_06.placeholder = translations.ja.DText_06;
		text_07.innerHTML = translations.ja.DText_07;
		text_08.placeholder = translations.ja.DText_08;
		text_09.innerHTML = translations.ja.DText_09;
		text_10.placeholder = translations.ja.DText_10;
		if (text_11) {text_11.innerText = translations.ja.DText_11;}
		if (text_12) {text_12.innerText = translations.ja.DText_12;}
		text_13.innerText = translations.ja.DText_13;
		text_14.innerText = translations.ja.DText_14;
		text_15.placeholder = translations.ja.DText_15;
		text_16.innerText = translations.ja.DText_16;
		text_17.innerText = translations.ja.DText_17;
		text_18.innerText = translations.ja.DText_18;
		text_19.innerText = translations.ja.DText_19;
		text_20.innerText = translations.ja.DText_20;
		text_21.innerText = translations.ja.DText_21;
		text_22.innerText = translations.ja.DText_22;
		text_23.innerText = translations.ja.DText_23;
		text_24.innerText = translations.ja.DText_24;
		text_25.innerText = translations.ja.DText_25;
		text_26.innerText = translations.ja.DText_26;
		text_27.innerText = translations.ja.DText_27;
		text_28.innerText = translations.ja.DText_28;
		text_29.innerText = translations.ja.DText_29;
		text_30.innerText = translations.ja.DText_30;
		text_31.innerText = translations.ja.DText_31;
		text_32.innerText = translations.ja.DText_32;
		text_33.innerText = translations.ja.DText_33;
		text_34.innerText = translations.ja.DText_34;
		text_35.innerText = translations.ja.DText_35;
		text_36.innerText = translations.ja.DText_36;
		text_37.innerText = translations.ja.DText_37;
		text_38.innerText = translations.ja.DText_38;
		text_39.innerText = translations.ja.DText_39;
		text_40.innerText = translations.ja.DText_40;
		text_41.innerText = translations.ja.DText_41;
		text_42.innerText = translations.ja.DText_42;
		text_43.innerText = translations.ja.DText_43;
		text_44.innerText = translations.ja.DText_44;
		text_45.innerText = translations.ja.DText_45;
		text_46.innerText = translations.ja.DText_46;
		text_47.innerText = translations.ja.DText_47;
		text_48.innerText = translations.ja.DText_48;
		text_49.innerText = translations.ja.DText_49;
		text_50.innerText = translations.ja.DText_50;
		text_51.innerText = translations.ja.DText_51;
		text_511.innerText = translations.ja.DText_511;
		text_52.innerText = translations.ja.DText_52;
		text_41a.innerText = translations.ja.DText_41;
		text_42a.innerText = translations.ja.DText_42;
		text_43a.innerText = translations.ja.DText_43;
		text_44a.innerText = translations.ja.DText_44;
		text_45a.innerText = translations.ja.DText_45;
		text_46a.innerText = translations.ja.DText_46;
		text_47a.innerText = translations.ja.DText_47;
		text_48a.innerText = translations.ja.DText_48;
		text_49a.innerText = translations.ja.DText_49;
		text_50a.innerText = translations.ja.DText_50;
		text_51a.innerText = translations.ja.DText_51;
		text_511a.innerText = translations.ja.DText_511;
		male.innerText = translations.ja.male;
		female.innerText = translations.ja.female;
		other.innerText = translations.ja.other;
	}else if(language == "ka"){
		footer_00.innerText = translations.ka.footer00;
		footer_01.innerText = translations.ka.footer01;
		footer_02.innerText = translations.ka.footer02;
		footer_03.innerText = translations.ka.footer03;
		footer_04.innerText = translations.ka.footer04;
		footer_05.innerText = translations.ka.footer05;
		footer_06.innerText = translations.ka.footer06;
		footer_07.innerText = translations.ka.footer07;
		footer_08.innerText = translations.ka.footer08;
		footer_09.innerText = translations.ka.footer09;
		footer_10.innerText = translations.ka.footer10;
		footer_11.innerText = translations.ka.footer11;
		footer_12.innerText = translations.ka.footer12;
		footer_13.innerText = translations.ka.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ka.footer14;
		request.innerText = translations.ka.request;
		agree.innerText = translations.ka.agree;
		cashbook.innerText = translations.ka.cashbook;
		logout.innerText = translations.ka.logout;
		if (welcome) {welcome.innerText = translations.ka.welcome;}
		text_01.innerText = translations.ka.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.ka.DText_02+'</p>';
		text_03.innerText = translations.ka.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.ka.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.ka.DText_05;
		text_06.placeholder = translations.ka.DText_06;
		text_07.innerHTML = translations.ka.DText_07;
		text_08.placeholder = translations.ka.DText_08;
		text_09.innerHTML = translations.ka.DText_09;
		text_10.placeholder = translations.ka.DText_10;
		if (text_11) {text_11.innerText = translations.ka.DText_11;}
		if (text_12) {text_12.innerText = translations.ka.DText_12;}
		text_13.innerText = translations.ka.DText_13;
		text_14.innerText = translations.ka.DText_14;
		text_15.placeholder = translations.ka.DText_15;
		text_16.innerText = translations.ka.DText_16;
		text_17.innerText = translations.ka.DText_17;
		text_18.innerText = translations.ka.DText_18;
		text_19.innerText = translations.ka.DText_19;
		text_20.innerText = translations.ka.DText_20;
		text_21.innerText = translations.ka.DText_21;
		text_22.innerText = translations.ka.DText_22;
		text_23.innerText = translations.ka.DText_23;
		text_24.innerText = translations.ka.DText_24;
		text_25.innerText = translations.ka.DText_25;
		text_26.innerText = translations.ka.DText_26;
		text_27.innerText = translations.ka.DText_27;
		text_28.innerText = translations.ka.DText_28;
		text_29.innerText = translations.ka.DText_29;
		text_30.innerText = translations.ka.DText_30;
		text_31.innerText = translations.ka.DText_31;
		text_32.innerText = translations.ka.DText_32;
		text_33.innerText = translations.ka.DText_33;
		text_34.innerText = translations.ka.DText_34;
		text_35.innerText = translations.ka.DText_35;
		text_36.innerText = translations.ka.DText_36;
		text_37.innerText = translations.ka.DText_37;
		text_38.innerText = translations.ka.DText_38;
		text_39.innerText = translations.ka.DText_39;
		text_40.innerText = translations.ka.DText_40;
		text_41.innerText = translations.ka.DText_41;
		text_42.innerText = translations.ka.DText_42;
		text_43.innerText = translations.ka.DText_43;
		text_44.innerText = translations.ka.DText_44;
		text_45.innerText = translations.ka.DText_45;
		text_46.innerText = translations.ka.DText_46;
		text_47.innerText = translations.ka.DText_47;
		text_48.innerText = translations.ka.DText_48;
		text_49.innerText = translations.ka.DText_49;
		text_50.innerText = translations.ka.DText_50;
		text_51.innerText = translations.ka.DText_51;
		text_511.innerText = translations.ka.DText_511;
		text_52.innerText = translations.ka.DText_52;
		text_41a.innerText = translations.ka.DText_41;
		text_42a.innerText = translations.ka.DText_42;
		text_43a.innerText = translations.ka.DText_43;
		text_44a.innerText = translations.ka.DText_44;
		text_45a.innerText = translations.ka.DText_45;
		text_46a.innerText = translations.ka.DText_46;
		text_47a.innerText = translations.ka.DText_47;
		text_48a.innerText = translations.ka.DText_48;
		text_49a.innerText = translations.ka.DText_49;
		text_50a.innerText = translations.ka.DText_50;
		text_51a.innerText = translations.ka.DText_51;
		text_511a.innerText = translations.ka.DText_511;
		male.innerText = translations.ka.male;
		female.innerText = translations.ka.female;
		other.innerText = translations.ka.other;
	}else if(language == "kh"){
		footer_00.innerText = translations.kh.footer00;
		footer_01.innerText = translations.kh.footer01;
		footer_02.innerText = translations.kh.footer02;
		footer_03.innerText = translations.kh.footer03;
		footer_04.innerText = translations.kh.footer04;
		footer_05.innerText = translations.kh.footer05;
		footer_06.innerText = translations.kh.footer06;
		footer_07.innerText = translations.kh.footer07;
		footer_08.innerText = translations.kh.footer08;
		footer_09.innerText = translations.kh.footer09;
		footer_10.innerText = translations.kh.footer10;
		footer_11.innerText = translations.kh.footer11;
		footer_12.innerText = translations.kh.footer12;
		footer_13.innerText = translations.kh.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.kh.footer14;
		request.innerText = translations.kh.request;
		agree.innerText = translations.kh.agree;
		cashbook.innerText = translations.kh.cashbook;
		logout.innerText = translations.kh.logout;
		if (welcome) {welcome.innerText = translations.kh.welcome;}
		text_01.innerText = translations.kh.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.kh.DText_02+'</p>';
		text_03.innerText = translations.kh.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.kh.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.kh.DText_05;
		text_06.placeholder = translations.kh.DText_06;
		text_07.innerHTML = translations.kh.DText_07;
		text_08.placeholder = translations.kh.DText_08;
		text_09.innerHTML = translations.kh.DText_09;
		text_10.placeholder = translations.kh.DText_10;
		if (text_11) {text_11.innerText = translations.kh.DText_11;}
		if (text_12) {text_12.innerText = translations.kh.DText_12;}
		text_13.innerText = translations.kh.DText_13;
		text_14.innerText = translations.kh.DText_14;
		text_15.placeholder = translations.kh.DText_15;
		text_16.innerText = translations.kh.DText_16;
		text_17.innerText = translations.kh.DText_17;
		text_18.innerText = translations.kh.DText_18;
		text_19.innerText = translations.kh.DText_19;
		text_20.innerText = translations.kh.DText_20;
		text_21.innerText = translations.kh.DText_21;
		text_22.innerText = translations.kh.DText_22;
		text_23.innerText = translations.kh.DText_23;
		text_24.innerText = translations.kh.DText_24;
		text_25.innerText = translations.kh.DText_25;
		text_26.innerText = translations.kh.DText_26;
		text_27.innerText = translations.kh.DText_27;
		text_28.innerText = translations.kh.DText_28;
		text_29.innerText = translations.kh.DText_29;
		text_30.innerText = translations.kh.DText_30;
		text_31.innerText = translations.kh.DText_31;
		text_32.innerText = translations.kh.DText_32;
		text_33.innerText = translations.kh.DText_33;
		text_34.innerText = translations.kh.DText_34;
		text_35.innerText = translations.kh.DText_35;
		text_36.innerText = translations.kh.DText_36;
		text_37.innerText = translations.kh.DText_37;
		text_38.innerText = translations.kh.DText_38;
		text_39.innerText = translations.kh.DText_39;
		text_40.innerText = translations.kh.DText_40;
		text_41.innerText = translations.kh.DText_41;
		text_42.innerText = translations.kh.DText_42;
		text_43.innerText = translations.kh.DText_43;
		text_44.innerText = translations.kh.DText_44;
		text_45.innerText = translations.kh.DText_45;
		text_46.innerText = translations.kh.DText_46;
		text_47.innerText = translations.kh.DText_47;
		text_48.innerText = translations.kh.DText_48;
		text_49.innerText = translations.kh.DText_49;
		text_50.innerText = translations.kh.DText_50;
		text_51.innerText = translations.kh.DText_51;
		text_511.innerText = translations.kh.DText_511;
		text_52.innerText = translations.kh.DText_52;
		text_41a.innerText = translations.kh.DText_41;
		text_42a.innerText = translations.kh.DText_42;
		text_43a.innerText = translations.kh.DText_43;
		text_44a.innerText = translations.kh.DText_44;
		text_45a.innerText = translations.kh.DText_45;
		text_46a.innerText = translations.kh.DText_46;
		text_47a.innerText = translations.kh.DText_47;
		text_48a.innerText = translations.kh.DText_48;
		text_49a.innerText = translations.kh.DText_49;
		text_50a.innerText = translations.kh.DText_50;
		text_51a.innerText = translations.kh.DText_51;
		text_511a.innerText = translations.kh.DText_511;
		male.innerText = translations.kh.male;
		female.innerText = translations.kh.female;
		other.innerText = translations.kh.other;
	}else if(language == "ki"){
		footer_00.innerText = translations.ki.footer00;
		footer_01.innerText = translations.ki.footer01;
		footer_02.innerText = translations.ki.footer02;
		footer_03.innerText = translations.ki.footer03;
		footer_04.innerText = translations.ki.footer04;
		footer_05.innerText = translations.ki.footer05;
		footer_06.innerText = translations.ki.footer06;
		footer_07.innerText = translations.ki.footer07;
		footer_08.innerText = translations.ki.footer08;
		footer_09.innerText = translations.ki.footer09;
		footer_10.innerText = translations.ki.footer10;
		footer_11.innerText = translations.ki.footer11;
		footer_12.innerText = translations.ki.footer12;
		footer_13.innerText = translations.ki.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ki.footer14;
		request.innerText = translations.ki.request;
		agree.innerText = translations.ki.agree;
		cashbook.innerText = translations.ki.cashbook;
		logout.innerText = translations.ki.logout;
		if (welcome) {welcome.innerText = translations.ki.welcome;}
		text_01.innerText = translations.ki.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.ki.DText_02+'</p>';
		text_03.innerText = translations.ki.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.ki.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.ki.DText_05;
		text_06.placeholder = translations.ki.DText_06;
		text_07.innerHTML = translations.ki.DText_07;
		text_08.placeholder = translations.ki.DText_08;
		text_09.innerHTML = translations.ki.DText_09;
		text_10.placeholder = translations.ki.DText_10;
		if (text_11) {text_11.innerText = translations.ki.DText_11;}
		if (text_12) {text_12.innerText = translations.ki.DText_12;}
		text_13.innerText = translations.ki.DText_13;
		text_14.innerText = translations.ki.DText_14;
		text_15.placeholder = translations.ki.DText_15;
		text_16.innerText = translations.ki.DText_16;
		text_17.innerText = translations.ki.DText_17;
		text_18.innerText = translations.ki.DText_18;
		text_19.innerText = translations.ki.DText_19;
		text_20.innerText = translations.ki.DText_20;
		text_21.innerText = translations.ki.DText_21;
		text_22.innerText = translations.ki.DText_22;
		text_23.innerText = translations.ki.DText_23;
		text_24.innerText = translations.ki.DText_24;
		text_25.innerText = translations.ki.DText_25;
		text_26.innerText = translations.ki.DText_26;
		text_27.innerText = translations.ki.DText_27;
		text_28.innerText = translations.ki.DText_28;
		text_29.innerText = translations.ki.DText_29;
		text_30.innerText = translations.ki.DText_30;
		text_31.innerText = translations.ki.DText_31;
		text_32.innerText = translations.ki.DText_32;
		text_33.innerText = translations.ki.DText_33;
		text_34.innerText = translations.ki.DText_34;
		text_35.innerText = translations.ki.DText_35;
		text_36.innerText = translations.ki.DText_36;
		text_37.innerText = translations.ki.DText_37;
		text_38.innerText = translations.ki.DText_38;
		text_39.innerText = translations.ki.DText_39;
		text_40.innerText = translations.ki.DText_40;
		text_41.innerText = translations.ki.DText_41;
		text_42.innerText = translations.ki.DText_42;
		text_43.innerText = translations.ki.DText_43;
		text_44.innerText = translations.ki.DText_44;
		text_45.innerText = translations.ki.DText_45;
		text_46.innerText = translations.ki.DText_46;
		text_47.innerText = translations.ki.DText_47;
		text_48.innerText = translations.ki.DText_48;
		text_49.innerText = translations.ki.DText_49;
		text_50.innerText = translations.ki.DText_50;
		text_51.innerText = translations.ki.DText_51;
		text_511.innerText = translations.ki.DText_511;
		text_52.innerText = translations.ki.DText_52;
		text_41a.innerText = translations.ki.DText_41;
		text_42a.innerText = translations.ki.DText_42;
		text_43a.innerText = translations.ki.DText_43;
		text_44a.innerText = translations.ki.DText_44;
		text_45a.innerText = translations.ki.DText_45;
		text_46a.innerText = translations.ki.DText_46;
		text_47a.innerText = translations.ki.DText_47;
		text_48a.innerText = translations.ki.DText_48;
		text_49a.innerText = translations.ki.DText_49;
		text_50a.innerText = translations.ki.DText_50;
		text_51a.innerText = translations.ki.DText_51;
		text_511a.innerText = translations.ki.DText_511;
		male.innerText = translations.ki.male;
		female.innerText = translations.ki.female;
		other.innerText = translations.ki.other;
	}else if(language == "sh"){
		footer_00.innerText = translations.sh.footer00;
		footer_01.innerText = translations.sh.footer01;
		footer_02.innerText = translations.sh.footer02;
		footer_03.innerText = translations.sh.footer03;
		footer_04.innerText = translations.sh.footer04;
		footer_05.innerText = translations.sh.footer05;
		footer_06.innerText = translations.sh.footer06;
		footer_07.innerText = translations.sh.footer07;
		footer_08.innerText = translations.sh.footer08;
		footer_09.innerText = translations.sh.footer09;
		footer_10.innerText = translations.sh.footer10;
		footer_11.innerText = translations.sh.footer11;
		footer_12.innerText = translations.sh.footer12;
		footer_13.innerText = translations.sh.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.sh.footer14;
		request.innerText = translations.sh.request;
		agree.innerText = translations.sh.agree;
		cashbook.innerText = translations.sh.cashbook;
		logout.innerText = translations.sh.logout;
		if (welcome) {welcome.innerText = translations.sh.welcome;}
		text_01.innerText = translations.sh.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.sh.DText_02+'</p>';
		text_03.innerText = translations.sh.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.sh.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.sh.DText_05;
		text_06.placeholder = translations.sh.DText_06;
		text_07.innerHTML = translations.sh.DText_07;
		text_08.placeholder = translations.sh.DText_08;
		text_09.innerHTML = translations.sh.DText_09;
		text_10.placeholder = translations.sh.DText_10;
		if (text_11) {text_11.innerText = translations.sh.DText_11;}
		if (text_12) {text_12.innerText = translations.sh.DText_12;}
		text_13.innerText = translations.sh.DText_13;
		text_14.innerText = translations.sh.DText_14;
		text_15.placeholder = translations.sh.DText_15;
		text_16.innerText = translations.sh.DText_16;
		text_17.innerText = translations.sh.DText_17;
		text_18.innerText = translations.sh.DText_18;
		text_19.innerText = translations.sh.DText_19;
		text_20.innerText = translations.sh.DText_20;
		text_21.innerText = translations.sh.DText_21;
		text_22.innerText = translations.sh.DText_22;
		text_23.innerText = translations.sh.DText_23;
		text_24.innerText = translations.sh.DText_24;
		text_25.innerText = translations.sh.DText_25;
		text_26.innerText = translations.sh.DText_26;
		text_27.innerText = translations.sh.DText_27;
		text_28.innerText = translations.sh.DText_28;
		text_29.innerText = translations.sh.DText_29;
		text_30.innerText = translations.sh.DText_30;
		text_31.innerText = translations.sh.DText_31;
		text_32.innerText = translations.sh.DText_32;
		text_33.innerText = translations.sh.DText_33;
		text_34.innerText = translations.sh.DText_34;
		text_35.innerText = translations.sh.DText_35;
		text_36.innerText = translations.sh.DText_36;
		text_37.innerText = translations.sh.DText_37;
		text_38.innerText = translations.sh.DText_38;
		text_39.innerText = translations.sh.DText_39;
		text_40.innerText = translations.sh.DText_40;
		text_41.innerText = translations.sh.DText_41;
		text_42.innerText = translations.sh.DText_42;
		text_43.innerText = translations.sh.DText_43;
		text_44.innerText = translations.sh.DText_44;
		text_45.innerText = translations.sh.DText_45;
		text_46.innerText = translations.sh.DText_46;
		text_47.innerText = translations.sh.DText_47;
		text_48.innerText = translations.sh.DText_48;
		text_49.innerText = translations.sh.DText_49;
		text_50.innerText = translations.sh.DText_50;
		text_51.innerText = translations.sh.DText_51;
		text_511.innerText = translations.sh.DText_511;
		text_52.innerText = translations.sh.DText_52;
		text_41a.innerText = translations.sh.DText_41;
		text_42a.innerText = translations.sh.DText_42;
		text_43a.innerText = translations.sh.DText_43;
		text_44a.innerText = translations.sh.DText_44;
		text_45a.innerText = translations.sh.DText_45;
		text_46a.innerText = translations.sh.DText_46;
		text_47a.innerText = translations.sh.DText_47;
		text_48a.innerText = translations.sh.DText_48;
		text_49a.innerText = translations.sh.DText_49;
		text_50a.innerText = translations.sh.DText_50;
		text_51a.innerText = translations.sh.DText_51;
		text_511a.innerText = translations.sh.DText_511;
		male.innerText = translations.sh.male;
		female.innerText = translations.sh.female;
		other.innerText = translations.sh.other;
	}else if(language == "co"){
		footer_00.innerText = translations.co.footer00;
		footer_01.innerText = translations.co.footer01;
		footer_02.innerText = translations.co.footer02;
		footer_03.innerText = translations.co.footer03;
		footer_04.innerText = translations.co.footer04;
		footer_05.innerText = translations.co.footer05;
		footer_06.innerText = translations.co.footer06;
		footer_07.innerText = translations.co.footer07;
		footer_08.innerText = translations.co.footer08;
		footer_09.innerText = translations.co.footer09;
		footer_10.innerText = translations.co.footer10;
		footer_11.innerText = translations.co.footer11;
		footer_12.innerText = translations.co.footer12;
		footer_13.innerText = translations.co.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.co.footer14;
		request.innerText = translations.co.request;
		agree.innerText = translations.co.agree;
		cashbook.innerText = translations.co.cashbook;
		logout.innerText = translations.co.logout;
		if (welcome) {welcome.innerText = translations.co.welcome;}
		text_01.innerText = translations.co.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.co.DText_02+'</p>';
		text_03.innerText = translations.co.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.co.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.co.DText_05;
		text_06.placeholder = translations.co.DText_06;
		text_07.innerHTML = translations.co.DText_07;
		text_08.placeholder = translations.co.DText_08;
		text_09.innerHTML = translations.co.DText_09;
		text_10.placeholder = translations.co.DText_10;
		if (text_11) {text_11.innerText = translations.co.DText_11;}
		if (text_12) {text_12.innerText = translations.co.DText_12;}
		text_13.innerText = translations.co.DText_13;
		text_14.innerText = translations.co.DText_14;
		text_15.placeholder = translations.co.DText_15;
		text_16.innerText = translations.co.DText_16;
		text_17.innerText = translations.co.DText_17;
		text_18.innerText = translations.co.DText_18;
		text_19.innerText = translations.co.DText_19;
		text_20.innerText = translations.co.DText_20;
		text_21.innerText = translations.co.DText_21;
		text_22.innerText = translations.co.DText_22;
		text_23.innerText = translations.co.DText_23;
		text_24.innerText = translations.co.DText_24;
		text_25.innerText = translations.co.DText_25;
		text_26.innerText = translations.co.DText_26;
		text_27.innerText = translations.co.DText_27;
		text_28.innerText = translations.co.DText_28;
		text_29.innerText = translations.co.DText_29;
		text_30.innerText = translations.co.DText_30;
		text_31.innerText = translations.co.DText_31;
		text_32.innerText = translations.co.DText_32;
		text_33.innerText = translations.co.DText_33;
		text_34.innerText = translations.co.DText_34;
		text_35.innerText = translations.co.DText_35;
		text_36.innerText = translations.co.DText_36;
		text_37.innerText = translations.co.DText_37;
		text_38.innerText = translations.co.DText_38;
		text_39.innerText = translations.co.DText_39;
		text_40.innerText = translations.co.DText_40;
		text_41.innerText = translations.co.DText_41;
		text_42.innerText = translations.co.DText_42;
		text_43.innerText = translations.co.DText_43;
		text_44.innerText = translations.co.DText_44;
		text_45.innerText = translations.co.DText_45;
		text_46.innerText = translations.co.DText_46;
		text_47.innerText = translations.co.DText_47;
		text_48.innerText = translations.co.DText_48;
		text_49.innerText = translations.co.DText_49;
		text_50.innerText = translations.co.DText_50;
		text_51.innerText = translations.co.DText_51;
		text_511.innerText = translations.co.DText_511;
		text_52.innerText = translations.co.DText_52;
		text_41a.innerText = translations.co.DText_41;
		text_42a.innerText = translations.co.DText_42;
		text_43a.innerText = translations.co.DText_43;
		text_44a.innerText = translations.co.DText_44;
		text_45a.innerText = translations.co.DText_45;
		text_46a.innerText = translations.co.DText_46;
		text_47a.innerText = translations.co.DText_47;
		text_48a.innerText = translations.co.DText_48;
		text_49a.innerText = translations.co.DText_49;
		text_50a.innerText = translations.co.DText_50;
		text_51a.innerText = translations.co.DText_51;
		text_511a.innerText = translations.co.DText_511;
		male.innerText = translations.co.male;
		female.innerText = translations.co.female;
		other.innerText = translations.co.other;
	}else if(language == "ko"){
		footer_00.innerText = translations.ko.footer00;
		footer_01.innerText = translations.ko.footer01;
		footer_02.innerText = translations.ko.footer02;
		footer_03.innerText = translations.ko.footer03;
		footer_04.innerText = translations.ko.footer04;
		footer_05.innerText = translations.ko.footer05;
		footer_06.innerText = translations.ko.footer06;
		footer_07.innerText = translations.ko.footer07;
		footer_08.innerText = translations.ko.footer08;
		footer_09.innerText = translations.ko.footer09;
		footer_10.innerText = translations.ko.footer10;
		footer_11.innerText = translations.ko.footer11;
		footer_12.innerText = translations.ko.footer12;
		footer_13.innerText = translations.ko.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ko.footer14;
		request.innerText = translations.ko.request;
		agree.innerText = translations.ko.agree;
		cashbook.innerText = translations.ko.cashbook;
		logout.innerText = translations.ko.logout;
		if (welcome) {welcome.innerText = translations.ko.welcome;}
		text_01.innerText = translations.ko.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.ko.DText_02+'</p>';
		text_03.innerText = translations.ko.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.ko.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.ko.DText_05;
		text_06.placeholder = translations.ko.DText_06;
		text_07.innerHTML = translations.ko.DText_07;
		text_08.placeholder = translations.ko.DText_08;
		text_09.innerHTML = translations.ko.DText_09;
		text_10.placeholder = translations.ko.DText_10;
		if (text_11) {text_11.innerText = translations.ko.DText_11;}
		if (text_12) {text_12.innerText = translations.ko.DText_12;}
		text_13.innerText = translations.ko.DText_13;
		text_14.innerText = translations.ko.DText_14;
		text_15.placeholder = translations.ko.DText_15;
		text_16.innerText = translations.ko.DText_16;
		text_17.innerText = translations.ko.DText_17;
		text_18.innerText = translations.ko.DText_18;
		text_19.innerText = translations.ko.DText_19;
		text_20.innerText = translations.ko.DText_20;
		text_21.innerText = translations.ko.DText_21;
		text_22.innerText = translations.ko.DText_22;
		text_23.innerText = translations.ko.DText_23;
		text_24.innerText = translations.ko.DText_24;
		text_25.innerText = translations.ko.DText_25;
		text_26.innerText = translations.ko.DText_26;
		text_27.innerText = translations.ko.DText_27;
		text_28.innerText = translations.ko.DText_28;
		text_29.innerText = translations.ko.DText_29;
		text_30.innerText = translations.ko.DText_30;
		text_31.innerText = translations.ko.DText_31;
		text_32.innerText = translations.ko.DText_32;
		text_33.innerText = translations.ko.DText_33;
		text_34.innerText = translations.ko.DText_34;
		text_35.innerText = translations.ko.DText_35;
		text_36.innerText = translations.ko.DText_36;
		text_37.innerText = translations.ko.DText_37;
		text_38.innerText = translations.ko.DText_38;
		text_39.innerText = translations.ko.DText_39;
		text_40.innerText = translations.ko.DText_40;
		text_41.innerText = translations.ko.DText_41;
		text_42.innerText = translations.ko.DText_42;
		text_43.innerText = translations.ko.DText_43;
		text_44.innerText = translations.ko.DText_44;
		text_45.innerText = translations.ko.DText_45;
		text_46.innerText = translations.ko.DText_46;
		text_47.innerText = translations.ko.DText_47;
		text_48.innerText = translations.ko.DText_48;
		text_49.innerText = translations.ko.DText_49;
		text_50.innerText = translations.ko.DText_50;
		text_51.innerText = translations.ko.DText_51;
		text_511.innerText = translations.ko.DText_511;
		text_52.innerText = translations.ko.DText_52;
		text_41a.innerText = translations.ko.DText_41;
		text_42a.innerText = translations.ko.DText_42;
		text_43a.innerText = translations.ko.DText_43;
		text_44a.innerText = translations.ko.DText_44;
		text_45a.innerText = translations.ko.DText_45;
		text_46a.innerText = translations.ko.DText_46;
		text_47a.innerText = translations.ko.DText_47;
		text_48a.innerText = translations.ko.DText_48;
		text_49a.innerText = translations.ko.DText_49;
		text_50a.innerText = translations.ko.DText_50;
		text_51a.innerText = translations.ko.DText_51;
		text_511a.innerText = translations.ko.DText_511;
		male.innerText = translations.ko.male;
		female.innerText = translations.ko.female;
		other.innerText = translations.ko.other;
	}else if(language == "kg"){
		footer_00.innerText = translations.kg.footer00;
		footer_01.innerText = translations.kg.footer01;
		footer_02.innerText = translations.kg.footer02;
		footer_03.innerText = translations.kg.footer03;
		footer_04.innerText = translations.kg.footer04;
		footer_05.innerText = translations.kg.footer05;
		footer_06.innerText = translations.kg.footer06;
		footer_07.innerText = translations.kg.footer07;
		footer_08.innerText = translations.kg.footer08;
		footer_09.innerText = translations.kg.footer09;
		footer_10.innerText = translations.kg.footer10;
		footer_11.innerText = translations.kg.footer11;
		footer_12.innerText = translations.kg.footer12;
		footer_13.innerText = translations.kg.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.kg.footer14;
		request.innerText = translations.kg.request;
		agree.innerText = translations.kg.agree;
		cashbook.innerText = translations.kg.cashbook;
		logout.innerText = translations.kg.logout;
		if (welcome) {welcome.innerText = translations.kg.welcome;}
		text_01.innerText = translations.kg.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.kg.DText_02+'</p>';
		text_03.innerText = translations.kg.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.kg.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.kg.DText_05;
		text_06.placeholder = translations.kg.DText_06;
		text_07.innerHTML = translations.kg.DText_07;
		text_08.placeholder = translations.kg.DText_08;
		text_09.innerHTML = translations.kg.DText_09;
		text_10.placeholder = translations.kg.DText_10;
		if (text_11) {text_11.innerText = translations.kg.DText_11;}
		if (text_12) {text_12.innerText = translations.kg.DText_12;}
		text_13.innerText = translations.kg.DText_13;
		text_14.innerText = translations.kg.DText_14;
		text_15.placeholder = translations.kg.DText_15;
		text_16.innerText = translations.kg.DText_16;
		text_17.innerText = translations.kg.DText_17;
		text_18.innerText = translations.kg.DText_18;
		text_19.innerText = translations.kg.DText_19;
		text_20.innerText = translations.kg.DText_20;
		text_21.innerText = translations.kg.DText_21;
		text_22.innerText = translations.kg.DText_22;
		text_23.innerText = translations.kg.DText_23;
		text_24.innerText = translations.kg.DText_24;
		text_25.innerText = translations.kg.DText_25;
		text_26.innerText = translations.kg.DText_26;
		text_27.innerText = translations.kg.DText_27;
		text_28.innerText = translations.kg.DText_28;
		text_29.innerText = translations.kg.DText_29;
		text_30.innerText = translations.kg.DText_30;
		text_31.innerText = translations.kg.DText_31;
		text_32.innerText = translations.kg.DText_32;
		text_33.innerText = translations.kg.DText_33;
		text_34.innerText = translations.kg.DText_34;
		text_35.innerText = translations.kg.DText_35;
		text_36.innerText = translations.kg.DText_36;
		text_37.innerText = translations.kg.DText_37;
		text_38.innerText = translations.kg.DText_38;
		text_39.innerText = translations.kg.DText_39;
		text_40.innerText = translations.kg.DText_40;
		text_41.innerText = translations.kg.DText_41;
		text_42.innerText = translations.kg.DText_42;
		text_43.innerText = translations.kg.DText_43;
		text_44.innerText = translations.kg.DText_44;
		text_45.innerText = translations.kg.DText_45;
		text_46.innerText = translations.kg.DText_46;
		text_47.innerText = translations.kg.DText_47;
		text_48.innerText = translations.kg.DText_48;
		text_49.innerText = translations.kg.DText_49;
		text_50.innerText = translations.kg.DText_50;
		text_51.innerText = translations.kg.DText_51;
		text_511.innerText = translations.kg.DText_511;
		text_52.innerText = translations.kg.DText_52;
		text_41a.innerText = translations.kg.DText_41;
		text_42a.innerText = translations.kg.DText_42;
		text_43a.innerText = translations.kg.DText_43;
		text_44a.innerText = translations.kg.DText_44;
		text_45a.innerText = translations.kg.DText_45;
		text_46a.innerText = translations.kg.DText_46;
		text_47a.innerText = translations.kg.DText_47;
		text_48a.innerText = translations.kg.DText_48;
		text_49a.innerText = translations.kg.DText_49;
		text_50a.innerText = translations.kg.DText_50;
		text_51a.innerText = translations.kg.DText_51;
		text_511a.innerText = translations.kg.DText_511;
		male.innerText = translations.kg.male;
		female.innerText = translations.kg.female;
		other.innerText = translations.kg.other;
	}else if(language == "la"){
		footer_00.innerText = translations.la.footer00;
		footer_01.innerText = translations.la.footer01;
		footer_02.innerText = translations.la.footer02;
		footer_03.innerText = translations.la.footer03;
		footer_04.innerText = translations.la.footer04;
		footer_05.innerText = translations.la.footer05;
		footer_06.innerText = translations.la.footer06;
		footer_07.innerText = translations.la.footer07;
		footer_08.innerText = translations.la.footer08;
		footer_09.innerText = translations.la.footer09;
		footer_10.innerText = translations.la.footer10;
		footer_11.innerText = translations.la.footer11;
		footer_12.innerText = translations.la.footer12;
		footer_13.innerText = translations.la.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.la.footer14;
		request.innerText = translations.la.request;
		agree.innerText = translations.la.agree;
		cashbook.innerText = translations.la.cashbook;
		logout.innerText = translations.la.logout;
		if (welcome) {welcome.innerText = translations.la.welcome;}
		text_01.innerText = translations.la.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.la.DText_02+'</p>';
		text_03.innerText = translations.la.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.la.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.la.DText_05;
		text_06.placeholder = translations.la.DText_06;
		text_07.innerHTML = translations.la.DText_07;
		text_08.placeholder = translations.la.DText_08;
		text_09.innerHTML = translations.la.DText_09;
		text_10.placeholder = translations.la.DText_10;
		if (text_11) {text_11.innerText = translations.la.DText_11;}
		if (text_12) {text_12.innerText = translations.la.DText_12;}
		text_13.innerText = translations.la.DText_13;
		text_14.innerText = translations.la.DText_14;
		text_15.placeholder = translations.la.DText_15;
		text_16.innerText = translations.la.DText_16;
		text_17.innerText = translations.la.DText_17;
		text_18.innerText = translations.la.DText_18;
		text_19.innerText = translations.la.DText_19;
		text_20.innerText = translations.la.DText_20;
		text_21.innerText = translations.la.DText_21;
		text_22.innerText = translations.la.DText_22;
		text_23.innerText = translations.la.DText_23;
		text_24.innerText = translations.la.DText_24;
		text_25.innerText = translations.la.DText_25;
		text_26.innerText = translations.la.DText_26;
		text_27.innerText = translations.la.DText_27;
		text_28.innerText = translations.la.DText_28;
		text_29.innerText = translations.la.DText_29;
		text_30.innerText = translations.la.DText_30;
		text_31.innerText = translations.la.DText_31;
		text_32.innerText = translations.la.DText_32;
		text_33.innerText = translations.la.DText_33;
		text_34.innerText = translations.la.DText_34;
		text_35.innerText = translations.la.DText_35;
		text_36.innerText = translations.la.DText_36;
		text_37.innerText = translations.la.DText_37;
		text_38.innerText = translations.la.DText_38;
		text_39.innerText = translations.la.DText_39;
		text_40.innerText = translations.la.DText_40;
		text_41.innerText = translations.la.DText_41;
		text_42.innerText = translations.la.DText_42;
		text_43.innerText = translations.la.DText_43;
		text_44.innerText = translations.la.DText_44;
		text_45.innerText = translations.la.DText_45;
		text_46.innerText = translations.la.DText_46;
		text_47.innerText = translations.la.DText_47;
		text_48.innerText = translations.la.DText_48;
		text_49.innerText = translations.la.DText_49;
		text_50.innerText = translations.la.DText_50;
		text_51.innerText = translations.la.DText_51;
		text_511.innerText = translations.la.DText_511;
		text_52.innerText = translations.la.DText_52;
		text_41a.innerText = translations.la.DText_41;
		text_42a.innerText = translations.la.DText_42;
		text_43a.innerText = translations.la.DText_43;
		text_44a.innerText = translations.la.DText_44;
		text_45a.innerText = translations.la.DText_45;
		text_46a.innerText = translations.la.DText_46;
		text_47a.innerText = translations.la.DText_47;
		text_48a.innerText = translations.la.DText_48;
		text_49a.innerText = translations.la.DText_49;
		text_50a.innerText = translations.la.DText_50;
		text_51a.innerText = translations.la.DText_51;
		text_511a.innerText = translations.la.DText_511;
		male.innerText = translations.la.male;
		female.innerText = translations.la.female;
		other.innerText = translations.la.other;
	}else if(language == "lv"){
		footer_00.innerText = translations.lv.footer00;
		footer_01.innerText = translations.lv.footer01;
		footer_02.innerText = translations.lv.footer02;
		footer_03.innerText = translations.lv.footer03;
		footer_04.innerText = translations.lv.footer04;
		footer_05.innerText = translations.lv.footer05;
		footer_06.innerText = translations.lv.footer06;
		footer_07.innerText = translations.lv.footer07;
		footer_08.innerText = translations.lv.footer08;
		footer_09.innerText = translations.lv.footer09;
		footer_10.innerText = translations.lv.footer10;
		footer_11.innerText = translations.lv.footer11;
		footer_12.innerText = translations.lv.footer12;
		footer_13.innerText = translations.lv.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.lv.footer14;
		request.innerText = translations.lv.request;
		agree.innerText = translations.lv.agree;
		cashbook.innerText = translations.lv.cashbook;
		logout.innerText = translations.lv.logout;
		if (welcome) {welcome.innerText = translations.lv.welcome;}
		text_01.innerText = translations.lv.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.lv.DText_02+'</p>';
		text_03.innerText = translations.lv.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.lv.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.lv.DText_05;
		text_06.placeholder = translations.lv.DText_06;
		text_07.innerHTML = translations.lv.DText_07;
		text_08.placeholder = translations.lv.DText_08;
		text_09.innerHTML = translations.lv.DText_09;
		text_10.placeholder = translations.lv.DText_10;
		if (text_11) {text_11.innerText = translations.lv.DText_11;}
		if (text_12) {text_12.innerText = translations.lv.DText_12;}
		text_13.innerText = translations.lv.DText_13;
		text_14.innerText = translations.lv.DText_14;
		text_15.placeholder = translations.lv.DText_15;
		text_16.innerText = translations.lv.DText_16;
		text_17.innerText = translations.lv.DText_17;
		text_18.innerText = translations.lv.DText_18;
		text_19.innerText = translations.lv.DText_19;
		text_20.innerText = translations.lv.DText_20;
		text_21.innerText = translations.lv.DText_21;
		text_22.innerText = translations.lv.DText_22;
		text_23.innerText = translations.lv.DText_23;
		text_24.innerText = translations.lv.DText_24;
		text_25.innerText = translations.lv.DText_25;
		text_26.innerText = translations.lv.DText_26;
		text_27.innerText = translations.lv.DText_27;
		text_28.innerText = translations.lv.DText_28;
		text_29.innerText = translations.lv.DText_29;
		text_30.innerText = translations.lv.DText_30;
		text_31.innerText = translations.lv.DText_31;
		text_32.innerText = translations.lv.DText_32;
		text_33.innerText = translations.lv.DText_33;
		text_34.innerText = translations.lv.DText_34;
		text_35.innerText = translations.lv.DText_35;
		text_36.innerText = translations.lv.DText_36;
		text_37.innerText = translations.lv.DText_37;
		text_38.innerText = translations.lv.DText_38;
		text_39.innerText = translations.lv.DText_39;
		text_40.innerText = translations.lv.DText_40;
		text_41.innerText = translations.lv.DText_41;
		text_42.innerText = translations.lv.DText_42;
		text_43.innerText = translations.lv.DText_43;
		text_44.innerText = translations.lv.DText_44;
		text_45.innerText = translations.lv.DText_45;
		text_46.innerText = translations.lv.DText_46;
		text_47.innerText = translations.lv.DText_47;
		text_48.innerText = translations.lv.DText_48;
		text_49.innerText = translations.lv.DText_49;
		text_50.innerText = translations.lv.DText_50;
		text_51.innerText = translations.lv.DText_51;
		text_511.innerText = translations.lv.DText_511;
		text_52.innerText = translations.lv.DText_52;
		text_41a.innerText = translations.lv.DText_41;
		text_42a.innerText = translations.lv.DText_42;
		text_43a.innerText = translations.lv.DText_43;
		text_44a.innerText = translations.lv.DText_44;
		text_45a.innerText = translations.lv.DText_45;
		text_46a.innerText = translations.lv.DText_46;
		text_47a.innerText = translations.lv.DText_47;
		text_48a.innerText = translations.lv.DText_48;
		text_49a.innerText = translations.lv.DText_49;
		text_50a.innerText = translations.lv.DText_50;
		text_51a.innerText = translations.lv.DText_51;
		text_511a.innerText = translations.lv.DText_511;
		male.innerText = translations.lv.male;
		female.innerText = translations.lv.female;
		other.innerText = translations.lv.other;
	}else if(language == "lt"){
		footer_00.innerText = translations.lt.footer00;
		footer_01.innerText = translations.lt.footer01;
		footer_02.innerText = translations.lt.footer02;
		footer_03.innerText = translations.lt.footer03;
		footer_04.innerText = translations.lt.footer04;
		footer_05.innerText = translations.lt.footer05;
		footer_06.innerText = translations.lt.footer06;
		footer_07.innerText = translations.lt.footer07;
		footer_08.innerText = translations.lt.footer08;
		footer_09.innerText = translations.lt.footer09;
		footer_10.innerText = translations.lt.footer10;
		footer_11.innerText = translations.lt.footer11;
		footer_12.innerText = translations.lt.footer12;
		footer_13.innerText = translations.lt.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.lt.footer14;
		request.innerText = translations.lt.request;
		agree.innerText = translations.lt.agree;
		cashbook.innerText = translations.lt.cashbook;
		logout.innerText = translations.lt.logout;
		if (welcome) {welcome.innerText = translations.lt.welcome;}
		text_01.innerText = translations.lt.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.lt.DText_02+'</p>';
		text_03.innerText = translations.lt.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.lt.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.lt.DText_05;
		text_06.placeholder = translations.lt.DText_06;
		text_07.innerHTML = translations.lt.DText_07;
		text_08.placeholder = translations.lt.DText_08;
		text_09.innerHTML = translations.lt.DText_09;
		text_10.placeholder = translations.lt.DText_10;
		if (text_11) {text_11.innerText = translations.lt.DText_11;}
		if (text_12) {text_12.innerText = translations.lt.DText_12;}
		text_13.innerText = translations.lt.DText_13;
		text_14.innerText = translations.lt.DText_14;
		text_15.placeholder = translations.lt.DText_15;
		text_16.innerText = translations.lt.DText_16;
		text_17.innerText = translations.lt.DText_17;
		text_18.innerText = translations.lt.DText_18;
		text_19.innerText = translations.lt.DText_19;
		text_20.innerText = translations.lt.DText_20;
		text_21.innerText = translations.lt.DText_21;
		text_22.innerText = translations.lt.DText_22;
		text_23.innerText = translations.lt.DText_23;
		text_24.innerText = translations.lt.DText_24;
		text_25.innerText = translations.lt.DText_25;
		text_26.innerText = translations.lt.DText_26;
		text_27.innerText = translations.lt.DText_27;
		text_28.innerText = translations.lt.DText_28;
		text_29.innerText = translations.lt.DText_29;
		text_30.innerText = translations.lt.DText_30;
		text_31.innerText = translations.lt.DText_31;
		text_32.innerText = translations.lt.DText_32;
		text_33.innerText = translations.lt.DText_33;
		text_34.innerText = translations.lt.DText_34;
		text_35.innerText = translations.lt.DText_35;
		text_36.innerText = translations.lt.DText_36;
		text_37.innerText = translations.lt.DText_37;
		text_38.innerText = translations.lt.DText_38;
		text_39.innerText = translations.lt.DText_39;
		text_40.innerText = translations.lt.DText_40;
		text_41.innerText = translations.lt.DText_41;
		text_42.innerText = translations.lt.DText_42;
		text_43.innerText = translations.lt.DText_43;
		text_44.innerText = translations.lt.DText_44;
		text_45.innerText = translations.lt.DText_45;
		text_46.innerText = translations.lt.DText_46;
		text_47.innerText = translations.lt.DText_47;
		text_48.innerText = translations.lt.DText_48;
		text_49.innerText = translations.lt.DText_49;
		text_50.innerText = translations.lt.DText_50;
		text_51.innerText = translations.lt.DText_51;
		text_511.innerText = translations.lt.DText_511;
		text_52.innerText = translations.lt.DText_52;
		text_41a.innerText = translations.lt.DText_41;
		text_42a.innerText = translations.lt.DText_42;
		text_43a.innerText = translations.lt.DText_43;
		text_44a.innerText = translations.lt.DText_44;
		text_45a.innerText = translations.lt.DText_45;
		text_46a.innerText = translations.lt.DText_46;
		text_47a.innerText = translations.lt.DText_47;
		text_48a.innerText = translations.lt.DText_48;
		text_49a.innerText = translations.lt.DText_49;
		text_50a.innerText = translations.lt.DText_50;
		text_51a.innerText = translations.lt.DText_51;
		text_511a.innerText = translations.lt.DText_511;
		male.innerText = translations.lt.male;
		female.innerText = translations.lt.female;
		other.innerText = translations.lt.other;
	}else if(language == "hu"){
		footer_00.innerText = translations.hu.footer00;
		footer_01.innerText = translations.hu.footer01;
		footer_02.innerText = translations.hu.footer02;
		footer_03.innerText = translations.hu.footer03;
		footer_04.innerText = translations.hu.footer04;
		footer_05.innerText = translations.hu.footer05;
		footer_06.innerText = translations.hu.footer06;
		footer_07.innerText = translations.hu.footer07;
		footer_08.innerText = translations.hu.footer08;
		footer_09.innerText = translations.hu.footer09;
		footer_10.innerText = translations.hu.footer10;
		footer_11.innerText = translations.hu.footer11;
		footer_12.innerText = translations.hu.footer12;
		footer_13.innerText = translations.hu.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.hu.footer14;
		request.innerText = translations.hu.request;
		agree.innerText = translations.hu.agree;
		cashbook.innerText = translations.hu.cashbook;
		logout.innerText = translations.hu.logout;
		if (welcome) {welcome.innerText = translations.hu.welcome;}
		text_01.innerText = translations.hu.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.hu.DText_02+'</p>';
		text_03.innerText = translations.hu.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.hu.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.hu.DText_05;
		text_06.placeholder = translations.hu.DText_06;
		text_07.innerHTML = translations.hu.DText_07;
		text_08.placeholder = translations.hu.DText_08;
		text_09.innerHTML = translations.hu.DText_09;
		text_10.placeholder = translations.hu.DText_10;
		if (text_11) {text_11.innerText = translations.hu.DText_11;}
		if (text_12) {text_12.innerText = translations.hu.DText_12;}
		text_13.innerText = translations.hu.DText_13;
		text_14.innerText = translations.hu.DText_14;
		text_15.placeholder = translations.hu.DText_15;
		text_16.innerText = translations.hu.DText_16;
		text_17.innerText = translations.hu.DText_17;
		text_18.innerText = translations.hu.DText_18;
		text_19.innerText = translations.hu.DText_19;
		text_20.innerText = translations.hu.DText_20;
		text_21.innerText = translations.hu.DText_21;
		text_22.innerText = translations.hu.DText_22;
		text_23.innerText = translations.hu.DText_23;
		text_24.innerText = translations.hu.DText_24;
		text_25.innerText = translations.hu.DText_25;
		text_26.innerText = translations.hu.DText_26;
		text_27.innerText = translations.hu.DText_27;
		text_28.innerText = translations.hu.DText_28;
		text_29.innerText = translations.hu.DText_29;
		text_30.innerText = translations.hu.DText_30;
		text_31.innerText = translations.hu.DText_31;
		text_32.innerText = translations.hu.DText_32;
		text_33.innerText = translations.hu.DText_33;
		text_34.innerText = translations.hu.DText_34;
		text_35.innerText = translations.hu.DText_35;
		text_36.innerText = translations.hu.DText_36;
		text_37.innerText = translations.hu.DText_37;
		text_38.innerText = translations.hu.DText_38;
		text_39.innerText = translations.hu.DText_39;
		text_40.innerText = translations.hu.DText_40;
		text_41.innerText = translations.hu.DText_41;
		text_42.innerText = translations.hu.DText_42;
		text_43.innerText = translations.hu.DText_43;
		text_44.innerText = translations.hu.DText_44;
		text_45.innerText = translations.hu.DText_45;
		text_46.innerText = translations.hu.DText_46;
		text_47.innerText = translations.hu.DText_47;
		text_48.innerText = translations.hu.DText_48;
		text_49.innerText = translations.hu.DText_49;
		text_50.innerText = translations.hu.DText_50;
		text_51.innerText = translations.hu.DText_51;
		text_511.innerText = translations.hu.DText_511;
		text_52.innerText = translations.hu.DText_52;
		text_41a.innerText = translations.hu.DText_41;
		text_42a.innerText = translations.hu.DText_42;
		text_43a.innerText = translations.hu.DText_43;
		text_44a.innerText = translations.hu.DText_44;
		text_45a.innerText = translations.hu.DText_45;
		text_46a.innerText = translations.hu.DText_46;
		text_47a.innerText = translations.hu.DText_47;
		text_48a.innerText = translations.hu.DText_48;
		text_49a.innerText = translations.hu.DText_49;
		text_50a.innerText = translations.hu.DText_50;
		text_51a.innerText = translations.hu.DText_51;
		text_511a.innerText = translations.hu.DText_511;
		male.innerText = translations.hu.male;
		female.innerText = translations.hu.female;
		other.innerText = translations.hu.other;
	}else if(language == "mg"){
		footer_00.innerText = translations.mg.footer00;
		footer_01.innerText = translations.mg.footer01;
		footer_02.innerText = translations.mg.footer02;
		footer_03.innerText = translations.mg.footer03;
		footer_04.innerText = translations.mg.footer04;
		footer_05.innerText = translations.mg.footer05;
		footer_06.innerText = translations.mg.footer06;
		footer_07.innerText = translations.mg.footer07;
		footer_08.innerText = translations.mg.footer08;
		footer_09.innerText = translations.mg.footer09;
		footer_10.innerText = translations.mg.footer10;
		footer_11.innerText = translations.mg.footer11;
		footer_12.innerText = translations.mg.footer12;
		footer_13.innerText = translations.mg.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.mg.footer14;
		request.innerText = translations.mg.request;
		agree.innerText = translations.mg.agree;
		cashbook.innerText = translations.mg.cashbook;
		logout.innerText = translations.mg.logout;
		if (welcome) {welcome.innerText = translations.mg.welcome;}
		text_01.innerText = translations.mg.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.mg.DText_02+'</p>';
		text_03.innerText = translations.mg.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.mg.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.mg.DText_05;
		text_06.placeholder = translations.mg.DText_06;
		text_07.innerHTML = translations.mg.DText_07;
		text_08.placeholder = translations.mg.DText_08;
		text_09.innerHTML = translations.mg.DText_09;
		text_10.placeholder = translations.mg.DText_10;
		if (text_11) {text_11.innerText = translations.mg.DText_11;}
		if (text_12) {text_12.innerText = translations.mg.DText_12;}
		text_13.innerText = translations.mg.DText_13;
		text_14.innerText = translations.mg.DText_14;
		text_15.placeholder = translations.mg.DText_15;
		text_16.innerText = translations.mg.DText_16;
		text_17.innerText = translations.mg.DText_17;
		text_18.innerText = translations.mg.DText_18;
		text_19.innerText = translations.mg.DText_19;
		text_20.innerText = translations.mg.DText_20;
		text_21.innerText = translations.mg.DText_21;
		text_22.innerText = translations.mg.DText_22;
		text_23.innerText = translations.mg.DText_23;
		text_24.innerText = translations.mg.DText_24;
		text_25.innerText = translations.mg.DText_25;
		text_26.innerText = translations.mg.DText_26;
		text_27.innerText = translations.mg.DText_27;
		text_28.innerText = translations.mg.DText_28;
		text_29.innerText = translations.mg.DText_29;
		text_30.innerText = translations.mg.DText_30;
		text_31.innerText = translations.mg.DText_31;
		text_32.innerText = translations.mg.DText_32;
		text_33.innerText = translations.mg.DText_33;
		text_34.innerText = translations.mg.DText_34;
		text_35.innerText = translations.mg.DText_35;
		text_36.innerText = translations.mg.DText_36;
		text_37.innerText = translations.mg.DText_37;
		text_38.innerText = translations.mg.DText_38;
		text_39.innerText = translations.mg.DText_39;
		text_40.innerText = translations.mg.DText_40;
		text_41.innerText = translations.mg.DText_41;
		text_42.innerText = translations.mg.DText_42;
		text_43.innerText = translations.mg.DText_43;
		text_44.innerText = translations.mg.DText_44;
		text_45.innerText = translations.mg.DText_45;
		text_46.innerText = translations.mg.DText_46;
		text_47.innerText = translations.mg.DText_47;
		text_48.innerText = translations.mg.DText_48;
		text_49.innerText = translations.mg.DText_49;
		text_50.innerText = translations.mg.DText_50;
		text_51.innerText = translations.mg.DText_51;
		text_511.innerText = translations.mg.DText_511;
		text_52.innerText = translations.mg.DText_52;
		text_41a.innerText = translations.mg.DText_41;
		text_42a.innerText = translations.mg.DText_42;
		text_43a.innerText = translations.mg.DText_43;
		text_44a.innerText = translations.mg.DText_44;
		text_45a.innerText = translations.mg.DText_45;
		text_46a.innerText = translations.mg.DText_46;
		text_47a.innerText = translations.mg.DText_47;
		text_48a.innerText = translations.mg.DText_48;
		text_49a.innerText = translations.mg.DText_49;
		text_50a.innerText = translations.mg.DText_50;
		text_51a.innerText = translations.mg.DText_51;
		text_511a.innerText = translations.mg.DText_511;
		male.innerText = translations.mg.male;
		female.innerText = translations.mg.female;
		other.innerText = translations.mg.other;
	}else if(language == "ma"){
		footer_00.innerText = translations.ma.footer00;
		footer_01.innerText = translations.ma.footer01;
		footer_02.innerText = translations.ma.footer02;
		footer_03.innerText = translations.ma.footer03;
		footer_04.innerText = translations.ma.footer04;
		footer_05.innerText = translations.ma.footer05;
		footer_06.innerText = translations.ma.footer06;
		footer_07.innerText = translations.ma.footer07;
		footer_08.innerText = translations.ma.footer08;
		footer_09.innerText = translations.ma.footer09;
		footer_10.innerText = translations.ma.footer10;
		footer_11.innerText = translations.ma.footer11;
		footer_12.innerText = translations.ma.footer12;
		footer_13.innerText = translations.ma.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ma.footer14;
		request.innerText = translations.ma.request;
		agree.innerText = translations.ma.agree;
		cashbook.innerText = translations.ma.cashbook;
		logout.innerText = translations.ma.logout;
		if (welcome) {welcome.innerText = translations.ma.welcome;}
		text_01.innerText = translations.ma.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.ma.DText_02+'</p>';
		text_03.innerText = translations.ma.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.ma.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.ma.DText_05;
		text_06.placeholder = translations.ma.DText_06;
		text_07.innerHTML = translations.ma.DText_07;
		text_08.placeholder = translations.ma.DText_08;
		text_09.innerHTML = translations.ma.DText_09;
		text_10.placeholder = translations.ma.DText_10;
		if (text_11) {text_11.innerText = translations.ma.DText_11;}
		if (text_12) {text_12.innerText = translations.ma.DText_12;}
		text_13.innerText = translations.ma.DText_13;
		text_14.innerText = translations.ma.DText_14;
		text_15.placeholder = translations.ma.DText_15;
		text_16.innerText = translations.ma.DText_16;
		text_17.innerText = translations.ma.DText_17;
		text_18.innerText = translations.ma.DText_18;
		text_19.innerText = translations.ma.DText_19;
		text_20.innerText = translations.ma.DText_20;
		text_21.innerText = translations.ma.DText_21;
		text_22.innerText = translations.ma.DText_22;
		text_23.innerText = translations.ma.DText_23;
		text_24.innerText = translations.ma.DText_24;
		text_25.innerText = translations.ma.DText_25;
		text_26.innerText = translations.ma.DText_26;
		text_27.innerText = translations.ma.DText_27;
		text_28.innerText = translations.ma.DText_28;
		text_29.innerText = translations.ma.DText_29;
		text_30.innerText = translations.ma.DText_30;
		text_31.innerText = translations.ma.DText_31;
		text_32.innerText = translations.ma.DText_32;
		text_33.innerText = translations.ma.DText_33;
		text_34.innerText = translations.ma.DText_34;
		text_35.innerText = translations.ma.DText_35;
		text_36.innerText = translations.ma.DText_36;
		text_37.innerText = translations.ma.DText_37;
		text_38.innerText = translations.ma.DText_38;
		text_39.innerText = translations.ma.DText_39;
		text_40.innerText = translations.ma.DText_40;
		text_41.innerText = translations.ma.DText_41;
		text_42.innerText = translations.ma.DText_42;
		text_43.innerText = translations.ma.DText_43;
		text_44.innerText = translations.ma.DText_44;
		text_45.innerText = translations.ma.DText_45;
		text_46.innerText = translations.ma.DText_46;
		text_47.innerText = translations.ma.DText_47;
		text_48.innerText = translations.ma.DText_48;
		text_49.innerText = translations.ma.DText_49;
		text_50.innerText = translations.ma.DText_50;
		text_51.innerText = translations.ma.DText_51;
		text_511.innerText = translations.ma.DText_511;
		text_52.innerText = translations.ma.DText_52;
		text_41a.innerText = translations.ma.DText_41;
		text_42a.innerText = translations.ma.DText_42;
		text_43a.innerText = translations.ma.DText_43;
		text_44a.innerText = translations.ma.DText_44;
		text_45a.innerText = translations.ma.DText_45;
		text_46a.innerText = translations.ma.DText_46;
		text_47a.innerText = translations.ma.DText_47;
		text_48a.innerText = translations.ma.DText_48;
		text_49a.innerText = translations.ma.DText_49;
		text_50a.innerText = translations.ma.DText_50;
		text_51a.innerText = translations.ma.DText_51;
		text_511a.innerText = translations.ma.DText_511;
		male.innerText = translations.ma.male;
		female.innerText = translations.ma.female;
		other.innerText = translations.ma.other;
	}else if(language == "ml"){
		footer_00.innerText = translations.ml.footer00;
		footer_01.innerText = translations.ml.footer01;
		footer_02.innerText = translations.ml.footer02;
		footer_03.innerText = translations.ml.footer03;
		footer_04.innerText = translations.ml.footer04;
		footer_05.innerText = translations.ml.footer05;
		footer_06.innerText = translations.ml.footer06;
		footer_07.innerText = translations.ml.footer07;
		footer_08.innerText = translations.ml.footer08;
		footer_09.innerText = translations.ml.footer09;
		footer_10.innerText = translations.ml.footer10;
		footer_11.innerText = translations.ml.footer11;
		footer_12.innerText = translations.ml.footer12;
		footer_13.innerText = translations.ml.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ml.footer14;
		request.innerText = translations.ml.request;
		agree.innerText = translations.ml.agree;
		cashbook.innerText = translations.ml.cashbook;
		logout.innerText = translations.ml.logout;
		if (welcome) {welcome.innerText = translations.ml.welcome;}
		text_01.innerText = translations.ml.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.ml.DText_02+'</p>';
		text_03.innerText = translations.ml.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.ml.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.ml.DText_05;
		text_06.placeholder = translations.ml.DText_06;
		text_07.innerHTML = translations.ml.DText_07;
		text_08.placeholder = translations.ml.DText_08;
		text_09.innerHTML = translations.ml.DText_09;
		text_10.placeholder = translations.ml.DText_10;
		if (text_11) {text_11.innerText = translations.ml.DText_11;}
		if (text_12) {text_12.innerText = translations.ml.DText_12;}
		text_13.innerText = translations.ml.DText_13;
		text_14.innerText = translations.ml.DText_14;
		text_15.placeholder = translations.ml.DText_15;
		text_16.innerText = translations.ml.DText_16;
		text_17.innerText = translations.ml.DText_17;
		text_18.innerText = translations.ml.DText_18;
		text_19.innerText = translations.ml.DText_19;
		text_20.innerText = translations.ml.DText_20;
		text_21.innerText = translations.ml.DText_21;
		text_22.innerText = translations.ml.DText_22;
		text_23.innerText = translations.ml.DText_23;
		text_24.innerText = translations.ml.DText_24;
		text_25.innerText = translations.ml.DText_25;
		text_26.innerText = translations.ml.DText_26;
		text_27.innerText = translations.ml.DText_27;
		text_28.innerText = translations.ml.DText_28;
		text_29.innerText = translations.ml.DText_29;
		text_30.innerText = translations.ml.DText_30;
		text_31.innerText = translations.ml.DText_31;
		text_32.innerText = translations.ml.DText_32;
		text_33.innerText = translations.ml.DText_33;
		text_34.innerText = translations.ml.DText_34;
		text_35.innerText = translations.ml.DText_35;
		text_36.innerText = translations.ml.DText_36;
		text_37.innerText = translations.ml.DText_37;
		text_38.innerText = translations.ml.DText_38;
		text_39.innerText = translations.ml.DText_39;
		text_40.innerText = translations.ml.DText_40;
		text_41.innerText = translations.ml.DText_41;
		text_42.innerText = translations.ml.DText_42;
		text_43.innerText = translations.ml.DText_43;
		text_44.innerText = translations.ml.DText_44;
		text_45.innerText = translations.ml.DText_45;
		text_46.innerText = translations.ml.DText_46;
		text_47.innerText = translations.ml.DText_47;
		text_48.innerText = translations.ml.DText_48;
		text_49.innerText = translations.ml.DText_49;
		text_50.innerText = translations.ml.DText_50;
		text_51.innerText = translations.ml.DText_51;
		text_511.innerText = translations.ml.DText_511;
		text_52.innerText = translations.ml.DText_52;
		text_41a.innerText = translations.ml.DText_41;
		text_42a.innerText = translations.ml.DText_42;
		text_43a.innerText = translations.ml.DText_43;
		text_44a.innerText = translations.ml.DText_44;
		text_45a.innerText = translations.ml.DText_45;
		text_46a.innerText = translations.ml.DText_46;
		text_47a.innerText = translations.ml.DText_47;
		text_48a.innerText = translations.ml.DText_48;
		text_49a.innerText = translations.ml.DText_49;
		text_50a.innerText = translations.ml.DText_50;
		text_51a.innerText = translations.ml.DText_51;
		text_511a.innerText = translations.ml.DText_511;
		male.innerText = translations.ml.male;
		female.innerText = translations.ml.female;
		other.innerText = translations.ml.other;
	}else if(language == "mo"){
		footer_00.innerText = translations.mo.footer00;
		footer_01.innerText = translations.mo.footer01;
		footer_02.innerText = translations.mo.footer02;
		footer_03.innerText = translations.mo.footer03;
		footer_04.innerText = translations.mo.footer04;
		footer_05.innerText = translations.mo.footer05;
		footer_06.innerText = translations.mo.footer06;
		footer_07.innerText = translations.mo.footer07;
		footer_08.innerText = translations.mo.footer08;
		footer_09.innerText = translations.mo.footer09;
		footer_10.innerText = translations.mo.footer10;
		footer_11.innerText = translations.mo.footer11;
		footer_12.innerText = translations.mo.footer12;
		footer_13.innerText = translations.mo.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.mo.footer14;
		request.innerText = translations.mo.request;
		agree.innerText = translations.mo.agree;
		cashbook.innerText = translations.mo.cashbook;
		logout.innerText = translations.mo.logout;
		if (welcome) {welcome.innerText = translations.mo.welcome;}
		text_01.innerText = translations.mo.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.mo.DText_02+'</p>';
		text_03.innerText = translations.mo.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.mo.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.mo.DText_05;
		text_06.placeholder = translations.mo.DText_06;
		text_07.innerHTML = translations.mo.DText_07;
		text_08.placeholder = translations.mo.DText_08;
		text_09.innerHTML = translations.mo.DText_09;
		text_10.placeholder = translations.mo.DText_10;
		if (text_11) {text_11.innerText = translations.mo.DText_11;}
		if (text_12) {text_12.innerText = translations.mo.DText_12;}
		text_13.innerText = translations.mo.DText_13;
		text_14.innerText = translations.mo.DText_14;
		text_15.placeholder = translations.mo.DText_15;
		text_16.innerText = translations.mo.DText_16;
		text_17.innerText = translations.mo.DText_17;
		text_18.innerText = translations.mo.DText_18;
		text_19.innerText = translations.mo.DText_19;
		text_20.innerText = translations.mo.DText_20;
		text_21.innerText = translations.mo.DText_21;
		text_22.innerText = translations.mo.DText_22;
		text_23.innerText = translations.mo.DText_23;
		text_24.innerText = translations.mo.DText_24;
		text_25.innerText = translations.mo.DText_25;
		text_26.innerText = translations.mo.DText_26;
		text_27.innerText = translations.mo.DText_27;
		text_28.innerText = translations.mo.DText_28;
		text_29.innerText = translations.mo.DText_29;
		text_30.innerText = translations.mo.DText_30;
		text_31.innerText = translations.mo.DText_31;
		text_32.innerText = translations.mo.DText_32;
		text_33.innerText = translations.mo.DText_33;
		text_34.innerText = translations.mo.DText_34;
		text_35.innerText = translations.mo.DText_35;
		text_36.innerText = translations.mo.DText_36;
		text_37.innerText = translations.mo.DText_37;
		text_38.innerText = translations.mo.DText_38;
		text_39.innerText = translations.mo.DText_39;
		text_40.innerText = translations.mo.DText_40;
		text_41.innerText = translations.mo.DText_41;
		text_42.innerText = translations.mo.DText_42;
		text_43.innerText = translations.mo.DText_43;
		text_44.innerText = translations.mo.DText_44;
		text_45.innerText = translations.mo.DText_45;
		text_46.innerText = translations.mo.DText_46;
		text_47.innerText = translations.mo.DText_47;
		text_48.innerText = translations.mo.DText_48;
		text_49.innerText = translations.mo.DText_49;
		text_50.innerText = translations.mo.DText_50;
		text_51.innerText = translations.mo.DText_51;
		text_511.innerText = translations.mo.DText_511;
		text_52.innerText = translations.mo.DText_52;
		text_41a.innerText = translations.mo.DText_41;
		text_42a.innerText = translations.mo.DText_42;
		text_43a.innerText = translations.mo.DText_43;
		text_44a.innerText = translations.mo.DText_44;
		text_45a.innerText = translations.mo.DText_45;
		text_46a.innerText = translations.mo.DText_46;
		text_47a.innerText = translations.mo.DText_47;
		text_48a.innerText = translations.mo.DText_48;
		text_49a.innerText = translations.mo.DText_49;
		text_50a.innerText = translations.mo.DText_50;
		text_51a.innerText = translations.mo.DText_51;
		text_511a.innerText = translations.mo.DText_511;
		male.innerText = translations.mo.male;
		female.innerText = translations.mo.female;
		other.innerText = translations.mo.other;
	}else if(language == "bu"){
		footer_00.innerText = translations.bu.footer00;
		footer_01.innerText = translations.bu.footer01;
		footer_02.innerText = translations.bu.footer02;
		footer_03.innerText = translations.bu.footer03;
		footer_04.innerText = translations.bu.footer04;
		footer_05.innerText = translations.bu.footer05;
		footer_06.innerText = translations.bu.footer06;
		footer_07.innerText = translations.bu.footer07;
		footer_08.innerText = translations.bu.footer08;
		footer_09.innerText = translations.bu.footer09;
		footer_10.innerText = translations.bu.footer10;
		footer_11.innerText = translations.bu.footer11;
		footer_12.innerText = translations.bu.footer12;
		footer_13.innerText = translations.bu.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.bu.footer14;
		request.innerText = translations.bu.request;
		agree.innerText = translations.bu.agree;
		cashbook.innerText = translations.bu.cashbook;
		logout.innerText = translations.bu.logout;
		if (welcome) {welcome.innerText = translations.bu.welcome;}
		text_01.innerText = translations.bu.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.bu.DText_02+'</p>';
		text_03.innerText = translations.bu.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.bu.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.bu.DText_05;
		text_06.placeholder = translations.bu.DText_06;
		text_07.innerHTML = translations.bu.DText_07;
		text_08.placeholder = translations.bu.DText_08;
		text_09.innerHTML = translations.bu.DText_09;
		text_10.placeholder = translations.bu.DText_10;
		if (text_11) {text_11.innerText = translations.bu.DText_11;}
		if (text_12) {text_12.innerText = translations.bu.DText_12;}
		text_13.innerText = translations.bu.DText_13;
		text_14.innerText = translations.bu.DText_14;
		text_15.placeholder = translations.bu.DText_15;
		text_16.innerText = translations.bu.DText_16;
		text_17.innerText = translations.bu.DText_17;
		text_18.innerText = translations.bu.DText_18;
		text_19.innerText = translations.bu.DText_19;
		text_20.innerText = translations.bu.DText_20;
		text_21.innerText = translations.bu.DText_21;
		text_22.innerText = translations.bu.DText_22;
		text_23.innerText = translations.bu.DText_23;
		text_24.innerText = translations.bu.DText_24;
		text_25.innerText = translations.bu.DText_25;
		text_26.innerText = translations.bu.DText_26;
		text_27.innerText = translations.bu.DText_27;
		text_28.innerText = translations.bu.DText_28;
		text_29.innerText = translations.bu.DText_29;
		text_30.innerText = translations.bu.DText_30;
		text_31.innerText = translations.bu.DText_31;
		text_32.innerText = translations.bu.DText_32;
		text_33.innerText = translations.bu.DText_33;
		text_34.innerText = translations.bu.DText_34;
		text_35.innerText = translations.bu.DText_35;
		text_36.innerText = translations.bu.DText_36;
		text_37.innerText = translations.bu.DText_37;
		text_38.innerText = translations.bu.DText_38;
		text_39.innerText = translations.bu.DText_39;
		text_40.innerText = translations.bu.DText_40;
		text_41.innerText = translations.bu.DText_41;
		text_42.innerText = translations.bu.DText_42;
		text_43.innerText = translations.bu.DText_43;
		text_44.innerText = translations.bu.DText_44;
		text_45.innerText = translations.bu.DText_45;
		text_46.innerText = translations.bu.DText_46;
		text_47.innerText = translations.bu.DText_47;
		text_48.innerText = translations.bu.DText_48;
		text_49.innerText = translations.bu.DText_49;
		text_50.innerText = translations.bu.DText_50;
		text_51.innerText = translations.bu.DText_51;
		text_511.innerText = translations.bu.DText_511;
		text_52.innerText = translations.bu.DText_52;
		text_41a.innerText = translations.bu.DText_41;
		text_42a.innerText = translations.bu.DText_42;
		text_43a.innerText = translations.bu.DText_43;
		text_44a.innerText = translations.bu.DText_44;
		text_45a.innerText = translations.bu.DText_45;
		text_46a.innerText = translations.bu.DText_46;
		text_47a.innerText = translations.bu.DText_47;
		text_48a.innerText = translations.bu.DText_48;
		text_49a.innerText = translations.bu.DText_49;
		text_50a.innerText = translations.bu.DText_50;
		text_51a.innerText = translations.bu.DText_51;
		text_511a.innerText = translations.bu.DText_511;
		male.innerText = translations.bu.male;
		female.innerText = translations.bu.female;
		other.innerText = translations.bu.other;
	}else if(language == "ne"){
		footer_00.innerText = translations.ne.footer00;
		footer_01.innerText = translations.ne.footer01;
		footer_02.innerText = translations.ne.footer02;
		footer_03.innerText = translations.ne.footer03;
		footer_04.innerText = translations.ne.footer04;
		footer_05.innerText = translations.ne.footer05;
		footer_06.innerText = translations.ne.footer06;
		footer_07.innerText = translations.ne.footer07;
		footer_08.innerText = translations.ne.footer08;
		footer_09.innerText = translations.ne.footer09;
		footer_10.innerText = translations.ne.footer10;
		footer_11.innerText = translations.ne.footer11;
		footer_12.innerText = translations.ne.footer12;
		footer_13.innerText = translations.ne.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ne.footer14;
		request.innerText = translations.ne.request;
		agree.innerText = translations.ne.agree;
		cashbook.innerText = translations.ne.cashbook;
		logout.innerText = translations.ne.logout;
		if (welcome) {welcome.innerText = translations.ne.welcome;}
		text_01.innerText = translations.ne.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.ne.DText_02+'</p>';
		text_03.innerText = translations.ne.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.ne.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.ne.DText_05;
		text_06.placeholder = translations.ne.DText_06;
		text_07.innerHTML = translations.ne.DText_07;
		text_08.placeholder = translations.ne.DText_08;
		text_09.innerHTML = translations.ne.DText_09;
		text_10.placeholder = translations.ne.DText_10;
		if (text_11) {text_11.innerText = translations.ne.DText_11;}
		if (text_12) {text_12.innerText = translations.ne.DText_12;}
		text_13.innerText = translations.ne.DText_13;
		text_14.innerText = translations.ne.DText_14;
		text_15.placeholder = translations.ne.DText_15;
		text_16.innerText = translations.ne.DText_16;
		text_17.innerText = translations.ne.DText_17;
		text_18.innerText = translations.ne.DText_18;
		text_19.innerText = translations.ne.DText_19;
		text_20.innerText = translations.ne.DText_20;
		text_21.innerText = translations.ne.DText_21;
		text_22.innerText = translations.ne.DText_22;
		text_23.innerText = translations.ne.DText_23;
		text_24.innerText = translations.ne.DText_24;
		text_25.innerText = translations.ne.DText_25;
		text_26.innerText = translations.ne.DText_26;
		text_27.innerText = translations.ne.DText_27;
		text_28.innerText = translations.ne.DText_28;
		text_29.innerText = translations.ne.DText_29;
		text_30.innerText = translations.ne.DText_30;
		text_31.innerText = translations.ne.DText_31;
		text_32.innerText = translations.ne.DText_32;
		text_33.innerText = translations.ne.DText_33;
		text_34.innerText = translations.ne.DText_34;
		text_35.innerText = translations.ne.DText_35;
		text_36.innerText = translations.ne.DText_36;
		text_37.innerText = translations.ne.DText_37;
		text_38.innerText = translations.ne.DText_38;
		text_39.innerText = translations.ne.DText_39;
		text_40.innerText = translations.ne.DText_40;
		text_41.innerText = translations.ne.DText_41;
		text_42.innerText = translations.ne.DText_42;
		text_43.innerText = translations.ne.DText_43;
		text_44.innerText = translations.ne.DText_44;
		text_45.innerText = translations.ne.DText_45;
		text_46.innerText = translations.ne.DText_46;
		text_47.innerText = translations.ne.DText_47;
		text_48.innerText = translations.ne.DText_48;
		text_49.innerText = translations.ne.DText_49;
		text_50.innerText = translations.ne.DText_50;
		text_51.innerText = translations.ne.DText_51;
		text_511.innerText = translations.ne.DText_511;
		text_52.innerText = translations.ne.DText_52;
		text_41a.innerText = translations.ne.DText_41;
		text_42a.innerText = translations.ne.DText_42;
		text_43a.innerText = translations.ne.DText_43;
		text_44a.innerText = translations.ne.DText_44;
		text_45a.innerText = translations.ne.DText_45;
		text_46a.innerText = translations.ne.DText_46;
		text_47a.innerText = translations.ne.DText_47;
		text_48a.innerText = translations.ne.DText_48;
		text_49a.innerText = translations.ne.DText_49;
		text_50a.innerText = translations.ne.DText_50;
		text_51a.innerText = translations.ne.DText_51;
		text_511a.innerText = translations.ne.DText_511;
		male.innerText = translations.ne.male;
		female.innerText = translations.ne.female;
		other.innerText = translations.ne.other;
	}else if(language == "np"){
		footer_00.innerText = translations.np.footer00;
		footer_01.innerText = translations.np.footer01;
		footer_02.innerText = translations.np.footer02;
		footer_03.innerText = translations.np.footer03;
		footer_04.innerText = translations.np.footer04;
		footer_05.innerText = translations.np.footer05;
		footer_06.innerText = translations.np.footer06;
		footer_07.innerText = translations.np.footer07;
		footer_08.innerText = translations.np.footer08;
		footer_09.innerText = translations.np.footer09;
		footer_10.innerText = translations.np.footer10;
		footer_11.innerText = translations.np.footer11;
		footer_12.innerText = translations.np.footer12;
		footer_13.innerText = translations.np.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.np.footer14;
		request.innerText = translations.np.request;
		agree.innerText = translations.np.agree;
		cashbook.innerText = translations.np.cashbook;
		logout.innerText = translations.np.logout;
		if (welcome) {welcome.innerText = translations.np.welcome;}
		text_01.innerText = translations.np.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.np.DText_02+'</p>';
		text_03.innerText = translations.np.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.np.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.np.DText_05;
		text_06.placeholder = translations.np.DText_06;
		text_07.innerHTML = translations.np.DText_07;
		text_08.placeholder = translations.np.DText_08;
		text_09.innerHTML = translations.np.DText_09;
		text_10.placeholder = translations.np.DText_10;
		if (text_11) {text_11.innerText = translations.np.DText_11;}
		if (text_12) {text_12.innerText = translations.np.DText_12;}
		text_13.innerText = translations.np.DText_13;
		text_14.innerText = translations.np.DText_14;
		text_15.placeholder = translations.np.DText_15;
		text_16.innerText = translations.np.DText_16;
		text_17.innerText = translations.np.DText_17;
		text_18.innerText = translations.np.DText_18;
		text_19.innerText = translations.np.DText_19;
		text_20.innerText = translations.np.DText_20;
		text_21.innerText = translations.np.DText_21;
		text_22.innerText = translations.np.DText_22;
		text_23.innerText = translations.np.DText_23;
		text_24.innerText = translations.np.DText_24;
		text_25.innerText = translations.np.DText_25;
		text_26.innerText = translations.np.DText_26;
		text_27.innerText = translations.np.DText_27;
		text_28.innerText = translations.np.DText_28;
		text_29.innerText = translations.np.DText_29;
		text_30.innerText = translations.np.DText_30;
		text_31.innerText = translations.np.DText_31;
		text_32.innerText = translations.np.DText_32;
		text_33.innerText = translations.np.DText_33;
		text_34.innerText = translations.np.DText_34;
		text_35.innerText = translations.np.DText_35;
		text_36.innerText = translations.np.DText_36;
		text_37.innerText = translations.np.DText_37;
		text_38.innerText = translations.np.DText_38;
		text_39.innerText = translations.np.DText_39;
		text_40.innerText = translations.np.DText_40;
		text_41.innerText = translations.np.DText_41;
		text_42.innerText = translations.np.DText_42;
		text_43.innerText = translations.np.DText_43;
		text_44.innerText = translations.np.DText_44;
		text_45.innerText = translations.np.DText_45;
		text_46.innerText = translations.np.DText_46;
		text_47.innerText = translations.np.DText_47;
		text_48.innerText = translations.np.DText_48;
		text_49.innerText = translations.np.DText_49;
		text_50.innerText = translations.np.DText_50;
		text_51.innerText = translations.np.DText_51;
		text_511.innerText = translations.np.DText_511;
		text_52.innerText = translations.np.DText_52;
		text_41a.innerText = translations.np.DText_41;
		text_42a.innerText = translations.np.DText_42;
		text_43a.innerText = translations.np.DText_43;
		text_44a.innerText = translations.np.DText_44;
		text_45a.innerText = translations.np.DText_45;
		text_46a.innerText = translations.np.DText_46;
		text_47a.innerText = translations.np.DText_47;
		text_48a.innerText = translations.np.DText_48;
		text_49a.innerText = translations.np.DText_49;
		text_50a.innerText = translations.np.DText_50;
		text_51a.innerText = translations.np.DText_51;
		text_511a.innerText = translations.np.DText_511;
		male.innerText = translations.np.male;
		female.innerText = translations.np.female;
		other.innerText = translations.np.other;
	}else if(language == "no"){
		footer_00.innerText = translations.no.footer00;
		footer_01.innerText = translations.no.footer01;
		footer_02.innerText = translations.no.footer02;
		footer_03.innerText = translations.no.footer03;
		footer_04.innerText = translations.no.footer04;
		footer_05.innerText = translations.no.footer05;
		footer_06.innerText = translations.no.footer06;
		footer_07.innerText = translations.no.footer07;
		footer_08.innerText = translations.no.footer08;
		footer_09.innerText = translations.no.footer09;
		footer_10.innerText = translations.no.footer10;
		footer_11.innerText = translations.no.footer11;
		footer_12.innerText = translations.no.footer12;
		footer_13.innerText = translations.no.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.no.footer14;
		request.innerText = translations.no.request;
		agree.innerText = translations.no.agree;
		cashbook.innerText = translations.no.cashbook;
		logout.innerText = translations.no.logout;
		if (welcome) {welcome.innerText = translations.no.welcome;}
		text_01.innerText = translations.no.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.no.DText_02+'</p>';
		text_03.innerText = translations.no.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.no.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.no.DText_05;
		text_06.placeholder = translations.no.DText_06;
		text_07.innerHTML = translations.no.DText_07;
		text_08.placeholder = translations.no.DText_08;
		text_09.innerHTML = translations.no.DText_09;
		text_10.placeholder = translations.no.DText_10;
		if (text_11) {text_11.innerText = translations.no.DText_11;}
		if (text_12) {text_12.innerText = translations.no.DText_12;}
		text_13.innerText = translations.no.DText_13;
		text_14.innerText = translations.no.DText_14;
		text_15.placeholder = translations.no.DText_15;
		text_16.innerText = translations.no.DText_16;
		text_17.innerText = translations.no.DText_17;
		text_18.innerText = translations.no.DText_18;
		text_19.innerText = translations.no.DText_19;
		text_20.innerText = translations.no.DText_20;
		text_21.innerText = translations.no.DText_21;
		text_22.innerText = translations.no.DText_22;
		text_23.innerText = translations.no.DText_23;
		text_24.innerText = translations.no.DText_24;
		text_25.innerText = translations.no.DText_25;
		text_26.innerText = translations.no.DText_26;
		text_27.innerText = translations.no.DText_27;
		text_28.innerText = translations.no.DText_28;
		text_29.innerText = translations.no.DText_29;
		text_30.innerText = translations.no.DText_30;
		text_31.innerText = translations.no.DText_31;
		text_32.innerText = translations.no.DText_32;
		text_33.innerText = translations.no.DText_33;
		text_34.innerText = translations.no.DText_34;
		text_35.innerText = translations.no.DText_35;
		text_36.innerText = translations.no.DText_36;
		text_37.innerText = translations.no.DText_37;
		text_38.innerText = translations.no.DText_38;
		text_39.innerText = translations.no.DText_39;
		text_40.innerText = translations.no.DText_40;
		text_41.innerText = translations.no.DText_41;
		text_42.innerText = translations.no.DText_42;
		text_43.innerText = translations.no.DText_43;
		text_44.innerText = translations.no.DText_44;
		text_45.innerText = translations.no.DText_45;
		text_46.innerText = translations.no.DText_46;
		text_47.innerText = translations.no.DText_47;
		text_48.innerText = translations.no.DText_48;
		text_49.innerText = translations.no.DText_49;
		text_50.innerText = translations.no.DText_50;
		text_51.innerText = translations.no.DText_51;
		text_511.innerText = translations.no.DText_511;
		text_52.innerText = translations.no.DText_52;
		text_41a.innerText = translations.no.DText_41;
		text_42a.innerText = translations.no.DText_42;
		text_43a.innerText = translations.no.DText_43;
		text_44a.innerText = translations.no.DText_44;
		text_45a.innerText = translations.no.DText_45;
		text_46a.innerText = translations.no.DText_46;
		text_47a.innerText = translations.no.DText_47;
		text_48a.innerText = translations.no.DText_48;
		text_49a.innerText = translations.no.DText_49;
		text_50a.innerText = translations.no.DText_50;
		text_51a.innerText = translations.no.DText_51;
		text_511a.innerText = translations.no.DText_511;
		male.innerText = translations.no.male;
		female.innerText = translations.no.female;
		other.innerText = translations.no.other;
	}else if(language == "or"){
		footer_00.innerText = translations.or.footer00;
		footer_01.innerText = translations.or.footer01;
		footer_02.innerText = translations.or.footer02;
		footer_03.innerText = translations.or.footer03;
		footer_04.innerText = translations.or.footer04;
		footer_05.innerText = translations.or.footer05;
		footer_06.innerText = translations.or.footer06;
		footer_07.innerText = translations.or.footer07;
		footer_08.innerText = translations.or.footer08;
		footer_09.innerText = translations.or.footer09;
		footer_10.innerText = translations.or.footer10;
		footer_11.innerText = translations.or.footer11;
		footer_12.innerText = translations.or.footer12;
		footer_13.innerText = translations.or.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.or.footer14;
		request.innerText = translations.or.request;
		agree.innerText = translations.or.agree;
		cashbook.innerText = translations.or.cashbook;
		logout.innerText = translations.or.logout;
		if (welcome) {welcome.innerText = translations.or.welcome;}
		text_01.innerText = translations.or.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.or.DText_02+'</p>';
		text_03.innerText = translations.or.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.or.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.or.DText_05;
		text_06.placeholder = translations.or.DText_06;
		text_07.innerHTML = translations.or.DText_07;
		text_08.placeholder = translations.or.DText_08;
		text_09.innerHTML = translations.or.DText_09;
		text_10.placeholder = translations.or.DText_10;
		if (text_11) {text_11.innerText = translations.or.DText_11;}
		if (text_12) {text_12.innerText = translations.or.DText_12;}
		text_13.innerText = translations.or.DText_13;
		text_14.innerText = translations.or.DText_14;
		text_15.placeholder = translations.or.DText_15;
		text_16.innerText = translations.or.DText_16;
		text_17.innerText = translations.or.DText_17;
		text_18.innerText = translations.or.DText_18;
		text_19.innerText = translations.or.DText_19;
		text_20.innerText = translations.or.DText_20;
		text_21.innerText = translations.or.DText_21;
		text_22.innerText = translations.or.DText_22;
		text_23.innerText = translations.or.DText_23;
		text_24.innerText = translations.or.DText_24;
		text_25.innerText = translations.or.DText_25;
		text_26.innerText = translations.or.DText_26;
		text_27.innerText = translations.or.DText_27;
		text_28.innerText = translations.or.DText_28;
		text_29.innerText = translations.or.DText_29;
		text_30.innerText = translations.or.DText_30;
		text_31.innerText = translations.or.DText_31;
		text_32.innerText = translations.or.DText_32;
		text_33.innerText = translations.or.DText_33;
		text_34.innerText = translations.or.DText_34;
		text_35.innerText = translations.or.DText_35;
		text_36.innerText = translations.or.DText_36;
		text_37.innerText = translations.or.DText_37;
		text_38.innerText = translations.or.DText_38;
		text_39.innerText = translations.or.DText_39;
		text_40.innerText = translations.or.DText_40;
		text_41.innerText = translations.or.DText_41;
		text_42.innerText = translations.or.DText_42;
		text_43.innerText = translations.or.DText_43;
		text_44.innerText = translations.or.DText_44;
		text_45.innerText = translations.or.DText_45;
		text_46.innerText = translations.or.DText_46;
		text_47.innerText = translations.or.DText_47;
		text_48.innerText = translations.or.DText_48;
		text_49.innerText = translations.or.DText_49;
		text_50.innerText = translations.or.DText_50;
		text_51.innerText = translations.or.DText_51;
		text_511.innerText = translations.or.DText_511;
		text_52.innerText = translations.or.DText_52;
		text_41a.innerText = translations.or.DText_41;
		text_42a.innerText = translations.or.DText_42;
		text_43a.innerText = translations.or.DText_43;
		text_44a.innerText = translations.or.DText_44;
		text_45a.innerText = translations.or.DText_45;
		text_46a.innerText = translations.or.DText_46;
		text_47a.innerText = translations.or.DText_47;
		text_48a.innerText = translations.or.DText_48;
		text_49a.innerText = translations.or.DText_49;
		text_50a.innerText = translations.or.DText_50;
		text_51a.innerText = translations.or.DText_51;
		text_511a.innerText = translations.or.DText_511;
		male.innerText = translations.or.male;
		female.innerText = translations.or.female;
		other.innerText = translations.or.other;
	}else if(language == "pa"){
		footer_00.innerText = translations.pa.footer00;
		footer_01.innerText = translations.pa.footer01;
		footer_02.innerText = translations.pa.footer02;
		footer_03.innerText = translations.pa.footer03;
		footer_04.innerText = translations.pa.footer04;
		footer_05.innerText = translations.pa.footer05;
		footer_06.innerText = translations.pa.footer06;
		footer_07.innerText = translations.pa.footer07;
		footer_08.innerText = translations.pa.footer08;
		footer_09.innerText = translations.pa.footer09;
		footer_10.innerText = translations.pa.footer10;
		footer_11.innerText = translations.pa.footer11;
		footer_12.innerText = translations.pa.footer12;
		footer_13.innerText = translations.pa.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.pa.footer14;
		request.innerText = translations.pa.request;
		agree.innerText = translations.pa.agree;
		cashbook.innerText = translations.pa.cashbook;
		logout.innerText = translations.pa.logout;
		if (welcome) {welcome.innerText = translations.pa.welcome;}
		text_01.innerText = translations.pa.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.pa.DText_02+'</p>';
		text_03.innerText = translations.pa.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.pa.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.pa.DText_05;
		text_06.placeholder = translations.pa.DText_06;
		text_07.innerHTML = translations.pa.DText_07;
		text_08.placeholder = translations.pa.DText_08;
		text_09.innerHTML = translations.pa.DText_09;
		text_10.placeholder = translations.pa.DText_10;
		if (text_11) {text_11.innerText = translations.pa.DText_11;}
		if (text_12) {text_12.innerText = translations.pa.DText_12;}
		text_13.innerText = translations.pa.DText_13;
		text_14.innerText = translations.pa.DText_14;
		text_15.placeholder = translations.pa.DText_15;
		text_16.innerText = translations.pa.DText_16;
		text_17.innerText = translations.pa.DText_17;
		text_18.innerText = translations.pa.DText_18;
		text_19.innerText = translations.pa.DText_19;
		text_20.innerText = translations.pa.DText_20;
		text_21.innerText = translations.pa.DText_21;
		text_22.innerText = translations.pa.DText_22;
		text_23.innerText = translations.pa.DText_23;
		text_24.innerText = translations.pa.DText_24;
		text_25.innerText = translations.pa.DText_25;
		text_26.innerText = translations.pa.DText_26;
		text_27.innerText = translations.pa.DText_27;
		text_28.innerText = translations.pa.DText_28;
		text_29.innerText = translations.pa.DText_29;
		text_30.innerText = translations.pa.DText_30;
		text_31.innerText = translations.pa.DText_31;
		text_32.innerText = translations.pa.DText_32;
		text_33.innerText = translations.pa.DText_33;
		text_34.innerText = translations.pa.DText_34;
		text_35.innerText = translations.pa.DText_35;
		text_36.innerText = translations.pa.DText_36;
		text_37.innerText = translations.pa.DText_37;
		text_38.innerText = translations.pa.DText_38;
		text_39.innerText = translations.pa.DText_39;
		text_40.innerText = translations.pa.DText_40;
		text_41.innerText = translations.pa.DText_41;
		text_42.innerText = translations.pa.DText_42;
		text_43.innerText = translations.pa.DText_43;
		text_44.innerText = translations.pa.DText_44;
		text_45.innerText = translations.pa.DText_45;
		text_46.innerText = translations.pa.DText_46;
		text_47.innerText = translations.pa.DText_47;
		text_48.innerText = translations.pa.DText_48;
		text_49.innerText = translations.pa.DText_49;
		text_50.innerText = translations.pa.DText_50;
		text_51.innerText = translations.pa.DText_51;
		text_511.innerText = translations.pa.DText_511;
		text_52.innerText = translations.pa.DText_52;
		text_41a.innerText = translations.pa.DText_41;
		text_42a.innerText = translations.pa.DText_42;
		text_43a.innerText = translations.pa.DText_43;
		text_44a.innerText = translations.pa.DText_44;
		text_45a.innerText = translations.pa.DText_45;
		text_46a.innerText = translations.pa.DText_46;
		text_47a.innerText = translations.pa.DText_47;
		text_48a.innerText = translations.pa.DText_48;
		text_49a.innerText = translations.pa.DText_49;
		text_50a.innerText = translations.pa.DText_50;
		text_51a.innerText = translations.pa.DText_51;
		text_511a.innerText = translations.pa.DText_511;
		male.innerText = translations.pa.male;
		female.innerText = translations.pa.female;
		other.innerText = translations.pa.other;
	}else if(language == "pe"){
		footer_00.innerText = translations.pe.footer00;
		footer_01.innerText = translations.pe.footer01;
		footer_02.innerText = translations.pe.footer02;
		footer_03.innerText = translations.pe.footer03;
		footer_04.innerText = translations.pe.footer04;
		footer_05.innerText = translations.pe.footer05;
		footer_06.innerText = translations.pe.footer06;
		footer_07.innerText = translations.pe.footer07;
		footer_08.innerText = translations.pe.footer08;
		footer_09.innerText = translations.pe.footer09;
		footer_10.innerText = translations.pe.footer10;
		footer_11.innerText = translations.pe.footer11;
		footer_12.innerText = translations.pe.footer12;
		footer_13.innerText = translations.pe.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.pe.footer14;
		request.innerText = translations.pe.request;
		agree.innerText = translations.pe.agree;
		cashbook.innerText = translations.pe.cashbook;
		logout.innerText = translations.pe.logout;
		if (welcome) {welcome.innerText = translations.pe.welcome;}
		text_01.innerText = translations.pe.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.pe.DText_02+'</p>';
		text_03.innerText = translations.pe.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.pe.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.pe.DText_05;
		text_06.placeholder = translations.pe.DText_06;
		text_07.innerHTML = translations.pe.DText_07;
		text_08.placeholder = translations.pe.DText_08;
		text_09.innerHTML = translations.pe.DText_09;
		text_10.placeholder = translations.pe.DText_10;
		if (text_11) {text_11.innerText = translations.pe.DText_11;}
		if (text_12) {text_12.innerText = translations.pe.DText_12;}
		text_13.innerText = translations.pe.DText_13;
		text_14.innerText = translations.pe.DText_14;
		text_15.placeholder = translations.pe.DText_15;
		text_16.innerText = translations.pe.DText_16;
		text_17.innerText = translations.pe.DText_17;
		text_18.innerText = translations.pe.DText_18;
		text_19.innerText = translations.pe.DText_19;
		text_20.innerText = translations.pe.DText_20;
		text_21.innerText = translations.pe.DText_21;
		text_22.innerText = translations.pe.DText_22;
		text_23.innerText = translations.pe.DText_23;
		text_24.innerText = translations.pe.DText_24;
		text_25.innerText = translations.pe.DText_25;
		text_26.innerText = translations.pe.DText_26;
		text_27.innerText = translations.pe.DText_27;
		text_28.innerText = translations.pe.DText_28;
		text_29.innerText = translations.pe.DText_29;
		text_30.innerText = translations.pe.DText_30;
		text_31.innerText = translations.pe.DText_31;
		text_32.innerText = translations.pe.DText_32;
		text_33.innerText = translations.pe.DText_33;
		text_34.innerText = translations.pe.DText_34;
		text_35.innerText = translations.pe.DText_35;
		text_36.innerText = translations.pe.DText_36;
		text_37.innerText = translations.pe.DText_37;
		text_38.innerText = translations.pe.DText_38;
		text_39.innerText = translations.pe.DText_39;
		text_40.innerText = translations.pe.DText_40;
		text_41.innerText = translations.pe.DText_41;
		text_42.innerText = translations.pe.DText_42;
		text_43.innerText = translations.pe.DText_43;
		text_44.innerText = translations.pe.DText_44;
		text_45.innerText = translations.pe.DText_45;
		text_46.innerText = translations.pe.DText_46;
		text_47.innerText = translations.pe.DText_47;
		text_48.innerText = translations.pe.DText_48;
		text_49.innerText = translations.pe.DText_49;
		text_50.innerText = translations.pe.DText_50;
		text_51.innerText = translations.pe.DText_51;
		text_511.innerText = translations.pe.DText_511;
		text_52.innerText = translations.pe.DText_52;
		text_41a.innerText = translations.pe.DText_41;
		text_42a.innerText = translations.pe.DText_42;
		text_43a.innerText = translations.pe.DText_43;
		text_44a.innerText = translations.pe.DText_44;
		text_45a.innerText = translations.pe.DText_45;
		text_46a.innerText = translations.pe.DText_46;
		text_47a.innerText = translations.pe.DText_47;
		text_48a.innerText = translations.pe.DText_48;
		text_49a.innerText = translations.pe.DText_49;
		text_50a.innerText = translations.pe.DText_50;
		text_51a.innerText = translations.pe.DText_51;
		text_511a.innerText = translations.pe.DText_511;
		male.innerText = translations.pe.male;
		female.innerText = translations.pe.female;
		other.innerText = translations.pe.other;
	}else if(language == "po"){
		footer_00.innerText = translations.po.footer00;
		footer_01.innerText = translations.po.footer01;
		footer_02.innerText = translations.po.footer02;
		footer_03.innerText = translations.po.footer03;
		footer_04.innerText = translations.po.footer04;
		footer_05.innerText = translations.po.footer05;
		footer_06.innerText = translations.po.footer06;
		footer_07.innerText = translations.po.footer07;
		footer_08.innerText = translations.po.footer08;
		footer_09.innerText = translations.po.footer09;
		footer_10.innerText = translations.po.footer10;
		footer_11.innerText = translations.po.footer11;
		footer_12.innerText = translations.po.footer12;
		footer_13.innerText = translations.po.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.po.footer14;
		request.innerText = translations.po.request;
		agree.innerText = translations.po.agree;
		cashbook.innerText = translations.po.cashbook;
		logout.innerText = translations.po.logout;
		if (welcome) {welcome.innerText = translations.po.welcome;}
		text_01.innerText = translations.po.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.po.DText_02+'</p>';
		text_03.innerText = translations.po.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.po.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.po.DText_05;
		text_06.placeholder = translations.po.DText_06;
		text_07.innerHTML = translations.po.DText_07;
		text_08.placeholder = translations.po.DText_08;
		text_09.innerHTML = translations.po.DText_09;
		text_10.placeholder = translations.po.DText_10;
		if (text_11) {text_11.innerText = translations.po.DText_11;}
		if (text_12) {text_12.innerText = translations.po.DText_12;}
		text_13.innerText = translations.po.DText_13;
		text_14.innerText = translations.po.DText_14;
		text_15.placeholder = translations.po.DText_15;
		text_16.innerText = translations.po.DText_16;
		text_17.innerText = translations.po.DText_17;
		text_18.innerText = translations.po.DText_18;
		text_19.innerText = translations.po.DText_19;
		text_20.innerText = translations.po.DText_20;
		text_21.innerText = translations.po.DText_21;
		text_22.innerText = translations.po.DText_22;
		text_23.innerText = translations.po.DText_23;
		text_24.innerText = translations.po.DText_24;
		text_25.innerText = translations.po.DText_25;
		text_26.innerText = translations.po.DText_26;
		text_27.innerText = translations.po.DText_27;
		text_28.innerText = translations.po.DText_28;
		text_29.innerText = translations.po.DText_29;
		text_30.innerText = translations.po.DText_30;
		text_31.innerText = translations.po.DText_31;
		text_32.innerText = translations.po.DText_32;
		text_33.innerText = translations.po.DText_33;
		text_34.innerText = translations.po.DText_34;
		text_35.innerText = translations.po.DText_35;
		text_36.innerText = translations.po.DText_36;
		text_37.innerText = translations.po.DText_37;
		text_38.innerText = translations.po.DText_38;
		text_39.innerText = translations.po.DText_39;
		text_40.innerText = translations.po.DText_40;
		text_41.innerText = translations.po.DText_41;
		text_42.innerText = translations.po.DText_42;
		text_43.innerText = translations.po.DText_43;
		text_44.innerText = translations.po.DText_44;
		text_45.innerText = translations.po.DText_45;
		text_46.innerText = translations.po.DText_46;
		text_47.innerText = translations.po.DText_47;
		text_48.innerText = translations.po.DText_48;
		text_49.innerText = translations.po.DText_49;
		text_50.innerText = translations.po.DText_50;
		text_51.innerText = translations.po.DText_51;
		text_511.innerText = translations.po.DText_511;
		text_52.innerText = translations.po.DText_52;
		text_41a.innerText = translations.po.DText_41;
		text_42a.innerText = translations.po.DText_42;
		text_43a.innerText = translations.po.DText_43;
		text_44a.innerText = translations.po.DText_44;
		text_45a.innerText = translations.po.DText_45;
		text_46a.innerText = translations.po.DText_46;
		text_47a.innerText = translations.po.DText_47;
		text_48a.innerText = translations.po.DText_48;
		text_49a.innerText = translations.po.DText_49;
		text_50a.innerText = translations.po.DText_50;
		text_51a.innerText = translations.po.DText_51;
		text_511a.innerText = translations.po.DText_511;
		male.innerText = translations.po.male;
		female.innerText = translations.po.female;
		other.innerText = translations.po.other;
	}else if(language == "pt"){
		footer_00.innerText = translations.pt.footer00;
		footer_01.innerText = translations.pt.footer01;
		footer_02.innerText = translations.pt.footer02;
		footer_03.innerText = translations.pt.footer03;
		footer_04.innerText = translations.pt.footer04;
		footer_05.innerText = translations.pt.footer05;
		footer_06.innerText = translations.pt.footer06;
		footer_07.innerText = translations.pt.footer07;
		footer_08.innerText = translations.pt.footer08;
		footer_09.innerText = translations.pt.footer09;
		footer_10.innerText = translations.pt.footer10;
		footer_11.innerText = translations.pt.footer11;
		footer_12.innerText = translations.pt.footer12;
		footer_13.innerText = translations.pt.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.pt.footer14;
		request.innerText = translations.pt.request;
		agree.innerText = translations.pt.agree;
		cashbook.innerText = translations.pt.cashbook;
		logout.innerText = translations.pt.logout;
		if (welcome) {welcome.innerText = translations.pt.welcome;}
		text_01.innerText = translations.pt.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.pt.DText_02+'</p>';
		text_03.innerText = translations.pt.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.pt.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.pt.DText_05;
		text_06.placeholder = translations.pt.DText_06;
		text_07.innerHTML = translations.pt.DText_07;
		text_08.placeholder = translations.pt.DText_08;
		text_09.innerHTML = translations.pt.DText_09;
		text_10.placeholder = translations.pt.DText_10;
		if (text_11) {text_11.innerText = translations.pt.DText_11;}
		if (text_12) {text_12.innerText = translations.pt.DText_12;}
		text_13.innerText = translations.pt.DText_13;
		text_14.innerText = translations.pt.DText_14;
		text_15.placeholder = translations.pt.DText_15;
		text_16.innerText = translations.pt.DText_16;
		text_17.innerText = translations.pt.DText_17;
		text_18.innerText = translations.pt.DText_18;
		text_19.innerText = translations.pt.DText_19;
		text_20.innerText = translations.pt.DText_20;
		text_21.innerText = translations.pt.DText_21;
		text_22.innerText = translations.pt.DText_22;
		text_23.innerText = translations.pt.DText_23;
		text_24.innerText = translations.pt.DText_24;
		text_25.innerText = translations.pt.DText_25;
		text_26.innerText = translations.pt.DText_26;
		text_27.innerText = translations.pt.DText_27;
		text_28.innerText = translations.pt.DText_28;
		text_29.innerText = translations.pt.DText_29;
		text_30.innerText = translations.pt.DText_30;
		text_31.innerText = translations.pt.DText_31;
		text_32.innerText = translations.pt.DText_32;
		text_33.innerText = translations.pt.DText_33;
		text_34.innerText = translations.pt.DText_34;
		text_35.innerText = translations.pt.DText_35;
		text_36.innerText = translations.pt.DText_36;
		text_37.innerText = translations.pt.DText_37;
		text_38.innerText = translations.pt.DText_38;
		text_39.innerText = translations.pt.DText_39;
		text_40.innerText = translations.pt.DText_40;
		text_41.innerText = translations.pt.DText_41;
		text_42.innerText = translations.pt.DText_42;
		text_43.innerText = translations.pt.DText_43;
		text_44.innerText = translations.pt.DText_44;
		text_45.innerText = translations.pt.DText_45;
		text_46.innerText = translations.pt.DText_46;
		text_47.innerText = translations.pt.DText_47;
		text_48.innerText = translations.pt.DText_48;
		text_49.innerText = translations.pt.DText_49;
		text_50.innerText = translations.pt.DText_50;
		text_51.innerText = translations.pt.DText_51;
		text_511.innerText = translations.pt.DText_511;
		text_52.innerText = translations.pt.DText_52;
		text_41a.innerText = translations.pt.DText_41;
		text_42a.innerText = translations.pt.DText_42;
		text_43a.innerText = translations.pt.DText_43;
		text_44a.innerText = translations.pt.DText_44;
		text_45a.innerText = translations.pt.DText_45;
		text_46a.innerText = translations.pt.DText_46;
		text_47a.innerText = translations.pt.DText_47;
		text_48a.innerText = translations.pt.DText_48;
		text_49a.innerText = translations.pt.DText_49;
		text_50a.innerText = translations.pt.DText_50;
		text_51a.innerText = translations.pt.DText_51;
		text_511a.innerText = translations.pt.DText_511;
		male.innerText = translations.pt.male;
		female.innerText = translations.pt.female;
		other.innerText = translations.pt.other;
	}else if(language == "ro"){
		footer_00.innerText = translations.ro.footer00;
		footer_01.innerText = translations.ro.footer01;
		footer_02.innerText = translations.ro.footer02;
		footer_03.innerText = translations.ro.footer03;
		footer_04.innerText = translations.ro.footer04;
		footer_05.innerText = translations.ro.footer05;
		footer_06.innerText = translations.ro.footer06;
		footer_07.innerText = translations.ro.footer07;
		footer_08.innerText = translations.ro.footer08;
		footer_09.innerText = translations.ro.footer09;
		footer_10.innerText = translations.ro.footer10;
		footer_11.innerText = translations.ro.footer11;
		footer_12.innerText = translations.ro.footer12;
		footer_13.innerText = translations.ro.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ro.footer14;
		request.innerText = translations.ro.request;
		agree.innerText = translations.ro.agree;
		cashbook.innerText = translations.ro.cashbook;
		logout.innerText = translations.ro.logout;
		if (welcome) {welcome.innerText = translations.ro.welcome;}
		text_01.innerText = translations.ro.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.ro.DText_02+'</p>';
		text_03.innerText = translations.ro.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.ro.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.ro.DText_05;
		text_06.placeholder = translations.ro.DText_06;
		text_07.innerHTML = translations.ro.DText_07;
		text_08.placeholder = translations.ro.DText_08;
		text_09.innerHTML = translations.ro.DText_09;
		text_10.placeholder = translations.ro.DText_10;
		if (text_11) {text_11.innerText = translations.ro.DText_11;}
		if (text_12) {text_12.innerText = translations.ro.DText_12;}
		text_13.innerText = translations.ro.DText_13;
		text_14.innerText = translations.ro.DText_14;
		text_15.placeholder = translations.ro.DText_15;
		text_16.innerText = translations.ro.DText_16;
		text_17.innerText = translations.ro.DText_17;
		text_18.innerText = translations.ro.DText_18;
		text_19.innerText = translations.ro.DText_19;
		text_20.innerText = translations.ro.DText_20;
		text_21.innerText = translations.ro.DText_21;
		text_22.innerText = translations.ro.DText_22;
		text_23.innerText = translations.ro.DText_23;
		text_24.innerText = translations.ro.DText_24;
		text_25.innerText = translations.ro.DText_25;
		text_26.innerText = translations.ro.DText_26;
		text_27.innerText = translations.ro.DText_27;
		text_28.innerText = translations.ro.DText_28;
		text_29.innerText = translations.ro.DText_29;
		text_30.innerText = translations.ro.DText_30;
		text_31.innerText = translations.ro.DText_31;
		text_32.innerText = translations.ro.DText_32;
		text_33.innerText = translations.ro.DText_33;
		text_34.innerText = translations.ro.DText_34;
		text_35.innerText = translations.ro.DText_35;
		text_36.innerText = translations.ro.DText_36;
		text_37.innerText = translations.ro.DText_37;
		text_38.innerText = translations.ro.DText_38;
		text_39.innerText = translations.ro.DText_39;
		text_40.innerText = translations.ro.DText_40;
		text_41.innerText = translations.ro.DText_41;
		text_42.innerText = translations.ro.DText_42;
		text_43.innerText = translations.ro.DText_43;
		text_44.innerText = translations.ro.DText_44;
		text_45.innerText = translations.ro.DText_45;
		text_46.innerText = translations.ro.DText_46;
		text_47.innerText = translations.ro.DText_47;
		text_48.innerText = translations.ro.DText_48;
		text_49.innerText = translations.ro.DText_49;
		text_50.innerText = translations.ro.DText_50;
		text_51.innerText = translations.ro.DText_51;
		text_511.innerText = translations.ro.DText_511;
		text_52.innerText = translations.ro.DText_52;
		text_41a.innerText = translations.ro.DText_41;
		text_42a.innerText = translations.ro.DText_42;
		text_43a.innerText = translations.ro.DText_43;
		text_44a.innerText = translations.ro.DText_44;
		text_45a.innerText = translations.ro.DText_45;
		text_46a.innerText = translations.ro.DText_46;
		text_47a.innerText = translations.ro.DText_47;
		text_48a.innerText = translations.ro.DText_48;
		text_49a.innerText = translations.ro.DText_49;
		text_50a.innerText = translations.ro.DText_50;
		text_51a.innerText = translations.ro.DText_51;
		text_511a.innerText = translations.ro.DText_511;
		male.innerText = translations.ro.male;
		female.innerText = translations.ro.female;
		other.innerText = translations.ro.other;
	}else if(language == "ru"){
		footer_00.innerText = translations.ru.footer00;
		footer_01.innerText = translations.ru.footer01;
		footer_02.innerText = translations.ru.footer02;
		footer_03.innerText = translations.ru.footer03;
		footer_04.innerText = translations.ru.footer04;
		footer_05.innerText = translations.ru.footer05;
		footer_06.innerText = translations.ru.footer06;
		footer_07.innerText = translations.ru.footer07;
		footer_08.innerText = translations.ru.footer08;
		footer_09.innerText = translations.ru.footer09;
		footer_10.innerText = translations.ru.footer10;
		footer_11.innerText = translations.ru.footer11;
		footer_12.innerText = translations.ru.footer12;
		footer_13.innerText = translations.ru.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ru.footer14;
		request.innerText = translations.ru.request;
		agree.innerText = translations.ru.agree;
		cashbook.innerText = translations.ru.cashbook;
		logout.innerText = translations.ru.logout;
		if (welcome) {welcome.innerText = translations.ru.welcome;}
		text_01.innerText = translations.ru.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.ru.DText_02+'</p>';
		text_03.innerText = translations.ru.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.ru.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.ru.DText_05;
		text_06.placeholder = translations.ru.DText_06;
		text_07.innerHTML = translations.ru.DText_07;
		text_08.placeholder = translations.ru.DText_08;
		text_09.innerHTML = translations.ru.DText_09;
		text_10.placeholder = translations.ru.DText_10;
		if (text_11) {text_11.innerText = translations.ru.DText_11;}
		if (text_12) {text_12.innerText = translations.ru.DText_12;}
		text_13.innerText = translations.ru.DText_13;
		text_14.innerText = translations.ru.DText_14;
		text_15.placeholder = translations.ru.DText_15;
		text_16.innerText = translations.ru.DText_16;
		text_17.innerText = translations.ru.DText_17;
		text_18.innerText = translations.ru.DText_18;
		text_19.innerText = translations.ru.DText_19;
		text_20.innerText = translations.ru.DText_20;
		text_21.innerText = translations.ru.DText_21;
		text_22.innerText = translations.ru.DText_22;
		text_23.innerText = translations.ru.DText_23;
		text_24.innerText = translations.ru.DText_24;
		text_25.innerText = translations.ru.DText_25;
		text_26.innerText = translations.ru.DText_26;
		text_27.innerText = translations.ru.DText_27;
		text_28.innerText = translations.ru.DText_28;
		text_29.innerText = translations.ru.DText_29;
		text_30.innerText = translations.ru.DText_30;
		text_31.innerText = translations.ru.DText_31;
		text_32.innerText = translations.ru.DText_32;
		text_33.innerText = translations.ru.DText_33;
		text_34.innerText = translations.ru.DText_34;
		text_35.innerText = translations.ru.DText_35;
		text_36.innerText = translations.ru.DText_36;
		text_37.innerText = translations.ru.DText_37;
		text_38.innerText = translations.ru.DText_38;
		text_39.innerText = translations.ru.DText_39;
		text_40.innerText = translations.ru.DText_40;
		text_41.innerText = translations.ru.DText_41;
		text_42.innerText = translations.ru.DText_42;
		text_43.innerText = translations.ru.DText_43;
		text_44.innerText = translations.ru.DText_44;
		text_45.innerText = translations.ru.DText_45;
		text_46.innerText = translations.ru.DText_46;
		text_47.innerText = translations.ru.DText_47;
		text_48.innerText = translations.ru.DText_48;
		text_49.innerText = translations.ru.DText_49;
		text_50.innerText = translations.ru.DText_50;
		text_51.innerText = translations.ru.DText_51;
		text_511.innerText = translations.ru.DText_511;
		text_52.innerText = translations.ru.DText_52;
		text_41a.innerText = translations.ru.DText_41;
		text_42a.innerText = translations.ru.DText_42;
		text_43a.innerText = translations.ru.DText_43;
		text_44a.innerText = translations.ru.DText_44;
		text_45a.innerText = translations.ru.DText_45;
		text_46a.innerText = translations.ru.DText_46;
		text_47a.innerText = translations.ru.DText_47;
		text_48a.innerText = translations.ru.DText_48;
		text_49a.innerText = translations.ru.DText_49;
		text_50a.innerText = translations.ru.DText_50;
		text_51a.innerText = translations.ru.DText_51;
		text_511a.innerText = translations.ru.DText_511;
		male.innerText = translations.ru.male;
		female.innerText = translations.ru.female;
		other.innerText = translations.ru.other;
	}else if(language == "zi"){
		footer_00.innerText = translations.zi.footer00;
		footer_01.innerText = translations.zi.footer01;
		footer_02.innerText = translations.zi.footer02;
		footer_03.innerText = translations.zi.footer03;
		footer_04.innerText = translations.zi.footer04;
		footer_05.innerText = translations.zi.footer05;
		footer_06.innerText = translations.zi.footer06;
		footer_07.innerText = translations.zi.footer07;
		footer_08.innerText = translations.zi.footer08;
		footer_09.innerText = translations.zi.footer09;
		footer_10.innerText = translations.zi.footer10;
		footer_11.innerText = translations.zi.footer11;
		footer_12.innerText = translations.zi.footer12;
		footer_13.innerText = translations.zi.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.zi.footer14;
		request.innerText = translations.zi.request;
		agree.innerText = translations.zi.agree;
		cashbook.innerText = translations.zi.cashbook;
		logout.innerText = translations.zi.logout;
		if (welcome) {welcome.innerText = translations.zi.welcome;}
		text_01.innerText = translations.zi.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.zi.DText_02+'</p>';
		text_03.innerText = translations.zi.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.zi.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.zi.DText_05;
		text_06.placeholder = translations.zi.DText_06;
		text_07.innerHTML = translations.zi.DText_07;
		text_08.placeholder = translations.zi.DText_08;
		text_09.innerHTML = translations.zi.DText_09;
		text_10.placeholder = translations.zi.DText_10;
		if (text_11) {text_11.innerText = translations.zi.DText_11;}
		if (text_12) {text_12.innerText = translations.zi.DText_12;}
		text_13.innerText = translations.zi.DText_13;
		text_14.innerText = translations.zi.DText_14;
		text_15.placeholder = translations.zi.DText_15;
		text_16.innerText = translations.zi.DText_16;
		text_17.innerText = translations.zi.DText_17;
		text_18.innerText = translations.zi.DText_18;
		text_19.innerText = translations.zi.DText_19;
		text_20.innerText = translations.zi.DText_20;
		text_21.innerText = translations.zi.DText_21;
		text_22.innerText = translations.zi.DText_22;
		text_23.innerText = translations.zi.DText_23;
		text_24.innerText = translations.zi.DText_24;
		text_25.innerText = translations.zi.DText_25;
		text_26.innerText = translations.zi.DText_26;
		text_27.innerText = translations.zi.DText_27;
		text_28.innerText = translations.zi.DText_28;
		text_29.innerText = translations.zi.DText_29;
		text_30.innerText = translations.zi.DText_30;
		text_31.innerText = translations.zi.DText_31;
		text_32.innerText = translations.zi.DText_32;
		text_33.innerText = translations.zi.DText_33;
		text_34.innerText = translations.zi.DText_34;
		text_35.innerText = translations.zi.DText_35;
		text_36.innerText = translations.zi.DText_36;
		text_37.innerText = translations.zi.DText_37;
		text_38.innerText = translations.zi.DText_38;
		text_39.innerText = translations.zi.DText_39;
		text_40.innerText = translations.zi.DText_40;
		text_41.innerText = translations.zi.DText_41;
		text_42.innerText = translations.zi.DText_42;
		text_43.innerText = translations.zi.DText_43;
		text_44.innerText = translations.zi.DText_44;
		text_45.innerText = translations.zi.DText_45;
		text_46.innerText = translations.zi.DText_46;
		text_47.innerText = translations.zi.DText_47;
		text_48.innerText = translations.zi.DText_48;
		text_49.innerText = translations.zi.DText_49;
		text_50.innerText = translations.zi.DText_50;
		text_51.innerText = translations.zi.DText_51;
		text_511.innerText = translations.zi.DText_511;
		text_52.innerText = translations.zi.DText_52;
		text_41a.innerText = translations.zi.DText_41;
		text_42a.innerText = translations.zi.DText_42;
		text_43a.innerText = translations.zi.DText_43;
		text_44a.innerText = translations.zi.DText_44;
		text_45a.innerText = translations.zi.DText_45;
		text_46a.innerText = translations.zi.DText_46;
		text_47a.innerText = translations.zi.DText_47;
		text_48a.innerText = translations.zi.DText_48;
		text_49a.innerText = translations.zi.DText_49;
		text_50a.innerText = translations.zi.DText_50;
		text_51a.innerText = translations.zi.DText_51;
		text_511a.innerText = translations.zi.DText_511;
		male.innerText = translations.zi.male;
		female.innerText = translations.zi.female;
		other.innerText = translations.zi.other;
	}else if(language == "al"){
		footer_00.innerText = translations.al.footer00;
		footer_01.innerText = translations.al.footer01;
		footer_02.innerText = translations.al.footer02;
		footer_03.innerText = translations.al.footer03;
		footer_04.innerText = translations.al.footer04;
		footer_05.innerText = translations.al.footer05;
		footer_06.innerText = translations.al.footer06;
		footer_07.innerText = translations.al.footer07;
		footer_08.innerText = translations.al.footer08;
		footer_09.innerText = translations.al.footer09;
		footer_10.innerText = translations.al.footer10;
		footer_11.innerText = translations.al.footer11;
		footer_12.innerText = translations.al.footer12;
		footer_13.innerText = translations.al.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.al.footer14;
		request.innerText = translations.al.request;
		agree.innerText = translations.al.agree;
		cashbook.innerText = translations.al.cashbook;
		logout.innerText = translations.al.logout;
		if (welcome) {welcome.innerText = translations.al.welcome;}
		text_01.innerText = translations.al.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.al.DText_02+'</p>';
		text_03.innerText = translations.al.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.al.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.al.DText_05;
		text_06.placeholder = translations.al.DText_06;
		text_07.innerHTML = translations.al.DText_07;
		text_08.placeholder = translations.al.DText_08;
		text_09.innerHTML = translations.al.DText_09;
		text_10.placeholder = translations.al.DText_10;
		if (text_11) {text_11.innerText = translations.al.DText_11;}
		if (text_12) {text_12.innerText = translations.al.DText_12;}
		text_13.innerText = translations.al.DText_13;
		text_14.innerText = translations.al.DText_14;
		text_15.placeholder = translations.al.DText_15;
		text_16.innerText = translations.al.DText_16;
		text_17.innerText = translations.al.DText_17;
		text_18.innerText = translations.al.DText_18;
		text_19.innerText = translations.al.DText_19;
		text_20.innerText = translations.al.DText_20;
		text_21.innerText = translations.al.DText_21;
		text_22.innerText = translations.al.DText_22;
		text_23.innerText = translations.al.DText_23;
		text_24.innerText = translations.al.DText_24;
		text_25.innerText = translations.al.DText_25;
		text_26.innerText = translations.al.DText_26;
		text_27.innerText = translations.al.DText_27;
		text_28.innerText = translations.al.DText_28;
		text_29.innerText = translations.al.DText_29;
		text_30.innerText = translations.al.DText_30;
		text_31.innerText = translations.al.DText_31;
		text_32.innerText = translations.al.DText_32;
		text_33.innerText = translations.al.DText_33;
		text_34.innerText = translations.al.DText_34;
		text_35.innerText = translations.al.DText_35;
		text_36.innerText = translations.al.DText_36;
		text_37.innerText = translations.al.DText_37;
		text_38.innerText = translations.al.DText_38;
		text_39.innerText = translations.al.DText_39;
		text_40.innerText = translations.al.DText_40;
		text_41.innerText = translations.al.DText_41;
		text_42.innerText = translations.al.DText_42;
		text_43.innerText = translations.al.DText_43;
		text_44.innerText = translations.al.DText_44;
		text_45.innerText = translations.al.DText_45;
		text_46.innerText = translations.al.DText_46;
		text_47.innerText = translations.al.DText_47;
		text_48.innerText = translations.al.DText_48;
		text_49.innerText = translations.al.DText_49;
		text_50.innerText = translations.al.DText_50;
		text_51.innerText = translations.al.DText_51;
		text_511.innerText = translations.al.DText_511;
		text_52.innerText = translations.al.DText_52;
		text_41a.innerText = translations.al.DText_41;
		text_42a.innerText = translations.al.DText_42;
		text_43a.innerText = translations.al.DText_43;
		text_44a.innerText = translations.al.DText_44;
		text_45a.innerText = translations.al.DText_45;
		text_46a.innerText = translations.al.DText_46;
		text_47a.innerText = translations.al.DText_47;
		text_48a.innerText = translations.al.DText_48;
		text_49a.innerText = translations.al.DText_49;
		text_50a.innerText = translations.al.DText_50;
		text_51a.innerText = translations.al.DText_51;
		text_511a.innerText = translations.al.DText_511;
		male.innerText = translations.al.male;
		female.innerText = translations.al.female;
		other.innerText = translations.al.other;
	}else if(language == "sl"){
		footer_00.innerText = translations.sl.footer00;
		footer_01.innerText = translations.sl.footer01;
		footer_02.innerText = translations.sl.footer02;
		footer_03.innerText = translations.sl.footer03;
		footer_04.innerText = translations.sl.footer04;
		footer_05.innerText = translations.sl.footer05;
		footer_06.innerText = translations.sl.footer06;
		footer_07.innerText = translations.sl.footer07;
		footer_08.innerText = translations.sl.footer08;
		footer_09.innerText = translations.sl.footer09;
		footer_10.innerText = translations.sl.footer10;
		footer_11.innerText = translations.sl.footer11;
		footer_12.innerText = translations.sl.footer12;
		footer_13.innerText = translations.sl.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.sl.footer14;
		request.innerText = translations.sl.request;
		agree.innerText = translations.sl.agree;
		cashbook.innerText = translations.sl.cashbook;
		logout.innerText = translations.sl.logout;
		if (welcome) {welcome.innerText = translations.sl.welcome;}
		text_01.innerText = translations.sl.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.sl.DText_02+'</p>';
		text_03.innerText = translations.sl.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.sl.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.sl.DText_05;
		text_06.placeholder = translations.sl.DText_06;
		text_07.innerHTML = translations.sl.DText_07;
		text_08.placeholder = translations.sl.DText_08;
		text_09.innerHTML = translations.sl.DText_09;
		text_10.placeholder = translations.sl.DText_10;
		if (text_11) {text_11.innerText = translations.sl.DText_11;}
		if (text_12) {text_12.innerText = translations.sl.DText_12;}
		text_13.innerText = translations.sl.DText_13;
		text_14.innerText = translations.sl.DText_14;
		text_15.placeholder = translations.sl.DText_15;
		text_16.innerText = translations.sl.DText_16;
		text_17.innerText = translations.sl.DText_17;
		text_18.innerText = translations.sl.DText_18;
		text_19.innerText = translations.sl.DText_19;
		text_20.innerText = translations.sl.DText_20;
		text_21.innerText = translations.sl.DText_21;
		text_22.innerText = translations.sl.DText_22;
		text_23.innerText = translations.sl.DText_23;
		text_24.innerText = translations.sl.DText_24;
		text_25.innerText = translations.sl.DText_25;
		text_26.innerText = translations.sl.DText_26;
		text_27.innerText = translations.sl.DText_27;
		text_28.innerText = translations.sl.DText_28;
		text_29.innerText = translations.sl.DText_29;
		text_30.innerText = translations.sl.DText_30;
		text_31.innerText = translations.sl.DText_31;
		text_32.innerText = translations.sl.DText_32;
		text_33.innerText = translations.sl.DText_33;
		text_34.innerText = translations.sl.DText_34;
		text_35.innerText = translations.sl.DText_35;
		text_36.innerText = translations.sl.DText_36;
		text_37.innerText = translations.sl.DText_37;
		text_38.innerText = translations.sl.DText_38;
		text_39.innerText = translations.sl.DText_39;
		text_40.innerText = translations.sl.DText_40;
		text_41.innerText = translations.sl.DText_41;
		text_42.innerText = translations.sl.DText_42;
		text_43.innerText = translations.sl.DText_43;
		text_44.innerText = translations.sl.DText_44;
		text_45.innerText = translations.sl.DText_45;
		text_46.innerText = translations.sl.DText_46;
		text_47.innerText = translations.sl.DText_47;
		text_48.innerText = translations.sl.DText_48;
		text_49.innerText = translations.sl.DText_49;
		text_50.innerText = translations.sl.DText_50;
		text_51.innerText = translations.sl.DText_51;
		text_511.innerText = translations.sl.DText_511;
		text_52.innerText = translations.sl.DText_52;
		text_41a.innerText = translations.sl.DText_41;
		text_42a.innerText = translations.sl.DText_42;
		text_43a.innerText = translations.sl.DText_43;
		text_44a.innerText = translations.sl.DText_44;
		text_45a.innerText = translations.sl.DText_45;
		text_46a.innerText = translations.sl.DText_46;
		text_47a.innerText = translations.sl.DText_47;
		text_48a.innerText = translations.sl.DText_48;
		text_49a.innerText = translations.sl.DText_49;
		text_50a.innerText = translations.sl.DText_50;
		text_51a.innerText = translations.sl.DText_51;
		text_511a.innerText = translations.sl.DText_511;
		male.innerText = translations.sl.male;
		female.innerText = translations.sl.female;
		other.innerText = translations.sl.other;
	}else if(language == "sk"){
		footer_00.innerText = translations.sk.footer00;
		footer_01.innerText = translations.sk.footer01;
		footer_02.innerText = translations.sk.footer02;
		footer_03.innerText = translations.sk.footer03;
		footer_04.innerText = translations.sk.footer04;
		footer_05.innerText = translations.sk.footer05;
		footer_06.innerText = translations.sk.footer06;
		footer_07.innerText = translations.sk.footer07;
		footer_08.innerText = translations.sk.footer08;
		footer_09.innerText = translations.sk.footer09;
		footer_10.innerText = translations.sk.footer10;
		footer_11.innerText = translations.sk.footer11;
		footer_12.innerText = translations.sk.footer12;
		footer_13.innerText = translations.sk.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.sk.footer14;
		request.innerText = translations.sk.request;
		agree.innerText = translations.sk.agree;
		cashbook.innerText = translations.sk.cashbook;
		logout.innerText = translations.sk.logout;
		if (welcome) {welcome.innerText = translations.sk.welcome;}
		text_01.innerText = translations.sk.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.sk.DText_02+'</p>';
		text_03.innerText = translations.sk.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.sk.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.sk.DText_05;
		text_06.placeholder = translations.sk.DText_06;
		text_07.innerHTML = translations.sk.DText_07;
		text_08.placeholder = translations.sk.DText_08;
		text_09.innerHTML = translations.sk.DText_09;
		text_10.placeholder = translations.sk.DText_10;
		if (text_11) {text_11.innerText = translations.sk.DText_11;}
		if (text_12) {text_12.innerText = translations.sk.DText_12;}
		text_13.innerText = translations.sk.DText_13;
		text_14.innerText = translations.sk.DText_14;
		text_15.placeholder = translations.sk.DText_15;
		text_16.innerText = translations.sk.DText_16;
		text_17.innerText = translations.sk.DText_17;
		text_18.innerText = translations.sk.DText_18;
		text_19.innerText = translations.sk.DText_19;
		text_20.innerText = translations.sk.DText_20;
		text_21.innerText = translations.sk.DText_21;
		text_22.innerText = translations.sk.DText_22;
		text_23.innerText = translations.sk.DText_23;
		text_24.innerText = translations.sk.DText_24;
		text_25.innerText = translations.sk.DText_25;
		text_26.innerText = translations.sk.DText_26;
		text_27.innerText = translations.sk.DText_27;
		text_28.innerText = translations.sk.DText_28;
		text_29.innerText = translations.sk.DText_29;
		text_30.innerText = translations.sk.DText_30;
		text_31.innerText = translations.sk.DText_31;
		text_32.innerText = translations.sk.DText_32;
		text_33.innerText = translations.sk.DText_33;
		text_34.innerText = translations.sk.DText_34;
		text_35.innerText = translations.sk.DText_35;
		text_36.innerText = translations.sk.DText_36;
		text_37.innerText = translations.sk.DText_37;
		text_38.innerText = translations.sk.DText_38;
		text_39.innerText = translations.sk.DText_39;
		text_40.innerText = translations.sk.DText_40;
		text_41.innerText = translations.sk.DText_41;
		text_42.innerText = translations.sk.DText_42;
		text_43.innerText = translations.sk.DText_43;
		text_44.innerText = translations.sk.DText_44;
		text_45.innerText = translations.sk.DText_45;
		text_46.innerText = translations.sk.DText_46;
		text_47.innerText = translations.sk.DText_47;
		text_48.innerText = translations.sk.DText_48;
		text_49.innerText = translations.sk.DText_49;
		text_50.innerText = translations.sk.DText_50;
		text_51.innerText = translations.sk.DText_51;
		text_511.innerText = translations.sk.DText_511;
		text_52.innerText = translations.sk.DText_52;
		text_41a.innerText = translations.sk.DText_41;
		text_42a.innerText = translations.sk.DText_42;
		text_43a.innerText = translations.sk.DText_43;
		text_44a.innerText = translations.sk.DText_44;
		text_45a.innerText = translations.sk.DText_45;
		text_46a.innerText = translations.sk.DText_46;
		text_47a.innerText = translations.sk.DText_47;
		text_48a.innerText = translations.sk.DText_48;
		text_49a.innerText = translations.sk.DText_49;
		text_50a.innerText = translations.sk.DText_50;
		text_51a.innerText = translations.sk.DText_51;
		text_511a.innerText = translations.sk.DText_511;
		male.innerText = translations.sk.male;
		female.innerText = translations.sk.female;
		other.innerText = translations.sk.other;
	}else if(language == "so"){
		footer_00.innerText = translations.so.footer00;
		footer_01.innerText = translations.so.footer01;
		footer_02.innerText = translations.so.footer02;
		footer_03.innerText = translations.so.footer03;
		footer_04.innerText = translations.so.footer04;
		footer_05.innerText = translations.so.footer05;
		footer_06.innerText = translations.so.footer06;
		footer_07.innerText = translations.so.footer07;
		footer_08.innerText = translations.so.footer08;
		footer_09.innerText = translations.so.footer09;
		footer_10.innerText = translations.so.footer10;
		footer_11.innerText = translations.so.footer11;
		footer_12.innerText = translations.so.footer12;
		footer_13.innerText = translations.so.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.so.footer14;
		request.innerText = translations.so.request;
		agree.innerText = translations.so.agree;
		cashbook.innerText = translations.so.cashbook;
		logout.innerText = translations.so.logout;
		if (welcome) {welcome.innerText = translations.so.welcome;}
		text_01.innerText = translations.so.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.so.DText_02+'</p>';
		text_03.innerText = translations.so.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.so.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.so.DText_05;
		text_06.placeholder = translations.so.DText_06;
		text_07.innerHTML = translations.so.DText_07;
		text_08.placeholder = translations.so.DText_08;
		text_09.innerHTML = translations.so.DText_09;
		text_10.placeholder = translations.so.DText_10;
		if (text_11) {text_11.innerText = translations.so.DText_11;}
		if (text_12) {text_12.innerText = translations.so.DText_12;}
		text_13.innerText = translations.so.DText_13;
		text_14.innerText = translations.so.DText_14;
		text_15.placeholder = translations.so.DText_15;
		text_16.innerText = translations.so.DText_16;
		text_17.innerText = translations.so.DText_17;
		text_18.innerText = translations.so.DText_18;
		text_19.innerText = translations.so.DText_19;
		text_20.innerText = translations.so.DText_20;
		text_21.innerText = translations.so.DText_21;
		text_22.innerText = translations.so.DText_22;
		text_23.innerText = translations.so.DText_23;
		text_24.innerText = translations.so.DText_24;
		text_25.innerText = translations.so.DText_25;
		text_26.innerText = translations.so.DText_26;
		text_27.innerText = translations.so.DText_27;
		text_28.innerText = translations.so.DText_28;
		text_29.innerText = translations.so.DText_29;
		text_30.innerText = translations.so.DText_30;
		text_31.innerText = translations.so.DText_31;
		text_32.innerText = translations.so.DText_32;
		text_33.innerText = translations.so.DText_33;
		text_34.innerText = translations.so.DText_34;
		text_35.innerText = translations.so.DText_35;
		text_36.innerText = translations.so.DText_36;
		text_37.innerText = translations.so.DText_37;
		text_38.innerText = translations.so.DText_38;
		text_39.innerText = translations.so.DText_39;
		text_40.innerText = translations.so.DText_40;
		text_41.innerText = translations.so.DText_41;
		text_42.innerText = translations.so.DText_42;
		text_43.innerText = translations.so.DText_43;
		text_44.innerText = translations.so.DText_44;
		text_45.innerText = translations.so.DText_45;
		text_46.innerText = translations.so.DText_46;
		text_47.innerText = translations.so.DText_47;
		text_48.innerText = translations.so.DText_48;
		text_49.innerText = translations.so.DText_49;
		text_50.innerText = translations.so.DText_50;
		text_51.innerText = translations.so.DText_51;
		text_511.innerText = translations.so.DText_511;
		text_52.innerText = translations.so.DText_52;
		text_41a.innerText = translations.so.DText_41;
		text_42a.innerText = translations.so.DText_42;
		text_43a.innerText = translations.so.DText_43;
		text_44a.innerText = translations.so.DText_44;
		text_45a.innerText = translations.so.DText_45;
		text_46a.innerText = translations.so.DText_46;
		text_47a.innerText = translations.so.DText_47;
		text_48a.innerText = translations.so.DText_48;
		text_49a.innerText = translations.so.DText_49;
		text_50a.innerText = translations.so.DText_50;
		text_51a.innerText = translations.so.DText_51;
		text_511a.innerText = translations.so.DText_511;
		male.innerText = translations.so.male;
		female.innerText = translations.so.female;
		other.innerText = translations.so.other;
	}else if(language == "fi"){
		footer_00.innerText = translations.fi.footer00;
		footer_01.innerText = translations.fi.footer01;
		footer_02.innerText = translations.fi.footer02;
		footer_03.innerText = translations.fi.footer03;
		footer_04.innerText = translations.fi.footer04;
		footer_05.innerText = translations.fi.footer05;
		footer_06.innerText = translations.fi.footer06;
		footer_07.innerText = translations.fi.footer07;
		footer_08.innerText = translations.fi.footer08;
		footer_09.innerText = translations.fi.footer09;
		footer_10.innerText = translations.fi.footer10;
		footer_11.innerText = translations.fi.footer11;
		footer_12.innerText = translations.fi.footer12;
		footer_13.innerText = translations.fi.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.fi.footer14;
		request.innerText = translations.fi.request;
		agree.innerText = translations.fi.agree;
		cashbook.innerText = translations.fi.cashbook;
		logout.innerText = translations.fi.logout;
		if (welcome) {welcome.innerText = translations.fi.welcome;}
		text_01.innerText = translations.fi.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.fi.DText_02+'</p>';
		text_03.innerText = translations.fi.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.fi.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.fi.DText_05;
		text_06.placeholder = translations.fi.DText_06;
		text_07.innerHTML = translations.fi.DText_07;
		text_08.placeholder = translations.fi.DText_08;
		text_09.innerHTML = translations.fi.DText_09;
		text_10.placeholder = translations.fi.DText_10;
		if (text_11) {text_11.innerText = translations.fi.DText_11;}
		if (text_12) {text_12.innerText = translations.fi.DText_12;}
		text_13.innerText = translations.fi.DText_13;
		text_14.innerText = translations.fi.DText_14;
		text_15.placeholder = translations.fi.DText_15;
		text_16.innerText = translations.fi.DText_16;
		text_17.innerText = translations.fi.DText_17;
		text_18.innerText = translations.fi.DText_18;
		text_19.innerText = translations.fi.DText_19;
		text_20.innerText = translations.fi.DText_20;
		text_21.innerText = translations.fi.DText_21;
		text_22.innerText = translations.fi.DText_22;
		text_23.innerText = translations.fi.DText_23;
		text_24.innerText = translations.fi.DText_24;
		text_25.innerText = translations.fi.DText_25;
		text_26.innerText = translations.fi.DText_26;
		text_27.innerText = translations.fi.DText_27;
		text_28.innerText = translations.fi.DText_28;
		text_29.innerText = translations.fi.DText_29;
		text_30.innerText = translations.fi.DText_30;
		text_31.innerText = translations.fi.DText_31;
		text_32.innerText = translations.fi.DText_32;
		text_33.innerText = translations.fi.DText_33;
		text_34.innerText = translations.fi.DText_34;
		text_35.innerText = translations.fi.DText_35;
		text_36.innerText = translations.fi.DText_36;
		text_37.innerText = translations.fi.DText_37;
		text_38.innerText = translations.fi.DText_38;
		text_39.innerText = translations.fi.DText_39;
		text_40.innerText = translations.fi.DText_40;
		text_41.innerText = translations.fi.DText_41;
		text_42.innerText = translations.fi.DText_42;
		text_43.innerText = translations.fi.DText_43;
		text_44.innerText = translations.fi.DText_44;
		text_45.innerText = translations.fi.DText_45;
		text_46.innerText = translations.fi.DText_46;
		text_47.innerText = translations.fi.DText_47;
		text_48.innerText = translations.fi.DText_48;
		text_49.innerText = translations.fi.DText_49;
		text_50.innerText = translations.fi.DText_50;
		text_51.innerText = translations.fi.DText_51;
		text_511.innerText = translations.fi.DText_511;
		text_52.innerText = translations.fi.DText_52;
		text_41a.innerText = translations.fi.DText_41;
		text_42a.innerText = translations.fi.DText_42;
		text_43a.innerText = translations.fi.DText_43;
		text_44a.innerText = translations.fi.DText_44;
		text_45a.innerText = translations.fi.DText_45;
		text_46a.innerText = translations.fi.DText_46;
		text_47a.innerText = translations.fi.DText_47;
		text_48a.innerText = translations.fi.DText_48;
		text_49a.innerText = translations.fi.DText_49;
		text_50a.innerText = translations.fi.DText_50;
		text_51a.innerText = translations.fi.DText_51;
		text_511a.innerText = translations.fi.DText_511;
		male.innerText = translations.fi.male;
		female.innerText = translations.fi.female;
		other.innerText = translations.fi.other;
	}else if(language == "sw"){
		footer_00.innerText = translations.sw.footer00;
		footer_01.innerText = translations.sw.footer01;
		footer_02.innerText = translations.sw.footer02;
		footer_03.innerText = translations.sw.footer03;
		footer_04.innerText = translations.sw.footer04;
		footer_05.innerText = translations.sw.footer05;
		footer_06.innerText = translations.sw.footer06;
		footer_07.innerText = translations.sw.footer07;
		footer_08.innerText = translations.sw.footer08;
		footer_09.innerText = translations.sw.footer09;
		footer_10.innerText = translations.sw.footer10;
		footer_11.innerText = translations.sw.footer11;
		footer_12.innerText = translations.sw.footer12;
		footer_13.innerText = translations.sw.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.sw.footer14;
		request.innerText = translations.sw.request;
		agree.innerText = translations.sw.agree;
		cashbook.innerText = translations.sw.cashbook;
		logout.innerText = translations.sw.logout;
		if (welcome) {welcome.innerText = translations.sw.welcome;}
		text_01.innerText = translations.sw.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.sw.DText_02+'</p>';
		text_03.innerText = translations.sw.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.sw.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.sw.DText_05;
		text_06.placeholder = translations.sw.DText_06;
		text_07.innerHTML = translations.sw.DText_07;
		text_08.placeholder = translations.sw.DText_08;
		text_09.innerHTML = translations.sw.DText_09;
		text_10.placeholder = translations.sw.DText_10;
		if (text_11) {text_11.innerText = translations.sw.DText_11;}
		if (text_12) {text_12.innerText = translations.sw.DText_12;}
		text_13.innerText = translations.sw.DText_13;
		text_14.innerText = translations.sw.DText_14;
		text_15.placeholder = translations.sw.DText_15;
		text_16.innerText = translations.sw.DText_16;
		text_17.innerText = translations.sw.DText_17;
		text_18.innerText = translations.sw.DText_18;
		text_19.innerText = translations.sw.DText_19;
		text_20.innerText = translations.sw.DText_20;
		text_21.innerText = translations.sw.DText_21;
		text_22.innerText = translations.sw.DText_22;
		text_23.innerText = translations.sw.DText_23;
		text_24.innerText = translations.sw.DText_24;
		text_25.innerText = translations.sw.DText_25;
		text_26.innerText = translations.sw.DText_26;
		text_27.innerText = translations.sw.DText_27;
		text_28.innerText = translations.sw.DText_28;
		text_29.innerText = translations.sw.DText_29;
		text_30.innerText = translations.sw.DText_30;
		text_31.innerText = translations.sw.DText_31;
		text_32.innerText = translations.sw.DText_32;
		text_33.innerText = translations.sw.DText_33;
		text_34.innerText = translations.sw.DText_34;
		text_35.innerText = translations.sw.DText_35;
		text_36.innerText = translations.sw.DText_36;
		text_37.innerText = translations.sw.DText_37;
		text_38.innerText = translations.sw.DText_38;
		text_39.innerText = translations.sw.DText_39;
		text_40.innerText = translations.sw.DText_40;
		text_41.innerText = translations.sw.DText_41;
		text_42.innerText = translations.sw.DText_42;
		text_43.innerText = translations.sw.DText_43;
		text_44.innerText = translations.sw.DText_44;
		text_45.innerText = translations.sw.DText_45;
		text_46.innerText = translations.sw.DText_46;
		text_47.innerText = translations.sw.DText_47;
		text_48.innerText = translations.sw.DText_48;
		text_49.innerText = translations.sw.DText_49;
		text_50.innerText = translations.sw.DText_50;
		text_51.innerText = translations.sw.DText_51;
		text_511.innerText = translations.sw.DText_511;
		text_52.innerText = translations.sw.DText_52;
		text_41a.innerText = translations.sw.DText_41;
		text_42a.innerText = translations.sw.DText_42;
		text_43a.innerText = translations.sw.DText_43;
		text_44a.innerText = translations.sw.DText_44;
		text_45a.innerText = translations.sw.DText_45;
		text_46a.innerText = translations.sw.DText_46;
		text_47a.innerText = translations.sw.DText_47;
		text_48a.innerText = translations.sw.DText_48;
		text_49a.innerText = translations.sw.DText_49;
		text_50a.innerText = translations.sw.DText_50;
		text_51a.innerText = translations.sw.DText_51;
		text_511a.innerText = translations.sw.DText_511;
		male.innerText = translations.sw.male;
		female.innerText = translations.sw.female;
		other.innerText = translations.sw.other;
	}else if(language == "ta"){
		footer_00.innerText = translations.ta.footer00;
		footer_01.innerText = translations.ta.footer01;
		footer_02.innerText = translations.ta.footer02;
		footer_03.innerText = translations.ta.footer03;
		footer_04.innerText = translations.ta.footer04;
		footer_05.innerText = translations.ta.footer05;
		footer_06.innerText = translations.ta.footer06;
		footer_07.innerText = translations.ta.footer07;
		footer_08.innerText = translations.ta.footer08;
		footer_09.innerText = translations.ta.footer09;
		footer_10.innerText = translations.ta.footer10;
		footer_11.innerText = translations.ta.footer11;
		footer_12.innerText = translations.ta.footer12;
		footer_13.innerText = translations.ta.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ta.footer14;
		request.innerText = translations.ta.request;
		agree.innerText = translations.ta.agree;
		cashbook.innerText = translations.ta.cashbook;
		logout.innerText = translations.ta.logout;
		if (welcome) {welcome.innerText = translations.ta.welcome;}
		text_01.innerText = translations.ta.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.ta.DText_02+'</p>';
		text_03.innerText = translations.ta.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.ta.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.ta.DText_05;
		text_06.placeholder = translations.ta.DText_06;
		text_07.innerHTML = translations.ta.DText_07;
		text_08.placeholder = translations.ta.DText_08;
		text_09.innerHTML = translations.ta.DText_09;
		text_10.placeholder = translations.ta.DText_10;
		if (text_11) {text_11.innerText = translations.ta.DText_11;}
		if (text_12) {text_12.innerText = translations.ta.DText_12;}
		text_13.innerText = translations.ta.DText_13;
		text_14.innerText = translations.ta.DText_14;
		text_15.placeholder = translations.ta.DText_15;
		text_16.innerText = translations.ta.DText_16;
		text_17.innerText = translations.ta.DText_17;
		text_18.innerText = translations.ta.DText_18;
		text_19.innerText = translations.ta.DText_19;
		text_20.innerText = translations.ta.DText_20;
		text_21.innerText = translations.ta.DText_21;
		text_22.innerText = translations.ta.DText_22;
		text_23.innerText = translations.ta.DText_23;
		text_24.innerText = translations.ta.DText_24;
		text_25.innerText = translations.ta.DText_25;
		text_26.innerText = translations.ta.DText_26;
		text_27.innerText = translations.ta.DText_27;
		text_28.innerText = translations.ta.DText_28;
		text_29.innerText = translations.ta.DText_29;
		text_30.innerText = translations.ta.DText_30;
		text_31.innerText = translations.ta.DText_31;
		text_32.innerText = translations.ta.DText_32;
		text_33.innerText = translations.ta.DText_33;
		text_34.innerText = translations.ta.DText_34;
		text_35.innerText = translations.ta.DText_35;
		text_36.innerText = translations.ta.DText_36;
		text_37.innerText = translations.ta.DText_37;
		text_38.innerText = translations.ta.DText_38;
		text_39.innerText = translations.ta.DText_39;
		text_40.innerText = translations.ta.DText_40;
		text_41.innerText = translations.ta.DText_41;
		text_42.innerText = translations.ta.DText_42;
		text_43.innerText = translations.ta.DText_43;
		text_44.innerText = translations.ta.DText_44;
		text_45.innerText = translations.ta.DText_45;
		text_46.innerText = translations.ta.DText_46;
		text_47.innerText = translations.ta.DText_47;
		text_48.innerText = translations.ta.DText_48;
		text_49.innerText = translations.ta.DText_49;
		text_50.innerText = translations.ta.DText_50;
		text_51.innerText = translations.ta.DText_51;
		text_511.innerText = translations.ta.DText_511;
		text_52.innerText = translations.ta.DText_52;
		text_41a.innerText = translations.ta.DText_41;
		text_42a.innerText = translations.ta.DText_42;
		text_43a.innerText = translations.ta.DText_43;
		text_44a.innerText = translations.ta.DText_44;
		text_45a.innerText = translations.ta.DText_45;
		text_46a.innerText = translations.ta.DText_46;
		text_47a.innerText = translations.ta.DText_47;
		text_48a.innerText = translations.ta.DText_48;
		text_49a.innerText = translations.ta.DText_49;
		text_50a.innerText = translations.ta.DText_50;
		text_51a.innerText = translations.ta.DText_51;
		text_511a.innerText = translations.ta.DText_511;
		male.innerText = translations.ta.male;
		female.innerText = translations.ta.female;
		other.innerText = translations.ta.other;
	}else if(language == "th"){
		footer_00.innerText = translations.th.footer00;
		footer_01.innerText = translations.th.footer01;
		footer_02.innerText = translations.th.footer02;
		footer_03.innerText = translations.th.footer03;
		footer_04.innerText = translations.th.footer04;
		footer_05.innerText = translations.th.footer05;
		footer_06.innerText = translations.th.footer06;
		footer_07.innerText = translations.th.footer07;
		footer_08.innerText = translations.th.footer08;
		footer_09.innerText = translations.th.footer09;
		footer_10.innerText = translations.th.footer10;
		footer_11.innerText = translations.th.footer11;
		footer_12.innerText = translations.th.footer12;
		footer_13.innerText = translations.th.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.th.footer14;
		request.innerText = translations.th.request;
		agree.innerText = translations.th.agree;
		cashbook.innerText = translations.th.cashbook;
		logout.innerText = translations.th.logout;
		if (welcome) {welcome.innerText = translations.th.welcome;}
		text_01.innerText = translations.th.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.th.DText_02+'</p>';
		text_03.innerText = translations.th.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.th.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.th.DText_05;
		text_06.placeholder = translations.th.DText_06;
		text_07.innerHTML = translations.th.DText_07;
		text_08.placeholder = translations.th.DText_08;
		text_09.innerHTML = translations.th.DText_09;
		text_10.placeholder = translations.th.DText_10;
		if (text_11) {text_11.innerText = translations.th.DText_11;}
		if (text_12) {text_12.innerText = translations.th.DText_12;}
		text_13.innerText = translations.th.DText_13;
		text_14.innerText = translations.th.DText_14;
		text_15.placeholder = translations.th.DText_15;
		text_16.innerText = translations.th.DText_16;
		text_17.innerText = translations.th.DText_17;
		text_18.innerText = translations.th.DText_18;
		text_19.innerText = translations.th.DText_19;
		text_20.innerText = translations.th.DText_20;
		text_21.innerText = translations.th.DText_21;
		text_22.innerText = translations.th.DText_22;
		text_23.innerText = translations.th.DText_23;
		text_24.innerText = translations.th.DText_24;
		text_25.innerText = translations.th.DText_25;
		text_26.innerText = translations.th.DText_26;
		text_27.innerText = translations.th.DText_27;
		text_28.innerText = translations.th.DText_28;
		text_29.innerText = translations.th.DText_29;
		text_30.innerText = translations.th.DText_30;
		text_31.innerText = translations.th.DText_31;
		text_32.innerText = translations.th.DText_32;
		text_33.innerText = translations.th.DText_33;
		text_34.innerText = translations.th.DText_34;
		text_35.innerText = translations.th.DText_35;
		text_36.innerText = translations.th.DText_36;
		text_37.innerText = translations.th.DText_37;
		text_38.innerText = translations.th.DText_38;
		text_39.innerText = translations.th.DText_39;
		text_40.innerText = translations.th.DText_40;
		text_41.innerText = translations.th.DText_41;
		text_42.innerText = translations.th.DText_42;
		text_43.innerText = translations.th.DText_43;
		text_44.innerText = translations.th.DText_44;
		text_45.innerText = translations.th.DText_45;
		text_46.innerText = translations.th.DText_46;
		text_47.innerText = translations.th.DText_47;
		text_48.innerText = translations.th.DText_48;
		text_49.innerText = translations.th.DText_49;
		text_50.innerText = translations.th.DText_50;
		text_51.innerText = translations.th.DText_51;
		text_511.innerText = translations.th.DText_511;
		text_52.innerText = translations.th.DText_52;
		text_41a.innerText = translations.th.DText_41;
		text_42a.innerText = translations.th.DText_42;
		text_43a.innerText = translations.th.DText_43;
		text_44a.innerText = translations.th.DText_44;
		text_45a.innerText = translations.th.DText_45;
		text_46a.innerText = translations.th.DText_46;
		text_47a.innerText = translations.th.DText_47;
		text_48a.innerText = translations.th.DText_48;
		text_49a.innerText = translations.th.DText_49;
		text_50a.innerText = translations.th.DText_50;
		text_51a.innerText = translations.th.DText_51;
		text_511a.innerText = translations.th.DText_511;
		male.innerText = translations.th.male;
		female.innerText = translations.th.female;
		other.innerText = translations.th.other;
	}else if(language == "vi"){
		footer_00.innerText = translations.vi.footer00;
		footer_01.innerText = translations.vi.footer01;
		footer_02.innerText = translations.vi.footer02;
		footer_03.innerText = translations.vi.footer03;
		footer_04.innerText = translations.vi.footer04;
		footer_05.innerText = translations.vi.footer05;
		footer_06.innerText = translations.vi.footer06;
		footer_07.innerText = translations.vi.footer07;
		footer_08.innerText = translations.vi.footer08;
		footer_09.innerText = translations.vi.footer09;
		footer_10.innerText = translations.vi.footer10;
		footer_11.innerText = translations.vi.footer11;
		footer_12.innerText = translations.vi.footer12;
		footer_13.innerText = translations.vi.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.vi.footer14;
		request.innerText = translations.vi.request;
		agree.innerText = translations.vi.agree;
		cashbook.innerText = translations.vi.cashbook;
		logout.innerText = translations.vi.logout;
		if (welcome) {welcome.innerText = translations.vi.welcome;}
		text_01.innerText = translations.vi.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.vi.DText_02+'</p>';
		text_03.innerText = translations.vi.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.vi.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.vi.DText_05;
		text_06.placeholder = translations.vi.DText_06;
		text_07.innerHTML = translations.vi.DText_07;
		text_08.placeholder = translations.vi.DText_08;
		text_09.innerHTML = translations.vi.DText_09;
		text_10.placeholder = translations.vi.DText_10;
		if (text_11) {text_11.innerText = translations.vi.DText_11;}
		if (text_12) {text_12.innerText = translations.vi.DText_12;}
		text_13.innerText = translations.vi.DText_13;
		text_14.innerText = translations.vi.DText_14;
		text_15.placeholder = translations.vi.DText_15;
		text_16.innerText = translations.vi.DText_16;
		text_17.innerText = translations.vi.DText_17;
		text_18.innerText = translations.vi.DText_18;
		text_19.innerText = translations.vi.DText_19;
		text_20.innerText = translations.vi.DText_20;
		text_21.innerText = translations.vi.DText_21;
		text_22.innerText = translations.vi.DText_22;
		text_23.innerText = translations.vi.DText_23;
		text_24.innerText = translations.vi.DText_24;
		text_25.innerText = translations.vi.DText_25;
		text_26.innerText = translations.vi.DText_26;
		text_27.innerText = translations.vi.DText_27;
		text_28.innerText = translations.vi.DText_28;
		text_29.innerText = translations.vi.DText_29;
		text_30.innerText = translations.vi.DText_30;
		text_31.innerText = translations.vi.DText_31;
		text_32.innerText = translations.vi.DText_32;
		text_33.innerText = translations.vi.DText_33;
		text_34.innerText = translations.vi.DText_34;
		text_35.innerText = translations.vi.DText_35;
		text_36.innerText = translations.vi.DText_36;
		text_37.innerText = translations.vi.DText_37;
		text_38.innerText = translations.vi.DText_38;
		text_39.innerText = translations.vi.DText_39;
		text_40.innerText = translations.vi.DText_40;
		text_41.innerText = translations.vi.DText_41;
		text_42.innerText = translations.vi.DText_42;
		text_43.innerText = translations.vi.DText_43;
		text_44.innerText = translations.vi.DText_44;
		text_45.innerText = translations.vi.DText_45;
		text_46.innerText = translations.vi.DText_46;
		text_47.innerText = translations.vi.DText_47;
		text_48.innerText = translations.vi.DText_48;
		text_49.innerText = translations.vi.DText_49;
		text_50.innerText = translations.vi.DText_50;
		text_51.innerText = translations.vi.DText_51;
		text_511.innerText = translations.vi.DText_511;
		text_52.innerText = translations.vi.DText_52;
		text_41a.innerText = translations.vi.DText_41;
		text_42a.innerText = translations.vi.DText_42;
		text_43a.innerText = translations.vi.DText_43;
		text_44a.innerText = translations.vi.DText_44;
		text_45a.innerText = translations.vi.DText_45;
		text_46a.innerText = translations.vi.DText_46;
		text_47a.innerText = translations.vi.DText_47;
		text_48a.innerText = translations.vi.DText_48;
		text_49a.innerText = translations.vi.DText_49;
		text_50a.innerText = translations.vi.DText_50;
		text_51a.innerText = translations.vi.DText_51;
		text_511a.innerText = translations.vi.DText_511;
		male.innerText = translations.vi.male;
		female.innerText = translations.vi.female;
		other.innerText = translations.vi.other;
	}else if(language == "tu"){
		footer_00.innerText = translations.tu.footer00;
		footer_01.innerText = translations.tu.footer01;
		footer_02.innerText = translations.tu.footer02;
		footer_03.innerText = translations.tu.footer03;
		footer_04.innerText = translations.tu.footer04;
		footer_05.innerText = translations.tu.footer05;
		footer_06.innerText = translations.tu.footer06;
		footer_07.innerText = translations.tu.footer07;
		footer_08.innerText = translations.tu.footer08;
		footer_09.innerText = translations.tu.footer09;
		footer_10.innerText = translations.tu.footer10;
		footer_11.innerText = translations.tu.footer11;
		footer_12.innerText = translations.tu.footer12;
		footer_13.innerText = translations.tu.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.tu.footer14;
		request.innerText = translations.tu.request;
		agree.innerText = translations.tu.agree;
		cashbook.innerText = translations.tu.cashbook;
		logout.innerText = translations.tu.logout;
		if (welcome) {welcome.innerText = translations.tu.welcome;}
		text_01.innerText = translations.tu.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.tu.DText_02+'</p>';
		text_03.innerText = translations.tu.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.tu.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.tu.DText_05;
		text_06.placeholder = translations.tu.DText_06;
		text_07.innerHTML = translations.tu.DText_07;
		text_08.placeholder = translations.tu.DText_08;
		text_09.innerHTML = translations.tu.DText_09;
		text_10.placeholder = translations.tu.DText_10;
		if (text_11) {text_11.innerText = translations.tu.DText_11;}
		if (text_12) {text_12.innerText = translations.tu.DText_12;}
		text_13.innerText = translations.tu.DText_13;
		text_14.innerText = translations.tu.DText_14;
		text_15.placeholder = translations.tu.DText_15;
		text_16.innerText = translations.tu.DText_16;
		text_17.innerText = translations.tu.DText_17;
		text_18.innerText = translations.tu.DText_18;
		text_19.innerText = translations.tu.DText_19;
		text_20.innerText = translations.tu.DText_20;
		text_21.innerText = translations.tu.DText_21;
		text_22.innerText = translations.tu.DText_22;
		text_23.innerText = translations.tu.DText_23;
		text_24.innerText = translations.tu.DText_24;
		text_25.innerText = translations.tu.DText_25;
		text_26.innerText = translations.tu.DText_26;
		text_27.innerText = translations.tu.DText_27;
		text_28.innerText = translations.tu.DText_28;
		text_29.innerText = translations.tu.DText_29;
		text_30.innerText = translations.tu.DText_30;
		text_31.innerText = translations.tu.DText_31;
		text_32.innerText = translations.tu.DText_32;
		text_33.innerText = translations.tu.DText_33;
		text_34.innerText = translations.tu.DText_34;
		text_35.innerText = translations.tu.DText_35;
		text_36.innerText = translations.tu.DText_36;
		text_37.innerText = translations.tu.DText_37;
		text_38.innerText = translations.tu.DText_38;
		text_39.innerText = translations.tu.DText_39;
		text_40.innerText = translations.tu.DText_40;
		text_41.innerText = translations.tu.DText_41;
		text_42.innerText = translations.tu.DText_42;
		text_43.innerText = translations.tu.DText_43;
		text_44.innerText = translations.tu.DText_44;
		text_45.innerText = translations.tu.DText_45;
		text_46.innerText = translations.tu.DText_46;
		text_47.innerText = translations.tu.DText_47;
		text_48.innerText = translations.tu.DText_48;
		text_49.innerText = translations.tu.DText_49;
		text_50.innerText = translations.tu.DText_50;
		text_51.innerText = translations.tu.DText_51;
		text_511.innerText = translations.tu.DText_511;
		text_52.innerText = translations.tu.DText_52;
		text_41a.innerText = translations.tu.DText_41;
		text_42a.innerText = translations.tu.DText_42;
		text_43a.innerText = translations.tu.DText_43;
		text_44a.innerText = translations.tu.DText_44;
		text_45a.innerText = translations.tu.DText_45;
		text_46a.innerText = translations.tu.DText_46;
		text_47a.innerText = translations.tu.DText_47;
		text_48a.innerText = translations.tu.DText_48;
		text_49a.innerText = translations.tu.DText_49;
		text_50a.innerText = translations.tu.DText_50;
		text_51a.innerText = translations.tu.DText_51;
		text_511a.innerText = translations.tu.DText_511;
		male.innerText = translations.tu.male;
		female.innerText = translations.tu.female;
		other.innerText = translations.tu.other;
	}else if(language == "ur"){
		footer_00.innerText = translations.ur.footer00;
		footer_01.innerText = translations.ur.footer01;
		footer_02.innerText = translations.ur.footer02;
		footer_03.innerText = translations.ur.footer03;
		footer_04.innerText = translations.ur.footer04;
		footer_05.innerText = translations.ur.footer05;
		footer_06.innerText = translations.ur.footer06;
		footer_07.innerText = translations.ur.footer07;
		footer_08.innerText = translations.ur.footer08;
		footer_09.innerText = translations.ur.footer09;
		footer_10.innerText = translations.ur.footer10;
		footer_11.innerText = translations.ur.footer11;
		footer_12.innerText = translations.ur.footer12;
		footer_13.innerText = translations.ur.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ur.footer14;
		request.innerText = translations.ur.request;
		agree.innerText = translations.ur.agree;
		cashbook.innerText = translations.ur.cashbook;
		logout.innerText = translations.ur.logout;
		if (welcome) {welcome.innerText = translations.ur.welcome;}
		text_01.innerText = translations.ur.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.ur.DText_02+'</p>';
		text_03.innerText = translations.ur.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.ur.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.ur.DText_05;
		text_06.placeholder = translations.ur.DText_06;
		text_07.innerHTML = translations.ur.DText_07;
		text_08.placeholder = translations.ur.DText_08;
		text_09.innerHTML = translations.ur.DText_09;
		text_10.placeholder = translations.ur.DText_10;
		if (text_11) {text_11.innerText = translations.ur.DText_11;}
		if (text_12) {text_12.innerText = translations.ur.DText_12;}
		text_13.innerText = translations.ur.DText_13;
		text_14.innerText = translations.ur.DText_14;
		text_15.placeholder = translations.ur.DText_15;
		text_16.innerText = translations.ur.DText_16;
		text_17.innerText = translations.ur.DText_17;
		text_18.innerText = translations.ur.DText_18;
		text_19.innerText = translations.ur.DText_19;
		text_20.innerText = translations.ur.DText_20;
		text_21.innerText = translations.ur.DText_21;
		text_22.innerText = translations.ur.DText_22;
		text_23.innerText = translations.ur.DText_23;
		text_24.innerText = translations.ur.DText_24;
		text_25.innerText = translations.ur.DText_25;
		text_26.innerText = translations.ur.DText_26;
		text_27.innerText = translations.ur.DText_27;
		text_28.innerText = translations.ur.DText_28;
		text_29.innerText = translations.ur.DText_29;
		text_30.innerText = translations.ur.DText_30;
		text_31.innerText = translations.ur.DText_31;
		text_32.innerText = translations.ur.DText_32;
		text_33.innerText = translations.ur.DText_33;
		text_34.innerText = translations.ur.DText_34;
		text_35.innerText = translations.ur.DText_35;
		text_36.innerText = translations.ur.DText_36;
		text_37.innerText = translations.ur.DText_37;
		text_38.innerText = translations.ur.DText_38;
		text_39.innerText = translations.ur.DText_39;
		text_40.innerText = translations.ur.DText_40;
		text_41.innerText = translations.ur.DText_41;
		text_42.innerText = translations.ur.DText_42;
		text_43.innerText = translations.ur.DText_43;
		text_44.innerText = translations.ur.DText_44;
		text_45.innerText = translations.ur.DText_45;
		text_46.innerText = translations.ur.DText_46;
		text_47.innerText = translations.ur.DText_47;
		text_48.innerText = translations.ur.DText_48;
		text_49.innerText = translations.ur.DText_49;
		text_50.innerText = translations.ur.DText_50;
		text_51.innerText = translations.ur.DText_51;
		text_511.innerText = translations.ur.DText_511;
		text_52.innerText = translations.ur.DText_52;
		text_41a.innerText = translations.ur.DText_41;
		text_42a.innerText = translations.ur.DText_42;
		text_43a.innerText = translations.ur.DText_43;
		text_44a.innerText = translations.ur.DText_44;
		text_45a.innerText = translations.ur.DText_45;
		text_46a.innerText = translations.ur.DText_46;
		text_47a.innerText = translations.ur.DText_47;
		text_48a.innerText = translations.ur.DText_48;
		text_49a.innerText = translations.ur.DText_49;
		text_50a.innerText = translations.ur.DText_50;
		text_51a.innerText = translations.ur.DText_51;
		text_511a.innerText = translations.ur.DText_511;
		male.innerText = translations.ur.male;
		female.innerText = translations.ur.female;
		other.innerText = translations.ur.other;
	}else if(language == "yo"){
		footer_00.innerText = translations.yo.footer00;
		footer_01.innerText = translations.yo.footer01;
		footer_02.innerText = translations.yo.footer02;
		footer_03.innerText = translations.yo.footer03;
		footer_04.innerText = translations.yo.footer04;
		footer_05.innerText = translations.yo.footer05;
		footer_06.innerText = translations.yo.footer06;
		footer_07.innerText = translations.yo.footer07;
		footer_08.innerText = translations.yo.footer08;
		footer_09.innerText = translations.yo.footer09;
		footer_10.innerText = translations.yo.footer10;
		footer_11.innerText = translations.yo.footer11;
		footer_12.innerText = translations.yo.footer12;
		footer_13.innerText = translations.yo.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.yo.footer14;
		request.innerText = translations.yo.request;
		agree.innerText = translations.yo.agree;
		cashbook.innerText = translations.yo.cashbook;
		logout.innerText = translations.yo.logout;
		if (welcome) {welcome.innerText = translations.yo.welcome;}
		text_01.innerText = translations.yo.DText_01;
		text_02.innerHTML = '<p class="uploadtext">'+translations.yo.DText_02+'</p>';
		text_03.innerText = translations.yo.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" class="iconclass" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.yo.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.yo.DText_05;
		text_06.placeholder = translations.yo.DText_06;
		text_07.innerHTML = translations.yo.DText_07;
		text_08.placeholder = translations.yo.DText_08;
		text_09.innerHTML = translations.yo.DText_09;
		text_10.placeholder = translations.yo.DText_10;
		if (text_11) {text_11.innerText = translations.yo.DText_11;}
		if (text_12) {text_12.innerText = translations.yo.DText_12;}
		text_13.innerText = translations.yo.DText_13;
		text_14.innerText = translations.yo.DText_14;
		text_15.placeholder = translations.yo.DText_15;
		text_16.innerText = translations.yo.DText_16;
		text_17.innerText = translations.yo.DText_17;
		text_18.innerText = translations.yo.DText_18;
		text_19.innerText = translations.yo.DText_19;
		text_20.innerText = translations.yo.DText_20;
		text_21.innerText = translations.yo.DText_21;
		text_22.innerText = translations.yo.DText_22;
		text_23.innerText = translations.yo.DText_23;
		text_24.innerText = translations.yo.DText_24;
		text_25.innerText = translations.yo.DText_25;
		text_26.innerText = translations.yo.DText_26;
		text_27.innerText = translations.yo.DText_27;
		text_28.innerText = translations.yo.DText_28;
		text_29.innerText = translations.yo.DText_29;
		text_30.innerText = translations.yo.DText_30;
		text_31.innerText = translations.yo.DText_31;
		text_32.innerText = translations.yo.DText_32;
		text_33.innerText = translations.yo.DText_33;
		text_34.innerText = translations.yo.DText_34;
		text_35.innerText = translations.yo.DText_35;
		text_36.innerText = translations.yo.DText_36;
		text_37.innerText = translations.yo.DText_37;
		text_38.innerText = translations.yo.DText_38;
		text_39.innerText = translations.yo.DText_39;
		text_40.innerText = translations.yo.DText_40;
		text_41.innerText = translations.yo.DText_41;
		text_42.innerText = translations.yo.DText_42;
		text_43.innerText = translations.yo.DText_43;
		text_44.innerText = translations.yo.DText_44;
		text_45.innerText = translations.yo.DText_45;
		text_46.innerText = translations.yo.DText_46;
		text_47.innerText = translations.yo.DText_47;
		text_48.innerText = translations.yo.DText_48;
		text_49.innerText = translations.yo.DText_49;
		text_50.innerText = translations.yo.DText_50;
		text_51.innerText = translations.yo.DText_51;
		text_511.innerText = translations.yo.DText_511;
		text_52.innerText = translations.yo.DText_52;
		text_41a.innerText = translations.yo.DText_41;
		text_42a.innerText = translations.yo.DText_42;
		text_43a.innerText = translations.yo.DText_43;
		text_44a.innerText = translations.yo.DText_44;
		text_45a.innerText = translations.yo.DText_45;
		text_46a.innerText = translations.yo.DText_46;
		text_47a.innerText = translations.yo.DText_47;
		text_48a.innerText = translations.yo.DText_48;
		text_49a.innerText = translations.yo.DText_49;
		text_50a.innerText = translations.yo.DText_50;
		text_51a.innerText = translations.yo.DText_51;
		text_511a.innerText = translations.yo.DText_511;
		male.innerText = translations.yo.male;
		female.innerText = translations.yo.female;
		other.innerText = translations.yo.other;
	}
}


function load() {
	const lan = localStorage.getItem("site-language");
	if (human) {
		human.style.backgroundImage = "url(img/Profile_Highlight_70x70.png)";
        human.style.backgroundRepeat = "no-repeat";
        human.style.backgroundPosition = "50% 50%";
        human.style.backgroundSize = "100% 100%";
	}
	request.className = "request";
	agree.className = "request";
	cashbook.className = "cashbook";
	logout.className = "cashbook";
	setLanguage(lan);
	const image1 = localStorage.getItem("image1");
	imagex=document.getElementById("img01");
	imagey=document.getElementById("b64img");
	//alert("load");
	if (image1) {
		if (image1.length > 500) {
			imagex.src = image1;
			localStorage.setItem("image1", "");
			//alert(image1.substring(0, 20));
		}
	}
	save=document.getElementById("save");
	if (imagex.src == imagey.src) {
		if (save) {
			save.src="img/Save_Icon_Disabled_70x70.png";
		}
		text_04.disabled = true;
		text_04.style.color = "gray";
	} else {
		if (save) {
			save.src="img/Save_Icon_70x70.png";
		}
		document.getElementById('b64i').value = imagex.src;
		text_04.disabled = false;
		text_04.style.color = "black";
		if (text_11) {
			text_11.innerText = "";
		}
		if (text_12) {
			text_12.innerText = "";
		}
	}
}


function enableSave() {
	save=document.getElementById("save");
	if (save) {
		save.src="img/Save_Icon_70x70.png";
	}
	text_04.disabled = false;
	text_04.style.color = "black";
	if (text_11) {
		text_11.innerText = "";
	}
	if (text_12) {
		text_12.innerText = "";
	}
}

// White
// Ginger Red
// Auburn
// Blond 
// Light Chestnut
// Copper
// Light Blond
// Chestnut Brown
// Silver
// Medium Blond
// Light Brown
// Titan
// Dark Blond
// Medium Brown
// Gray
// Gold Blond
// Dark Brown
// Black
// Strawberry Blond
// No Hair

// Amber
// Blue
// Brown
// Gray
// Green
// Hazel
// Red
// Blue Gray
// Blue Green
// Green Gray
// Prosthesis